from envi.archs.arm.const import *

thumb_instrs = [
    (REV_ALL_ARM, '30b5', 0x195, 'push    {r4, r5, lr}', 0, ()),
    (REV_ALL_ARM, '4fea4104', 0x197, 'lsl     r4, r1, #1', 0, ()),
    (REV_ALL_ARM, '4fea4305', 0x19b, 'lsl     r5, r3, #1', 0, ()),
    (REV_ALL_ARM, '94ea050f', 0x19f, 'teq     r4, r5', 0, ()),
    (REV_ALL_ARM, '08bf', 0x1a3, 'it      eq', 0, ()),
    (REV_ALL_ARM, '90ea020f', 0x1a5, 'teq     r0, r2', 0, ()),
    (REV_ALL_ARM, '1fbf', 0x1a9, 'itttt   ne', 0, ()),
    (REV_ALL_ARM, '54ea000c', 0x1ab, 'orrs    r12, r4, r0', 0, ()),
    (REV_ALL_ARM, '55ea020c', 0x1af, 'orrs    r12, r5, r2', 0, ()),
    (REV_ALL_ARM, '7fea645c', 0x1b3, 'mvns    r12, r4, asr #21', 0, ()),
    (REV_ALL_ARM, '7fea655c', 0x1b7, 'mvns    r12, r5, asr #21', 0, ()),
    (REV_ALL_ARM, '00f0e280', 0x1bb, 'beq     0x00000382', 0, ()),
    (REV_ALL_ARM, '18bf', 0x387, 'it      ne', 0, ()),
    (REV_ALL_ARM, '29d0', 0x38d, 'beq     0x000003e2', 0, ()),
    (REV_ALL_ARM, '4fea5454', 0x1bf, 'lsr     r4, r4, #0x15', 0, ()),
    (REV_ALL_ARM, 'd4eb5555', 0x1c3, 'rsbs    r5, r4, r5, lsr #21', 0, ()),
    (REV_ALL_ARM, 'b8bf', 0x1c7, 'it      lt', 0, ()),
    (REV_ALL_ARM, '6d42', 0x1c9, 'rsbs    r5, r5, #0', 0, ()),
    (REV_ALL_ARM, '0cdd', 0x1cb, 'ble     0x000001e6', 0, ()),
    (REV_ALL_ARM, '1abf', 0x3e7, 'itte    ne', 0, ()),
    (REV_ALL_ARM, '1946', 0x3e9, 'mov     r1, r3', 0, ()),
    (REV_ALL_ARM, '1046', 0x3eb, 'mov     r0, r2', 0, ()),
    (REV_ALL_ARM, '1cbf', 0x3f1, 'itt     ne', 0, ()),
    (REV_ALL_ARM, '0b46', 0x3f3, 'mov     r3, r1', 0, ()),
    (REV_ALL_ARM, '0246', 0x3f5, 'mov     r2, r0', 0, ()),
    (REV_ALL_ARM, '50ea0134', 0x3f7, 'orrs    r4, r0, r1, lsl #12', 0, ()),
    (REV_ALL_ARM, '06bf', 0x3fb, 'itte    eq', 0, ()),
    (REV_ALL_ARM, '52ea0335', 0x3fd, 'orrs    r5, r2, r3, lsl #12', 0, ()),
    (REV_ALL_ARM, '91ea030f', 0x401, 'teq     r1, r3', 0, ()),
    (REV_ALL_ARM, '41f40021', 0x405, 'orr     r1, r1, #0x080000', 0, ()),           ####
    (REV_ALL_ARM, '30bd', 0x409, 'pop     {r4, r5, pc}', 0, ()),
    (REV_ALL_ARM, '05d0', 0x399, 'beq     0x000003a6', 0, ()),
    (REV_ALL_ARM, '362d', 0x1e7, 'cmp     r5, #0x36', 0, ()),
    (REV_ALL_ARM, '88bf', 0x1e9, 'it      hi', 0, ()),
    (REV_ALL_ARM, '2c44', 0x1cd, 'add     r4, r5', 0, ()),
    (REV_ALL_ARM, '80ea0202', 0x1cf, 'eor     r2, r0, r2', 0, ()),
    (REV_ALL_ARM, '81ea0303', 0x1d3, 'eor     r3, r1, r3', 0, ()),
    (REV_ALL_ARM, '82ea0000', 0x1d7, 'eor     r0, r2, r0', 0, ()),
    (REV_ALL_ARM, '83ea0101', 0x1db, 'eor     r1, r3, r1', 0, ()),
    (REV_ALL_ARM, '1ebf', 0x3ab, 'ittt    ne', 0, ()),
    (REV_ALL_ARM, '0021', 0x3ad, 'movs    r1, #0', 0, ()),
    (REV_ALL_ARM, '0020', 0x3af, 'movs    r0, #0', 0, ()),
    (REV_ALL_ARM, '04bf', 0x39f, 'itt     eq', 0, ()),
    (REV_ALL_ARM, '11f0004f', 0x1ed, 'tst     r1, #0x80000000', 0, ()),
    (REV_ALL_ARM, '4fea0131', 0x1f1, 'lsl     r1, r1, #0xc', 0, ()),
    (REV_ALL_ARM, '4ff4801c', 0x1f5, 'mov     r12, #0x100000', 0, ()),
    (REV_ALL_ARM, '4cea1131', 0x1f9, 'orr     r1, r12, r1, lsr #12', 0, ()),
    (REV_ALL_ARM, '02d0', 0x1fd, 'beq     0x00000204', 0, ()),
    (REV_ALL_ARM, '5fea545c', 0x3b3, 'lsrs    r12, r4, #0x15', 0, ()),
    (REV_ALL_ARM, '05d1', 0x3b7, 'bne     0x000003c4', 0, ()),
    (REV_ALL_ARM, '13f0004f', 0x205, 'tst     r3, #0x80000000', 0, ()),
    (REV_ALL_ARM, '4fea0333', 0x209, 'lsl     r3, r3, #0xc', 0, ()),
    (REV_ALL_ARM, '4cea1333', 0x20d, 'orr     r3, r12, r3, lsr #12', 0, ()),
    (REV_ALL_ARM, '4042', 0x1ff, 'rsbs    r0, r0, #0', 0, ()),
    (REV_ALL_ARM, '61eb4101', 0x201, 'sbc     r1, r1, r1, lsl #1', 0, ()),
    (REV_ALL_ARM, '14f58004', 0x3c5, 'adds    r4, r4, #0x400000', 0, ()),
    (REV_ALL_ARM, '3cbf', 0x3c9, 'itt     cc', 0, ()),
    (REV_ALL_ARM, '01f58011', 0x3cb, 'add     r1, r1, #0x100000', 0, ()),
    (REV_ALL_ARM, '4000', 0x3b9, 'lsls    r0, r0, #1', 0, ()),
    (REV_ALL_ARM, '4941', 0x3bb, 'adcs    r1, r1', 0, ()),
    (REV_ALL_ARM, '28bf', 0x3bd, 'it      cs', 0, ()),
    (REV_ALL_ARM, '41f00041', 0x3bf, 'orr     r1, r1, #0x80000000', 0, ()),
    (REV_ALL_ARM, '00f0a780', 0x21d, 'beq     0x0000036e', 0, ()),
    (REV_ALL_ARM, '5242', 0x213, 'rsbs    r2, r2, #0', 0, ()),
    (REV_ALL_ARM, '63eb4303', 0x215, 'sbc     r3, r3, r3, lsl #1', 0, ()),
    (REV_ALL_ARM, '01f00045', 0x3d1, 'and     r5, r1, #0x80000000', 0, ()),
    (REV_ALL_ARM, '94f0000f', 0x36f, 'teq     r4, #0', 0, ()),
    (REV_ALL_ARM, '83f48013', 0x373, 'eor     r3, r3, #0x100000', 0, ()),
    (REV_ALL_ARM, '81f48011', 0x379, 'eor     r1, r1, #0x100000', 0, ()),
    (REV_ALL_ARM, '0134', 0x37d, 'adds    r4, #1', 0, ()),
    (REV_ALL_ARM, '013d', 0x37f, 'subs    r5, #1', 0, ()),
    (REV_ALL_ARM, '4ee7', 0x381, 'b       0x00000220', 0, ()),
    (REV_ALL_ARM, 'a4f10104', 0x221, 'sub     r4, r4, #1', 0, ()),
    (REV_ALL_ARM, 'd5f1200e', 0x225, 'rsbs    lr, r5, #0x20', 0, ()),
    (REV_ALL_ARM, '0ddb', 0x229, 'blt     0x00000246', 0, ()),
    (REV_ALL_ARM, 'a5f12005', 0x247, 'sub     r5, r5, #0x20', 0, ()),
    (REV_ALL_ARM, '0ef1200e', 0x24b, 'add     lr, lr, #0x20', 0, ()),
    (REV_ALL_ARM, '012a', 0x24f, 'cmp     r2, #1', 0, ()),
    (REV_ALL_ARM, '03fa0efc', 0x251, 'lsl     r12, r3, lr', 0, ()),
    (REV_ALL_ARM, '4cf0020c', 0x257, 'orr     r12, r12, #2', 0, ()),
    (REV_ALL_ARM, '43fa05f3', 0x25b, 'asr     r3, r3, r5', 0, ()),
    (REV_ALL_ARM, 'c018', 0x25f, 'adds    r0, r0, r3', 0, ()),
    (REV_ALL_ARM, '51ebe371', 0x261, 'adcs    r1, r1, r3, asr #31', 0, ()),
    (REV_ALL_ARM, '02fa0efc', 0x22b, 'lsl     r12, r2, lr', 0, ()),
    (REV_ALL_ARM, '22fa05f2', 0x22f, 'lsr     r2, r2, r5', 0, ()),
    (REV_ALL_ARM, '8018', 0x233, 'adds    r0, r0, r2', 0, ()),
    (REV_ALL_ARM, '41f10001', 0x235, 'adc     r1, r1, #0', 0, ()),
    (REV_ALL_ARM, '03fa0ef2', 0x239, 'lsl     r2, r3, lr', 0, ()),
    (REV_ALL_ARM, '5941', 0x243, 'adcs    r1, r3', 0, ()),
    (REV_ALL_ARM, '0ee0', 0x245, 'b       0x00000264', 0, ()),
    (REV_ALL_ARM, 'b1f5801f', 0x27b, 'cmp     r1, #0x100000', 0, ()),
    (REV_ALL_ARM, '1bd3', 0x27f, 'bcc     0x000002b8', 0, ()),
    (REV_ALL_ARM, '4ff0000e', 0x26b, 'mov     lr, #0', 0, ()),
    (REV_ALL_ARM, 'dcf1000c', 0x26f, 'rsbs    r12, r12, #0', 0, ()),
    (REV_ALL_ARM, '7eeb0000', 0x273, 'sbcs    r0, lr, r0', 0, ()),
    (REV_ALL_ARM, '6eeb0101', 0x277, 'sbc     r1, lr, r1', 0, ()),
    (REV_ALL_ARM, '07d5', 0x269, 'bpl     0x0000027a', 0, ()),
    (REV_ALL_ARM, '5fea4c0c', 0x2b9, 'lsls    r12, r12, #1', 0, ()),
    (REV_ALL_ARM, '4041', 0x2bd, 'adcs    r0, r0', 0, ()),
    (REV_ALL_ARM, '41eb0101', 0x2bf, 'adc     r1, r1, r1', 0, ()),
    (REV_ALL_ARM, '013c', 0x2c3, 'subs    r4, #1', 0, ()),
    (REV_ALL_ARM, 'e9d2', 0x2cb, 'bcs     0x000002a0', 0, ()),
    (REV_ALL_ARM, 'b1f5001f', 0x281, 'cmp     r1, #0x200000', 0, ()),
    (REV_ALL_ARM, '0cd3', 0x285, 'bcc     0x000002a0', 0, ()),
    (REV_ALL_ARM, 'bcf1004f', 0x2a1, 'cmp     r12, #0x80000000', 0, ()),
    (REV_ALL_ARM, '5fea500c', 0x2a7, 'lsrs    r12, r0, #1', 0, ()),
    (REV_ALL_ARM, '50f10000', 0x2ab, 'adcs    r0, r0, #0', 0, ()),
    (REV_ALL_ARM, '41eb0451', 0x2af, 'adc     r1, r1, r4, lsl #20', 0, ()),
    (REV_ALL_ARM, '41ea0501', 0x2b3, 'orr     r1, r1, r5', 0, ()),
    (REV_ALL_ARM, '91f0000f', 0x2cd, 'teq     r1, #0', 0, ()),
    (REV_ALL_ARM, '0146', 0x2d3, 'mov     r1, r0', 0, ()),
    (REV_ALL_ARM, 'b1fa81f3', 0x2d7, 'clz     r3, r1', 0, ()),
    (REV_ALL_ARM, '2033', 0x2dd, 'adds    r3, #0x20', 0, ()),
    (REV_ALL_ARM, 'a3f10b03', 0x2df, 'sub     r3, r3, #0xb', 0, ()),
    (REV_ALL_ARM, 'b3f12002', 0x2e3, 'subs    r2, r3, #0x20', 0, ()),
    (REV_ALL_ARM, '0cda', 0x2e7, 'bge     0x00000302', 0, ()),
    (REV_ALL_ARM, '4908', 0x287, 'lsrs    r1, r1, #1', 0, ()),
    (REV_ALL_ARM, '5fea3000', 0x289, 'rrxs    r0, r0', 0, ()),
    (REV_ALL_ARM, '4fea3c0c', 0x28d, 'rrx     r12, r12', 0, ()),
    (REV_ALL_ARM, '04f10104', 0x291, 'add     r4, r4, #1', 0, ()),
    (REV_ALL_ARM, '4fea4452', 0x295, 'lsl     r2, r4, #0x15', 0, ()),
    (REV_ALL_ARM, '12f5800f', 0x299, 'cmn     r2, #0x400000', 0, ()),
    (REV_ALL_ARM, '80f09a80', 0x29d, 'bcs     0x000003d4', 0, ()),
    (REV_ALL_ARM, 'd8bf', 0x303, 'it      le', 0, ()),
    (REV_ALL_ARM, 'c2f1200c', 0x305, 'rsb     r12, r2, #0x20', 0, ()),
    (REV_ALL_ARM, '01fa02f1', 0x309, 'lsl     r1, r1, r2', 0, ()),
    (REV_ALL_ARM, '20fa0cfc', 0x30d, 'lsr     r12, r0, r12', 0, ()),
    (REV_ALL_ARM, 'dcbf', 0x311, 'itt     le', 0, ()),
    (REV_ALL_ARM, '41ea0c01', 0x313, 'orr     r1, r1, r12', 0, ()),
    (REV_ALL_ARM, '9040', 0x317, 'lsls    r0, r2', 0, ()),
    (REV_ALL_ARM, '0c32', 0x2e9, 'adds    r2, #0xc', 0, ()),
    (REV_ALL_ARM, '08dd', 0x2eb, 'ble     0x000002fe', 0, ()),
    (REV_ALL_ARM, '45f0fe41', 0x3d5, 'orr     r1, r5, #0x7f000000', 0, ()),
    (REV_ALL_ARM, '41f47001', 0x3d9, 'orr     r1, r1, #0xf00000', 0, ()),
    (REV_ALL_ARM, '4ff00000', 0x3dd, 'mov     r0, #0', 0, ()),
    (REV_ALL_ARM, '6fea0404', 0x325, 'mvn     r4, r4', 0, ()),
    (REV_ALL_ARM, '1f3c', 0x329, 'subs    r4, #0x1f', 0, ()),
    (REV_ALL_ARM, '1cda', 0x32b, 'bge     0x00000366', 0, ()),
    (REV_ALL_ARM, '02f11402', 0x2ff, 'add     r2, r2, #0x14', 0, ()),
    (REV_ALL_ARM, '02f1140c', 0x2ed, 'add     r12, r2, #0x14', 0, ()),
    (REV_ALL_ARM, 'c2f10c02', 0x2f1, 'rsb     r2, r2, #0xc', 0, ()),
    (REV_ALL_ARM, '01fa0cf0', 0x2f5, 'lsl     r0, r1, r12', 0, ()),
    (REV_ALL_ARM, '21fa02f1', 0x2f9, 'lsr     r1, r1, r2', 0, ()),
    (REV_ALL_ARM, '0ce0', 0x2fd, 'b       0x00000318', 0, ()),
    (REV_ALL_ARM, '21fa04f0', 0x367, 'lsr     r0, r1, r4', 0, ()),
    (REV_ALL_ARM, '2946', 0x36b, 'mov     r1, r5', 0, ()),
    (REV_ALL_ARM, '0c34', 0x32d, 'adds    r4, #0xc', 0, ()),
    (REV_ALL_ARM, '0edc', 0x32f, 'bgt     0x0000034e', 0, ()),
    (REV_ALL_ARM, 'e41a', 0x319, 'subs    r4, r4, r3', 0, ()),
    (REV_ALL_ARM, 'a2bf', 0x31b, 'ittt    ge', 0, ()),
    (REV_ALL_ARM, '01eb0451', 0x31d, 'add     r1, r1, r4, lsl #20', 0, ()),
    (REV_ALL_ARM, '2943', 0x321, 'orrs    r1, r5', 0, ()),
    (REV_ALL_ARM, 'c4f10c04', 0x34f, 'rsb     r4, r4, #0xc', 0, ()),
    (REV_ALL_ARM, 'c4f12002', 0x353, 'rsb     r2, r4, #0x20', 0, ()),
    (REV_ALL_ARM, '20fa02f0', 0x357, 'lsr     r0, r0, r2', 0, ()),
    (REV_ALL_ARM, '01fa04f3', 0x35b, 'lsl     r3, r1, r4', 0, ()),
    (REV_ALL_ARM, '40ea0300', 0x35f, 'orr     r0, r0, r3', 0, ()),
    (REV_ALL_ARM, '04f11404', 0x331, 'add     r4, r4, #0x14', 0, ()),
    (REV_ALL_ARM, '20fa04f0', 0x339, 'lsr     r0, r0, r4', 0, ()),
    (REV_ALL_ARM, '01fa02f3', 0x33d, 'lsl     r3, r1, r2', 0, ()),
    (REV_ALL_ARM, '21fa04f3', 0x345, 'lsr     r3, r1, r4', 0, ()),
    (REV_ALL_ARM, '45ea0301', 0x349, 'orr     r1, r5, r3', 0, ()),
    (REV_ALL_ARM, '00bf', 0x40b, 'nop', 0, ()),
    (REV_ALL_ARM, '90f0000f', 0x40d, 'teq     r0, #0', 0, ()),
    (REV_ALL_ARM, '7047', 0x415, 'bx      lr', 0, ()),
    (REV_ALL_ARM, '4ff48064', 0x419, 'mov     r4, #0x400', 0, ()),
    (REV_ALL_ARM, '04f13204', 0x41d, 'add     r4, r4, #0x32', 0, ()),
    (REV_ALL_ARM, '4ff00005', 0x421, 'mov     r5, #0', 0, ()),
    (REV_ALL_ARM, '4ff00001', 0x425, 'mov     r1, #0', 0, ()),
    (REV_ALL_ARM, '50e7', 0x429, 'b       0x000002cc', 0, ()),
    (REV_ALL_ARM, '10f00045', 0x441, 'ands    r5, r0, #0x80000000', 0, ()),
    (REV_ALL_ARM, '48bf', 0x445, 'it      mi', 0, ()),
    (REV_ALL_ARM, '3ee7', 0x44d, 'b       0x000002cc', 0, ()),
    (REV_ALL_ARM, '4200', 0x451, 'lsls    r2, r0, #1', 0, ()),
    (REV_ALL_ARM, '4feae201', 0x453, 'asr     r1, r2, #3', 0, ()),
    (REV_ALL_ARM, '4fea3101', 0x457, 'rrx     r1, r1', 0, ()),
    (REV_ALL_ARM, '4fea0270', 0x45b, 'lsl     r0, r2, #0x1c', 0, ()),
    (REV_ALL_ARM, '12f07f43', 0x461, 'ands    r3, r2, #0xff000000', 0, ()),
    (REV_ALL_ARM, '93f07f4f', 0x465, 'teq     r3, #0xff000000', 0, ()),
    (REV_ALL_ARM, '81f06051', 0x469, 'eor     r1, r1, #0x38000000', 0, ()),
    (REV_ALL_ARM, '4ff46074', 0x485, 'mov     r4, #0x380', 0, ()),
    (REV_ALL_ARM, '1ce7', 0x491, 'b       0x000002cc', 0, ()),
    (REV_ALL_ARM, '50ea0102', 0x495, 'orrs    r2, r0, r1', 0, ()),
    (REV_ALL_ARM, '0ae0', 0x4a3, 'b       0x000004ba', 0, ()),
    (REV_ALL_ARM, '5fea915c', 0x4c3, 'lsrs    r12, r1, #0x16', 0, ()),
    (REV_ALL_ARM, '3ff4d8ae', 0x4c7, 'beq     0x0000027a', 0, ()),
    (REV_ALL_ARM, '4ff00302', 0x4cb, 'mov     r2, #3', 0, ()),
    (REV_ALL_ARM, '5feadc0c', 0x4cf, 'lsrs    r12, r12, #3', 0, ()),
    (REV_ALL_ARM, '0332', 0x4d5, 'adds    r2, #3', 0, ()),
    (REV_ALL_ARM, '02ebdc02', 0x4df, 'add     r2, r2, r12, lsr #3', 0, ()),
    (REV_ALL_ARM, 'c2f12003', 0x4e3, 'rsb     r3, r2, #0x20', 0, ()),
    (REV_ALL_ARM, '00fa03fc', 0x4e7, 'lsl     r12, r0, r3', 0, ()),
    (REV_ALL_ARM, '01fa03fe', 0x4ef, 'lsl     lr, r1, r3', 0, ()),
    (REV_ALL_ARM, '40ea0e00', 0x4f3, 'orr     r0, r0, lr', 0, ()),
    (REV_ALL_ARM, '1444', 0x4fb, 'add     r4, r2', 0, ()),
    (REV_ALL_ARM, 'bde6', 0x4fd, 'b       0x0000027a', 0, ()),
    (REV_ALL_ARM, '70b5', 0x501, 'push    {r4, r5, r6, lr}', 0, ()),
    (REV_ALL_ARM, '4ff0ff0c', 0x503, 'mov     r12, #0xff', 0, ()),
    (REV_ALL_ARM, '4cf4e06c', 0x507, 'orr     r12, r12, #0x700', 0, ()),
    (REV_ALL_ARM, '1cea1154', 0x50b, 'ands    r4, r12, r1, lsr #20', 0, ()),
    (REV_ALL_ARM, '1dbf', 0x50f, 'ittte   ne', 0, ()),
    (REV_ALL_ARM, '1cea1355', 0x511, 'ands    r5, r12, r3, lsr #20', 0, ()),
    (REV_ALL_ARM, '94ea0c0f', 0x515, 'teq     r4, r12', 0, ()),
    (REV_ALL_ARM, '95ea0c0f', 0x519, 'teq     r5, r12', 0, ()),
    (REV_ALL_ARM, '00f0def8', 0x51d, 'bl      0x000006dc', 0, ()),
    (REV_ALL_ARM, '81ea0306', 0x523, 'eor     r6, r1, r3', 0, ()),
    #(REV_ALL_ARM, '21ea4c51', 0x527, 'bic     r1, r1, r12, lsl #21', 0, ()),
    #(REV_ALL_ARM, '23ea4c53', 0x52b, 'bic     r3, r3, r12, lsl #21', 0, ()),
    (REV_ALL_ARM, '50ea0135', 0x52f, 'orrs    r5, r0, r1, lsl #12', 0, ()),
    (REV_ALL_ARM, '41f48011', 0x539, 'orr     r1, r1, #0x100000', 0, ()),
    (REV_ALL_ARM, '43f48013', 0x53d, 'orr     r3, r3, #0x100000', 0, ()),
    (REV_ALL_ARM, '38d0', 0x541, 'beq     0x000005b4', 0, ()),
    (REV_ALL_ARM, '06f00046', 0x5b5, 'and     r6, r6, #0x80000000', 0, ()),
    (REV_ALL_ARM, '46ea0101', 0x5b9, 'orr     r1, r6, r1', 0, ()),
    (REV_ALL_ARM, '40ea0200', 0x5bd, 'orr     r0, r0, r2', 0, ()),
    (REV_ALL_ARM, '81ea0301', 0x5c1, 'eor     r1, r1, r3', 0, ()),
    (REV_ALL_ARM, 'b4eb5c04', 0x5c5, 'subs    r4, r4, r12, lsr #1', 0, ()),
    (REV_ALL_ARM, 'c2bf', 0x5c9, 'ittt    gt', 0, ()),
    (REV_ALL_ARM, 'd4eb0c05', 0x5cb, 'rsbs    r5, r4, r12', 0, ()),
    (REV_ALL_ARM, '41ea0451', 0x5cf, 'orr     r1, r1, r4, lsl #20', 0, ()),
    (REV_ALL_ARM, '70bd', 0x5d3, 'pop     {r4, r5, r6, pc}', 0, ()),
    (REV_ALL_ARM, 'a0fb02ce', 0x543, 'umull   r12, lr, r0, r2', 0, ()),
    (REV_ALL_ARM, 'e1fb02e5', 0x54b, 'umlal   lr, r5, r1, r2', 0, ()),
    (REV_ALL_ARM, '06f00042', 0x54f, 'and     r2, r6, #0x80000000', 0, ()),
    (REV_ALL_ARM, 'e0fb03e5', 0x553, 'umlal   lr, r5, r0, r3', 0, ()),
    (REV_ALL_ARM, '4ff00006', 0x557, 'mov     r6, #0', 0, ()),
    (REV_ALL_ARM, 'e1fb0356', 0x55b, 'umlal   r5, r6, r1, r3', 0, ()),
    (REV_ALL_ARM, '9cf0000f', 0x55f, 'teq     r12, #0', 0, ()),
    (REV_ALL_ARM, '4ef0010e', 0x565, 'orr     lr, lr, #1', 0, ()),
    (REV_ALL_ARM, 'a4f1ff04', 0x569, 'sub     r4, r4, #0xff', 0, ()),
    (REV_ALL_ARM, 'b6f5007f', 0x56d, 'cmp     r6, #0x200', 0, ()),
    (REV_ALL_ARM, '64f54074', 0x571, 'sbc     r4, r4, #0x300', 0, ()),
    (REV_ALL_ARM, '04d2', 0x575, 'bcs     0x00000580', 0, ()),
    (REV_ALL_ARM, '42eac621', 0x581, 'orr     r1, r2, r6, lsl #11', 0, ()),
    (REV_ALL_ARM, '41ea5551', 0x585, 'orr     r1, r1, r5, lsr #21', 0, ()),
    (REV_ALL_ARM, '4feac520', 0x589, 'lsl     r0, r5, #0xb', 0, ()),
    (REV_ALL_ARM, '40ea5e50', 0x58d, 'orr     r0, r0, lr, lsr #21', 0, ()),
    (REV_ALL_ARM, '4feace2e', 0x591, 'lsl     lr, lr, #0xb', 0, ()),
    (REV_ALL_ARM, 'b4f1fd0c', 0x595, 'subs    r12, r4, #0xfd', 0, ()),
    (REV_ALL_ARM, 'bcf5e06f', 0x59b, 'cmp     r12, #0x700', 0, ()),
    (REV_ALL_ARM, '1ed8', 0x59f, 'bhi     0x000005de', 0, ()),
    (REV_ALL_ARM, '5fea4e0e', 0x577, 'lsls    lr, lr, #1', 0, ()),
    (REV_ALL_ARM, '6d41', 0x57b, 'adcs    r5, r5', 0, ()),
    (REV_ALL_ARM, '46eb0606', 0x57d, 'adc     r6, r6, r6', 0, ()),
    (REV_ALL_ARM, '01f00041', 0x739, 'and     r1, r1, #0x80000000', 0, ()),
    (REV_ALL_ARM, '41f0fe41', 0x73d, 'orr     r1, r1, #0x7f000000', 0, ()),
    (REV_ALL_ARM, '14f1360f', 0x5e3, 'cmn     r4, #0x36', 0, ()),
    (REV_ALL_ARM, 'debf', 0x5e7, 'ittt    le', 0, ()),
    (REV_ALL_ARM, '00f3ab80', 0x5df, 'bgt     0x00000738', 0, ()),
    (REV_ALL_ARM, 'bef1004f', 0x5a1, 'cmp     lr, #0x80000000', 0, ()),
    (REV_ALL_ARM, '5fea500e', 0x5a7, 'lsrs    lr, r0, #1', 0, ()),
    (REV_ALL_ARM, 'c4f10004', 0x5f1, 'rsb     r4, r4, #0', 0, ()),
    (REV_ALL_ARM, '203c', 0x5f5, 'subs    r4, #0x20', 0, ()),
    (REV_ALL_ARM, '35da', 0x5f7, 'bge     0x00000664', 0, ()),
    (REV_ALL_ARM, 'c4f12005', 0x665, 'rsb     r5, r4, #0x20', 0, ()),
    (REV_ALL_ARM, '00fa05f2', 0x669, 'lsl     r2, r0, r5', 0, ()),
    (REV_ALL_ARM, '4eea020e', 0x66d, 'orr     lr, lr, r2', 0, ()),
    (REV_ALL_ARM, '20fa04f3', 0x671, 'lsr     r3, r0, r4', 0, ()),
    (REV_ALL_ARM, '01fa05f2', 0x675, 'lsl     r2, r1, r5', 0, ()),
    (REV_ALL_ARM, '43ea0203', 0x679, 'orr     r3, r3, r2', 0, ()),
    (REV_ALL_ARM, '21fa04f2', 0x685, 'lsr     r2, r1, r4', 0, ()),
    #(REV_ALL_ARM, '20ea0200', 0x689, 'bic     r0, r0, r2', 0, ()),
    (REV_ALL_ARM, '00ebd370', 0x68d, 'add     r0, r0, r3, lsr #31', 0, ()),
    (REV_ALL_ARM, '5eea430e', 0x691, 'orrs    lr, lr, r3, lsl #1', 0, ()),
    #(REV_ALL_ARM, '20ead370', 0x697, 'bic     r0, r0, r3, lsr #31', 0, ()),
    (REV_ALL_ARM, '1bdc', 0x5fb, 'bgt     0x00000634', 0, ()),
    (REV_ALL_ARM, '00fa04f3', 0x63d, 'lsl     r3, r0, r4', 0, ()),
    (REV_ALL_ARM, '20fa05f0', 0x641, 'lsr     r0, r0, r5', 0, ()),
    (REV_ALL_ARM, '01fa04f2', 0x645, 'lsl     r2, r1, r4', 0, ()),
    (REV_ALL_ARM, '10ebd370', 0x651, 'adds    r0, r0, r3, lsr #31', 0, ()),
    (REV_ALL_ARM, '00fa05f3', 0x605, 'lsl     r3, r0, r5', 0, ()),
    (REV_ALL_ARM, '01f00042', 0x615, 'and     r2, r1, #0x80000000', 0, ()),
    (REV_ALL_ARM, '21fa04f6', 0x621, 'lsr     r6, r1, r4', 0, ()),
    (REV_ALL_ARM, '42eb0601', 0x625, 'adc     r1, r2, r6', 0, ()),
    (REV_ALL_ARM, '0cea1355', 0x6e1, 'and     r5, r12, r3, lsr #20', 0, ()),
    (REV_ALL_ARM, '0cd0', 0x6eb, 'beq     0x00000706', 0, ()),
    (REV_ALL_ARM, '50ea4106', 0x707, 'orrs    r6, r0, r1, lsl #1', 0, ()),
    (REV_ALL_ARM, '52ea4306', 0x711, 'orrs    r6, r2, r3, lsl #1', 0, ()),
    (REV_ALL_ARM, '19d0', 0x715, 'beq     0x0000074a', 0, ()),
    (REV_ALL_ARM, 'd1d1', 0x6f7, 'bne     0x0000069c', 0, ()),
    (REV_ALL_ARM, '41f47801', 0x74f, 'orr     r1, r1, #0xf80000', 0, ()),
    (REV_ALL_ARM, '02d1', 0x71b, 'bne     0x00000722', 0, ()),
    (REV_ALL_ARM, '0fd1', 0x6a1, 'bne     0x000006c2', 0, ()),
    (REV_ALL_ARM, '50ea0136', 0x71d, 'orrs    r6, r0, r1, lsl #12', 0, ()),
    (REV_ALL_ARM, '13d1', 0x721, 'bne     0x0000074a', 0, ()),
    (REV_ALL_ARM, '03f00046', 0x6c3, 'and     r6, r3, #0x80000000', 0, ()),
    (REV_ALL_ARM, '01f00046', 0x6a3, 'and     r6, r1, #0x80000000', 0, ()),
    (REV_ALL_ARM, '52ea0336', 0x729, 'orrs    r6, r2, r3, lsl #12', 0, ()),
    (REV_ALL_ARM, '0ad1', 0x733, 'bne     0x0000074a', 0, ()),
    (REV_ALL_ARM, '5200', 0x6c7, 'lsls    r2, r2, #1', 0, ()),
    (REV_ALL_ARM, '43eb0303', 0x6c9, 'adc     r3, r3, r3', 0, ()),
    (REV_ALL_ARM, '13f4801f', 0x6cd, 'tst     r3, #0x100000', 0, ()),
    (REV_ALL_ARM, 'f7d0', 0x6d5, 'beq     0x000006c6', 0, ()),
    (REV_ALL_ARM, '43ea0603', 0x6d7, 'orr     r3, r3, r6', 0, ()),
    (REV_ALL_ARM, '11f4801f', 0x6ad, 'tst     r1, #0x100000', 0, ()),
    (REV_ALL_ARM, '41ea0601', 0x6b7, 'orr     r1, r1, r6', 0, ()),
    (REV_ALL_ARM, '95f0000f', 0x6bb, 'teq     r5, #0', 0, ()),
    (REV_ALL_ARM, '00f0a7f8', 0x771, 'bl      0x000008c2', 0, ()),
    (REV_ALL_ARM, 'a4eb0504', 0x775, 'sub     r4, r4, r5', 0, ()),
    (REV_ALL_ARM, '81ea030e', 0x779, 'eor     lr, r1, r3', 0, ()),
    (REV_ALL_ARM, '00f08880', 0x785, 'beq     0x00000898', 0, ()),
    (REV_ALL_ARM, '0ef0004e', 0x899, 'and     lr, lr, #0x80000000', 0, ()),
    (REV_ALL_ARM, '4eea1131', 0x89d, 'orr     r1, lr, r1, lsr #12', 0, ()),
    (REV_ALL_ARM, '14eb5c04', 0x8a1, 'adds    r4, r4, r12, lsr #1', 0, ()),
    (REV_ALL_ARM, '4ff08055', 0x78d, 'mov     r5, #0x10000000', 0, ()),
    (REV_ALL_ARM, '45ea1313', 0x791, 'orr     r3, r5, r3, lsr #4', 0, ()),
    (REV_ALL_ARM, '43ea1263', 0x795, 'orr     r3, r3, r2, lsr #24', 0, ()),
    (REV_ALL_ARM, '4fea0222', 0x799, 'lsl     r2, r2, #8', 0, ()),
    (REV_ALL_ARM, '45ea1115', 0x79d, 'orr     r5, r5, r1, lsr #4', 0, ()),
    (REV_ALL_ARM, '45ea1065', 0x7a1, 'orr     r5, r5, r0, lsr #24', 0, ()),
    (REV_ALL_ARM, '4fea0026', 0x7a5, 'lsl     r6, r0, #8', 0, ()),
    (REV_ALL_ARM, '0ef00041', 0x7a9, 'and     r1, lr, #0x80000000', 0, ()),
    (REV_ALL_ARM, '9d42', 0x7ad, 'cmp     r5, r3', 0, ()),
    (REV_ALL_ARM, '9642', 0x7b1, 'cmp     r6, r2', 0, ()),
    (REV_ALL_ARM, '44f1fd04', 0x7b3, 'adc     r4, r4, #0xfd', 0, ()),
    (REV_ALL_ARM, '04f54074', 0x7b7, 'add     r4, r4, #0x300', 0, ()),
    (REV_ALL_ARM, '02d2', 0x7bb, 'bcs     0x000007c2', 0, ()),
    (REV_ALL_ARM, '90e6', 0x8bb, 'b       0x000005de', 0, ()),
    (REV_ALL_ARM, 'b61a', 0x7c3, 'subs    r6, r6, r2', 0, ()),
    (REV_ALL_ARM, '65eb0305', 0x7c5, 'sbc     r5, r5, r3', 0, ()),
    (REV_ALL_ARM, '5b08', 0x7c9, 'lsrs    r3, r3, #1', 0, ()),
    (REV_ALL_ARM, '4fea3202', 0x7cb, 'rrx     r2, r2', 0, ()),
    (REV_ALL_ARM, '4ff48010', 0x7cf, 'mov     r0, #0x100000', 0, ()),
    (REV_ALL_ARM, '4ff4002c', 0x7d3, 'mov     r12, #0x80000', 0, ()),
    (REV_ALL_ARM, '0143', 0x86f, 'orrs    r1, r0', 0, ()),
    (REV_ALL_ARM, '4fea0515', 0x837, 'lsl     r5, r5, #4', 0, ()),
    (REV_ALL_ARM, '45ea1675', 0x83b, 'orr     r5, r5, r6, lsr #28', 0, ()),
    (REV_ALL_ARM, '4fea0616', 0x83f, 'lsl     r6, r6, #4', 0, ()),
    (REV_ALL_ARM, '4feac303', 0x843, 'lsl     r3, r3, #3', 0, ()),
    (REV_ALL_ARM, '43ea5273', 0x847, 'orr     r3, r3, r2, lsr #29', 0, ()),
    (REV_ALL_ARM, '4feac202', 0x84b, 'lsl     r2, r2, #3', 0, ()),
    (REV_ALL_ARM, '5fea1c1c', 0x84f, 'lsrs    r12, r12, #4', 0, ()),
    (REV_ALL_ARM, 'c0d1', 0x853, 'bne     0x000007d6', 0, ()),
    (REV_ALL_ARM, 'b5eb030c', 0x881, 'subs    r12, r5, r3', 0, ()),
    (REV_ALL_ARM, 'b6eb020c', 0x887, 'subs    r12, r6, r2', 0, ()),
    (REV_ALL_ARM, 'b6eb020e', 0x7d7, 'subs    lr, r6, r2', 0, ()),
    (REV_ALL_ARM, '75eb030e', 0x7db, 'sbcs    lr, r5, r3', 0, ()),
    (REV_ALL_ARM, '22bf', 0x7df, 'ittt    cs', 0, ()),
    (REV_ALL_ARM, '7546', 0x7e3, 'mov     r5, lr', 0, ()),
    (REV_ALL_ARM, '40ea0c00', 0x7e5, 'orr     r0, r0, r12', 0, ()),
    (REV_ALL_ARM, '40ea5c00', 0x7fd, 'orr     r0, r0, r12, lsr #1', 0, ()),
    (REV_ALL_ARM, '40ea9c00', 0x815, 'orr     r0, r0, r12, lsr #2', 0, ()),
    (REV_ALL_ARM, '40eadc00', 0x82d, 'orr     r0, r0, r12, lsr #3', 0, ()),
    (REV_ALL_ARM, '55ea060e', 0x831, 'orrs    lr, r5, r6', 0, ()),
    (REV_ALL_ARM, '18d0', 0x835, 'beq     0x00000868', 0, ()),
    (REV_ALL_ARM, '0bd1', 0x859, 'bne     0x00000872', 0, ()),
    (REV_ALL_ARM, '3ff6afae', 0x87d, 'bhi     0x000005de', 0, ()),
    (REV_ALL_ARM, '41ea0001', 0x85b, 'orr     r1, r1, r0', 0, ()),
    (REV_ALL_ARM, '4ff0004c', 0x863, 'mov     r12, #0x80000000', 0, ()),
    (REV_ALL_ARM, 'b6e7', 0x867, 'b       0x000007d6', 0, ()),
    (REV_ALL_ARM, '3ff43baf', 0x8d1, 'beq     0x0000074a', 0, ()),
    (REV_ALL_ARM, '06d1', 0x8f5, 'bne     0x00000904', 0, ()),
    (REV_ALL_ARM, '7ff434af', 0x8df, 'bne     0x0000074a', 0, ()),
    (REV_ALL_ARM, '7ff4c5ae', 0x90f, 'bne     0x0000069c', 0, ()),
    (REV_ALL_ARM, '3ff4fdae', 0x8fb, 'beq     0x000006f8', 0, ()),
    (REV_ALL_ARM, '7ff425af', 0x8e7, 'bne     0x00000734', 0, ()),
    (REV_ALL_ARM, '50ea4104', 0x913, 'orrs    r4, r0, r1, lsl #1', 0, ()),
    (REV_ALL_ARM, '7ff40daf', 0x917, 'bne     0x00000734', 0, ()),
    (REV_ALL_ARM, '22e7', 0x903, 'b       0x0000074a', 0, ()),
    (REV_ALL_ARM, '2ce7', 0x8ef, 'b       0x0000074a', 0, ()),
    (REV_ALL_ARM, '52ea4305', 0x91b, 'orrs    r5, r2, r3, lsl #1', 0, ()),
    (REV_ALL_ARM, '7ff4ebae', 0x91f, 'bne     0x000006f8', 0, ()),
    (REV_ALL_ARM, '12e7', 0x923, 'b       0x0000074a', 0, ()),
    (REV_ALL_ARM, '4a00', 0x925, 'lsls    r2, r1, #1', 0, ()),
    (REV_ALL_ARM, '11d2', 0x927, 'bcs     0x0000094c', 0, ()),
    (REV_ALL_ARM, '12f50012', 0x929, 'adds    r2, r2, #0x200000', 0, ()),
    (REV_ALL_ARM, '50ea0130', 0x953, 'orrs    r0, r0, r1, lsl #12', 0, ()),
    (REV_ALL_ARM, '0dd5', 0x92f, 'bpl     0x0000094c', 0, ()),
    (REV_ALL_ARM, '4ff0ff30', 0x959, 'mov     r0, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '6ff47873', 0x931, 'mvn     r3, #0x3e0', 0, ()),
    (REV_ALL_ARM, 'b3eb6252', 0x935, 'subs    r2, r3, r2, asr #21', 0, ()),
    (REV_ALL_ARM, '0ed4', 0x939, 'bmi     0x00000958', 0, ()),
    (REV_ALL_ARM, '4feac123', 0x93b, 'lsl     r3, r1, #0xb', 0, ()),
    (REV_ALL_ARM, '43f00043', 0x93f, 'orr     r3, r3, #0x80000000', 0, ()),
    (REV_ALL_ARM, '43ea5053', 0x943, 'orr     r3, r3, r0, lsr #21', 0, ()),
    (REV_ALL_ARM, '23fa02f0', 0x947, 'lsr     r0, r3, r2', 0, ()),
    (REV_ALL_ARM, '53b9', 0x965, 'cbnz    r3, 0x0000097c', 0, ()),
    (REV_ALL_ARM, 'adf1080c', 0x97d, 'sub     r12, sp, #8', 0, ()),
    (REV_ALL_ARM, '6de904ce', 0x981, 'strd    r12, lr, [sp, #-0x10]!', 0, ()),
    (REV_ALL_ARM, '00f006f8', 0x985, 'bl      0x00000994', 0, ()),
    (REV_ALL_ARM, 'ddf804e0', 0x989, 'ldr     lr, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'dde90223', 0x98d, 'ldrd    r2, r3, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '04b0', 0x991, 'add     sp, #0x10', 0, ()),
    (REV_ALL_ARM, '4ab9', 0x967, 'cbnz    r2, 0x0000097c', 0, ()),
    (REV_ALL_ARM, '0029', 0x969, 'cmp     r1, #0', 0, ()),
    (REV_ALL_ARM, '0028', 0x96d, 'cmp     r0, #0', 0, ()),
    (REV_ALL_ARM, '4ff0ff31', 0x971, 'mov     r1, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '00f074b9', 0x979, 'b       0x00000c64', 0, ()),
    (REV_ALL_ARM, '2de9f047', 0x995, 'push    {r4, r5, r6, r7, r8, r9, r10, lr}', 0, ()),
    (REV_ALL_ARM, '089e', 0x999, 'ldr     r6, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '0d46', 0x99b, 'mov     r5, r1', 0, ()),
    (REV_ALL_ARM, '0446', 0x99d, 'mov     r4, r0', 0, ()),
    (REV_ALL_ARM, '8846', 0x99f, 'mov     r8, r1', 0, ()),
    (REV_ALL_ARM, '002b', 0x9a1, 'cmp     r3, #0', 0, ()),
    (REV_ALL_ARM, '4dd1', 0x9a3, 'bne     0x00000a40', 0, ()),
    (REV_ALL_ARM, '8b42', 0xa41, 'cmp     r3, r1', 0, ()),
    (REV_ALL_ARM, '08d9', 0xa43, 'bls     0x00000a56', 0, ()),
    (REV_ALL_ARM, '8a42', 0x9a5, 'cmp     r2, r1', 0, ()),
    (REV_ALL_ARM, '9446', 0x9a7, 'mov     r12, r2', 0, ()),
    (REV_ALL_ARM, '68d9', 0x9a9, 'bls     0x00000a7c', 0, ()),
    (REV_ALL_ARM, 'b3fa83f1', 0xa57, 'clz     r1, r3', 0, ()),
    (REV_ALL_ARM, '4ad1', 0xa5d, 'bne     0x00000af4', 0, ()),
    (REV_ALL_ARM, '002e', 0xa45, 'cmp     r6, #0', 0, ()),
    (REV_ALL_ARM, '00f0ee80', 0xa47, 'beq     0x00000c26', 0, ()),
    (REV_ALL_ARM, '02b9', 0xa7d, 'cbnz    r2, 0x00000a80', 0, ()),
    (REV_ALL_ARM, 'b2fa82f2', 0x9ab, 'clz     r2, r2', 0, ()),
    (REV_ALL_ARM, '52b1', 0x9af, 'cbz     r2, 0x000009c6', 0, ()),
    (REV_ALL_ARM, 'c1f12007', 0xaf5, 'rsb     r7, r1, #0x20', 0, ()),
    (REV_ALL_ARM, '8b40', 0xaf9, 'lsls    r3, r1', 0, ()),
    (REV_ALL_ARM, '22fa07fc', 0xafb, 'lsr     r12, r2, r7', 0, ()),
    (REV_ALL_ARM, '4cea030c', 0xaff, 'orr     r12, r12, r3', 0, ()),
    (REV_ALL_ARM, '20fa07f4', 0xb03, 'lsr     r4, r0, r7', 0, ()),
    (REV_ALL_ARM, '05fa01f3', 0xb07, 'lsl     r3, r5, r1', 0, ()),
    (REV_ALL_ARM, '1c43', 0xb0b, 'orrs    r4, r3', 0, ()),
    (REV_ALL_ARM, 'fd40', 0xb0d, 'lsrs    r5, r7', 0, ()),
    (REV_ALL_ARM, '4fea1c49', 0xb0f, 'lsr     r9, r12, #0x10', 0, ()),
    (REV_ALL_ARM, '00fa01f3', 0xb13, 'lsl     r3, r0, r1', 0, ()),
    (REV_ALL_ARM, 'b5fbf9f8', 0xb17, 'udiv    r8, r5, r9', 0, ()),
    (REV_ALL_ARM, '200c', 0xb1b, 'lsrs    r0, r4, #0x10', 0, ()),
    (REV_ALL_ARM, '1ffa8cfe', 0xb1d, 'uxth    lr, r12', 0, ()),
    (REV_ALL_ARM, '09fb1855', 0xb21, 'mls     r5, r9, r8, r5', 0, ()),
    (REV_ALL_ARM, '40ea0545', 0xb25, 'orr     r5, r0, r5, lsl #16', 0, ()),
    (REV_ALL_ARM, '08fb0ef0', 0xb29, 'mul     r0, r8, lr', 0, ()),
    (REV_ALL_ARM, 'a842', 0xb2d, 'cmp     r0, r5', 0, ()),
    (REV_ALL_ARM, '02fa01f2', 0xb2f, 'lsl     r2, r2, r1', 0, ()),
    (REV_ALL_ARM, '0bd9', 0xb33, 'bls     0x00000b4c', 0, ()),
    (REV_ALL_ARM, 'ab42', 0xa5f, 'cmp     r3, r5', 0, ()),
    (REV_ALL_ARM, '02d3', 0xa61, 'bcc     0x00000a68', 0, ()),
    (REV_ALL_ARM, '3146', 0xc27, 'mov     r1, r6', 0, ()),
    (REV_ALL_ARM, '3046', 0xc29, 'mov     r0, r6', 0, ()),
    (REV_ALL_ARM, '07e7', 0xc2b, 'b       0x00000a3c', 0, ()),
    (REV_ALL_ARM, 'c6e90005', 0xa4d, 'strd    r0, r5, [r6]', 0, ()),
    (REV_ALL_ARM, '0846', 0xa51, 'mov     r0, r1', 0, ()),
    (REV_ALL_ARM, 'bde8f087', 0xa53, 'pop     {r4, r5, r6, r7, r8, r9, r10, pc}', 0, ()),
    (REV_ALL_ARM, '002a', 0xa85, 'cmp     r2, #0', 0, ()),
    (REV_ALL_ARM, '40f09180', 0xa87, 'bne     0x00000bac', 0, ()),
    (REV_ALL_ARM, 'ffde', 0xa7f, 'udf     #0xff', 0, ()),
    (REV_ALL_ARM, '4fea1c45', 0x9c7, 'lsr     r5, r12, #0x10', 0, ()),
    (REV_ALL_ARM, '210c', 0x9cb, 'lsrs    r1, r4, #0x10', 0, ()),
    (REV_ALL_ARM, 'b8fbf5fe', 0x9cd, 'udiv    lr, r8, r5', 0, ()),
    (REV_ALL_ARM, '1ffa8cf7', 0x9d1, 'uxth    r7, r12', 0, ()),
    (REV_ALL_ARM, '05fb1e83', 0x9d5, 'mls     r3, r5, lr, r8', 0, ()),
    (REV_ALL_ARM, '41ea0343', 0x9d9, 'orr     r3, r1, r3, lsl #16', 0, ()),
    (REV_ALL_ARM, '0efb07f1', 0x9dd, 'mul     r1, lr, r7', 0, ()),
    (REV_ALL_ARM, '9942', 0x9e1, 'cmp     r1, r3', 0, ()),
    (REV_ALL_ARM, 'c2f12001', 0x9b5, 'rsb     r1, r2, #0x20', 0, ()),
    (REV_ALL_ARM, '20fa01f1', 0x9b9, 'lsr     r1, r0, r1', 0, ()),
    (REV_ALL_ARM, '0cfa02fc', 0x9bd, 'lsl     r12, r12, r2', 0, ()),
    (REV_ALL_ARM, '41ea0308', 0x9c1, 'orr     r8, r1, r3', 0, ()),
    (REV_ALL_ARM, '9440', 0x9c5, 'lsls    r4, r2', 0, ()),
    (REV_ALL_ARM, '2d1a', 0xb4d, 'subs    r5, r5, r0', 0, ()),
    (REV_ALL_ARM, 'a4b2', 0xb4f, 'uxth    r4, r4', 0, ()),
    (REV_ALL_ARM, 'b5fbf9f0', 0xb51, 'udiv    r0, r5, r9', 0, ()),
    (REV_ALL_ARM, '09fb1055', 0xb55, 'mls     r5, r9, r0, r5', 0, ()),
    (REV_ALL_ARM, '44ea0545', 0xb59, 'orr     r5, r4, r5, lsl #16', 0, ()),
    (REV_ALL_ARM, '00fb0efe', 0xb5d, 'mul     lr, r0, lr', 0, ()),
    (REV_ALL_ARM, 'ae45', 0xb61, 'cmp     lr, r5', 0, ()),
    (REV_ALL_ARM, '1ceb0505', 0xb35, 'adds    r5, r12, r5', 0, ()),
    (REV_ALL_ARM, '08f1ff3a', 0xb39, 'add     r10, r8, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '80f08880', 0xb3d, 'bcs     0x00000c50', 0, ()),
    (REV_ALL_ARM, '841a', 0xa69, 'subs    r4, r0, r2', 0, ()),
    (REV_ALL_ARM, '65eb0303', 0xa6b, 'sbc     r3, r5, r3', 0, ()),
    (REV_ALL_ARM, '0120', 0xa6f, 'movs    r0, #1', 0, ()),
    (REV_ALL_ARM, '9846', 0xa71, 'mov     r8, r3', 0, ()),
    (REV_ALL_ARM, '8242', 0xa63, 'cmp     r2, r0', 0, ()),
    (REV_ALL_ARM, '00f2f980', 0xa65, 'bhi     0x00000c5a', 0, ()),
    (REV_ALL_ARM, '20fa03f1', 0xbb1, 'lsr     r1, r0, r3', 0, ()),
    (REV_ALL_ARM, '25fa03f3', 0xbb9, 'lsr     r3, r5, r3', 0, ()),
    (REV_ALL_ARM, '9540', 0xbbd, 'lsls    r5, r2', 0, ()),
    (REV_ALL_ARM, '0d43', 0xbbf, 'orrs    r5, r1', 0, ()),
    (REV_ALL_ARM, '4fea1c47', 0xbc1, 'lsr     r7, r12, #0x10', 0, ()),
    (REV_ALL_ARM, 'b3fbf7f1', 0xbc9, 'udiv    r1, r3, r7', 0, ()),
    (REV_ALL_ARM, '07fb1130', 0xbcd, 'mls     r0, r7, r1, r3', 0, ()),
    (REV_ALL_ARM, '2b0c', 0xbd1, 'lsrs    r3, r5, #0x10', 0, ()),
    (REV_ALL_ARM, '43ea0043', 0xbd3, 'orr     r3, r3, r0, lsl #16', 0, ()),
    (REV_ALL_ARM, '01fb0ef0', 0xbd7, 'mul     r0, r1, lr', 0, ()),
    (REV_ALL_ARM, '9842', 0xbdb, 'cmp     r0, r3', 0, ()),
    (REV_ALL_ARM, '04fa02f4', 0xbdd, 'lsl     r4, r4, r2', 0, ()),
    (REV_ALL_ARM, 'a1eb0c05', 0xa8b, 'sub     r5, r1, r12', 0, ()),
    (REV_ALL_ARM, '0121', 0xa97, 'movs    r1, #1', 0, ()),
    (REV_ALL_ARM, '5b1a', 0x9fd, 'subs    r3, r3, r1', 0, ()),
    (REV_ALL_ARM, 'b3fbf5f0', 0xa01, 'udiv    r0, r3, r5', 0, ()),
    (REV_ALL_ARM, '05fb1033', 0xa05, 'mls     r3, r5, r0, r3', 0, ()),
    (REV_ALL_ARM, '44ea0344', 0xa09, 'orr     r4, r4, r3, lsl #16', 0, ()),
    (REV_ALL_ARM, '00fb07f7', 0xa0d, 'mul     r7, r0, r7', 0, ()),
    (REV_ALL_ARM, 'a742', 0xa11, 'cmp     r7, r4', 0, ()),
    (REV_ALL_ARM, '0ad9', 0xa13, 'bls     0x00000a2a', 0, ()),
    (REV_ALL_ARM, '1ceb0303', 0x9e5, 'adds    r3, r12, r3', 0, ()),
    (REV_ALL_ARM, '0ef1ff30', 0x9e9, 'add     r0, lr, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '80f01e81', 0x9ed, 'bcs     0x00000c2c', 0, ()),
    (REV_ALL_ARM, '40ea0840', 0xb77, 'orr     r0, r0, r8, lsl #16', 0, ()),
    (REV_ALL_ARM, 'a0fb0294', 0xb7b, 'umull   r9, r4, r0, r2', 0, ()),
    (REV_ALL_ARM, 'a5eb0e05', 0xb7f, 'sub     r5, r5, lr', 0, ()),
    (REV_ALL_ARM, 'a542', 0xb83, 'cmp     r5, r4', 0, ()),
    (REV_ALL_ARM, 'c846', 0xb85, 'mov     r8, r9', 0, ()),
    (REV_ALL_ARM, 'a646', 0xb87, 'mov     lr, r4', 0, ()),
    (REV_ALL_ARM, '56d3', 0xb89, 'bcc     0x00000c38', 0, ()),
    (REV_ALL_ARM, '00f1ff34', 0xb69, 'add     r4, r0, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '6cd2', 0xb6d, 'bcs     0x00000c48', 0, ()),
    (REV_ALL_ARM, 'd046', 0xc51, 'mov     r8, r10', 0, ()),
    (REV_ALL_ARM, '7be7', 0xc53, 'b       0x00000b4c', 0, ()),
    (REV_ALL_ARM, '40f28580', 0xb43, 'bls     0x00000c50', 0, ()),
    (REV_ALL_ARM, 'c6e90048', 0xa77, 'strd    r4, r8, [r6]', 0, ()),
    (REV_ALL_ARM, 'dfe7', 0xa7b, 'b       0x00000a3c', 0, ()),
    (REV_ALL_ARM, '09e7', 0xc5d, 'b       0x00000a72', 0, ()),
    (REV_ALL_ARM, '1b1a', 0xbf5, 'subs    r3, r3, r0', 0, ()),
    (REV_ALL_ARM, 'adb2', 0xbf7, 'uxth    r5, r5', 0, ()),
    (REV_ALL_ARM, 'b3fbf7f0', 0xbf9, 'udiv    r0, r3, r7', 0, ()),
    (REV_ALL_ARM, '07fb1033', 0xbfd, 'mls     r3, r7, r0, r3', 0, ()),
    (REV_ALL_ARM, '45ea0345', 0xc01, 'orr     r5, r5, r3, lsl #16', 0, ()),
    (REV_ALL_ARM, '00fb0ef3', 0xc05, 'mul     r3, r0, lr', 0, ()),
    (REV_ALL_ARM, '01f1ff38', 0xbe7, 'add     r8, r1, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '2fd2', 0xbeb, 'bcs     0x00000c4c', 0, ()),
    (REV_ALL_ARM, 'b5fbf7f0', 0xac5, 'udiv    r0, r5, r7', 0, ()),
    (REV_ALL_ARM, '07fb1055', 0xac9, 'mls     r5, r7, r0, r5', 0, ()),
    (REV_ALL_ARM, '44ea0544', 0xacd, 'orr     r4, r4, r5, lsl #16', 0, ()),
    (REV_ALL_ARM, '0efb00fe', 0xad1, 'mul     lr, lr, r0', 0, ()),
    (REV_ALL_ARM, 'a645', 0xad5, 'cmp     lr, r4', 0, ()),
    (REV_ALL_ARM, '03f1ff38', 0xab3, 'add     r8, r3, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'e41b', 0xa2b, 'subs    r4, r4, r7', 0, ()),
    (REV_ALL_ARM, '40ea0e40', 0xa2d, 'orr     r0, r0, lr, lsl #16', 0, ()),
    (REV_ALL_ARM, '1ceb0404', 0xa15, 'adds    r4, r12, r4', 0, ()),
    (REV_ALL_ARM, '00f1ff33', 0xa19, 'add     r3, r0, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '80f00881', 0xa1d, 'bcs     0x00000c30', 0, ()),
    (REV_ALL_ARM, '8646', 0xc2d, 'mov     lr, r0', 0, ()),
    (REV_ALL_ARM, 'e5e6', 0xc2f, 'b       0x000009fc', 0, ()),
    (REV_ALL_ARM, '40f21b81', 0x9f3, 'bls     0x00000c2c', 0, ()),
    (REV_ALL_ARM, 'b9eb0208', 0xc39, 'subs    r8, r9, r2', 0, ()),
    (REV_ALL_ARM, '64eb0c0e', 0xc3d, 'sbc     lr, r4, r12', 0, ()),
    (REV_ALL_ARM, '0138', 0xc41, 'subs    r0, #1', 0, ()),
    (REV_ALL_ARM, 'a3e7', 0xc43, 'b       0x00000b8c', 0, ()),
    (REV_ALL_ARM, '53d0', 0xb8b, 'beq     0x00000c34', 0, ()),
    (REV_ALL_ARM, '2046', 0xc49, 'mov     r0, r4', 0, ()),
    (REV_ALL_ARM, '94e7', 0xc4b, 'b       0x00000b76', 0, ()),
    (REV_ALL_ARM, '6ad9', 0xb71, 'bls     0x00000c48', 0, ()),
    (REV_ALL_ARM, 'a8f10208', 0xb47, 'sub     r8, r8, #2', 0, ()),
    (REV_ALL_ARM, '6544', 0xb4b, 'add     r5, r12', 0, ()),
    (REV_ALL_ARM, 'e2d0', 0xa75, 'beq     0x00000a3c', 0, ()),
    (REV_ALL_ARM, 'ed1a', 0xc1f, 'subs    r5, r5, r3', 0, ()),
    (REV_ALL_ARM, '40ea0141', 0xc21, 'orr     r1, r0, r1, lsl #16', 0, ()),
    (REV_ALL_ARM, '38e7', 0xc25, 'b       0x00000a98', 0, ()),
    (REV_ALL_ARM, '00f1ff38', 0xc11, 'add     r8, r0, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '16d2', 0xc15, 'bcs     0x00000c44', 0, ()),
    (REV_ALL_ARM, '4146', 0xc4d, 'mov     r1, r8', 0, ()),
    (REV_ALL_ARM, 'd1e7', 0xc4f, 'b       0x00000bf4', 0, ()),
    (REV_ALL_ARM, '2dd9', 0xbef, 'bls     0x00000c4c', 0, ()),
    (REV_ALL_ARM, 'a4eb0e04', 0xaeb, 'sub     r4, r4, lr', 0, ()),
    (REV_ALL_ARM, '40ea0340', 0xaef, 'orr     r0, r0, r3, lsl #16', 0, ()),
    (REV_ALL_ARM, '9ee7', 0xaf3, 'b       0x00000a32', 0, ()),
    (REV_ALL_ARM, '00f1ff35', 0xadd, 'add     r5, r0, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '4346', 0xabf, 'mov     r3, r8', 0, ()),
    (REV_ALL_ARM, '00f2cb80', 0xabb, 'bhi     0x00000c54', 0, ()),
    (REV_ALL_ARM, 'd440', 0xa35, 'lsrs    r4, r2', 0, ()),
    (REV_ALL_ARM, '0023', 0xa37, 'movs    r3, #0', 0, ()),
    (REV_ALL_ARM, 'c6e90043', 0xa39, 'strd    r4, r3, [r6]', 0, ()),
    (REV_ALL_ARM, '1846', 0xc31, 'mov     r0, r3', 0, ()),
    (REV_ALL_ARM, 'fae6', 0xc33, 'b       0x00000a2a', 0, ()),
    (REV_ALL_ARM, '40f20581', 0xa23, 'bls     0x00000c30', 0, ()),
    (REV_ALL_ARM, 'aef1020e', 0x9f7, 'sub     lr, lr, #2', 0, ()),
    (REV_ALL_ARM, '6344', 0x9fb, 'add     r3, r12', 0, ()),
    (REV_ALL_ARM, '5eb1', 0xb8d, 'cbz     r6, 0x00000ba6', 0, ()),
    (REV_ALL_ARM, '4b45', 0xc35, 'cmp     r3, r9', 0, ()),
    (REV_ALL_ARM, 'a9d2', 0xc37, 'bcs     0x00000b8c', 0, ()),
    (REV_ALL_ARM, '0238', 0xb73, 'subs    r0, #2', 0, ()),
    (REV_ALL_ARM, 'b5fbf7f3', 0xa99, 'udiv    r3, r5, r7', 0, ()),
    (REV_ALL_ARM, '07fb1350', 0xa9d, 'mls     r0, r7, r3, r5', 0, ()),
    (REV_ALL_ARM, '250c', 0xaa1, 'lsrs    r5, r4, #0x10', 0, ()),
    (REV_ALL_ARM, '45ea0045', 0xaa3, 'orr     r5, r5, r0, lsl #16', 0, ()),
    (REV_ALL_ARM, '0efb03f0', 0xaa7, 'mul     r0, lr, r3', 0, ()),
    (REV_ALL_ARM, '4046', 0xc45, 'mov     r0, r8', 0, ()),
    (REV_ALL_ARM, 'eae7', 0xc47, 'b       0x00000c1e', 0, ()),
    (REV_ALL_ARM, '14d9', 0xc19, 'bls     0x00000c44', 0, ()),
    (REV_ALL_ARM, '0239', 0xbf1, 'subs    r1, #2', 0, ()),
    (REV_ALL_ARM, '1eb1', 0xa33, 'cbz     r6, 0x00000a3c', 0, ()),
    (REV_ALL_ARM, '2846', 0xae9, 'mov     r0, r5', 0, ()),
    (REV_ALL_ARM, '00f2bb80', 0xae5, 'bhi     0x00000c5e', 0, ()),
    (REV_ALL_ARM, '023b', 0xc55, 'subs    r3, #2', 0, ()),
    (REV_ALL_ARM, '32e7', 0xc59, 'b       0x00000ac0', 0, ()),
    (REV_ALL_ARM, '6444', 0xa27, 'add     r4, r12', 0, ()),
    (REV_ALL_ARM, 'b3eb0802', 0xb8f, 'subs    r2, r3, r8', 0, ()),
    (REV_ALL_ARM, '65eb0e05', 0xb93, 'sbc     r5, r5, lr', 0, ()),
    (REV_ALL_ARM, '05fa07f7', 0xb97, 'lsl     r7, r5, r7', 0, ()),
    (REV_ALL_ARM, '22fa01f3', 0xb9b, 'lsr     r3, r2, r1', 0, ()),
    (REV_ALL_ARM, 'cd40', 0xb9f, 'lsrs    r5, r1', 0, ()),
    (REV_ALL_ARM, '1f43', 0xba1, 'orrs    r7, r3', 0, ()),
    (REV_ALL_ARM, 'c6e90075', 0xba3, 'strd    r7, r5, [r6]', 0, ()),
    (REV_ALL_ARM, '42e7', 0xc63, 'b       0x00000aea', 0, ()),
    #(REV_ALL_ARM, '1b4b', 0xc69, 'ldr     r3, [#0xcd8]', 0, ()),        #ldr     r3, [pc, #0x6c]
    (REV_ALL_ARM, '1888', 0xc6b, 'ldrh    r0, [r3]', 0, ()),
    (REV_ALL_ARM, '40f6e442', 0xc6d, 'movw   r2, #0xce4', 0, ()),      # movw    r2, #0xce4
    (REV_ALL_ARM, '10fb02f0', 0xc71, 'smulbb  r0, r0, r2', 0, ()),
    (REV_ALL_ARM, '00f6ff70', 0xc79, 'addw   r0, r0, #0xfff', 0, ()),  # addw    r0, r0, #0xfff
    (REV_ALL_ARM, '40f30f30', 0xc7d, 'sbfx    r0, r0, #0xc, #0x10', 0, ()),
    (REV_ALL_ARM, '10b5', 0xc81, 'push    {r4, lr}', 0, ()),
    (REV_ALL_ARM, '1880', 0xc83, 'strh    r0, [r3]', 0, ()),
    #(REV_ALL_ARM, '154b', 0xc85, 'ldr     r3, [#0xcdc]', 0, ()),     # [pc, #0x54]', 0, ()),
    (REV_ALL_ARM, '1988', 0xc87, 'ldrh    r1, [r3]', 0, ()),
    (REV_ALL_ARM, '11fb02f1', 0xc8d, 'smulbb  r1, r1, r2', 0, ()),
    (REV_ALL_ARM, '01f6ff71', 0xc95, 'addw   r1, r1, #0xfff', 0, ()),      # addw    r1, r1, #0xfff
    (REV_ALL_ARM, '0913', 0xc99, 'asrs    r1, r1, #0xc', 0, ()),
    (REV_ALL_ARM, '1980', 0xc9b, 'strh    r1, [r3]', 0, ()),
    (REV_ALL_ARM, '0a24', 0xc9d, 'movs    r4, #0xa', 0, ()),
    (REV_ALL_ARM, '4c43', 0xc9f, 'muls    r4, r1, r4', 0, ()),
    (REV_ALL_ARM, 'fff7c4fb', 0xca1, 'bl      0x0000042c', 0, ()),
    (REV_ALL_ARM, '08a3', 0xca5, 'adr     r3, #0xcc8', 0, ()),          # 0x20
    (REV_ALL_ARM, 'd3e90023', 0xca7, 'ldrd    r2, r3, [r3]', 0, ()),
    (REV_ALL_ARM, 'fff729fc', 0xcab, 'bl      0x00000500', 0, ()),
    (REV_ALL_ARM, 'fff74efd', 0xcb5, 'bl      0x00000754', 0, ()),
    (REV_ALL_ARM, 'fff734fe', 0xcb9, 'bl      0x00000924', 0, ()),
    (REV_ALL_ARM, '2146', 0xcbd, 'mov     r1, r4', 0, ()),
    (REV_ALL_ARM, 'bde81040', 0xcbf, 'pop     {r4, lr}', 0, ()),
    (REV_ALL_ARM, '02f0efb8', 0xcc3, 'b       0x00002ea4', 0, ()),
    (REV_ALL_ARM, '8468', 0xce3, 'ldr     r4, [r0, #8]', 0, ()),
    #(REV_ALL_ARM, '0748', 0xce5, 'ldr     r0, [#0xd04]', 0, ()),     # [pc, #0x1c]', 0, ()),
    (REV_ALL_ARM, '0bf0edfc', 0xce7, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '2060', 0xceb, 'str     r0, [r4]', 0, ()),
    (REV_ALL_ARM, '38b1', 0xced, 'cbz     r0, 0x00000cfe', 0, ()),
    (REV_ALL_ARM, 'fbe7', 0xd03, 'b       0x00000cfc', 0, ()),
    (REV_ALL_ARM, '4368', 0xcef, 'ldr     r3, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '0322', 0xcf1, 'movs    r2, #3', 0, ()),
    (REV_ALL_ARM, '1c68', 0xcf3, 'ldr     r4, [r3]', 0, ()),
    (REV_ALL_ARM, '0123', 0xcf7, 'movs    r3, #1', 0, ()),
    (REV_ALL_ARM, 'a047', 0xcf9, 'blx     r4', 0, ()),
    (REV_ALL_ARM, '10bd', 0xcfd, 'pop     {r4, pc}', 0, ()),
    (REV_ALL_ARM, '73b5', 0xd09, 'push    {r0, r1, r4, r5, r6, lr}', 0, ()),
    (REV_ALL_ARM, '0646', 0xd0d, 'mov     r6, r0', 0, ()),
    #(REV_ALL_ARM, '3448', 0xd0f, 'ldr     r0, [#0xde0]', 0, ()),     # [pc, #0xd0]
    (REV_ALL_ARM, '0bf0d8fc', 0xd11, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '6060', 0xd15, 'str     r0, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '68b3', 0xd17, 'cbz     r0, 0x00000d74', 0, ()),
    (REV_ALL_ARM, '02b0', 0xd79, 'add     sp, #8', 0, ()),
    #(REV_ALL_ARM, '3148', 0xd19, 'ldr     r0, [#0xde0]', 0, ()),     # [pc, #0xc4]', 0, ()),
    #(REV_ALL_ARM, 'a148', 0xd19, 'ldr     r0, [#0xfa0]', 0, ()),     # [pc, #0xc4]', 0, ()),
    (REV_ALL_ARM, '0bf0d3fc', 0xd1b, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'a060', 0xd1f, 'str     r0, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '40b3', 0xd21, 'cbz     r0, 0x00000d74', 0, ()),
    (REV_ALL_ARM, '6068', 0xd23, 'ldr     r0, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '0722', 0xd27, 'movs    r2, #7', 0, ()),
    (REV_ALL_ARM, '1d68', 0xd29, 'ldr     r5, [r3]', 0, ()),
    (REV_ALL_ARM, 'a847', 0xd2f, 'blx     r5', 0, ()),
    (REV_ALL_ARM, 'a068', 0xd31, 'ldr     r0, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '0622', 0xd35, 'movs    r2, #6', 0, ()),
    (REV_ALL_ARM, '0bf0c0fc', 0xd41, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'a8b1', 0xd47, 'cbz     r0, 0x00000d74', 0, ()),
    (REV_ALL_ARM, '4ff4fa70', 0xd49, 'mov     r0, #0x1f4', 0, ()),
    (REV_ALL_ARM, '0cf044fa', 0xd4d, 'bl      0x0000d1d8', 0, ()),
    (REV_ALL_ARM, 'b468', 0xd51, 'ldr     r4, [r6, #8]', 0, ()),
    (REV_ALL_ARM, '0521', 0xd53, 'movs    r1, #5', 0, ()),
    (REV_ALL_ARM, '2068', 0xd55, 'ldr     r0, [r4]', 0, ()),
    (REV_ALL_ARM, '0cf079ff', 0xd57, 'bl      0x0000dc4c', 0, ()),
    (REV_ALL_ARM, '0546', 0xd5b, 'mov     r5, r0', 0, ()),
    (REV_ALL_ARM, '70b1', 0xd5d, 'cbz     r0, 0x00000d7c', 0, ()),
    (REV_ALL_ARM, '0520', 0xd7d, 'movs    r0, #5', 0, ()),
    (REV_ALL_ARM, '0cf02bfa', 0xd7f, 'bl      0x0000d1d8', 0, ()),
    (REV_ALL_ARM, '0df10702', 0xd83, 'add     r2, sp, #7', 0, ()),
    (REV_ALL_ARM, '0321', 0xd89, 'movs    r1, #3', 0, ()),
    (REV_ALL_ARM, '0cf073ff', 0xd8b, 'bl      0x0000dc74', 0, ()),
    (REV_ALL_ARM, '9df80730', 0xd8f, 'ldrb    r3, [sp, #7]', 0, ()),
    #(REV_ALL_ARM, '23f00402', 0xd93, 'bic     r2, r3, #0x4', 0, ()),
    (REV_ALL_ARM, 'e1d1', 0xd99, 'bne     0x00000d5e', 0, ()),
    (REV_ALL_ARM, '224a', 0xd5f, 'ldr     r2, [#0xde8]', 0, ()),        # pc, #0x88
    (REV_ALL_ARM, 'd21a', 0xd65, 'subs    r2, r2, r3', 0, ()),
    (REV_ALL_ARM, 'd208', 0xd67, 'lsrs    r2, r2, #3', 0, ()),
    (REV_ALL_ARM, '9201', 0xd69, 'lsls    r2, r2, #6', 0, ()),
    (REV_ALL_ARM, '42f00102', 0xd6b, 'orr     r2, r2, #1', 0, ()),
    (REV_ALL_ARM, '0ef0cdfc', 0xd71, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '5b07', 0xd9b, 'lsls    r3, r3, #0x1d', 0, ()),
    (REV_ALL_ARM, '18d5', 0xd9d, 'bpl     0x00000dd0', 0, ()),
    (REV_ALL_ARM, '0022', 0xdd1, 'movs    r2, #0', 0, ()),
    (REV_ALL_ARM, 'bde87040', 0xdd9, 'pop     {r4, r5, r6, lr}', 0, ()),
    (REV_ALL_ARM, '0cf063bf', 0xddd, 'b       0x0000dca6', 0, ()),
    (REV_ALL_ARM, '2546', 0xd9f, 'mov     r5, r4', 0, ()),
    (REV_ALL_ARM, '04f10c02', 0xda1, 'add     r2, r4, #0xc', 0, ()),
    (REV_ALL_ARM, '55f80d0b', 0xda5, 'ldr     r0, [r5], #0xd', 0, ()),
    (REV_ALL_ARM, '0621', 0xda9, 'movs    r1, #6', 0, ()),
    (REV_ALL_ARM, '0cf063ff', 0xdab, 'bl      0x0000dc74', 0, ()),
    (REV_ALL_ARM, '2a46', 0xdb1, 'mov     r2, r5', 0, ()),
    (REV_ALL_ARM, '0721', 0xdb3, 'movs    r1, #7', 0, ()),
    (REV_ALL_ARM, '0cf05eff', 0xdb5, 'bl      0x0000dc74', 0, ()),
    (REV_ALL_ARM, '0c4a', 0xdb9, 'ldr     r2, [#0xdec]', 0, ()),        # pc, #0x30
    (REV_ALL_ARM, '217b', 0xdbd, 'ldrb    r1, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '9b1a', 0xdc1, 'subs    r3, r3, r2', 0, ()),
    (REV_ALL_ARM, 'db08', 0xdc3, 'lsrs    r3, r3, #3', 0, ()),
    (REV_ALL_ARM, '9b01', 0xdc5, 'lsls    r3, r3, #6', 0, ()),
    (REV_ALL_ARM, '627b', 0xdc7, 'ldrb    r2, [r4, #0xd]', 0, ()),
    (REV_ALL_ARM, '43f00303', 0xdc9, 'orr     r3, r3, #3', 0, ()),
    (REV_ALL_ARM, '0ef0b3fc', 0xdcd, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '2de9f341', 0xdf9, 'push    {r0, r1, r4, r5, r6, r7, r8, lr}', 0, ()),
    (REV_ALL_ARM, '8768', 0xdfd, 'ldr     r7, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '0bf060fc', 0xe01, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '70b9', 0xe07, 'cbnz    r0, 0x00000e26', 0, ()),
    (REV_ALL_ARM, '0726', 0xe27, 'movs    r6, #7', 0, ()),
    (REV_ALL_ARM, '1849', 0xe0b, 'ldr     r1, [#0xe6c]', 0, ()),        # pc, #0x60
    (REV_ALL_ARM, 'c91a', 0xe0f, 'subs    r1, r1, r3', 0, ()),
    (REV_ALL_ARM, 'c908', 0xe11, 'lsrs    r1, r1, #3', 0, ()),
    (REV_ALL_ARM, '8901', 0xe13, 'lsls    r1, r1, #6', 0, ()),
    (REV_ALL_ARM, '41f00101', 0xe15, 'orr     r1, r1, #1', 0, ()),
    (REV_ALL_ARM, '0ef06cfc', 0xe19, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '5b00', 0xe2b, 'lsls    r3, r3, #1', 0, ()),
    (REV_ALL_ARM, 'dcb2', 0xe2d, 'uxtb    r4, r3', 0, ()),
    (REV_ALL_ARM, '6b68', 0xe2f, 'ldr     r3, [r5, #4]', 0, ()),
    (REV_ALL_ARM, '3246', 0xe31, 'mov     r2, r6', 0, ()),
    (REV_ALL_ARM, 'd3f80080', 0xe33, 'ldr     r8, [r3]', 0, ()),
    (REV_ALL_ARM, '4ff40073', 0xe39, 'mov     r3, #0x200', 0, ()),
    (REV_ALL_ARM, 'c047', 0xe3f, 'blx     r8', 0, ()),
    (REV_ALL_ARM, 'd3f80880', 0xe45, 'ldr     r8, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '01ab', 0xe4b, 'add     r3, sp, #4', 0, ()),
    (REV_ALL_ARM, '013e', 0xe51, 'subs    r6, #1', 0, ()),
    (REV_ALL_ARM, '9df80430', 0xe53, 'ldrb    r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '032e', 0xe57, 'cmp     r6, #3', 0, ()),
    (REV_ALL_ARM, '43ea0403', 0xe59, 'orr     r3, r3, r4', 0, ()),
    (REV_ALL_ARM, 'e5d1', 0xe5d, 'bne     0x00000e2a', 0, ()),
    (REV_ALL_ARM, '3b70', 0xe5f, 'strb    r3, [r7]', 0, ()),
    (REV_ALL_ARM, 'dde7', 0xe63, 'b       0x00000e20', 0, ()),
    (REV_ALL_ARM, 'bde8f081', 0xe23, 'pop     {r4, r5, r6, r7, r8, pc}', 0, ()),
    (REV_ALL_ARM, '51d0', 0xe7b, 'beq     0x00000f20', 0, ()),
    (REV_ALL_ARM, '0578', 0xe7d, 'ldrb    r5, [r0]', 0, ()),
    (REV_ALL_ARM, '012d', 0xe7f, 'cmp     r5, #1', 0, ()),
    (REV_ALL_ARM, '0025', 0xe8f, 'movs    r5, #0', 0, ()),
    (REV_ALL_ARM, '4068', 0xe83, 'ldr     r0, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '0df007f8', 0xe85, 'bl      0x0000de96', 0, ()),
    (REV_ALL_ARM, '10b9', 0xe89, 'cbnz    r0, 0x00000e90', 0, ()),
    (REV_ALL_ARM, '15b1', 0xf07, 'cbz     r5, 0x00000f0e', 0, ()),
    (REV_ALL_ARM, 'd4f82868', 0xe97, 'ldr     r6, [r4, #0x828]', 0, ()),
    (REV_ALL_ARM, 'd4f81054', 0xe9b, 'ldr     r5, [r4, #0x410]', 0, ()),
    (REV_ALL_ARM, '2eb1', 0xe9f, 'cbz     r6, 0x00000eac', 0, ()),
    (REV_ALL_ARM, '2378', 0xe91, 'ldrb    r3, [r4]', 0, ()),
    (REV_ALL_ARM, '022b', 0xe93, 'cmp     r3, #2', 0, ()),
    (REV_ALL_ARM, '37d1', 0xe95, 'bne     0x00000f06', 0, ()),
    (REV_ALL_ARM, '0223', 0xe8b, 'movs    r3, #2', 0, ()),
    (REV_ALL_ARM, '2370', 0xe8d, 'strb    r3, [r4]', 0, ()),
    (REV_ALL_ARM, 'b4f81614', 0xf0f, 'ldrh    r1, [r4, #0x416]', 0, ()),
    (REV_ALL_ARM, '00f014bb', 0xf19, 'b       0x00001544', 0, ()),
    (REV_ALL_ARM, '00f023fb', 0xf0b, 'bl      0x00001554', 0, ()),
    (REV_ALL_ARM, 'd4f81804', 0xead, 'ldr     r0, [r4, #0x418]', 0, ()),
    (REV_ALL_ARM, '28b1', 0xeb1, 'cbz     r0, 0x00000ebe', 0, ()),
    (REV_ALL_ARM, 'd4f82408', 0xea5, 'ldr     r0, [r4, #0x824]', 0, ()),
    (REV_ALL_ARM, 'b047', 0xea9, 'blx     r6', 0, ()),
    (REV_ALL_ARM, 'd4f81024', 0xebf, 'ldr     r2, [r4, #0x410]', 0, ()),
    (REV_ALL_ARM, '8ab1', 0xec3, 'cbz     r2, 0x00000ee8', 0, ()),
    (REV_ALL_ARM, '04f58261', 0xeb3, 'add     r1, r4, #0x410', 0, ()),
    (REV_ALL_ARM, '00f0c5fc', 0xeb7, 'bl      0x00001844', 0, ()),
    (REV_ALL_ARM, 'a4f81604', 0xebb, 'strh    r0, [r4, #0x416]', 0, ()),
    (REV_ALL_ARM, 'babf', 0xeef, 'itte    lt', 0, ()),
    (REV_ALL_ARM, 'b5fa85f3', 0xef1, 'clz     r3, r5', 0, ()),
    (REV_ALL_ARM, '5b09', 0xef5, 'lsrs    r3, r3, #5', 0, ()),
    (REV_ALL_ARM, '43ea0600', 0xef9, 'orr     r0, r3, r6', 0, ()),
    (REV_ALL_ARM, '72b9', 0xefd, 'cbnz    r2, 0x00000f1c', 0, ()),
    (REV_ALL_ARM, '43f00203', 0xed1, 'orr     r3, r3, #2', 0, ()),
    (REV_ALL_ARM, '0ef02efc', 0xed7, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, 'd4f82c38', 0xedb, 'ldr     r3, [r4, #0x82c]', 0, ()),
    (REV_ALL_ARM, '1bb1', 0xedf, 'cbz     r3, 0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'efe7', 0xf1f, 'b       0x00000f00', 0, ()),
    (REV_ALL_ARM, 'ed0f', 0xeff, 'lsrs    r5, r5, #0x1f', 0, ()),
    (REV_ALL_ARM, '9847', 0xee7, 'blx     r3', 0, ()),
    (REV_ALL_ARM, '0543', 0xf01, 'orrs    r5, r0', 0, ()),
    (REV_ALL_ARM, '05f00105', 0xf03, 'and     r5, r5, #1', 0, ()),
    (REV_ALL_ARM, 'f0b5', 0xf35, 'push    {r4, r5, r6, r7, lr}', 0, ()),
    (REV_ALL_ARM, '8878', 0xf39, 'ldrb    r0, [r1, #2]', 0, ()),
    (REV_ALL_ARM, 'd6f81c34', 0xf3b, 'ldr     r3, [r6, #0x41c]', 0, ()),
    (REV_ALL_ARM, '89b0', 0xf3f, 'sub     sp, #0x24', 0, ()),
    (REV_ALL_ARM, '0c46', 0xf41, 'mov     r4, r1', 0, ()),
    (REV_ALL_ARM, 'ff2a', 0xf89, 'cmp     r2, #0xff', 0, ()),
    (REV_ALL_ARM, '03f10803', 0xf8b, 'add     r3, r3, #8', 0, ()),
    (REV_ALL_ARM, 'd8d1', 0xf8f, 'bne     0x00000f42', 0, ()),
    (REV_ALL_ARM, '4f68', 0xf4b, 'ldr     r7, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '0fbb', 0xf4d, 'cbnz    r7, 0x00000f92', 0, ()),
    (REV_ALL_ARM, '1a78', 0xf43, 'ldrb    r2, [r3]', 0, ()),
    (REV_ALL_ARM, '1ed1', 0xf49, 'bne     0x00000f88', 0, ()),
    (REV_ALL_ARM, 'dbe7', 0xf91, 'b       0x00000f4a', 0, ()),
    (REV_ALL_ARM, 'd6f82418', 0xf93, 'ldr     r1, [r6, #0x824]', 0, ()),
    (REV_ALL_ARM, 'b847', 0xf99, 'blx     r7', 0, ()),
    (REV_ALL_ARM, '0746', 0xf9b, 'mov     r7, r0', 0, ()),
    (REV_ALL_ARM, '0cf0a9ff', 0xf55, 'bl      0x0000deaa', 0, ()),
    (REV_ALL_ARM, 'a378', 0xf59, 'ldrb    r3, [r4, #2]', 0, ()),
    (REV_ALL_ARM, '0293', 0xf5b, 'str     r3, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '6378', 0xf5d, 'ldrb    r3, [r4, #1]', 0, ()),
    (REV_ALL_ARM, '0393', 0xf5f, 'str     r3, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, 'e378', 0xf61, 'ldrb    r3, [r4, #3]', 0, ()),
    (REV_ALL_ARM, '0493', 0xf63, 'str     r3, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'ed08', 0xf65, 'lsrs    r5, r5, #3', 0, ()),
    (REV_ALL_ARM, '2379', 0xf67, 'ldrb    r3, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '0593', 0xf69, 'str     r3, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, 'ad01', 0xf6b, 'lsls    r5, r5, #6', 0, ()),
    (REV_ALL_ARM, '6379', 0xf6d, 'ldrb    r3, [r4, #5]', 0, ()),
    (REV_ALL_ARM, '0693', 0xf6f, 'str     r3, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '45f00205', 0xf71, 'orr     r5, r5, #2', 0, ()),
    (REV_ALL_ARM, 'a379', 0xf75, 'ldrb    r3, [r4, #6]', 0, ()),
    (REV_ALL_ARM, '0190', 0xf77, 'str     r0, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '0793', 0xf79, 'str     r3, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '2b46', 0xf7d, 'mov     r3, r5', 0, ()),
    (REV_ALL_ARM, '01a9', 0xf81, 'add     r1, sp, #4', 0, ()),
    (REV_ALL_ARM, '0ef00dfc', 0xf83, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '09e0', 0xf87, 'b       0x00000f9c', 0, ()),
    (REV_ALL_ARM, '3846', 0xfa7, 'mov     r0, r7', 0, ()),
    (REV_ALL_ARM, '09b0', 0xfa9, 'add     sp, #0x24', 0, ()),
    (REV_ALL_ARM, 'f0bd', 0xfab, 'pop     {r4, r5, r6, r7, pc}', 0, ()),
    (REV_ALL_ARM, 'd6f82038', 0xf9d, 'ldr     r3, [r6, #0x820]', 0, ()),
    (REV_ALL_ARM, '0bb1', 0xfa1, 'cbz     r3, 0x00000fa6', 0, ()),
    (REV_ALL_ARM, '85b0', 0xfbb, 'sub     sp, #0x14', 0, ()),
    (REV_ALL_ARM, '0026', 0xfbd, 'movs    r6, #0', 0, ()),
    (REV_ALL_ARM, '0396', 0xfbf, 'str     r6, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '43d0', 0xfc5, 'beq     0x0000104e', 0, ()),
    (REV_ALL_ARM, '05b0', 0x104f, 'add     sp, #0x14', 0, ()),
    (REV_ALL_ARM, 'b0f80c14', 0xfc7, 'ldrh    r1, [r0, #0x40c]', 0, ()),
    (REV_ALL_ARM, 'c1f58062', 0xfcb, 'rsb     r2, r1, #0x400', 0, ()),
    (REV_ALL_ARM, '0c31', 0xfcf, 'adds    r1, #0xc', 0, ()),
    (REV_ALL_ARM, '0144', 0xfd1, 'add     r1, r0', 0, ()),
    (REV_ALL_ARM, '92b2', 0xfd3, 'uxth    r2, r2', 0, ()),
    (REV_ALL_ARM, '8068', 0xfd5, 'ldr     r0, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '0cf004ff', 0xfd7, 'bl      0x0000dde2', 0, ()),
    (REV_ALL_ARM, '051e', 0xfdb, 'subs    r5, r0, #0', 0, ()),
    (REV_ALL_ARM, '13da', 0xfdd, 'bge     0x00001006', 0, ()),
    (REV_ALL_ARM, 'b4f80c04', 0x1007, 'ldrh    r0, [r4, #0x40c]', 0, ()),
    (REV_ALL_ARM, '1023', 0x100b, 'movs    r3, #0x10', 0, ()),
    (REV_ALL_ARM, '0544', 0x100d, 'add     r5, r0', 0, ()),
    (REV_ALL_ARM, '03ab', 0x1011, 'add     r3, sp, #0xc', 0, ()),
    (REV_ALL_ARM, 'a4f80c54', 0x1013, 'strh    r5, [r4, #0x40c]', 0, ()),
    (REV_ALL_ARM, '04f58467', 0x1017, 'add     r7, r4, #0x420', 0, ()),
    (REV_ALL_ARM, '0093', 0x101b, 'str     r3, [sp]', 0, ()),
    (REV_ALL_ARM, '94f81424', 0x101d, 'ldrb    r2, [r4, #0x414]', 0, ()),
    (REV_ALL_ARM, '3b46', 0x1021, 'mov     r3, r7', 0, ()),
    (REV_ALL_ARM, '04f20c41', 0x1023, 'addw   r1, r4, #0x40c', 0, ()),      # addw
    (REV_ALL_ARM, '04f10c00', 0x1027, 'add     r0, r4, #0xc', 0, ()),
    (REV_ALL_ARM, '0cf055ff', 0x102b, 'bl      0x0000ded8', 0, ()),
    (REV_ALL_ARM, 'd5db', 0x1031, 'blt     0x00000fde', 0, ()),
    (REV_ALL_ARM, '6942', 0xfef, 'rsbs    r1, r5, #0', 0, ()),
    (REV_ALL_ARM, '0ef08dfb', 0xff1, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'd4f81034', 0xff5, 'ldr     r3, [r4, #0x410]', 0, ()),
    (REV_ALL_ARM, 'c4f81054', 0xff9, 'str     r5, [r4, #0x410]', 0, ()),
    (REV_ALL_ARM, '3bbb', 0xffd, 'cbnz    r3, 0x0000104e', 0, ()),
    (REV_ALL_ARM, '039b', 0x1033, 'ldr     r3, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '5bb1', 0x1035, 'cbz     r3, 0x0000104e', 0, ()),
    (REV_ALL_ARM, '00f0a8fa', 0x1001, 'bl      0x00001554', 0, ()),
    (REV_ALL_ARM, '23e0', 0x1005, 'b       0x0000104e', 0, ()),
    (REV_ALL_ARM, 'c4f81064', 0x103b, 'str     r6, [r4, #0x410]', 0, ()),
    (REV_ALL_ARM, '003d', 0x103f, 'subs    r5, #0', 0, ()),
    (REV_ALL_ARM, '0125', 0x1043, 'movs    r5, #1', 0, ()),
    (REV_ALL_ARM, '3946', 0x1053, 'mov     r1, r7', 0, ()),
    (REV_ALL_ARM, 'fff76dff', 0x1057, 'bl      0x00000f34', 0, ()),
    (REV_ALL_ARM, 'edb2', 0x105d, 'uxtb    r5, r5', 0, ()),
    (REV_ALL_ARM, '0136', 0x105f, 'adds    r6, #1', 0, ()),
    (REV_ALL_ARM, '4037', 0x1061, 'adds    r7, #0x40', 0, ()),
    (REV_ALL_ARM, '002d', 0x104b, 'cmp     r5, #0', 0, ()),
    (REV_ALL_ARM, 'd7d1', 0x104d, 'bne     0x00000ffe', 0, ()),
    (REV_ALL_ARM, '9e42', 0x1047, 'cmp     r6, r3', 0, ()),
    (REV_ALL_ARM, '03db', 0x1049, 'blt     0x00001052', 0, ()),
    (REV_ALL_ARM, '8c46', 0x1077, 'mov     r12, r1', 0, ()),
    (REV_ALL_ARM, '3168', 0x1079, 'ldr     r1, [r6]', 0, ()),
    (REV_ALL_ARM, '0229', 0x107b, 'cmp     r1, #2', 0, ()),
    (REV_ALL_ARM, '0edd', 0x107f, 'ble     0x0000109e', 0, ()),
    (REV_ALL_ARM, '481c', 0x109f, 'adds    r0, r1, #1', 0, ()),
    (REV_ALL_ARM, '3060', 0x10a1, 'str     r0, [r6]', 0, ()),
    (REV_ALL_ARM, '40f63400', 0x10a3, 'movw   r0, #0x834', 0, ()),
    (REV_ALL_ARM, '4843', 0x10a7, 'muls    r0, r1, r0', 0, ()),
    (REV_ALL_ARM, '4418', 0x10ab, 'adds    r4, r0, r1', 0, ()),
    (REV_ALL_ARM, '0027', 0x10ad, 'movs    r7, #0', 0, ()),
    (REV_ALL_ARM, 'c4f82838', 0x10af, 'str     r3, [r4, #0x828]', 0, ()),
    (REV_ALL_ARM, '099b', 0x10b3, 'ldr     r3, [sp, #0x24]', 0, ()),
    (REV_ALL_ARM, 'c4f82438', 0x10b5, 'str     r3, [r4, #0x824]', 0, ()),
    (REV_ALL_ARM, '0a9b', 0x10b9, 'ldr     r3, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, 'c4f81c24', 0x10bb, 'str     r2, [r4, #0x41c]', 0, ()),
    (REV_ALL_ARM, '4754', 0x10bf, 'strb    r7, [r0, r1]', 0, ()),
    (REV_ALL_ARM, 'c4f818c4', 0x10c1, 'str     r12, [r4, #0x418]', 0, ()),
    (REV_ALL_ARM, 'c4f82038', 0x10c5, 'str     r3, [r4, #0x820]', 0, ()),
    (REV_ALL_ARM, '00f0d0f9', 0x10c9, 'bl      0x0000146c', 0, ()),
    (REV_ALL_ARM, '2968', 0x10cd, 'ldr     r1, [r5]', 0, ()),
    (REV_ALL_ARM, '00f050f9', 0x10d1, 'bl      0x00001374', 0, ()),
    (REV_ALL_ARM, '021e', 0x10d5, 'subs    r2, r0, #0', 0, ()),
    (REV_ALL_ARM, '04f10808', 0x10d7, 'add     r8, r4, #8', 0, ()),
    (REV_ALL_ARM, '0eda', 0x10db, 'bge     0x000010fa', 0, ()),
    (REV_ALL_ARM, '0ef03dfb', 0x1091, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '013a', 0x10fb, 'subs    r2, #1', 0, ()),
    (REV_ALL_ARM, '0122', 0x10ff, 'movs    r2, #1', 0, ()),
    (REV_ALL_ARM, '84f83028', 0x1101, 'strb    r2, [r4, #0x830]', 0, ()),
    (REV_ALL_ARM, '2b79', 0x1105, 'ldrb    r3, [r5, #4]', 0, ()),
    (REV_ALL_ARM, '84f81434', 0x1107, 'strb    r3, [r4, #0x414]', 0, ()),
    (REV_ALL_ARM, '0194', 0x110b, 'str     r4, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'a368', 0x110d, 'ldr     r3, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '089b', 0x1113, 'ldr     r3, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, 'a868', 0x1117, 'ldr     r0, [r5, #8]', 0, ()),
    (REV_ALL_ARM, '20b9', 0x111f, 'cbnz    r0, 0x0000112a', 0, ()),
    (REV_ALL_ARM, '43f00103', 0x10eb, 'orr     r3, r3, #1', 0, ()),
    (REV_ALL_ARM, '0ef022fb', 0x10ef, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '42f00302', 0x1139, 'orr     r2, r2, #3', 0, ()),
    (REV_ALL_ARM, '0ef0e7fa', 0x113d, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'a9e7', 0x1141, 'b       0x00001096', 0, ()),
    (REV_ALL_ARM, 'd8f80000', 0x1121, 'ldr     r0, [r8]', 0, ()),
    (REV_ALL_ARM, '0cf0a1fe', 0x1125, 'bl      0x0000de6a', 0, ()),
    (REV_ALL_ARM, 'e3e7', 0x1129, 'b       0x000010f2', 0, ()),
    (REV_ALL_ARM, '0024', 0x1095, 'movs    r4, #0', 0, ()),
    (REV_ALL_ARM, '3368', 0x10f3, 'ldr     r3, [r6]', 0, ()),
    (REV_ALL_ARM, '013b', 0x10f5, 'subs    r3, #1', 0, ()),
    (REV_ALL_ARM, '3360', 0x10f7, 'str     r3, [r6]', 0, ()),
    (REV_ALL_ARM, 'cce7', 0x10f9, 'b       0x00001094', 0, ()),
    (REV_ALL_ARM, '38b5', 0x1169, 'push    {r3, r4, r5, lr}', 0, ()),
    (REV_ALL_ARM, '58b3', 0x116d, 'cbz     r0, 0x000011c6', 0, ()),
    (REV_ALL_ARM, '6ff01504', 0x11c7, 'mvn     r4, #0x15', 0, ()),
    (REV_ALL_ARM, 'e0e7', 0x11cb, 'b       0x0000118e', 0, ()),
    (REV_ALL_ARM, '0cf091fe', 0x1171, 'bl      0x0000de96', 0, ()),
    (REV_ALL_ARM, '041e', 0x1175, 'subs    r4, r0, #0', 0, ()),
    (REV_ALL_ARM, '0adb', 0x1177, 'blt     0x0000118e', 0, ()),
    (REV_ALL_ARM, '38bd', 0x1191, 'pop     {r3, r4, r5, pc}', 0, ()),
    (REV_ALL_ARM, '6868', 0x117b, 'ldr     r0, [r5, #4]', 0, ()),
    (REV_ALL_ARM, '2b70', 0x117d, 'strb    r3, [r5]', 0, ()),
    (REV_ALL_ARM, '0421', 0x117f, 'movs    r1, #4', 0, ()),
    (REV_ALL_ARM, '00f0e0f9', 0x1181, 'bl      0x00001544', 0, ()),
    (REV_ALL_ARM, '04da', 0x1187, 'bge     0x00001192', 0, ()),
    (REV_ALL_ARM, '4ff48062', 0x1193, 'mov     r2, #0x400', 0, ()),
    (REV_ALL_ARM, '05f10c00', 0x1199, 'add     r0, r5, #0xc', 0, ()),
    (REV_ALL_ARM, '0ff0cffe', 0x119d, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, '0423', 0x11a1, 'movs    r3, #4', 0, ()),
    (REV_ALL_ARM, 'a5f81634', 0x11a3, 'strh    r3, [r5, #0x416]', 0, ()),
    (REV_ALL_ARM, 'a5f80c44', 0x11b5, 'strh    r4, [r5, #0x40c]', 0, ()),
    (REV_ALL_ARM, 'c5f81044', 0x11b9, 'str     r4, [r5, #0x410]', 0, ()),
    (REV_ALL_ARM, '41f00301', 0x11bd, 'orr     r1, r1, #3', 0, ()),
    (REV_ALL_ARM, '0ef098fa', 0x11c1, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0cf083fe', 0x118b, 'bl      0x0000de94', 0, ()),
    (REV_ALL_ARM, '91b0', 0x11dd, 'sub     sp, #0x44', 0, ()),
    (REV_ALL_ARM, 'e8b1', 0x11e1, 'cbz     r0, 0x0000121e', 0, ()),
    (REV_ALL_ARM, '4ff0ff34', 0x121f, 'mov     r4, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'f4e7', 0x1223, 'b       0x0000120e', 0, ()),
    (REV_ALL_ARM, 'e1b1', 0x11e3, 'cbz     r1, 0x0000121e', 0, ()),
    (REV_ALL_ARM, '11b0', 0x1211, 'add     sp, #0x44', 0, ()),
    (REV_ALL_ARM, '90f81424', 0x11e5, 'ldrb    r2, [r0, #0x414]', 0, ()),
    (REV_ALL_ARM, '91f84310', 0x11e9, 'ldrb    r1, [r1, #0x43]', 0, ()),
    (REV_ALL_ARM, 'e01c', 0x11ed, 'adds    r0, r4, #3', 0, ()),
    (REV_ALL_ARM, '6b46', 0x11ef, 'mov     r3, sp', 0, ()),
    (REV_ALL_ARM, '00f0f4f9', 0x11f1, 'bl      0x000015dc', 0, ()),
    (REV_ALL_ARM, '0dda', 0x11f7, 'bge     0x00001214', 0, ()),
    (REV_ALL_ARM, '6946', 0x1215, 'mov     r1, sp', 0, ()),
    (REV_ALL_ARM, 'fff78cfe', 0x1219, 'bl      0x00000f34', 0, ()),
    (REV_ALL_ARM, 'f7e7', 0x121d, 'b       0x0000120e', 0, ()),
    (REV_ALL_ARM, '0ef080fa', 0x120b, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '2822', 0x1233, 'movs    r2, #0x28', 0, ()),
    (REV_ALL_ARM, '02fb0030', 0x1235, 'mla     r0, r2, r0, r3', 0, ()),
    (REV_ALL_ARM, '8369', 0x1239, 'ldr     r3, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, 'c069', 0x123d, 'ldr     r0, [r0, #0x1c]', 0, ()),
    (REV_ALL_ARM, '1847', 0x123f, 'bx      r3', 0, ()),
    (REV_ALL_ARM, '2de9f74f', 0x1249, 'push    {r0, r1, r2, r4, r5, r6, r7, r8, r9, r10, r11, lr}', 0, ()),
    (REV_ALL_ARM, 'd0f80080', 0x1251, 'ldr     r8, [r0]', 0, ()),
    (REV_ALL_ARM, '076a', 0x1255, 'ldr     r7, [r0, #0x20]', 0, ()),
    #(REV_ALL_ARM, 'dff89cb0', 0x1257, 'ldr     r11, [#0x12f4]', 0, ()),       # [pc, #0x9c]', 0, ()),
    (REV_ALL_ARM, '4ff00009', 0x1263, 'mov     r9, #0', 0, ()),
    (REV_ALL_ARM, '45f00105', 0x1267, 'orr     r5, r5, #1', 0, ()),
    (REV_ALL_ARM, '0df10301', 0x12dd, 'add     r1, sp, #3', 0, ()),
    (REV_ALL_ARM, '0cf049fd', 0x12e3, 'bl      0x0000dd78', 0, ()),
    (REV_ALL_ARM, 'd9e7', 0x12e9, 'b       0x0000129e', 0, ()),
    (REV_ALL_ARM, '0199', 0x127b, 'ldr     r1, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '0cf07bfd', 0x127f, 'bl      0x0000dd78', 0, ()),
    (REV_ALL_ARM, '4ff00109', 0x128b, 'mov     r9, #1', 0, ()),
    (REV_ALL_ARM, '0df0dafd', 0x128f, 'bl      0x0000ee46', 0, ()),
    (REV_ALL_ARM, '18b1', 0x1295, 'cbz     r0, 0x0000129e', 0, ()),
    (REV_ALL_ARM, '0cb1', 0x129f, 'cbz     r4, 0x000012a4', 0, ()),
    (REV_ALL_ARM, '5846', 0x1299, 'mov     r0, r11', 0, ()),
    (REV_ALL_ARM, '0ef038fa', 0x129b, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'b9f1000f', 0x12a5, 'cmp     r9, #0', 0, ()),
    (REV_ALL_ARM, '14d0', 0x12a9, 'beq     0x000012d4', 0, ()),
    (REV_ALL_ARM, 'a245', 0x12a1, 'cmp     r10, r4', 0, ()),
    (REV_ALL_ARM, '03b0', 0x12d5, 'add     sp, #0xc', 0, ()),
    (REV_ALL_ARM, 'bde8f08f', 0x12d7, 'pop     {r4, r5, r6, r7, r8, r9, r10, r11, pc}', 0, ()),
    (REV_ALL_ARM, '06f11403', 0x12ab, 'add     r3, r6, #0x14', 0, ()),
    (REV_ALL_ARM, 'bff35b8f', 0x12af, 'dmb     ISH', 0, ()),
    (REV_ALL_ARM, '3a69', 0x126b, 'ldr     r2, [r7, #0x10]', 0, ()),
    (REV_ALL_ARM, '0df0cdfd', 0x1271, 'bl      0x0000ee0e', 0, ()),
    (REV_ALL_ARM, '8246', 0x1275, 'mov     r10, r0', 0, ()),
    (REV_ALL_ARM, '80b3', 0x1277, 'cbz     r0, 0x000012da', 0, ()),
    (REV_ALL_ARM, '53e8002f', 0x12b3, 'ldrex   r2, [r3]', 0, ()),
    (REV_ALL_ARM, '42f00101', 0x12b7, 'orr     r1, r2, #1', 0, ()),
    (REV_ALL_ARM, '43e80010', 0x12bb, 'strex   r0, r1, [r3]', 0, ()),
    (REV_ALL_ARM, 'f7d1', 0x12c1, 'bne     0x000012b2', 0, ()),
    (REV_ALL_ARM, 'd307', 0x12c7, 'lsls    r3, r2, #0x1f', 0, ()),
    (REV_ALL_ARM, '04d4', 0x12c9, 'bmi     0x000012d4', 0, ()),
    (REV_ALL_ARM, '06f10c01', 0x12cd, 'add     r1, r6, #0xc', 0, ()),
    (REV_ALL_ARM, '11f080f9', 0x12d1, 'bl      0x000125d4', 0, ()),
    (REV_ALL_ARM, '0cf05cfd', 0x1301, 'bl      0x0000ddbc', 0, ()),
    (REV_ALL_ARM, '0cf043fd', 0x1307, 'bl      0x0000dd90', 0, ()),
    (REV_ALL_ARM, '40b1', 0x130b, 'cbz     r0, 0x0000131e', 0, ()),
    (REV_ALL_ARM, '0cf039fd', 0x130f, 'bl      0x0000dd84', 0, ()),
    (REV_ALL_ARM, '20b1', 0x1313, 'cbz     r0, 0x0000131e', 0, ()),
    (REV_ALL_ARM, 'fff795bf', 0x131b, 'b       0x00001248', 0, ()),
    (REV_ALL_ARM, '0cf048fd', 0x1329, 'bl      0x0000ddbc', 0, ()),
    (REV_ALL_ARM, '0cf02ffd', 0x132f, 'bl      0x0000dd90', 0, ()),
    (REV_ALL_ARM, '0cf025fd', 0x1337, 'bl      0x0000dd84', 0, ()),
    (REV_ALL_ARM, 'fff781bf', 0x1343, 'b       0x00001248', 0, ()),
    (REV_ALL_ARM, '0cf034fd', 0x1351, 'bl      0x0000ddbc', 0, ()),
    (REV_ALL_ARM, '0cf01bfd', 0x1357, 'bl      0x0000dd90', 0, ()),
    (REV_ALL_ARM, '0cf011fd', 0x135f, 'bl      0x0000dd84', 0, ()),
    (REV_ALL_ARM, 'fff76dbf', 0x136b, 'b       0x00001248', 0, ()),
    (REV_ALL_ARM, '0e46', 0x137b, 'mov     r6, r1', 0, ()),
    (REV_ALL_ARM, '0bf0a2f9', 0x137d, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'ac42', 0x13a5, 'cmp     r4, r5', 0, ()),
    (REV_ALL_ARM, '4ff00003', 0x13a7, 'mov     r3, #0', 0, ()),
    (REV_ALL_ARM, '04d1', 0x13ab, 'bne     0x000013b6', 0, ()),
    (REV_ALL_ARM, '0ef0baf9', 0x1397, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '05f12802', 0x13b7, 'add     r2, r5, #0x28', 0, ()),
    (REV_ALL_ARM, '9442', 0x13bb, 'cmp     r4, r2', 0, ()),
    (REV_ALL_ARM, '1bd1', 0x13bd, 'bne     0x000013f6', 0, ()),
    (REV_ALL_ARM, 'e360', 0x13af, 'str     r3, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '6b63', 0x13c1, 'str     r3, [r5, #0x34]', 0, ()),
    (REV_ALL_ARM, 'c5e90e23', 0x13c3, 'strd    r2, r3, [r5, #0x38]', 0, ()),
    (REV_ALL_ARM, 'db6a', 0x13c9, 'ldr     r3, [r3, #0x2c]', 0, ()),
    (REV_ALL_ARM, '03b1', 0x13cb, 'cbz     r3, 0x000013ce', 0, ()),
    (REV_ALL_ARM, 'c4e90423', 0x13b1, 'strd    r2, r3, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '07e0', 0x13b5, 'b       0x000013c6', 0, ()),
    (REV_ALL_ARM, '1b6a', 0x13d3, 'ldr     r3, [r3, #0x20]', 0, ()),
    (REV_ALL_ARM, '0df10701', 0x13dd, 'add     r1, sp, #7', 0, ()),
    (REV_ALL_ARM, '0cf0cafc', 0x13e1, 'bl      0x0000dd78', 0, ()),
    (REV_ALL_ARM, '07d1', 0x13eb, 'bne     0x000013fc', 0, ()),
    (REV_ALL_ARM, '9c42', 0x13ff, 'cmp     r4, r3', 0, ()),
    (REV_ALL_ARM, '12d1', 0x1401, 'bne     0x00001428', 0, ()),
    (REV_ALL_ARM, '2362', 0x13f1, 'str     r3, [r4, #0x20]', 0, ()),
    (REV_ALL_ARM, 'a86a', 0x1407, 'ldr     r0, [r5, #0x28]', 0, ()),
    (REV_ALL_ARM, 'ab64', 0x1409, 'str     r3, [r5, #0x48]', 0, ()),
    (REV_ALL_ARM, '0cf0c7fc', 0x140b, 'bl      0x0000dd9c', 0, ()),
    (REV_ALL_ARM, '9b6a', 0x1413, 'ldr     r3, [r3, #0x28]', 0, ()),
    (REV_ALL_ARM, '0ff01efd', 0x141d, 'bl      0x00010e5c', 0, ()),
    (REV_ALL_ARM, 'b0fa80f0', 0x1421, 'clz     r0, r0', 0, ()),
    (REV_ALL_ARM, '4009', 0x1425, 'lsrs    r0, r0, #5', 0, ()),
    (REV_ALL_ARM, 'bae7', 0x1427, 'b       0x0000139e', 0, ()),
    (REV_ALL_ARM, '08b5', 0x146f, 'push    {r3, lr}', 0, ()),
    (REV_ALL_ARM, '1368', 0x1471, 'ldr     r3, [r2]', 0, ()),
    (REV_ALL_ARM, '2821', 0x1493, 'movs    r1, #0x28', 0, ()),
    (REV_ALL_ARM, '01fb0300', 0x1495, 'mla     r0, r1, r3, r0', 0, ()),
    (REV_ALL_ARM, '80f82430', 0x1499, 'strb    r3, [r0, #0x24]', 0, ()),
    (REV_ALL_ARM, '0133', 0x149d, 'adds    r3, #1', 0, ()),
    (REV_ALL_ARM, '1360', 0x149f, 'str     r3, [r2]', 0, ()),
    (REV_ALL_ARM, 'f5e7', 0x14a1, 'b       0x0000148e', 0, ()),
    (REV_ALL_ARM, '0ef041f9', 0x1489, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '08bd', 0x148f, 'pop     {r3, pc}', 0, ()),
    (REV_ALL_ARM, 'f8b5', 0x14bf, 'push    {r3, r4, r5, r6, r7, lr}', 0, ()),
    (REV_ALL_ARM, '0568', 0x14c1, 'ldr     r5, [r0]', 0, ()),
    (REV_ALL_ARM, '022d', 0x14c3, 'cmp     r5, #2', 0, ()),
    (REV_ALL_ARM, '1746', 0x14c5, 'mov     r7, r2', 0, ()),
    (REV_ALL_ARM, '069a', 0x14c7, 'ldr     r2, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '0ddd', 0x14c9, 'ble     0x000014e6', 0, ()),
    (REV_ALL_ARM, '6c1c', 0x14e7, 'adds    r4, r5, #1', 0, ()),
    (REV_ALL_ARM, '0460', 0x14eb, 'str     r4, [r0]', 0, ()),
    (REV_ALL_ARM, '4420', 0x14ed, 'movs    r0, #0x44', 0, ()),
    (REV_ALL_ARM, '4543', 0x14ef, 'muls    r5, r0, r5', 0, ()),
    (REV_ALL_ARM, '7419', 0x14f1, 'adds    r4, r6, r5', 0, ()),
    (REV_ALL_ARM, '0798', 0x14f3, 'ldr     r0, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '7051', 0x14f5, 'str     r0, [r6, r5]', 0, ()),
    (REV_ALL_ARM, 'c4e90432', 0x14f7, 'strd    r3, r2, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c4e90217', 0x14fb, 'strd    r1, r7, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '0cf0affc', 0x1503, 'bl      0x0000de64', 0, ()),
    (REV_ALL_ARM, '05f11800', 0x1507, 'add     r0, r5, #0x18', 0, ()),
    (REV_ALL_ARM, '3044', 0x150d, 'add     r0, r6', 0, ()),
    (REV_ALL_ARM, '11f055fa', 0x150f, 'bl      0x000129bc', 0, ()),
    (REV_ALL_ARM, 'c4e90f23', 0x1517, 'strd    r2, r3, [r4, #0x3c]', 0, ()),
    (REV_ALL_ARM, 'a363', 0x151b, 'str     r3, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, 'e1e7', 0x151d, 'b       0x000014e2', 0, ()),
    (REV_ALL_ARM, '0ef017f9', 0x14dd, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'f8bd', 0x14e5, 'pop     {r3, r4, r5, r6, r7, pc}', 0, ()),
    (REV_ALL_ARM, '0a46', 0x1545, 'mov     r2, r1', 0, ()),
    (REV_ALL_ARM, '00f11801', 0x1547, 'add     r1, r0, #0x18', 0, ()),
    (REV_ALL_ARM, '0cf05cb8', 0x154d, 'b       0x0000d608', 0, ()),
    (REV_ALL_ARM, '00f14003', 0x1555, 'add     r3, r0, #0x40', 0, ()),
    (REV_ALL_ARM, '43e8001c', 0x1565, 'strex   r12, r1, [r3]', 0, ()),
    (REV_ALL_ARM, 'bcf1000f', 0x1569, 'cmp     r12, #0', 0, ()),
    (REV_ALL_ARM, 'f6d1', 0x156d, 'bne     0x0000155c', 0, ()),
    (REV_ALL_ARM, '00f13801', 0x1577, 'add     r1, r0, #0x38', 0, ()),
    (REV_ALL_ARM, '11f02ab8', 0x157d, 'b       0x000125d4', 0, ()),
    (REV_ALL_ARM, '0346', 0x158b, 'mov     r3, r0', 0, ()),
    (REV_ALL_ARM, '8278', 0x158d, 'ldrb    r2, [r0, #2]', 0, ()),
    (REV_ALL_ARM, '5978', 0x1591, 'ldrb    r1, [r3, #1]', 0, ()),
    (REV_ALL_ARM, 'a05c', 0x1593, 'ldrb    r0, [r4, r2]', 0, ()),
    (REV_ALL_ARM, 'da1c', 0x1595, 'adds    r2, r3, #3', 0, ()),
    (REV_ALL_ARM, '0b44', 0x1597, 'add     r3, r1', 0, ()),
    (REV_ALL_ARM, '12f8011b', 0x159f, 'ldrb    r1, [r2], #1', 0, ()),
    (REV_ALL_ARM, '4840', 0x15a3, 'eors    r0, r1', 0, ()),
    (REV_ALL_ARM, '205c', 0x15a5, 'ldrb    r0, [r4, r0]', 0, ()),
    (REV_ALL_ARM, '9a42', 0x1599, 'cmp     r2, r3', 0, ()),
    (REV_ALL_ARM, '00d1', 0x159b, 'bne     0x0000159e', 0, ()),
    (REV_ALL_ARM, 'd91c', 0x15b5, 'adds    r1, r3, #3', 0, ()),
    (REV_ALL_ARM, 'a85c', 0x15b7, 'ldrb    r0, [r5, r2]', 0, ()),
    (REV_ALL_ARM, '5a78', 0x15b9, 'ldrb    r2, [r3, #1]', 0, ()),
    (REV_ALL_ARM, 'c3f1ff23', 0x15bb, 'rsb     r3, r3, #0xff00ff00', 0, ()),
    (REV_ALL_ARM, '03f57f03', 0x15bf, 'add     r3, r3, #0xff0000', 0, ()),
    (REV_ALL_ARM, '023a', 0x15c3, 'subs    r2, #2', 0, ()),
    (REV_ALL_ARM, 'fd33', 0x15c5, 'adds    r3, #0xfd', 0, ()),
    (REV_ALL_ARM, '11f8014b', 0x15cf, 'ldrb    r4, [r1], #1', 0, ()),
    (REV_ALL_ARM, '6040', 0x15d3, 'eors    r0, r4', 0, ()),
    (REV_ALL_ARM, '285c', 0x15d5, 'ldrb    r0, [r5, r0]', 0, ()),
    (REV_ALL_ARM, 'f6e7', 0x15d7, 'b       0x000015c6', 0, ()),
    (REV_ALL_ARM, '5c18', 0x15c7, 'adds    r4, r3, r1', 0, ()),
    (REV_ALL_ARM, 'a242', 0x15c9, 'cmp     r2, r4', 0, ()),
    (REV_ALL_ARM, '00d8', 0x15cb, 'bhi     0x000015ce', 0, ()),
    (REV_ALL_ARM, '1c46', 0x15df, 'mov     r4, r3', 0, ()),
    (REV_ALL_ARM, '09b9', 0x15e5, 'cbnz    r1, 0x000015ea', 0, ()),
    (REV_ALL_ARM, '0178', 0x15eb, 'ldrb    r1, [r0]', 0, ()),
    (REV_ALL_ARM, '2170', 0x15ed, 'strb    r1, [r4]', 0, ()),
    (REV_ALL_ARM, 'ea2a', 0x15ef, 'cmp     r2, #0xea', 0, ()),
    (REV_ALL_ARM, '03d1', 0x15f1, 'bne     0x000015fa', 0, ()),
    (REV_ALL_ARM, '0220', 0x15e7, 'movs    r0, #2', 0, ()),
    (REV_ALL_ARM, '9142', 0x15fb, 'cmp     r1, r2', 0, ()),
    (REV_ALL_ARM, '01d0', 0x15fd, 'beq     0x00001602', 0, ()),
    (REV_ALL_ARM, 'ea29', 0x15f3, 'cmp     r1, #0xea', 0, ()),
    (REV_ALL_ARM, '012b', 0x1603, 'cmp     r3, #1', 0, ()),
    (REV_ALL_ARM, 'efd0', 0x1605, 'beq     0x000015e6', 0, ()),
    (REV_ALL_ARM, 'f9d1', 0x1601, 'bne     0x000015f6', 0, ()),
    (REV_ALL_ARM, '6978', 0x1607, 'ldrb    r1, [r5, #1]', 0, ()),
    (REV_ALL_ARM, '6170', 0x1609, 'strb    r1, [r4, #1]', 0, ()),
    (REV_ALL_ARM, 'ebd0', 0x160d, 'beq     0x000015e6', 0, ()),
    (REV_ALL_ARM, 'aa78', 0x160f, 'ldrb    r2, [r5, #2]', 0, ()),
    (REV_ALL_ARM, 'a270', 0x1613, 'strb    r2, [r4, #2]', 0, ()),
    (REV_ALL_ARM, '322e', 0x162d, 'cmp     r6, #0x32', 0, ()),
    (REV_ALL_ARM, '00f10300', 0x162f, 'add     r0, r0, #3', 0, ()),
    (REV_ALL_ARM, 'f0d1', 0x1633, 'bne     0x00001616', 0, ()),
    (REV_ALL_ARM, '4778', 0x1621, 'ldrb    r7, [r0, #1]', 0, ()),
    (REV_ALL_ARM, '8f42', 0x1623, 'cmp     r7, r1', 0, ()),
    (REV_ALL_ARM, '02d8', 0x1625, 'bhi     0x0000162c', 0, ()),
    (REV_ALL_ARM, '0778', 0x1617, 'ldrb    r7, [r0]', 0, ()),
    (REV_ALL_ARM, '9742', 0x1619, 'cmp     r7, r2', 0, ()),
    (REV_ALL_ARM, '06f10106', 0x161b, 'add     r6, r6, #1', 0, ()),
    (REV_ALL_ARM, 'e02a', 0x1635, 'cmp     r2, #0xe0', 0, ()),
    (REV_ALL_ARM, 'ded1', 0x1637, 'bne     0x000015f6', 0, ()),
    (REV_ALL_ARM, '8778', 0x1627, 'ldrb    r7, [r0, #2]', 0, ()),
    (REV_ALL_ARM, '12d2', 0x162b, 'bcs     0x00001652', 0, ()),
    (REV_ALL_ARM, '0ef075f8', 0x1649, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, 'd3e7', 0x164d, 'b       0x000015f6', 0, ()),
    (REV_ALL_ARM, '4e1c', 0x1653, 'adds    r6, r1, #1', 0, ()),
    (REV_ALL_ARM, 'b342', 0x1655, 'cmp     r3, r6', 0, ()),
    (REV_ALL_ARM, 'c6dd', 0x1657, 'ble     0x000015e6', 0, ()),
    (REV_ALL_ARM, '8a1e', 0x1659, 'subs    r2, r1, #2', 0, ()),
    (REV_ALL_ARM, 'e91c', 0x165d, 'adds    r1, r5, #3', 0, ()),
    (REV_ALL_ARM, '0ff043fc', 0x165f, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, 'ad5d', 0x1663, 'ldrb    r5, [r5, r6]', 0, ()),
    (REV_ALL_ARM, '84f83f50', 0x1665, 'strb    r5, [r4, #0x3f]', 0, ()),
    (REV_ALL_ARM, 'fff79fff', 0x166b, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '8542', 0x166f, 'cmp     r5, r0', 0, ()),
    (REV_ALL_ARM, 'c1d1', 0x1671, 'bne     0x000015f6', 0, ()),
    (REV_ALL_ARM, '322b', 0x1675, 'cmp     r3, #0x32', 0, ()),
    (REV_ALL_ARM, 'ead1', 0x1677, 'bne     0x0000164e', 0, ()),
    (REV_ALL_ARM, 'cae7', 0x1651, 'b       0x000015e8', 0, ()),
    (REV_ALL_ARM, 'e55c', 0x167d, 'ldrb    r5, [r4, r3]', 0, ()),
    (REV_ALL_ARM, 'fff783ff', 0x167f, 'bl      0x00001588', 0, ()),
    (REV_ALL_ARM, '281a', 0x1683, 'subs    r0, r5, r0', 0, ()),
    (REV_ALL_ARM, 'aee7', 0x1689, 'b       0x000015e8', 0, ()),
    (REV_ALL_ARM, '13b5', 0x169d, 'push    {r0, r1, r4, lr}', 0, ()),
    (REV_ALL_ARM, 'e370', 0x16a3, 'strb    r3, [r4, #3]', 0, ()),
    (REV_ALL_ARM, '9df81030', 0x16a5, 'ldrb    r3, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '2371', 0x16a9, 'strb    r3, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '8921', 0x16ab, 'movs    r1, #0x89', 0, ()),
    (REV_ALL_ARM, '3a23', 0x16ad, 'movs    r3, #0x3a', 0, ()),
    (REV_ALL_ARM, 'a170', 0x16af, 'strb    r1, [r4, #2]', 0, ()),
    (REV_ALL_ARM, '2270', 0x16b1, 'strb    r2, [r4]', 0, ()),
    (REV_ALL_ARM, '0599', 0x16b5, 'ldr     r1, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '631d', 0x16b7, 'adds    r3, r4, #5', 0, ()),
    (REV_ALL_ARM, '0422', 0x16b9, 'movs    r2, #4', 0, ()),
    (REV_ALL_ARM, '0df020f8', 0x16bb, 'bl      0x0000e6fe', 0, ()),
    (REV_ALL_ARM, '58b1', 0x16bf, 'cbz     r0, 0x000016d8', 0, ()),
    (REV_ALL_ARM, '2423', 0x16d9, 'movs    r3, #0x24', 0, ()),
    (REV_ALL_ARM, '6370', 0x16db, 'strb    r3, [r4, #1]', 0, ()),
    (REV_ALL_ARM, 'fff765ff', 0x16df, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '84f83f00', 0x16e3, 'strb    r0, [r4, #0x3f]', 0, ()),
    (REV_ALL_ARM, '4242', 0x16cd, 'rsbs    r2, r0, #0', 0, ()),
    (REV_ALL_ARM, '0ef02ff8', 0x16d5, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '0270', 0x1701, 'strb    r2, [r0]', 0, ()),
    (REV_ALL_ARM, '179f', 0x1703, 'ldr     r7, [sp, #0x5c]', 0, ()),
    (REV_ALL_ARM, 'c370', 0x1705, 'strb    r3, [r0, #3]', 0, ()),
    (REV_ALL_ARM, '8f22', 0x1707, 'movs    r2, #0x8f', 0, ()),
    (REV_ALL_ARM, '9df85830', 0x1709, 'ldrb    r3, [sp, #0x58]', 0, ()),
    (REV_ALL_ARM, '8270', 0x170d, 'strb    r2, [r0, #2]', 0, ()),
    (REV_ALL_ARM, '0371', 0x170f, 'strb    r3, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '3b78', 0x1711, 'ldrb    r3, [r7]', 0, ()),
    (REV_ALL_ARM, 'c3f34403', 0x1713, 'ubfx    r3, r3, #0x1, #0x5', 0, ()),
    (REV_ALL_ARM, '062b', 0x171b, 'cmp     r3, #6', 0, ()),
    (REV_ALL_ARM, '2ed8', 0x171d, 'bhi     0x0000177c', 0, ()),
    (REV_ALL_ARM, '0df0beff', 0x178f, 'bl      0x0000f70e', 0, ()),
    #(REV_ALL_ARM, 'dfe803f0', 0x171f, 'tbb     [pc, r3]', 0, ()),
    (REV_ALL_ARM, '02a8', 0x1731, 'add     r0, sp, #8', 0, ()),
    (REV_ALL_ARM, '0ff0d9fb', 0x1733, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '02a9', 0x173f, 'add     r1, sp, #8', 0, ()),
    (REV_ALL_ARM, '0cf097ff', 0x1743, 'bl      0x0000e674', 0, ()),
    (REV_ALL_ARM, '0225', 0x172b, 'movs    r5, #2', 0, ()),
    (REV_ALL_ARM, '0e25', 0x1797, 'movs    r5, #0xe', 0, ()),
    (REV_ALL_ARM, 'c8e7', 0x1799, 'b       0x0000172c', 0, ()),
    (REV_ALL_ARM, '0625', 0x179b, 'movs    r5, #6', 0, ()),
    (REV_ALL_ARM, 'c6e7', 0x179d, 'b       0x0000172c', 0, ()),
    (REV_ALL_ARM, '0325', 0x179f, 'movs    r5, #3', 0, ()),
    (REV_ALL_ARM, 'c4e7', 0x17a1, 'b       0x0000172c', 0, ()),
    (REV_ALL_ARM, '14bf', 0x1763, 'ite     ne', 0, ()),
    (REV_ALL_ARM, '0435', 0x1769, 'adds    r5, #4', 0, ()),
    (REV_ALL_ARM, '1d44', 0x176b, 'add     r5, r3', 0, ()),
    (REV_ALL_ARM, '6570', 0x176d, 'strb    r5, [r4, #1]', 0, ()),
    (REV_ALL_ARM, 'fff71cff', 0x1771, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '0df0ebff', 0x175d, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '8ab0', 0x17bb, 'sub     sp, #0x28', 0, ()),
    (REV_ALL_ARM, '0f9d', 0x17bf, 'ldr     r5, [sp, #0x3c]', 0, ()),
    (REV_ALL_ARM, '7122', 0x17c3, 'movs    r2, #0x71', 0, ()),
    (REV_ALL_ARM, '9df83830', 0x17c5, 'ldrb    r3, [sp, #0x38]', 0, ()),
    (REV_ALL_ARM, '2b78', 0x17cd, 'ldrb    r3, [r5]', 0, ()),
    (REV_ALL_ARM, '8df80830', 0x17cf, 'strb    r3, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '6b78', 0x17d7, 'ldrb    r3, [r5, #1]', 0, ()),
    (REV_ALL_ARM, '8df80930', 0x17d9, 'strb    r3, [sp, #9]', 0, ()),
    (REV_ALL_ARM, '0df10a00', 0x17df, 'add     r0, sp, #0xa', 0, ()),
    (REV_ALL_ARM, 'a918', 0x17e3, 'adds    r1, r5, r2', 0, ()),
    (REV_ALL_ARM, '0ff080fb', 0x17e5, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '05f10801', 0x17e9, 'add     r1, r5, #8', 0, ()),
    (REV_ALL_ARM, '1022', 0x17ed, 'movs    r2, #0x10', 0, ()),
    (REV_ALL_ARM, '0df10e00', 0x17ef, 'add     r0, sp, #0xe', 0, ()),
    (REV_ALL_ARM, '0ff079fb', 0x17f3, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, 'ab78', 0x17f7, 'ldrb    r3, [r5, #2]', 0, ()),
    (REV_ALL_ARM, '8df81e30', 0x17f9, 'strb    r3, [sp, #0x1e]', 0, ()),
    (REV_ALL_ARM, 'eb78', 0x17fd, 'ldrb    r3, [r5, #3]', 0, ()),
    (REV_ALL_ARM, '8df81f30', 0x17ff, 'strb    r3, [sp, #0x1f]', 0, ()),
    (REV_ALL_ARM, '1822', 0x180b, 'movs    r2, #0x18', 0, ()),
    (REV_ALL_ARM, '0cf076ff', 0x180f, 'bl      0x0000e6fe', 0, ()),
    (REV_ALL_ARM, '3821', 0x181d, 'movs    r1, #0x38', 0, ()),
    (REV_ALL_ARM, '0df072ff', 0x1827, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'fff7befe', 0x182d, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '0ab0', 0x1835, 'add     sp, #0x28', 0, ()),
    (REV_ALL_ARM, '8b46', 0x184b, 'mov     r11, r1', 0, ()),
    (REV_ALL_ARM, '0cf02dfb', 0x184d, 'bl      0x0000deaa', 0, ()),
    (REV_ALL_ARM, 'd6e90032', 0x1851, 'ldrd    r3, r2, [r6]', 0, ()),
    (REV_ALL_ARM, '8342', 0x1855, 'cmp     r3, r0', 0, ()),
    (REV_ALL_ARM, '72f10001', 0x1857, 'sbcs    r1, r2, #0', 0, ()),
    (REV_ALL_ARM, '4ff00007', 0x185d, 'mov     r7, #0', 0, ()),
    (REV_ALL_ARM, '3fd3', 0x1861, 'bcc     0x000018e2', 0, ()),
    (REV_ALL_ARM, '0433', 0x18e3, 'adds    r3, #4', 0, ()),
    (REV_ALL_ARM, '42f10002', 0x18e5, 'adc     r2, r2, #0', 0, ()),
    (REV_ALL_ARM, '77eb0203', 0x18eb, 'sbcs    r3, r7, r2', 0, ()),
    (REV_ALL_ARM, 'b8d2', 0x18ef, 'bcs     0x00001862', 0, ()),
    (REV_ALL_ARM, '4ff0000a', 0x1871, 'mov     r10, #0', 0, ()),
    (REV_ALL_ARM, '4ff00008', 0x1875, 'mov     r8, #0', 0, ()),
    (REV_ALL_ARM, '0193', 0x187d, 'str     r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '0420', 0x18f1, 'movs    r0, #4', 0, ()),
    (REV_ALL_ARM, 'd6f80cc0', 0x1885, 'ldr     r12, [r6, #0xc]', 0, ()),
    (REV_ALL_ARM, '4820', 0x1889, 'movs    r0, #0x48', 0, ()),
    (REV_ALL_ARM, '00fb0af0', 0x188b, 'mul     r0, r0, r10', 0, ()),
    (REV_ALL_ARM, '0ceb0004', 0x188f, 'add     r4, r12, r0', 0, ()),
    (REV_ALL_ARM, 'a36a', 0x1893, 'ldr     r3, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, '64d0', 0x1897, 'beq     0x00001962', 0, ()),
    (REV_ALL_ARM, '6369', 0x1963, 'ldr     r3, [r4, #0x14]', 0, ()),
    (REV_ALL_ARM, '227c', 0x1899, 'ldrb    r2, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '61d0', 0x189d, 'beq     0x00001962', 0, ()),
    (REV_ALL_ARM, '0af1010a', 0x195d, 'add     r10, r10, #1', 0, ()),
    (REV_ALL_ARM, '8de7', 0x1961, 'b       0x0000187e', 0, ()),
    (REV_ALL_ARM, 'd4e90e23', 0x1969, 'ldrd    r2, r3, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, '52ea0301', 0x196d, 'orrs    r1, r2, r3', 0, ()),
    (REV_ALL_ARM, 'f4d0', 0x1971, 'beq     0x0000195c', 0, ()),
    (REV_ALL_ARM, 'd4e90212', 0x189f, 'ldrd    r1, r2, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '8d42', 0x18a3, 'cmp     r5, r1', 0, ()),
    (REV_ALL_ARM, '77eb0202', 0x18a5, 'sbcs    r2, r7, r2', 0, ()),
    (REV_ALL_ARM, '5bd3', 0x18a9, 'bcc     0x00001962', 0, ()),
    (REV_ALL_ARM, 'b368', 0x187f, 'ldr     r3, [r6, #8]', 0, ()),
    (REV_ALL_ARM, '5345', 0x1881, 'cmp     r3, r10', 0, ()),
    (REV_ALL_ARM, '35dd', 0x1883, 'ble     0x000018f0', 0, ()),
    (REV_ALL_ARM, '9542', 0x1973, 'cmp     r5, r2', 0, ()),
    (REV_ALL_ARM, '77eb0303', 0x1975, 'sbcs    r3, r7, r3', 0, ()),
    (REV_ALL_ARM, 'f0d3', 0x1979, 'bcc     0x0000195c', 0, ()),
    (REV_ALL_ARM, '616c', 0x18ab, 'ldr     r1, [r4, #0x44]', 0, ()),
    (REV_ALL_ARM, '1cf80000', 0x18ad, 'ldrb    r0, [r12, r0]', 0, ()),
    (REV_ALL_ARM, '60bb', 0x18b3, 'cbnz    r0, 0x0000190e', 0, ()),
    (REV_ALL_ARM, '6361', 0x197d, 'str     r3, [r4, #0x14]', 0, ()),
    (REV_ALL_ARM, '236c', 0x197f, 'ldr     r3, [r4, #0x40]', 0, ()),
    (REV_ALL_ARM, 'c4e90c89', 0x1981, 'strd    r8, r9, [r4, #0x30]', 0, ()),
    (REV_ALL_ARM, 'c4e90e89', 0x1985, 'strd    r8, r9, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, 'e7d0', 0x198b, 'beq     0x0000195c', 0, ()),
    (REV_ALL_ARM, '10f10b0f', 0x190f, 'cmn     r0, #0xb', 0, ()),
    (REV_ALL_ARM, '0fd0', 0x1913, 'beq     0x00001934', 0, ()),
    (REV_ALL_ARM, 'a061', 0x18b7, 'str     r0, [r4, #0x18]', 0, ()),
    (REV_ALL_ARM, '1dd1', 0x18bb, 'bne     0x000018f8', 0, ()),
    (REV_ALL_ARM, 'e2e7', 0x1995, 'b       0x0000195c', 0, ()),
    (REV_ALL_ARM, 'd4e90613', 0x1935, 'ldrd    r1, r3, [r4, #0x18]', 0, ()),
    (REV_ALL_ARM, '03da', 0x193b, 'bge     0x00001944', 0, ()),
    (REV_ALL_ARM, '2374', 0x191f, 'strb    r3, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '0128', 0x1921, 'cmp     r0, #1', 0, ()),
    (REV_ALL_ARM, 'a361', 0x1923, 'str     r3, [r4, #0x18]', 0, ()),
    (REV_ALL_ARM, 'd7d0', 0x1925, 'beq     0x000018d6', 0, ()),
    (REV_ALL_ARM, 'd4e90223', 0x18bd, 'ldrd    r2, r3, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '06d3', 0x18c7, 'bcc     0x000018d6', 0, ()),
    (REV_ALL_ARM, 'bdf80420', 0x1945, 'ldrh    r2, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '0df0e0fe', 0x194b, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0131', 0x193d, 'adds    r1, #1', 0, ()),
    (REV_ALL_ARM, 'a161', 0x193f, 'str     r1, [r4, #0x18]', 0, ()),
    (REV_ALL_ARM, 'c6e90057', 0x18d9, 'strd    r5, r7, [r6]', 0, ()),
    (REV_ALL_ARM, 'cbf80030', 0x18dd, 'str     r3, [r11]', 0, ()),
    (REV_ALL_ARM, '06e0', 0x18e1, 'b       0x000018f0', 0, ()),
    (REV_ALL_ARM, '0228', 0x1927, 'cmp     r0, #2', 0, ()),
    (REV_ALL_ARM, '0ad0', 0x1929, 'beq     0x00001940', 0, ()),
    (REV_ALL_ARM, '2074', 0x190b, 'strb    r0, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'd4e90c32', 0x18fd, 'ldrd    r3, r2, [r4, #0x30]', 0, ()),
    (REV_ALL_ARM, '5b19', 0x1901, 'adds    r3, r3, r5', 0, ()),
    (REV_ALL_ARM, 'c4e90e32', 0x1907, 'strd    r3, r2, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, 'd4e90832', 0x18c9, 'ldrd    r3, r2, [r4, #0x20]', 0, ()),
    (REV_ALL_ARM, 'c4e90232', 0x18d3, 'strd    r3, r2, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '6420', 0x1941, 'movs    r0, #0x64', 0, ()),
    (REV_ALL_ARM, 'd6e7', 0x1943, 'b       0x000018f2', 0, ()),
    (REV_ALL_ARM, '16da', 0x192d, 'bge     0x0000195c', 0, ()),
    (REV_ALL_ARM, 'cbf80000', 0x192f, 'str     r0, [r11]', 0, ()),
    (REV_ALL_ARM, '92f87832', 0x19a7, 'ldrb    r3, [r2, #0x278]', 0, ()),
    (REV_ALL_ARM, '43f04003', 0x19ab, 'orr     r3, r3, #0x40', 0, ()),
    (REV_ALL_ARM, '82f87832', 0x19af, 'strb    r3, [r2, #0x278]', 0, ()),
    (REV_ALL_ARM, '8178', 0x19c3, 'ldrb    r1, [r0, #2]', 0, ()),
    (REV_ALL_ARM, '42f00202', 0x19cd, 'orr     r2, r2, #2', 0, ()),
    (REV_ALL_ARM, '0df09dfe', 0x19d1, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0df07dfe', 0x19f7, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '1872', 0x19ff, 'strb    r0, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '0df065fe', 0x1a27, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '1a72', 0x1a2f, 'strb    r2, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '0df058fe', 0x1a5b, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '1868', 0x1a63, 'ldr     r0, [r3]', 0, ()),
    (REV_ALL_ARM, '0cf063f9', 0x1a65, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '0df02ffe', 0x1a93, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '04f28322', 0x1a99, 'addw   r2, r4, #0x283', 0, ()),      # addw
    (REV_ALL_ARM, '04f28221', 0x1a9d, 'addw   r1, r4, #0x282', 0, ()),      # addw
    (REV_ALL_ARM, '0cf0b4fb', 0x1aa1, 'bl      0x0000e20c', 0, ()),
    (REV_ALL_ARM, '94f87832', 0x1aa5, 'ldrb    r3, [r4, #0x278]', 0, ()),
    (REV_ALL_ARM, '43f00803', 0x1aa9, 'orr     r3, r3, #8', 0, ()),
    (REV_ALL_ARM, '84f87832', 0x1aad, 'strb    r3, [r4, #0x278]', 0, ()),
    (REV_ALL_ARM, '0df00bfe', 0x1adb, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '04f28121', 0x1ae1, 'addw   r1, r4, #0x281', 0, ()),      # addw
    (REV_ALL_ARM, '0cf08ffb', 0x1ae5, 'bl      0x0000e206', 0, ()),
    (REV_ALL_ARM, '43f00403', 0x1aed, 'orr     r3, r3, #4', 0, ()),
    (REV_ALL_ARM, '0df0e9fd', 0x1b1f, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '04f52071', 0x1b25, 'add     r1, r4, #0x280', 0, ()),
    (REV_ALL_ARM, '0cf06afb', 0x1b29, 'bl      0x0000e200', 0, ()),
    (REV_ALL_ARM, '0df0c7fd', 0x1b63, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '04f51f71', 0x1b69, 'add     r1, r4, #0x27c', 0, ()),
    (REV_ALL_ARM, '0cf03dfb', 0x1b6d, 'bl      0x0000e1ea', 0, ()),
    (REV_ALL_ARM, '237a', 0x1b95, 'ldrb    r3, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '5bb9', 0x1b9b, 'cbnz    r3, 0x00001bb4', 0, ()),
    (REV_ALL_ARM, '6a46', 0x1bb7, 'mov     r2, sp', 0, ()),
    (REV_ALL_ARM, '0cf096fa', 0x1bbb, 'bl      0x0000e0ea', 0, ()),
    (REV_ALL_ARM, '68b1', 0x1bc1, 'cbz     r0, 0x00001bde', 0, ()),
    (REV_ALL_ARM, '41f00201', 0x1ba9, 'orr     r1, r1, #2', 0, ()),
    (REV_ALL_ARM, '0df0a2fd', 0x1bad, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '2372', 0x1bb3, 'strb    r3, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '9df80030', 0x1bdf, 'ldrb    r3, [sp]', 0, ()),
    (REV_ALL_ARM, '13f03e0f', 0x1be3, 'tst     r3, #0x3e', 0, ()),
    (REV_ALL_ARM, '0df08ffd', 0x1bd3, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '83f8f123', 0x1bed, 'strb    r2, [r3, #0x3f1]', 0, ()),
    (REV_ALL_ARM, '02ae', 0x1bf1, 'add     r6, sp, #8', 0, ()),
    (REV_ALL_ARM, '03f2e333', 0x1bf5, 'addw    r3, r3, #0x3e3', 0, ()),
    (REV_ALL_ARM, '1546', 0x1bf9, 'mov     r5, r2', 0, ()),
    (REV_ALL_ARM, '03cd', 0x1bfb, 'ldm     r5!, {r0, r1}', 0, ()),
    (REV_ALL_ARM, 'b542', 0x1bfd, 'cmp     r5, r6', 0, ()),
    (REV_ALL_ARM, '1860', 0x1bff, 'str     r0, [r3]', 0, ()),
    (REV_ALL_ARM, '5960', 0x1c01, 'str     r1, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '2868', 0x1c0b, 'ldr     r0, [r5]', 0, ()),
    (REV_ALL_ARM, 'aa88', 0x1c0f, 'ldrh    r2, [r5, #4]', 0, ()),
    (REV_ALL_ARM, '9a80', 0x1c11, 'strh    r2, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '9df80130', 0x1c13, 'ldrb    r3, [sp, #1]', 0, ()),
    (REV_ALL_ARM, '03f03f03', 0x1c19, 'and     r3, r3, #0x3f', 0, ()),
    (REV_ALL_ARM, 'a3f13102', 0x1c1d, 'sub     r2, r3, #0x31', 0, ()),
    (REV_ALL_ARM, '5342', 0x1c21, 'rsbs    r3, r2, #0', 0, ()),
    (REV_ALL_ARM, '5341', 0x1c23, 'adcs    r3, r2', 0, ()),
    (REV_ALL_ARM, '94f8a622', 0x1c25, 'ldrb    r2, [r4, #0x2a6]', 0, ()),
    (REV_ALL_ARM, '94f87922', 0x1c2d, 'ldrb    r2, [r4, #0x279]', 0, ()),
    (REV_ALL_ARM, '84f8a632', 0x1c31, 'strb    r3, [r4, #0x2a6]', 0, ()),
    (REV_ALL_ARM, '84f87922', 0x1c39, 'strb    r2, [r4, #0x279]', 0, ()),
    (REV_ALL_ARM, '3778', 0x1c41, 'ldrb    r7, [r6]', 0, ()),
    (REV_ALL_ARM, '03f00403', 0x1c49, 'and     r3, r3, #4', 0, ()),
    (REV_ALL_ARM, 'a7b9', 0x1c4d, 'cbnz    r7, 0x00001c78', 0, ()),
    (REV_ALL_ARM, 'f5d0', 0x1c7b, 'beq     0x00001c68', 0, ()),
    (REV_ALL_ARM, '83f00403', 0x1c6d, 'eor     r3, r3, #4', 0, ()),
    (REV_ALL_ARM, 'c3f38003', 0x1c71, 'ubfx    r3, r3, #2, #1', 0, ()),
    (REV_ALL_ARM, '3370', 0x1c75, 'strb    r3, [r6]', 0, ()),
    (REV_ALL_ARM, 'afe7', 0x1c77, 'b       0x00001bd8', 0, ()),
    (REV_ALL_ARM, '10f0fffe', 0x1c7d, 'bl      0x00012a7e', 0, ()),
    (REV_ALL_ARM, '52e90232', 0x1c83, 'ldrd    r3, r2, [r2, #-8]', 0, ()),
    (REV_ALL_ARM, 'c01a', 0x1c87, 'subs    r0, r0, r3', 0, ()),
    (REV_ALL_ARM, '41f28833', 0x1c89, 'movw    r3, #0x1388', 0, ()),
    (REV_ALL_ARM, '61eb0201', 0x1c8d, 'sbc     r1, r1, r2', 0, ()),
    (REV_ALL_ARM, '71f10003', 0x1c93, 'sbcs    r3, r1, #0', 0, ()),
    (REV_ALL_ARM, 'e7da', 0x1c97, 'bge     0x00001c68', 0, ()),
    (REV_ALL_ARM, '94f8a722', 0x1c51, 'ldrb    r2, [r4, #0x2a7]', 0, ()),
    (REV_ALL_ARM, '42b1', 0x1c55, 'cbz     r2, 0x00001c68', 0, ()),
    (REV_ALL_ARM, '84f8a732', 0x1c9b, 'strb    r3, [r4, #0x2a7]', 0, ()),
    (REV_ALL_ARM, '94f87932', 0x1c9f, 'ldrb    r3, [r4, #0x279]', 0, ()),
    (REV_ALL_ARM, '84f87932', 0x1ca7, 'strb    r3, [r4, #0x279]', 0, ()),
    (REV_ALL_ARM, '3d46', 0x1cab, 'mov     r5, r7', 0, ()),
    (REV_ALL_ARM, 'dce7', 0x1cad, 'b       0x00001c68', 0, ()),
    (REV_ALL_ARM, '07b5', 0x1cd1, 'push    {r0, r1, r2, lr}', 0, ()),
    (REV_ALL_ARM, '0df10602', 0x1cd3, 'add     r2, sp, #6', 0, ()),
    (REV_ALL_ARM, '0cf09cfa', 0x1cdb, 'bl      0x0000e216', 0, ()),
    (REV_ALL_ARM, '9df80700', 0x1cdf, 'ldrb    r0, [sp, #7]', 0, ()),
    (REV_ALL_ARM, '01bf', 0x1d05, 'itttt   eq', 0, ()),
    (REV_ALL_ARM, '9df80620', 0x1d09, 'ldrb    r2, [sp, #6]', 0, ()),
    (REV_ALL_ARM, '83f88522', 0x1d0d, 'strb    r2, [r3, #0x285]', 0, ()),
    (REV_ALL_ARM, '93f87822', 0x1d11, 'ldrb    r2, [r3, #0x278]', 0, ()),
    (REV_ALL_ARM, '42f02002', 0x1d17, 'orr     r2, r2, #0x20', 0, ()),
    (REV_ALL_ARM, '83f87822', 0x1d1b, 'strb    r2, [r3, #0x278]', 0, ()),
    (REV_ALL_ARM, 'ece7', 0x1d21, 'b       0x00001cfc', 0, ()),
    (REV_ALL_ARM, '83f88422', 0x1ceb, 'strb    r2, [r3, #0x284]', 0, ()),
    (REV_ALL_ARM, '42f01002', 0x1cf3, 'orr     r2, r2, #0x10', 0, ()),
    (REV_ALL_ARM, '5df804fb', 0x1cff, 'pop     {pc}', 0, ()),
    (REV_ALL_ARM, '01f23344', 0x1d2b, 'addw    r4, r1, #0x433', 0, ()),
    (REV_ALL_ARM, '2246', 0x1d31, 'mov     r2, r4', 0, ()),
    (REV_ALL_ARM, '0431', 0x1d33, 'adds    r1, #4', 0, ()),
    (REV_ALL_ARM, '0cf0f8f9', 0x1d35, 'bl      0x0000e128', 0, ()),
    (REV_ALL_ARM, '01f0b4ff', 0x1d3d, 'bl      0x00003ca8', 0, ()),
    (REV_ALL_ARM, 'd3f8f400', 0x1d43, 'ldr     r0, [r3, #0xf4]', 0, ()),
    (REV_ALL_ARM, '0a21', 0x1d49, 'movs    r1, #0xa', 0, ()),
    (REV_ALL_ARM, '4830', 0x1d4b, 'adds    r0, #0x48', 0, ()),
    (REV_ALL_ARM, '0cf0f4fb', 0x1d4d, 'bl      0x0000e538', 0, ()),
    (REV_ALL_ARM, 'a41a', 0x1d63, 'subs    r4, r4, r2', 0, ()),
    (REV_ALL_ARM, 'e408', 0x1d65, 'lsrs    r4, r4, #3', 0, ()),
    (REV_ALL_ARM, 'a401', 0x1d69, 'lsls    r4, r4, #6', 0, ()),
    (REV_ALL_ARM, '44f00301', 0x1d6f, 'orr     r1, r4, #3', 0, ()),
    (REV_ALL_ARM, '0df0bffc', 0x1d73, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '3429', 0x1d79, 'cmp     r1, #0x34', 0, ()),
    (REV_ALL_ARM, '06d0', 0x1d7b, 'beq     0x00001d8a', 0, ()),
    (REV_ALL_ARM, '96f83134', 0x1d8b, 'ldrb    r3, [r6, #0x431]', 0, ()),
    (REV_ALL_ARM, 'dbb2', 0x1d91, 'uxtb    r3, r3', 0, ()),
    (REV_ALL_ARM, 'fd2b', 0x1d93, 'cmp     r3, #0xfd', 0, ()),
    (REV_ALL_ARM, '05d8', 0x1d95, 'bhi     0x00001da2', 0, ()),
    (REV_ALL_ARM, '44f00102', 0x1d7f, 'orr     r2, r4, #1', 0, ()),
    (REV_ALL_ARM, '0df0c4fc', 0x1d83, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'd3f86c02', 0x1da5, 'ldr     r0, [r3, #0x26c]', 0, ()),
    (REV_ALL_ARM, '9030', 0x1dad, 'adds    r0, #0x90', 0, ()),
    (REV_ALL_ARM, '0cf0c3fb', 0x1daf, 'bl      0x0000e538', 0, ()),
    (REV_ALL_ARM, '3021', 0x1d97, 'movs    r1, #0x30', 0, ()),
    (REV_ALL_ARM, '681d', 0x1d99, 'adds    r0, r5, #5', 0, ()),
    (REV_ALL_ARM, '01f0c5ff', 0x1d9b, 'bl      0x00003d28', 0, ()),
    (REV_ALL_ARM, 'f2e7', 0x1da1, 'b       0x00001d88', 0, ()),
    (REV_ALL_ARM, '91f83424', 0x1ddf, 'ldrb    r2, [r1, #0x434]', 0, ()),
    (REV_ALL_ARM, '91f83314', 0x1de5, 'ldrb    r1, [r1, #0x433]', 0, ()),
    (REV_ALL_ARM, '0df0a5fc', 0x1de9, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '697a', 0x1ded, 'ldrb    r1, [r5, #9]', 0, ()),
    (REV_ALL_ARM, '04f23342', 0x1def, 'addw    r2, r4, #0x433', 0, ()),
    (REV_ALL_ARM, '6846', 0x1df3, 'mov     r0, sp', 0, ()),
    (REV_ALL_ARM, '0cf035fa', 0x1df5, 'bl      0x0000e262', 0, ()),
    (REV_ALL_ARM, '0bf097ff', 0x1dfd, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '91f80207', 0x1e17, 'ldrb    r0, [r1, #0x702]', 0, ()),
    (REV_ALL_ARM, '91f80137', 0x1e1b, 'ldrb    r3, [r1, #0x701]', 0, ()),
    (REV_ALL_ARM, '90b0', 0x1e1f, 'sub     sp, #0x40', 0, ()),
    (REV_ALL_ARM, '18b9', 0x1e21, 'cbnz    r0, 0x00001e2a', 0, ()),
    (REV_ALL_ARM, '03f11202', 0x1e2b, 'add     r2, r3, #0x12', 0, ()),
    (REV_ALL_ARM, '0a2b', 0x1e35, 'cmp     r3, #0xa', 0, ()),
    (REV_ALL_ARM, '81f80107', 0x1e3d, 'strb    r0, [r1, #0x701]', 0, ()),
    (REV_ALL_ARM, '81f80207', 0x1e41, 'strb    r0, [r1, #0x702]', 0, ()),
    (REV_ALL_ARM, '01eb8212', 0x1e45, 'add     r2, r1, r2, lsl #6', 0, ()),
    (REV_ALL_ARM, '81f80137', 0x1e4b, 'strb    r3, [r1, #0x701]', 0, ()),
    (REV_ALL_ARM, '617a', 0x1e51, 'ldrb    r1, [r4, #9]', 0, ()),
    (REV_ALL_ARM, '0cf019fa', 0x1e53, 'bl      0x0000e288', 0, ()),
    (REV_ALL_ARM, '0bf068ff', 0x1e5b, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '91f80027', 0x1e23, 'ldrb    r2, [r1, #0x700]', 0, ()),
    (REV_ALL_ARM, '10b0', 0x1e5f, 'add     sp, #0x40', 0, ()),
    (REV_ALL_ARM, '00b5', 0x1e69, 'push    {lr}', 0, ()),
    (REV_ALL_ARM, '93b0', 0x1e6b, 'sub     sp, #0x4c', 0, ()),
    (REV_ALL_ARM, '01f24343', 0x1e6d, 'addw    r3, r1, #0x443', 0, ()),
    (REV_ALL_ARM, '91f8e133', 0x1e73, 'ldrb    r3, [r1, #0x3e1]', 0, ()),
    (REV_ALL_ARM, '91f8e013', 0x1e77, 'ldrb    r1, [r1, #0x3e0]', 0, ()),
    (REV_ALL_ARM, 'ec22', 0x1e7b, 'movs    r2, #0xec', 0, ()),
    (REV_ALL_ARM, '0cf0dbfa', 0x1e7f, 'bl      0x0000e438', 0, ()),
    (REV_ALL_ARM, '0bf051ff', 0x1e89, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '13b0', 0x1e8d, 'add     sp, #0x4c', 0, ()),
    (REV_ALL_ARM, '91f8df33', 0x1e9b, 'ldrb    r3, [r1, #0x3df]', 0, ()),
    (REV_ALL_ARM, '96b0', 0x1ea1, 'sub     sp, #0x58', 0, ()),
    (REV_ALL_ARM, '0b78', 0x1ebd, 'ldrb    r3, [r1]', 0, ()),
    (REV_ALL_ARM, '40f08580', 0x1ec3, 'bne     0x00001fd0', 0, ()),
    (REV_ALL_ARM, '0df088fb', 0x1fe1, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'd6f86c02', 0x1fe5, 'ldr     r0, [r6, #0x26c]', 0, ()),
    (REV_ALL_ARM, 'd830', 0x1fe9, 'adds    r0, #0xd8', 0, ()),
    (REV_ALL_ARM, '0cf01dfb', 0x1feb, 'bl      0x0000e628', 0, ()),
    (REV_ALL_ARM, '337a', 0x1ec7, 'ldrb    r3, [r6, #8]', 0, ()),
    (REV_ALL_ARM, '91f8f313', 0x1ec9, 'ldrb    r1, [r1, #0x3f3]', 0, ()),
    (REV_ALL_ARM, '16b0', 0x1ff1, 'add     sp, #0x58', 0, ()),
    (REV_ALL_ARM, '0df013fc', 0x1ee5, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '94f83104', 0x1ee9, 'ldrb    r0, [r4, #0x431]', 0, ()),
    (REV_ALL_ARM, '327a', 0x1eed, 'ldrb    r2, [r6, #8]', 0, ()),
    (REV_ALL_ARM, '94f83234', 0x1eef, 'ldrb    r3, [r4, #0x432]', 0, ()),
    (REV_ALL_ARM, '9df80810', 0x1ef3, 'ldrb    r1, [sp, #8]', 0, ()),
    (REV_ALL_ARM, 'ff38', 0x1ef7, 'subs    r0, #0xff', 0, ()),
    (REV_ALL_ARM, '82f00102', 0x1ef9, 'eor     r2, r2, #1', 0, ()),
    (REV_ALL_ARM, '9b00', 0x1f01, 'lsls    r3, r3, #2', 0, ()),
    (REV_ALL_ARM, '42ea4002', 0x1f03, 'orr     r2, r2, r0, lsl #1', 0, ()),
    (REV_ALL_ARM, '03f03c03', 0x1f07, 'and     r3, r3, #0x3c', 0, ()),
    (REV_ALL_ARM, '1343', 0x1f0b, 'orrs    r3, r2', 0, ()),
    (REV_ALL_ARM, '9df80920', 0x1f0d, 'ldrb    r2, [sp, #9]', 0, ()),
    #(REV_ALL_ARM, '22f03f02', 0x1f15, 'bic     r2, r2, 0x3f', 0, ()),
    #(REV_ALL_ARM, '21f03f01', 0x1f1b, 'bic     r1, r1, 0x3f', 0, ()),
    (REV_ALL_ARM, '94f8f333', 0x1f23, 'ldrb    r3, [r4, #0x3f3]', 0, ()),
    (REV_ALL_ARM, '41f00601', 0x1f27, 'orr     r1, r1, #6', 0, ()),
    (REV_ALL_ARM, '8df80810', 0x1f2b, 'strb    r1, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '13b1', 0x1f2f, 'cbz     r3, 0x00001f36', 0, ()),
    (REV_ALL_ARM, 'ca07', 0x1ed1, 'lsls    r2, r1, #0x1f', 0, ()),
    (REV_ALL_ARM, '32d5', 0x1ed3, 'bpl     0x00001f3a', 0, ()),
    (REV_ALL_ARM, '02ab', 0x1f37, 'add     r3, sp, #8', 0, ()),
    (REV_ALL_ARM, '36e0', 0x1f39, 'b       0x00001fa8', 0, ()),
    (REV_ALL_ARM, '84f8f333', 0x1f33, 'strb    r3, [r4, #0x3f3]', 0, ()),
    (REV_ALL_ARM, '95f8f133', 0x1f3b, 'ldrb    r3, [r5, #0x3f1]', 0, ()),
    (REV_ALL_ARM, '58d0', 0x1f41, 'beq     0x00001ff4', 0, ()),
    (REV_ALL_ARM, '95f8e133', 0x1fab, 'ldrb    r3, [r5, #0x3e1]', 0, ()),
    (REV_ALL_ARM, '06a8', 0x1fb1, 'add     r0, sp, #0x18', 0, ()),
    (REV_ALL_ARM, '95f8e233', 0x1fb3, 'ldrb    r3, [r5, #0x3e2]', 0, ()),
    (REV_ALL_ARM, '95f8e023', 0x1fb7, 'ldrb    r2, [r5, #0x3e0]', 0, ()),
    (REV_ALL_ARM, 'fff79efb', 0x1fbd, 'bl      0x000016fc', 0, ()),
    (REV_ALL_ARM, '3068', 0x1fc1, 'ldr     r0, [r6]', 0, ()),
    (REV_ALL_ARM, '06a9', 0x1fc3, 'add     r1, sp, #0x18', 0, ()),
    (REV_ALL_ARM, '0bf0b3fe', 0x1fc5, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '11e0', 0x1fc9, 'b       0x00001fee', 0, ()),
    (REV_ALL_ARM, '57e7', 0x2005, 'b       0x00001eb6', 0, ()),
    (REV_ALL_ARM, '94f8f233', 0x1f43, 'ldrb    r3, [r4, #0x3f2]', 0, ()),
    (REV_ALL_ARM, 'db07', 0x1f47, 'lsls    r3, r3, #0x1f', 0, ()),
    (REV_ALL_ARM, '3fd5', 0x1f49, 'bpl     0x00001fca', 0, ()),
    (REV_ALL_ARM, '0df01dfc', 0x1eb7, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '98e0', 0x1ebb, 'b       0x00001fee', 0, ()),
    (REV_ALL_ARM, '05f2e333', 0x1fcb, 'addw    r3, r5, #0x3e3', 0, ()),
    (REV_ALL_ARM, '9df80830', 0x1f4b, 'ldrb    r3, [sp, #8]', 0, ()),
    #(REV_ALL_ARM, '23f03f03', 0x1f4f, 'bic     r3, r3, 0x3f', 0, ()),
    (REV_ALL_ARM, '0522', 0x1f57, 'movs    r2, #5', 0, ()),
    (REV_ALL_ARM, '04f57d71', 0x1f59, 'add     r1, r4, #0x3f4', 0, ()),
    (REV_ALL_ARM, '0df10900', 0x1f5d, 'add     r0, sp, #9', 0, ()),
    (REV_ALL_ARM, '0ef0c0ff', 0x1f65, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '12f03e0f', 0x1f6d, 'tst     r2, #0x3e', 0, ()),
    (REV_ALL_ARM, '0ed1', 0x1f71, 'bne     0x00001f90', 0, ()),
    (REV_ALL_ARM, '94f8f223', 0x1f91, 'ldrb    r2, [r4, #0x3f2]', 0, ()),
    (REV_ALL_ARM, '12b1', 0x1f95, 'cbz     r2, 0x00001f9c', 0, ()),
    (REV_ALL_ARM, '95f84024', 0x1f73, 'ldrb    r2, [r5, #0x440]', 0, ()),
    (REV_ALL_ARM, 'b2fbf1f2', 0x1f79, 'udiv    r2, r2, r1', 0, ()),
    (REV_ALL_ARM, '9978', 0x1f7d, 'ldrb    r1, [r3, #2]', 0, ()),
    (REV_ALL_ARM, '9970', 0x1f83, 'strb    r1, [r3, #2]', 0, ()),
    (REV_ALL_ARM, '5a79', 0x1f85, 'ldrb    r2, [r3, #5]', 0, ()),
    (REV_ALL_ARM, '95f84214', 0x1f87, 'ldrb    r1, [r5, #0x442]', 0, ()),
    (REV_ALL_ARM, '5a71', 0x1f8f, 'strb    r2, [r3, #5]', 0, ()),
    (REV_ALL_ARM, '94f8f323', 0x1f9d, 'ldrb    r2, [r4, #0x3f3]', 0, ()),
    (REV_ALL_ARM, '84f8f223', 0x1f99, 'strb    r2, [r4, #0x3f2]', 0, ()),
    (REV_ALL_ARM, '84f8f323', 0x1fa5, 'strb    r2, [r4, #0x3f3]', 0, ()),
    (REV_ALL_ARM, '92b0', 0x203d, 'sub     sp, #0x48', 0, ()),
    (REV_ALL_ARM, '0df063fb', 0x2045, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '94f89033', 0x2049, 'ldrb    r3, [r4, #0x390]', 0, ()),
    (REV_ALL_ARM, '94f8e223', 0x204d, 'ldrb    r2, [r4, #0x3e2]', 0, ()),
    (REV_ALL_ARM, '94f8e013', 0x2051, 'ldrb    r1, [r4, #0x3e0]', 0, ()),
    (REV_ALL_ARM, '94f8e133', 0x2059, 'ldrb    r3, [r4, #0x3e1]', 0, ()),
    (REV_ALL_ARM, '0cf0dbf9', 0x205d, 'bl      0x0000e416', 0, ()),
    (REV_ALL_ARM, '0bf062fe', 0x2067, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '12b0', 0x206b, 'add     sp, #0x48', 0, ()),
    (REV_ALL_ARM, '0df02bfb', 0x209b, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '94f83114', 0x209f, 'ldrb    r1, [r4, #0x431]', 0, ()),
    (REV_ALL_ARM, '94f8e233', 0x20a3, 'ldrb    r3, [r4, #0x3e2]', 0, ()),
    (REV_ALL_ARM, '94f8e023', 0x20a7, 'ldrb    r2, [r4, #0x3e0]', 0, ()),
    (REV_ALL_ARM, '94f8e103', 0x20ab, 'ldrb    r0, [r4, #0x3e1]', 0, ()),
    (REV_ALL_ARM, '0429', 0x20af, 'cmp     r1, #4', 0, ()),
    (REV_ALL_ARM, '17d1', 0x20b1, 'bne     0x000020e2', 0, ()),
    (REV_ALL_ARM, '0139', 0x20e3, 'subs    r1, #1', 0, ()),
    (REV_ALL_ARM, 'c9b2', 0x20e5, 'uxtb    r1, r1', 0, ()),
    (REV_ALL_ARM, 'fd29', 0x20e7, 'cmp     r1, #0xfd', 0, ()),
    (REV_ALL_ARM, '8cbf', 0x20e9, 'ite     hi', 0, ()),
    (REV_ALL_ARM, '04f2f934', 0x20ef, 'addw    r4, r4, #0x3f9', 0, ()),
    (REV_ALL_ARM, 'cde90141', 0x20f3, 'strd    r4, r1, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '0090', 0x20f7, 'str     r0, [sp]', 0, ()),
    (REV_ALL_ARM, '0cf0e6f8', 0x20fd, 'bl      0x0000e2cc', 0, ()),
    (REV_ALL_ARM, 'e8e7', 0x2101, 'b       0x000020d4', 0, ()),
    (REV_ALL_ARM, '8df81410', 0x20b3, 'strb    r1, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '8df81510', 0x20b9, 'strb    r1, [sp, #0x15]', 0, ()),
    (REV_ALL_ARM, '8df81610', 0x20bf, 'strb    r1, [sp, #0x16]', 0, ()),
    (REV_ALL_ARM, '8df81710', 0x20c3, 'strb    r1, [sp, #0x17]', 0, ()),
    (REV_ALL_ARM, '05a9', 0x20c7, 'add     r1, sp, #0x14', 0, ()),
    (REV_ALL_ARM, 'cde90001', 0x20c9, 'strd    r0, r1, [sp]', 0, ()),
    (REV_ALL_ARM, 'fff7e4fa', 0x20d1, 'bl      0x0000169c', 0, ()),
    (REV_ALL_ARM, '0bf028fe', 0x20db, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '91f87833', 0x211b, 'ldrb    r3, [r1, #0x378]', 0, ()),
    (REV_ALL_ARM, '8cb0', 0x2125, 'sub     sp, #0x30', 0, ()),
    (REV_ALL_ARM, '81f87833', 0x2129, 'strb    r3, [r1, #0x378]', 0, ()),
    (REV_ALL_ARM, '23b1', 0x212d, 'cbz     r3, 0x00002138', 0, ()),
    (REV_ALL_ARM, '94f86033', 0x2141, 'ldrb    r3, [r4, #0x360]', 0, ()),
    (REV_ALL_ARM, '94f86433', 0x2147, 'ldrb    r3, [r4, #0x364]', 0, ()),
    (REV_ALL_ARM, '94f86533', 0x214f, 'ldrb    r3, [r4, #0x365]', 0, ()),
    (REV_ALL_ARM, '94f86633', 0x2157, 'ldrb    r3, [r4, #0x366]', 0, ()),
    (REV_ALL_ARM, '45f00305', 0x215d, 'orr     r5, r5, #3', 0, ()),
    (REV_ALL_ARM, '94f86733', 0x2161, 'ldrb    r3, [r4, #0x367]', 0, ()),
    (REV_ALL_ARM, '03a9', 0x216b, 'add     r1, sp, #0xc', 0, ()),
    (REV_ALL_ARM, '0df018fb', 0x216d, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '94f86833', 0x2177, 'ldrb    r3, [r4, #0x368]', 0, ()),
    (REV_ALL_ARM, '94f86933', 0x217d, 'ldrb    r3, [r4, #0x369]', 0, ()),
    (REV_ALL_ARM, '94f86a33', 0x2183, 'ldrb    r3, [r4, #0x36a]', 0, ()),
    (REV_ALL_ARM, '94f86b33', 0x2189, 'ldrb    r3, [r4, #0x36b]', 0, ()),
    (REV_ALL_ARM, '94f86c33', 0x218f, 'ldrb    r3, [r4, #0x36c]', 0, ()),
    (REV_ALL_ARM, '0893', 0x2193, 'str     r3, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '94f86d33', 0x2195, 'ldrb    r3, [r4, #0x36d]', 0, ()),
    (REV_ALL_ARM, '0993', 0x2199, 'str     r3, [sp, #0x24]', 0, ()),
    (REV_ALL_ARM, '94f86e33', 0x219b, 'ldrb    r3, [r4, #0x36e]', 0, ()),
    (REV_ALL_ARM, '0a93', 0x219f, 'str     r3, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, '94f86f33', 0x21a1, 'ldrb    r3, [r4, #0x36f]', 0, ()),
    (REV_ALL_ARM, '0b93', 0x21a7, 'str     r3, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, '0922', 0x21a9, 'movs    r2, #9', 0, ()),
    (REV_ALL_ARM, '0df0f7fa', 0x21af, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '94f87033', 0x21b9, 'ldrb    r3, [r4, #0x370]', 0, ()),
    (REV_ALL_ARM, '94f87133', 0x21bf, 'ldrb    r3, [r4, #0x371]', 0, ()),
    (REV_ALL_ARM, '94f87233', 0x21c5, 'ldrb    r3, [r4, #0x372]', 0, ()),
    (REV_ALL_ARM, '94f87333', 0x21cb, 'ldrb    r3, [r4, #0x373]', 0, ()),
    (REV_ALL_ARM, '94f87433', 0x21d1, 'ldrb    r3, [r4, #0x374]', 0, ()),
    (REV_ALL_ARM, '94f87533', 0x21d7, 'ldrb    r3, [r4, #0x375]', 0, ()),
    (REV_ALL_ARM, '94f87633', 0x21dd, 'ldrb    r3, [r4, #0x376]', 0, ()),
    (REV_ALL_ARM, '94f87733', 0x21e3, 'ldrb    r3, [r4, #0x377]', 0, ()),
    (REV_ALL_ARM, '0df0d6fa', 0x21f1, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '84f86133', 0x21f7, 'strb    r3, [r4, #0x361]', 0, ()),
    (REV_ALL_ARM, '40f20223', 0x21fb, 'movw    r3, #0x202', 0, ()),
    (REV_ALL_ARM, 'a4f86233', 0x21ff, 'strh    r3, [r4, #0x362]', 0, ()),
    (REV_ALL_ARM, '94f87833', 0x2203, 'ldrb    r3, [r4, #0x378]', 0, ()),
    (REV_ALL_ARM, '0dd1', 0x2209, 'bne     0x00002226', 0, ()),
    (REV_ALL_ARM, '0cf078fa', 0x2135, 'bl      0x0000e628', 0, ()),
    (REV_ALL_ARM, '94f84530', 0x2227, 'ldrb    r3, [r4, #0x45]', 0, ()),
    (REV_ALL_ARM, '23b9', 0x222b, 'cbnz    r3, 0x00002236', 0, ()),
    (REV_ALL_ARM, '04f55873', 0x220b, 'add     r3, r4, #0x360', 0, ()),
    (REV_ALL_ARM, '211d', 0x2221, 'adds    r1, r4, #4', 0, ()),
    (REV_ALL_ARM, 'fff7c9fa', 0x2223, 'bl      0x000017b8', 0, ()),
    (REV_ALL_ARM, '0523', 0x223b, 'movs    r3, #5', 0, ()),
    (REV_ALL_ARM, '84f8f233', 0x223d, 'strb    r3, [r4, #0x3f2]', 0, ()),
    (REV_ALL_ARM, '04f12501', 0x222d, 'add     r1, r4, #0x25', 0, ()),
    (REV_ALL_ARM, '201d', 0x2231, 'adds    r0, r4, #4', 0, ()),
    (REV_ALL_ARM, '01f0a1f9', 0x2233, 'bl      0x00003578', 0, ()),
    (REV_ALL_ARM, '0cb0', 0x2241, 'add     sp, #0x30', 0, ()),
    (REV_ALL_ARM, '0bf072bd', 0x2247, 'b       0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '207a', 0x226d, 'ldrb    r0, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '78b1', 0x2271, 'cbz     r0, 0x00002292', 0, ()),
    (REV_ALL_ARM, 'd4f87022', 0x2273, 'ldr     r2, [r4, #0x270]', 0, ()),
    (REV_ALL_ARM, '501c', 0x2277, 'adds    r0, r2, #1', 0, ()),
    (REV_ALL_ARM, '0dd0', 0x2279, 'beq     0x00002296', 0, ()),
    (REV_ALL_ARM, 'd4f87432', 0x227b, 'ldr     r3, [r4, #0x274]', 0, ()),
    (REV_ALL_ARM, '591c', 0x227f, 'adds    r1, r3, #1', 0, ()),
    (REV_ALL_ARM, '09d0', 0x2281, 'beq     0x00002296', 0, ()),
    (REV_ALL_ARM, '0cf0acf8', 0x2287, 'bl      0x0000e3e2', 0, ()),
    (REV_ALL_ARM, '0bf04efd', 0x228f, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '88b0', 0x22b5, 'sub     sp, #0x20', 0, ()),
    (REV_ALL_ARM, '0df01bfa', 0x22bb, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'e379', 0x22db, 'ldrb    r3, [r4, #7]', 0, ()),
    (REV_ALL_ARM, '0822', 0x22e5, 'movs    r2, #8', 0, ()),
    (REV_ALL_ARM, '0df05bfa', 0x22e7, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '637a', 0x22ef, 'ldrb    r3, [r4, #9]', 0, ()),
    (REV_ALL_ARM, 'a37a', 0x22f3, 'ldrb    r3, [r4, #0xa]', 0, ()),
    (REV_ALL_ARM, 'e37a', 0x22f7, 'ldrb    r3, [r4, #0xb]', 0, ()),
    (REV_ALL_ARM, '237b', 0x22fb, 'ldrb    r3, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '637b', 0x22ff, 'ldrb    r3, [r4, #0xd]', 0, ()),
    (REV_ALL_ARM, 'a37b', 0x2303, 'ldrb    r3, [r4, #0xe]', 0, ()),
    (REV_ALL_ARM, 'e37b', 0x2307, 'ldrb    r3, [r4, #0xf]', 0, ()),
    (REV_ALL_ARM, '0df045fa', 0x2313, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '237c', 0x2317, 'ldrb    r3, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '637c', 0x231b, 'ldrb    r3, [r4, #0x11]', 0, ()),
    (REV_ALL_ARM, 'a37c', 0x231f, 'ldrb    r3, [r4, #0x12]', 0, ()),
    (REV_ALL_ARM, 'e37c', 0x2323, 'ldrb    r3, [r4, #0x13]', 0, ()),
    (REV_ALL_ARM, '237d', 0x2327, 'ldrb    r3, [r4, #0x14]', 0, ()),
    (REV_ALL_ARM, '637d', 0x232b, 'ldrb    r3, [r4, #0x15]', 0, ()),
    (REV_ALL_ARM, 'a37d', 0x232f, 'ldrb    r3, [r4, #0x16]', 0, ()),
    (REV_ALL_ARM, 'e37d', 0x2333, 'ldrb    r3, [r4, #0x17]', 0, ()),
    (REV_ALL_ARM, '0df02ffa', 0x233f, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '237e', 0x2343, 'ldrb    r3, [r4, #0x18]', 0, ()),
    (REV_ALL_ARM, '637e', 0x2347, 'ldrb    r3, [r4, #0x19]', 0, ()),
    (REV_ALL_ARM, 'a37e', 0x234b, 'ldrb    r3, [r4, #0x1a]', 0, ()),
    (REV_ALL_ARM, 'e37e', 0x234f, 'ldrb    r3, [r4, #0x1b]', 0, ()),
    (REV_ALL_ARM, '237f', 0x2353, 'ldrb    r3, [r4, #0x1c]', 0, ()),
    (REV_ALL_ARM, '637f', 0x2357, 'ldrb    r3, [r4, #0x1d]', 0, ()),
    (REV_ALL_ARM, 'a37f', 0x235b, 'ldrb    r3, [r4, #0x1e]', 0, ()),
    (REV_ALL_ARM, 'e37f', 0x235f, 'ldrb    r3, [r4, #0x1f]', 0, ()),
    (REV_ALL_ARM, '0df019fa', 0x236b, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '08b0', 0x2373, 'add     sp, #0x20', 0, ()),
    (REV_ALL_ARM, '0cf076b9', 0x2379, 'b       0x0000e668', 0, ()),
    (REV_ALL_ARM, '0df0a5f9', 0x23a7, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0bf015ff', 0x23b1, 'bl      0x0000e1de', 0, ()),
    (REV_ALL_ARM, 'e268', 0x23b7, 'ldr     r2, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '2572', 0x23bb, 'strb    r5, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '0bf0dcff', 0x23bf, 'bl      0x0000e37a', 0, ()),
    (REV_ALL_ARM, '0bf0b2fc', 0x23c7, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '0bf095fc', 0x23eb, 'bl      0x0000dd18', 0, ()),
    (REV_ALL_ARM, '04f52d71', 0x242d, 'add     r1, r4, #0x2b4', 0, ()),
    (REV_ALL_ARM, '0222', 0x2437, 'movs    r2, #2', 0, ()),
    (REV_ALL_ARM, '0bf0e6b8', 0x2439, 'b       0x0000d608', 0, ()),
    (REV_ALL_ARM, '0df078f9', 0x2401, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'fef7affe', 0x2407, 'bl      0x00001168', 0, ()),
    (REV_ALL_ARM, 'd4f8f400', 0x240b, 'ldr     r0, [r4, #0xf4]', 0, ()),
    (REV_ALL_ARM, '4ff44871', 0x2411, 'mov     r1, #0x320', 0, ()),
    (REV_ALL_ARM, '0cf0f5f8', 0x2415, 'bl      0x0000e602', 0, ()),
    (REV_ALL_ARM, '6422', 0x241d, 'movs    r2, #0x64', 0, ()),
    (REV_ALL_ARM, '0cf0ebb8', 0x2429, 'b       0x0000e602', 0, ()),
    (REV_ALL_ARM, '0278', 0x2453, 'ldrb    r2, [r0]', 0, ()),
    (REV_ALL_ARM, '1ed0', 0x245d, 'beq     0x0000249c', 0, ()),
    (REV_ALL_ARM, '042a', 0x2469, 'cmp     r2, #4', 0, ()),
    (REV_ALL_ARM, '4fea8313', 0x246b, 'lsl     r3, r3, #6', 0, ()),
    (REV_ALL_ARM, '94bf', 0x246f, 'ite     ls', 0, ()),
    (REV_ALL_ARM, '50f82210', 0x2471, 'ldr     r1, [r0, r2, lsl #2]', 0, ()),
    (REV_ALL_ARM, '50f82420', 0x2477, 'ldr     r2, [r0, r4, lsl #2]', 0, ()),
    (REV_ALL_ARM, '0df059f9', 0x2481, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '2c70', 0x2485, 'strb    r4, [r5]', 0, ()),
    (REV_ALL_ARM, '0bf09aff', 0x2491, 'bl      0x0000e3c8', 0, ()),
    (REV_ALL_ARM, '0bf049fc', 0x2499, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, 'b0f8dc33', 0x24bf, 'ldrh    r3, [r0, #0x3dc]', 0, ()),
    (REV_ALL_ARM, '1944', 0x24c3, 'add     r1, r3', 0, ()),
    (REV_ALL_ARM, '0378', 0x24c5, 'ldrb    r3, [r0]', 0, ()),
    (REV_ALL_ARM, '89b2', 0x24c7, 'uxth    r1, r1', 0, ()),
    (REV_ALL_ARM, '13f0fb0f', 0x24c9, 'tst     r3, #0xfb', 0, ()),
    (REV_ALL_ARM, 'a0f8dc13', 0x24cf, 'strh    r1, [r0, #0x3dc]', 0, ()),
    (REV_ALL_ARM, '24d0', 0x24d3, 'beq     0x0000251e', 0, ()),
    (REV_ALL_ARM, 'b1f5967f', 0x24d5, 'cmp     r1, #0x12c', 0, ()),
    (REV_ALL_ARM, '21d3', 0x24d9, 'bcc     0x0000251e', 0, ()),
    (REV_ALL_ARM, '0df002f9', 0x24ed, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'd5f86c02', 0x24f1, 'ldr     r0, [r5, #0x26c]', 0, ()),
    (REV_ALL_ARM, '0cf097f8', 0x24f7, 'bl      0x0000e628', 0, ()),
    (REV_ALL_ARM, '0cf092f8', 0x2501, 'bl      0x0000e628', 0, ()),
    (REV_ALL_ARM, '0cf08ef8', 0x2509, 'bl      0x0000e628', 0, ()),
    (REV_ALL_ARM, '0cf029f8', 0x2513, 'bl      0x0000e568', 0, ()),
    (REV_ALL_ARM, 'fff799ff', 0x251b, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, '01f27a31', 0x2539, 'addw    r1, r1, #0x37a', 0, ()),
    (REV_ALL_ARM, '0bf002fd', 0x253d, 'bl      0x0000df44', 0, ()),
    (REV_ALL_ARM, '94f87c23', 0x2541, 'ldrb    r2, [r4, #0x37c]', 0, ()),
    (REV_ALL_ARM, '94f8de33', 0x2545, 'ldrb    r3, [r4, #0x3de]', 0, ()),
    (REV_ALL_ARM, '72bb', 0x2549, 'cbnz    r2, 0x000025a8', 0, ()),
    (REV_ALL_ARM, 'f1d0', 0x25ab, 'beq     0x00002590', 0, ()),
    (REV_ALL_ARM, '1d2b', 0x254b, 'cmp     r3, #0x1d', 0, ()),
    (REV_ALL_ARM, '19d9', 0x254d, 'bls     0x00002582', 0, ()),
    (REV_ALL_ARM, '94f88223', 0x2591, 'ldrb    r2, [r4, #0x382]', 0, ()),
    (REV_ALL_ARM, '94f8df33', 0x2595, 'ldrb    r3, [r4, #0x3df]', 0, ()),
    (REV_ALL_ARM, '52b9', 0x2599, 'cbnz    r2, 0x000025b0', 0, ()),
    (REV_ALL_ARM, 'e9e7', 0x25af, 'b       0x00002584', 0, ()),
    (REV_ALL_ARM, '11d1', 0x2553, 'bne     0x00002578', 0, ()),
    (REV_ALL_ARM, '84f8de33', 0x2585, 'strb    r3, [r4, #0x3de]', 0, ()),
    (REV_ALL_ARM, 'ded8', 0x258f, 'bhi     0x0000254e', 0, ()),
    (REV_ALL_ARM, 'fff768ff', 0x257d, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, '0df0c5f8', 0x2567, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0df0c1f8', 0x256f, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0cf05ff8', 0x2575, 'bl      0x0000e636', 0, ()),
    (REV_ALL_ARM, 'f3e7', 0x25b7, 'b       0x000025a0', 0, ()),
    (REV_ALL_ARM, '84f8df33', 0x25a1, 'strb    r3, [r4, #0x3df]', 0, ()),
    (REV_ALL_ARM, '2de9f041', 0x25c9, 'push    {r4, r5, r6, r7, r8, lr}', 0, ()),
    (REV_ALL_ARM, '98b0', 0x25cd, 'sub     sp, #0x60', 0, ()),
    (REV_ALL_ARM, '0bf0cbfc', 0x25d5, 'bl      0x0000df6e', 0, ()),
    (REV_ALL_ARM, 'a6f8dc33', 0x25db, 'strh    r3, [r6, #0x3dc]', 0, ()),
    (REV_ALL_ARM, '2b7a', 0x25df, 'ldrb    r3, [r5, #8]', 0, ()),
    (REV_ALL_ARM, '8046', 0x25e1, 'mov     r8, r0', 0, ()),
    (REV_ALL_ARM, 'cbb9', 0x25e3, 'cbnz    r3, 0x00002618', 0, ()),
    (REV_ALL_ARM, 'b8f1ff0f', 0x2619, 'cmp     r8, #0xff', 0, ()),
    (REV_ALL_ARM, '7cd1', 0x261d, 'bne     0x00002718', 0, ()),
    (REV_ALL_ARM, '3378', 0x25e5, 'ldrb    r3, [r6]', 0, ()),
    (REV_ALL_ARM, '16d1', 0x25e9, 'bne     0x00002618', 0, ()),
    (REV_ALL_ARM, 'b8f14f0f', 0x2719, 'cmp     r8, #0x4f', 0, ()),
    (REV_ALL_ARM, 'acd0', 0x271d, 'beq     0x00002678', 0, ()),
    (REV_ALL_ARM, '301d', 0x2629, 'adds    r0, r6, #4', 0, ()),
    (REV_ALL_ARM, '00f0c5fe', 0x262b, 'bl      0x000033b8', 0, ()),
    (REV_ALL_ARM, '80bb', 0x262f, 'cbnz    r0, 0x00002692', 0, ()),
    (REV_ALL_ARM, 'd5f86c32', 0x25eb, 'ldr     r3, [r5, #0x26c]', 0, ()),
    (REV_ALL_ARM, '93f8e840', 0x25ef, 'ldrb    r4, [r3, #0xe8]', 0, ()),
    (REV_ALL_ARM, '8cb9', 0x25f3, 'cbnz    r4, 0x00002618', 0, ()),
    (REV_ALL_ARM, '7be0', 0x267b, 'b       0x00002774', 0, ()),
    (REV_ALL_ARM, '18f0400f', 0x271f, 'tst     r8, #0x40', 0, ()),
    (REV_ALL_ARM, '00f0a081', 0x2723, 'beq     0x00002a66', 0, ()),
    (REV_ALL_ARM, '831c', 0x2693, 'adds    r3, r0, #2', 0, ()),
    (REV_ALL_ARM, '00f02482', 0x2695, 'beq     0x00002ae0', 0, ()),
    (REV_ALL_ARM, '042b', 0x2633, 'cmp     r3, #4', 0, ()),
    (REV_ALL_ARM, '0df076f8', 0x2605, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '4ff4c872', 0x260d, 'mov     r2, #0x190', 0, ()),
    (REV_ALL_ARM, '0bf0f5ff', 0x2615, 'bl      0x0000e602', 0, ()),
    (REV_ALL_ARM, '86f87933', 0x2777, 'strb    r3, [r6, #0x379]', 0, ()),
    (REV_ALL_ARM, '97f89123', 0x2a69, 'ldrb    r2, [r7, #0x391]', 0, ()),
    (REV_ALL_ARM, 'c8f3c203', 0x2a6d, 'ubfx    r3, r8, #3, #3', 0, ()),
    (REV_ALL_ARM, '7ff401ae', 0x2a73, 'bne     0x00002678', 0, ()),
    (REV_ALL_ARM, '00f041fe', 0x2733, 'bl      0x000033b8', 0, ()),
    (REV_ALL_ARM, '9dd1', 0x273b, 'bne     0x00002678', 0, ()),
    (REV_ALL_ARM, '4ae6', 0x2ae3, 'b       0x0000277a', 0, ()),
    (REV_ALL_ARM, '4742', 0x26a1, 'rsbs    r7, r0, #0', 0, ()),
    (REV_ALL_ARM, '44f00202', 0x26a7, 'orr     r2, r4, #2', 0, ()),
    (REV_ALL_ARM, '0df02ff8', 0x26ad, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '00f00b82', 0x26b5, 'beq     0x00002ace', 0, ()),
    (REV_ALL_ARM, 'e3b1', 0x2641, 'cbz     r3, 0x0000267c', 0, ()),
    (REV_ALL_ARM, '0221', 0x2637, 'movs    r1, #2', 0, ()),
    (REV_ALL_ARM, 'fff709ff', 0x263b, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, '22b9', 0x2a77, 'cbnz    r2, 0x00002a82', 0, ()),
    (REV_ALL_ARM, '08f03f01', 0x273d, 'and     r1, r8, #0x3f', 0, ()),
    (REV_ALL_ARM, '0329', 0x2741, 'cmp     r1, #3', 0, ()),
    (REV_ALL_ARM, '18b0', 0x277d, 'add     sp, #0x60', 0, ()),
    (REV_ALL_ARM, '96f87933', 0x2acf, 'ldrb    r3, [r6, #0x379]', 0, ()),
    (REV_ALL_ARM, '032b', 0x2ad7, 'cmp     r3, #3', 0, ()),
    (REV_ALL_ARM, '3ff6ecad', 0x2add, 'bhi     0x000026b8', 0, ()),
    (REV_ALL_ARM, '44f00204', 0x26b9, 'orr     r4, r4, #2', 0, ()),
    (REV_ALL_ARM, '0df022f8', 0x26c7, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0bf0eefb', 0x26cb, 'bl      0x0000deaa', 0, ()),
    (REV_ALL_ARM, 'd8f80030', 0x26cf, 'ldr     r3, [r8]', 0, ()),
    (REV_ALL_ARM, '40f2dc52', 0x26d3, 'movw    r2, #0x5dc', 0, ()),
    (REV_ALL_ARM, 'c31a', 0x26d7, 'subs    r3, r0, r3', 0, ()),
    (REV_ALL_ARM, '9342', 0x26d9, 'cmp     r3, r2', 0, ()),
    (REV_ALL_ARM, '40f20082', 0x26dd, 'bls     0x00002ae0', 0, ()),
    (REV_ALL_ARM, '0df032f8', 0x268d, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'e7e7', 0x2691, 'b       0x00002662', 0, ()),
    (REV_ALL_ARM, 'c3f3c013', 0x2649, 'ubfx    r3, r3, #7, #1', 0, ()),
    (REV_ALL_ARM, '82f87e34', 0x264d, 'strb    r3, [r2, #0x47e]', 0, ()),
    (REV_ALL_ARM, 'c821', 0x2651, 'movs    r1, #0xc8', 0, ()),
    (REV_ALL_ARM, '08a8', 0x2653, 'add     r0, sp, #0x20', 0, ()),
    (REV_ALL_ARM, '03aa', 0x2655, 'add     r2, sp, #0xc', 0, ()),
    (REV_ALL_ARM, '0bf055fe', 0x2657, 'bl      0x0000e304', 0, ()),
    (REV_ALL_ARM, '08a9', 0x265d, 'add     r1, sp, #0x20', 0, ()),
    (REV_ALL_ARM, '0bf066fb', 0x265f, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '97f8d503', 0x2a83, 'ldrb    r0, [r7, #0x3d5]', 0, ()),
    (REV_ALL_ARM, '08f00704', 0x2a87, 'and     r4, r8, #7', 0, ()),
    (REV_ALL_ARM, '00f56570', 0x2a8d, 'add     r0, r0, #0x394', 0, ()),
    (REV_ALL_ARM, '3844', 0x2a95, 'add     r0, r7', 0, ()),
    (REV_ALL_ARM, '0ef027fa', 0x2a97, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '97f89133', 0x2a9b, 'ldrb    r3, [r7, #0x391]', 0, ()),
    (REV_ALL_ARM, '87f89133', 0x2aa1, 'strb    r3, [r7, #0x391]', 0, ()),
    (REV_ALL_ARM, '97f8d533', 0x2aa5, 'ldrb    r3, [r7, #0x3d5]', 0, ()),
    (REV_ALL_ARM, '1c44', 0x2aa9, 'add     r4, r3', 0, ()),
    (REV_ALL_ARM, '97f8d433', 0x2aab, 'ldrb    r3, [r7, #0x3d4]', 0, ()),
    (REV_ALL_ARM, 'e4b2', 0x2aaf, 'uxtb    r4, r4', 0, ()),
    (REV_ALL_ARM, 'a342', 0x2ab1, 'cmp     r3, r4', 0, ()),
    (REV_ALL_ARM, '87f8d543', 0x2ab3, 'strb    r4, [r7, #0x3d5]', 0, ()),
    (REV_ALL_ARM, '3ff6dfad', 0x2ab7, 'bhi     0x00002678', 0, ()),
    (REV_ALL_ARM, '9df81530', 0x2a79, 'ldrb    r3, [sp, #0x15]', 0, ()),
    (REV_ALL_ARM, '0233', 0x2a7d, 'adds    r3, #2', 0, ()),
    (REV_ALL_ARM, '87f8d433', 0x2a7f, 'strb    r3, [r7, #0x3d4]', 0, ()),
    (REV_ALL_ARM, '9df80c30', 0x275f, 'ldrb    r3, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '0c2b', 0x2763, 'cmp     r3, #0xc', 0, ()),
    (REV_ALL_ARM, '45d0', 0x2747, 'beq     0x000027d4', 0, ()),
    (REV_ALL_ARM, '3178', 0x26e1, 'ldrb    r1, [r6]', 0, ()),
    (REV_ALL_ARM, '0df012f8', 0x26e7, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '86f89033', 0x26ef, 'strb    r3, [r6, #0x390]', 0, ()),
    (REV_ALL_ARM, 'fff7acfe', 0x26f5, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, '037c', 0x26fd, 'ldrb    r3, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '90f8e830', 0x2667, 'ldrb    r3, [r0, #0xe8]', 0, ()),
    (REV_ALL_ARM, '2bb9', 0x266b, 'cbnz    r3, 0x00002678', 0, ()),
    (REV_ALL_ARM, '0bf0c5ff', 0x2675, 'bl      0x0000e602', 0, ()),
    (REV_ALL_ARM, 'fef78afb', 0x2ac1, 'bl      0x000011d8', 0, ()),
    (REV_ALL_ARM, '87f89143', 0x2ac5, 'strb    r4, [r7, #0x391]', 0, ()),
    (REV_ALL_ARM, 'a7f8d443', 0x2ac9, 'strh    r4, [r7, #0x3d4]', 0, ()),
    (REV_ALL_ARM, '52e6', 0x2acd, 'b       0x00002774', 0, ()),
    (REV_ALL_ARM, '10f07cf9', 0x2783, 'bl      0x00012a7e', 0, ()),
    (REV_ALL_ARM, '43e90201', 0x2789, 'strd    r0, r1, [r3, #-8]', 0, ()),
    (REV_ALL_ARM, '102b', 0x2767, 'cmp     r3, #0x10', 0, ()),
    (REV_ALL_ARM, '10d1', 0x2769, 'bne     0x0000278c', 0, ()),
    (REV_ALL_ARM, '9df80c20', 0x27d5, 'ldrb    r2, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, 'fab9', 0x27d9, 'cbnz    r2, 0x0000281a', 0, ()),
    (REV_ALL_ARM, '0cf0d9ff', 0x2759, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'fff79ffe', 0x270f, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, 'c8f80070', 0x2713, 'str     r7, [r8]', 0, ()),
    (REV_ALL_ARM, 'e3e1', 0x2717, 'b       0x00002ae0', 0, ()),
    (REV_ALL_ARM, '4ff49672', 0x2701, 'mov     r2, #0x12c', 0, ()),
    (REV_ALL_ARM, '3221', 0x2705, 'movs    r1, #0x32', 0, ()),
    (REV_ALL_ARM, '0bf07cff', 0x2707, 'bl      0x0000e602', 0, ()),
    (REV_ALL_ARM, 'adf80030', 0x27a3, 'strh    r3, [sp]', 0, ()),
    (REV_ALL_ARM, '9df80d30', 0x27a7, 'ldrb    r3, [sp, #0xd]', 0, ()),
    (REV_ALL_ARM, '0cf0ddff', 0x27ab, 'bl      0x0000f768', 0, ()),
    (REV_ALL_ARM, '9df80f30', 0x27af, 'ldrb    r3, [sp, #0xf]', 0, ()),
    (REV_ALL_ARM, '9df80e30', 0x27b5, 'ldrb    r3, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, '0bf0b0fd', 0x27c7, 'bl      0x0000e32a', 0, ()),
    (REV_ALL_ARM, '0bf0aefa', 0x27cf, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '51e7', 0x27d3, 'b       0x00002678', 0, ()),
    (REV_ALL_ARM, '9df80d00', 0x276b, 'ldrb    r0, [sp, #0xd]', 0, ()),
    (REV_ALL_ARM, '01f091fb', 0x276f, 'bl      0x00003e94', 0, ()),
    (REV_ALL_ARM, '931e', 0x281b, 'subs    r3, r2, #2', 0, ()),
    (REV_ALL_ARM, '122b', 0x281d, 'cmp     r3, #0x12', 0, ()),
    (REV_ALL_ARM, '00f21181', 0x281f, 'bhi     0x00002a44', 0, ()),
    (REV_ALL_ARM, '0723', 0x27e1, 'movs    r3, #7', 0, ()),
    (REV_ALL_ARM, '86f8f333', 0x27e3, 'strb    r3, [r6, #0x3f3]', 0, ()),
    (REV_ALL_ARM, 'fff731fe', 0x27eb, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, '90f8e840', 0x2803, 'ldrb    r4, [r0, #0xe8]', 0, ()),
    (REV_ALL_ARM, '002c', 0x2807, 'cmp     r4, #0', 0, ()),
    (REV_ALL_ARM, '7ff436af', 0x2809, 'bne     0x00002678', 0, ()),
    (REV_ALL_ARM, '0bf07bfc', 0x2a59, 'bl      0x0000e352', 0, ()),
    (REV_ALL_ARM, '0bf065f9', 0x2a61, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, 'bee7', 0x2a65, 'b       0x000029e4', 0, ()),
    (REV_ALL_ARM, '0bf0f5fe', 0x2815, 'bl      0x0000e602', 0, ()),
    (REV_ALL_ARM, 'ace7', 0x2819, 'b       0x00002774', 0, ()),
    (REV_ALL_ARM, '86e7', 0x29e7, 'b       0x000028f6', 0, ()),
    (REV_ALL_ARM, '0cf02eff', 0x2895, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '8df82030', 0x289d, 'strb    r3, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '8df82130', 0x28a5, 'strb    r3, [sp, #0x21]', 0, ()),
    (REV_ALL_ARM, '8df82230', 0x28af, 'strb    r3, [sp, #0x22]', 0, ()),
    (REV_ALL_ARM, '0ef017fb', 0x28b7, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, 'bdf80830', 0x28bb, 'ldrh    r3, [sp, #8]', 0, ()),
    (REV_ALL_ARM, 'c3f30902', 0x28c1, 'ubfx    r2, r3, #0, #0xa', 0, ()),
    (REV_ALL_ARM, '4ff47a73', 0x28c5, 'mov     r3, #0x3e8', 0, ()),
    (REV_ALL_ARM, '13fb0213', 0x28c9, 'smlabb  r3, r3, r2, r1', 0, ()),
    (REV_ALL_ARM, 'c5f87c32', 0x28cd, 'str     r3, [r5, #0x27c]', 0, ()),
    (REV_ALL_ARM, '9df80930', 0x28d1, 'ldrb    r3, [sp, #9]', 0, ()),
    (REV_ALL_ARM, 'c3f38102', 0x28d5, 'ubfx    r2, r3, #2, #2', 0, ()),
    (REV_ALL_ARM, 'c3f30113', 0x28d9, 'ubfx    r3, r3, #4, #2', 0, ()),
    (REV_ALL_ARM, '85f88132', 0x28dd, 'strb    r3, [r5, #0x281]', 0, ()),
    (REV_ALL_ARM, '95f87832', 0x28e1, 'ldrb    r3, [r5, #0x278]', 0, ()),
    (REV_ALL_ARM, '85f88022', 0x28e5, 'strb    r2, [r5, #0x280]', 0, ()),
    (REV_ALL_ARM, '43f00703', 0x28ed, 'orr     r3, r3, #7', 0, ()),
    (REV_ALL_ARM, '9df80f10', 0x2929, 'ldrb    r1, [sp, #0xf]', 0, ()),
    (REV_ALL_ARM, '0904', 0x2935, 'lsls    r1, r1, #0x10', 0, ()),
    (REV_ALL_ARM, '01eb0321', 0x2937, 'add     r1, r1, r3, lsl #8', 0, ()),
    (REV_ALL_ARM, 'c5f87c12', 0x2943, 'str     r1, [r5, #0x27c]', 0, ()),
    (REV_ALL_ARM, '0cf0ddfe', 0x2951, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '9df80d10', 0x2963, 'ldrb    r1, [sp, #0xd]', 0, ()),
    (REV_ALL_ARM, '85f88012', 0x2969, 'strb    r1, [r5, #0x280]', 0, ()),
    (REV_ALL_ARM, '0cf0cafe', 0x2977, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'b5e7', 0x2983, 'b       0x000028f0', 0, ()),
    (REV_ALL_ARM, '85f88112', 0x298f, 'strb    r1, [r5, #0x281]', 0, ()),
    (REV_ALL_ARM, '0cf0b7fe', 0x299d, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'a2e7', 0x29a9, 'b       0x000028f0', 0, ()),
    (REV_ALL_ARM, '94f87e34', 0x29c5, 'ldrb    r3, [r4, #0x47e]', 0, ()),
    (REV_ALL_ARM, 'bdf80e20', 0x29c9, 'ldrh    r2, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, '0cf0ccfe', 0x29cd, 'bl      0x0000f768', 0, ()),
    (REV_ALL_ARM, '94f87e44', 0x29d1, 'ldrb    r4, [r4, #0x47e]', 0, ()),
    (REV_ALL_ARM, '8ed0', 0x29d7, 'beq     0x000028f6', 0, ()),
    (REV_ALL_ARM, '9df80e20', 0x29f1, 'ldrb    r2, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, '85f88212', 0x29f5, 'strb    r1, [r5, #0x282]', 0, ()),
    (REV_ALL_ARM, '85f88322', 0x2a05, 'strb    r2, [r5, #0x283]', 0, ()),
    (REV_ALL_ARM, '0cf095fe', 0x2a09, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '6ce7', 0x2a15, 'b       0x000028f0', 0, ()),
    (REV_ALL_ARM, '003b', 0x2a1b, 'subs    r3, #0', 0, ()),
    (REV_ALL_ARM, '85f8a832', 0x2a21, 'strb    r3, [r5, #0x2a8]', 0, ()),
    (REV_ALL_ARM, '95f87932', 0x2a25, 'ldrb    r3, [r5, #0x279]', 0, ()),
    (REV_ALL_ARM, '85f87932', 0x2a2d, 'strb    r3, [r5, #0x279]', 0, ()),
    (REV_ALL_ARM, '60e7', 0x2a31, 'b       0x000028f4', 0, ()),
    (REV_ALL_ARM, '9df80f20', 0x2a33, 'ldrb    r2, [sp, #0xf]', 0, ()),
    (REV_ALL_ARM, '9df80e10', 0x2a37, 'ldrb    r1, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, '01f06bfa', 0x2a3f, 'bl      0x00003f18', 0, ()),
    (REV_ALL_ARM, 'cfe7', 0x2a43, 'b       0x000029e4', 0, ()),
    (REV_ALL_ARM, '7ff43aaf', 0x28fd, 'bne     0x00002774', 0, ()),
    (REV_ALL_ARM, 'fff7a4fd', 0x2905, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, '0cf0ecfe', 0x2919, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0bf081fe', 0x2923, 'bl      0x0000e628', 0, ()),
    (REV_ALL_ARM, '25e7', 0x2927, 'b       0x00002774', 0, ()),
    (REV_ALL_ARM, '85f87832', 0x28f1, 'strb    r3, [r5, #0x278]', 0, ()),
    (REV_ALL_ARM, 'bdf80e10', 0x29d9, 'ldrh    r1, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, '01f068f9', 0x29e1, 'bl      0x00003cb4', 0, ()),
    (REV_ALL_ARM, '0124', 0x28f5, 'movs    r4, #1', 0, ()),
    (REV_ALL_ARM, '2de9f043', 0x2b15, 'push    {r4, r5, r6, r7, r8, r9, lr}', 0, ()),
    (REV_ALL_ARM, '91f89033', 0x2b19, 'ldrb    r3, [r1, #0x390]', 0, ()),
    (REV_ALL_ARM, '271d', 0x2b31, 'adds    r7, r4, #4', 0, ()),
    (REV_ALL_ARM, 'fff78cfc', 0x2b35, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, '0bf07cfd', 0x2b3b, 'bl      0x0000e636', 0, ()),
    (REV_ALL_ARM, '00f02cfb', 0x2b41, 'bl      0x0000319c', 0, ()),
    (REV_ALL_ARM, '84f89033', 0x2b47, 'strb    r3, [r4, #0x390]', 0, ()),
    (REV_ALL_ARM, '01aa', 0x2b4d, 'add     r2, sp, #4', 0, ()),
    (REV_ALL_ARM, '0bf006fb', 0x2b51, 'bl      0x0000e160', 0, ()),
    (REV_ALL_ARM, 'dff8a081', 0x2b59, 'ldr     r8, [#0x2cfc]', 0, ()),
    (REV_ALL_ARM, '20b3', 0x2b65, 'cbz     r0, 0x00002bb0', 0, ()),
    (REV_ALL_ARM, '0bf07dfd', 0x2b2b, 'bl      0x0000e628', 0, ()),
    (REV_ALL_ARM, '9df80a30', 0x2bc3, 'ldrb    r3, [sp, #0xa]', 0, ()),
    (REV_ALL_ARM, '9df80b30', 0x2bcd, 'ldrb    r3, [sp, #0xb]', 0, ()),
    (REV_ALL_ARM, 'c8f80000', 0x2bd1, 'str     r0, [r8]', 0, ()),
    (REV_ALL_ARM, '07a9', 0x2bdd, 'add     r1, sp, #0x1c', 0, ()),
    (REV_ALL_ARM, '0cf0dffd', 0x2bdf, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '0c93', 0x2c05, 'str     r3, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '9df81130', 0x2c07, 'ldrb    r3, [sp, #0x11]', 0, ()),
    (REV_ALL_ARM, '0d93', 0x2c0b, 'str     r3, [sp, #0x34]', 0, ()),
    (REV_ALL_ARM, '9df81230', 0x2c0d, 'ldrb    r3, [sp, #0x12]', 0, ()),
    (REV_ALL_ARM, '0e93', 0x2c11, 'str     r3, [sp, #0x38]', 0, ()),
    (REV_ALL_ARM, '9df81330', 0x2c13, 'ldrb    r3, [sp, #0x13]', 0, ()),
    (REV_ALL_ARM, '0f93', 0x2c19, 'str     r3, [sp, #0x3c]', 0, ()),
    (REV_ALL_ARM, '0cf0befd', 0x2c21, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '9df81430', 0x2c2b, 'ldrb    r3, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '9df81630', 0x2c37, 'ldrb    r3, [sp, #0x16]', 0, ()),
    (REV_ALL_ARM, '9df81730', 0x2c3d, 'ldrb    r3, [sp, #0x17]', 0, ()),
    (REV_ALL_ARM, '9df81830', 0x2c43, 'ldrb    r3, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '9df81930', 0x2c49, 'ldrb    r3, [sp, #0x19]', 0, ()),
    (REV_ALL_ARM, '9df81a30', 0x2c4f, 'ldrb    r3, [sp, #0x1a]', 0, ()),
    (REV_ALL_ARM, '9df81b30', 0x2c55, 'ldrb    r3, [sp, #0x1b]', 0, ()),
    (REV_ALL_ARM, '0cf09dfd', 0x2c63, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, '04f12500', 0x2c6b, 'add     r0, r4, #0x25', 0, ()),
    (REV_ALL_ARM, '0ef03bf9', 0x2c6f, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '04f16a00', 0x2c77, 'add     r0, r4, #0x6a', 0, ()),
    (REV_ALL_ARM, '0ef035f9', 0x2c7b, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '04f55978', 0x2c7f, 'add     r8, r4, #0x364', 0, ()),
    (REV_ALL_ARM, '84f86033', 0x2c87, 'strb    r3, [r4, #0x360]', 0, ()),
    (REV_ALL_ARM, '04f55a79', 0x2c8f, 'add     r9, r4, #0x368', 0, ()),
    (REV_ALL_ARM, '00f048fc', 0x2c95, 'bl      0x00003528', 0, ()),
    (REV_ALL_ARM, '4946', 0x2c9b, 'mov     r1, r9', 0, ()),
    (REV_ALL_ARM, '00f043fc', 0x2c9f, 'bl      0x00003528', 0, ()),
    (REV_ALL_ARM, '04f13500', 0x2ca7, 'add     r0, r4, #0x35', 0, ()),
    (REV_ALL_ARM, '0ef01df9', 0x2cab, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '04f16e00', 0x2cb3, 'add     r0, r4, #0x6e', 0, ()),
    (REV_ALL_ARM, '84f87863', 0x2cbd, 'strb    r6, [r4, #0x378]', 0, ()),
    (REV_ALL_ARM, '0cf017fd', 0x2cc3, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'a4f8dc63', 0x2cc9, 'strh    r6, [r4, #0x3dc]', 0, ()),
    (REV_ALL_ARM, 'fff7bffb', 0x2ccf, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, '90f85830', 0x2cd9, 'ldrb    r3, [r0, #0x58]', 0, ()),
    (REV_ALL_ARM, '7ff463af', 0x2cdf, 'bne     0x00002ba8', 0, ()),
    (REV_ALL_ARM, '4142', 0x2b6b, 'rsbs    r1, r0, #0', 0, ()),
    (REV_ALL_ARM, 'd8f80020', 0x2b6d, 'ldr     r2, [r8]', 0, ()),
    (REV_ALL_ARM, '16f5c64f', 0x2b79, 'cmn     r6, #0x6300', 0, ()),
    (REV_ALL_ARM, '14d1', 0x2b7d, 'bne     0x00002ba8', 0, ()),
    (REV_ALL_ARM, 'bde8f083', 0x2bad, 'pop     {r4, r5, r6, r7, r8, r9, pc}', 0, ()),
    (REV_ALL_ARM, '6421', 0x2ce7, 'movs    r1, #0x64', 0, ()),
    (REV_ALL_ARM, '0bf08afc', 0x2ceb, 'bl      0x0000e602', 0, ()),
    (REV_ALL_ARM, '5be7', 0x2cef, 'b       0x00002ba8', 0, ()),
    (REV_ALL_ARM, 'c8f80030', 0x2b87, 'str     r3, [r8]', 0, ()),
    (REV_ALL_ARM, '0cf0b0fd', 0x2b91, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0bf0c8fc', 0x2ba5, 'bl      0x0000e538', 0, ()),
    (REV_ALL_ARM, 'c51c', 0x2d1d, 'adds    r5, r0, #3', 0, ()),
    (REV_ALL_ARM, '2022', 0x2d1f, 'movs    r2, #0x20', 0, ()),
    (REV_ALL_ARM, '701d', 0x2d23, 'adds    r0, r6, #5', 0, ()),
    (REV_ALL_ARM, '0ef0b7f8', 0x2d25, 'bl      0x00010e96', 0, ()),
    (REV_ALL_ARM, '58b9', 0x2d2b, 'cbnz    r0, 0x00002d44', 0, ()),
    (REV_ALL_ARM, '04f28620', 0x2d4b, 'addw    r0, r4, #0x286', 0, ()),
    (REV_ALL_ARM, '0ef0cbf8', 0x2d4f, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '43f08003', 0x2d59, 'orr     r3, r3, #0x80', 0, ()),
    (REV_ALL_ARM, 'fff79efa', 0x2d61, 'bl      0x000022a0', 0, ()),
    (REV_ALL_ARM, '0cf0dafc', 0x2d3d, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'fff76dfb', 0x2d73, 'bl      0x00002450', 0, ()),
    (REV_ALL_ARM, 'd4f86c02', 0x2d77, 'ldr     r0, [r4, #0x26c]', 0, ()),
    (REV_ALL_ARM, 'f4d1', 0x2d7f, 'bne     0x00002d6a', 0, ()),
    (REV_ALL_ARM, '0bf03cfc', 0x2d87, 'bl      0x0000e602', 0, ()),
    (REV_ALL_ARM, 'eee7', 0x2d8b, 'b       0x00002d6a', 0, ()),
    (REV_ALL_ARM, '0cf0aafc', 0x2db7, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0ef092f8', 0x2dc1, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '0bf0b2fb', 0x2dd1, 'bl      0x0000e538', 0, ()),
    (REV_ALL_ARM, '83f84524', 0x2df9, 'strb    r2, [r3, #0x445]', 0, ()),
    (REV_ALL_ARM, 'c823', 0x2e03, 'movs    r3, #0xc8', 0, ()),
    (REV_ALL_ARM, '3223', 0x2e09, 'movs    r3, #0x32', 0, ()),
    (REV_ALL_ARM, '00f59070', 0x2e0d, 'add     r0, r0, #0x120', 0, ()),
    (REV_ALL_ARM, '0bf0b3fb', 0x2e11, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, '11b1', 0x2e27, 'cbz     r1, 0x00002e2e', 0, ()),
    (REV_ALL_ARM, '83f84104', 0x2e2f, 'strb    r0, [r3, #0x441]', 0, ()),
    (REV_ALL_ARM, '83f84004', 0x2e29, 'strb    r0, [r3, #0x440]', 0, ()),
    (REV_ALL_ARM, '93f83224', 0x2e3b, 'ldrb    r2, [r3, #0x432]', 0, ()),
    (REV_ALL_ARM, '83f83104', 0x2e3f, 'strb    r0, [r3, #0x431]', 0, ()),
    (REV_ALL_ARM, '0132', 0x2e43, 'adds    r2, #1', 0, ()),
    (REV_ALL_ARM, '83f83224', 0x2e45, 'strb    r2, [r3, #0x432]', 0, ()),
    (REV_ALL_ARM, 'ff28', 0x2e49, 'cmp     r0, #0xff', 0, ()),
    (REV_ALL_ARM, '4ff00702', 0x2e4b, 'mov     r2, #7', 0, ()),
    (REV_ALL_ARM, '83f8f323', 0x2e4f, 'strb    r2, [r3, #0x3f3]', 0, ()),
    (REV_ALL_ARM, '0cd1', 0x2e53, 'bne     0x00002e6e', 0, ()),
    (REV_ALL_ARM, '83f83304', 0x2e57, 'strb    r0, [r3, #0x433]', 0, ()),
    (REV_ALL_ARM, '83f83424', 0x2e5b, 'strb    r2, [r3, #0x434]', 0, ()),
    (REV_ALL_ARM, '0bf065bb', 0x2e6b, 'b       0x0000e538', 0, ()),
    (REV_ALL_ARM, '06f51e75', 0x2e7d, 'add     r5, r6, #0x278', 0, ()),
    (REV_ALL_ARM, '0fcd', 0x2e83, 'ldm     r5!, {r0, r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, '0fc4', 0x2e85, 'stm     r4!, {r0, r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, '2b68', 0x2e8f, 'ldr     r3, [r5]', 0, ()),
    (REV_ALL_ARM, '2360', 0x2e91, 'str     r3, [r4]', 0, ()),
    (REV_ALL_ARM, '1b88', 0x2e95, 'ldrh    r3, [r3]', 0, ()),
    (REV_ALL_ARM, 'a6f87832', 0x2e97, 'strh    r3, [r6, #0x278]', 0, ()),
    (REV_ALL_ARM, 'c3e99c01', 0x2ea7, 'strd    r0, r1, [r3, #0x270]', 0, ()),
    (REV_ALL_ARM, '83f84204', 0x2eb3, 'strb    r0, [r3, #0x442]', 0, ()),
    (REV_ALL_ARM, '94f80037', 0x2ec1, 'ldrb    r3, [r4, #0x700]', 0, ()),
    (REV_ALL_ARM, '1233', 0x2ec5, 'adds    r3, #0x12', 0, ()),
    (REV_ALL_ARM, '4022', 0x2ec9, 'movs    r2, #0x40', 0, ()),
    (REV_ALL_ARM, '04eb8310', 0x2ecb, 'add     r0, r4, r3, lsl #6', 0, ()),
    (REV_ALL_ARM, '94f80237', 0x2ed3, 'ldrb    r3, [r4, #0x702]', 0, ()),
    (REV_ALL_ARM, '93b1', 0x2ed7, 'cbz     r3, 0x00002efe', 0, ()),
    (REV_ALL_ARM, '94f80127', 0x2f03, 'ldrb    r2, [r4, #0x701]', 0, ()),
    (REV_ALL_ARM, '84f80037', 0x2f11, 'strb    r3, [r4, #0x700]', 0, ()),
    (REV_ALL_ARM, '9a1a', 0x2f19, 'subs    r2, r3, r2', 0, ()),
    (REV_ALL_ARM, '84f80237', 0x2f1f, 'strb    r3, [r4, #0x702]', 0, ()),
    (REV_ALL_ARM, '0cf004fc', 0x2ee9, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '94f80137', 0x2eed, 'ldrb    r3, [r4, #0x701]', 0, ()),
    (REV_ALL_ARM, '84f80137', 0x2efb, 'strb    r3, [r4, #0x701]', 0, ()),
    (REV_ALL_ARM, '0590', 0x2f3f, 'str     r0, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '9046', 0x2f41, 'mov     r8, r2', 0, ()),
    (REV_ALL_ARM, '169a', 0x2f43, 'ldr     r2, [sp, #0x58]', 0, ()),
    (REV_ALL_ARM, 'e260', 0x2f45, 'str     r2, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '9946', 0x2f47, 'mov     r9, r3', 0, ()),
    (REV_ALL_ARM, '4ff0ff32', 0x2f49, 'mov     r2, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'c4e99c22', 0x2f4f, 'strd    r2, r2, [r4, #0x270]', 0, ()),
    (REV_ALL_ARM, '6372', 0x2f53, 'strb    r3, [r4, #9]', 0, ()),
    (REV_ALL_ARM, '119a', 0x2f55, 'ldr     r2, [sp, #0x44]', 0, ()),
    (REV_ALL_ARM, '8df81830', 0x2f57, 'strb    r3, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '139b', 0x2f5f, 'ldr     r3, [sp, #0x4c]', 0, ()),
    (REV_ALL_ARM, '0792', 0x2f61, 'str     r2, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'cde900a7', 0x2f65, 'strd    r10, r7, [sp]', 0, ()),
    (REV_ALL_ARM, '84f80aa0', 0x2f6d, 'strb    r10, [r4, #0xa]', 0, ()),
    (REV_ALL_ARM, '05a8', 0x2f73, 'add     r0, sp, #0x14', 0, ()),
    (REV_ALL_ARM, '04f51871', 0x2f75, 'add     r1, r4, #0x260', 0, ()),
    (REV_ALL_ARM, 'fef77af8', 0x2f79, 'bl      0x00001070', 0, ()),
    (REV_ALL_ARM, '28b9', 0x2f7f, 'cbnz    r0, 0x00002f8c', 0, ()),
    (REV_ALL_ARM, '129b', 0x2f8d, 'ldr     r3, [sp, #0x48]', 0, ()),
    (REV_ALL_ARM, '0595', 0x2f93, 'str     r5, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '0af087ff', 0x2f99, 'bl      0x0000deaa', 0, ()),
    (REV_ALL_ARM, '0323', 0x2f9d, 'movs    r3, #3', 0, ()),
    (REV_ALL_ARM, 'c4f8f030', 0x2f9f, 'str     r3, [r4, #0xf0]', 0, ()),
    (REV_ALL_ARM, '04f11003', 0x2fa3, 'add     r3, r4, #0x10', 0, ()),
    (REV_ALL_ARM, 'c4e93a01', 0x2fa7, 'strd    r0, r1, [r4, #0xe8]', 0, ()),
    (REV_ALL_ARM, 'c4f8f430', 0x2faf, 'str     r3, [r4, #0xf4]', 0, ()),
    (REV_ALL_ARM, '5146', 0x2fb3, 'mov     r1, r10', 0, ()),
    (REV_ALL_ARM, '5046', 0x2fb5, 'mov     r0, r10', 0, ()),
    (REV_ALL_ARM, '2646', 0x2fb9, 'mov     r6, r4', 0, ()),
    (REV_ALL_ARM, '4ff0010a', 0x2fbb, 'mov     r10, #1', 0, ()),
    (REV_ALL_ARM, '4ff0ff36', 0x2f81, 'mov     r6, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '3161', 0x2fc3, 'str     r1, [r6, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c6e90900', 0x2fc9, 'strd    r0, r0, [r6, #0x24]', 0, ()),
    (REV_ALL_ARM, 'c6e906ec', 0x2fcd, 'strd    lr, r12, [r6, #0x18]', 0, ()),
    (REV_ALL_ARM, 'c6e90c23', 0x2fd1, 'strd    r2, r3, [r6, #0x30]', 0, ()),
    (REV_ALL_ARM, 'c6e91023', 0x2fd5, 'strd    r2, r3, [r6, #0x40]', 0, ()),
    (REV_ALL_ARM, 'c6e91223', 0x2fd9, 'strd    r2, r3, [r6, #0x48]', 0, ()),
    (REV_ALL_ARM, 'c6e91407', 0x2fdd, 'strd    r0, r7, [r6, #0x50]', 0, ()),
    (REV_ALL_ARM, '86f82000', 0x2fe1, 'strb    r0, [r6, #0x20]', 0, ()),
    (REV_ALL_ARM, 'c6f82ca0', 0x2fe5, 'str     r10, [r6, #0x2c]', 0, ()),
    (REV_ALL_ARM, '86f83c00', 0x2fe9, 'strb    r0, [r6, #0x3c]', 0, ()),
    (REV_ALL_ARM, '06f14806', 0x2fed, 'add     r6, r6, #0x48', 0, ()),
    (REV_ALL_ARM, 'e7d1', 0x2ff1, 'bne     0x00002fc2', 0, ()),
    (REV_ALL_ARM, 'c4e90c23', 0x2ff7, 'strd    r2, r3, [r4, #0x30]', 0, ()),
    (REV_ALL_ARM, 'c4e93023', 0x3003, 'strd    r2, r3, [r4, #0xc0]', 0, ()),
    (REV_ALL_ARM, 'c4f8c830', 0x3009, 'str     r3, [r4, #0xc8]', 0, ()),
    (REV_ALL_ARM, 'c4f88030', 0x300f, 'str     r3, [r4, #0x80]', 0, ()),
    (REV_ALL_ARM, '149b', 0x3013, 'ldr     r3, [sp, #0x50]', 0, ()),
    (REV_ALL_ARM, '84f82000', 0x3015, 'strb    r0, [r4, #0x20]', 0, ()),
    (REV_ALL_ARM, 'cde90103', 0x301b, 'strd    r0, r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '6162', 0x301f, 'str     r1, [r4, #0x24]', 0, ()),
    (REV_ALL_ARM, 'c4f8b410', 0x3021, 'str     r1, [r4, #0xb4]', 0, ()),
    (REV_ALL_ARM, '84f8b000', 0x3025, 'strb    r0, [r4, #0xb0]', 0, ()),
    (REV_ALL_ARM, 'cdf80090', 0x302d, 'str     r9, [sp]', 0, ()),
    (REV_ALL_ARM, 'fef71cf8', 0x3035, 'bl      0x00001070', 0, ()),
    (REV_ALL_ARM, 'a0d0', 0x303d, 'beq     0x00002f80', 0, ()),
    (REV_ALL_ARM, '159b', 0x303f, 'ldr     r3, [sp, #0x54]', 0, ()),
    (REV_ALL_ARM, '1099', 0x3041, 'ldr     r1, [sp, #0x40]', 0, ()),
    (REV_ALL_ARM, '00f0b1fe', 0x3047, 'bl      0x00003dac', 0, ()),
    (REV_ALL_ARM, 'fef78cf8', 0x304d, 'bl      0x00001168', 0, ()),
    (REV_ALL_ARM, '96d1', 0x3055, 'bne     0x00002f84', 0, ()),
    (REV_ALL_ARM, '0af028ff', 0x3057, 'bl      0x0000deaa', 0, ()),
    (REV_ALL_ARM, 'c4e99801', 0x305d, 'strd    r0, r1, [r4, #0x260]', 0, ()),
    (REV_ALL_ARM, 'c4f86832', 0x3061, 'str     r3, [r4, #0x268]', 0, ()),
    (REV_ALL_ARM, 'c4f86c32', 0x3067, 'str     r3, [r4, #0x26c]', 0, ()),
    (REV_ALL_ARM, '3346', 0x306d, 'mov     r3, r6', 0, ()),
    (REV_ALL_ARM, '4ff0010c', 0x306f, 'mov     r12, #1', 0, ()),
    (REV_ALL_ARM, 'c5f8f820', 0x307b, 'str     r2, [r5, #0xf8]', 0, ()),
    (REV_ALL_ARM, '052a', 0x3081, 'cmp     r2, #5', 0, ()),
    (REV_ALL_ARM, 'c5e94333', 0x3083, 'strd    r3, r3, [r5, #0x10c]', 0, ()),
    (REV_ALL_ARM, 'c5e94001', 0x3087, 'strd    r0, r1, [r5, #0x100]', 0, ()),
    (REV_ALL_ARM, 'c5e94689', 0x308b, 'strd    r8, r9, [r5, #0x118]', 0, ()),
    (REV_ALL_ARM, 'c5e94a89', 0x308f, 'strd    r8, r9, [r5, #0x128]', 0, ()),
    (REV_ALL_ARM, 'c5e94c89', 0x3093, 'strd    r8, r9, [r5, #0x130]', 0, ()),
    (REV_ALL_ARM, 'c5e94e37', 0x3097, 'strd    r3, r7, [r5, #0x138]', 0, ()),
    (REV_ALL_ARM, '85f80831', 0x309b, 'strb    r3, [r5, #0x108]', 0, ()),
    (REV_ALL_ARM, 'c5f814c1', 0x309f, 'str     r12, [r5, #0x114]', 0, ()),
    (REV_ALL_ARM, '85f82431', 0x30a3, 'strb    r3, [r5, #0x124]', 0, ()),
    (REV_ALL_ARM, '05f14805', 0x30a7, 'add     r5, r5, #0x48', 0, ()),
    (REV_ALL_ARM, 'e6d1', 0x30ab, 'bne     0x0000307a', 0, ()),
    (REV_ALL_ARM, '84f85031', 0x30af, 'strb    r3, [r4, #0x150]', 0, ()),
    (REV_ALL_ARM, '4ff49670', 0x30b3, 'mov     r0, #0x12c', 0, ()),
    (REV_ALL_ARM, 'c4e95801', 0x30b9, 'strd    r0, r1, [r4, #0x160]', 0, ()),
    (REV_ALL_ARM, 'c4f86821', 0x30bd, 'str     r2, [r4, #0x168]', 0, ()),
    (REV_ALL_ARM, '84f8e031', 0x30c3, 'strb    r3, [r4, #0x1e0]', 0, ()),
    (REV_ALL_ARM, 'c4f8b021', 0x30cb, 'str     r2, [r4, #0x1b0]', 0, ()),
    (REV_ALL_ARM, '4ff4c870', 0x30cf, 'mov     r0, #0x190', 0, ()),
    (REV_ALL_ARM, 'c4e97c01', 0x30d3, 'strd    r0, r1, [r4, #0x1f0]', 0, ()),
    (REV_ALL_ARM, 'c4f8f831', 0x30d9, 'str     r3, [r4, #0x1f8]', 0, ()),
    (REV_ALL_ARM, 'c4f82021', 0x30e3, 'str     r2, [r4, #0x120]', 0, ()),
    (REV_ALL_ARM, 'c4f84032', 0x30e7, 'str     r3, [r4, #0x240]', 0, ()),
    (REV_ALL_ARM, 'c4f85451', 0x30eb, 'str     r5, [r4, #0x154]', 0, ()),
    (REV_ALL_ARM, 'c4f8e451', 0x30ef, 'str     r5, [r4, #0x1e4]', 0, ()),
    (REV_ALL_ARM, '00f0fff8', 0x30f3, 'bl      0x000032f4', 0, ()),
    (REV_ALL_ARM, '00f085fa', 0x30f7, 'bl      0x00003604', 0, ()),
    (REV_ALL_ARM, 'c7f8d803', 0x30fb, 'str     r0, [r7, #0x3d8]', 0, ()),
    (REV_ALL_ARM, '1798', 0x30ff, 'ldr     r0, [sp, #0x5c]', 0, ()),
    (REV_ALL_ARM, 'fff7cef8', 0x3101, 'bl      0x000022a0', 0, ()),
    (REV_ALL_ARM, '0ff058fc', 0x3109, 'bl      0x000129bc', 0, ()),
    (REV_ALL_ARM, '0af079fa', 0x3113, 'bl      0x0000d608', 0, ()),
    (REV_ALL_ARM, '35e7', 0x3117, 'b       0x00002f84', 0, ()),
    (REV_ALL_ARM, '4ff48072', 0x3169, 'mov     r2, #0x100', 0, ()),
    (REV_ALL_ARM, '07f046fe', 0x316d, 'bl      0x0000adfc', 0, ()),
    (REV_ALL_ARM, '50b1', 0x3173, 'cbz     r0, 0x0000318a', 0, ()),
    (REV_ALL_ARM, '0cf0c2fa', 0x3187, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '2de9f743', 0x319d, 'push    {r0, r1, r2, r4, r5, r6, r7, r8, r9, lr}', 0, ()),
    (REV_ALL_ARM, '00f09980', 0x31a5, 'beq     0x000032da', 0, ()),
    (REV_ALL_ARM, '91e7', 0x32dd, 'b       0x00003202', 0, ()),
    (REV_ALL_ARM, '40f09580', 0x31ad, 'bne     0x000032da', 0, ()),
    (REV_ALL_ARM, '00f52d74', 0x31b1, 'add     r4, r0, #0x2b4', 0, ()),
    (REV_ALL_ARM, '05f53b79', 0x31b7, 'add     r9, r5, #0x2ec', 0, ()),
    (REV_ALL_ARM, '0df088ff', 0x31bb, 'bl      0x000110ce', 0, ()),
    (REV_ALL_ARM, '05f51f78', 0x31bf, 'add     r8, r5, #0x27c', 0, ()),
    (REV_ALL_ARM, '4846', 0x31c3, 'mov     r0, r9', 0, ()),
    (REV_ALL_ARM, '0df083ff', 0x31c5, 'bl      0x000110ce', 0, ()),
    (REV_ALL_ARM, '05f54977', 0x31c9, 'add     r7, r5, #0x324', 0, ()),
    (REV_ALL_ARM, '0df07eff', 0x31cf, 'bl      0x000110ce', 0, ()),
    (REV_ALL_ARM, '0df07bff', 0x31d5, 'bl      0x000110ce', 0, ()),
    (REV_ALL_ARM, '4ff48071', 0x31db, 'mov     r1, #0x100', 0, ()),
    (REV_ALL_ARM, '07f0e0fd', 0x31e1, 'bl      0x0000ada4', 0, ()),
    (REV_ALL_ARM, '80b9', 0x31e7, 'cbnz    r0, 0x0000320a', 0, ()),
    (REV_ALL_ARM, '07f0ddfd', 0x320f, 'bl      0x0000adcc', 0, ()),
    (REV_ALL_ARM, '0cf088fa', 0x31fb, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '07f0c7fd', 0x323b, 'bl      0x0000adcc', 0, ()),
    (REV_ALL_ARM, '4342', 0x322b, 'rsbs    r3, r0, #0', 0, ()),
    (REV_ALL_ARM, '07f0b5fd', 0x325f, 'bl      0x0000adcc', 0, ()),
    (REV_ALL_ARM, '07f0a3fd', 0x3283, 'bl      0x0000adcc', 0, ()),
    (REV_ALL_ARM, '0cf09afa', 0x3231, 'bl      0x0000f768', 0, ()),
    (REV_ALL_ARM, 'e5e7', 0x3235, 'b       0x00003202', 0, ()),
    (REV_ALL_ARM, '6e1c', 0x32a3, 'adds    r6, r5, #1', 0, ()),
    (REV_ALL_ARM, 'fff75cff', 0x32a9, 'bl      0x00003164', 0, ()),
    (REV_ALL_ARM, 'a7d1', 0x32b1, 'bne     0x00003202', 0, ()),
    (REV_ALL_ARM, 'fff755ff', 0x32b7, 'bl      0x00003164', 0, ()),
    (REV_ALL_ARM, 'a0d1', 0x32bf, 'bne     0x00003202', 0, ()),
    (REV_ALL_ARM, '0c22', 0x32c3, 'movs    r2, #0xc', 0, ()),
    (REV_ALL_ARM, '05f16200', 0x32c5, 'add     r0, r5, #0x62', 0, ()),
    (REV_ALL_ARM, '0df039fe', 0x32c9, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, 'c5e91c44', 0x32cf, 'strd    r4, r4, [r5, #0x70]', 0, ()),
    (REV_ALL_ARM, '85f84140', 0x32d3, 'strb    r4, [r5, #0x41]', 0, ()),
    (REV_ALL_ARM, '93e7', 0x32d9, 'b       0x00003202', 0, ()),
    (REV_ALL_ARM, 'f0b1', 0x32f9, 'cbz     r0, 0x00003338', 0, ()),
    (REV_ALL_ARM, '0370', 0x32fd, 'strb    r3, [r0]', 0, ()),
    (REV_ALL_ARM, '44f21871', 0x32ff, 'movw    r1, #0x4718', 0, ()),
    (REV_ALL_ARM, '08f08cfb', 0x3305, 'bl      0x0000ba20', 0, ()),
    (REV_ALL_ARM, '09f0dbf9', 0x330b, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '0bf098b9', 0x3335, 'b       0x0000e668', 0, ()),
    (REV_ALL_ARM, '0cf0e4b9', 0x3329, 'b       0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '86b0', 0x335d, 'sub     sp, #0x18', 0, ()),
    (REV_ALL_ARM, '0c9f', 0x3361, 'ldr     r7, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '01f11c08', 0x3365, 'add     r8, r1, #0x1c', 0, ()),
    (REV_ALL_ARM, '3a46', 0x3369, 'mov     r2, r7', 0, ()),
    (REV_ALL_ARM, '1d46', 0x336f, 'mov     r5, r3', 0, ()),
    (REV_ALL_ARM, '0df0e5fd', 0x3371, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, '26b9', 0x3375, 'cbnz    r6, 0x00003380', 0, ()),
    (REV_ALL_ARM, '04f10c03', 0x3385, 'add     r3, r4, #0xc', 0, ()),
    (REV_ALL_ARM, 'cde90033', 0x338d, 'strd    r3, r3, [sp]', 0, ()),
    (REV_ALL_ARM, 'cde90485', 0x3391, 'strd    r8, r5, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'd6f8b002', 0x3395, 'ldr     r0, [r6, #0x2b0]', 0, ()),
    (REV_ALL_ARM, '0c23', 0x3399, 'movs    r3, #0xc', 0, ()),
    (REV_ALL_ARM, '0ef046f9', 0x339f, 'bl      0x0001162e', 0, ()),
    (REV_ALL_ARM, '10f1120f', 0x33a5, 'cmn     r0, #0x12', 0, ()),
    (REV_ALL_ARM, '06b0', 0x33ad, 'add     sp, #0x18', 0, ()),
    (REV_ALL_ARM, '2de9f04f', 0x33b9, 'push    {r4, r5, r6, r7, r8, r9, r10, r11, lr}', 0, ()),
    (REV_ALL_ARM, '8bb0', 0x33bd, 'sub     sp, #0x2c', 0, ()),
    (REV_ALL_ARM, 'ddf850a0', 0x33c1, 'ldr     r10, [sp, #0x50]', 0, ()),
    (REV_ALL_ARM, '402a', 0x33c5, 'cmp     r2, #0x40', 0, ()),
    (REV_ALL_ARM, '01eb0a03', 0x33c7, 'add     r3, r1, r10', 0, ()),
    (REV_ALL_ARM, '1446', 0x33cf, 'mov     r4, r2', 0, ()),
    (REV_ALL_ARM, '0cd9', 0x33d3, 'bls     0x000033ee', 0, ()),
    (REV_ALL_ARM, '40b9', 0x33ef, 'cbnz    r0, 0x00003402', 0, ()),
    (REV_ALL_ARM, '0cf086f9', 0x33e5, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '90f84130', 0x3403, 'ldrb    r3, [r0, #0x41]', 0, ()),
    (REV_ALL_ARM, 'eed0', 0x3409, 'beq     0x000033e8', 0, ()),
    (REV_ALL_ARM, '5246', 0x33f1, 'mov     r2, r10', 0, ()),
    (REV_ALL_ARM, '0df078fd', 0x33f5, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '0bb0', 0x33fd, 'add     sp, #0x2c', 0, ()),
    (REV_ALL_ARM, '05e0', 0x33ed, 'b       0x000033fa', 0, ()),
    (REV_ALL_ARM, 'ead0', 0x3411, 'beq     0x000033e8', 0, ()),
    (REV_ALL_ARM, '0df03ffd', 0x3415, 'bl      0x00010e96', 0, ()),
    (REV_ALL_ARM, '70d0', 0x341b, 'beq     0x000034fe', 0, ()),
    (REV_ALL_ARM, '6ff00106', 0x34ff, 'mvn     r6, #1', 0, ()),
    (REV_ALL_ARM, '7ae7', 0x3503, 'b       0x000033fa', 0, ()),
    (REV_ALL_ARM, '5946', 0x341f, 'mov     r1, r11', 0, ()),
    (REV_ALL_ARM, '0df061fd', 0x3423, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '0df087fd', 0x342d, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, '6c6f', 0x3435, 'ldr     r4, [r5, #0x74]', 0, ()),
    (REV_ALL_ARM, '4746', 0x3449, 'mov     r7, r8', 0, ()),
    (REV_ALL_ARM, '0137', 0x348b, 'adds    r7, #1', 0, ()),
    (REV_ALL_ARM, 'b7f57a6f', 0x348d, 'cmp     r7, #0xfa0', 0, ()),
    (REV_ALL_ARM, '1ad0', 0x3491, 'beq     0x000034c8', 0, ()),
    (REV_ALL_ARM, '042f', 0x3485, 'cmp     r7, #4', 0, ()),
    (REV_ALL_ARM, 'b8f1000f', 0x34c9, 'cmp     r8, #0', 0, ()),
    (REV_ALL_ARM, '07d0', 0x34cd, 'beq     0x000034de', 0, ()),
    (REV_ALL_ARM, 'dad1', 0x3495, 'bne     0x0000344c', 0, ()),
    (REV_ALL_ARM, 'b4f57a7f', 0x349f, 'cmp     r4, #0x3e8', 0, ()),
    (REV_ALL_ARM, 'bdf82030', 0x34a3, 'ldrh    r3, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '06d9', 0x34ab, 'bls     0x000034ba', 0, ()),
    (REV_ALL_ARM, '0eb9', 0x34df, 'cbnz    r6, 0x000034e4', 0, ()),
    (REV_ALL_ARM, '079b', 0x34cf, 'ldr     r3, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '9a01', 0x34d3, 'lsls    r2, r3, #6', 0, ()),
    (REV_ALL_ARM, '0cf018f9', 0x34db, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '230e', 0x344d, 'lsrs    r3, r4, #0x18', 0, ()),
    (REV_ALL_ARM, '85f86230', 0x344f, 'strb    r3, [r5, #0x62]', 0, ()),
    (REV_ALL_ARM, '230c', 0x3453, 'lsrs    r3, r4, #0x10', 0, ()),
    (REV_ALL_ARM, '85f86330', 0x3455, 'strb    r3, [r5, #0x63]', 0, ()),
    (REV_ALL_ARM, '63ba', 0x3459, 'rev16   r3, r4', 0, ()),
    (REV_ALL_ARM, 'a5f86430', 0x345b, 'strh    r3, [r5, #0x64]', 0, ()),
    (REV_ALL_ARM, 'cde904b9', 0x346d, 'strd    r11, r9, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'd5f82003', 0x3471, 'ldr     r0, [r5, #0x320]', 0, ()),
    (REV_ALL_ARM, '05f16202', 0x3477, 'add     r2, r5, #0x62', 0, ()),
    (REV_ALL_ARM, '0ef0d7f8', 0x347d, 'bl      0x0001162e', 0, ()),
    (REV_ALL_ARM, '10b1', 0x3483, 'cbz     r0, 0x0000348a', 0, ()),
    (REV_ALL_ARM, '21d0', 0x349b, 'beq     0x000034e0', 0, ()),
    (REV_ALL_ARM, '0cf03bf9', 0x34bd, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, 'ddf81880', 0x34c3, 'ldr     r8, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '0cf042f9', 0x34af, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '0a3c', 0x34b3, 'subs    r4, #0xa', 0, ()),
    (REV_ALL_ARM, '6b6f', 0x34f7, 'ldr     r3, [r5, #0x74]', 0, ()),
    (REV_ALL_ARM, '0cf036f9', 0x34f9, 'bl      0x0000f768', 0, ()),
    (REV_ALL_ARM, '7de7', 0x34fd, 'b       0x000033fa', 0, ()),
    (REV_ALL_ARM, '6c67', 0x34e1, 'str     r4, [r5, #0x74]', 0, ()),
    (REV_ALL_ARM, '89e7', 0x34e3, 'b       0x000033f8', 0, ()),
    (REV_ALL_ARM, '17e0', 0x349d, 'b       0x000034ce', 0, ()),
    (REV_ALL_ARM, '0df002fd', 0x3537, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, '96b1', 0x353b, 'cbz     r6, 0x00003562', 0, ()),
    (REV_ALL_ARM, 'aab2', 0x3543, 'uxth    r2, r5', 0, ()),
    (REV_ALL_ARM, '1b68', 0x3545, 'ldr     r3, [r3]', 0, ()),
    (REV_ALL_ARM, '0cf0d6f8', 0x355f, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '2027', 0x357d, 'movs    r7, #0x20', 0, ()),
    (REV_ALL_ARM, '0497', 0x3581, 'str     r7, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'a8b3', 0x3585, 'cbz     r0, 0x000035f2', 0, ()),
    (REV_ALL_ARM, '521a', 0x358d, 'subs    r2, r2, r1', 0, ()),
    (REV_ALL_ARM, '42f00301', 0x3593, 'orr     r1, r2, #3', 0, ()),
    (REV_ALL_ARM, '0cf0adf8', 0x3597, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '04f14205', 0x359b, 'add     r5, r4, #0x42', 0, ()),
    (REV_ALL_ARM, '0df0cbfc', 0x35a5, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, '0df0c6fc', 0x35af, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, '04ab', 0x35b3, 'add     r3, sp, #0x10', 0, ()),
    (REV_ALL_ARM, 'cde90153', 0x35b7, 'strd    r5, r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '0097', 0x35bf, 'str     r7, [sp]', 0, ()),
    (REV_ALL_ARM, '04f54970', 0x35c1, 'add     r0, r4, #0x324', 0, ()),
    (REV_ALL_ARM, '07f0bcfc', 0x35c5, 'bl      0x0000af40', 0, ()),
    (REV_ALL_ARM, '04f52d70', 0x35cb, 'add     r0, r4, #0x2b4', 0, ()),
    (REV_ALL_ARM, 'fff7c9fd', 0x35cf, 'bl      0x00003164', 0, ()),
    (REV_ALL_ARM, '04f53b70', 0x35d5, 'add     r0, r4, #0x2ec', 0, ()),
    (REV_ALL_ARM, 'fff7c4fd', 0x35d9, 'bl      0x00003164', 0, ()),
    (REV_ALL_ARM, '04f51f70', 0x35df, 'add     r0, r4, #0x27c', 0, ()),
    (REV_ALL_ARM, 'fff7bffd', 0x35e3, 'bl      0x00003164', 0, ()),
    (REV_ALL_ARM, '84f84130', 0x35e9, 'strb    r3, [r4, #0x41]', 0, ()),
    (REV_ALL_ARM, 'c4e91c33', 0x35ef, 'strd    r3, r3, [r4, #0x70]', 0, ()),
    (REV_ALL_ARM, '4ff6ff71', 0x360f, 'movw    r1, #0xffff', 0, ()),
    (REV_ALL_ARM, '1870', 0x3617, 'strb    r0, [r3]', 0, ()),
    (REV_ALL_ARM, '5980', 0x3619, 'strh    r1, [r3, #2]', 0, ()),
    (REV_ALL_ARM, '9980', 0x361b, 'strh    r1, [r3, #4]', 0, ()),
    (REV_ALL_ARM, 'd980', 0x361d, 'strh    r1, [r3, #6]', 0, ()),
    (REV_ALL_ARM, '1981', 0x361f, 'strh    r1, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '03f10a03', 0x3621, 'add     r3, r3, #0xa', 0, ()),
    (REV_ALL_ARM, 'f5d1', 0x3625, 'bne     0x00003612', 0, ()),
    (REV_ALL_ARM, '40f62462', 0x3627, 'movw    r2, #0xe24', 0, ()),
    (REV_ALL_ARM, '0df086fc', 0x362f, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, '32f8020b', 0x3639, 'ldrh    r0, [r2], #2', 0, ()),
    (REV_ALL_ARM, '21f81030', 0x363d, 'strh    r3, [r1, r0, lsl #1]', 0, ()),
    (REV_ALL_ARM, 'b3f5407f', 0x3643, 'cmp     r3, #0x300', 0, ()),
    (REV_ALL_ARM, '04eb4302', 0x364f, 'add     r2, r4, r3, lsl #1', 0, ()),
    (REV_ALL_ARM, '36f81310', 0x3653, 'ldrh    r1, [r6, r3, lsl #1]', 0, ()),
    (REV_ALL_ARM, '1185', 0x3657, 'strh    r1, [r2, #0x28]', 0, ()),
    (REV_ALL_ARM, '00ebc305', 0x3659, 'add     r5, r0, r3, lsl #3', 0, ()),
    (REV_ALL_ARM, '04ebc301', 0x365d, 'add     r1, r4, r3, lsl #3', 0, ()),
    (REV_ALL_ARM, '50f83320', 0x3661, 'ldr     r2, [r0, r3, lsl #3]', 0, ()),
    (REV_ALL_ARM, '0a63', 0x3665, 'str     r2, [r1, #0x30]', 0, ()),
    (REV_ALL_ARM, '6a68', 0x3669, 'ldr     r2, [r5, #4]', 0, ()),
    (REV_ALL_ARM, '4a63', 0x366b, 'str     r2, [r1, #0x34]', 0, ()),
    (REV_ALL_ARM, 'eed1', 0x366f, 'bne     0x0000364e', 0, ()),
    (REV_ALL_ARM, '40f62365', 0x368f, 'movw    r5, #0xe23', 0, ()),
    (REV_ALL_ARM, '4ff6ff76', 0x3693, 'movw    r6, #0xffff', 0, ()),
    (REV_ALL_ARM, '30f81340', 0x369d, 'ldrh    r4, [r0, r3, lsl #1]', 0, ()),
    (REV_ALL_ARM, '9abf', 0x36a3, 'itte    ls', 0, ()),
    (REV_ALL_ARM, '37f81440', 0x36a5, 'ldrh    r4, [r7, r4, lsl #1]', 0, ()),
    (REV_ALL_ARM, '22f81340', 0x36a9, 'strh    r4, [r2, r3, lsl #1]', 0, ()),
    (REV_ALL_ARM, '22f81360', 0x36ad, 'strh    r6, [r2, r3, lsl #1]', 0, ()),
    (REV_ALL_ARM, 'f0e7', 0x36b3, 'b       0x00003696', 0, ()),
    (REV_ALL_ARM, '00db', 0x3699, 'blt     0x0000369c', 0, ()),
    (REV_ALL_ARM, '0cf01ff8', 0x36cd, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '05f2e710', 0x36eb, 'addw    r0, r5, #0x1e7', 0, ()),
    (REV_ALL_ARM, '0df0fbfb', 0x36ef, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, 'd5f87c01', 0x36f3, 'ldr     r0, [r5, #0x17c]', 0, ()),
    (REV_ALL_ARM, '85f8e641', 0x36f7, 'strb    r4, [r5, #0x1e6]', 0, ()),
    (REV_ALL_ARM, 'bde83840', 0x36fd, 'pop     {r3, r4, r5, lr}', 0, ()),
    (REV_ALL_ARM, '0af017bf', 0x3707, 'b       0x0000e538', 0, ()),
    (REV_ALL_ARM, '37b5', 0x3711, 'push    {r0, r1, r2, r4, r5, lr}', 0, ()),
    (REV_ALL_ARM, '04f5b870', 0x3719, 'add     r0, r4, #0x170', 0, ()),
    (REV_ALL_ARM, '0af057ff', 0x371d, 'bl      0x0000e5ce', 0, ()),
    (REV_ALL_ARM, 'd4f82432', 0x3721, 'ldr     r3, [r4, #0x224]', 0, ()),
    (REV_ALL_ARM, 'a3b3', 0x3725, 'cbz     r3, 0x00003790', 0, ()),
    (REV_ALL_ARM, 'd4f87c01', 0x3791, 'ldr     r0, [r4, #0x17c]', 0, ()),
    (REV_ALL_ARM, '1e23', 0x3797, 'movs    r3, #0x1e', 0, ()),
    (REV_ALL_ARM, 'c4f8c051', 0x379d, 'str     r5, [r4, #0x1c0]', 0, ()),
    (REV_ALL_ARM, 'c723', 0x37a1, 'movs    r3, #0xc7', 0, ()),
    (REV_ALL_ARM, '0af0e8fe', 0x37a7, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, '94f8c421', 0x3727, 'ldrb    r2, [r4, #0x1c4]', 0, ()),
    (REV_ALL_ARM, '3c21', 0x372b, 'movs    r1, #0x3c', 0, ()),
    (REV_ALL_ARM, 'd340', 0x3731, 'lsrs    r3, r2', 0, ()),
    (REV_ALL_ARM, 'ea78', 0x3733, 'ldrb    r2, [r5, #3]', 0, ()),
    (REV_ALL_ARM, '03f00103', 0x3737, 'and     r3, r3, #1', 0, ()),
    (REV_ALL_ARM, '26d0', 0x373d, 'beq     0x0000378c', 0, ()),
    (REV_ALL_ARM, '0bf0d1ff', 0x374f, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '18d9', 0x375d, 'bls     0x00003790', 0, ()),
    (REV_ALL_ARM, 'b4f88031', 0x375f, 'ldrh    r3, [r4, #0x180]', 0, ()),
    (REV_ALL_ARM, '63f0fe03', 0x3763, 'orn     r3, r3, #0xfe', 0, ()),
    (REV_ALL_ARM, 'a4f88031', 0x3767, 'strh    r3, [r4, #0x180]', 0, ()),
    (REV_ALL_ARM, 'ff22', 0x376d, 'movs    r2, #0xff', 0, ()),
    (REV_ALL_ARM, '83f8d221', 0x376f, 'strb    r2, [r3, #0x1d2]', 0, ()),
    (REV_ALL_ARM, '0a23', 0x3773, 'movs    r3, #0xa', 0, ()),
    (REV_ALL_ARM, 'c123', 0x377d, 'movs    r3, #0xc1', 0, ()),
    (REV_ALL_ARM, '4ff4c871', 0x377f, 'mov     r1, #0x190', 0, ()),
    (REV_ALL_ARM, '0af0fafe', 0x3783, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, '0df10b02', 0x37cb, 'add     r2, sp, #0xb', 0, ()),
    (REV_ALL_ARM, '0af0a5fe', 0x37d1, 'bl      0x0000e51e', 0, ()),
    (REV_ALL_ARM, '84f8e631', 0x37d7, 'strb    r3, [r4, #0x1e6]', 0, ()),
    (REV_ALL_ARM, '94f8d231', 0x37db, 'ldrb    r3, [r4, #0x1d2]', 0, ()),
    (REV_ALL_ARM, '0ed0', 0x37e1, 'beq     0x00003800', 0, ()),
    (REV_ALL_ARM, '04f5f373', 0x3801, 'add     r3, r4, #0x1e6', 0, ()),
    (REV_ALL_ARM, '3c23', 0x3807, 'movs    r3, #0x3c', 0, ()),
    (REV_ALL_ARM, '9df80b20', 0x380b, 'ldrb    r2, [sp, #0xb]', 0, ()),
    (REV_ALL_ARM, '04f2e713', 0x380f, 'addw    r3, r4, #0x1e7', 0, ()),
    (REV_ALL_ARM, '04f5ea70', 0x3815, 'add     r0, r4, #0x1d4', 0, ()),
    (REV_ALL_ARM, '00f0c2fc', 0x3819, 'bl      0x000041a0', 0, ()),
    (REV_ALL_ARM, 'c4f8c001', 0x3835, 'str     r0, [r4, #0x1c0]', 0, ()),
    (REV_ALL_ARM, '0af083fe', 0x382f, 'bl      0x0000e538', 0, ()),
    (REV_ALL_ARM, '94f8e631', 0x381d, 'ldrb    r3, [r4, #0x1e6]', 0, ()),
    (REV_ALL_ARM, '3bb1', 0x3821, 'cbz     r3, 0x00003832', 0, ()),
    (REV_ALL_ARM, '0bf07bff', 0x37fb, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0de0', 0x37ff, 'b       0x0000381c', 0, ()),
    (REV_ALL_ARM, '7fb5', 0x3849, 'push    {r0, r1, r2, r3, r4, r5, r6, lr}', 0, ()),
    (REV_ALL_ARM, '0df10f03', 0x384b, 'add     r3, sp, #0xf', 0, ()),
    (REV_ALL_ARM, '0df10d02', 0x3853, 'add     r2, sp, #0xd', 0, ()),
    (REV_ALL_ARM, '0df10e03', 0x3857, 'add     r3, sp, #0xe', 0, ()),
    (REV_ALL_ARM, '0af053fe', 0x385d, 'bl      0x0000e506', 0, ()),
    (REV_ALL_ARM, '9df80c10', 0x3869, 'ldrb    r1, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '44f00306', 0x3875, 'orr     r6, r4, #3', 0, ()),
    (REV_ALL_ARM, '0bf05cff', 0x387b, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, 'a12a', 0x3885, 'cmp     r2, #0xa1', 0, ()),
    (REV_ALL_ARM, 'c5f8c031', 0x3887, 'str     r3, [r5, #0x1c0]', 0, ()),
    (REV_ALL_ARM, '04d0', 0x388b, 'beq     0x00003896', 0, ()),
    (REV_ALL_ARM, '95f8bb21', 0x3897, 'ldrb    r2, [r5, #0x1bb]', 0, ()),
    (REV_ALL_ARM, 'f12a', 0x388d, 'cmp     r2, #0xf1', 0, ()),
    (REV_ALL_ARM, '44f00103', 0x38bb, 'orr     r3, r4, #1', 0, ()),
    (REV_ALL_ARM, '0bf03aff', 0x38bf, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '85f8bb21', 0x38a9, 'strb    r2, [r5, #0x1bb]', 0, ()),
    (REV_ALL_ARM, '0af041fe', 0x38b3, 'bl      0x0000e538', 0, ()),
    (REV_ALL_ARM, 'ebe7', 0x38b7, 'b       0x00003890', 0, ()),
    (REV_ALL_ARM, '0bf014ff', 0x38c9, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0bf0fbfe', 0x38fb, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '95f88131', 0x38ff, 'ldrb    r3, [r5, #0x181]', 0, ()),
    (REV_ALL_ARM, '07d9', 0x3909, 'bls     0x0000391a', 0, ()),
    (REV_ALL_ARM, '2978', 0x391b, 'ldrb    r1, [r5]', 0, ()),
    (REV_ALL_ARM, '95f8e631', 0x391d, 'ldrb    r3, [r5, #0x1e6]', 0, ()),
    (REV_ALL_ARM, '05f2e712', 0x3923, 'addw    r2, r5, #0x1e7', 0, ()),
    (REV_ALL_ARM, '0af0cafd', 0x3927, 'bl      0x0000e4be', 0, ()),
    (REV_ALL_ARM, '0af0fef9', 0x392f, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, '44f00201', 0x390d, 'orr     r1, r4, #2', 0, ()),
    (REV_ALL_ARM, '0bf0f0fe', 0x3911, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0129', 0x395b, 'cmp     r1, #1', 0, ()),
    (REV_ALL_ARM, '15d8', 0x395d, 'bhi     0x0000398a', 0, ()),
    (REV_ALL_ARM, '0328', 0x394d, 'cmp     r0, #3', 0, ()),
    (REV_ALL_ARM, '27d0', 0x394f, 'beq     0x000039a0', 0, ()),
    (REV_ALL_ARM, '4ff4fa71', 0x3993, 'mov     r1, #0x1f4', 0, ()),
    (REV_ALL_ARM, '0bf0cefe', 0x396f, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0091', 0x397b, 'str     r1, [sp]', 0, ()),
    (REV_ALL_ARM, '0af0fcfd', 0x397f, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, '0bf0a0fe', 0x39b1, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'd4f8c031', 0x39b5, 'ldr     r3, [r4, #0x1c0]', 0, ()),
    (REV_ALL_ARM, '5a1c', 0x39b9, 'adds    r2, r3, #1', 0, ()),
    (REV_ALL_ARM, 'c4f8c021', 0x39bd, 'str     r2, [r4, #0x1c0]', 0, ()),
    (REV_ALL_ARM, '25d9', 0x39c1, 'bls     0x00003a0e', 0, ()),
    (REV_ALL_ARM, 'bce7', 0x3a1f, 'b       0x0000399a', 0, ()),
    (REV_ALL_ARM, '94f88131', 0x39c3, 'ldrb    r3, [r4, #0x181]', 0, ()),
    (REV_ALL_ARM, '08d1', 0x39c9, 'bne     0x000039dc', 0, ()),
    (REV_ALL_ARM, '0af0eefd', 0x399b, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, 'd7e7', 0x399f, 'b       0x00003950', 0, ()),
    (REV_ALL_ARM, '0af0bbf9', 0x39eb, 'bl      0x0000dd64', 0, ()),
    (REV_ALL_ARM, '1370', 0x39fd, 'strb    r3, [r2]', 0, ()),
    (REV_ALL_ARM, 'c4f82432', 0x39ff, 'str     r3, [r4, #0x224]', 0, ()),
    (REV_ALL_ARM, '84f8c431', 0x3a03, 'strb    r3, [r4, #0x1c4]', 0, ()),
    (REV_ALL_ARM, 'c3e7', 0x3a0d, 'b       0x00003996', 0, ()),
    (REV_ALL_ARM, '94f88031', 0x39cb, 'ldrb    r3, [r4, #0x180]', 0, ()),
    (REV_ALL_ARM, '84f88031', 0x39d3, 'strb    r3, [r4, #0x180]', 0, ()),
    (REV_ALL_ARM, '84f8ba31', 0x39d9, 'strb    r3, [r4, #0x1ba]', 0, ()),
    (REV_ALL_ARM, '0af0bafb', 0x3a51, 'bl      0x0000e1c8', 0, ()),
    (REV_ALL_ARM, '0492', 0x3a61, 'str     r2, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '9df80d20', 0x3a63, 'ldrb    r2, [sp, #0xd]', 0, ()),
    (REV_ALL_ARM, '0592', 0x3a67, 'str     r2, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '0692', 0x3a6f, 'str     r2, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '04a9', 0x3a7f, 'add     r1, sp, #0x10', 0, ()),
    (REV_ALL_ARM, '0bf08efe', 0x3a81, 'bl      0x0000f7a0', 0, ()),
    (REV_ALL_ARM, 'a978', 0x3a85, 'ldrb    r1, [r5, #2]', 0, ()),
    (REV_ALL_ARM, '0af09ffd', 0x3a8d, 'bl      0x0000e5ce', 0, ()),
    (REV_ALL_ARM, '94f88021', 0x3a91, 'ldrb    r2, [r4, #0x180]', 0, ()),
    (REV_ALL_ARM, '84f88131', 0x3a99, 'strb    r3, [r4, #0x181]', 0, ()),
    (REV_ALL_ARM, '84f88021', 0x3aa1, 'strb    r2, [r4, #0x180]', 0, ()),
    (REV_ALL_ARM, '4ff0ff02', 0x3aa7, 'mov     r2, #0xff', 0, ()),
    (REV_ALL_ARM, '85f8d221', 0x3aab, 'strb    r2, [r5, #0x1d2]', 0, ()),
    (REV_ALL_ARM, '33d0', 0x3aaf, 'beq     0x00003b18', 0, ()),
    (REV_ALL_ARM, '1222', 0x3b19, 'movs    r2, #0x12', 0, ()),
    (REV_ALL_ARM, '05f5ea70', 0x3b1d, 'add     r0, r5, #0x1d4', 0, ()),
    (REV_ALL_ARM, '85f8d231', 0x3b21, 'strb    r3, [r5, #0x1d2]', 0, ()),
    (REV_ALL_ARM, '0df00bfa', 0x3b25, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, 'c5f8dc31', 0x3b2b, 'str     r3, [r5, #0x1dc]', 0, ()),
    (REV_ALL_ARM, '29d8', 0x3ab1, 'bhi     0x00003b06', 0, ()),
    (REV_ALL_ARM, '0af057fd', 0x3ac9, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, 'd6d1', 0x3b09, 'bne     0x00003ab8', 0, ()),
    (REV_ALL_ARM, '5a1e', 0x3ab3, 'subs    r2, r3, #1', 0, ()),
    (REV_ALL_ARM, '2cd9', 0x3ab7, 'bls     0x00003b12', 0, ()),
    (REV_ALL_ARM, '04f5f372', 0x3adb, 'add     r2, r4, #0x1e6', 0, ()),
    (REV_ALL_ARM, '04f2e711', 0x3adf, 'addw    r1, r4, #0x1e7', 0, ()),
    (REV_ALL_ARM, '00f0f3fa', 0x3ae7, 'bl      0x000040d0', 0, ()),
    (REV_ALL_ARM, '85f8ba31', 0x3b0d, 'strb    r3, [r5, #0x1ba]', 0, ()),
    (REV_ALL_ARM, 'd2e7', 0x3b11, 'b       0x00003ab8', 0, ()),
    (REV_ALL_ARM, '0af01cfd', 0x3afd, 'bl      0x0000e538', 0, ()),
    (REV_ALL_ARM, '0af03efd', 0x3b4f, 'bl      0x0000e5ce', 0, ()),
    (REV_ALL_ARM, '0af0f9fc', 0x3b85, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, 'f1e7', 0x3b8b, 'b       0x00003b70', 0, ()),
    (REV_ALL_ARM, '0bf0c3fd', 0x3b6b, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '91f88131', 0x3b9b, 'ldrb    r3, [r1, #0x181]', 0, ()),
    (REV_ALL_ARM, 'ad1a', 0x3ba5, 'subs    r5, r5, r2', 0, ()),
    (REV_ALL_ARM, '4fea8515', 0x3bb1, 'lsl     r5, r5, #6', 0, ()),
    (REV_ALL_ARM, '0ef05aff', 0x3bc7, 'bl      0x00012a7e', 0, ()),
    (REV_ALL_ARM, 'd4e97232', 0x3bcb, 'ldrd    r3, r2, [r4, #0x1c8]', 0, ()),
    (REV_ALL_ARM, '6433', 0x3bcf, 'adds    r3, #0x64', 0, ()),
    (REV_ALL_ARM, '72eb0103', 0x3bd7, 'sbcs    r3, r2, r1', 0, ()),
    (REV_ALL_ARM, '08da', 0x3bdb, 'bge     0x00003bee', 0, ()),
    (REV_ALL_ARM, '45f00201', 0x3bb9, 'orr     r1, r5, #2', 0, ()),
    (REV_ALL_ARM, '0bf09afd', 0x3bbd, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '94f8bb11', 0x3bef, 'ldrb    r1, [r4, #0x1bb]', 0, ()),
    (REV_ALL_ARM, '45f00302', 0x3bf5, 'orr     r2, r5, #3', 0, ()),
    (REV_ALL_ARM, '0bf089fd', 0x3bf9, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '94f8bb31', 0x3bfd, 'ldrb    r3, [r4, #0x1bb]', 0, ()),
    (REV_ALL_ARM, '2178', 0x3c01, 'ldrb    r1, [r4]', 0, ()),
    (REV_ALL_ARM, '4ff00002', 0x3c05, 'mov     r2, #0', 0, ()),
    (REV_ALL_ARM, '0092', 0x3c09, 'str     r2, [sp]', 0, ()),
    (REV_ALL_ARM, '94f8bc31', 0x3c0f, 'ldrb    r3, [r4, #0x1bc]', 0, ()),
    (REV_ALL_ARM, 'f122', 0x3c13, 'movs    r2, #0xf1', 0, ()),
    (REV_ALL_ARM, 'a122', 0x3c15, 'movs    r2, #0xa1', 0, ()),
    (REV_ALL_ARM, '0af041fc', 0x3c17, 'bl      0x0000e49c', 0, ()),
    (REV_ALL_ARM, '0af086f8', 0x3c1f, 'bl      0x0000dd2e', 0, ()),
    (REV_ALL_ARM, 'cee7', 0x3c23, 'b       0x00003bc2', 0, ()),
    (REV_ALL_ARM, '45f00101', 0x3bdf, 'orr     r1, r5, #1', 0, ()),
    (REV_ALL_ARM, '0bf087fd', 0x3be3, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '84f8bb01', 0x3be9, 'strb    r0, [r4, #0x1bb]', 0, ()),
    (REV_ALL_ARM, 'c121', 0x3c41, 'movs    r1, #0xc1', 0, ()),
    (REV_ALL_ARM, '0af0c4fc', 0x3c43, 'bl      0x0000e5ce', 0, ()),
    (REV_ALL_ARM, '03f0fe03', 0x3c4b, 'and     r3, r3, #0xfe', 0, ()),
    (REV_ALL_ARM, '43f48063', 0x3c4f, 'orr     r3, r3, #0x400', 0, ()),
    (REV_ALL_ARM, '83f8ba21', 0x3c69, 'strb    r2, [r3, #0x1ba]', 0, ()),
    (REV_ALL_ARM, 'c623', 0x3c73, 'movs    r3, #0xc6', 0, ()),
    (REV_ALL_ARM, '0af07ffc', 0x3c79, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, '0bf032fd', 0x3c8d, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'c3f82412', 0x3cab, 'str     r1, [r3, #0x224]', 0, ()),
    (REV_ALL_ARM, 'b4f8d031', 0x3cb9, 'ldrh    r3, [r4, #0x1d0]', 0, ()),
    (REV_ALL_ARM, '14d8', 0x3cc1, 'bhi     0x00003cec', 0, ()),
    (REV_ALL_ARM, 'a4f8d011', 0x3cc5, 'strh    r1, [r4, #0x1d0]', 0, ()),
    (REV_ALL_ARM, '0ef0d9fe', 0x3cc9, 'bl      0x00012a7e', 0, ()),
    (REV_ALL_ARM, 'c4e97201', 0x3ccd, 'strd    r0, r1, [r4, #0x1c8]', 0, ()),
    (REV_ALL_ARM, '84f8bc51', 0x3cd5, 'strb    r5, [r4, #0x1bc]', 0, ()),
    (REV_ALL_ARM, '84f8bb31', 0x3cdb, 'strb    r3, [r4, #0x1bb]', 0, ()),
    (REV_ALL_ARM, '0af026bc', 0x3ce9, 'b       0x0000e538', 0, ()),
    (REV_ALL_ARM, '30b4', 0x3cf7, 'push    {r4, r5}', 0, ()),
    (REV_ALL_ARM, '02f13805', 0x3cfb, 'add     r5, r2, #0x38', 0, ()),
    (REV_ALL_ARM, '03cc', 0x3d01, 'ldm     r4!, {r0, r1}', 0, ()),
    (REV_ALL_ARM, '2188', 0x3d11, 'ldrh    r1, [r4]', 0, ()),
    (REV_ALL_ARM, 'a278', 0x3d13, 'ldrb    r2, [r4, #2]', 0, ()),
    (REV_ALL_ARM, '9a70', 0x3d15, 'strb    r2, [r3, #2]', 0, ()),
    (REV_ALL_ARM, '30bc', 0x3d19, 'pop     {r4, r5}', 0, ()),
    (REV_ALL_ARM, '0df00db9', 0x3d21, 'b       0x00010f3e', 0, ()),
    (REV_ALL_ARM, '0bf0e4fc', 0x3d43, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0af084fb', 0x3d69, 'bl      0x0000e474', 0, ()),
    (REV_ALL_ARM, '04f50a70', 0x3d71, 'add     r0, r4, #0x228', 0, ()),
    (REV_ALL_ARM, '0df0b8f8', 0x3d75, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '84f86452', 0x3d7d, 'strb    r5, [r4, #0x264]', 0, ()),
    (REV_ALL_ARM, 'a4f8d031', 0x3d89, 'strh    r3, [r4, #0x1d0]', 0, ()),
    (REV_ALL_ARM, 'c523', 0x3d8f, 'movs    r3, #0xc5', 0, ()),
    (REV_ALL_ARM, '0af0f1fb', 0x3d95, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, 'cde90143', 0x3db5, 'strd    r4, r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '2278', 0x3dbb, 'ldrb    r2, [r4]', 0, ()),
    (REV_ALL_ARM, '8df81820', 0x3dbf, 'strb    r2, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '04f5b871', 0x3dc9, 'add     r1, r4, #0x170', 0, ()),
    (REV_ALL_ARM, 'fdf74ff9', 0x3dcf, 'bl      0x00001070', 0, ()),
    (REV_ALL_ARM, '47d0', 0x3dd7, 'beq     0x00003e68', 0, ()),
    (REV_ALL_ARM, '4ff0ff35', 0x3e69, 'mov     r5, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'f8e7', 0x3e6d, 'b       0x00003e60', 0, ()),
    (REV_ALL_ARM, 'fdf7c6f9', 0x3dd9, 'bl      0x00001168', 0, ()),
    (REV_ALL_ARM, '3ed1', 0x3de1, 'bne     0x00003e60', 0, ()),
    (REV_ALL_ARM, '0af062f8', 0x3de3, 'bl      0x0000deaa', 0, ()),
    (REV_ALL_ARM, 'c4e95c01', 0x3de9, 'strd    r0, r1, [r4, #0x170]', 0, ()),
    (REV_ALL_ARM, 'c4f87831', 0x3ded, 'str     r3, [r4, #0x178]', 0, ()),
    (REV_ALL_ARM, '04f10803', 0x3df3, 'add     r3, r4, #8', 0, ()),
    (REV_ALL_ARM, 'c4f87c31', 0x3df7, 'str     r3, [r4, #0x17c]', 0, ()),
    (REV_ALL_ARM, '2346', 0x3dfd, 'mov     r3, r4', 0, ()),
    (REV_ALL_ARM, '2e46', 0x3dff, 'mov     r6, r5', 0, ()),
    (REV_ALL_ARM, '9a60', 0x3e0d, 'str     r2, [r3, #8]', 0, ()),
    (REV_ALL_ARM, 'c3e90766', 0x3e13, 'strd    r6, r6, [r3, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'c3e90401', 0x3e17, 'strd    r0, r1, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c3e90a89', 0x3e1b, 'strd    r8, r9, [r3, #0x28]', 0, ()),
    (REV_ALL_ARM, 'c3e90e89', 0x3e1f, 'strd    r8, r9, [r3, #0x38]', 0, ()),
    (REV_ALL_ARM, 'c3e91089', 0x3e23, 'strd    r8, r9, [r3, #0x40]', 0, ()),
    (REV_ALL_ARM, '1e76', 0x3e27, 'strb    r6, [r3, #0x18]', 0, ()),
    (REV_ALL_ARM, 'c3f824c0', 0x3e29, 'str     r12, [r3, #0x24]', 0, ()),
    (REV_ALL_ARM, '83f83460', 0x3e2d, 'strb    r6, [r3, #0x34]', 0, ()),
    (REV_ALL_ARM, 'dc64', 0x3e31, 'str     r4, [r3, #0x4c]', 0, ()),
    (REV_ALL_ARM, '43f8487f', 0x3e33, 'str     r7, [r3, #0x48]!', 0, ()),
    (REV_ALL_ARM, 'e9d1', 0x3e37, 'bne     0x00003e0c', 0, ()),
    (REV_ALL_ARM, '2363', 0x3e3b, 'str     r3, [r4, #0x30]', 0, ()),
    (REV_ALL_ARM, 'a367', 0x3e3f, 'str     r3, [r4, #0x78]', 0, ()),
    (REV_ALL_ARM, 'c4f85031', 0x3e43, 'str     r3, [r4, #0x150]', 0, ()),
    (REV_ALL_ARM, 'c4f80831', 0x3e49, 'str     r3, [r4, #0x108]', 0, ()),
    (REV_ALL_ARM, 'c4f8c030', 0x3e51, 'str     r3, [r4, #0xc0]', 0, ()),
    (REV_ALL_ARM, '0af08dfb', 0x3e5d, 'bl      0x0000e57a', 0, ()),
    (REV_ALL_ARM, '1c78', 0x3e99, 'ldrb    r4, [r3]', 0, ()),
    (REV_ALL_ARM, 'b4eb901f', 0x3e9b, 'cmp     r4, r0, lsr #6', 0, ()),
    (REV_ALL_ARM, '00f03f01', 0x3ea1, 'and     r1, r0, #0x3f', 0, ()),
    (REV_ALL_ARM, '4fea9012', 0x3ea5, 'lsr     r2, r0, #6', 0, ()),
    (REV_ALL_ARM, '4ff00004', 0x3ea9, 'mov     r4, #0', 0, ()),
    (REV_ALL_ARM, '1a70', 0x3eb1, 'strb    r2, [r3]', 0, ()),
    (REV_ALL_ARM, '90f8d231', 0x3eb3, 'ldrb    r3, [r0, #0x1d2]', 0, ()),
    (REV_ALL_ARM, '8df80b40', 0x3eb7, 'strb    r4, [sp, #0xb]', 0, ()),
    (REV_ALL_ARM, '1cd0', 0x3ebd, 'beq     0x00003ef8', 0, ()),
    (REV_ALL_ARM, '0df10b03', 0x3ef9, 'add     r3, sp, #0xb', 0, ()),
    (REV_ALL_ARM, '00f5ea70', 0x3f03, 'add     r0, r0, #0x1d4', 0, ()),
    (REV_ALL_ARM, '00f07dfa', 0x3f07, 'bl      0x00004404', 0, ()),
    (REV_ALL_ARM, '03d9', 0x3ebf, 'bls     0x00003ec8', 0, ()),
    (REV_ALL_ARM, '9df80b10', 0x3ee7, 'ldrb    r1, [sp, #0xb]', 0, ()),
    (REV_ALL_ARM, '0729', 0x3ec9, 'cmp     r1, #7', 0, ()),
    (REV_ALL_ARM, '1fd1', 0x3ecb, 'bne     0x00003f0c', 0, ()),
    (REV_ALL_ARM, '03a8', 0x3eed, 'add     r0, sp, #0xc', 0, ()),
    (REV_ALL_ARM, 'fff7f7fb', 0x3eef, 'bl      0x000036e0', 0, ()),
    (REV_ALL_ARM, '90f8ba31', 0x3ecd, 'ldrb    r3, [r0, #0x1ba]', 0, ()),
    (REV_ALL_ARM, '83f00103', 0x3ed1, 'eor     r3, r3, #1', 0, ()),
    (REV_ALL_ARM, '80f8ba31', 0x3ed5, 'strb    r3, [r0, #0x1ba]', 0, ()),
    (REV_ALL_ARM, '90f88031', 0x3ed9, 'ldrb    r3, [r0, #0x180]', 0, ()),
    (REV_ALL_ARM, '80f88031', 0x3ee1, 'strb    r3, [r0, #0x180]', 0, ()),
    (REV_ALL_ARM, 'ff2b', 0x3ec5, 'cmp     r3, #0xff', 0, ()),
    (REV_ALL_ARM, '94f8d251', 0x3f1d, 'ldrb    r5, [r4, #0x1d2]', 0, ()),
    (REV_ALL_ARM, '8df80b30', 0x3f49, 'strb    r3, [sp, #0xb]', 0, ()),
    (REV_ALL_ARM, 'bde83040', 0x3f3d, 'pop     {r4, r5, lr}', 0, ()),
    (REV_ALL_ARM, '0bf0f9bb', 0x3f41, 'b       0x0000f736', 0, ()),
    (REV_ALL_ARM, '00f092f9', 0x3f79, 'bl      0x000042a0', 0, ()),
    (REV_ALL_ARM, '16d9', 0x3f4f, 'bls     0x00003f7e', 0, ()),
    (REV_ALL_ARM, '0bf0bdfb', 0x3f91, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0428', 0x3f51, 'cmp     r0, #4', 0, ()),
    (REV_ALL_ARM, 'fff7befb', 0x3f61, 'bl      0x000036e0', 0, ()),
    (REV_ALL_ARM, '12d0', 0x3f57, 'beq     0x00003f7e', 0, ()),
    (REV_ALL_ARM, '94f8d221', 0x3fb1, 'ldrb    r2, [r4, #0x1d2]', 0, ()),
    (REV_ALL_ARM, '0bf0b0bb', 0x3fd3, 'b       0x0000f736', 0, ()),
    (REV_ALL_ARM, '00f04efb', 0x4009, 'bl      0x000046a8', 0, ()),
    (REV_ALL_ARM, 'ede7', 0x400d, 'b       0x00003fea', 0, ()),
    (REV_ALL_ARM, '15d9', 0x3fe1, 'bls     0x0000400e', 0, ()),
    (REV_ALL_ARM, '0bf075fb', 0x4021, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '13d0', 0x3fe5, 'beq     0x0000400e', 0, ()),
    (REV_ALL_ARM, 'fff775fb', 0x3ff3, 'bl      0x000036e0', 0, ()),
    (REV_ALL_ARM, '11d0', 0x3fe9, 'beq     0x0000400e', 0, ()),
    (REV_ALL_ARM, '1b78', 0x403f, 'ldrb    r3, [r3]', 0, ()),
    (REV_ALL_ARM, '4008', 0x4045, 'lsrs    r0, r0, #1', 0, ()),
    (REV_ALL_ARM, '2623', 0x4047, 'movs    r3, #0x26', 0, ()),
    (REV_ALL_ARM, '10fb03f0', 0x4049, 'smulbb  r0, r0, r3', 0, ()),
    (REV_ALL_ARM, 'ff23', 0x404d, 'movs    r3, #0xff', 0, ()),
    (REV_ALL_ARM, 'b0fbf3f0', 0x404f, 'udiv    r0, r0, r3', 0, ()),
    (REV_ALL_ARM, '1930', 0x4053, 'adds    r0, #0x19', 0, ()),
    (REV_ALL_ARM, 'c0b2', 0x4055, 'uxtb    r0, r0', 0, ()),
    (REV_ALL_ARM, 'f7b5', 0x405d, 'push    {r0, r1, r2, r4, r5, r6, r7, lr}', 0, ()),
    (REV_ALL_ARM, 'e17b', 0x4065, 'ldrb    r1, [r4, #0xf]', 0, ()),
    (REV_ALL_ARM, 'c3ebc303', 0x4067, 'rsb     r3, r3, r3, lsl #3', 0, ()),
    (REV_ALL_ARM, 'dd1c', 0x406b, 'adds    r5, r3, #3', 0, ()),
    (REV_ALL_ARM, '1423', 0x406d, 'movs    r3, #0x14', 0, ()),
    (REV_ALL_ARM, '4370', 0x4073, 'strb    r3, [r0, #1]', 0, ()),
    (REV_ALL_ARM, '277c', 0x4075, 'ldrb    r7, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '8770', 0x4077, 'strb    r7, [r0, #2]', 0, ()),
    (REV_ALL_ARM, '40f2fa63', 0x4079, 'movw    r3, #0x6fa', 0, ()),
    (REV_ALL_ARM, '5943', 0x407d, 'muls    r1, r3, r1', 0, ()),
    (REV_ALL_ARM, '13fb0713', 0x4081, 'smlabb  r3, r3, r7, r1', 0, ()),
    (REV_ALL_ARM, '1646', 0x4085, 'mov     r6, r2', 0, ()),
    (REV_ALL_ARM, '627c', 0x4089, 'ldrb    r2, [r4, #0x11]', 0, ()),
    (REV_ALL_ARM, 'c2ebc202', 0x408d, 'rsb     r2, r2, r2, lsl #3', 0, ()),
    (REV_ALL_ARM, '0330', 0x4091, 'adds    r0, #3', 0, ()),
    (REV_ALL_ARM, '0cf029ff', 0x4093, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '3570', 0x40a3, 'strb    r5, [r6]', 0, ()),
    (REV_ALL_ARM, '0bf056fb', 0x40b9, 'bl      0x0000f768', 0, ()),
    (REV_ALL_ARM, 'ff24', 0x40d3, 'movs    r4, #0xff', 0, ()),
    (REV_ALL_ARM, '4473', 0x40d5, 'strb    r4, [r0, #0xd]', 0, ()),
    (REV_ALL_ARM, '8473', 0x40d9, 'strb    r4, [r0, #0xe]', 0, ()),
    (REV_ALL_ARM, '2478', 0x40dd, 'ldrb    r4, [r4]', 0, ()),
    (REV_ALL_ARM, '082c', 0x40df, 'cmp     r4, #8', 0, ()),
    (REV_ALL_ARM, '0824', 0x40e3, 'movs    r4, #8', 0, ()),
    (REV_ALL_ARM, '4474', 0x40e5, 'strb    r4, [r0, #0x11]', 0, ()),
    (REV_ALL_ARM, 'fff7b9ff', 0x40e7, 'bl      0x0000405c', 0, ()),
    (REV_ALL_ARM, '2de9f347', 0x41a1, 'push    {r0, r1, r4, r5, r6, r7, r8, r9, r10, lr}', 0, ()),
    (REV_ALL_ARM, 'ddf82c90', 0x41a7, 'ldr     r9, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, '1f46', 0x41ab, 'mov     r7, r3', 0, ()),
    (REV_ALL_ARM, 'f61a', 0x41af, 'subs    r6, r6, r3', 0, ()),
    (REV_ALL_ARM, 'f608', 0x41b1, 'lsrs    r6, r6, #3', 0, ()),
    (REV_ALL_ARM, 'b601', 0x41b3, 'lsls    r6, r6, #6', 0, ()),
    (REV_ALL_ARM, '46f00305', 0x41b7, 'orr     r5, r6, #3', 0, ()),
    (REV_ALL_ARM, '0978', 0x41c1, 'ldrb    r1, [r1]', 0, ()),
    (REV_ALL_ARM, '0bf0a4fa', 0x41c3, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '56d0', 0x41cb, 'beq     0x0000427a', 0, ()),
    (REV_ALL_ARM, '98f80030', 0x41cd, 'ldrb    r3, [r8]', 0, ()),
    (REV_ALL_ARM, '142b', 0x41d1, 'cmp     r3, #0x14', 0, ()),
    (REV_ALL_ARM, '52d1', 0x41d3, 'bne     0x0000427a', 0, ()),
    (REV_ALL_ARM, '0bf08afa', 0x41dd, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '217c', 0x41e1, 'ldrb    r1, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'e27b', 0x41e5, 'ldrb    r2, [r4, #0xf]', 0, ()),
    (REV_ALL_ARM, '40f2fa6a', 0x41e9, 'movw    r10, #0x6fa', 0, ()),
    (REV_ALL_ARM, '0afb02f3', 0x41ef, 'mul     r3, r10, r2', 0, ()),
    (REV_ALL_ARM, '2174', 0x41f3, 'strb    r1, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '18f80330', 0x41f5, 'ldrb    r3, [r8, r3]', 0, ()),
    (REV_ALL_ARM, '17d9', 0x41fb, 'bls     0x0000422c', 0, ()),
    (REV_ALL_ARM, '511c', 0x422d, 'adds    r1, r2, #1', 0, ()),
    (REV_ALL_ARM, 'e173', 0x4233, 'strb    r1, [r4, #0xf]', 0, ()),
    (REV_ALL_ARM, '10d8', 0x4235, 'bhi     0x00004258', 0, ()),
    (REV_ALL_ARM, '0bf099fa', 0x4201, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '0afb03fa', 0x4209, 'mul     r10, r10, r3', 0, ()),
    (REV_ALL_ARM, '18f80a30', 0x420d, 'ldrb    r3, [r8, r10]', 0, ()),
    (REV_ALL_ARM, '9df82830', 0x425b, 'ldrb    r3, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, 'a573', 0x425f, 'strb    r5, [r4, #0xe]', 0, ()),
    (REV_ALL_ARM, '0af041fb', 0x426b, 'bl      0x0000e8f0', 0, ()),
    (REV_ALL_ARM, '46f00301', 0x4271, 'orr     r1, r6, #3', 0, ()),
    (REV_ALL_ARM, '0bf03efa', 0x4275, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'd4e7', 0x4279, 'b       0x00004224', 0, ()),
    (REV_ALL_ARM, '0afb01f3', 0x4237, 'mul     r3, r10, r1', 0, ()),
    (REV_ALL_ARM, '0bf063fa', 0x4245, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '2574', 0x4251, 'strb    r5, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '082b', 0x4213, 'cmp     r3, #8', 0, ()),
    (REV_ALL_ARM, 'a8bf', 0x4215, 'it      ge', 0, ()),
    (REV_ALL_ARM, '0823', 0x4217, 'movs    r3, #8', 0, ()),
    (REV_ALL_ARM, '6374', 0x4219, 'strb    r3, [r4, #0x11]', 0, ()),
    (REV_ALL_ARM, '4a46', 0x421b, 'mov     r2, r9', 0, ()),
    (REV_ALL_ARM, '87b0', 0x42a5, 'sub     sp, #0x1c', 0, ()),
    (REV_ALL_ARM, '9df83880', 0x42a9, 'ldrb    r8, [sp, #0x38]', 0, ()),
    (REV_ALL_ARM, '0f9f', 0x42ad, 'ldr     r7, [sp, #0x3c]', 0, ()),
    (REV_ALL_ARM, '1e46', 0x42b3, 'mov     r6, r3', 0, ()),
    (REV_ALL_ARM, '00f29680', 0x42b7, 'bhi     0x000043e6', 0, ()),
    (REV_ALL_ARM, '07b0', 0x43e7, 'add     sp, #0x1c', 0, ()),
    (REV_ALL_ARM, '4bc2', 0x42c3, 'stm     r2!, {r0, r1, r3, r6}', 0, ()),
    (REV_ALL_ARM, 'eb02', 0x42c5, 'lsls    r3, r5, #0xb', 0, ()),
    (REV_ALL_ARM, '4ad2', 0x42c9, 'bcs     0x00004360', 0, ()),         #   'bcs     0x00004361', 0, ()),
    (REV_ALL_ARM, 'fa82', 0x4303, 'strh    r2, [r7, #0x16]', 0, ()),
    (REV_ALL_ARM, 'f939', 0x4305, 'subs    r1, #0xf9', 0, ()),
    (REV_ALL_ARM, '4b39', 0x4307, 'subs    r1, #0x4b', 0, ()),
    (REV_ALL_ARM, '4aa0', 0x4309, 'adr     r0, #0x4434', 0, ()),        #   'adr     r0, #0x128', 0, ()),
    (REV_ALL_ARM, 'f80a', 0x430b, 'lsrs    r0, r7, #0xb', 0, ()),
    (REV_ALL_ARM, '90d2', 0x430d, 'bcs     0x00004230', 0, ()),         #   'bcs     0x00004231', 0, ()),
    (REV_ALL_ARM, '4a2d', 0x4335, 'cmp     r5, #0x4a', 0, ()),
    (REV_ALL_ARM, '4bd2', 0x4337, 'bcs     0x000043d0', 0, ()),         #   'bcs     0x000043d1', 0, ()),
    (REV_ALL_ARM, '2464', 0x4381, 'str     r4, [r4, #0x40]', 0, ()),
    (REV_ALL_ARM, '21b4', 0x4383, 'push    {r0, r5}', 0, ()),
    (REV_ALL_ARM, 'fbf1f444', 0x4385, 'undefined', 0, ()),
    (REV_ALL_ARM, 'c2eb0224', 0x42c5, 'rsb     r4, r2, r2, lsl #8', 0, ()),
    (REV_ALL_ARM, 'b4fbf1f1', 0x42d7, 'udiv    r1, r4, r1', 0, ()),
    (REV_ALL_ARM, '0172', 0x42db, 'strb    r1, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '0bf015fa', 0x42e1, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0e97', 0x42f7, 'str     r7, [sp, #0x38]', 0, ()),
    (REV_ALL_ARM, 'bde8f043', 0x42fb, 'pop     {r4, r5, r6, r7, r8, r9, lr}', 0, ()),
    (REV_ALL_ARM, '0af0cbba', 0x42ff, 'b       0x0000e898', 0, ()),
    (REV_ALL_ARM, '7bd1', 0x42ed, 'bne     0x000043e6', 0, ()),
    (REV_ALL_ARM, '1ffa82f9', 0x4303, 'uxth    r9, r2', 0, ()),
    (REV_ALL_ARM, 'a0f80a90', 0x430b, 'strh    r9, [r0, #0xa]', 0, ()),
    (REV_ALL_ARM, '0bf0f7f9', 0x431d, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'fff7e0be', 0x4331, 'b       0x000040f4', 0, ()),
    (REV_ALL_ARM, '2de9ff41', 0x40f5, 'push    {r0, r1, r2, r3, r4, r5, r6, r7, r8, lr}', 0, ()),
    (REV_ALL_ARM, '0a9c', 0x40f9, 'ldr     r4, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, '0f46', 0x4105, 'mov     r7, r1', 0, ()),
    (REV_ALL_ARM, '41dd', 0x4107, 'ble     0x0000418c', 0, ()),
    (REV_ALL_ARM, 'c388', 0x4109, 'ldrh    r3, [r0, #6]', 0, ()),
    (REV_ALL_ARM, '3cd0', 0x410d, 'beq     0x00004188', 0, ()),
    (REV_ALL_ARM, '00e0', 0x418b, 'b       0x0000418e', 0, ()),
    (REV_ALL_ARM, '0e22', 0x410f, 'movs    r2, #0xe', 0, ()),
    (REV_ALL_ARM, '0cf013ff', 0x4115, 'bl      0x00010f3e', 0, ()),
    (REV_ALL_ARM, '4ff4fa73', 0x411b, 'mov     r3, #0x1f4', 0, ()),
    (REV_ALL_ARM, 'b3fbf7f3', 0x4123, 'udiv    r3, r3, r7', 0, ()),
    (REV_ALL_ARM, '8df80730', 0x412b, 'strb    r3, [sp, #7]', 0, ()),
    (REV_ALL_ARM, '1b0a', 0x412f, 'lsrs    r3, r3, #8', 0, ()),
    (REV_ALL_ARM, '8df80220', 0x413f, 'strb    r2, [sp, #2]', 0, ()),
    (REV_ALL_ARM, '8022', 0x4149, 'movs    r2, #0x80', 0, ()),
    (REV_ALL_ARM, '43f00301', 0x414b, 'orr     r1, r3, #3', 0, ()),
    (REV_ALL_ARM, '8df80620', 0x414f, 'strb    r2, [sp, #6]', 0, ()),
    (REV_ALL_ARM, '8df80d20', 0x4153, 'strb    r2, [sp, #0xd]', 0, ()),
    (REV_ALL_ARM, '0bf0cdfa', 0x4157, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '1422', 0x415d, 'movs    r2, #0x14', 0, ()),
    (REV_ALL_ARM, 'f254', 0x415f, 'strb    r2, [r6, r3]', 0, ()),
    (REV_ALL_ARM, '3344', 0x4163, 'add     r3, r6', 0, ()),
    (REV_ALL_ARM, '5a70', 0x4167, 'strb    r2, [r3, #1]', 0, ()),
    (REV_ALL_ARM, '9d70', 0x416f, 'strb    r5, [r3, #2]', 0, ()),
    (REV_ALL_ARM, '2078', 0x4171, 'ldrb    r0, [r4]', 0, ()),
    (REV_ALL_ARM, '0cf0b5fe', 0x417b, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '1133', 0x4181, 'adds    r3, #0x11', 0, ()),
    (REV_ALL_ARM, 'a8f80670', 0x4185, 'strh    r7, [r8, #6]', 0, ()),
    (REV_ALL_ARM, '042c', 0x433d, 'cmp     r4, #4', 0, ()),
    (REV_ALL_ARM, '4fea8212', 0x433f, 'lsl     r2, r2, #6', 0, ()),
    (REV_ALL_ARM, '0473', 0x4357, 'strb    r4, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '0bf0d5f9', 0x4361, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '052b', 0x4367, 'cmp     r3, #5', 0, ()),
    (REV_ALL_ARM, '3dd1', 0x4369, 'bne     0x000043e6', 0, ()),
    (REV_ALL_ARM, '0bf0dcb9', 0x4353, 'b       0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0af067ba', 0x437b, 'b       0x0000e84c', 0, ()),
    (REV_ALL_ARM, 'b4fbf1f4', 0x4385, 'udiv    r4, r4, r1', 0, ()),
    (REV_ALL_ARM, '4472', 0x4389, 'strb    r4, [r0, #9]', 0, ()),
    (REV_ALL_ARM, 'a8eb0302', 0x438d, 'sub     r2, r8, r3', 0, ()),
    (REV_ALL_ARM, '07dd', 0x4393, 'ble     0x000043a4', 0, ()),
    (REV_ALL_ARM, '033b', 0x43a7, 'subs    r3, #3', 0, ()),
    (REV_ALL_ARM, '1cd8', 0x43ab, 'bhi     0x000043e6', 0, ()),
    (REV_ALL_ARM, '5c70', 0x439d, 'strb    r4, [r3, #1]', 0, ()),
    (REV_ALL_ARM, '687a', 0x43ad, 'ldrb    r0, [r5, #9]', 0, ()),
    (REV_ALL_ARM, 'fff745fe', 0x43af, 'bl      0x0000403c', 0, ()),
    (REV_ALL_ARM, 'cde90003', 0x43b5, 'strd    r0, r3, [sp]', 0, ()),
    (REV_ALL_ARM, '1a46', 0x43bb, 'mov     r2, r3', 0, ()),
    (REV_ALL_ARM, 'cde90387', 0x43bf, 'strd    r8, r7, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '0296', 0x43c3, 'str     r6, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '0af01cfa', 0x43c7, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, 'fff736fe', 0x43cd, 'bl      0x0000403c', 0, ()),
    (REV_ALL_ARM, '0af00efa', 0x43e3, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, '0629', 0x4415, 'cmp     r1, #6', 0, ()),
    (REV_ALL_ARM, '00f22c81', 0x4417, 'bhi     0x00004672', 0, ()),
    (REV_ALL_ARM, 'bde8f041', 0x4689, 'pop     {r4, r5, r6, r7, r8, lr}', 0, ()),
    (REV_ALL_ARM, '0bf053b8', 0x468d, 'b       0x0000f736', 0, ()),
    #(REV_ALL_ARM, 'dfe811f0', 0x441b, 'tbh     [pc, r1, lsl #1]', 0, ()),
    (REV_ALL_ARM, 'adb9', 0x442f, 'cbnz    r5, 0x0000445c', 0, ()),
    (REV_ALL_ARM, 'e2d1', 0x4495, 'bne     0x0000445c', 0, ()),
    (REV_ALL_ARM, '7ff46daf', 0x457f, 'bne     0x0000445c', 0, ()),
    (REV_ALL_ARM, '7ff44baf', 0x45c3, 'bne     0x0000445c', 0, ()),
    (REV_ALL_ARM, '7ff43caf', 0x45e1, 'bne     0x0000445c', 0, ()),
    (REV_ALL_ARM, '0478', 0x4633, 'ldrb    r4, [r0]', 0, ()),
    (REV_ALL_ARM, '7ff411af', 0x4637, 'bne     0x0000445c', 0, ()),
    (REV_ALL_ARM, '0c97', 0x4667, 'str     r7, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '0af03fb9', 0x466f, 'b       0x0000e8f0', 0, ()),
    (REV_ALL_ARM, '8378', 0x4431, 'ldrb    r3, [r0, #2]', 0, ()),
    (REV_ALL_ARM, '0af059fa', 0x443b, 'bl      0x0000e8f0', 0, ()),
    (REV_ALL_ARM, '15d0', 0x4445, 'beq     0x00004472', 0, ()),
    (REV_ALL_ARM, '10d0', 0x4587, 'beq     0x000045aa', 0, ()),
    (REV_ALL_ARM, '0179', 0x45c7, 'ldrb    r1, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '81f00101', 0x45cb, 'eor     r1, r1, #1', 0, ()),
    (REV_ALL_ARM, '0171', 0x45cf, 'strb    r1, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '0af04bb9', 0x45d9, 'b       0x0000e872', 0, ()),
    (REV_ALL_ARM, '0bf07ef8', 0x45f5, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '10d9', 0x45fd, 'bls     0x00004620', 0, ()),
    (REV_ALL_ARM, '0bf053f8', 0x464b, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '1722', 0x4651, 'movs    r2, #0x17', 0, ()),
    (REV_ALL_ARM, '3a78', 0x4655, 'ldrb    r2, [r7]', 0, ()),
    (REV_ALL_ARM, '1644', 0x4657, 'add     r6, r2', 0, ()),
    (REV_ALL_ARM, '7470', 0x4659, 'strb    r4, [r6, #1]', 0, ()),
    (REV_ALL_ARM, 'fce6', 0x4661, 'b       0x0000445c', 0, ()),
    (REV_ALL_ARM, '0af00dfa', 0x447b, 'bl      0x0000e898', 0, ()),
    (REV_ALL_ARM, '0bd0', 0x4449, 'beq     0x00004462', 0, ()),
    (REV_ALL_ARM, 'cde90053', 0x4513, 'strd    r5, r3, [sp]', 0, ()),
    (REV_ALL_ARM, '0292', 0x4517, 'str     r2, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '0af06ef9', 0x4523, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, 'cde90156', 0x452b, 'strd    r5, r6, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '0095', 0x452f, 'str     r5, [sp]', 0, ()),
    (REV_ALL_ARM, '0af063f9', 0x4539, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, '1fd0', 0x44a1, 'beq     0x000044e2', 0, ()),
    (REV_ALL_ARM, '4578', 0x45ab, 'ldrb    r5, [r0, #1]', 0, ()),
    (REV_ALL_ARM, '052d', 0x45ad, 'cmp     r5, #5', 0, ()),
    (REV_ALL_ARM, '0af00ff9', 0x462b, 'bl      0x0000e84c', 0, ()),
    (REV_ALL_ARM, '0525', 0x462f, 'movs    r5, #5', 0, ()),
    (REV_ALL_ARM, 'b8e7', 0x4631, 'b       0x000045a4', 0, ()),
    (REV_ALL_ARM, 'd0d1', 0x4601, 'bne     0x000045a4', 0, ()),
    (REV_ALL_ARM, '0af015fa', 0x446b, 'bl      0x0000e898', 0, ()),
    (REV_ALL_ARM, '18d1', 0x4451, 'bne     0x00004484', 0, ()),
    (REV_ALL_ARM, '0af085f9', 0x44f5, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, '0af07af9', 0x450b, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, 'bde7', 0x450f, 'b       0x0000448c', 0, ()),
    (REV_ALL_ARM, '407a', 0x44a5, 'ldrb    r0, [r0, #9]', 0, ()),
    (REV_ALL_ARM, '4bd1', 0x44a7, 'bne     0x00004540', 0, ()),
    (REV_ALL_ARM, 'ff21', 0x45b9, 'movs    r1, #0xff', 0, ()),
    (REV_ALL_ARM, '017b', 0x45b1, 'ldrb    r1, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '32bf', 0x4591, 'itee    cc', 0, ()),
    (REV_ALL_ARM, '0af01ef9', 0x460d, 'bl      0x0000e84c', 0, ()),
    (REV_ALL_ARM, '0af069f9', 0x461b, 'bl      0x0000e8f0', 0, ()),
    (REV_ALL_ARM, 'c1e7', 0x461f, 'b       0x000045a4', 0, ()),
    (REV_ALL_ARM, 'a370', 0x4481, 'strb    r3, [r4, #2]', 0, ()),
    (REV_ALL_ARM, '0af006fa', 0x4489, 'bl      0x0000e898', 0, ()),
    (REV_ALL_ARM, '0af01ffa', 0x4457, 'bl      0x0000e898', 0, ()),
    (REV_ALL_ARM, 'a570', 0x445b, 'strb    r5, [r4, #2]', 0, ()),
    (REV_ALL_ARM, 'fff77cfd', 0x4541, 'bl      0x0000403c', 0, ()),
    (REV_ALL_ARM, '0af053f9', 0x4559, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, '607a', 0x455d, 'ldrb    r0, [r4, #9]', 0, ()),
    (REV_ALL_ARM, 'fff76dfd', 0x455f, 'bl      0x0000403c', 0, ()),
    (REV_ALL_ARM, '0af045f9', 0x4575, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, '79e7', 0x4579, 'b       0x0000446e', 0, ()),
    (REV_ALL_ARM, 'fff7c8fd', 0x44a9, 'bl      0x0000403c', 0, ()),
    (REV_ALL_ARM, '0af09ff9', 0x44c1, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, 'fff7b9fd', 0x44c7, 'bl      0x0000403c', 0, ()),
    (REV_ALL_ARM, '0af091f9', 0x44dd, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, 'cde7', 0x44e1, 'b       0x0000447e', 0, ()),
    (REV_ALL_ARM, '0af054f9', 0x45a1, 'bl      0x0000e84c', 0, ()),
    (REV_ALL_ARM, 'ddf83080', 0x46b5, 'ldr     r8, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '46d0', 0x46bf, 'beq     0x0000474e', 0, ()),
    (REV_ALL_ARM, '0170', 0x46c1, 'strb    r1, [r0]', 0, ()),
    (REV_ALL_ARM, '401a', 0x46c7, 'subs    r0, r0, r1', 0, ()),
    (REV_ALL_ARM, 'c008', 0x46c9, 'lsrs    r0, r0, #3', 0, ()),
    (REV_ALL_ARM, '8101', 0x46cb, 'lsls    r1, r0, #6', 0, ()),
    (REV_ALL_ARM, '3fd0', 0x46d3, 'beq     0x00004754', 0, ()),
    (REV_ALL_ARM, '0af0cabf', 0x475d, 'b       0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0bf00df8', 0x46d7, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'cdf80080', 0x46e1, 'str     r8, [sp]', 0, ()),
    (REV_ALL_ARM, '0af0d7f8', 0x46e7, 'bl      0x0000e898', 0, ()),
    (REV_ALL_ARM, '0af0a9f8', 0x46f7, 'bl      0x0000e84c', 0, ()),
    (REV_ALL_ARM, '0af0f3f8', 0x4707, 'bl      0x0000e8f0', 0, ()),
    (REV_ALL_ARM, '0af0acf8', 0x4717, 'bl      0x0000e872', 0, ()),
    (REV_ALL_ARM, 'cde90378', 0x4727, 'strd    r7, r8, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '0af068f8', 0x472f, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, '0af05df8', 0x4745, 'bl      0x0000e802', 0, ()),
    (REV_ALL_ARM, '0af0b7ff', 0x4783, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '01a8', 0x479d, 'add     r0, sp, #4', 0, ()),
    (REV_ALL_ARM, 'fff7a9fa', 0x479f, 'bl      0x00003cf4', 0, ()),
    (REV_ALL_ARM, 'd907', 0x47a7, 'lsls    r1, r3, #0x1f', 0, ()),
    (REV_ALL_ARM, '14d5', 0x47a9, 'bpl     0x000047d4', 0, ()),
    (REV_ALL_ARM, '5a07', 0x47d9, 'lsls    r2, r3, #0x1d', 0, ()),
    (REV_ALL_ARM, '11d5', 0x47db, 'bpl     0x00004800', 0, ()),
    (REV_ALL_ARM, '9df80510', 0x47b1, 'ldrb    r1, [sp, #5]', 0, ()),
    (REV_ALL_ARM, '0af0a6ff', 0x47bf, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '9df80500', 0x47c5, 'ldrb    r0, [sp, #5]', 0, ()),
    (REV_ALL_ARM, 'fef732fb', 0x47d1, 'bl      0x00002e38', 0, ()),
    (REV_ALL_ARM, '9b07', 0x4805, 'lsls    r3, r3, #0x1e', 0, ()),
    (REV_ALL_ARM, '0ed5', 0x4807, 'bpl     0x00004826', 0, ()),
    (REV_ALL_ARM, '9df83e10', 0x47e1, 'ldrb    r1, [sp, #0x3e]', 0, ()),
    (REV_ALL_ARM, '0af08dff', 0x47f1, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '09f01bfa', 0x47fd, 'bl      0x0000dc36', 0, ()),
    (REV_ALL_ARM, '0af06cff', 0x4819, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0df10600', 0x481f, 'add     r0, sp, #6', 0, ()),
    (REV_ALL_ARM, 'fef7bdfa', 0x4823, 'bl      0x00002da0', 0, ()),
    (REV_ALL_ARM, '28d1', 0x4855, 'bne     0x000048a8', 0, ()),
    (REV_ALL_ARM, '6ff00104', 0x48a9, 'mvn     r4, #1', 0, ()),
    (REV_ALL_ARM, '0cf0fffa', 0x485b, 'bl      0x00010e5c', 0, ()),
    (REV_ALL_ARM, 'a0b9', 0x485f, 'cbnz    r0, 0x0000488a', 0, ()),
    (REV_ALL_ARM, '04eae470', 0x4885, 'and     r0, r4, r4, asr #31', 0, ()),
    (REV_ALL_ARM, '02f05cfc', 0x4895, 'bl      0x00007150', 0, ()),
    (REV_ALL_ARM, '0af033ff', 0x48a5, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0cf011f8', 0x4867, 'bl      0x0001088c', 0, ()),
    (REV_ALL_ARM, '0ada', 0x486d, 'bge     0x00004884', 0, ()),
    (REV_ALL_ARM, '0af045ff', 0x4881, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'adf5197d', 0x48cb, 'sub     sp, sp, #0x264', 0, ()),
    (REV_ALL_ARM, '03f0defc', 0x48d5, 'bl      0x00008294', 0, ()),
    (REV_ALL_ARM, '80b1', 0x48db, 'cbz     r0, 0x000048fe', 0, ()),
    (REV_ALL_ARM, '06f0c5fb', 0x4907, 'bl      0x0000b094', 0, ()),
    (REV_ALL_ARM, '4ff40072', 0x492f, 'mov     r2, #0x200', 0, ()),
    (REV_ALL_ARM, '18a9', 0x4933, 'add     r1, sp, #0x60', 0, ()),
    (REV_ALL_ARM, '0cf0bafe', 0x4937, 'bl      0x000116ae', 0, ()),
    (REV_ALL_ARM, '04f50074', 0x4953, 'add     r4, r4, #0x200', 0, ()),
    (REV_ALL_ARM, 'b4f5202f', 0x4957, 'cmp     r4, #0xa0000', 0, ()),
    (REV_ALL_ARM, '0af00eff', 0x48ef, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0198', 0x490d, 'ldr     r0, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '18aa', 0x4913, 'add     r2, sp, #0x60', 0, ()),
    (REV_ALL_ARM, '0bf0cffe', 0x4915, 'bl      0x000106b6', 0, ()),
    (REV_ALL_ARM, '0cf0e2fe', 0x4961, 'bl      0x00011728', 0, ()),
    (REV_ALL_ARM, '0cf092fe', 0x497d, 'bl      0x000116a4', 0, ()),
    (REV_ALL_ARM, 'b9e7', 0x4981, 'b       0x000048f6', 0, ()),
    (REV_ALL_ARM, '0df5197d', 0x48f9, 'add     sp, sp, #0x264', 0, ()),
    (REV_ALL_ARM, '0af0d2fe', 0x494d, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '7bb1', 0x49a7, 'cbz     r3, 0x000049c8', 0, ()),
    (REV_ALL_ARM, '2a78', 0x49cd, 'ldrb    r2, [r5]', 0, ()),
    (REV_ALL_ARM, '09f0adff', 0x49cf, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '6a78', 0x49d3, 'ldrb    r2, [r5, #1]', 0, ()),
    (REV_ALL_ARM, '09f0a8ff', 0x49d9, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '09f0beff', 0x49ad, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '09f0b9ff', 0x49b7, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '09f0b2bf', 0x49c5, 'b       0x0000e92c', 0, ()),
    (REV_ALL_ARM, '1378', 0x49ef, 'ldrb    r3, [r2]', 0, ()),
    (REV_ALL_ARM, '9370', 0x49f9, 'strb    r3, [r2, #2]', 0, ()),
    (REV_ALL_ARM, 'fff7cfbf', 0x49fb, 'b       0x0000499c', 0, ()),
    (REV_ALL_ARM, '5370', 0x4a17, 'strb    r3, [r2, #1]', 0, ()),
    (REV_ALL_ARM, 'fff7c0bf', 0x4a19, 'b       0x0000499c', 0, ()),
    (REV_ALL_ARM, 'fef7def9', 0x4a2d, 'bl      0x00002dec', 0, ()),
    (REV_ALL_ARM, 'bde80840', 0x4a37, 'pop     {r3, lr}', 0, ()),
    (REV_ALL_ARM, 'fff7afbf', 0x4a3b, 'b       0x0000499c', 0, ()),
    (REV_ALL_ARM, '0af04dfe', 0x4a57, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'fff79abf', 0x4a65, 'b       0x0000499c', 0, ()),
    (REV_ALL_ARM, '8b1e', 0x4a7d, 'subs    r3, r1, #2', 0, ()),
    (REV_ALL_ARM, '5942', 0x4a83, 'rsbs    r1, r3, #0', 0, ()),
    (REV_ALL_ARM, 'fef7caf9', 0x4a8d, 'bl      0x00002e24', 0, ()),
    (REV_ALL_ARM, '7368', 0x4a91, 'ldr     r3, [r6, #4]', 0, ()),
    (REV_ALL_ARM, '40f29a28', 0x4a93, 'movw    r8, #0x29a', 0, ()),
    (REV_ALL_ARM, '8520', 0x4a97, 'movs    r0, #0x85', 0, ()),
    (REV_ALL_ARM, '08fb04f4', 0x4a99, 'mul     r4, r8, r4', 0, ()),
    (REV_ALL_ARM, '5b68', 0x4a9d, 'ldr     r3, [r3, #4]', 0, ()),
    (REV_ALL_ARM, 'b4fbf0f4', 0x4a9f, 'udiv    r4, r4, r0', 0, ()),
    (REV_ALL_ARM, '02aa', 0x4aa3, 'add     r2, sp, #8', 0, ()),
    (REV_ALL_ARM, '48bb', 0x4aab, 'cbnz    r0, 0x00004b00', 0, ()),
    (REV_ALL_ARM, 'dde9025a', 0x4aad, 'ldrd    r5, r10, [sp, #8]', 0, ()),
    (REV_ALL_ARM, 'a5fb08b3', 0x4ab1, 'umull   r11, r3, r5, r8', 0, ()),
    (REV_ALL_ARM, '08fb0a38', 0x4ab5, 'mla     r8, r8, r10, r3', 0, ()),
    (REV_ALL_ARM, '4ff0ff39', 0x4ac1, 'mov     r9, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'fbf74eff', 0x4ac5, 'bl      0x00000964', 0, ()),
    (REV_ALL_ARM, 'd945', 0x4ac9, 'cmp     r9, r11', 0, ()),
    (REV_ALL_ARM, 'dff840b0', 0x4acb, 'ldr     r11, [#0x4b0c]', 0, ()),
    (REV_ALL_ARM, '7beb0803', 0x4ad1, 'sbcs    r3, r11, r8', 0, ()),
    (REV_ALL_ARM, '14d3', 0x4ad5, 'bcc     0x00004b00', 0, ()),
    (REV_ALL_ARM, 'a4fb0585', 0x4ad7, 'umull   r8, r5, r4, r5', 0, ()),
    (REV_ALL_ARM, '04fb0a54', 0x4adb, 'mla     r4, r4, r10, r5', 0, ()),
    (REV_ALL_ARM, 'fbf73dff', 0x4ae7, 'bl      0x00000964', 0, ()),
    (REV_ALL_ARM, 'c145', 0x4aeb, 'cmp     r9, r8', 0, ()),
    (REV_ALL_ARM, '7beb0402', 0x4aed, 'sbcs    r2, r11, r4', 0, ()),
    (REV_ALL_ARM, '05d3', 0x4af3, 'bcc     0x00004b00', 0, ()),
    (REV_ALL_ARM, '7268', 0x4af5, 'ldr     r2, [r6, #4]', 0, ()),
    (REV_ALL_ARM, '1468', 0x4af9, 'ldr     r4, [r2]', 0, ()),
    (REV_ALL_ARM, '019a', 0x4afb, 'ldr     r2, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '07f0d3fd', 0x4b1b, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '2860', 0x4b1f, 'str     r0, [r5]', 0, ()),
    (REV_ALL_ARM, '03f0e0fc', 0x4b21, 'bl      0x000084e4', 0, ()),
    (REV_ALL_ARM, '03f098fc', 0x4b3d, 'bl      0x00008470', 0, ()),
    (REV_ALL_ARM, '0af0eafd', 0x4b37, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '03f04dfc', 0x4b4f, 'bl      0x000083ec', 0, ()),
    (REV_ALL_ARM, '0af0e0fd', 0x4b4b, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'fff786ff', 0x4b69, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, 'fff780ff', 0x4b75, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, '0821', 0x4b7f, 'movs    r1, #8', 0, ()),
    (REV_ALL_ARM, '09f0cafe', 0x4b83, 'bl      0x0000e91a', 0, ()),
    (REV_ALL_ARM, '09f0cefe', 0x4b8d, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '0af0adfd', 0x4b97, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '00f065ff', 0x4b9b, 'bl      0x00005a68', 0, ()),
    (REV_ALL_ARM, '07f090fd', 0x4ba1, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '1060', 0x4ba7, 'str     r0, [r2]', 0, ()),
    (REV_ALL_ARM, '6ad0', 0x4bab, 'beq     0x00004c82', 0, ()),
    (REV_ALL_ARM, '0af0d7fd', 0x4b5d, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0af040fd', 0x4c8b, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '92e7', 0x4c8f, 'b       0x00004bb6', 0, ()),
    (REV_ALL_ARM, '1978', 0x4bb1, 'ldrb    r1, [r3]', 0, ()),
    (REV_ALL_ARM, '09f078f8', 0x4bb3, 'bl      0x0000dca6', 0, ()),
    (REV_ALL_ARM, '07f084fd', 0x4bb9, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '65d0', 0x4bc3, 'beq     0x00004c90', 0, ()),
    (REV_ALL_ARM, '44f00101', 0x4c93, 'orr     r1, r4, #1', 0, ()),
    (REV_ALL_ARM, '0af02dfd', 0x4c97, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '96e7', 0x4c9b, 'b       0x00004bca', 0, ()),
    (REV_ALL_ARM, '09f036f8', 0x4bc7, 'bl      0x0000dc36', 0, ()),
    (REV_ALL_ARM, '44f00304', 0x4bcb, 'orr     r4, r4, #3', 0, ()),
    (REV_ALL_ARM, '0af08dfd', 0x4bd7, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '07f072fd', 0x4bdd, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '07f06efd', 0x4be5, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '09f095fe', 0x4bed, 'bl      0x0000e91a', 0, ()),
    (REV_ALL_ARM, '09f091fe', 0x4bf5, 'bl      0x0000e91a', 0, ()),
    (REV_ALL_ARM, '09f08dfe', 0x4bfd, 'bl      0x0000e91a', 0, ()),
    (REV_ALL_ARM, '09f089fe', 0x4c05, 'bl      0x0000e91a', 0, ()),
    (REV_ALL_ARM, '1146', 0x4c0b, 'mov     r1, r2', 0, ()),
    (REV_ALL_ARM, '09f080fe', 0x4c17, 'bl      0x0000e91a', 0, ()),
    (REV_ALL_ARM, '09f084fe', 0x4c21, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '09f077fe', 0x4c29, 'bl      0x0000e91a', 0, ()),
    (REV_ALL_ARM, '09f07bfe', 0x4c33, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '09f06efe', 0x4c3b, 'bl      0x0000e91a', 0, ()),
    (REV_ALL_ARM, '09f072fe', 0x4c45, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '0af052fd', 0x4c4d, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '00f0acfb', 0x4c51, 'bl      0x000053ac', 0, ()),
    (REV_ALL_ARM, 'cde90133', 0x4c6b, 'strd    r3, r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'fef75bf9', 0x4c7b, 'bl      0x00002f34', 0, ()),
    (REV_ALL_ARM, '08f06bbc', 0x4d2f, 'b       0x0000d608', 0, ()),
    (REV_ALL_ARM, '8eb0', 0x4d3b, 'sub     sp, #0x38', 0, ()),
    (REV_ALL_ARM, 'fef79bf8', 0x4d3f, 'bl      0x00002e78', 0, ()),
    (REV_ALL_ARM, '5b06', 0x4d47, 'lsls    r3, r3, #0x19', 0, ()),
    (REV_ALL_ARM, '09d5', 0x4d49, 'bpl     0x00004d5e', 0, ()),
    (REV_ALL_ARM, '9df90430', 0x4d5f, 'ldrsb   r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '19da', 0x4d65, 'bge     0x00004d9a', 0, ()),
    (REV_ALL_ARM, '4ff47a71', 0x4d4d, 'mov     r1, #0x3e8', 0, ()),
    (REV_ALL_ARM, 'fff7eaff', 0x4d51, 'bl      0x00004d28', 0, ()),
    (REV_ALL_ARM, 'fff71ffe', 0x4d5b, 'bl      0x0000499c', 0, ()),
    (REV_ALL_ARM, 'de07', 0x4d9f, 'lsls    r6, r3, #0x1f', 0, ()),
    (REV_ALL_ARM, '44f00305', 0x4d73, 'orr     r5, r4, #3', 0, ()),
    (REV_ALL_ARM, '0af0bcfc', 0x4d79, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0df11201', 0x4d7d, 'add     r1, sp, #0x12', 0, ()),
    (REV_ALL_ARM, '03f0befa', 0x4d85, 'bl      0x00008304', 0, ()),
    (REV_ALL_ARM, '00f02581', 0x4d8d, 'beq     0x00004fda', 0, ()),
    (REV_ALL_ARM, '5d07', 0x4dc3, 'lsls    r5, r3, #0x1d', 0, ()),
    (REV_ALL_ARM, '0299', 0x4da9, 'ldr     r1, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '0af0abfc', 0x4db5, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '0298', 0x4db9, 'ldr     r0, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '09f0d6fd', 0x4dbb, 'bl      0x0000e96a', 0, ()),
    (REV_ALL_ARM, '0af089fb', 0x4fdf, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'dae6', 0x4fe3, 'b       0x00004d9a', 0, ()),
    (REV_ALL_ARM, '0af0bafc', 0x4d97, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '9c07', 0x4dfd, 'lsls    r4, r3, #0x1e', 0, ()),
    (REV_ALL_ARM, '12d5', 0x4dff, 'bpl     0x00004e26', 0, ()),
    (REV_ALL_ARM, '9df80530', 0x4e27, 'ldrb    r3, [sp, #5]', 0, ()),
    (REV_ALL_ARM, '1807', 0x4e2b, 'lsls    r0, r3, #0x1c', 0, ()),
    (REV_ALL_ARM, '9df83230', 0x4e01, 'ldrb    r3, [sp, #0x32]', 0, ()),
    (REV_ALL_ARM, '7bb9', 0x4e05, 'cbnz    r3, 0x00004e26', 0, ()),
    (REV_ALL_ARM, '73b1', 0x4dd9, 'cbz     r3, 0x00004df8', 0, ()),
    (REV_ALL_ARM, '1907', 0x4e51, 'lsls    r1, r3, #0x1c', 0, ()),
    (REV_ALL_ARM, '57d5', 0x4e53, 'bpl     0x00004f04', 0, ()),
    (REV_ALL_ARM, '9df83400', 0x4e31, 'ldrb    r0, [sp, #0x34]', 0, ()),
    (REV_ALL_ARM, '08d0', 0x4e39, 'beq     0x00004e4c', 0, ()),
    (REV_ALL_ARM, '0af078fc', 0x4e1b, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '9df80c00', 0x4e1f, 'ldrb    r0, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '00f0cbfd', 0x4e23, 'bl      0x000059bc', 0, ()),
    (REV_ALL_ARM, '0af090fc', 0x4deb, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '08f057ff', 0x4df5, 'bl      0x0000dca6', 0, ()),
    (REV_ALL_ARM, '5807', 0x4f09, 'lsls    r0, r3, #0x1d', 0, ()),
    (REV_ALL_ARM, '9df80e50', 0x4e55, 'ldrb    r5, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, '9df80f40', 0x4e59, 'ldrb    r4, [sp, #0xf]', 0, ()),
    (REV_ALL_ARM, 'ea07', 0x4e5d, 'lsls    r2, r5, #0x1f', 0, ()),
    (REV_ALL_ARM, '00f0d180', 0x4e3f, 'beq     0x00004fe4', 0, ()),
    (REV_ALL_ARM, '9907', 0x4f35, 'lsls    r1, r3, #0x1e', 0, ()),
    (REV_ALL_ARM, '73b9', 0x4f11, 'cbnz    r3, 0x00004f30', 0, ()),
    (REV_ALL_ARM, 'ab07', 0x4e87, 'lsls    r3, r5, #0x1e', 0, ()),
    (REV_ALL_ARM, '04f00106', 0x4e6d, 'and     r6, r4, #1', 0, ()),
    (REV_ALL_ARM, '43f00302', 0x4e71, 'orr     r2, r3, #3', 0, ()),
    (REV_ALL_ARM, '0af04afc', 0x4e77, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '09f053fd', 0x4e83, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, 'fdf700ff', 0x4fe9, 'bl      0x00002dec', 0, ()),
    (REV_ALL_ARM, '0df0edfc', 0x4fef, 'bl      0x000129cc', 0, ()),
    (REV_ALL_ARM, 'fff7d3fc', 0x4ff3, 'bl      0x0000499c', 0, ()),
    (REV_ALL_ARM, '29e7', 0x4ff7, 'b       0x00004e4c', 0, ()),
    (REV_ALL_ARM, '42f21071', 0x4e45, 'movw    r1, #0x2710', 0, ()),
    (REV_ALL_ARM, 'fff76eff', 0x4e49, 'bl      0x00004d28', 0, ()),
    (REV_ALL_ARM, '9a06', 0x4f63, 'lsls    r2, r3, #0x1a', 0, ()),
    (REV_ALL_ARM, '19d5', 0x4f65, 'bpl     0x00004f9a', 0, ()),
    (REV_ALL_ARM, '00f09580', 0x4f43, 'beq     0x00005070', 0, ()),
    (REV_ALL_ARM, '9df83330', 0x4f15, 'ldrb    r3, [sp, #0x33]', 0, ()),
    (REV_ALL_ARM, '6cd0', 0x4f1d, 'beq     0x00004ff8', 0, ()),
    (REV_ALL_ARM, '6e07', 0x4eb1, 'lsls    r6, r5, #0x1d', 0, ()),
    (REV_ALL_ARM, 'c4f34006', 0x4e97, 'ubfx    r6, r4, #1, #1', 0, ()),
    (REV_ALL_ARM, '0af035fc', 0x4ea1, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '09f03efd', 0x4ead, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, 'db06', 0x4f9f, 'lsls    r3, r3, #0x1b', 0, ()),
    (REV_ALL_ARM, '9df81110', 0x4f69, 'ldrb    r1, [sp, #0x11]', 0, ()),
    (REV_ALL_ARM, 'fff795fd', 0x4f4b, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, 'fff790fd', 0x4f55, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, 'fff73bfd', 0x4fff, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, '8fe7', 0x5007, 'b       0x00004f28', 0, ()),
    (REV_ALL_ARM, 'fff7a9fd', 0x4f23, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, '2d07', 0x4edb, 'lsls    r5, r5, #0x1c', 0, ()),
    (REV_ALL_ARM, 'c4f38006', 0x4ec1, 'ubfx    r6, r4, #2, #1', 0, ()),
    (REV_ALL_ARM, '0af020fc', 0x4ecb, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '09f029fd', 0x4ed7, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '0eb0', 0x4fd7, 'add     sp, #0x38', 0, ()),
    (REV_ALL_ARM, '9df81010', 0x4fa5, 'ldrb    r1, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'fff7f0fc', 0x5095, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, 'fff7fdfc', 0x507b, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, 'c4f3c004', 0x4ee9, 'ubfx    r4, r4, #3, #1', 0, ()),
    (REV_ALL_ARM, '0af00bfc', 0x4ef5, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '09f014fd', 0x4f01, 'bl      0x0000e92c', 0, ()),
    (REV_ALL_ARM, '0af0c0fb', 0x4f8b, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'fff76ffd', 0x4f97, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, 'fff7f8fc', 0x5085, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, '65e7', 0x508d, 'b       0x00004f5a', 0, ()),
    (REV_ALL_ARM, '00f02ffd', 0x4f5b, 'bl      0x000059bc', 0, ()),
    (REV_ALL_ARM, '0af0a2fb', 0x4fc7, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, 'fff751fd', 0x4fd3, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, 'fff774fc', 0x50b1, 'bl      0x0000499c', 0, ()),
    (REV_ALL_ARM, 'fff771fc', 0x50b7, 'bl      0x0000499c', 0, ()),
    (REV_ALL_ARM, 'fff731be', 0x50c3, 'b       0x00004d28', 0, ()),
    (REV_ALL_ARM, '1178', 0x50dd, 'ldrb    r1, [r2]', 0, ()),
    (REV_ALL_ARM, '43b9', 0x50e1, 'cbnz    r3, 0x000050f4', 0, ()),
    (REV_ALL_ARM, 'ff29', 0x50f7, 'cmp     r1, #0xff', 0, ()),
    (REV_ALL_ARM, '0cbf', 0x50fb, 'ite     eq', 0, ()),
    (REV_ALL_ARM, '5354', 0x5105, 'strb    r3, [r2, r1]', 0, ()),
    (REV_ALL_ARM, 'fff748fc', 0x5109, 'bl      0x0000499c', 0, ()),
    (REV_ALL_ARM, 'fff708be', 0x5115, 'b       0x00004d28', 0, ()),
    (REV_ALL_ARM, 'fff754bc', 0x50f1, 'b       0x0000499c', 0, ()),
    (REV_ALL_ARM, '00f094fc', 0x5131, 'bl      0x00005a5c', 0, ()),
    (REV_ALL_ARM, '40f25133', 0x5135, 'movw    r3, #0x351', 0, ()),
    (REV_ALL_ARM, '4ff00a06', 0x513b, 'mov     r6, #0xa', 0, ()),
    (REV_ALL_ARM, 'b0fbf6f6', 0x5141, 'udiv    r6, r0, r6', 0, ()),
    (REV_ALL_ARM, 'b0f5487f', 0x51a1, 'cmp     r0, #0x320', 0, ()),
    (REV_ALL_ARM, '00f05afc', 0x5149, 'bl      0x00005a00', 0, ()),
    (REV_ALL_ARM, '0320', 0x51a7, 'movs    r0, #3', 0, ()),
    (REV_ALL_ARM, '00f02afc', 0x51a9, 'bl      0x00005a00', 0, ()),
    (REV_ALL_ARM, 'b5f5347f', 0x51b1, 'cmp     r5, #0x2d0', 0, ()),
    (REV_ALL_ARM, 'dbd2', 0x51b5, 'bcs     0x0000516e', 0, ()),
    (REV_ALL_ARM, '1878', 0x5151, 'ldrb    r0, [r3]', 0, ()),
    (REV_ALL_ARM, '40f2ed23', 0x5153, 'movw    r3, #0x2ed', 0, ()),
    (REV_ALL_ARM, '2ad9', 0x5159, 'bls     0x000051b0', 0, ()),
    (REV_ALL_ARM, 'fdf79efe', 0x5171, 'bl      0x00002eb0', 0, ()),
    (REV_ALL_ARM, '8df80030', 0x5177, 'strb    r3, [sp]', 0, ()),
    (REV_ALL_ARM, '0df080fc', 0x517b, 'bl      0x00012a7e', 0, ()),
    (REV_ALL_ARM, '05f0d8f9', 0x5189, 'bl      0x0000a53c', 0, ()),
    (REV_ALL_ARM, 'fdf795fe', 0x518f, 'bl      0x00002ebc', 0, ()),
    (REV_ALL_ARM, 'fff7c6fd', 0x5199, 'bl      0x00004d28', 0, ()),
    (REV_ALL_ARM, '2c78', 0x5161, 'ldrb    r4, [r5]', 0, ()),
    (REV_ALL_ARM, '24b9', 0x5163, 'cbnz    r4, 0x0000516e', 0, ()),
    (REV_ALL_ARM, 'fef7f4fe', 0x51c1, 'bl      0x00003fac', 0, ()),
    (REV_ALL_ARM, 'fef720ff', 0x5169, 'bl      0x00003fac', 0, ()),
    (REV_ALL_ARM, '94b0', 0x51e1, 'sub     sp, #0x50', 0, ()),
    (REV_ALL_ARM, '07f06ffa', 0x51e3, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'fff744fc', 0x51ed, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, 'fff73ffc', 0x51f7, 'bl      0x00004a78', 0, ()),
    (REV_ALL_ARM, '10a8', 0x51fb, 'add     r0, sp, #0x40', 0, ()),
    (REV_ALL_ARM, 'fff764fb', 0x51fd, 'bl      0x000048c8', 0, ()),
    (REV_ALL_ARM, '9df84f30', 0x521f, 'ldrb    r3, [sp, #0x4f]', 0, ()),
    (REV_ALL_ARM, '9df84e30', 0x5225, 'ldrb    r3, [sp, #0x4e]', 0, ()),
    (REV_ALL_ARM, '9df84d30', 0x522b, 'ldrb    r3, [sp, #0x4d]', 0, ()),
    (REV_ALL_ARM, '9df84c30', 0x5231, 'ldrb    r3, [sp, #0x4c]', 0, ()),
    (REV_ALL_ARM, '9df84b30', 0x5237, 'ldrb    r3, [sp, #0x4b]', 0, ()),
    (REV_ALL_ARM, '9df84a30', 0x523d, 'ldrb    r3, [sp, #0x4a]', 0, ()),
    (REV_ALL_ARM, '9df84930', 0x5243, 'ldrb    r3, [sp, #0x49]', 0, ()),
    (REV_ALL_ARM, '9df84830', 0x5249, 'ldrb    r3, [sp, #0x48]', 0, ()),
    (REV_ALL_ARM, '9df84730', 0x524f, 'ldrb    r3, [sp, #0x47]', 0, ()),
    (REV_ALL_ARM, '9df84630', 0x5255, 'ldrb    r3, [sp, #0x46]', 0, ()),
    (REV_ALL_ARM, '9df84530', 0x525b, 'ldrb    r3, [sp, #0x45]', 0, ()),
    (REV_ALL_ARM, '9df84430', 0x5261, 'ldrb    r3, [sp, #0x44]', 0, ()),
    (REV_ALL_ARM, '9df84330', 0x5267, 'ldrb    r3, [sp, #0x43]', 0, ()),
    (REV_ALL_ARM, '9df84230', 0x526d, 'ldrb    r3, [sp, #0x42]', 0, ()),
    (REV_ALL_ARM, '9df84130', 0x5275, 'ldrb    r3, [sp, #0x41]', 0, ()),
    (REV_ALL_ARM, '2121', 0x527d, 'movs    r1, #0x21', 0, ()),
    (REV_ALL_ARM, '9df84030', 0x527f, 'ldrb    r3, [sp, #0x40]', 0, ()),
    (REV_ALL_ARM, '05f05af9', 0x5285, 'bl      0x0000a53c', 0, ()),
    (REV_ALL_ARM, '44f00302', 0x5289, 'orr     r2, r4, #3', 0, ()),
    (REV_ALL_ARM, '3446', 0x528d, 'mov     r4, r6', 0, ()),
    (REV_ALL_ARM, '0af03cfa', 0x5293, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '44f8085f', 0x529d, 'str     r5, [r4, #8]!', 0, ()),
    (REV_ALL_ARM, '7360', 0x52a1, 'str     r3, [r6, #4]', 0, ()),
    (REV_ALL_ARM, '3560', 0x52a3, 'str     r5, [r6]', 0, ()),
    (REV_ALL_ARM, '0df08afb', 0x52a5, 'bl      0x000129bc', 0, ()),
    (REV_ALL_ARM, '0df086fb', 0x52ad, 'bl      0x000129bc', 0, ()),
    (REV_ALL_ARM, '0df082fb', 0x52b5, 'bl      0x000129bc', 0, ()),
    (REV_ALL_ARM, '0df07efb', 0x52bd, 'bl      0x000129bc', 0, ()),
    (REV_ALL_ARM, '0df07afb', 0x52c5, 'bl      0x000129bc', 0, ()),
    (REV_ALL_ARM, '0af07afa', 0x5217, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '54e8003f', 0x52cd, 'ldrex   r3, [r4]', 0, ()),
    (REV_ALL_ARM, '43f00102', 0x52d1, 'orr     r2, r3, #1', 0, ()),
    (REV_ALL_ARM, '44e80021', 0x52d5, 'strex   r1, r2, [r4]', 0, ()),
    (REV_ALL_ARM, '03d4', 0x52e3, 'bmi     0x000052ec', 0, ()),
    (REV_ALL_ARM, '40f6b831', 0x52ef, 'movw    r1, #0xbb8', 0, ()),
    (REV_ALL_ARM, 'fff719fd', 0x52f3, 'bl      0x00004d28', 0, ()),
    (REV_ALL_ARM, 'fff715fd', 0x52fb, 'bl      0x00004d28', 0, ()),
    (REV_ALL_ARM, 'fff710fd', 0x5305, 'bl      0x00004d28', 0, ()),
    (REV_ALL_ARM, '87e7', 0x5309, 'b       0x0000521a', 0, ()),
    (REV_ALL_ARM, '0df074f9', 0x52e9, 'bl      0x000125d4', 0, ()),
    (REV_ALL_ARM, '14b0', 0x521b, 'add     sp, #0x50', 0, ()),
    (REV_ALL_ARM, '1180', 0x5365, 'strh    r1, [r2]', 0, ()),
    (REV_ALL_ARM, '5a88', 0x5367, 'ldrh    r2, [r3, #2]', 0, ()),
    (REV_ALL_ARM, '1a80', 0x536d, 'strh    r2, [r3]', 0, ()),
    (REV_ALL_ARM, '51e8003f', 0x5373, 'ldrex   r3, [r1]', 0, ()),
    (REV_ALL_ARM, '41e80020', 0x537b, 'strex   r0, r2, [r1]', 0, ()),
    (REV_ALL_ARM, '0839', 0x538d, 'subs    r1, #8', 0, ()),
    (REV_ALL_ARM, '0df021f9', 0x538f, 'bl      0x000125d4', 0, ()),
    (REV_ALL_ARM, 'c3e90125', 0x53b9, 'strd    r2, r5, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '1d60', 0x53bd, 'str     r5, [r3]', 0, ()),
    (REV_ALL_ARM, '07f081f9', 0x53bf, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '42f6e063', 0x53c3, 'movw    r3, #0x2ee0', 0, ()),
    (REV_ALL_ARM, '4ff44043', 0x53d1, 'mov     r3, #0xc000', 0, ()),
    (REV_ALL_ARM, 'cde90823', 0x53df, 'strd    r2, r3, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '40f20643', 0x53e3, 'movw    r3, #0x406', 0, ()),
    (REV_ALL_ARM, '0e23', 0x53eb, 'movs    r3, #0xe', 0, ()),
    (REV_ALL_ARM, 'adf80430', 0x53ed, 'strh    r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'adf81050', 0x53f3, 'strh    r5, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'adf80250', 0x53fb, 'strh    r5, [sp, #2]', 0, ()),
    (REV_ALL_ARM, '0f22', 0x5407, 'movs    r2, #0xf', 0, ()),
    #(REV_ALL_ARM, '62f30403', 0x5409, 'bfi     r3, r2, #0, 5', 0, ()),
    (REV_ALL_ARM, '8df80430', 0x540d, 'strb    r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '6368', 0x5411, 'ldr     r3, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '9b68', 0x541f, 'ldr     r3, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '8c42', 0x5463, 'cmp     r4, r1', 0, ()),
    (REV_ALL_ARM, '0af058f9', 0x545b, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '1830', 0x546d, 'adds    r0, #0x18', 0, ()),
    (REV_ALL_ARM, 'f9d8', 0x546b, 'bhi     0x00005460', 0, ()),
    (REV_ALL_ARM, '0468', 0x5447, 'ldr     r4, [r0]', 0, ()),
    (REV_ALL_ARM, '5cb9', 0x5449, 'cbnz    r4, 0x00005462', 0, ()),
    (REV_ALL_ARM, '0d0d', 0x5483, 'lsrs    r5, r1, #0x14', 0, ()),
    (REV_ALL_ARM, '2d05', 0x5485, 'lsls    r5, r5, #0x14', 0, ()),
    (REV_ALL_ARM, '65b1', 0x548b, 'cbz     r5, 0x000054a6', 0, ()),
    (REV_ALL_ARM, '07f095ff', 0x54ab, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '0c21', 0x54b3, 'movs    r1, #0xc', 0, ()),
    (REV_ALL_ARM, '09f043fa', 0x54b5, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '07f08dff', 0x54bb, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '0af02af9', 0x549d, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '47fa05f2', 0x54bf, 'asr     r2, r7, r5', 0, ()),
    (REV_ALL_ARM, '02f00102', 0x54c3, 'and     r2, r2, #1', 0, ()),
    (REV_ALL_ARM, '0f21', 0x54c7, 'movs    r1, #0xf', 0, ()),
    (REV_ALL_ARM, '09f038fa', 0x54cb, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '07f082ff', 0x54d1, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '0d21', 0x54d7, 'movs    r1, #0xd', 0, ()),
    (REV_ALL_ARM, '09f030fa', 0x54db, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '07f07aff', 0x54e1, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '0135', 0x54e5, 'adds    r5, #1', 0, ()),
    (REV_ALL_ARM, '09f027fa', 0x54ed, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '042d', 0x54f1, 'cmp     r5, #4', 0, ()),
    (REV_ALL_ARM, 'e4d1', 0x54f3, 'bne     0x000054be', 0, ()),
    (REV_ALL_ARM, '09f020fa', 0x54fb, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '07f06aff', 0x5501, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '09f018fa', 0x550b, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '07f062ff', 0x5511, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '09f010fa', 0x551b, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '26fa05f2', 0x5521, 'lsr     r2, r6, r5', 0, ()),
    (REV_ALL_ARM, '09f007fa', 0x552d, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '07f051ff', 0x5533, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '09f0fff9', 0x553d, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '07f049ff', 0x5543, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '09f0f6f9', 0x554f, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '142d', 0x5553, 'cmp     r5, #0x14', 0, ()),
    (REV_ALL_ARM, '07f03eff', 0x5559, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '09f0ecf9', 0x5563, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '07f036ff', 0x5569, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '99e7', 0x556f, 'b       0x000054a4', 0, ()),
    (REV_ALL_ARM, 'fad0', 0x5593, 'beq     0x0000558a', 0, ()),
    (REV_ALL_ARM, 'fff754ff', 0x5595, 'bl      0x00005440', 0, ()),
    (REV_ALL_ARM, 'f6d0', 0x559b, 'beq     0x0000558a', 0, ()),
    (REV_ALL_ARM, '022c', 0x559d, 'cmp     r4, #2', 0, ()),
    (REV_ALL_ARM, '0169', 0x55c7, 'ldr     r1, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '13d9', 0x55a1, 'bls     0x000055ca', 0, ()),
    (REV_ALL_ARM, '0720', 0x55a9, 'movs    r0, #7', 0, ()),
    (REV_ALL_ARM, 'fff769ff', 0x55ab, 'bl      0x00005480', 0, ()),
    (REV_ALL_ARM, 'edd1', 0x55b1, 'bne     0x0000558e', 0, ()),
    (REV_ALL_ARM, '4169', 0x55cb, 'ldr     r1, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, '032c', 0x55a3, 'cmp     r4, #3', 0, ()),
    (REV_ALL_ARM, '221e', 0x55b5, 'subs    r2, r4, #0', 0, ()),
    (REV_ALL_ARM, '09f0bcb9', 0x55c3, 'b       0x0000e93e', 0, ()),
    (REV_ALL_ARM, '0af089f8', 0x55df, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'c168', 0x55a7, 'ldr     r1, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '19b9', 0x5601, 'cbnz    r1, 0x0000560a', 0, ()),
    (REV_ALL_ARM, '3b68', 0x5617, 'ldr     r3, [r7]', 0, ()),
    (REV_ALL_ARM, '34b1', 0x5613, 'cbz     r4, 0x00005622', 0, ()),
    (REV_ALL_ARM, '40f00b81', 0x561f, 'bne     0x00005838', 0, ()),
    (REV_ALL_ARM, '00f0ba80', 0x56b5, 'beq     0x0000582c', 0, ()),
    (REV_ALL_ARM, 'fff708ff', 0x562d, 'bl      0x00005440', 0, ()),
    (REV_ALL_ARM, 'e5d0', 0x5635, 'beq     0x00005602', 0, ()),
    (REV_ALL_ARM, '3ff43daf', 0x583b, 'beq     0x000056b8', 0, ()),
    (REV_ALL_ARM, '3968', 0x582d, 'ldr     r1, [r7]', 0, ()),
    (REV_ALL_ARM, '3078', 0x582f, 'ldrb    r0, [r6]', 0, ()),
    (REV_ALL_ARM, 'fff7a4be', 0x5835, 'b       0x00005580', 0, ()),
    (REV_ALL_ARM, 'fff760ff', 0x56bd, 'bl      0x00005580', 0, ()),
    (REV_ALL_ARM, '09f07ef9', 0x563f, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, 'dfd1', 0x5645, 'bne     0x00005606', 0, ()),
    (REV_ALL_ARM, 'f4e6', 0x583f, 'b       0x0000562a', 0, ()),
    (REV_ALL_ARM, '00f0c180', 0x564b, 'beq     0x000057d0', 0, ()),
    (REV_ALL_ARM, '5ee7', 0x57d3, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '71d8', 0x564f, 'bhi     0x00005734', 0, ()),
    (REV_ALL_ARM, 'fff7f4fe', 0x5695, 'bl      0x00005480', 0, ()),
    (REV_ALL_ARM, 'b4d1', 0x569b, 'bne     0x00005606', 0, ()),
    (REV_ALL_ARM, '62d0', 0x5739, 'beq     0x00005800', 0, ()),
    (REV_ALL_ARM, '00f0be80', 0x5655, 'beq     0x000057d4', 0, ()),
    (REV_ALL_ARM, '3220', 0x569d, 'movs    r0, #0x32', 0, ()),
    (REV_ALL_ARM, '07f09bfd', 0x569f, 'bl      0x0000d1d8', 0, ()),
    (REV_ALL_ARM, 'd8f80810', 0x56a3, 'ldr     r1, [r8, #8]', 0, ()),
    (REV_ALL_ARM, 'fff7eafe', 0x56a9, 'bl      0x00005480', 0, ()),
    (REV_ALL_ARM, 'aad1', 0x56af, 'bne     0x00005606', 0, ()),
    (REV_ALL_ARM, '46e7', 0x5803, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '27d8', 0x573b, 'bhi     0x0000578c', 0, ()),
    (REV_ALL_ARM, '5ce7', 0x57d7, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '48d8', 0x5659, 'bhi     0x000056ec', 0, ()),
    (REV_ALL_ARM, '3c60', 0x56b1, 'str     r4, [r7]', 0, ()),
    (REV_ALL_ARM, '42d0', 0x5791, 'beq     0x00005818', 0, ()),
    (REV_ALL_ARM, 'a3f56a43', 0x573d, 'sub     r3, r3, #0xea00', 0, ()),
    (REV_ALL_ARM, '603b', 0x5741, 'subs    r3, #0x60', 0, ()),
    (REV_ALL_ARM, '5ed0', 0x5745, 'beq     0x00005804', 0, ()),
    (REV_ALL_ARM, '7cd0', 0x56f1, 'beq     0x000057ec', 0, ()),
    (REV_ALL_ARM, 'a3f53433', 0x565b, 'sub     r3, r3, #0x2d000', 0, ()),
    (REV_ALL_ARM, 'a3f52a73', 0x565f, 'sub     r3, r3, #0x2a8', 0, ()),
    (REV_ALL_ARM, '00f0b880', 0x5665, 'beq     0x000057d8', 0, ()),
    (REV_ALL_ARM, '3ae7', 0x581b, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '44e7', 0x5807, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '12d8', 0x56f3, 'bhi     0x0000571a', 0, ()),
    (REV_ALL_ARM, '5ae7', 0x57db, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '31d8', 0x5669, 'bhi     0x000056ce', 0, ()),
    (REV_ALL_ARM, 'a3f59c43', 0x5795, 'sub     r3, r3, #0x4e00', 0, ()),
    (REV_ALL_ARM, '203b', 0x5799, 'subs    r3, #0x20', 0, ()),
    (REV_ALL_ARM, '3ed0', 0x579d, 'beq     0x0000581c', 0, ()),
    (REV_ALL_ARM, '4fd0', 0x576f, 'beq     0x00005810', 0, ()),
    (REV_ALL_ARM, '5cd0', 0x574d, 'beq     0x00005808', 0, ()),
    (REV_ALL_ARM, '6bd0', 0x571f, 'beq     0x000057f8', 0, ()),
    (REV_ALL_ARM, 'a3f5d243', 0x56f5, 'sub     r3, r3, #0x6900', 0, ()),
    (REV_ALL_ARM, '783b', 0x56f9, 'subs    r3, #0x78', 0, ()),
    (REV_ALL_ARM, '78d0', 0x56fd, 'beq     0x000057f0', 0, ()),
    (REV_ALL_ARM, '00f08780', 0x56d3, 'beq     0x000057e4', 0, ()),
    (REV_ALL_ARM, 'a3f59033', 0x566b, 'sub     r3, r3, #0x12000', 0, ()),
    (REV_ALL_ARM, 'a3f58873', 0x566f, 'sub     r3, r3, #0x110', 0, ()),
    (REV_ALL_ARM, '00f0b280', 0x5675, 'beq     0x000057dc', 0, ()),
    (REV_ALL_ARM, '34e7', 0x5827, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '03f51043', 0x57bd, 'add     r3, r3, #0x9000', 0, ()),
    (REV_ALL_ARM, '8833', 0x57c1, 'adds    r3, #0x88', 0, ()),
    (REV_ALL_ARM, '30d0', 0x57c5, 'beq     0x00005828', 0, ()),
    (REV_ALL_ARM, '07d8', 0x579f, 'bhi     0x000057b0', 0, ()),
    (REV_ALL_ARM, '09d8', 0x5771, 'bhi     0x00005786', 0, ()),
    (REV_ALL_ARM, '4ae7', 0x57fb, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '03f59c43', 0x5721, 'add     r3, r3, #0x4e00', 0, ()),
    (REV_ALL_ARM, '68d0', 0x5729, 'beq     0x000057fc', 0, ()),
    (REV_ALL_ARM, '54e7', 0x57e7, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '06d8', 0x56d7, 'bhi     0x000056e6', 0, ()),
    (REV_ALL_ARM, '58e7', 0x57df, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '26d8', 0x5679, 'bhi     0x000056c8', 0, ()),
    (REV_ALL_ARM, 'a3f53343', 0x57c7, 'sub     r3, r3, #0xb300', 0, ()),
    (REV_ALL_ARM, 'b03b', 0x57cd, 'subs    r3, #0xb0', 0, ()),
    (REV_ALL_ARM, '5de7', 0x57cf, 'b       0x0000568c', 0, ()),
    (REV_ALL_ARM, '6ae7', 0x57b5, 'b       0x0000568c', 0, ()),
    (REV_ALL_ARM, '7fe7', 0x578b, 'b       0x0000568c', 0, ()),
    (REV_ALL_ARM, 'a3f51043', 0x5773, 'sub     r3, r3, #0x9000', 0, ()),
    (REV_ALL_ARM, '883b', 0x5777, 'subs    r3, #0x88', 0, ()),
    (REV_ALL_ARM, '4bd0', 0x577b, 'beq     0x00005814', 0, ()),
    (REV_ALL_ARM, '90e7', 0x5769, 'b       0x0000568c', 0, ()),
    (REV_ALL_ARM, 'a3f5bb43', 0x5751, 'sub     r3, r3, #0x5d80', 0, ()),
    (REV_ALL_ARM, '403b', 0x5755, 'subs    r3, #0x40', 0, ()),
    (REV_ALL_ARM, '48e7', 0x57ff, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, 'a3f5ea43', 0x572b, 'sub     r3, r3, #0x7500', 0, ()),
    (REV_ALL_ARM, '303b', 0x5731, 'subs    r3, #0x30', 0, ()),
    (REV_ALL_ARM, 'abe7', 0x5733, 'b       0x0000568c', 0, ()),
    (REV_ALL_ARM, '74d0', 0x5709, 'beq     0x000057f4', 0, ()),
    (REV_ALL_ARM, '00f08480', 0x56dd, 'beq     0x000057e8', 0, ()),
    (REV_ALL_ARM, 'dee7', 0x56cd, 'b       0x0000568c', 0, ()),
    (REV_ALL_ARM, '00f0ac80', 0x5685, 'beq     0x000057e0', 0, ()),
    (REV_ALL_ARM, '36e7', 0x5823, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '03f59c53', 0x57a7, 'add     r3, r3, #0x1380', 0, ()),
    (REV_ALL_ARM, '0833', 0x57ad, 'adds    r3, #8', 0, ()),
    (REV_ALL_ARM, '6de7', 0x57af, 'b       0x0000568c', 0, ()),
    (REV_ALL_ARM, '3ce7', 0x5817, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '03f59443', 0x577d, 'add     r3, r3, #0x4a00', 0, ()),
    (REV_ALL_ARM, '3833', 0x5783, 'adds    r3, #0x38', 0, ()),
    (REV_ALL_ARM, '82e7', 0x5785, 'b       0x0000568c', 0, ()),
    (REV_ALL_ARM, '40e7', 0x580f, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '4ce7', 0x57f7, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '03f5bb43', 0x570b, 'add     r3, r3, #0x5d80', 0, ()),
    (REV_ALL_ARM, '4033', 0x5711, 'adds    r3, #0x40', 0, ()),
    (REV_ALL_ARM, 'bbe7', 0x5713, 'b       0x0000568c', 0, ()),
    (REV_ALL_ARM, '52e7', 0x57eb, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, '56e7', 0x57e3, 'b       0x00005692', 0, ()),
    (REV_ALL_ARM, 'db68', 0x5947, 'ldr     r3, [r3, #0xc]', 0, ()),
    (REV_ALL_ARM, '8cb1', 0x594f, 'cbz     r4, 0x00005974', 0, ()),
    (REV_ALL_ARM, '1470', 0x5975, 'strb    r4, [r2]', 0, ()),
    (REV_ALL_ARM, '019b', 0x5977, 'ldr     r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '93fbf2f3', 0x597b, 'sdiv    r3, r3, r2', 0, ()),
    (REV_ALL_ARM, '009a', 0x597f, 'ldr     r2, [sp]', 0, ()),
    (REV_ALL_ARM, '01fb0233', 0x5985, 'mla     r3, r1, r2, r3', 0, ()),
    (REV_ALL_ARM, '4ff47a72', 0x598f, 'mov     r2, #0x3e8', 0, ()),
    (REV_ALL_ARM, '07f039fe', 0x5993, 'bl      0x0000d608', 0, ()),
    (REV_ALL_ARM, '09f0c2fe', 0x596d, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0bd2', 0x59c9, 'bcs     0x000059e2', 0, ()),
    (REV_ALL_ARM, 'fff704be', 0x59e9, 'b       0x000055f4', 0, ()),
    (REV_ALL_ARM, '09f0abfe', 0x59dd, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '2870', 0x5a11, 'strb    r0, [r5]', 0, ()),
    (REV_ALL_ARM, '09f075fe', 0x5a21, 'bl      0x000f70e', 0, ()),
    (REV_ALL_ARM, '8842', 0x5a2b, 'cmp     r0, r1', 0, ()),
    (REV_ALL_ARM, '04d9', 0x5a2d, 'bls     0x00005a38', 0, ()),
    (REV_ALL_ARM, 'fff7d9bd', 0x5a3f, 'b       0x000055f4', 0, ()),
    (REV_ALL_ARM, '09f06cfe', 0x5a33, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '2878', 0x5a37, 'ldrb    r0, [r5]', 0, ()),
    (REV_ALL_ARM, '06f029fe', 0x5a6f, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '5fd0', 0x5a77, 'beq     0x00005b38', 0, ()),
    (REV_ALL_ARM, '08f069ff', 0x5a7b, 'bl      0x0000e950', 0, ()),
    (REV_ALL_ARM, '08f065ff', 0x5a83, 'bl      0x0000e950', 0, ()),
    (REV_ALL_ARM, '08f061ff', 0x5a8b, 'bl      0x0000e950', 0, ()),
    (REV_ALL_ARM, '08f05dff', 0x5a93, 'bl      0x0000e950', 0, ()),
    (REV_ALL_ARM, '08f04fff', 0x5a9d, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '08f04aff', 0x5aa7, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '08f045ff', 0x5ab1, 'bl      0x0000e93e', 0, ()),
    (REV_ALL_ARM, '08f055ff', 0x5ab5, 'bl      0x0000e962', 0, ()),
    (REV_ALL_ARM, '48b1', 0x5ab9, 'cbz     r0, 0x00005ace', 0, ()),
    (REV_ALL_ARM, '07f081fb', 0x5ad3, 'bl      0x0000d1d8', 0, ()),
    (REV_ALL_ARM, 'fff786fd', 0x5ae5, 'bl      0x000055f4', 0, ()),
    (REV_ALL_ARM, '09f013fe', 0x5acb, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '06f0e0fd', 0x5b01, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '09f0fbfd', 0x5afb, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0cf049ff', 0x5b27, 'bl      0x000129bc', 0, ()),
    (REV_ALL_ARM, '0a22', 0x5b33, 'movs    r2, #0xa', 0, ()),
    (REV_ALL_ARM, '07f068bd', 0x5b35, 'b       0x0000d608', 0, ()),
    (REV_ALL_ARM, '09f0e9bd', 0x5b1f, 'b       0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0a44', 0x5b7d, 'add     r2, r1', 0, ()),
    (REV_ALL_ARM, '11f8013b', 0x5b85, 'ldrb    r3, [r1], #1', 0, ()),
    (REV_ALL_ARM, '5840', 0x5b89, 'eors    r0, r3', 0, ()),
    (REV_ALL_ARM, '0309', 0x5b8b, 'lsrs    r3, r0, #4', 0, ()),
    (REV_ALL_ARM, 'e35c', 0x5b8d, 'ldrb    r3, [r4, r3]', 0, ()),
    (REV_ALL_ARM, '83ea0013', 0x5b8f, 'eor     r3, r3, r0, lsl #4', 0, ()),
    (REV_ALL_ARM, 'ddb2', 0x5b93, 'uxtb    r5, r3', 0, ()),
    (REV_ALL_ARM, 'c3f30313', 0x5b95, 'ubfx    r3, r3, #4, #4', 0, ()),
    (REV_ALL_ARM, 'e05c', 0x5b99, 'ldrb    r0, [r4, r3]', 0, ()),
    (REV_ALL_ARM, '80ea0510', 0x5b9b, 'eor     r0, r0, r5, lsl #4', 0, ()),
    (REV_ALL_ARM, '0e9c', 0x5bc1, 'ldr     r4, [sp, #0x38]', 0, ()),
    (REV_ALL_ARM, '012c', 0x5bc7, 'cmp     r4, #1', 0, ()),
    (REV_ALL_ARM, '3023', 0x5bd1, 'movs    r3, #0x30', 0, ()),
    (REV_ALL_ARM, '2023', 0x5bd3, 'movs    r3, #0x20', 0, ()),
    (REV_ALL_ARM, '0127', 0x5bdf, 'movs    r7, #1', 0, ()),
    (REV_ALL_ARM, '4ff00a09', 0x5be1, 'mov     r9, #0xa', 0, ()),
    (REV_ALL_ARM, 'b5fbf4f0', 0x5bf1, 'udiv    r0, r5, r4', 0, ()),
    (REV_ALL_ARM, '3030', 0x5bf7, 'adds    r0, #0x30', 0, ()),
    (REV_ALL_ARM, 'aa45', 0x5bed, 'cmp     r10, r5', 0, ()),
    (REV_ALL_ARM, '21d2', 0x5bef, 'bcs     0x00005c34', 0, ()),
    (REV_ALL_ARM, '0af10104', 0x5be7, 'add     r4, r10, #1', 0, ()),
    (REV_ALL_ARM, '0ab9', 0x5beb, 'cbnz    r2, 0x00005bf0', 0, ()),
    (REV_ALL_ARM, '05f13000', 0x5c1b, 'add     r0, r5, #0x30', 0, ()),
    (REV_ALL_ARM, 'b8f1030f', 0x5c21, 'cmp     r8, #3', 0, ()),
    (REV_ALL_ARM, 'e1db', 0x5c39, 'blt     0x00005bfe', 0, ()),
    (REV_ALL_ARM, 'dc1b', 0x5c29, 'subs    r4, r3, r7', 0, ()),
    (REV_ALL_ARM, '09f1ff39', 0x5bff, 'add     r9, r9, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'b9f1010f', 0x5c03, 'cmp     r9, #1', 0, ()),
    (REV_ALL_ARM, '4ff00a03', 0x5c07, 'mov     r3, #0xa', 0, ()),
    (REV_ALL_ARM, 'bafbf3fa', 0x5c0f, 'udiv    r10, r10, r3', 0, ()),
    (REV_ALL_ARM, '04fb1055', 0x5c13, 'mls     r5, r4, r0, r5', 0, ()),
    (REV_ALL_ARM, 'b8f1020f', 0x5c3b, 'cmp     r8, #2', 0, ()),
    (REV_ALL_ARM, '2020', 0x5c51, 'movs    r0, #0x20', 0, ()),
    (REV_ALL_ARM, '0392', 0x5c43, 'str     r2, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '039a', 0x5c4b, 'ldr     r2, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '0fdc', 0x5c2d, 'bgt     0x00005c4e', 0, ()),
    (REV_ALL_ARM, '531e', 0x5c75, 'subs    r3, r2, #1', 0, ()),
    (REV_ALL_ARM, '4ff0ff38', 0x5c7d, 'mov     r8, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '4f46', 0x5c81, 'mov     r7, r9', 0, ()),
    (REV_ALL_ARM, '029b', 0x5c93, 'ldr     r3, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '13f8010f', 0x5c95, 'ldrb    r0, [r3, #1]!', 0, ()),
    (REV_ALL_ARM, 'f3d1', 0x5c9d, 'bne     0x00005c86', 0, ()),
    (REV_ALL_ARM, '6eb9', 0x5c87, 'cbnz    r6, 0x00005ca4', 0, ()),
    (REV_ALL_ARM, '7a28', 0x5ca5, 'cmp     r0, #0x7a', 0, ()),
    (REV_ALL_ARM, '0ad8', 0x5ca7, 'bhi     0x00005cbe', 0, ()),
    (REV_ALL_ARM, '2528', 0x5c89, 'cmp     r0, #0x25', 0, ()),
    (REV_ALL_ARM, '00f04781', 0x5c8b, 'beq     0x00005f1c', 0, ()),
    (REV_ALL_ARM, '2520', 0x5cc1, 'movs    r0, #0x25', 0, ()),
    (REV_ALL_ARM, '23e1', 0x5ccb, 'b       0x00005f14', 0, ()),
    (REV_ALL_ARM, '6228', 0x5ca9, 'cmp     r0, #0x62', 0, ()),
    (REV_ALL_ARM, '0fd8', 0x5cab, 'bhi     0x00005ccc', 0, ()),
    (REV_ALL_ARM, 'b146', 0x5f1d, 'mov     r9, r6', 0, ()),
    (REV_ALL_ARM, '3746', 0x5f1f, 'mov     r7, r6', 0, ()),
    (REV_ALL_ARM, '0126', 0x5f25, 'movs    r6, #1', 0, ()),
    (REV_ALL_ARM, 'b4e6', 0x5f27, 'b       0x00005c92', 0, ()),
    (REV_ALL_ARM, '6338', 0x5ccd, 'subs    r0, #0x63', 0, ()),
    (REV_ALL_ARM, '1728', 0x5ccf, 'cmp     r0, #0x17', 0, ()),
    (REV_ALL_ARM, 'f5d8', 0x5cd1, 'bhi     0x00005cbe', 0, ()),
    (REV_ALL_ARM, '3028', 0x5cad, 'cmp     r0, #0x30', 0, ()),
    (REV_ALL_ARM, '73d0', 0x5caf, 'beq     0x00005d98', 0, ()),
    (REV_ALL_ARM, '01a3', 0x5cd3, 'adr     r3, #0x5cd8', 0, ()),
    (REV_ALL_ARM, '53f820f0', 0x5cd5, 'ldr     pc, [r3, r0, lsl #2]', 0, ()),
    (REV_ALL_ARM, '0bda', 0x5d9d, 'bge     0x00005db6', 0, ()),
    (REV_ALL_ARM, '42d8', 0x5cb1, 'bhi     0x00005d38', 0, ()),
    (REV_ALL_ARM, '00f38e80', 0x5d45, 'bgt     0x00005e64', 0, ()),
    (REV_ALL_ARM, '09f10109', 0x5dc3, 'add     r9, r9, #1', 0, ()),
    (REV_ALL_ARM, '64e7', 0x5dc7, 'b       0x00005c92', 0, ()),
    (REV_ALL_ARM, '3020', 0x5e53, 'movs    r0, #0x30', 0, ()),
    (REV_ALL_ARM, '7820', 0x5e59, 'movs    r0, #0x78', 0, ()),
    (REV_ALL_ARM, '4ff00808', 0x5e5d, 'mov     r8, #8', 0, ()),
    (REV_ALL_ARM, '54f8046b', 0x5ee1, 'ldr     r6, [r4], #4', 0, ()),
    (REV_ALL_ARM, 'b246', 0x5ee5, 'mov     r10, r6', 0, ()),
    (REV_ALL_ARM, '54f8040b', 0x5f0f, 'ldr     r0, [r4], #4', 0, ()),
    (REV_ALL_ARM, '03fb0808', 0x5db9, 'mla     r8, r3, r8, r0', 0, ()),
    (REV_ALL_ARM, 'a8f13008', 0x5dbd, 'sub     r8, r8, #0x30', 0, ()),
    (REV_ALL_ARM, '002f', 0x5d9f, 'cmp     r7, #0', 0, ()),
    (REV_ALL_ARM, '00f0c480', 0x5da1, 'beq     0x00005f2c', 0, ()),
    (REV_ALL_ARM, '3928', 0x5d39, 'cmp     r0, #0x39', 0, ()),
    (REV_ALL_ARM, '39d9', 0x5d3b, 'bls     0x00005db0', 0, ()),
    (REV_ALL_ARM, '00f03081', 0x5cb5, 'beq     0x00005f18', 0, ()),
    (REV_ALL_ARM, 'e31d', 0x5e65, 'adds    r3, r4, #7', 0, ()),
    (REV_ALL_ARM, '54f8082b', 0x5e6f, 'ldr     r2, [r4], #8', 0, ()),
    (REV_ALL_ARM, '54f8043b', 0x5d49, 'ldr     r3, [r4], #4', 0, ()),
    (REV_ALL_ARM, 'e9d0', 0x5df9, 'beq     0x00005dce', 0, ()),
    (REV_ALL_ARM, '54f8042b', 0x5e25, 'ldr     r2, [r4], #4', 0, ()),
    (REV_ALL_ARM, '032f', 0x5eef, 'cmp     r7, #3', 0, ()),
    (REV_ALL_ARM, '0227', 0x5dad, 'movs    r7, #2', 0, ()),
    (REV_ALL_ARM, '70e7', 0x5daf, 'b       0x00005c92', 0, ()),
    (REV_ALL_ARM, 'b0e6', 0x5f2f, 'b       0x00005c92', 0, ()),
    (REV_ALL_ARM, 'a0f13008', 0x5da5, 'sub     r8, r0, #0x30', 0, ()),
    (REV_ALL_ARM, 'f6db', 0x5db5, 'blt     0x00005da4', 0, ()),
    (REV_ALL_ARM, '5828', 0x5d3d, 'cmp     r0, #0x58', 0, ()),
    (REV_ALL_ARM, 'bed1', 0x5d3f, 'bne     0x00005cbe', 0, ()),
    (REV_ALL_ARM, '2d28', 0x5cb9, 'cmp     r0, #0x2d', 0, ()),
    (REV_ALL_ARM, '00f03581', 0x5cbb, 'beq     0x00005f28', 0, ()),
    (REV_ALL_ARM, 'cdf810a0', 0x5d59, 'str     r10, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '1346', 0x5d5d, 'mov     r3, r2', 0, ()),
    (REV_ALL_ARM, '0928', 0x5e77, 'cmp     r0, #9', 0, ()),
    (REV_ALL_ARM, '4ff0570c', 0x5e7b, 'mov     r12, #0x57', 0, ()),
    (REV_ALL_ARM, '4ff0300c', 0x5e7f, 'mov     r12, #0x30', 0, ()),
    (REV_ALL_ARM, '0499', 0x5d89, 'ldr     r1, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '11b9', 0x5d8b, 'cbnz    r1, 0x00005d92', 0, ()),
    (REV_ALL_ARM, '54f8086b', 0x5e05, 'ldr     r6, [r4], #8', 0, ()),
    (REV_ALL_ARM, '16f10042', 0x5e09, 'adds    r2, r6, #0x80000000', 0, ()),
    (REV_ALL_ARM, '43f10003', 0x5e0d, 'adc     r3, r3, #0', 0, ()),
    (REV_ALL_ARM, 'ded0', 0x5e13, 'beq     0x00005dd2', 0, ()),
    (REV_ALL_ARM, '2d20', 0x5dd9, 'movs    r0, #0x2d', 0, ()),
    (REV_ALL_ARM, '7642', 0x5ddd, 'rsbs    r6, r6, #0', 0, ()),
    (REV_ALL_ARM, '08f1ff38', 0x5ddf, 'add     r8, r8, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'b2f1004f', 0x5e45, 'cmp     r2, #0x80000000', 0, ()),
    (REV_ALL_ARM, '73f10003', 0x5e49, 'sbcs    r3, r3, #0', 0, ()),
    (REV_ALL_ARM, 'ecd3', 0x5e4d, 'bcc     0x00005e28', 0, ()),
    (REV_ALL_ARM, 'fff7e3fe', 0x5def, 'bl      0x00005bb8', 0, ()),
    (REV_ALL_ARM, '1af8010b', 0x5ee9, 'ldrb    r0, [r10], #1', 0, ()),
    (REV_ALL_ARM, '60b9', 0x5eed, 'cbnz    r0, 0x00005f08', 0, ()),
    (REV_ALL_ARM, 'aee6', 0x5f33, 'b       0x00005c92', 0, ()),
    (REV_ALL_ARM, '961b', 0x5ef3, 'subs    r6, r2, r6', 0, ()),
    (REV_ALL_ARM, 'a8eb0606', 0x5ef5, 'sub     r6, r8, r6', 0, ()),
    (REV_ALL_ARM, '0327', 0x5f29, 'movs    r7, #3', 0, ()),
    (REV_ALL_ARM, 'b2e6', 0x5f2b, 'b       0x00005c92', 0, ()),
    (REV_ALL_ARM, '0496', 0x5edd, 'str     r6, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '7ff4f2ae', 0x5e9b, 'bne     0x00005c82', 0, ()),
    (REV_ALL_ARM, '74e0', 0x5d97, 'b       0x00005e82', 0, ()),
    (REV_ALL_ARM, '40f09280', 0x5d8f, 'bne     0x00005eb6', 0, ()),
    (REV_ALL_ARM, '05da', 0x5dd5, 'bge     0x00005de2', 0, ()),
    (REV_ALL_ARM, '08f0d2ff', 0x5e19, 'bl      0x0000edc0', 0, ()),
    (REV_ALL_ARM, '31e7', 0x5e1d, 'b       0x00005c82', 0, ()),
    (REV_ALL_ARM, '9800', 0x5d63, 'lsls    r0, r3, #2', 0, ()),
    (REV_ALL_ARM, 'c0f1200e', 0x5d65, 'rsb     lr, r0, #0x20', 0, ()),
    (REV_ALL_ARM, 'a0f1200c', 0x5d69, 'sub     r12, r0, #0x20', 0, ()),
    (REV_ALL_ARM, '21fa00f0', 0x5d6d, 'lsr     r0, r1, r0', 0, ()),
    (REV_ALL_ARM, '0399', 0x5d71, 'ldr     r1, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '01fa0efe', 0x5d73, 'lsl     lr, r1, lr', 0, ()),
    (REV_ALL_ARM, '21fa0cfc', 0x5d7b, 'lsr     r12, r1, r12', 0, ()),
    (REV_ALL_ARM, '10f00f00', 0x5d83, 'ands    r0, r0, #0xf', 0, ()),
    (REV_ALL_ARM, '76d1', 0x5d87, 'bne     0x00005e76', 0, ()),
    (REV_ALL_ARM, 'caeb480a', 0x5e9f, 'rsb     r10, r10, r8, lsl #1', 0, ()),
    (REV_ALL_ARM, '6044', 0x5e83, 'add     r0, r12', 0, ()),
    (REV_ALL_ARM, '40b2', 0x5e87, 'sxtb    r0, r0', 0, ()),
    (REV_ALL_ARM, '049b', 0x5e8f, 'ldr     r3, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '0bbb', 0x5e97, 'cbnz    r3, 0x00005edc', 0, ()),
    (REV_ALL_ARM, '511e', 0x5eb7, 'subs    r1, r2, #1', 0, ()),
    (REV_ALL_ARM, '9045', 0x5eb9, 'cmp     r8, r2', 0, ()),
    (REV_ALL_ARM, '0691', 0x5ebb, 'str     r1, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '06db', 0x5ebd, 'blt     0x00005ecc', 0, ()),
    (REV_ALL_ARM, '7ff7c2ae', 0x5efb, 'ble     0x00005c82', 0, ()),
    (REV_ALL_ARM, '0af1ff3a', 0x5eb1, 'add     r10, r10, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '012f', 0x5ebf, 'cmp     r7, #1', 0, ()),
    (REV_ALL_ARM, 'baf1000f', 0x5ea3, 'cmp     r10, #0', 0, ()),
    (REV_ALL_ARM, '7ff7ecae', 0x5ea7, 'ble     0x00005c82', 0, ()),
    (REV_ALL_ARM, '022f', 0x5ed1, 'cmp     r7, #2', 0, ()),
    (REV_ALL_ARM, 'fbd1', 0x5ed3, 'bne     0x00005ecc', 0, ()),
    (REV_ALL_ARM, '0191', 0x5f3d, 'str     r1, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'fff791fe', 0x5f43, 'bl      0x00005c68', 0, ()),
    (REV_ALL_ARM, '4ff01003', 0x5f51, 'mov     r3, #0x10', 0, ()),
    (REV_ALL_ARM, 'eff31181', 0x5f55, 'mrs     r1, basepri', 0, ()),
    (REV_ALL_ARM, '83f31188', 0x5f59, 'msr     basepri, r3', 0, ()),
    (REV_ALL_ARM, 'bff36f8f', 0x5f5d, 'isb     SY', 0, ()),
    (REV_ALL_ARM, '9a62', 0x5f67, 'str     r2, [r3, #0x28]', 0, ()),
    (REV_ALL_ARM, 'da62', 0x5f69, 'str     r2, [r3, #0x2c]', 0, ()),
    (REV_ALL_ARM, '81f31188', 0x5f6b, 'msr     basepri, r1', 0, ()),
    (REV_ALL_ARM, '1a60', 0x5f77, 'str     r2, [r3]', 0, ()),
    (REV_ALL_ARM, '09f048fb', 0x5fa1, 'bl      0x0000f634', 0, ()),
    (REV_ALL_ARM, '0290', 0x5fa5, 'str     r0, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '40f03581', 0x5fa9, 'bne     0x00006216', 0, ()),
    (REV_ALL_ARM, '09f013fb', 0x5faf, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '00f02f81', 0x5fb5, 'beq     0x00006216', 0, ()),
    (REV_ALL_ARM, '09f00dfb', 0x5fbb, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '8607', 0x5fbf, 'lsls    r6, r0, #0x1e', 0, ()),
    (REV_ALL_ARM, '2268', 0x5fc3, 'ldr     r2, [r4]', 0, ()),
    (REV_ALL_ARM, '42bf', 0x5fc7, 'ittt    mi', 0, ()),
    (REV_ALL_ARM, '5369', 0x5fc9, 'ldr     r3, [r2, #0x14]', 0, ()),
    (REV_ALL_ARM, '03f00203', 0x5fcb, 'and     r3, r3, #2', 0, ()),
    (REV_ALL_ARM, '5361', 0x5fcf, 'str     r3, [r2, #0x14]', 0, ()),
    (REV_ALL_ARM, '09f002fb', 0x5fd1, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '10f4002b', 0x5fd5, 'ands    r11, r0, #0x080000', 0, ()),
    (REV_ALL_ARM, '09f0eefa', 0x5ff9, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '4103', 0x5ffd, 'lsls    r1, r0, #0xd', 0, ()),
    (REV_ALL_ARM, '0cd5', 0x5fff, 'bpl     0x0000601a', 0, ()),
    (REV_ALL_ARM, '09f000fb', 0x5fdd, 'bl      0x0000f5e0', 0, ()),
    (REV_ALL_ARM, '05f53067', 0x5fe1, 'add     r7, r5, #0xb00', 0, ()),
    (REV_ALL_ARM, 'a146', 0x5fe7, 'mov     r9, r4', 0, ()),
    (REV_ALL_ARM, '4ff0000b', 0x5fe9, 'mov     r11, #0', 0, ()),
    (REV_ALL_ARM, '4ff0080a', 0x5fed, 'mov     r10, #8', 0, ()),
    (REV_ALL_ARM, '09f0dcfa', 0x601d, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '09f0f5fa', 0x6003, 'bl      0x0000f5f0', 0, ()),
    (REV_ALL_ARM, '0390', 0x6009, 'str     r0, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '05f51068', 0x600b, 'add     r8, r5, #0x900', 0, ()),
    (REV_ALL_ARM, 'f007', 0x621d, 'lsls    r0, r6, #0x1f', 0, ()),
    (REV_ALL_ARM, '3ad5', 0x621f, 'bpl     0x00006296', 0, ()),
    (REV_ALL_ARM, '09f0c9fa', 0x6043, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '0005', 0x6047, 'lsls    r0, r0, #0x14', 0, ()),
    (REV_ALL_ARM, '0bd5', 0x6049, 'bpl     0x00006062', 0, ()),
    (REV_ALL_ARM, 'd5f80438', 0x6025, 'ldr     r3, [r5, #0x804]', 0, ()),
    (REV_ALL_ARM, 'c5f80438', 0x602d, 'str     r3, [r5, #0x804]', 0, ()),
    (REV_ALL_ARM, '03f0a5f9', 0x6033, 'bl      0x00009380', 0, ()),
    (REV_ALL_ARM, '03f00043', 0x603b, 'and     r3, r3, #0x80000000', 0, ()),
    (REV_ALL_ARM, 'da07', 0x62a7, 'lsls    r2, r3, #0x1f', 0, ()),
    (REV_ALL_ARM, '66d5', 0x62a9, 'bpl     0x00006378', 0, ()),
    (REV_ALL_ARM, '0bf1010b', 0x6297, 'add     r11, r11, #1', 0, ()),
    (REV_ALL_ARM, '7608', 0x629b, 'lsrs    r6, r6, #1', 0, ()),
    (REV_ALL_ARM, '2037', 0x629d, 'adds    r7, #0x20', 0, ()),
    (REV_ALL_ARM, '09f11c09', 0x629f, 'add     r9, r9, #0x1c', 0, ()),
    (REV_ALL_ARM, 'a5e6', 0x62a3, 'b       0x00005ff0', 0, ()),
    (REV_ALL_ARM, '5ffa8bf1', 0x6221, 'uxtb    r1, r11', 0, ()),
    (REV_ALL_ARM, '0391', 0x6227, 'str     r1, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '09f0eaf9', 0x6229, 'bl      0x0000f600', 0, ()),
    (REV_ALL_ARM, '10f0010f', 0x622d, 'tst     r0, #1', 0, ()),
    (REV_ALL_ARM, '23d0', 0x6233, 'beq     0x0000627c', 0, ()),
    (REV_ALL_ARM, '09f0b8fa', 0x6065, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, 'c204', 0x6069, 'lsls    r2, r0, #0x13', 0, ()),
    (REV_ALL_ARM, '39d5', 0x606b, 'bpl     0x000060e0', 0, ()),
    (REV_ALL_ARM, 'd5f80838', 0x604b, 'ldr     r3, [r5, #0x808]', 0, ()),
    (REV_ALL_ARM, '02d5', 0x6051, 'bpl     0x00006058', 0, ()),
    (REV_ALL_ARM, '1c36', 0x6383, 'adds    r6, #0x1c', 0, ()),
    (REV_ALL_ARM, '08f12008', 0x6385, 'add     r8, r8, #0x20', 0, ()),
    (REV_ALL_ARM, '43e6', 0x6389, 'b       0x00006012', 0, ()),
    (REV_ALL_ARM, '5ffa8bfa', 0x62ab, 'uxtb    r10, r11', 0, ()),
    (REV_ALL_ARM, '09f0aff9', 0x62b3, 'bl      0x0000f614', 0, ()),
    (REV_ALL_ARM, 'c307', 0x62b7, 'lsls    r3, r0, #0x1f', 0, ()),
    (REV_ALL_ARM, '22d5', 0x62bb, 'bpl     0x00006302', 0, ()),
    (REV_ALL_ARM, '40f01381', 0x5ff3, 'bne     0x0000621c', 0, ()),
    (REV_ALL_ARM, '18f0080f', 0x627d, 'tst     r8, #8', 0, ()),
    (REV_ALL_ARM, '2269', 0x6235, 'ldr     r2, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'bb60', 0x623d, 'str     r3, [r7, #8]', 0, ()),
    (REV_ALL_ARM, '09f079fa', 0x60e3, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '8304', 0x60e7, 'lsls    r3, r0, #0x12', 0, ()),
    (REV_ALL_ARM, '1dd5', 0x60e9, 'bpl     0x00006126', 0, ()),
    (REV_ALL_ARM, '1021', 0x6077, 'movs    r1, #0x10', 0, ()),
    (REV_ALL_ARM, '00f080fb', 0x607d, 'bl      0x00006780', 0, ()),
    (REV_ALL_ARM, '6168', 0x6081, 'ldr     r1, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '05f50066', 0x6083, 'add     r6, r5, #0x800', 0, ()),
    (REV_ALL_ARM, '05f51063', 0x6087, 'add     r3, r5, #0x900', 0, ()),
    (REV_ALL_ARM, '03f40063', 0x605d, 'and     r3, r3, #0x0800', 0, ()),
    (REV_ALL_ARM, '03f08af9', 0x6055, 'bl      0x0000936c', 0, ()),
    (REV_ALL_ARM, '40f04581', 0x6017, 'bne     0x000062a4', 0, ()),
    (REV_ALL_ARM, '3807', 0x6303, 'lsls    r0, r7, #0x1c', 0, ()),
    (REV_ALL_ARM, '44bf', 0x6305, 'itt     mi', 0, ()),
    (REV_ALL_ARM, 'c8f80830', 0x6309, 'str     r3, [r8, #8]', 0, ()),
    (REV_ALL_ARM, 'f906', 0x630d, 'lsls    r1, r7, #0x1b', 0, ()),
    (REV_ALL_ARM, '7a06', 0x6317, 'lsls    r2, r7, #0x19', 0, ()),
    (REV_ALL_ARM, '4023', 0x631b, 'movs    r3, #0x40', 0, ()),
    (REV_ALL_ARM, 'bb07', 0x6321, 'lsls    r3, r7, #0x1e', 0, ()),
    (REV_ALL_ARM, '3f06', 0x632b, 'lsls    r7, r7, #0x18', 0, ()),
    (REV_ALL_ARM, '24d5', 0x632d, 'bpl     0x00006378', 0, ()),
    (REV_ALL_ARM, 'd5f83438', 0x62bd, 'ldr     r3, [r5, #0x834]', 0, ()),
    (REV_ALL_ARM, '00fa0bf1', 0x62c3, 'lsl     r1, r0, r11', 0, ()),
    (REV_ALL_ARM, 'c5f83438', 0x62cb, 'str     r3, [r5, #0x834]', 0, ()),
    (REV_ALL_ARM, '2369', 0x62cf, 'ldr     r3, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c8f80800', 0x62d1, 'str     r0, [r8, #8]', 0, ()),
    (REV_ALL_ARM, '02bf', 0x62d7, 'ittt    eq', 0, ()),
    (REV_ALL_ARM, 'd6e91023', 0x62d9, 'ldrd    r2, r3, [r6, #0x40]', 0, ()),
    (REV_ALL_ARM, '9b18', 0x62dd, 'adds    r3, r3, r2', 0, ()),
    (REV_ALL_ARM, '7364', 0x62df, 'str     r3, [r6, #0x44]', 0, ()),
    (REV_ALL_ARM, '0af02dfc', 0x62e5, 'bl      0x00010b42', 0, ()),
    (REV_ALL_ARM, '2169', 0x62e9, 'ldr     r1, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '09d1', 0x62ed, 'bne     0x00006302', 0, ()),
    (REV_ALL_ARM, '18f0100f', 0x628d, 'tst     r8, #0x10', 0, ()),
    (REV_ALL_ARM, '03f086f8', 0x6285, 'bl      0x00009394', 0, ()),
    (REV_ALL_ARM, 'c7f808a0', 0x6289, 'str     r10, [r7, #8]', 0, ()),
    (REV_ALL_ARM, '0af05bfc', 0x625d, 'bl      0x00010b16', 0, ()),
    (REV_ALL_ARM, 'd9f80002', 0x6243, 'ldr     r0, [r9, #0x200]', 0, ()),
    (REV_ALL_ARM, 'c2f31202', 0x6247, 'ubfx    r2, r2, #0, #0x13', 0, ()),
    (REV_ALL_ARM, '821a', 0x624b, 'subs    r2, r0, r2', 0, ()),
    (REV_ALL_ARM, 'c9f81022', 0x624d, 'str     r2, [r9, #0x210]', 0, ()),
    (REV_ALL_ARM, 'd9f80422', 0x6251, 'ldr     r2, [r9, #0x204]', 0, ()),
    (REV_ALL_ARM, '0244', 0x6255, 'add     r2, r0', 0, ()),
    (REV_ALL_ARM, 'c9f80422', 0x6257, 'str     r2, [r9, #0x204]', 0, ()),
    (REV_ALL_ARM, '09f056fa', 0x6129, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, 'c706', 0x612d, 'lsls    r7, r0, #0x1b', 0, ()),
    (REV_ALL_ARM, '2ad5', 0x612f, 'bpl     0x00006186', 0, ()),
    (REV_ALL_ARM, '09f0a6fa', 0x60ed, 'bl      0x0000f63c', 0, ()),
    (REV_ALL_ARM, 'c368', 0x60f3, 'ldr     r3, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, 'c360', 0x60f9, 'str     r3, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '09f0a3f9', 0x60fb, 'bl      0x0000f444', 0, ()),
    (REV_ALL_ARM, '40f06b81', 0x6101, 'bne     0x000063da', 0, ()),
    (REV_ALL_ARM, '0130', 0x63bd, 'adds    r0, #1', 0, ()),
    (REV_ALL_ARM, 'c3f80822', 0x63bf, 'str     r2, [r3, #0x208]', 0, ()),
    (REV_ALL_ARM, '61e6', 0x63c7, 'b       0x0000608c', 0, ()),
    (REV_ALL_ARM, '4ff0ff33', 0x6095, 'mov     r3, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'b361', 0x6099, 'str     r3, [r6, #0x18]', 0, ()),
    (REV_ALL_ARM, 'f369', 0x609b, 'ldr     r3, [r6, #0x1c]', 0, ()),
    (REV_ALL_ARM, '43f00113', 0x609d, 'orr     r3, r3, #0x10001', 0, ()),
    (REV_ALL_ARM, 'f361', 0x60a1, 'str     r3, [r6, #0x1c]', 0, ()),
    (REV_ALL_ARM, '236b', 0x60a3, 'ldr     r3, [r4, #0x30]', 0, ()),
    (REV_ALL_ARM, '00f08f81', 0x60a7, 'beq     0x000063c8', 0, ()),
    (REV_ALL_ARM, 'd6e91373', 0x632f, 'ldrd    r7, r3, [r6, #0x4c]', 0, ()),
    (REV_ALL_ARM, 'ff1a', 0x6333, 'subs    r7, r7, r3', 0, ()),
    (REV_ALL_ARM, '336c', 0x6335, 'ldr     r3, [r6, #0x40]', 0, ()),
    (REV_ALL_ARM, 'd4f80090', 0x6337, 'ldr     r9, [r4]', 0, ()),
    (REV_ALL_ARM, '9f42', 0x633b, 'cmp     r7, r3', 0, ()),
    (REV_ALL_ARM, 'fb1c', 0x6341, 'adds    r3, r7, #3', 0, ()),
    (REV_ALL_ARM, '9b08', 0x6343, 'lsrs    r3, r3, #2', 0, ()),
    (REV_ALL_ARM, '09f51063', 0x6347, 'add     r3, r9, #0x900', 0, ()),
    (REV_ALL_ARM, '03eb4b13', 0x634b, 'add     r3, r3, r11, lsl #5', 0, ()),
    (REV_ALL_ARM, 'bbf1000f', 0x62ef, 'cmp     r11, #0', 0, ()),
    (REV_ALL_ARM, '09f026fa', 0x6189, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '0607', 0x618d, 'lsls    r6, r0, #0x1c', 0, ()),
    (REV_ALL_ARM, '9369', 0x6133, 'ldr     r3, [r2, #0x18]', 0, ()),
    (REV_ALL_ARM, '9361', 0x6139, 'str     r3, [r2, #0x18]', 0, ()),
    (REV_ALL_ARM, '2f6a', 0x613b, 'ldr     r7, [r5, #0x20]', 0, ()),
    (REV_ALL_ARM, 'c7f34343', 0x613d, 'ubfx    r3, r7, #0x11, #4', 0, ()),
    (REV_ALL_ARM, '07f00f06', 0x6143, 'and     r6, r7, #0xf', 0, ()),
    (REV_ALL_ARM, '40f0a981', 0x6147, 'bne     0x0000649c', 0, ()),
    (REV_ALL_ARM, 'fff7d1fd', 0x63e3, 'bl      0x00005f88', 0, ()),
    (REV_ALL_ARM, '0344', 0x63eb, 'add     r3, r0', 0, ()),
    (REV_ALL_ARM, '2368', 0x63ef, 'ldr     r3, [r4]', 0, ()),
    (REV_ALL_ARM, '04d8', 0x63f1, 'bhi     0x000063fc', 0, ()),
    (REV_ALL_ARM, 'e060', 0x6107, 'str     r0, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, 'd368', 0x610f, 'ldr     r3, [r2, #0xc]', 0, ()),
    (REV_ALL_ARM, '43f41053', 0x6111, 'orr     r3, r3, #0x2400', 0, ()),
    (REV_ALL_ARM, 'd360', 0x6115, 'str     r3, [r2, #0xc]', 0, ()),
    (REV_ALL_ARM, '8142', 0x608f, 'cmp     r1, r0', 0, ()),
    (REV_ALL_ARM, '40f09281', 0x6091, 'bne     0x000063b8', 0, ()),
    (REV_ALL_ARM, '7369', 0x63c9, 'ldr     r3, [r6, #0x14]', 0, ()),
    (REV_ALL_ARM, '43f00b03', 0x63cb, 'orr     r3, r3, #0xb', 0, ()),
    (REV_ALL_ARM, '7361', 0x63cf, 'str     r3, [r6, #0x14]', 0, ()),
    (REV_ALL_ARM, '3369', 0x63d1, 'ldr     r3, [r6, #0x10]', 0, ()),
    (REV_ALL_ARM, '3361', 0x63d7, 'str     r3, [r6, #0x10]', 0, ()),
    (REV_ALL_ARM, '71e6', 0x63d9, 'b       0x000060be', 0, ()),
    (REV_ALL_ARM, 'd6f88430', 0x60ab, 'ldr     r3, [r6, #0x84]', 0, ()),
    (REV_ALL_ARM, 'c6f88430', 0x60b3, 'str     r3, [r6, #0x84]', 0, ()),
    (REV_ALL_ARM, '736c', 0x60b7, 'ldr     r3, [r6, #0x44]', 0, ()),
    (REV_ALL_ARM, '47b9', 0x6365, 'cbnz    r7, 0x00006378', 0, ()),
    (REV_ALL_ARM, 'd6e91332', 0x635d, 'ldrd    r3, r2, [r6, #0x4c]', 0, ()),
    (REV_ALL_ARM, 'e36c', 0x62f5, 'ldr     r3, [r4, #0x4c]', 0, ()),
    (REV_ALL_ARM, 'd4f80c22', 0x626d, 'ldr     r2, [r4, #0x20c]', 0, ()),
    (REV_ALL_ARM, '09f019fa', 0x61a3, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, 'c502', 0x61a7, 'lsls    r5, r0, #0xb', 0, ()),
    (REV_ALL_ARM, '03f00803', 0x619b, 'and     r3, r3, #8', 0, ()),
    (REV_ALL_ARM, '7ff46dae', 0x649f, 'bne     0x0000617c', 0, ()),
    (REV_ALL_ARM, '47f6f073', 0x614b, 'movw    r3, #0x7ff0', 0, ()),
    (REV_ALL_ARM, '1f42', 0x614f, 'tst     r7, r3', 0, ()),
    (REV_ALL_ARM, '03d8', 0x6405, 'bhi     0x0000640e', 0, ()),
    (REV_ALL_ARM, 'da68', 0x63f3, 'ldr     r2, [r3, #0xc]', 0, ()),
    (REV_ALL_ARM, '42f47052', 0x63f5, 'orr     r2, r2, #0x3c00', 0, ()),
    (REV_ALL_ARM, 'd5f80038', 0x60bf, 'ldr     r3, [r5, #0x800]', 0, ()),
    (REV_ALL_ARM, 'c5f80038', 0x60cb, 'str     r3, [r5, #0x800]', 0, ()),
    (REV_ALL_ARM, '04f56f72', 0x60cf, 'add     r2, r4, #0x3bc', 0, ()),
    (REV_ALL_ARM, '09f0d0fa', 0x60d3, 'bl      0x0000f676', 0, ()),
    (REV_ALL_ARM, '03f48053', 0x60db, 'and     r3, r3, #0x1000', 0, ()),
    (REV_ALL_ARM, 'd9f83438', 0x6367, 'ldr     r3, [r9, #0x834]', 0, ()),
    (REV_ALL_ARM, '02fa0bf2', 0x636d, 'lsl     r2, r2, r11', 0, ()),
    (REV_ALL_ARM, 'c9f83438', 0x6375, 'str     r3, [r9, #0x834]', 0, ()),
    (REV_ALL_ARM, '376c', 0x638b, 'ldr     r7, [r6, #0x40]', 0, ()),
    (REV_ALL_ARM, '716c', 0x639f, 'ldr     r1, [r6, #0x44]', 0, ()),
    (REV_ALL_ARM, 'bbb2', 0x63a1, 'uxth    r3, r7', 0, ()),
    (REV_ALL_ARM, '09f09ff8', 0x63a7, 'bl      0x0000f4e8', 0, ()),
    (REV_ALL_ARM, '3b44', 0x63ad, 'add     r3, r7', 0, ()),
    (REV_ALL_ARM, '336d', 0x63b1, 'ldr     r3, [r6, #0x50]', 0, ()),
    (REV_ALL_ARM, '3365', 0x63b5, 'str     r3, [r6, #0x50]', 0, ()),
    (REV_ALL_ARM, 'cbe7', 0x63b7, 'b       0x00006350', 0, ()),
    (REV_ALL_ARM, '09f0baf9', 0x62ff, 'bl      0x0000f676', 0, ()),
    (REV_ALL_ARM, '09f0fdf9', 0x6279, 'bl      0x0000f676', 0, ()),
    (REV_ALL_ARM, '09f00afa', 0x61c1, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '8002', 0x61c5, 'lsls    r0, r0, #0xa', 0, ()),
    (REV_ALL_ARM, '08f05cff', 0x61b1, 'bl      0x0000f06c', 0, ()),
    (REV_ALL_ARM, '03f48013', 0x61b9, 'and     r3, r3, #0x100000', 0, ()),
    (REV_ALL_ARM, '43f01003', 0x6181, 'orr     r3, r3, #0x10', 0, ()),
    (REV_ALL_ARM, '04f56f71', 0x64a5, 'add     r1, r4, #0x3bc', 0, ()),
    (REV_ALL_ARM, '09f031f8', 0x64ab, 'bl      0x0000f510', 0, ()),
    (REV_ALL_ARM, '1c23', 0x64af, 'movs    r3, #0x1c', 0, ()),
    (REV_ALL_ARM, '03fb0646', 0x64b1, 'mla     r6, r3, r6, r4', 0, ()),
    (REV_ALL_ARM, 'c7f30a17', 0x64b5, 'ubfx    r7, r7, #4, #0xb', 0, ()),
    (REV_ALL_ARM, 'd6f81032', 0x64b9, 'ldr     r3, [r6, #0x210]', 0, ()),
    (REV_ALL_ARM, '1f44', 0x64bd, 'add     r7, r3', 0, ()),
    (REV_ALL_ARM, 'c6f81072', 0x64bf, 'str     r7, [r6, #0x210]', 0, ()),
    (REV_ALL_ARM, '5be6', 0x64c3, 'b       0x0000617c', 0, ()),
    (REV_ALL_ARM, 'c7f30a18', 0x6159, 'ubfx    r8, r7, #4, #0xb', 0, ()),
    (REV_ALL_ARM, '4246', 0x615d, 'mov     r2, r8', 0, ()),
    (REV_ALL_ARM, 'd6f80412', 0x615f, 'ldr     r1, [r6, #0x204]', 0, ()),
    (REV_ALL_ARM, '09f0d4f9', 0x6165, 'bl      0x0000f510', 0, ()),
    (REV_ALL_ARM, 'd6f80422', 0x6169, 'ldr     r2, [r6, #0x204]', 0, ()),
    (REV_ALL_ARM, '4244', 0x6171, 'add     r2, r8', 0, ()),
    (REV_ALL_ARM, '4344', 0x6173, 'add     r3, r8', 0, ()),
    (REV_ALL_ARM, 'c6f80422', 0x6175, 'str     r2, [r6, #0x204]', 0, ()),
    (REV_ALL_ARM, 'c6f81032', 0x6179, 'str     r3, [r6, #0x210]', 0, ()),
    (REV_ALL_ARM, 'a0f57402', 0x6411, 'sub     r2, r0, #0xf40000', 0, ()),
    (REV_ALL_ARM, 'a2f51052', 0x6415, 'sub     r2, r2, #0x2400', 0, ()),
    (REV_ALL_ARM, '42f46052', 0x6409, 'orr     r2, r2, #0x3800', 0, ()),
    (REV_ALL_ARM, '03f0eaf8', 0x6119, 'bl      0x000092f0', 0, ()),
    (REV_ALL_ARM, '03f40053', 0x6121, 'and     r3, r3, #0x2000', 0, ()),
    (REV_ALL_ARM, '059b', 0x6351, 'ldr     r3, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '049a', 0x6353, 'ldr     r2, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '9b69', 0x6355, 'ldr     r3, [r3, #0x18]', 0, ()),
    (REV_ALL_ARM, '9bb2', 0x6357, 'uxth    r3, r3', 0, ()),
    (REV_ALL_ARM, '09f0fbf9', 0x61df, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '4100', 0x61e3, 'lsls    r1, r0, #1', 0, ()),
    (REV_ALL_ARM, '08f04cff', 0x61cf, 'bl      0x0000f06a', 0, ()),
    (REV_ALL_ARM, '03f40013', 0x61d7, 'and     r3, r3, #0x200000', 0, ()),
    (REV_ALL_ARM, 'a0f18372', 0x6427, 'sub     r2, r0, #0x1060000', 0, ()),
    (REV_ALL_ARM, 'a2f5e742', 0x642b, 'sub     r2, r2, #0x7380', 0, ()),
    (REV_ALL_ARM, '03d2', 0x6431, 'bcs     0x0000643a', 0, ()),
    (REV_ALL_ARM, '42f45052', 0x641f, 'orr     r2, r2, #0x3400', 0, ()),
    (REV_ALL_ARM, 'da60', 0x63f9, 'str     r2, [r3, #0xc]', 0, ()),
    (REV_ALL_ARM, '8ce6', 0x63fb, 'b       0x00006116', 0, ()),
    (REV_ALL_ARM, '09f0eef9', 0x61f9, 'bl      0x0000f5d8', 0, ()),
    (REV_ALL_ARM, '4207', 0x61fd, 'lsls    r2, r0, #0x1d', 0, ()),
    (REV_ALL_ARM, '0ad5', 0x61ff, 'bpl     0x00006216', 0, ()),
    (REV_ALL_ARM, '03f0acf8', 0x61e9, 'bl      0x00009344', 0, ()),
    (REV_ALL_ARM, '03f08043', 0x61f1, 'and     r3, r3, #0x40000000', 0, ()),
    (REV_ALL_ARM, '42f44052', 0x6435, 'orr     r2, r2, #0x3000', 0, ()),
    (REV_ALL_ARM, '5d68', 0x6203, 'ldr     r5, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '6b07', 0x6205, 'lsls    r3, r5, #0x1d', 0, ()),
    (REV_ALL_ARM, '42f43052', 0x6447, 'orr     r2, r2, #0x2c00', 0, ()),
    (REV_ALL_ARM, 'd5e7', 0x644b, 'b       0x000063f8', 0, ()),
    (REV_ALL_ARM, '5368', 0x6211, 'ldr     r3, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '2b43', 0x6213, 'orrs    r3, r5', 0, ()),
    (REV_ALL_ARM, '5360', 0x6215, 'str     r3, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '03f0a5f8', 0x620b, 'bl      0x00009358', 0, ()),
    (REV_ALL_ARM, '42f42052', 0x6459, 'orr     r2, r2, #0x2800', 0, ()),
    (REV_ALL_ARM, 'a0f1b772', 0x6473, 'sub     r2, r0, #0x16e0000', 0, ()),
    (REV_ALL_ARM, 'a2f55852', 0x6477, 'sub     r2, r2, #0x3600', 0, ()),
    (REV_ALL_ARM, '42f41052', 0x646b, 'orr     r2, r2, #0x2400', 0, ()),
    (REV_ALL_ARM, '34bf', 0x6491, 'ite     cc', 0, ()),
    (REV_ALL_ARM, '42f4e052', 0x6493, 'orr     r2, r2, #0x1c00', 0, ()),
    (REV_ALL_ARM, '42f4c052', 0x6497, 'orr     r2, r2, #0x1800', 0, ()),
    (REV_ALL_ARM, 'ade7', 0x649b, 'b       0x000063f8', 0, ()),
    (REV_ALL_ARM, '42f40052', 0x6481, 'orr     r2, r2, #0x2000', 0, ()),
    (REV_ALL_ARM, '036a', 0x6501, 'ldr     r3, [r0, #0x20]', 0, ()),
    (REV_ALL_ARM, '0362', 0x6507, 'str     r3, [r0, #0x20]', 0, ()),
    (REV_ALL_ARM, '4468', 0x650d, 'ldr     r4, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '8269', 0x650f, 'ldr     r2, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, '0d68', 0x6511, 'ldr     r5, [r1]', 0, ()),
    (REV_ALL_ARM, '2a43', 0x6517, 'orrs    r2, r5', 0, ()),
    (REV_ALL_ARM, '8d68', 0x6519, 'ldr     r5, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '03d0', 0x6525, 'beq     0x0000652e', 0, ()),
    (REV_ALL_ARM, 'cd68', 0x652f, 'ldr     r5, [r1, #0xc]', 0, ()),
    (REV_ALL_ARM, 'd1e90556', 0x6537, 'ldrd    r5, r6, [r1, #0x14]', 0, ()),
    (REV_ALL_ARM, '3543', 0x653f, 'orrs    r5, r6', 0, ()),
    (REV_ALL_ARM, '2c43', 0x6545, 'orrs    r4, r5', 0, ()),
    (REV_ALL_ARM, '05f58065', 0x6527, 'add     r5, r5, #0x400', 0, ()),
    (REV_ALL_ARM, '4460', 0x6547, 'str     r4, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '8261', 0x6549, 'str     r2, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, '4a68', 0x654b, 'ldr     r2, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '4263', 0x654d, 'str     r2, [r0, #0x34]', 0, ()),
    (REV_ALL_ARM, 'c269', 0x6567, 'ldr     r2, [r0, #0x1c]', 0, ()),
    (REV_ALL_ARM, '43ea0523', 0x6577, 'orr     r3, r3, r5, lsl #8', 0, ()),
    (REV_ALL_ARM, '44ea0514', 0x65a1, 'orr     r4, r4, r5, lsl #4', 0, ()),
    (REV_ALL_ARM, 'c261', 0x65a7, 'str     r2, [r0, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'c263', 0x65ab, 'str     r2, [r0, #0x3c]', 0, ()),
    (REV_ALL_ARM, '42ea0522', 0x65cb, 'orr     r2, r2, r5, lsl #8', 0, ()),
    (REV_ALL_ARM, '43ea0533', 0x65d5, 'orr     r3, r3, r5, lsl #12', 0, ()),
    (REV_ALL_ARM, '4d69', 0x65e7, 'ldr     r5, [r1, #0x14]', 0, ()),
    (REV_ALL_ARM, '44ea8514', 0x65ed, 'orr     r4, r4, r5, lsl #6', 0, ()),
    (REV_ALL_ARM, '0264', 0x65f7, 'str     r2, [r0, #0x40]', 0, ()),
    (REV_ALL_ARM, '0368', 0x6603, 'ldr     r3, [r0]', 0, ()),
    (REV_ALL_ARM, '9042', 0x6605, 'cmp     r0, r2', 0, ()),
    (REV_ALL_ARM, 'b0f1804f', 0x6609, 'cmp     r0, #0x40000000', 0, ()),
    (REV_ALL_ARM, 'ca68', 0x6691, 'ldr     r2, [r1, #0xc]', 0, ()),
    (REV_ALL_ARM, 'a2f57c42', 0x660f, 'sub     r2, r2, #0xfc00', 0, ()),
    (REV_ALL_ARM, '0b69', 0x66b1, 'ldr     r3, [r1, #0x10]', 0, ()),
    (REV_ALL_ARM, '0363', 0x66b3, 'str     r3, [r0, #0x30]', 0, ()),
    (REV_ALL_ARM, '03f58063', 0x66a9, 'add     r3, r3, #0x400', 0, ()),
    (REV_ALL_ARM, '01d1', 0x66af, 'bne     0x000066b4', 0, ()),
    (REV_ALL_ARM, '22d0', 0x6649, 'beq     0x00006690', 0, ()),
    (REV_ALL_ARM, '02f58062', 0x6617, 'add     r2, r2, #0x400', 0, ()),
    (REV_ALL_ARM, '4361', 0x66b7, 'str     r3, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, '02f57842', 0x6627, 'add     r2, r2, #0xf800', 0, ()),
    (REV_ALL_ARM, '19d1', 0x662d, 'bne     0x00006662', 0, ()),
    (REV_ALL_ARM, '16d0', 0x6661, 'beq     0x00006690', 0, ()),
    (REV_ALL_ARM, 'a2f59832', 0x6679, 'sub     r2, r2, #0x13000', 0, ()),
    (REV_ALL_ARM, '0360', 0x6699, 'str     r3, [r0]', 0, ()),
    (REV_ALL_ARM, '8b68', 0x669b, 'ldr     r3, [r1, #8]', 0, ()),
    (REV_ALL_ARM, 'c362', 0x669d, 'str     r3, [r0, #0x2c]', 0, ()),
    (REV_ALL_ARM, '0b68', 0x669f, 'ldr     r3, [r1]', 0, ()),
    (REV_ALL_ARM, '8362', 0x66a1, 'str     r3, [r0, #0x28]', 0, ()),
    (REV_ALL_ARM, '43ea0513', 0x66e5, 'orr     r3, r3, r5, lsl #4', 0, ()),
    (REV_ALL_ARM, '44ea8504', 0x670f, 'orr     r4, r4, r5, lsl #2', 0, ()),
    (REV_ALL_ARM, '8263', 0x6719, 'str     r2, [r0, #0x38]', 0, ()),
    (REV_ALL_ARM, '0068', 0x672b, 'ldr     r0, [r0]', 0, ()),
    (REV_ALL_ARM, '08f019fe', 0x672d, 'bl      0x0000f362', 0, ()),
    (REV_ALL_ARM, '5a6c', 0x6741, 'ldr     r2, [r3, #0x44]', 0, ()),
    (REV_ALL_ARM, '42f40042', 0x6743, 'orr     r2, r2, #0x08000', 0, ()),
    (REV_ALL_ARM, '5a64', 0x6747, 'str     r2, [r3, #0x44]', 0, ()),
    (REV_ALL_ARM, '1a68', 0x6749, 'ldr     r2, [r3]', 0, ()),
    (REV_ALL_ARM, '0269', 0x675f, 'ldr     r2, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, 'fada', 0x6763, 'bge     0x0000675a', 0, ()),
    (REV_ALL_ARM, '0369', 0x6765, 'ldr     r3, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '0361', 0x676b, 'str     r3, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, 'd207', 0x6775, 'lsls    r2, r2, #0x1f', 0, ()),
    (REV_ALL_ARM, 'fad4', 0x6777, 'bmi     0x0000676e', 0, ()),
    (REV_ALL_ARM, '41f02001', 0x6783, 'orr     r1, r1, #0x20', 0, ()),
    (REV_ALL_ARM, '0161', 0x6787, 'str     r1, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '1069', 0x6791, 'ldr     r0, [r2, #0x10]', 0, ()),
    (REV_ALL_ARM, '10f02000', 0x6793, 'ands    r0, r0, #0x20', 0, ()),
    (REV_ALL_ARM, '10f01000', 0x67b3, 'ands    r0, r0, #0x10', 0, ()),
    (REV_ALL_ARM, '84b0', 0x67c5, 'sub     sp, #0x10', 0, ()),
    (REV_ALL_ARM, '2de97043', 0x67c7, 'push    {r4, r5, r6, r8, r9, lr}', 0, ()),
    (REV_ALL_ARM, '07a8', 0x67cd, 'add     r0, sp, #0x1c', 0, ()),
    (REV_ALL_ARM, '80e80e00', 0x67cf, 'stm     r0, {r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, '119e', 0x67d3, 'ldr     r6, [sp, #0x44]', 0, ()),
    (REV_ALL_ARM, 'ddf82880', 0x67d5, 'ldr     r8, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, 'a36b', 0x67d9, 'ldr     r3, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, '8946', 0x67db, 'mov     r9, r1', 0, ()),
    (REV_ALL_ARM, '68d1', 0x67df, 'bne     0x000068b2', 0, ()),
    (REV_ALL_ARM, '43f40023', 0x68b3, 'orr     r3, r3, #0x080000', 0, ()),
    (REV_ALL_ARM, '95e7', 0x68b7, 'b       0x000067e4', 0, ()),
    (REV_ALL_ARM, '43f40013', 0x67e1, 'orr     r3, r3, #0x200000', 0, ()),
    (REV_ALL_ARM, 'c4f8003e', 0x67e9, 'str     r3, [r4, #0xe00]', 0, ()),
    (REV_ALL_ARM, 'd4f80038', 0x67ed, 'ldr     r3, [r4, #0x800]', 0, ()),
    (REV_ALL_ARM, 'c4f80038', 0x67f1, 'str     r3, [r4, #0x800]', 0, ()),
    (REV_ALL_ARM, '0c9b', 0x67f5, 'ldr     r3, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '04f50065', 0x67f9, 'add     r5, r4, #0x0800', 0, ()),
    (REV_ALL_ARM, '5ed1', 0x67fd, 'bne     0x000068bc', 0, ()),
    (REV_ALL_ARM, 'a1e7', 0x68bf, 'b       0x00006804', 0, ()),
    (REV_ALL_ARM, '0999', 0x67ff, 'ldr     r1, [sp, #0x24]', 0, ()),
    (REV_ALL_ARM, '59d1', 0x6803, 'bne     0x000068b8', 0, ()),
    (REV_ALL_ARM, '08f016fe', 0x6807, 'bl      0x0000f436', 0, ()),
    (REV_ALL_ARM, 'fff7b7ff', 0x680f, 'bl      0x00006780', 0, ()),
    (REV_ALL_ARM, 'fff7c6ff', 0x6815, 'bl      0x000067a4', 0, ()),
    (REV_ALL_ARM, '2b61', 0x681f, 'str     r3, [r5, #0x10]', 0, ()),
    (REV_ALL_ARM, '6b61', 0x6823, 'str     r3, [r5, #0x14]', 0, ()),
    (REV_ALL_ARM, '4ff09040', 0x6825, 'mov     r0, #0x48000000', 0, ()),
    (REV_ALL_ARM, 'aa61', 0x6829, 'str     r2, [r5, #0x18]', 0, ()),
    (REV_ALL_ARM, 'eb61', 0x682f, 'str     r3, [r5, #0x1c]', 0, ()),
    (REV_ALL_ARM, '04f51062', 0x6831, 'add     r2, r4, #0x900', 0, ()),
    (REV_ALL_ARM, 'd2f800e0', 0x68c1, 'ldr     lr, [r2]', 0, ()),
    (REV_ALL_ARM, 'bef1000f', 0x68c5, 'cmp     lr, #0', 0, ()),
    (REV_ALL_ARM, 'b4bf', 0x68c9, 'ite     lt', 0, ()),
    (REV_ALL_ARM, '1160', 0x68cd, 'str     r1, [r2]', 0, ()),
    (REV_ALL_ARM, '1161', 0x68d1, 'str     r1, [r2, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c2f808c0', 0x68d3, 'str     r12, [r2, #8]', 0, ()),
    (REV_ALL_ARM, '2032', 0x68d7, 'adds    r2, #0x20', 0, ()),
    (REV_ALL_ARM, '04f53063', 0x683b, 'add     r3, r4, #0xb00', 0, ()),
    (REV_ALL_ARM, '43d1', 0x6837, 'bne     0x000068c0', 0, ()),
    (REV_ALL_ARM, 'd3f800e0', 0x68db, 'ldr     lr, [r3]', 0, ()),
    (REV_ALL_ARM, '1960', 0x68e7, 'str     r1, [r3]', 0, ()),
    (REV_ALL_ARM, '1961', 0x68eb, 'str     r1, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c3f808c0', 0x68ed, 'str     r12, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '2b69', 0x684d, 'ldr     r3, [r5, #0x10]', 0, ()),
    (REV_ALL_ARM, 'b8f1010f', 0x684f, 'cmp     r8, #1', 0, ()),
    (REV_ALL_ARM, '4a45', 0x6849, 'cmp     r2, r9', 0, ()),
    (REV_ALL_ARM, '46d1', 0x684b, 'bne     0x000068da', 0, ()),
    (REV_ALL_ARM, '6ff08043', 0x6871, 'mvn     r3, #0x40000000', 0, ()),
    (REV_ALL_ARM, '2b63', 0x685d, 'str     r3, [r5, #0x30]', 0, ()),
    (REV_ALL_ARM, '2b6b', 0x685f, 'ldr     r3, [r5, #0x30]', 0, ()),
    (REV_ALL_ARM, '43f48033', 0x6861, 'orr     r3, r3, #0x10000', 0, ()),
    (REV_ALL_ARM, 'a269', 0x6885, 'ldr     r2, [r4, #0x18]', 0, ()),
    (REV_ALL_ARM, '0d9b', 0x688d, 'ldr     r3, [sp, #0x34]', 0, ()),
    (REV_ALL_ARM, 'a369', 0x687d, 'ldr     r3, [r4, #0x18]', 0, ()),
    (REV_ALL_ARM, '012e', 0x6899, 'cmp     r6, #1', 0, ()),
    (REV_ALL_ARM, '43f08043', 0x689f, 'orr     r3, r3, #0x40000000', 0, ()),
    (REV_ALL_ARM, 'bde87043', 0x68a9, 'pop     {r4, r5, r6, r8, r9, lr}', 0, ()),
    (REV_ALL_ARM, '4b78', 0x6901, 'ldrb    r3, [r1, #1]', 0, ()),
    (REV_ALL_ARM, '91f80080', 0x6903, 'ldrb    r8, [r1]', 0, ()),
    (REV_ALL_ARM, '4e69', 0x6907, 'ldr     r6, [r1, #0x14]', 0, ()),
    (REV_ALL_ARM, 'dff8d0e0', 0x690d, 'ldr     lr, [#0x69e0]', 0, ()),
    (REV_ALL_ARM, '4446', 0x6911, 'mov     r4, r8', 0, ()),
    (REV_ALL_ARM, '4fea4414', 0x6915, 'lsl     r4, r4, #5', 0, ()),
    (REV_ALL_ARM, '00f53060', 0x6999, 'add     r0, r0, #0xb00', 0, ()),
    (REV_ALL_ARM, '0319', 0x699d, 'adds    r3, r0, r4', 0, ()),
    (REV_ALL_ARM, '1d69', 0x699f, 'ldr     r5, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, '05ea0e05', 0x69a1, 'and     r5, r5, lr', 0, ()),
    (REV_ALL_ARM, '1d61', 0x69a5, 'str     r5, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, '05ea0c05', 0x69a9, 'and     r5, r5, r12', 0, ()),
    (REV_ALL_ARM, '06b1', 0x69b1, 'cbz     r6, 0x000069b4', 0, ()),
    (REV_ALL_ARM, '00f51069', 0x691b, 'add     r9, r0, #0x900', 0, ()),
    (REV_ALL_ARM, '04eb0903', 0x691f, 'add     r3, r4, r9', 0, ()),
    (REV_ALL_ARM, 'beb9', 0x6925, 'cbnz    r6, 0x00006956', 0, ()),
    (REV_ALL_ARM, '1e69', 0x69b5, 'ldr     r6, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, '46f40026', 0x69b7, 'orr     r6, r6, #0x080000', 0, ()),
    (REV_ALL_ARM, '1e61', 0x69bb, 'str     r6, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c5f31205', 0x69c1, 'ubfx    r5, r5, #0, #0x13', 0, ()),
    (REV_ALL_ARM, '45ea0605', 0x69c9, 'orr     r5, r5, r6', 0, ()),
    (REV_ALL_ARM, '5a61', 0x69d1, 'str     r2, [r3, #0x14]', 0, ()),
    (REV_ALL_ARM, '0359', 0x69d3, 'ldr     r3, [r0, r4]', 0, ()),
    (REV_ALL_ARM, '43f00443', 0x69d5, 'orr     r3, r3, #0x84000000', 0, ()),
    (REV_ALL_ARM, '0351', 0x69d9, 'str     r3, [r0, r4]', 0, ()),
    (REV_ALL_ARM, '4d61', 0x69b3, 'str     r5, [r1, #0x14]', 0, ()),
    (REV_ALL_ARM, '38bf', 0x6969, 'it      cc', 0, ()),
    (REV_ALL_ARM, '45f40025', 0x696f, 'orr     r5, r5, #0x080000', 0, ()),
    (REV_ALL_ARM, 'bde87083', 0x6953, 'pop     {r4, r5, r6, r8, r9, pc}', 0, ()),
    (REV_ALL_ARM, '54f80950', 0x693d, 'ldr     r5, [r4, r9]', 0, ()),
    (REV_ALL_ARM, '45f00445', 0x6943, 'orr     r5, r5, #0x84000000', 0, ()),
    (REV_ALL_ARM, '44f80950', 0x6947, 'str     r5, [r4, r9]', 0, ()),
    (REV_ALL_ARM, '4b69', 0x6981, 'ldr     r3, [r1, #0x14]', 0, ()),
    (REV_ALL_ARM, 'e4d0', 0x6985, 'beq     0x00006950', 0, ()),
    (REV_ALL_ARM, '0a69', 0x694d, 'ldr     r2, [r1, #0x10]', 0, ()),
    (REV_ALL_ARM, 'd0f83428', 0x6987, 'ldr     r2, [r0, #0x834]', 0, ()),
    (REV_ALL_ARM, '03fa08f3', 0x698d, 'lsl     r3, r3, r8', 0, ()),
    (REV_ALL_ARM, 'c0f83438', 0x6993, 'str     r3, [r0, #0x834]', 0, ()),
    (REV_ALL_ARM, '2de97747', 0x69e5, 'push    {r0, r1, r2, r4, r5, r6, r8, r9, r10, lr}', 0, ()),
    (REV_ALL_ARM, '91f80090', 0x69e9, 'ldrb    r9, [r1]', 0, ()),
    (REV_ALL_ARM, '91f801c0', 0x69ed, 'ldrb    r12, [r1, #1]', 0, ()),
    (REV_ALL_ARM, 'dff8a0e1', 0x69f3, 'ldr     lr, [#0x6b94]', 0, ()),
    (REV_ALL_ARM, '4c46', 0x69fb, 'mov     r4, r9', 0, ()),
    (REV_ALL_ARM, 'bcf1010f', 0x69fd, 'cmp     r12, #1', 0, ()),
    (REV_ALL_ARM, 'ca78', 0x6a07, 'ldrb    r2, [r1, #3]', 0, ()),
    (REV_ALL_ARM, '67d1', 0x6a09, 'bne     0x00006ada', 0, ()),
    (REV_ALL_ARM, '00f5306c', 0x6adb, 'add     r12, r0, #0xb00', 0, ()),
    (REV_ALL_ARM, '0ceb0405', 0x6adf, 'add     r5, r12, r4', 0, ()),
    (REV_ALL_ARM, 'd5f81090', 0x6ae3, 'ldr     r9, [r5, #0x10]', 0, ()),
    (REV_ALL_ARM, '09ea0808', 0x6ae7, 'and     r8, r9, r8', 0, ()),
    (REV_ALL_ARM, 'c5f81080', 0x6aeb, 'str     r8, [r5, #0x10]', 0, ()),
    (REV_ALL_ARM, 'd5f81080', 0x6aef, 'ldr     r8, [r5, #0x10]', 0, ()),
    (REV_ALL_ARM, '08ea0e0e', 0x6af3, 'and     lr, r8, lr', 0, ()),
    (REV_ALL_ARM, 'c5f810e0', 0x6af7, 'str     lr, [r5, #0x10]', 0, ()),
    (REV_ALL_ARM, 'd1f808e0', 0x6afb, 'ldr     lr, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '23bb', 0x6aff, 'cbnz    r3, 0x00006b4a', 0, ()),
    (REV_ALL_ARM, '00f51065', 0x6a0b, 'add     r5, r0, #0x900', 0, ()),
    (REV_ALL_ARM, '32d1', 0x6a13, 'bne     0x00006a7a', 0, ()),
    (REV_ALL_ARM, '7344', 0x6b53, 'add     r3, lr', 0, ()),
    (REV_ALL_ARM, 'b3fbfef3', 0x6b57, 'udiv    r3, r3, lr', 0, ()),
    (REV_ALL_ARM, '08eac348', 0x6b5b, 'and     r8, r8, r3, lsl #19', 0, ()),
    (REV_ALL_ARM, '48ea0908', 0x6b5f, 'orr     r8, r8, r9', 0, ()),
    (REV_ALL_ARM, '0efb03f3', 0x6b6d, 'mul     r3, lr, r3', 0, ()),
    (REV_ALL_ARM, 'c3f31203', 0x6b71, 'ubfx    r3, r3, #0, #0x13', 0, ()),
    (REV_ALL_ARM, '43ea0803', 0x6b75, 'orr     r3, r3, r8', 0, ()),
    (REV_ALL_ARM, 'cef31203', 0x6b05, 'ubfx    r3, lr, #0, #0x13', 0, ()),
    (REV_ALL_ARM, 'd4f810a0', 0x6a7b, 'ldr     r10, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '0aea0808', 0x6a7f, 'and     r8, r10, r8', 0, ()),
    (REV_ALL_ARM, 'c4f81080', 0x6a83, 'str     r8, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'd4f81080', 0x6a87, 'ldr     r8, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'd1f80880', 0x6a8f, 'ldr     r8, [r1, #8]', 0, ()),
    (REV_ALL_ARM, 'c4f810e0', 0x6a93, 'str     lr, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '08eb030e', 0x6a97, 'add     lr, r8, r3', 0, ()),
    (REV_ALL_ARM, '0ef1ff3e', 0x6a9b, 'add     lr, lr, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'befbf8f8', 0x6a9f, 'udiv    r8, lr, r8', 0, ()),
    (REV_ALL_ARM, '0eeac84e', 0x6aab, 'and     lr, lr, r8, lsl #19', 0, ()),
    (REV_ALL_ARM, '4eea0a0e', 0x6aaf, 'orr     lr, lr, r10', 0, ()),
    (REV_ALL_ARM, 'c3f3120e', 0x6abb, 'ubfx    lr, r3, #0, #0x13', 0, ()),
    (REV_ALL_ARM, '4eea080e', 0x6abf, 'orr     lr, lr, r8', 0, ()),
    (REV_ALL_ARM, '57d1', 0x6ac9, 'bne     0x00006b7a', 0, ()),
    (REV_ALL_ARM, '02ea0e02', 0x6a17, 'and     r2, r2, lr', 0, ()),
    (REV_ALL_ARM, '2261', 0x6a1b, 'str     r2, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '42f40022', 0x6a1f, 'orr     r2, r2, #0x080000', 0, ()),
    (REV_ALL_ARM, '02ea0802', 0x6a27, 'and     r2, r2, r8', 0, ()),
    (REV_ALL_ARM, 'cb68', 0x6b1b, 'ldr     r3, [r1, #0xc]', 0, ()),
    (REV_ALL_ARM, '5cf80430', 0x6b3d, 'ldr     r3, [r12, r4]', 0, ()),
    (REV_ALL_ARM, '4cf80430', 0x6b45, 'str     r3, [r12, r4]', 0, ()),
    (REV_ALL_ARM, 'd0f80838', 0x6b23, 'ldr     r3, [r0, #0x808]', 0, ()),
    (REV_ALL_ARM, '13f4807f', 0x6b27, 'tst     r3, #0x100', 0, ()),
    (REV_ALL_ARM, '43f00053', 0x6b31, 'orr     r3, r3, #0x20000000', 0, ()),
    (REV_ALL_ARM, '43f08053', 0x6b35, 'orr     r3, r3, #0x10000000', 0, ()),
    (REV_ALL_ARM, '3ff458af', 0x6b7d, 'beq     0x00006a30', 0, ()),
    (REV_ALL_ARM, '42f00052', 0x6ad5, 'orr     r2, r2, #0x20000000', 0, ()),
    (REV_ALL_ARM, 'a7e7', 0x6ad9, 'b       0x00006a2a', 0, ()),
    (REV_ALL_ARM, '91f803c0', 0x6a35, 'ldrb    r12, [r1, #3]', 0, ()),
    (REV_ALL_ARM, '0a78', 0x6a39, 'ldrb    r2, [r1]', 0, ()),
    (REV_ALL_ARM, '05eb4214', 0x6a3f, 'add     r4, r5, r2, lsl #5', 0, ()),
    (REV_ALL_ARM, '6261', 0x6a33, 'str     r2, [r4, #0x14]', 0, ()),
    (REV_ALL_ARM, 'bde87087', 0x6a77, 'pop     {r4, r5, r6, r8, r9, r10, pc}', 0, ()),
    (REV_ALL_ARM, '0cfa09fc', 0x6b85, 'lsl     r12, r12, r9', 0, ()),
    (REV_ALL_ARM, '4cea0202', 0x6b89, 'orr     r2, r12, r2', 0, ()),
    (REV_ALL_ARM, 'c0f83428', 0x6b8d, 'str     r2, [r0, #0x834]', 0, ()),
    (REV_ALL_ARM, '2568', 0x6a5b, 'ldr     r5, [r4]', 0, ()),
    (REV_ALL_ARM, '2560', 0x6a65, 'str     r5, [r4]', 0, ()),
    (REV_ALL_ARM, 'd0f80858', 0x6a45, 'ldr     r5, [r0, #0x808]', 0, ()),
    (REV_ALL_ARM, '15f4807f', 0x6a49, 'tst     r5, #0x100', 0, ()),
    (REV_ALL_ARM, '45f00055', 0x6a51, 'orr     r5, r5, #0x20000000', 0, ()),
    (REV_ALL_ARM, '45f08055', 0x6a55, 'orr     r5, r5, #0x10000000', 0, ()),
    (REV_ALL_ARM, '0096', 0x6a69, 'str     r6, [sp]', 0, ()),
    (REV_ALL_ARM, 'c968', 0x6a6b, 'ldr     r1, [r1, #0xc]', 0, ()),
    (REV_ALL_ARM, '08f03bfd', 0x6a6f, 'bl      0x0000f4e8', 0, ()),
    (REV_ALL_ARM, '02f00072', 0x6ba7, 'and     r2, r2, #0x2000000', 0, ()),
    (REV_ALL_ARM, '03f00063', 0x6bab, 'and     r3, r3, #0x08000000', 0, ()),
    (REV_ALL_ARM, '13f48043', 0x6bc1, 'ands    r3, r3, #0x4000', 0, ()),
    (REV_ALL_ARM, '1bd0', 0x6bc5, 'beq     0x00006bfe', 0, ()),
    (REV_ALL_ARM, '1268', 0x6c01, 'ldr     r2, [r2]', 0, ()),
    (REV_ALL_ARM, '5204', 0x6c03, 'lsls    r2, r2, #0x11', 0, ()),
    (REV_ALL_ARM, '11d4', 0x6c05, 'bmi     0x00006c2a', 0, ()),
    (REV_ALL_ARM, '0a68', 0x6c2d, 'ldr     r2, [r1]', 0, ()),
    (REV_ALL_ARM, '1a43', 0x6c33, 'orrs    r2, r3', 0, ()),
    (REV_ALL_ARM, '0a60', 0x6c35, 'str     r2, [r1]', 0, ()),
    (REV_ALL_ARM, '0868', 0x6c37, 'ldr     r0, [r1]', 0, ()),
    (REV_ALL_ARM, '00f00f00', 0x6c39, 'and     r0, r0, #0xf', 0, ()),
    (REV_ALL_ARM, '5842', 0x6c3f, 'rsbs    r0, r3, #0', 0, ()),
    (REV_ALL_ARM, '5841', 0x6c41, 'adcs    r0, r3', 0, ()),
    (REV_ALL_ARM, '01d9', 0x6bd1, 'bls     0x00006bd6', 0, ()),
    (REV_ALL_ARM, '02d9', 0x6c23, 'bls     0x00006c2a', 0, ()),
    (REV_ALL_ARM, 'f1d8', 0x6bfd, 'bhi     0x00006be2', 0, ()),
    (REV_ALL_ARM, '04e0', 0x6bf3, 'b       0x00006bfe', 0, ()),
    (REV_ALL_ARM, 'd35c', 0x6c6f, 'ldrb    r3, [r2, r3]', 0, ()),
    (REV_ALL_ARM, '20fa03f4', 0x6c73, 'lsr     r4, r0, r3', 0, ()),
    (REV_ALL_ARM, '27d3', 0x6c7d, 'bcc     0x00006cce', 0, ()),
    (REV_ALL_ARM, '1cb1', 0x6cd1, 'cbz     r4, 0x00006cda', 0, ()),
    (REV_ALL_ARM, '42f08072', 0x6c83, 'orr     r2, r2, #0x1000000', 0, ()),
    (REV_ALL_ARM, 'fff773ff', 0x6cd3, 'bl      0x00006bbc', 0, ()),
    (REV_ALL_ARM, 'd1d0', 0x6cd9, 'beq     0x00006c7e', 0, ()),
    (REV_ALL_ARM, 'fcd5', 0x6c8d, 'bpl     0x00006c88', 0, ()),
    (REV_ALL_ARM, '9a68', 0x6c8f, 'ldr     r2, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '0a43', 0x6c97, 'orrs    r2, r1', 0, ()),
    (REV_ALL_ARM, '3460', 0x6ced, 'str     r4, [r6]', 0, ()),
    (REV_ALL_ARM, '24b1', 0x6ce3, 'cbz     r4, 0x00006cee', 0, ()),
    (REV_ALL_ARM, '02f00c02', 0x6cab, 'and     r2, r2, #0xc', 0, ()),
    (REV_ALL_ARM, '082a', 0x6caf, 'cmp     r2, #8', 0, ()),
    (REV_ALL_ARM, 'fad1', 0x6cb1, 'bne     0x00006ca8', 0, ()),
    (REV_ALL_ARM, '6968', 0x6cb5, 'ldr     r1, [r5, #4]', 0, ()),
    (REV_ALL_ARM, 'a968', 0x6cc1, 'ldr     r1, [r5, #8]', 0, ()),
    (REV_ALL_ARM, 'fff76aff', 0x6ce5, 'bl      0x00006bbc', 0, ()),
    (REV_ALL_ARM, 'fff74bff', 0x6d07, 'bl      0x00006ba0', 0, ()),
    (REV_ALL_ARM, '36d1', 0x6d0d, 'bne     0x00006d7c', 0, ()),
    (REV_ALL_ARM, '2768', 0x6d0f, 'ldr     r7, [r4]', 0, ()),
    (REV_ALL_ARM, 'd4f804c0', 0x6d11, 'ldr     r12, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '07f03f00', 0x6d19, 'and     r0, r7, #0x3f', 0, ()),
    (REV_ALL_ARM, 'b5fbf0f5', 0x6d1d, 'udiv    r5, r5, r0', 0, ()),
    (REV_ALL_ARM, 'ccf30800', 0x6d21, 'ubfx    r0, r12, #0, #9', 0, ()),
    (REV_ALL_ARM, '180c', 0x6d29, 'lsrs    r0, r3, #0x10', 0, ()),
    (REV_ALL_ARM, 'b5fbf0f0', 0x6d2f, 'udiv    r0, r5, r0', 0, ()),
    (REV_ALL_ARM, '9503', 0x6d33, 'lsls    r5, r2, #0xe', 0, ()),
    (REV_ALL_ARM, '0fd4', 0x6d35, 'bmi     0x00006d56', 0, ()),
    (REV_ALL_ARM, '6568', 0x6d5b, 'ldr     r5, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '2a40', 0x6d5d, 'ands    r2, r5', 0, ()),
    (REV_ALL_ARM, '42ea8c12', 0x6d5f, 'orr     r2, r2, r12, lsl #6', 0, ()),
    (REV_ALL_ARM, '3a43', 0x6d63, 'orrs    r2, r7', 0, ()),
    (REV_ALL_ARM, '42f48002', 0x6d65, 'orr     r2, r2, #0x400000', 0, ()),
    (REV_ALL_ARM, '6260', 0x6d69, 'str     r2, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '6268', 0x6d6b, 'ldr     r2, [r4, #4]', 0, ()),
    (REV_ALL_ARM, 'bde8f840', 0x6d75, 'pop     {r3, r4, r5, r6, r7, lr}', 0, ()),
    (REV_ALL_ARM, 'fff774bf', 0x6d79, 'b       0x00006c64', 0, ()),
    (REV_ALL_ARM, '42f48022', 0x6d3d, 'orr     r2, r2, #0x40000', 0, ()),
    (REV_ALL_ARM, '2260', 0x6d45, 'str     r2, [r4]', 0, ()),
    (REV_ALL_ARM, '45f48035', 0x6d49, 'orr     r5, r5, #0x10000', 0, ()),
    (REV_ALL_ARM, '9203', 0x6d53, 'lsls    r2, r2, #0xe', 0, ()),
    (REV_ALL_ARM, '0192', 0x6d8f, 'str     r2, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '05f033fe', 0x6d93, 'bl      0x0000c9fc', 0, ()),
    (REV_ALL_ARM, '00f036fa', 0x6d99, 'bl      0x00007208', 0, ()),
    (REV_ALL_ARM, '4360', 0x6da5, 'str     r3, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '0381', 0x6da9, 'strh    r3, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '06f091ba', 0x6db7, 'b       0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '06f08afd', 0x6dcd, 'bl      0x0000d8e4', 0, ()),
    (REV_ALL_ARM, 'cde90243', 0x6dd5, 'strd    r4, r3, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '4ff44072', 0x6dd9, 'mov     r2, #0x300', 0, ()),
    (REV_ALL_ARM, 'cde90444', 0x6de1, 'strd    r4, r4, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'cde90044', 0x6de5, 'strd    r4, r4, [sp]', 0, ()),
    (REV_ALL_ARM, '06f07ffb', 0x6deb, 'bl      0x0000d4ec', 0, ()),
    (REV_ALL_ARM, '0bf05afd', 0x6df3, 'bl      0x000128aa', 0, ()),
    (REV_ALL_ARM, '00f0edf9', 0x6e17, 'bl      0x000071f4', 0, ()),
    (REV_ALL_ARM, '08f04efc', 0x6e1d, 'bl      0x0000f6bc', 0, ()),
    (REV_ALL_ARM, '05f0c4fd', 0x6e29, 'bl      0x0000c9b4', 0, ()),
    (REV_ALL_ARM, '4ff47a70', 0x6e33, 'mov     r0, #0x3e8', 0, ()),
    (REV_ALL_ARM, '00f003bc', 0x6e3b, 'b       0x00007644', 0, ()),
    (REV_ALL_ARM, '53e8007f', 0x6e5f, 'ldrex   r7, [r3]', 0, ()),
    (REV_ALL_ARM, '43e80052', 0x6e63, 'strex   r2, r5, [r3]', 0, ()),
    (REV_ALL_ARM, '361b', 0x6e73, 'subs    r6, r6, r4', 0, ()),
    (REV_ALL_ARM, '3611', 0x6e75, 'asrs    r6, r6, #4', 0, ()),
    (REV_ALL_ARM, '5b79', 0x6e7f, 'ldrb    r3, [r3, #5]', 0, ()),
    (REV_ALL_ARM, '2bb1', 0x6e81, 'cbz     r3, 0x00006e8e', 0, ()),
    (REV_ALL_ARM, '1034', 0x6e91, 'adds    r4, #0x10', 0, ()),
    (REV_ALL_ARM, '03b9', 0x6eab, 'cbnz    r3, 0x00006eae', 0, ()),
    (REV_ALL_ARM, 'eff31185', 0x6eb3, 'mrs     r5, basepri', 0, ()),
    (REV_ALL_ARM, '08f00cfc', 0x6ec1, 'bl      0x0000f6dc', 0, ()),
    (REV_ALL_ARM, '85f31188', 0x6ec7, 'msr     basepri, r5', 0, ()),
    (REV_ALL_ARM, '60b3', 0x6ead, 'cbz     r0, 0x00006f08', 0, ()),
    (REV_ALL_ARM, '08f0ebfb', 0x6eff, 'bl      0x0000f6d8', 0, ()),
    (REV_ALL_ARM, '43e80021', 0x6edd, 'strex   r1, r2, [r3]', 0, ()),
    (REV_ALL_ARM, 'f8d1', 0x6ee3, 'bne     0x00006ed6', 0, ()),
    (REV_ALL_ARM, 'fff7acff', 0x6ef9, 'bl      0x00006e54', 0, ()),
    (REV_ALL_ARM, '7f1b', 0x6f13, 'subs    r7, r7, r5', 0, ()),
    (REV_ALL_ARM, '3f11', 0x6f15, 'asrs    r7, r7, #4', 0, ()),
    (REV_ALL_ARM, 'a046', 0x6f17, 'mov     r8, r4', 0, ()),
    (REV_ALL_ARM, '08f0e5fc', 0x6eed, 'bl      0x0000f8ba', 0, ()),
    (REV_ALL_ARM, '08f10108', 0x6f2d, 'add     r8, r8, #1', 0, ()),
    (REV_ALL_ARM, '1035', 0x6f31, 'adds    r5, #0x10', 0, ()),
    (REV_ALL_ARM, 'b845', 0x6f19, 'cmp     r8, r7', 0, ()),
    (REV_ALL_ARM, 'e6da', 0x6f1b, 'bge     0x00006eea', 0, ()),
    (REV_ALL_ARM, '4181', 0x6f53, 'strh    r1, [r0, #0xa]', 0, ()),
    (REV_ALL_ARM, '55e8003f', 0x6f61, 'ldrex   r3, [r5]', 0, ()),
    (REV_ALL_ARM, '45e80032', 0x6f67, 'strex   r2, r3, [r5]', 0, ()),
    (REV_ALL_ARM, '08f09dfb', 0x6f87, 'bl      0x0000f6c4', 0, ()),
    (REV_ALL_ARM, '86f31188', 0x6f8b, 'msr     basepri, r6', 0, ()),
    (REV_ALL_ARM, '7ab1', 0x6f97, 'cbz     r2, 0x00006fb8', 0, ()),
    (REV_ALL_ARM, '0968', 0x6fbd, 'ldr     r1, [r1]', 0, ()),
    (REV_ALL_ARM, 'f9d0', 0x6fc1, 'beq     0x00006fb6', 0, ()),
    (REV_ALL_ARM, 'eff31184', 0x6f9d, 'mrs     r4, basepri', 0, ()),
    (REV_ALL_ARM, 'fff779ff', 0x6fab, 'bl      0x00006ea0', 0, ()),
    (REV_ALL_ARM, '84f31188', 0x6faf, 'msr     basepri, r4', 0, ()),
    (REV_ALL_ARM, '06f0a8bc', 0x6fd1, 'b       0x0000d924', 0, ()),
    (REV_ALL_ARM, '0bf05ffd', 0x6fdb, 'bl      0x00012a9c', 0, ()),
    (REV_ALL_ARM, '06f07ab9', 0x6fe5, 'b       0x0000d2dc', 0, ()),
    (REV_ALL_ARM, 'b1ebd30f', 0x702b, 'cmp     r1, r3, lsr #3', 0, ()),
    (REV_ALL_ARM, '52f83100', 0x7031, 'ldr     r0, [r2, r1, lsl #3]', 0, ()),
    (REV_ALL_ARM, '801a', 0x704b, 'subs    r0, r0, r2', 0, ()),
    (REV_ALL_ARM, '0011', 0x704d, 'asrs    r0, r0, #4', 0, ()),
    (REV_ALL_ARM, '1871', 0x7053, 'strb    r0, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '5d71', 0x7055, 'strb    r5, [r3, #5]', 0, ()),
    (REV_ALL_ARM, '13b9', 0x7059, 'cbnz    r3, 0x00007060', 0, ()),
    (REV_ALL_ARM, '2570', 0x7061, 'strb    r5, [r4]', 0, ()),
    (REV_ALL_ARM, '06f03ef9', 0x705d, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '53e8005f', 0x7079, 'ldrex   r5, [r3]', 0, ()),
    (REV_ALL_ARM, '6a1c', 0x707d, 'adds    r2, r5, #1', 0, ()),
    (REV_ALL_ARM, '2db9', 0x708b, 'cbnz    r5, 0x00007098', 0, ()),
    (REV_ALL_ARM, '43b1', 0x709d, 'cbz     r3, 0x000070b0', 0, ()),
    (REV_ALL_ARM, '5b69', 0x70a1, 'ldr     r3, [r3, #0x14]', 0, ()),
    (REV_ALL_ARM, 'fff7c8ff', 0x70ad, 'bl      0x00007040', 0, ()),
    (REV_ALL_ARM, '3d78', 0x70c9, 'ldrb    r5, [r7]', 0, ()),
    (REV_ALL_ARM, '75b9', 0x70cb, 'cbnz    r5, 0x000070ea', 0, ()),
    (REV_ALL_ARM, 'fff7ceff', 0x70d1, 'bl      0x00007070', 0, ()),
    (REV_ALL_ARM, 'fff7dffe', 0x70df, 'bl      0x00006ea0', 0, ()),
    (REV_ALL_ARM, '1b69', 0x70f7, 'ldr     r3, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, '07db', 0x70db, 'blt     0x000070ec', 0, ()),
    (REV_ALL_ARM, 'fff7afff', 0x710f, 'bl      0x00007070', 0, ()),
    (REV_ALL_ARM, '06f0a1f8', 0x7113, 'bl      0x0000d258', 0, ()),
    (REV_ALL_ARM, '30b1', 0x711b, 'cbz     r0, 0x0000712a', 0, ()),
    (REV_ALL_ARM, '092b', 0x7121, 'cmp     r3, #9', 0, ()),
    (REV_ALL_ARM, '02dd', 0x7123, 'ble     0x0000712a', 0, ()),
    (REV_ALL_ARM, 'fff7b7fe', 0x712f, 'bl      0x00006ea0', 0, ()),
    (REV_ALL_ARM, '06f0faf8', 0x713d, 'bl      0x0000d334', 0, ()),
    (REV_ALL_ARM, '06f0d9f8', 0x7127, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '05f04ffc', 0x715b, 'bl      0x0000c9fc', 0, ()),
    (REV_ALL_ARM, 'd0b9', 0x7161, 'cbnz    r0, 0x00007198', 0, ()),
    (REV_ALL_ARM, '53e8001f', 0x716b, 'ldrex   r1, [r3]', 0, ()),
    (REV_ALL_ARM, '43e80020', 0x716f, 'strex   r0, r2, [r3]', 0, ()),
    (REV_ALL_ARM, '1f22', 0x717d, 'movs    r2, #0x1f', 0, ()),
    (REV_ALL_ARM, '0430', 0x7181, 'adds    r0, #4', 0, ()),
    (REV_ALL_ARM, '09f044fe', 0x7183, 'bl      0x00010e0e', 0, ()),
    (REV_ALL_ARM, '7e22', 0x7189, 'movs    r2, #0x7e', 0, ()),
    (REV_ALL_ARM, '80f82320', 0x718b, 'strb    r2, [r0, #0x23]', 0, ()),
    (REV_ALL_ARM, '80f82440', 0x718f, 'strb    r4, [r0, #0x24]', 0, ()),
    (REV_ALL_ARM, '7833', 0x71ab, 'adds    r3, #0x78', 0, ()),
    (REV_ALL_ARM, '0438', 0x71c3, 'subs    r0, #4', 0, ()),
    (REV_ALL_ARM, '50e8003f', 0x71cb, 'ldrex   r3, [r0]', 0, ()),
    (REV_ALL_ARM, '40e80021', 0x71d1, 'strex   r1, r2, [r0]', 0, ()),
    (REV_ALL_ARM, '05f036fc', 0x71e5, 'bl      0x0000ca54', 0, ()),
    (REV_ALL_ARM, '05f0dabb', 0x71fd, 'b       0x0000c9b4', 0, ()),
    (REV_ALL_ARM, 'f1d1', 0x722b, 'bne     0x00007210', 0, ()),
    (REV_ALL_ARM, '05f0ebfb', 0x7223, 'bl      0x0000c9fc', 0, ()),
    (REV_ALL_ARM, '08b1', 0x7227, 'cbz     r0, 0x0000722c', 0, ()),
    (REV_ALL_ARM, '05f0dbfb', 0x7243, 'bl      0x0000c9fc', 0, ()),
    (REV_ALL_ARM, 'fff7deff', 0x7249, 'bl      0x00007208', 0, ()),
    (REV_ALL_ARM, '037a', 0x725f, 'ldrb    r3, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '437a', 0x7285, 'ldrb    r3, [r0, #9]', 0, ()),
    (REV_ALL_ARM, '1d09', 0x7287, 'lsrs    r5, r3, #4', 0, ()),
    (REV_ALL_ARM, 'edd0', 0x7289, 'beq     0x00007266', 0, ()),
    (REV_ALL_ARM, '1a7a', 0x7269, 'ldrb    r2, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '9207', 0x726b, 'lsls    r2, r2, #0x1e', 0, ()),
    (REV_ALL_ARM, '04d5', 0x726d, 'bpl     0x00007278', 0, ()),
    (REV_ALL_ARM, '05f0eafb', 0x727d, 'bl      0x0000ca54', 0, ()),
    (REV_ALL_ARM, '05f0cffb', 0x72b3, 'bl      0x0000ca54', 0, ()),
    (REV_ALL_ARM, '0395', 0x72b7, 'str     r5, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '08f0f4fa', 0x7291, 'bl      0x0000f87c', 0, ()),
    (REV_ALL_ARM, 'fff785ff', 0x7297, 'bl      0x000071a4', 0, ()),
    (REV_ALL_ARM, 'fff78fff', 0x729f, 'bl      0x000071c0', 0, ()),
    (REV_ALL_ARM, '0eb4', 0x72c1, 'push    {r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, '03b5', 0x72c3, 'push    {r0, r1, lr}', 0, ()),
    (REV_ALL_ARM, '53f8042b', 0x72c9, 'ldr     r2, [r3], #4', 0, ()),
    (REV_ALL_ARM, 'fef7cafc', 0x72d1, 'bl      0x00005c68', 0, ()),
    (REV_ALL_ARM, '5df804eb', 0x72d9, 'pop     {lr}', 0, ()),
    (REV_ALL_ARM, '11f00204', 0x72eb, 'ands    r4, r1, #2', 0, ()),
    (REV_ALL_ARM, '9df83870', 0x72f1, 'ldrb    r7, [sp, #0x38]', 0, ()),
    (REV_ALL_ARM, '01f00109', 0x72f9, 'and     r9, r1, #1', 0, ()),
    (REV_ALL_ARM, '01f00805', 0x72fd, 'and     r5, r1, #8', 0, ()),
    (REV_ALL_ARM, '11f0440f', 0x7303, 'tst     r1, #0x44', 0, ()),
    (REV_ALL_ARM, '3db1', 0x732d, 'cbz     r5, 0x0000733e', 0, ()),
    (REV_ALL_ARM, '53f82720', 0x731b, 'ldr     r2, [r3, r7, lsl #2]', 0, ()),
    (REV_ALL_ARM, 'fff7caff', 0x7329, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '1968', 0x7379, 'ldr     r1, [r3]', 0, ()),
    (REV_ALL_ARM, '31b3', 0x737b, 'cbz     r1, 0x000073ca', 0, ()),
    (REV_ALL_ARM, 'fff7d9ff', 0x730b, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '44d0', 0x7343, 'beq     0x000073ce', 0, ()),
    (REV_ALL_ARM, 'fff7c2ff', 0x7339, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '9fe7', 0x73cd, 'b       0x0000730e', 0, ()),
    (REV_ALL_ARM, '4ff4616c', 0x737f, 'mov     r12, #0xe10', 0, ()),
    (REV_ALL_ARM, 'b2fbf3f3', 0x7385, 'udiv    r3, r2, r3', 0, ()),
    (REV_ALL_ARM, '4ff47a7b', 0x7389, 'mov     r11, #0x3e8', 0, ()),
    (REV_ALL_ARM, 'b3fbf1f4', 0x738d, 'udiv    r4, r3, r1', 0, ()),
    (REV_ALL_ARM, 'b4fbfcf2', 0x7391, 'udiv    r2, r4, r12', 0, ()),
    (REV_ALL_ARM, '0cfb124c', 0x7395, 'mls     r12, r12, r2, r4', 0, ()),
    (REV_ALL_ARM, '01fb1434', 0x7399, 'mls     r4, r1, r4, r3', 0, ()),
    (REV_ALL_ARM, '0bfb04f4', 0x739d, 'mul     r4, r11, r4', 0, ()),
    (REV_ALL_ARM, '4ff03c0e', 0x73a1, 'mov     lr, #0x3c', 0, ()),
    (REV_ALL_ARM, 'b4fbf1fa', 0x73a5, 'udiv    r10, r4, r1', 0, ()),
    (REV_ALL_ARM, '01fb1a44', 0x73a9, 'mls     r4, r1, r10, r4', 0, ()),
    (REV_ALL_ARM, 'bcfbfef3', 0x73b1, 'udiv    r3, r12, lr', 0, ()),
    (REV_ALL_ARM, 'cde901a1', 0x73b9, 'strd    r10, r1, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '0efb13c1', 0x73bd, 'mls     r1, lr, r3, r12', 0, ()),
    (REV_ALL_ARM, 'fff77cff', 0x73c5, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '03fa07f7', 0x7347, 'lsl     r7, r3, r7', 0, ()),
    (REV_ALL_ARM, '17f0100f', 0x734d, 'tst     r7, #0x10', 0, ()),
    (REV_ALL_ARM, 'bdf84010', 0x7357, 'ldrh    r1, [sp, #0x40]', 0, ()),
    (REV_ALL_ARM, '9df83c00', 0x735b, 'ldrb    r0, [sp, #0x3c]', 0, ()),
    (REV_ALL_ARM, 'fff761fe', 0x735f, 'bl      0x00007024', 0, ()),
    (REV_ALL_ARM, 'fff7aaff', 0x7369, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '2844', 0x736d, 'add     r0, r5', 0, ()),
    (REV_ALL_ARM, '2044', 0x736f, 'add     r0, r4', 0, ()),
    (REV_ALL_ARM, '2de9f843', 0x7401, 'push    {r3, r4, r5, r6, r7, r8, r9, lr}', 0, ()),
    (REV_ALL_ARM, 'da06', 0x740b, 'lsls    r2, r3, #0x1b', 0, ()),
    (REV_ALL_ARM, '05d4', 0x7411, 'bmi     0x0000741e', 0, ()),
    (REV_ALL_ARM, '9b06', 0x7413, 'lsls    r3, r3, #0x1a', 0, ()),
    (REV_ALL_ARM, '4cbf', 0x7415, 'ite     mi', 0, ()),
    (REV_ALL_ARM, 'fff751ff', 0x741b, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'fff71eff', 0x7481, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'a845', 0x7427, 'cmp     r8, r5', 0, ()),
    (REV_ALL_ARM, '28db', 0x7429, 'blt     0x0000747c', 0, ()),
    (REV_ALL_ARM, 'fff717ff', 0x748f, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '725d', 0x7439, 'ldrb    r2, [r6, r5]', 0, ()),
    (REV_ALL_ARM, 'fff73fff', 0x743f, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '082d', 0x7445, 'cmp     r5, #8', 0, ()),
    (REV_ALL_ARM, 'bd42', 0x7435, 'cmp     r5, r7', 0, ()),
    (REV_ALL_ARM, '28d2', 0x7437, 'bcs     0x0000748a', 0, ()),
    (REV_ALL_ARM, 'fff734ff', 0x7455, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'fff712ff', 0x7499, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'a2f12003', 0x7461, 'sub     r3, r2, #0x20', 0, ()),
    (REV_ALL_ARM, '5f2b', 0x7465, 'cmp     r3, #0x5f', 0, ()),
    (REV_ALL_ARM, '2e22', 0x7469, 'movs    r2, #0x2e', 0, ()),
    (REV_ALL_ARM, 'fff727ff', 0x746f, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'af42', 0x745b, 'cmp     r7, r5', 0, ()),
    (REV_ALL_ARM, '1ad9', 0x745d, 'bls     0x00007494', 0, ()),
    (REV_ALL_ARM, 'bde8f883', 0x7479, 'pop     {r3, r4, r5, r6, r7, r8, r9, pc}', 0, ()),
    (REV_ALL_ARM, 'e107', 0x74c1, 'lsls    r1, r4, #0x1f', 0, ()),
    (REV_ALL_ARM, '03d5', 0x74c5, 'bpl     0x000074ce', 0, ()),
    (REV_ALL_ARM, 'e206', 0x74cf, 'lsls    r2, r4, #0x1b', 0, ()),
    (REV_ALL_ARM, '08d4', 0x74d1, 'bmi     0x000074e4', 0, ()),
    (REV_ALL_ARM, 'fff7f9fe', 0x74cb, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'a306', 0x74d3, 'lsls    r3, r4, #0x1a', 0, ()),
    (REV_ALL_ARM, 'fff7eebe', 0x74e1, 'b       0x000072c0', 0, ()),
    (REV_ALL_ARM, '8b7a', 0x74fd, 'ldrb    r3, [r1, #0xa]', 0, ()),
    (REV_ALL_ARM, '13f00708', 0x74ff, 'ands    r8, r3, #7', 0, ()),
    (REV_ALL_ARM, 'c146', 0x7553, 'mov     r9, r8', 0, ()),
    (REV_ALL_ARM, '0a7a', 0x750d, 'ldrb    r2, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '4989', 0x750f, 'ldrh    r1, [r1, #0xa]', 0, ()),
    (REV_ALL_ARM, 'c3f3c203', 0x7511, 'ubfx    r3, r3, #3, #3', 0, ()),
    (REV_ALL_ARM, 'c1f38911', 0x7515, 'ubfx    r1, r1, #6, #0xa', 0, ()),
    (REV_ALL_ARM, 'd243', 0x7519, 'mvns    r2, r2', 0, ()),
    (REV_ALL_ARM, 'cde90083', 0x751b, 'strd    r8, r3, [sp]', 0, ()),
    (REV_ALL_ARM, '0291', 0x751f, 'str     r1, [sp, #8]', 0, ()),
    (REV_ALL_ARM, 'f368', 0x7521, 'ldr     r3, [r6, #0xc]', 0, ()),
    (REV_ALL_ARM, 'fff7dcfe', 0x7529, 'bl      0x000072e4', 0, ()),
    (REV_ALL_ARM, '8146', 0x752d, 'mov     r9, r0', 0, ()),
    (REV_ALL_ARM, '347a', 0x752f, 'ldrb    r4, [r6, #8]', 0, ()),
    (REV_ALL_ARM, 'e443', 0x7531, 'mvns    r4, r4', 0, ()),
    (REV_ALL_ARM, '14f00104', 0x7533, 'ands    r4, r4, #1', 0, ()),
    (REV_ALL_ARM, '26d1', 0x755b, 'bne     0x000075aa', 0, ()),
    (REV_ALL_ARM, '08f040fa', 0x753d, 'bl      0x0000f9c0', 0, ()),
    (REV_ALL_ARM, '2bd0', 0x7545, 'beq     0x0000759e', 0, ()),
    (REV_ALL_ARM, '08f098f9', 0x75ad, 'bl      0x0000f8e0', 0, ()),
    (REV_ALL_ARM, 'fff783fe', 0x75b7, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '2746', 0x755d, 'mov     r7, r4', 0, ()),
    (REV_ALL_ARM, 'bde8f047', 0x75a3, 'pop     {r4, r5, r6, r7, r8, r9, r10, lr}', 0, ()),
    (REV_ALL_ARM, '08f068bb', 0x75a7, 'b       0x0000fc7a', 0, ()),
    (REV_ALL_ARM, 'fff7b6ff', 0x754d, 'bl      0x000074bc', 0, ()),
    (REV_ALL_ARM, '25e0', 0x7551, 'b       0x0000759e', 0, ()),
    (REV_ALL_ARM, '4b46', 0x75d5, 'mov     r3, r9', 0, ()),
    (REV_ALL_ARM, 'fff710ff', 0x75dd, 'bl      0x00007400', 0, ()),
    (REV_ALL_ARM, '08f077fb', 0x7589, 'bl      0x0000fc7a', 0, ()),
    (REV_ALL_ARM, '069b', 0x758d, 'ldr     r3, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, 'ab68', 0x7577, 'ldr     r3, [r5, #8]', 0, ()),
    (REV_ALL_ARM, '1344', 0x7579, 'add     r3, r2', 0, ()),
    (REV_ALL_ARM, '13f8014c', 0x757b, 'ldrb    r4, [r3, #-1]', 0, ()),
    (REV_ALL_ARM, 'a4f10a03', 0x757f, 'sub     r3, r4, #0xa', 0, ()),
    (REV_ALL_ARM, '5c42', 0x7583, 'rsbs    r4, r3, #0', 0, ()),
    (REV_ALL_ARM, '5c41', 0x7585, 'adcs    r4, r3', 0, ()),
    (REV_ALL_ARM, '05aa', 0x75bf, 'add     r2, sp, #0x14', 0, ()),
    (REV_ALL_ARM, 'cdf814a0', 0x75c7, 'str     r10, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '08f0e5f9', 0x75cb, 'bl      0x0000f998', 0, ()),
    (REV_ALL_ARM, '059a', 0x75cf, 'ldr     r2, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, 'b8d0', 0x75d3, 'beq     0x00007546', 0, ()),
    (REV_ALL_ARM, 'eb68', 0x755f, 'ldr     r3, [r5, #0xc]', 0, ()),
    (REV_ALL_ARM, '06aa', 0x7563, 'add     r2, sp, #0x18', 0, ()),
    (REV_ALL_ARM, '08f015fa', 0x756b, 'bl      0x0000f998', 0, ()),
    (REV_ALL_ARM, '3ab1', 0x7575, 'cbz     r2, 0x00007586', 0, ()),
    (REV_ALL_ARM, 'd0e90043', 0x75f3, 'ldrd    r4, r3, [r0]', 0, ()),
    (REV_ALL_ARM, '42f20f73', 0x75fb, 'movw    r3, #0x270f', 0, ()),
    (REV_ALL_ARM, '02f098ff', 0x7609, 'bl      0x0000a53c', 0, ()),
    (REV_ALL_ARM, '0b22', 0x7615, 'movs    r2, #0xb', 0, ()),
    (REV_ALL_ARM, '08f0c6f9', 0x7617, 'bl      0x0000f9a6', 0, ()),
    (REV_ALL_ARM, '08f0c0f9', 0x7623, 'bl      0x0000f9a6', 0, ()),
    (REV_ALL_ARM, '1b22', 0x762b, 'movs    r2, #0x1b', 0, ()),
    (REV_ALL_ARM, '08f0baf9', 0x762f, 'bl      0x0000f9a6', 0, ()),
    (REV_ALL_ARM, '0043', 0x75f5, 'orrs    r0, r0', 0, ()),
    (REV_ALL_ARM, '01b1', 0x7655, 'cbz     r1, 0x00007658', 0, ()),
    (REV_ALL_ARM, 'a042', 0x7651, 'cmp     r0, r4', 0, ()),
    (REV_ALL_ARM, '05f024f8', 0x7679, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '5860', 0x767f, 'str     r0, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '08f0f4ba', 0x768f, 'b       0x0000fc7a', 0, ()),
    (REV_ALL_ARM, 'fff7a9bf', 0x769b, 'b       0x000075f0', 0, ()),
    (REV_ALL_ARM, '08f0d7f8', 0x76ab, 'bl      0x0000f85c', 0, ()),
    (REV_ALL_ARM, 'fff720ff', 0x76b5, 'bl      0x000074f8', 0, ()),
    (REV_ALL_ARM, '08f0fcb8', 0x76bf, 'b       0x0000f8ba', 0, ()),
    (REV_ALL_ARM, '641b', 0x76d3, 'subs    r4, r4, r5', 0, ()),
    (REV_ALL_ARM, 'a410', 0x76d5, 'asrs    r4, r4, #2', 0, ()),
    (REV_ALL_ARM, '5c43', 0x76db, 'muls    r4, r3, r4', 0, ()),
    (REV_ALL_ARM, '2c35', 0x76f5, 'adds    r5, #0x2c', 0, ()),
    (REV_ALL_ARM, 'a642', 0x76df, 'cmp     r6, r4', 0, ()),
    (REV_ALL_ARM, 'f0b4', 0x7705, 'push    {r4, r5, r6, r7}', 0, ()),
    (REV_ALL_ARM, '1b1b', 0x770d, 'subs    r3, r3, r4', 0, ()),
    (REV_ALL_ARM, '9b10', 0x770f, 'asrs    r3, r3, #2', 0, ()),
    (REV_ALL_ARM, '6b43', 0x7711, 'muls    r3, r5, r3', 0, ()),
    (REV_ALL_ARM, '2669', 0x7721, 'ldr     r6, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '46b1', 0x7723, 'cbz     r6, 0x00007736', 0, ()),
    (REV_ALL_ARM, '6ff02200', 0x7719, 'mvn     r0, #0x22', 0, ()),
    (REV_ALL_ARM, 'f0bc', 0x771d, 'pop     {r4, r5, r6, r7}', 0, ()),
    (REV_ALL_ARM, '2c34', 0x7739, 'adds    r4, #0x2c', 0, ()),
    (REV_ALL_ARM, '6768', 0x7725, 'ldr     r7, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '97f802c0', 0x7727, 'ldrb    r12, [r7, #2]', 0, ()),
    (REV_ALL_ARM, '8788', 0x772b, 'ldrh    r7, [r0, #4]', 0, ()),
    (REV_ALL_ARM, 'bc45', 0x772d, 'cmp     r12, r7', 0, ()),
    (REV_ALL_ARM, 'a669', 0x7765, 'ldr     r6, [r4, #0x18]', 0, ()),
    (REV_ALL_ARM, '6b69', 0x77b1, 'ldr     r3, [r5, #0x14]', 0, ()),
    (REV_ALL_ARM, '1bb9', 0x77b3, 'cbnz    r3, 0x00077bc', 0, ()),
    (REV_ALL_ARM, '0be0', 0x77af, 'b       0x000077c8', 0, ()),
    (REV_ALL_ARM, '4c45', 0x77a7, 'cmp     r4, r9', 0, ()),
    (REV_ALL_ARM, 'a168', 0x77e1, 'ldr     r1, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '8020', 0x77e7, 'movs    r0, #0x80', 0, ()),
    (REV_ALL_ARM, '01f086fc', 0x77e9, 'bl      0x000090f8', 0, ()),
    (REV_ALL_ARM, 'a360', 0x77f3, 'str     r3, [r4, #8]', 0, ()),
    (REV_ALL_ARM, 'e368', 0x77f5, 'ldr     r3, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '402d', 0x7801, 'cmp     r5, #0x40', 0, ()),
    (REV_ALL_ARM, '01f074fc', 0x780d, 'bl      0x000090f8', 0, ()),
    (REV_ALL_ARM, '0b30', 0x7811, 'adds    r0, #0xb', 0, ()),
    (REV_ALL_ARM, '94f84c50', 0x7823, 'ldrb    r5, [r4, #0x4c]', 0, ()),
    (REV_ALL_ARM, '73d1', 0x7829, 'bne     0x00007912', 0, ()),
    (REV_ALL_ARM, '98e7', 0x7915, 'b       0x00007848', 0, ()),
    (REV_ALL_ARM, '00f08bfb', 0x782b, 'bl      0x00007f44', 0, ()),
    (REV_ALL_ARM, '6362', 0x7851, 'str     r3, [r4, #0x24]', 0, ()),
    (REV_ALL_ARM, '04f14403', 0x7853, 'add     r3, r4, #0x44', 0, ()),
    (REV_ALL_ARM, '6363', 0x7857, 'str     r3, [r4, #0x34]', 0, ()),
    (REV_ALL_ARM, 'a362', 0x785b, 'str     r3, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, '2062', 0x7861, 'str     r0, [r4, #0x20]', 0, ()),
    (REV_ALL_ARM, 'e363', 0x7867, 'str     r3, [r4, #0x3c]', 0, ()),
    (REV_ALL_ARM, 'e262', 0x786b, 'str     r2, [r4, #0x2c]', 0, ()),
    (REV_ALL_ARM, 'e061', 0x786f, 'str     r0, [r4, #0x1c]', 0, ()),
    (REV_ALL_ARM, '01f010fb', 0x7871, 'bl      0x00008e94', 0, ()),
    (REV_ALL_ARM, 'e7db', 0x7877, 'blt     0x00007848', 0, ()),
    (REV_ALL_ARM, '07f058ff', 0x7841, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '01f06cfa', 0x7879, 'bl      0x00008d54', 0, ()),
    (REV_ALL_ARM, 'e3db', 0x787f, 'blt     0x00007848', 0, ()),
    (REV_ALL_ARM, 'adf80230', 0x7885, 'strh    r3, [sp, #2]', 0, ()),
    (REV_ALL_ARM, '8df80450', 0x7889, 'strb    r5, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '8df80050', 0x788d, 'strb    r5, [sp]', 0, ()),
    (REV_ALL_ARM, '09f006f9', 0x7891, 'bl      0x00010aa0', 0, ()),
    (REV_ALL_ARM, 'd7db', 0x7897, 'blt     0x00007848', 0, ()),
    (REV_ALL_ARM, '8026', 0x7899, 'movs    r6, #0x80', 0, ()),
    (REV_ALL_ARM, '8df80060', 0x789d, 'strb    r6, [sp]', 0, ()),
    (REV_ALL_ARM, '09f0fef8', 0x78a1, 'bl      0x00010aa0', 0, ()),
    (REV_ALL_ARM, 'cfdb', 0x78a7, 'blt     0x00007848', 0, ()),
    (REV_ALL_ARM, '09f0edf8', 0x78ad, 'bl      0x00010a8a', 0, ()),
    (REV_ALL_ARM, 'c9db', 0x78b3, 'blt     0x00007848', 0, ()),
    (REV_ALL_ARM, 'c3db', 0x78bf, 'blt     0x00007848', 0, ()),
    (REV_ALL_ARM, 'f61b', 0x78c7, 'subs    r6, r6, r7', 0, ()),
    (REV_ALL_ARM, 'b610', 0x78c9, 'asrs    r6, r6, #2', 0, ()),
    (REV_ALL_ARM, '5e43', 0x78cb, 'muls    r6, r3, r6', 0, ()),
    (REV_ALL_ARM, 'd7f82890', 0x7917, 'ldr     r9, [r7, #0x28]', 0, ()),
    (REV_ALL_ARM, '09ebc302', 0x7931, 'add     r2, r9, r3, lsl #3', 0, ()),
    (REV_ALL_ARM, '59f83310', 0x7935, 'ldr     r1, [r9, r3, lsl #3]', 0, ()),
    (REV_ALL_ARM, '1079', 0x7939, 'ldrb    r0, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '2c37', 0x792d, 'adds    r7, #0x2c', 0, ()),
    (REV_ALL_ARM, 'c5e92278', 0x78dd, 'strd    r7, r8, [r5, #0x88]', 0, ()),
    (REV_ALL_ARM, 'c5f89070', 0x78e1, 'str     r7, [r5, #0x90]', 0, ()),
    (REV_ALL_ARM, '05f16c00', 0x78e5, 'add     r0, r5, #0x6c', 0, ()),
    (REV_ALL_ARM, '05f0dafc', 0x78ed, 'bl      0x0000d2a4', 0, ()),
    (REV_ALL_ARM, '042e', 0x78f1, 'cmp     r6, #4', 0, ()),
    (REV_ALL_ARM, '01f0c9fb', 0x78fb, 'bl      0x00009090', 0, ()),
    (REV_ALL_ARM, 'a2db', 0x7901, 'blt     0x00007848', 0, ()),
    (REV_ALL_ARM, '97f82420', 0x791f, 'ldrb    r2, [r7, #0x24]', 0, ()),
    (REV_ALL_ARM, '5ffa88f3', 0x7923, 'uxtb    r3, r8', 0, ()),
    (REV_ALL_ARM, 'ae42', 0x78cd, 'cmp     r6, r5', 0, ()),
    (REV_ALL_ARM, '22d1', 0x78cf, 'bne     0x00007916', 0, ()),
    (REV_ALL_ARM, '01f0c4fb', 0x7905, 'bl      0x00009090', 0, ()),
    (REV_ALL_ARM, '9ddb', 0x790b, 'blt     0x00007848', 0, ()),
    (REV_ALL_ARM, '84f84c30', 0x790f, 'strb    r3, [r4, #0x4c]', 0, ()),
    (REV_ALL_ARM, 'c3f34113', 0x798b, 'ubfx    r3, r3, #5, #2', 0, ()),
    (REV_ALL_ARM, '00eb8303', 0x798f, 'add     r3, r0, r3, lsl #2', 0, ()),
    (REV_ALL_ARM, '5b6a', 0x7993, 'ldr     r3, [r3, #0x24]', 0, ()),
    (REV_ALL_ARM, 'fce7', 0x79a9, 'b       0x000079a4', 0, ()),
    (REV_ALL_ARM, '00f10802', 0x7997, 'add     r2, r0, #8', 0, ()),
    (REV_ALL_ARM, '00f11001', 0x799b, 'add     r1, r0, #0x10', 0, ()),
    (REV_ALL_ARM, 'c043', 0x79a1, 'mvns    r0, r0', 0, ()),
    (REV_ALL_ARM, 'c00f', 0x79a3, 'lsrs    r0, r0, #0x1f', 0, ()),
    (REV_ALL_ARM, '54d1', 0x79bd, 'bne     0x00007a68', 0, ()),
    (REV_ALL_ARM, '8028', 0x7a69, 'cmp     r0, #0x80', 0, ()),
    (REV_ALL_ARM, 'b3d1', 0x7a6b, 'bne     0x000079d4', 0, ()),
    (REV_ALL_ARM, '41bb', 0x79c1, 'cbnz    r1, 0x00007a14', 0, ()),
    (REV_ALL_ARM, 'afd0', 0x7a73, 'beq     0x000079d4', 0, ()),
    (REV_ALL_ARM, '05dc', 0x7a1d, 'bgt     0x00007a2a', 0, ()),
    (REV_ALL_ARM, 'd888', 0x7a75, 'ldrh    r0, [r3, #6]', 0, ()),
    (REV_ALL_ARM, 'd5da', 0x7a27, 'bge     0x000079d4', 0, ()),
    (REV_ALL_ARM, 'e588', 0x79db, 'ldrh    r5, [r4, #6]', 0, ()),
    (REV_ALL_ARM, 'c2f34113', 0x79dd, 'ubfx    r3, r2, #5, #2', 0, ()),
    (REV_ALL_ARM, '04eb8303', 0x79e1, 'add     r3, r4, r3, lsl #2', 0, ()),
    (REV_ALL_ARM, '586b', 0x79e5, 'ldr     r0, [r3, #0x34]', 0, ()),
    (REV_ALL_ARM, 'a268', 0x7a3f, 'ldr     r2, [r4, #8]', 0, ()),
    (REV_ALL_ARM, 'a260', 0x7a47, 'str     r2, [r4, #8]', 0, ()),
    (REV_ALL_ARM, 'c2d1', 0x7a4d, 'bne     0x000079d4', 0, ()),
    (REV_ALL_ARM, '01f0dcfa', 0x7a35, 'bl      0x00008ff0', 0, ()),
    (REV_ALL_ARM, 'c9e7', 0x7a3b, 'b       0x000079d0', 0, ()),
    (REV_ALL_ARM, 'c4e90355', 0x79f1, 'strd    r5, r5, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '0db1', 0x79f5, 'cbz     r5, 0x000079fa', 0, ()),
    (REV_ALL_ARM, '01f001fb', 0x79eb, 'bl      0x00008ff0', 0, ()),
    (REV_ALL_ARM, '5b6b', 0x7a59, 'ldr     r3, [r3, #0x34]', 0, ()),
    (REV_ALL_ARM, 'fff792ff', 0x7a5d, 'bl      0x00007984', 0, ()),
    (REV_ALL_ARM, 'b4d0', 0x7a63, 'beq     0x000079ce', 0, ()),
    (REV_ALL_ARM, '01f00efb', 0x79d1, 'bl      0x00008ff0', 0, ()),
    (REV_ALL_ARM, 'fff7c3ff', 0x79fb, 'bl      0x00007984', 0, ()),
    (REV_ALL_ARM, 'd309', 0x79f7, 'lsrs    r3, r2, #7', 0, ()),
    (REV_ALL_ARM, 'ecd0', 0x79f9, 'beq     0x000079d4', 0, ()),
    (REV_ALL_ARM, 'e088', 0x7a65, 'ldrh    r0, [r4, #6]', 0, ()),
    (REV_ALL_ARM, 'd4bf', 0x7a07, 'ite     le', 0, ()),
    (REV_ALL_ARM, 'e560', 0x7a0b, 'str     r5, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '00f10803', 0x7a7f, 'add     r3, r0, #8', 0, ()),
    (REV_ALL_ARM, '42f00100', 0x7a8b, 'orr     r0, r2, #1', 0, ()),
    (REV_ALL_ARM, '43e8000c', 0x7a8f, 'strex   r12, r0, [r3]', 0, ()),
    (REV_ALL_ARM, '02d4', 0x7a9f, 'bmi     0x00007aa6', 0, ()),
    (REV_ALL_ARM, '8bb9', 0x7abd, 'cbnz    r3, 0x00007ae2', 0, ()),
    (REV_ALL_ARM, '97f80080', 0x7abf, 'ldrb    r8, [r7]', 0, ()),
    (REV_ALL_ARM, '08f01f08', 0x7ac3, 'and     r8, r8, #0x1f', 0, ()),
    (REV_ALL_ARM, '00f08b80', 0x7acb, 'beq     0x00007be4', 0, ()),
    (REV_ALL_ARM, '7878', 0x7be5, 'ldrb    r0, [r7, #1]', 0, ()),
    (REV_ALL_ARM, '0a28', 0x7be9, 'cmp     r0, #0xa', 0, ()),
    (REV_ALL_ARM, '00f0cf80', 0x7ad3, 'beq     0x00007c74', 0, ()),
    (REV_ALL_ARM, 'c6f80080', 0x7bfd, 'str     r8, [r6]', 0, ()),
    (REV_ALL_ARM, '72e7', 0x7c01, 'b       0x00007ae8', 0, ()),
    (REV_ALL_ARM, '0b28', 0x7bed, 'cmp     r0, #0xb', 0, ()),
    (REV_ALL_ARM, '7c78', 0x7c79, 'ldrb    r4, [r7, #1]', 0, ()),
    (REV_ALL_ARM, '3879', 0x7c7b, 'ldrb    r0, [r7, #4]', 0, ()),
    (REV_ALL_ARM, '8df80800', 0x7c7d, 'strb    r0, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '97f804a0', 0x7c03, 'ldrb    r10, [r7, #4]', 0, ()),
    (REV_ALL_ARM, '97f802b0', 0x7c07, 'ldrb    r11, [r7, #2]', 0, ()),
    (REV_ALL_ARM, '2c6a', 0x7c0b, 'ldr     r4, [r5, #0x20]', 0, ()),
    (REV_ALL_ARM, 'ff27', 0x7c0d, 'movs    r7, #0xff', 0, ()),
    (REV_ALL_ARM, 'b946', 0x7c0f, 'mov     r9, r7', 0, ()),
    (REV_ALL_ARM, '7ff473af', 0x7bf3, 'bne     0x00007adc', 0, ()),
    (REV_ALL_ARM, '7c88', 0x7c9f, 'ldrh    r4, [r7, #2]', 0, ()),
    (REV_ALL_ARM, '7ff41baf', 0x7ca3, 'bne     0x00007adc', 0, ()),
    (REV_ALL_ARM, '25d0', 0x7c87, 'beq     0x00007cd4', 0, ()),
    (REV_ALL_ARM, '7a78', 0x7aef, 'ldrb    r2, [r7, #1]', 0, ()),
    (REV_ALL_ARM, '7888', 0x7af1, 'ldrh    r0, [r7, #2]', 0, ()),
    (REV_ALL_ARM, '092a', 0x7af5, 'cmp     r2, #9', 0, ()),
    (REV_ALL_ARM, '6ff01500', 0x7add, 'mvn     r0, #0x15', 0, ()),
    (REV_ALL_ARM, '02e0', 0x7ae1, 'b       0x00007ae8', 0, ()),
    (REV_ALL_ARM, 'eb69', 0x7c19, 'ldr     r3, [r5, #0x1c]', 0, ()),
    (REV_ALL_ARM, '07f029fd', 0x7cb9, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '9df80800', 0x7cbd, 'ldrb    r0, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '01f0bef9', 0x7cc1, 'bl      0x00009040', 0, ()),
    (REV_ALL_ARM, '3ff437af', 0x7cc9, 'beq     0x00007b3a', 0, ()),
    (REV_ALL_ARM, '7ff400af', 0x7cd9, 'bne     0x00007adc', 0, ()),
    (REV_ALL_ARM, '7ff427af', 0x7c8b, 'bne     0x00007adc', 0, ()),
    (REV_ALL_ARM, '01a1', 0x7af9, 'adr     r1, #0x7b00', 0, ()),
    (REV_ALL_ARM, '51f822f0', 0x7afb, 'ldr     pc, [r1, r2, lsl #2]', 0, ()),
    (REV_ALL_ARM, 'a778', 0x7c39, 'ldrb    r7, [r4, #2]', 0, ()),
    (REV_ALL_ARM, '94f80390', 0x7c3b, 'ldrb    r9, [r4, #3]', 0, ()),
    (REV_ALL_ARM, 'ba45', 0x7c3f, 'cmp     r10, r7', 0, ()),
    (REV_ALL_ARM, '5fe7', 0x7c27, 'b       0x00007ae8', 0, ()),
    (REV_ALL_ARM, '5870', 0x7b2d, 'strb    r0, [r3, #1]', 0, ()),
    (REV_ALL_ARM, '0920', 0x7ccf, 'movs    r0, #9', 0, ()),
    (REV_ALL_ARM, '07f00efd', 0x7cef, 'bl      0x0000f70e', 0, ()),
    (REV_ALL_ARM, '01f07bf9', 0x7cf7, 'bl      0x00008ff0', 0, ()),
    (REV_ALL_ARM, '3ff41caf', 0x7cff, 'beq     0x00007b3a', 0, ()),
    (REV_ALL_ARM, '08f024ff', 0x7c91, 'bl      0x00010adc', 0, ()),
    (REV_ALL_ARM, '89f80140', 0x7c95, 'strb    r4, [r9, #1]', 0, ()),
    (REV_ALL_ARM, '4de7', 0x7c9d, 'b       0x00007b3a', 0, ()),
    (REV_ALL_ARM, '01f0b5f9', 0x7b37, 'bl      0x00008ea4', 0, ()),
    (REV_ALL_ARM, '020a', 0x7b3f, 'lsrs    r2, r0, #8', 0, ()),
    (REV_ALL_ARM, '131f', 0x7b41, 'subs    r3, r2, #4', 0, ()),
    (REV_ALL_ARM, 'cad9', 0x7b45, 'bls     0x00007adc', 0, ()),
    (REV_ALL_ARM, '95f84d20', 0x7b6d, 'ldrb    r2, [r5, #0x4d]', 0, ()),
    (REV_ALL_ARM, 'cde0', 0x7b75, 'b       0x00007d12', 0, ()),
    (REV_ALL_ARM, 'c6b2', 0x7b77, 'uxtb    r6, r0', 0, ()),
    (REV_ALL_ARM, '8df80760', 0x7b79, 'strb    r6, [sp, #7]', 0, ()),
    (REV_ALL_ARM, '56b1', 0x7b7d, 'cbz     r6, 0x00007b94', 0, ()),
    (REV_ALL_ARM, 'cb45', 0x7c43, 'cmp     r11, r9', 0, ()),
    (REV_ALL_ARM, '0820', 0x7d05, 'movs    r0, #8', 0, ()),
    (REV_ALL_ARM, '072a', 0x7b47, 'cmp     r2, #7', 0, ()),
    (REV_ALL_ARM, 'c8d8', 0x7b49, 'bhi     0x00007adc', 0, ()),
    (REV_ALL_ARM, '11e7', 0x7d15, 'b       0x00007b3a', 0, ()),
    (REV_ALL_ARM, '85f84d60', 0x7b95, 'strb    r6, [r5, #0x4d]', 0, ()),
    (REV_ALL_ARM, 'b846', 0x7b83, 'mov     r8, r7', 0, ()),
    (REV_ALL_ARM, '3bb9', 0x7c17, 'cbnz    r3, 0x00007c28', 0, ()),
    (REV_ALL_ARM, 'efd1', 0x7c51, 'bne     0x00007c32', 0, ()),
    (REV_ALL_ARM, '2b6a', 0x7b4b, 'ldr     r3, [r5, #0x20]', 0, ()),
    (REV_ALL_ARM, '8df80c30', 0x7c55, 'strb    r3, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, 'a388', 0x7c59, 'ldrh    r3, [r4, #4]', 0, ()),
    (REV_ALL_ARM, 'adf80a30', 0x7c5b, 'strh    r3, [sp, #0xa]', 0, ()),
    (REV_ALL_ARM, '01f00ffa', 0x7c6f, 'bl      0x00009090', 0, ()),
    (REV_ALL_ARM, '5f78', 0x7b57, 'ldrb    r7, [r3, #1]', 0, ()),
    (REV_ALL_ARM, 'e778', 0x7bb3, 'ldrb    r7, [r4, #3]', 0, ()),
    (REV_ALL_ARM, 'fae7', 0x7bb5, 'b       0x00007bac', 0, ()),
    (REV_ALL_ARM, '2b44', 0x7b65, 'add     r3, r5', 0, ()),
    (REV_ALL_ARM, '00f0d380', 0x7b5f, 'beq     0x00007d08', 0, ()),
    (REV_ALL_ARM, '4345', 0x7bbb, 'cmp     r3, r8', 0, ()),
    (REV_ALL_ARM, '1d78', 0x7b51, 'ldrb    r5, [r3]', 0, ()),
    (REV_ALL_ARM, 'c2d0', 0x7b55, 'beq     0x00007adc', 0, ()),
    (REV_ALL_ARM, '022a', 0x7d09, 'cmp     r2, #2', 0, ()),
    (REV_ALL_ARM, '7ff42caf', 0x7d0d, 'bne     0x00007b68', 0, ()),
    (REV_ALL_ARM, '94f80580', 0x7ba9, 'ldrb    r8, [r4, #5]', 0, ()),
    (REV_ALL_ARM, 'd2e0', 0x7b6b, 'b       0x00007d12', 0, ()),
    (REV_ALL_ARM, '5b88', 0x7d11, 'ldrh    r3, [r3, #2]', 0, ()),
    (REV_ALL_ARM, '01f057fa', 0x7bdf, 'bl      0x00009090', 0, ()),
    (REV_ALL_ARM, '5343', 0x7d41, 'muls    r3, r2, r3', 0, ()),
    (REV_ALL_ARM, '6d1a', 0x7d43, 'subs    r5, r5, r1', 0, ()),
    (REV_ALL_ARM, '0234', 0x7d5d, 'adds    r4, #2', 0, ()),
    (REV_ALL_ARM, '4ff0011b', 0x7d4d, 'mov     r11, #0x10001', 0, ()),
    (REV_ALL_ARM, 'b046', 0x7d53, 'mov     r8, r6', 0, ()),
    (REV_ALL_ARM, '30b9', 0x7d59, 'cbnz    r0, 0x00007d68', 0, ()),
    (REV_ALL_ARM, 'a246', 0x7d79, 'mov     r10, r4', 0, ()),
    (REV_ALL_ARM, '23d1', 0x7e91, 'bne     0x00007eda', 0, ()),
    (REV_ALL_ARM, 'bbb9', 0x7d89, 'cbnz    r3, 0x00007dba', 0, ()),
    (REV_ALL_ARM, '98f82430', 0x7de3, 'ldrb    r3, [r8, #0x24]', 0, ()),
    (REV_ALL_ARM, 'f2db', 0x7de9, 'blt     0x00007dd0', 0, ()),
    (REV_ALL_ARM, 'ecd1', 0x7edd, 'bne     0x00007eb8', 0, ()),
    (REV_ALL_ARM, '5ffa89f9', 0x7dbf, 'uxtb    r9, r9', 0, ()),
    (REV_ALL_ARM, 'd8f82810', 0x7dd1, 'ldr     r1, [r8, #0x28]', 0, ()),
    (REV_ALL_ARM, 'a078', 0x7dd5, 'ldrb    r0, [r4, #2]', 0, ()),
    (REV_ALL_ARM, '01ebc201', 0x7dd7, 'add     r1, r1, r2, lsl #3', 0, ()),
    (REV_ALL_ARM, '0b79', 0x7ddb, 'ldrb    r3, [r1, #4]', 0, ()),
    (REV_ALL_ARM, 'a901', 0x7deb, 'lsls    r1, r5, #6', 0, ()),
    (REV_ALL_ARM, '6ff00201', 0x7ebb, 'mvn     r1, #2', 0, ()),
    (REV_ALL_ARM, 'e218', 0x7ebf, 'adds    r2, r4, r3', 0, ()),
    (REV_ALL_ARM, '091b', 0x7ec1, 'subs    r1, r1, r4', 0, ()),
    (REV_ALL_ARM, '04eb5303', 0x7ec3, 'add     r3, r4, r3, lsr #1', 0, ()),
    (REV_ALL_ARM, '5168', 0x7da5, 'ldr     r1, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '02f12c02', 0x7da9, 'add     r2, r2, #0x2c', 0, ()),
    (REV_ALL_ARM, 'aa01', 0x7d95, 'lsls    r2, r5, #6', 0, ()),
    (REV_ALL_ARM, '28e0', 0x7da3, 'b       0x00007df6', 0, ()),
    (REV_ALL_ARM, '02f8010c', 0x7ef3, 'strb    r0, [r2, #-1]', 0, ()),
    (REV_ALL_ARM, '13f80109', 0x7ef7, 'ldrb    r0, [r3], #-1', 0, ()),
    (REV_ALL_ARM, '02f8020d', 0x7efb, 'strb    r0, [r2, #-2]!', 0, ()),
    (REV_ALL_ARM, 'f6b2', 0x7ecd, 'uxtb    r6, r6', 0, ()),
    (REV_ALL_ARM, 'a4eb0a03', 0x7f01, 'sub     r3, r4, r10', 0, ()),
    (REV_ALL_ARM, '8af80230', 0x7f05, 'strb    r3, [r10, #2]', 0, ()),
    (REV_ALL_ARM, 'c3f30723', 0x7f09, 'ubfx    r3, r3, #8, #8', 0, ()),
    (REV_ALL_ARM, '8af80330', 0x7f0d, 'strb    r3, [r10, #3]', 0, ()),
    (REV_ALL_ARM, '8af80490', 0x7f11, 'strb    r9, [r10, #4]', 0, ()),
    (REV_ALL_ARM, '81e7', 0x7eed, 'b       0x00007df2', 0, ()),
    (REV_ALL_ARM, 'a01c', 0x7ed3, 'adds    r0, r4, #2', 0, ()),
    (REV_ALL_ARM, '09f008f8', 0x7ed5, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '07f01efc', 0x7eb5, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '2c22', 0x7daf, 'movs    r2, #0x2c', 0, ()),
    (REV_ALL_ARM, '02fb0388', 0x7db1, 'mla     r8, r2, r3, r8', 0, ()),
    (REV_ALL_ARM, 'd8f80830', 0x7db5, 'ldr     r3, [r8, #8]', 0, ()),
    (REV_ALL_ARM, '33b9', 0x7db9, 'cbnz    r3, 0x00007dc8', 0, ()),
    (REV_ALL_ARM, 'b2e7', 0x7dfb, 'b       0x00007d62', 0, ()),
    (REV_ALL_ARM, 'b840', 0x7e75, 'lsls    r0, r7', 0, ()),
    (REV_ALL_ARM, '10ea0b0f', 0x7e77, 'tst     r0, r11', 0, ()),
    (REV_ALL_ARM, '07f11000', 0x7e1d, 'add     r0, r7, #0x10', 0, ()),
    (REV_ALL_ARM, '0cfa00f0', 0x7e25, 'lsl     r0, r12, r0', 0, ()),
    (REV_ALL_ARM, '29d1', 0x7e2d, 'bne     0x00007e82', 0, ()),
    (REV_ALL_ARM, 'd142', 0x7ec7, 'cmn     r1, r2', 0, ()),
    (REV_ALL_ARM, '07f07ffc', 0x7df3, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '0099', 0x7d8f, 'ldr     r1, [sp]', 0, ()),
    (REV_ALL_ARM, '102f', 0x7e85, 'cmp     r7, #0x10', 0, ()),
    (REV_ALL_ARM, 'bad1', 0x7e87, 'bne     0x00007dfe', 0, ()),
    (REV_ALL_ARM, '8df81030', 0x7e7d, 'strb    r3, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '63f07f00', 0x7e2f, 'orn     r0, r3, #0x7f', 0, ()),
    (REV_ALL_ARM, '8df81000', 0x7e33, 'strb    r0, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'e078', 0x7dff, 'ldrb    r0, [r4, #3]', 0, ()),
    (REV_ALL_ARM, '94f805c0', 0x7e01, 'ldrb    r12, [r4, #5]', 0, ()),
    (REV_ALL_ARM, '8df81400', 0x7e05, 'strb    r0, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '2079', 0x7e09, 'ldrb    r0, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '40ea0c20', 0x7e0b, 'orr     r0, r0, r12, lsl #8', 0, ()),
    (REV_ALL_ARM, 'adf81200', 0x7e0f, 'strh    r0, [sp, #0x12]', 0, ()),
    (REV_ALL_ARM, '94f90200', 0x7e13, 'ldrsb   r0, [r4, #2]', 0, ()),
    (REV_ALL_ARM, 'fbb2', 0x7e19, 'uxtb    r3, r7', 0, ()),
    (REV_ALL_ARM, '2ada', 0x7e1b, 'bge     0x00007e72', 0, ()),
    (REV_ALL_ARM, 'aae7', 0x7e89, 'b       0x00007de0', 0, ()),
    (REV_ALL_ARM, '04a8', 0x7e37, 'add     r0, sp, #0x10', 0, ()),
    (REV_ALL_ARM, 'cde90213', 0x7e39, 'strd    r1, r3, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '01f0aff8', 0x7e3f, 'bl      0x00008fa0', 0, ()),
    (REV_ALL_ARM, 'dde90121', 0x7e43, 'ldrd    r2, r1, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'd8b9', 0x7e49, 'cbnz    r0, 0x00007e82', 0, ()),
    (REV_ALL_ARM, '9df81020', 0x7e4b, 'ldrb    r2, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '12f0800f', 0x7e51, 'tst     r2, #0x80', 0, ()),
    (REV_ALL_ARM, '1033', 0x7e57, 'adds    r3, #0x10', 0, ()),
    (REV_ALL_ARM, '0a71', 0x7e5b, 'strb    r2, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '4ff00102', 0x7e5d, 'mov     r2, #1', 0, ()),
    (REV_ALL_ARM, '15bf', 0x7e61, 'itete   ne', 0, ()),
    (REV_ALL_ARM, '02fa03f3', 0x7e63, 'lsl     r3, r2, r3', 0, ()),
    (REV_ALL_ARM, 'ba40', 0x7e67, 'lsls    r2, r7', 0, ()),
    (REV_ALL_ARM, '4bea030b', 0x7e69, 'orr     r11, r11, r3', 0, ()),
    (REV_ALL_ARM, '4bea020b', 0x7e6d, 'orr     r11, r11, r2', 0, ()),
    (REV_ALL_ARM, '83e7', 0x7e71, 'b       0x00007d7a', 0, ()),
    (REV_ALL_ARM, 'fff7f0fe', 0x7f49, 'bl      0x00007d2c', 0, ()),
    (REV_ALL_ARM, '07f0c9fb', 0x7f5f, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '8188', 0x7f81, 'ldrh    r1, [r0, #4]', 0, ()),
    (REV_ALL_ARM, 'c1f34701', 0x7f85, 'ubfx    r1, r1, #1, #8', 0, ()),
    (REV_ALL_ARM, '08f099fa', 0x7f8d, 'bl      0x000104c2', 0, ()),
    (REV_ALL_ARM, '212b', 0x7fb3, 'cmp     r3, #0x21', 0, ()),
    (REV_ALL_ARM, 'a188', 0x7f97, 'ldrh    r1, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '6ff01200', 0x7fab, 'mvn     r0, #0x12', 0, ()),
    (REV_ALL_ARM, '0c38', 0x7fd5, 'subs    r0, #0xc', 0, ()),
    (REV_ALL_ARM, '222b', 0x7fb7, 'cmp     r3, #0x22', 0, ()),
    (REV_ALL_ARM, '6388', 0x7fcd, 'ldrh    r3, [r4, #2]', 0, ()),
    (REV_ALL_ARM, '00f8053c', 0x7fcf, 'strb    r3, [r0, #-5]', 0, ()),
    (REV_ALL_ARM, 'f9e7', 0x7fd3, 'b       0x00007fc8', 0, ()),
    (REV_ALL_ARM, '202b', 0x7fbb, 'cmp     r3, #0x20', 0, ()),
    (REV_ALL_ARM, 'e4e7', 0x7fe3, 'b       0x00007fae', 0, ()),
    (REV_ALL_ARM, '08f090ff', 0x7fc5, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '00f8033c', 0x8033, 'strb    r3, [r0, #-3]', 0, ()),
    (REV_ALL_ARM, 'fff7e2bf', 0x802d, 'b       0x00007ff4', 0, ()),
    (REV_ALL_ARM, '0a2c', 0x8067, 'cmp     r4, #0xa', 0, ()),
    (REV_ALL_ARM, '00f8ac4c', 0x8071, 'strb    r4, [r0, #-0xac]', 0, ()),
    (REV_ALL_ARM, '00f8943c', 0x8077, 'strb    r3, [r0, #-0x94]', 0, ()),
    (REV_ALL_ARM, 'c4f8b030', 0x8093, 'str     r3, [r4, #0xb0]', 0, ()),
    (REV_ALL_ARM, 'c4f8ac00', 0x8099, 'str     r0, [r4, #0xac]', 0, ()),
    (REV_ALL_ARM, '5968', 0x809d, 'ldr     r1, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '04f1b002', 0x809f, 'add     r2, r4, #0xb0', 0, ()),
    (REV_ALL_ARM, '69b9', 0x80a3, 'cbnz    r1, 0x000080c0', 0, ()),
    (REV_ALL_ARM, '5a60', 0x80c3, 'str     r2, [r3, #4]', 0, ()),
    (REV_ALL_ARM, 'c3e90022', 0x80a5, 'strd    r2, r2, [r3]', 0, ()),
    (REV_ALL_ARM, '05f0f8f8', 0x80b1, 'bl      0x0000d2a4', 0, ()),
    (REV_ALL_ARM, 'c4e90430', 0x80b9, 'strd    r3, r0, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '0af06bba', 0x80fb, 'b       0x000125d4', 0, ()),
    (REV_ALL_ARM, '08f0ebf9', 0x810d, 'bl      0x000104e6', 0, ()),
    (REV_ALL_ARM, '05f0d9f8', 0x8127, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '54f8a83c', 0x812b, 'ldr     r3, [r4, #-0xa8]', 0, ()),
    (REV_ALL_ARM, 'fff76bbf', 0x811b, 'b       0x00007ff4', 0, ()),
    (REV_ALL_ARM, '14f8923c', 0x8131, 'ldrb    r3, [r4, #-0x92]', 0, ()),
    (REV_ALL_ARM, 'a4f1a000', 0x8137, 'sub     r0, r4, #0xa0', 0, ()),
    (REV_ALL_ARM, 'fff7c9bf', 0x813f, 'b       0x000080d4', 0, ()),
    (REV_ALL_ARM, '68b9', 0x815b, 'cbnz    r0, 0x00008178', 0, ()),
    (REV_ALL_ARM, '08f08bf9', 0x8181, 'bl      0x0001049a', 0, ()),
    (REV_ALL_ARM, 'a4f19006', 0x8187, 'sub     r6, r4, #0x90', 0, ()),
    (REV_ALL_ARM, '802a', 0x818b, 'cmp     r2, #0x80', 0, ()),
    (REV_ALL_ARM, '54f8100c', 0x819d, 'ldr     r0, [r4, #-0x10]', 0, ()),
    (REV_ALL_ARM, '06f063fe', 0x81a3, 'bl      0x0000ee6c', 0, ()),
    (REV_ALL_ARM, '48b9', 0x81a7, 'cbnz    r0, 0x000081bc', 0, ()),
    (REV_ALL_ARM, '04f8933c', 0x81bf, 'strb    r3, [r4, #-0x93]', 0, ()),
    (REV_ALL_ARM, '33b1', 0x81c7, 'cbz     r3, 0x000081d6', 0, ()),
    (REV_ALL_ARM, '07f09cfa', 0x81b9, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '14f8913c', 0x81c9, 'ldrb    r3, [r4, #-0x91]', 0, ()),
    (REV_ALL_ARM, 'fff77fff', 0x81d3, 'bl      0x000080d4', 0, ()),
    (REV_ALL_ARM, '8df80710', 0x81f5, 'strb    r1, [sp, #7]', 0, ()),
    (REV_ALL_ARM, '8568', 0x8219, 'ldr     r5, [r0, #8]', 0, ()),
    (REV_ALL_ARM, 'a123', 0x8221, 'movs    r3, #0xa1', 0, ()),
    (REV_ALL_ARM, '8df80530', 0x8229, 'strb    r3, [sp, #5]', 0, ()),
    (REV_ALL_ARM, '85f8a930', 0x822f, 'strb    r3, [r5, #0xa9]', 0, ()),
    (REV_ALL_ARM, 'adf80a00', 0x8235, 'strh    r0, [sp, #0xa]', 0, ()),
    (REV_ALL_ARM, '906a', 0x8239, 'ldr     r0, [r2, #0x28]', 0, ()),
    (REV_ALL_ARM, 'adf80c10', 0x823b, 'strh    r1, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, 'adf80830', 0x823f, 'strh    r3, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '0079', 0x8243, 'ldrb    r0, [r0, #4]', 0, ()),
    (REV_ALL_ARM, 'adf80630', 0x8245, 'strh    r3, [sp, #6]', 0, ()),
    (REV_ALL_ARM, '05f0bef8', 0x8259, 'bl      0x0000d3d8', 0, ()),
    (REV_ALL_ARM, '95f8a930', 0x8251, 'ldrb    r3, [r5, #0xa9]', 0, ()),
    (REV_ALL_ARM, '1032', 0x8281, 'adds    r2, #0x10', 0, ()),
    (REV_ALL_ARM, '01dc', 0x8279, 'bgt     0x0000827e', 0, ()),
    (REV_ALL_ARM, '6ff00c00', 0x82ab, 'mvn     r0, #0xc', 0, ()),
    (REV_ALL_ARM, 'fff7e3ff', 0x829f, 'bl      0x00008268', 0, ()),
    (REV_ALL_ARM, '6ff00100', 0x82b1, 'mvn     r0, #1', 0, ()),
    (REV_ALL_ARM, 'fff7cfff', 0x82c7, 'bl      0x00008268', 0, ()),
    (REV_ALL_ARM, 'b0b1', 0x82cb, 'cbz     r0, 0x000082fa', 0, ()),
    (REV_ALL_ARM, '8368', 0x82d1, 'ldr     r3, [r0, #8]', 0, ()),
    (REV_ALL_ARM, 'c068', 0x82d5, 'ldr     r0, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, 'cde90335', 0x82d7, 'strd    r3, r5, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, 'cde90623', 0x82dd, 'strd    r2, r3, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '04f0eff9', 0x82e3, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '08b9', 0x82f1, 'cbnz    r0, 0x000082f6', 0, ()),
    (REV_ALL_ARM, 'cdb1', 0x8313, 'cbz     r5, 0x00008348', 0, ()),
    (REV_ALL_ARM, '02b1', 0x8315, 'cbz     r2, 0x00008318', 0, ()),
    (REV_ALL_ARM, 'cde90086', 0x8321, 'strd    r8, r6, [sp]', 0, ()),
    (REV_ALL_ARM, 'cde90274', 0x8325, 'strd    r7, r4, [sp, #8]', 0, ()),
    (REV_ALL_ARM, 'd1b1', 0x8317, 'cbz     r1, 0x0000834e', 0, ()),
    (REV_ALL_ARM, '9c68', 0x8339, 'ldr     r4, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '88b1', 0x836d, 'cbz     r0, 0x00008392', 0, ()),
    (REV_ALL_ARM, 'fef7eafe', 0x8379, 'bl      0x00007150', 0, ()),
    (REV_ALL_ARM, '44f00104', 0x837f, 'orr     r4, r4, #1', 0, ()),
    (REV_ALL_ARM, '07f0d2b9', 0x838f, 'b       0x0000f736', 0, ()),
    (REV_ALL_ARM, '41b9', 0x83ad, 'cbnz    r1, 0x000083c0', 0, ()),
    (REV_ALL_ARM, '32b9', 0x83ab, 'cbnz    r2, 0x000083ba', 0, ()),
    (REV_ALL_ARM, '0c68', 0x83c1, 'ldr     r4, [r1]', 0, ()),
    (REV_ALL_ARM, '3cb9', 0x83c3, 'cbnz    r4, 0x000083d4', 0, ()),
    (REV_ALL_ARM, '5a68', 0x83af, 'ldr     r2, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '5ab9', 0x83b5, 'cbnz    r2, 0x000083ce', 0, ()),
    (REV_ALL_ARM, '0860', 0x83d7, 'str     r0, [r1]', 0, ()),
    (REV_ALL_ARM, '0260', 0x83c5, 'str     r2, [r0]', 0, ()),
    (REV_ALL_ARM, '12b9', 0x83c9, 'cbnz    r2, 0x000083d0', 0, ()),
    (REV_ALL_ARM, 'c3e90000', 0x83cb, 'strd    r0, r0, [r3]', 0, ()),
    (REV_ALL_ARM, '4cb1', 0x83f3, 'cbz     r4, 0x00008408', 0, ()),
    (REV_ALL_ARM, '00f043b8', 0x840f, 'b       0x00008498', 0, ()),
    (REV_ALL_ARM, '2468', 0x8403, 'ldr     r4, [r4]', 0, ()),
    (REV_ALL_ARM, '08f00cfd', 0x8441, 'bl      0x00010e5c', 0, ()),
    (REV_ALL_ARM, '14b9', 0x8435, 'cbnz    r4, 0x0000843c', 0, ()),
    (REV_ALL_ARM, 'c2e90033', 0x845b, 'strd    r3, r3, [r2]', 0, ()),
    (REV_ALL_ARM, 'fff7ddff', 0x845f, 'bl      0x0000841c', 0, ()),
    (REV_ALL_ARM, '6ff01000', 0x848f, 'mvn     r0, #0x10', 0, ()),
    (REV_ALL_ARM, '1c60', 0x8485, 'str     r4, [r3]', 0, ()),
    (REV_ALL_ARM, '5c60', 0x8489, 'str     r4, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '2d68', 0x84d1, 'ldr     r5, [r5]', 0, ()),
    (REV_ALL_ARM, '38d1', 0x84ed, 'bne     0x00008560', 0, ()),
    (REV_ALL_ARM, 'fff7defe', 0x84fd, 'bl      0x000082bc', 0, ()),
    (REV_ALL_ARM, '009b', 0x8515, 'ldr     r3, [sp]', 0, ()),
    (REV_ALL_ARM, '6373', 0x8517, 'strb    r3, [r4, #0xd]', 0, ()),
    (REV_ALL_ARM, '00f003fa', 0x851b, 'bl      0x00008924', 0, ()),
    (REV_ALL_ARM, '0c30', 0x8503, 'adds    r0, #0xc', 0, ()),
    (REV_ALL_ARM, '00f013fa', 0x854f, 'bl      0x00008978', 0, ()),
    (REV_ALL_ARM, 'fff7b6fe', 0x8525, 'bl      0x00008294', 0, ()),
    (REV_ALL_ARM, 'ebd1', 0x852d, 'bne     0x00008506', 0, ()),
    (REV_ALL_ARM, '4040', 0x8507, 'eors    r0, r0', 0, ()),
    (REV_ALL_ARM, '80f31188', 0x8509, 'msr     basepri, r0', 0, ()),
    (REV_ALL_ARM, '4ff00500', 0x850d, 'mov     r0, #5', 0, ()),
    (REV_ALL_ARM, '02df', 0x8511, 'svc     #2', 0, ()),
    (REV_ALL_ARM, '00f018fa', 0x8559, 'bl      0x0000898c', 0, ()),
    (REV_ALL_ARM, '8268', 0x8531, 'ldr     r2, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '00f0eef9', 0x8545, 'bl      0x00008924', 0, ()),
    (REV_ALL_ARM, 'dcd1', 0x854b, 'bne     0x00008506', 0, ()),
    (REV_ALL_ARM, '9bf80ca0', 0x857f, 'ldrb    r10, [r11, #0xc]', 0, ()),
    (REV_ALL_ARM, '6ff01507', 0x858d, 'mvn     r7, #0x15', 0, ()),
    (REV_ALL_ARM, '96fbfaf1', 0x85b3, 'sdiv    r1, r6, r10', 0, ()),
    (REV_ALL_ARM, '0afb01f4', 0x85b7, 'mul     r4, r10, r1', 0, ()),
    (REV_ALL_ARM, 'dbf80070', 0x85bb, 'ldr     r7, [r11]', 0, ()),
    (REV_ALL_ARM, '1398', 0x85c1, 'ldr     r0, [sp, #0x4c]', 0, ()),
    (REV_ALL_ARM, '04aa', 0x85c5, 'add     r2, sp, #0x10', 0, ()),
    (REV_ALL_ARM, '20bb', 0x85cd, 'cbnz    r0, 0x00008618', 0, ()),
    (REV_ALL_ARM, 'a5eb0805', 0x8599, 'sub     r5, r5, r8', 0, ()),
    (REV_ALL_ARM, '6ff00400', 0x8619, 'mvn     r0, #4', 0, ()),
    (REV_ALL_ARM, 'c5e7', 0x861d, 'b       0x000085aa', 0, ()),
    (REV_ALL_ARM, '311b', 0x85d1, 'subs    r1, r6, r4', 0, ()),
    (REV_ALL_ARM, '4245', 0x85d5, 'cmp     r2, r8', 0, ()),
    (REV_ALL_ARM, '129a', 0x85dd, 'ldr     r2, [sp, #0x48]', 0, ()),
    (REV_ALL_ARM, '1298', 0x861f, 'ldr     r0, [sp, #0x48]', 0, ()),
    (REV_ALL_ARM, 'b7fa87f0', 0x85a5, 'clz     r0, r7', 0, ()),
    (REV_ALL_ARM, '08f072fc', 0x8601, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '0f2b', 0x8607, 'cmp     r3, #0xf', 0, ()),
    (REV_ALL_ARM, 'a8eb0408', 0x8609, 'sub     r8, r8, r4', 0, ()),
    (REV_ALL_ARM, 'c3d9', 0x860d, 'bls     0x00008596', 0, ()),
    (REV_ALL_ARM, '1299', 0x85e5, 'ldr     r1, [sp, #0x48]', 0, ()),
    (REV_ALL_ARM, 'c41a', 0x85f7, 'subs    r4, r0, r3', 0, ()),
    (REV_ALL_ARM, 'a144', 0x8613, 'add     r9, r4', 0, ()),
    (REV_ALL_ARM, '2644', 0x8615, 'add     r6, r4', 0, ()),
    (REV_ALL_ARM, '99f80c70', 0x8635, 'ldrb    r7, [r9, #0xc]', 0, ()),
    (REV_ALL_ARM, 'ddf840b0', 0x8639, 'ldr     r11, [sp, #0x40]', 0, ()),
    (REV_ALL_ARM, 'b0fbf7f4', 0x8647, 'udiv    r4, r0, r7', 0, ()),
    (REV_ALL_ARM, '07fb1404', 0x864b, 'mls     r4, r7, r4, r0', 0, ()),
    (REV_ALL_ARM, '031b', 0x864f, 'subs    r3, r0, r4', 0, ()),
    (REV_ALL_ARM, 'd9f804c0', 0x8653, 'ldr     r12, [r9, #4]', 0, ()),
    (REV_ALL_ARM, 'e047', 0x865d, 'blx     r12', 0, ()),
    (REV_ALL_ARM, '2cb1', 0x8663, 'cbz     r4, 0x00008670', 0, ()),
    (REV_ALL_ARM, '04f11803', 0x8671, 'add     r3, r4, #0x18', 0, ()),
    (REV_ALL_ARM, '6b44', 0x8675, 'add     r3, sp, r3', 0, ()),
    (REV_ALL_ARM, '3d22', 0x8677, 'movs    r2, #0x3d', 0, ()),
    (REV_ALL_ARM, '03f8102c', 0x8679, 'strb    r2, [r3, #-0x10]', 0, ()),
    (REV_ALL_ARM, '04f1010a', 0x867d, 'add     r10, r4, #1', 0, ()),
    (REV_ALL_ARM, '0aeb0301', 0x8667, 'add     r1, r10, r3', 0, ()),
    (REV_ALL_ARM, '08f03cfc', 0x866d, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '86b1', 0x869f, 'cbz     r6, 0x000086c2', 0, ()),
    (REV_ALL_ARM, 'bafbf7f4', 0x86c3, 'udiv    r4, r10, r7', 0, ()),
    (REV_ALL_ARM, '07fb14a4', 0x86c7, 'mls     r4, r7, r4, r10', 0, ()),
    (REV_ALL_ARM, 'caf11004', 0x86a1, 'rsb     r4, r10, #0x10', 0, ()),
    (REV_ALL_ARM, 'b442', 0x86a5, 'cmp     r4, r6', 0, ()),
    (REV_ALL_ARM, '0af10803', 0x86ab, 'add     r3, r10, #8', 0, ()),
    (REV_ALL_ARM, '0deb0300', 0x86b3, 'add     r0, sp, r3', 0, ()),
    (REV_ALL_ARM, '08f017fc', 0x86b7, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, 'a044', 0x86bb, 'add     r8, r4', 0, ()),
    (REV_ALL_ARM, 'a244', 0x86bf, 'add     r10, r4', 0, ()),
    (REV_ALL_ARM, '34bb', 0x8699, 'cbnz    r4, 0x000086e8', 0, ()),
    (REV_ALL_ARM, '3c1b', 0x86d1, 'subs    r4, r7, r4', 0, ()),
    (REV_ALL_ARM, 'baf10f0f', 0x8681, 'cmp     r10, #0xf', 0, ()),
    (REV_ALL_ARM, '5544', 0x869b, 'add     r5, r10', 0, ()),
    (REV_ALL_ARM, '5346', 0x868d, 'mov     r3, r10', 0, ()),
    (REV_ALL_ARM, '28bb', 0x8697, 'cbnz    r0, 0x000086e4', 0, ()),
    (REV_ALL_ARM, '001b', 0x8701, 'subs    r0, r0, r4', 0, ()),
    (REV_ALL_ARM, '0e9e', 0x8711, 'ldr     r6, [sp, #0x38]', 0, ()),
    (REV_ALL_ARM, '9146', 0x8717, 'mov     r9, r2', 0, ()),
    (REV_ALL_ARM, '102e', 0x8727, 'cmp     r6, #0x10', 0, ()),
    (REV_ALL_ARM, 'd7f800c0', 0x8731, 'ldr     r12, [r7]', 0, ()),
    (REV_ALL_ARM, 'd7f804c0', 0x8745, 'ldr     r12, [r7, #4]', 0, ()),
    (REV_ALL_ARM, '16b9', 0x871f, 'cbnz    r6, 0x00008726', 0, ()),
    (REV_ALL_ARM, 'c4e90001', 0x8769, 'strd    r0, r1, [r4]', 0, ()),
    (REV_ALL_ARM, '2373', 0x876f, 'strb    r3, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, 'bdb0', 0x877f, 'sub     sp, #0xf4', 0, ()),
    (REV_ALL_ARM, '9246', 0x8781, 'mov     r10, r2', 0, ()),
    (REV_ALL_ARM, '29b9', 0x8787, 'cbnz    r1, 0x00008794', 0, ()),
    (REV_ALL_ARM, '06f10805', 0x87b9, 'add     r5, r6, #8', 0, ()),
    (REV_ALL_ARM, '0df11c09', 0x87bd, 'add     r9, sp, #0x1c', 0, ()),
    (REV_ALL_ARM, 'bdf80c10', 0x87c3, 'ldrh    r1, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '07f0abfa', 0x87c9, 'bl      0x0000fd22', 0, ()),
    (REV_ALL_ARM, '021d', 0x87cd, 'adds    r2, r0, #4', 0, ()),
    (REV_ALL_ARM, '75d1', 0x87d1, 'bne     0x000088be', 0, ()),
    (REV_ALL_ARM, '7ff462af', 0x88c1, 'bne     0x00008788', 0, ()),
    (REV_ALL_ARM, '07f089fa', 0x87d5, 'bl      0x0000fcea', 0, ()),
    (REV_ALL_ARM, '726c', 0x88c5, 'ldr     r2, [r6, #0x44]', 0, ()),
    (REV_ALL_ARM, '0b92', 0x88c7, 'str     r2, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, 'fff7a9fe', 0x88d3, 'bl      0x00008628', 0, ()),
    (REV_ALL_ARM, '431d', 0x88d7, 'adds    r3, r0, #5', 0, ()),
    (REV_ALL_ARM, '3ff457af', 0x88db, 'beq     0x0000878c', 0, ()),
    (REV_ALL_ARM, '706c', 0x87e3, 'ldr     r0, [r6, #0x44]', 0, ()),
    (REV_ALL_ARM, 'cde90c99', 0x87e9, 'strd    r9, r9, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '1093', 0x87f3, 'str     r3, [sp, #0x40]', 0, ()),
    (REV_ALL_ARM, 'e6e7', 0x87e1, 'b       0x000087b0', 0, ()),
    (REV_ALL_ARM, '3db0', 0x878f, 'add     sp, #0xf4', 0, ()),
    (REV_ALL_ARM, '07f09ffa', 0x88e3, 'bl      0x0000fe24', 0, ()),
    (REV_ALL_ARM, 'f36a', 0x8815, 'ldr     r3, [r6, #0x2c]', 0, ()),
    (REV_ALL_ARM, '0c9a', 0x8817, 'ldr     r2, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, 'e8d0', 0x8809, 'beq     0x000087dc', 0, ()),
    (REV_ALL_ARM, '737b', 0x87b1, 'ldrb    r3, [r6, #0xd]', 0, ()),
    (REV_ALL_ARM, '5b45', 0x87b5, 'cmp     r3, r11', 0, ()),
    (REV_ALL_ARM, 'e7dd', 0x87b7, 'ble     0x00008788', 0, ()),
    (REV_ALL_ARM, '0cab', 0x881d, 'add     r3, sp, #0x30', 0, ()),
    (REV_ALL_ARM, '4921', 0x8821, 'movs    r1, #0x49', 0, ()),
    (REV_ALL_ARM, '16a8', 0x8823, 'add     r0, sp, #0x58', 0, ()),
    (REV_ALL_ARM, 'e3d1', 0x882b, 'bne     0x000087f4', 0, ()),
    (REV_ALL_ARM, '0ca9', 0x87f5, 'add     r1, sp, #0x30', 0, ()),
    (REV_ALL_ARM, 'bdf83c20', 0x882f, 'ldrh    r2, [sp, #0x3c]', 0, ()),
    (REV_ALL_ARM, 'ddd0', 0x8837, 'beq     0x000087f4', 0, ()),
    (REV_ALL_ARM, '0df1300e', 0x8839, 'add     lr, sp, #0x30', 0, ()),
    (REV_ALL_ARM, 'bee80f00', 0x883d, 'ldm     lr!, {r0, r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, '0df1440c', 0x8841, 'add     r12, sp, #0x44', 0, ()),
    (REV_ALL_ARM, 'ace80f00', 0x8845, 'stm     r12!, {r0, r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, 'def80030', 0x8849, 'ldr     r3, [lr]', 0, ()),
    (REV_ALL_ARM, 'ccf80030', 0x884d, 'str     r3, [r12]', 0, ()),
    (REV_ALL_ARM, '11ab', 0x8899, 'add     r3, sp, #0x44', 0, ()),
    (REV_ALL_ARM, '29a8', 0x889f, 'add     r0, sp, #0xa4', 0, ()),
    (REV_ALL_ARM, 'd3d1', 0x88a7, 'bne     0x00008850', 0, ()),
    (REV_ALL_ARM, 'bdf83c10', 0x885b, 'ldrh    r1, [sp, #0x3c]', 0, ()),
    (REV_ALL_ARM, '11aa', 0x885f, 'add     r2, sp, #0x44', 0, ()),
    (REV_ALL_ARM, '07f05efa', 0x8863, 'bl      0x0000fd22', 0, ()),
    (REV_ALL_ARM, 'c3d1', 0x886b, 'bne     0x000087f4', 0, ()),
    (REV_ALL_ARM, '11a9', 0x8851, 'add     r1, sp, #0x44', 0, ()),
    (REV_ALL_ARM, 'dde90523', 0x88a9, 'ldrd    r2, r3, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, 'cfd1', 0x88af, 'bne     0x00008850', 0, ()),
    (REV_ALL_ARM, '0caa', 0x8875, 'add     r2, sp, #0x30', 0, ()),
    (REV_ALL_ARM, '11a8', 0x8877, 'add     r0, sp, #0x44', 0, ()),
    (REV_ALL_ARM, 'fff746ff', 0x8879, 'bl      0x00008708', 0, ()),
    (REV_ALL_ARM, 'b9d1', 0x887f, 'bne     0x000087f4', 0, ()),
    (REV_ALL_ARM, '29a9', 0x88b1, 'add     r1, sp, #0xa4', 0, ()),
    (REV_ALL_ARM, 'c9d1', 0x88bb, 'bne     0x00008850', 0, ()),
    (REV_ALL_ARM, '07f0cefa', 0x8885, 'bl      0x0000fe24', 0, ()),
    (REV_ALL_ARM, 'b2d0', 0x888d, 'beq     0x000087f4', 0, ()),
    (REV_ALL_ARM, '9ae7', 0x88bd, 'b       0x000087f4', 0, ()),
    (REV_ALL_ARM, '0830', 0x8903, 'adds    r0, #8', 0, ()),
    (REV_ALL_ARM, 'cde90012', 0x8905, 'strd    r1, r2, [sp]', 0, ()),
    (REV_ALL_ARM, '0373', 0x892b, 'strb    r3, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '8373', 0x892d, 'strb    r3, [r0, #0xe]', 0, ()),
    (REV_ALL_ARM, '00f10806', 0x892f, 'add     r6, r0, #8', 0, ()),
    (REV_ALL_ARM, '6ff01505', 0x896d, 'mvn     r5, #0x15', 0, ()),
    (REV_ALL_ARM, '07f0d6fa', 0x8941, 'bl      0x0000fef0', 0, ()),
    (REV_ALL_ARM, '0adc', 0x8947, 'bgt     0x0000895e', 0, ()),
    (REV_ALL_ARM, '6360', 0x8961, 'str     r3, [r4, #4]', 0, ()),
    (REV_ALL_ARM, 'fff71cfd', 0x8965, 'bl      0x000083a0', 0, ()),
    (REV_ALL_ARM, '606c', 0x894b, 'ldr     r0, [r4, #0x44]', 0, ()),
    (REV_ALL_ARM, 'd3e90012', 0x894d, 'ldrd    r1, r2, [r3]', 0, ()),
    (REV_ALL_ARM, '07f04afb', 0x8937, 'bl      0x0000ffce', 0, ()),
    (REV_ALL_ARM, 'b0b9', 0x893d, 'cbnz    r0, 0x0000896c', 0, ()),
    (REV_ALL_ARM, '6ff00405', 0x8959, 'mvn     r5, #4', 0, ()),
    (REV_ALL_ARM, 'fff72ffd', 0x897f, 'bl      0x000083e0', 0, ()),
    (REV_ALL_ARM, '90f84230', 0x898d, 'ldrb    r3, [r0, #0x42]', 0, ()),
    (REV_ALL_ARM, 'fff7e5be', 0x8997, 'b       0x00008764', 0, ()),
    (REV_ALL_ARM, 'e1b2', 0x89c1, 'uxtb    r1, r4', 0, ()),
    (REV_ALL_ARM, '01f0abfd', 0x89d7, 'bl      0x0000a530', 0, ()),
    (REV_ALL_ARM, 'fdf73cb9', 0x89e1, 'b       0x00005c5c', 0, ()),
    (REV_ALL_ARM, '03f06afe', 0x89ed, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'fff7ecff', 0x89f5, 'bl      0x000089d0', 0, ()),
    (REV_ALL_ARM, '9668', 0x8a09, 'ldr     r6, [r2, #8]', 0, ()),
    (REV_ALL_ARM, '4ff00108', 0x8a11, 'mov     r8, #1', 0, ()),
    (REV_ALL_ARM, '06f10409', 0x8a15, 'add     r9, r6, #4', 0, ()),
    (REV_ALL_ARM, '7a69', 0x8a21, 'ldr     r2, [r7, #0x14]', 0, ()),
    (REV_ALL_ARM, '08fa04f3', 0x8a23, 'lsl     r3, r8, r4', 0, ()),
    (REV_ALL_ARM, '7b61', 0x8a2d, 'str     r3, [r7, #0x14]', 0, ()),
    (REV_ALL_ARM, '56f83430', 0x8a2f, 'ldr     r3, [r6, r4, lsl #3]', 0, ()),
    (REV_ALL_ARM, '01db', 0x8a1b, 'blt     0x00008a20', 0, ()),
    (REV_ALL_ARM, '59f83410', 0x8a35, 'ldr     r1, [r9, r4, lsl #3]', 0, ()),
    (REV_ALL_ARM, '1f28', 0x8a45, 'cmp     r0, #0x1f', 0, ()),
    (REV_ALL_ARM, '431f', 0x8a57, 'subs    r3, r0, #5', 0, ()),
    (REV_ALL_ARM, '1168', 0x8a4f, 'ldr     r1, [r2]', 0, ()),
    (REV_ALL_ARM, '8340', 0x8a51, 'lsls    r3, r0', 0, ()),
    (REV_ALL_ARM, '0b43', 0x8a53, 'orrs    r3, r1', 0, ()),
    (REV_ALL_ARM, '1720', 0x8a91, 'movs    r0, #0x17', 0, ()),
    (REV_ALL_ARM, 'a0f10a03', 0x8a5d, 'sub     r3, r0, #0xa', 0, ()),
    (REV_ALL_ARM, '00f08fff', 0x8a6b, 'bl      0x0000998c', 0, ()),
    (REV_ALL_ARM, '2820', 0x8a95, 'movs    r0, #0x28', 0, ()),
    (REV_ALL_ARM, '1038', 0x8a73, 'subs    r0, #0x10', 0, ()),
    (REV_ALL_ARM, '0628', 0x8a75, 'cmp     r0, #6', 0, ()),
    (REV_ALL_ARM, '11d8', 0x8a77, 'bhi     0x00008a9c', 0, ()),
    (REV_ALL_ARM, '0630', 0x8a69, 'adds    r0, #6', 0, ()),
    (REV_ALL_ARM, '2a20', 0x8a85, 'movs    r0, #0x2a', 0, ()),
    (REV_ALL_ARM, '8b07', 0x8abf, 'lsls    r3, r1, #0x1e', 0, ()),
    (REV_ALL_ARM, '08d5', 0x8ac1, 'bpl     0x00008ad4', 0, ()),
    (REV_ALL_ARM, '06dc', 0x8ac5, 'bgt     0x00008ad4', 0, ()),
    (REV_ALL_ARM, '9468', 0x8ab7, 'ldr     r4, [r2, #8]', 0, ()),
    (REV_ALL_ARM, '2343', 0x8abb, 'orrs    r3, r4', 0, ()),
    (REV_ALL_ARM, '9360', 0x8abd, 'str     r3, [r2, #8]', 0, ()),
    (REV_ALL_ARM, 'd168', 0x8acb, 'ldr     r1, [r2, #0xc]', 0, ()),
    (REV_ALL_ARM, '03fa00f0', 0x8acd, 'lsl     r0, r3, r0', 0, ()),
    (REV_ALL_ARM, '0843', 0x8ad1, 'orrs    r0, r1', 0, ()),
    (REV_ALL_ARM, 'd060', 0x8ad3, 'str     r0, [r2, #0xc]', 0, ()),
    (REV_ALL_ARM, '54f83100', 0x8ae5, 'ldr     r0, [r4, r1, lsl #3]', 0, ()),
    (REV_ALL_ARM, '04ebc105', 0x8ae9, 'add     r5, r4, r1, lsl #3', 0, ()),
    (REV_ALL_ARM, '6ff00f00', 0x8af7, 'mvn     r0, #0xf', 0, ()),
    (REV_ALL_ARM, '44f83120', 0x8aef, 'str     r2, [r4, r1, lsl #3]', 0, ()),
    (REV_ALL_ARM, '6b60', 0x8af3, 'str     r3, [r5, #4]', 0, ()),
    (REV_ALL_ARM, '2dd8', 0x8b07, 'bhi     0x00008b64', 0, ()),
    (REV_ALL_ARM, '4b68', 0x8b13, 'ldr     r3, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '116b', 0x8b15, 'ldr     r1, [r2, #0x30]', 0, ()),
    (REV_ALL_ARM, '1943', 0x8b17, 'orrs    r1, r3', 0, ()),
    (REV_ALL_ARM, '1163', 0x8b19, 'str     r1, [r2, #0x30]', 0, ()),
    (REV_ALL_ARM, '126b', 0x8b1b, 'ldr     r2, [r2, #0x30]', 0, ()),
    (REV_ALL_ARM, '1340', 0x8b1d, 'ands    r3, r2', 0, ()),
    (REV_ALL_ARM, '516b', 0x8b2d, 'ldr     r1, [r2, #0x34]', 0, ()),
    (REV_ALL_ARM, '5163', 0x8b31, 'str     r1, [r2, #0x34]', 0, ()),
    (REV_ALL_ARM, '526b', 0x8b33, 'ldr     r2, [r2, #0x34]', 0, ()),
    (REV_ALL_ARM, '116c', 0x8b41, 'ldr     r1, [r2, #0x40]', 0, ()),
    (REV_ALL_ARM, '1164', 0x8b45, 'str     r1, [r2, #0x40]', 0, ()),
    (REV_ALL_ARM, '126c', 0x8b47, 'ldr     r2, [r2, #0x40]', 0, ()),
    (REV_ALL_ARM, '516c', 0x8b55, 'ldr     r1, [r2, #0x44]', 0, ()),
    (REV_ALL_ARM, '5164', 0x8b59, 'str     r1, [r2, #0x44]', 0, ()),
    (REV_ALL_ARM, '526c', 0x8b5b, 'ldr     r2, [r2, #0x44]', 0, ()),
    (REV_ALL_ARM, '20d8', 0x8b75, 'bhi     0x00008bb8', 0, ()),
    (REV_ALL_ARM, '4968', 0x8b81, 'ldr     r1, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '136b', 0x8b83, 'ldr     r3, [r2, #0x30]', 0, ()),
    (REV_ALL_ARM, '1363', 0x8b89, 'str     r3, [r2, #0x30]', 0, ()),
    (REV_ALL_ARM, '536b', 0x8b93, 'ldr     r3, [r2, #0x34]', 0, ()),
    (REV_ALL_ARM, '5363', 0x8b99, 'str     r3, [r2, #0x34]', 0, ()),
    (REV_ALL_ARM, '136c', 0x8ba1, 'ldr     r3, [r2, #0x40]', 0, ()),
    (REV_ALL_ARM, '1364', 0x8ba7, 'str     r3, [r2, #0x40]', 0, ()),
    (REV_ALL_ARM, '536c', 0x8baf, 'ldr     r3, [r2, #0x44]', 0, ()),
    (REV_ALL_ARM, '5364', 0x8bb5, 'str     r3, [r2, #0x44]', 0, ()),
    (REV_ALL_ARM, '05d9', 0x8bcf, 'bls     0x00008bdc', 0, ()),
    (REV_ALL_ARM, '4ff4a053', 0x8bf3, 'mov     r3, #0x1400', 0, ()),
    (REV_ALL_ARM, 'cde90013', 0x8bf7, 'strd    r1, r3, [sp]', 0, ()),
    (REV_ALL_ARM, '4ff40043', 0x8bfb, 'mov     r3, #0x08000', 0, ()),
    (REV_ALL_ARM, '00f038f8', 0x8c01, 'bl      0x00008c74', 0, ()),
    (REV_ALL_ARM, '9007', 0x8c0f, 'lsls    r0, r2, #0x1e', 0, ()),
    (REV_ALL_ARM, '06d4', 0x8c11, 'bmi     0x00008c20', 0, ()),
    (REV_ALL_ARM, 'a568', 0x8c33, 'ldr     r5, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '15f00c05', 0x8c35, 'ands    r5, r5, #0xc', 0, ()),
    (REV_ALL_ARM, '43f0e063', 0x8c4b, 'orr     r3, r3, #0x7000000', 0, ()),
    (REV_ALL_ARM, 'fef751f8', 0x8c57, 'bl      0x00006cfc', 0, ()),
    (REV_ALL_ARM, '1a6c', 0x8c77, 'ldr     r2, [r3, #0x40]', 0, ()),
    (REV_ALL_ARM, '42f08052', 0x8c79, 'orr     r2, r2, #0x10000000', 0, ()),
    (REV_ALL_ARM, '1a64', 0x8c7d, 'str     r2, [r3, #0x40]', 0, ()),
    (REV_ALL_ARM, '1b6c', 0x8c7f, 'ldr     r3, [r3, #0x40]', 0, ()),
    (REV_ALL_ARM, '82b0', 0x8c81, 'sub     sp, #8', 0, ()),
    (REV_ALL_ARM, '03f08053', 0x8c83, 'and     r3, r3, #0x10000000', 0, ()),
    (REV_ALL_ARM, '0609', 0x8c99, 'lsrs    r6, r0, #4', 0, ()),
    (REV_ALL_ARM, '53f82630', 0x8cad, 'ldr     r3, [r3, r6, lsl #2]', 0, ()),
    (REV_ALL_ARM, '03f00ffd', 0x8ca3, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '78b9', 0x8cbf, 'cbnz    r0, 0x00008ce0', 0, ()),
    (REV_ALL_ARM, '2011', 0x8cc1, 'asrs    r0, r4, #4', 0, ()),
    (REV_ALL_ARM, '00f18040', 0x8cc5, 'add     r0, r0, #0x40000000', 0, ()),
    (REV_ALL_ARM, '05f00f03', 0x8cc9, 'and     r3, r5, #0xf', 0, ()),
    (REV_ALL_ARM, '04f00f01', 0x8ccf, 'and     r1, r4, #0xf', 0, ()),
    (REV_ALL_ARM, '00f50030', 0x8cd3, 'add     r0, r0, #0x20000', 0, ()),
    (REV_ALL_ARM, '03f0e4fc', 0x8cf9, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '54f8041c', 0x8d0b, 'ldr     r1, [r4, #-4]', 0, ()),
    (REV_ALL_ARM, '14f8080c', 0x8d0f, 'ldrb    r0, [r4, #-8]', 0, ()),
    (REV_ALL_ARM, 'fff7beff', 0x8d15, 'bl      0x00008c94', 0, ()),
    (REV_ALL_ARM, '04f10804', 0x8d03, 'add     r4, r4, #8', 0, ()),
    (REV_ALL_ARM, '032a', 0x8d25, 'cmp     r2, #3', 0, ()),
    (REV_ALL_ARM, '0bdc', 0x8d27, 'bgt     0x00008d40', 0, ()),
    (REV_ALL_ARM, '10f0800f', 0x8d2b, 'tst     r0, #0x80', 0, ()),
    (REV_ALL_ARM, '03f1c001', 0x8d2f, 'add     r1, r3, #0xc0', 0, ()),
    (REV_ALL_ARM, '03fb0200', 0x8d3b, 'mla     r0, r3, r2, r0', 0, ()),
    (REV_ALL_ARM, 'fdf723b9', 0x8d4b, 'b       0x00005f94', 0, ()),
    (REV_ALL_ARM, '03f0b4fc', 0x8d59, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '8023', 0x8d5f, 'movs    r3, #0x80', 0, ()),
    (REV_ALL_ARM, '31d1', 0x8d71, 'bne     0x00008dd6', 0, ()),
    (REV_ALL_ARM, '06f085fc', 0x8de7, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '4ff0a042', 0x8d79, 'mov     r2, #0x50000000', 0, ()),
    (REV_ALL_ARM, 'c5e90023', 0x8d7f, 'strd    r2, r3, [r5]', 0, ()),
    (REV_ALL_ARM, 'eb60', 0x8da7, 'str     r3, [r5, #0xc]', 0, ()),
    (REV_ALL_ARM, '4027', 0x8da9, 'movs    r7, #0x40', 0, ()),
    (REV_ALL_ARM, 'c5e90573', 0x8dad, 'strd    r7, r3, [r5, #0x14]', 0, ()),
    (REV_ALL_ARM, 'eb62', 0x8db5, 'str     r3, [r5, #0x2c]', 0, ()),
    (REV_ALL_ARM, '06f0d7f8', 0x8db9, 'bl      0x0000ef6a', 0, ()),
    (REV_ALL_ARM, '48b3', 0x8da3, 'cbz     r0, 0x00008df8', 0, ()),
    (REV_ALL_ARM, '06f01ef9', 0x8dff, 'bl      0x0000f03e', 0, ()),
    (REV_ALL_ARM, '85f8f603', 0x8e1b, 'strb    r0, [r5, #0x3f6]', 0, ()),
    (REV_ALL_ARM, '85f8b604', 0x8e1f, 'strb    r0, [r5, #0x4b6]', 0, ()),
    (REV_ALL_ARM, 'a5f8f473', 0x8e27, 'strh    r7, [r5, #0x3f4]', 0, ()),
    (REV_ALL_ARM, 'a5f8b474', 0x8e2b, 'strh    r7, [r5, #0x4b4]', 0, ()),
    (REV_ALL_ARM, '06f018fa', 0x8e31, 'bl      0x0000f264', 0, ()),
    (REV_ALL_ARM, 'a5f59967', 0x8e35, 'sub     r7, r5, #0x4c8', 0, ()),
    (REV_ALL_ARM, '6ff00406', 0x8deb, 'mvn     r6, #4', 0, ()),
    (REV_ALL_ARM, '06f0f1f9', 0x8e3f, 'bl      0x0000f224', 0, ()),
    (REV_ALL_ARM, '04f02bfa', 0x8e4b, 'bl      0x0000d2a4', 0, ()),
    (REV_ALL_ARM, '05f13005', 0x8e51, 'add     r5, r5, #0x30', 0, ()),
    (REV_ALL_ARM, '4320', 0x8e5b, 'movs    r0, #0x43', 0, ()),
    (REV_ALL_ARM, '00f0bafd', 0x8e5d, 'bl      0x000099d4', 0, ()),
    (REV_ALL_ARM, '00f093fd', 0x8e63, 'bl      0x0000998c', 0, ()),
    (REV_ALL_ARM, 'c2e7', 0x8e67, 'b       0x00008dee', 0, ()),
    (REV_ALL_ARM, 'c3f8f003', 0x8e97, 'str     r0, [r3, #0x3f0]', 0, ()),
    (REV_ALL_ARM, '06f0dff8', 0x8ead, 'bl      0x0000f06e', 0, ()),
    (REV_ALL_ARM, '60b1', 0x8eb3, 'cbz     r0, 0x00008ece', 0, ()),
    (REV_ALL_ARM, '06f036fc', 0x8ec7, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '0206', 0x8ee3, 'lsls    r2, r0, #0x18', 0, ()),
    (REV_ALL_ARM, '10d5', 0x8ee9, 'bpl     0x00008f0c', 0, ()),
    (REV_ALL_ARM, '00eb8212', 0x8f13, 'add     r2, r0, r2, lsl #6', 0, ()),
    (REV_ALL_ARM, '402b', 0x8f17, 'cmp     r3, #0x40', 0, ()),
    (REV_ALL_ARM, '02f27452', 0x8f19, 'addw    r2, r2, #0x574', 0, ()),
    (REV_ALL_ARM, '06f0e3f8', 0x8f23, 'bl      0x0000f0ec', 0, ()),
    (REV_ALL_ARM, '06f0fafb', 0x8f3f, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '6bb1', 0x8eef, 'cbz     r3, 0x00008f0c', 0, ()),
    (REV_ALL_ARM, '0306', 0x8f5d, 'lsls    r3, r0, #0x18', 0, ()),
    (REV_ALL_ARM, '06f0d6f8', 0x8f85, 'bl      0x0000f134', 0, ()),
    (REV_ALL_ARM, '0279', 0x8fa3, 'ldrb    r2, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '13f07c00', 0x8fc7, 'ands    r0, r3, #0x7c', 0, ()),
    (REV_ALL_ARM, 'fbd0', 0x8fcb, 'beq     0x00008fc4', 0, ()),
    (REV_ALL_ARM, '5a06', 0x8fa9, 'lsls    r2, r3, #0x19', 0, ()),
    (REV_ALL_ARM, '06f09afb', 0x8fbd, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'fff794fe', 0x8ff5, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, '06f0c0f8', 0x9001, 'bl      0x0000f184', 0, ()),
    (REV_ALL_ARM, '06f08cfb', 0x901b, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, 'fff76cfe', 0x9045, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, '06f0c3f8', 0x9051, 'bl      0x0000f1da', 0, ()),
    (REV_ALL_ARM, '2072', 0x9075, 'strb    r0, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '06f064fb', 0x906b, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, 'fff744fe', 0x9095, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, '18b3', 0x9099, 'cbz     r0, 0x000090e2', 0, ()),
    (REV_ALL_ARM, '0288', 0x909d, 'ldrh    r2, [r0]', 0, ()),
    (REV_ALL_ARM, '05f0f5ff', 0x90a5, 'bl      0x0000f092', 0, ()),
    (REV_ALL_ARM, '63b2', 0x90c9, 'sxtb    r3, r4', 0, ()),
    (REV_ALL_ARM, 'fbdd', 0x90cd, 'ble     0x000090c6', 0, ()),
    (REV_ALL_ARM, '06f03afb', 0x90bf, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '02fb0451', 0x90d1, 'mla     r1, r2, r4, r5', 0, ()),
    (REV_ALL_ARM, '01f27451', 0x90d7, 'addw    r1, r1, #0x574', 0, ()),
    (REV_ALL_ARM, 'fff7ffbe', 0x90df, 'b       0x00008ee0', 0, ()),
    (REV_ALL_ARM, 'fff70cfe', 0x9105, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, '2306', 0x9109, 'lsls    r3, r4, #0x18', 0, ()),
    (REV_ALL_ARM, '00f11407', 0x912d, 'add     r7, r0, #0x14', 0, ()),
    (REV_ALL_ARM, '04f0fef8', 0x9135, 'bl      0x0000d334', 0, ()),
    (REV_ALL_ARM, '04f027f9', 0x9157, 'bl      0x0000d3a8', 0, ()),
    (REV_ALL_ARM, '06f0f1fa', 0x9151, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '802c', 0x9163, 'cmp     r4, #0x80', 0, ()),
    (REV_ALL_ARM, '00f025fc', 0x915f, 'bl      0x000099ac', 0, ()),
    (REV_ALL_ARM, '05f0e6ff', 0x9175, 'bl      0x0000f144', 0, ()),
    (REV_ALL_ARM, 'd8b1', 0x917b, 'cbz     r0, 0x000091b4', 0, ()),
    (REV_ALL_ARM, '402e', 0x9167, 'cmp     r6, #0x40', 0, ()),
    (REV_ALL_ARM, '4026', 0x916b, 'movs    r6, #0x40', 0, ()),
    (REV_ALL_ARM, '41f00103', 0x9189, 'orr     r3, r1, #1', 0, ()),
    (REV_ALL_ARM, '06f0d2fa', 0x918f, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '04f0a2f8', 0x9195, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '04f004f9', 0x919d, 'bl      0x0000d3a8', 0, ()),
    (REV_ALL_ARM, 'bbd0', 0x91ad, 'beq     0x00009126', 0, ()),
    (REV_ALL_ARM, '00f0f2fb', 0x91a5, 'bl      0x0000998c', 0, ()),
    (REV_ALL_ARM, 'fff78efe', 0x91c1, 'bl      0x00008ee0', 0, ()),
    (REV_ALL_ARM, 'c8f80060', 0x91af, 'str     r6, [r8]', 0, ()),
    (REV_ALL_ARM, 'fff798fd', 0x91ed, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, '3306', 0x9213, 'lsls    r3, r6, #0x18', 0, ()),
    (REV_ALL_ARM, 'c768', 0x9215, 'ldr     r7, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, 'f8d0', 0x9269, 'beq     0x0000925c', 0, ()),
    (REV_ALL_ARM, '40f27453', 0x9235, 'movw    r3, #0x574', 0, ()),
    (REV_ALL_ARM, '03eb8616', 0x9239, 'add     r6, r3, r6, lsl #6', 0, ()),
    (REV_ALL_ARM, '4f45', 0x923d, 'cmp     r7, r9', 0, ()),
    (REV_ALL_ARM, '0e44', 0x923f, 'add     r6, r1', 0, ()),
    (REV_ALL_ARM, '3144', 0x9249, 'add     r1, r6', 0, ()),
    (REV_ALL_ARM, 'db1b', 0x9253, 'subs    r3, r3, r7', 0, ()),
    (REV_ALL_ARM, '2361', 0x925b, 'str     r3, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '85b1', 0x925d, 'cbz     r5, 0x00009280', 0, ()),
    (REV_ALL_ARM, '06f03bfa', 0x927b, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '2f60', 0x925f, 'str     r7, [r5]', 0, ()),
    (REV_ALL_ARM, 'fff72dfd', 0x92c3, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, 'c568', 0x92c7, 'ldr     r5, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '45b9', 0x92c9, 'cbnz    r5, 0x000092dc', 0, ()),
    (REV_ALL_ARM, '02fb0411', 0x92cf, 'mla     r1, r2, r4, r1', 0, ()),
    (REV_ALL_ARM, 'fff702fe', 0x92d9, 'bl      0x00008ee0', 0, ()),
    (REV_ALL_ARM, '8021', 0x92f9, 'movs    r1, #0x80', 0, ()),
    (REV_ALL_ARM, '05f0c9fe', 0x92fd, 'bl      0x0000f092', 0, ()),
    (REV_ALL_ARM, '05f0c3fe', 0x9309, 'bl      0x0000f092', 0, ()),
    (REV_ALL_ARM, '04f59960', 0x930d, 'add     r0, r4, #0x4c8', 0, ()),
    (REV_ALL_ARM, '03f0e4ff', 0x9311, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '04f59f60', 0x9315, 'add     r0, r4, #0x4f8', 0, ()),
    (REV_ALL_ARM, '03f0e0ff', 0x9319, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '04f5a560', 0x931d, 'add     r0, r4, #0x528', 0, ()),
    (REV_ALL_ARM, '03f0dcff', 0x9321, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '04f5ab60', 0x9325, 'add     r0, r4, #0x558', 0, ()),
    (REV_ALL_ARM, '03f0d8ff', 0x9329, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, 'd4f8f033', 0x932d, 'ldr     r3, [r4, #0x3f0]', 0, ()),
    (REV_ALL_ARM, 'd3f8f033', 0x9347, 'ldr     r3, [r3, #0x3f0]', 0, ()),
    (REV_ALL_ARM, '0620', 0x938b, 'movs    r0, #6', 0, ()),
    (REV_ALL_ARM, '04f27450', 0x93a1, 'addw    r0, r4, #0x574', 0, ()),
    (REV_ALL_ARM, 'c4f80024', 0x93a5, 'str     r2, [r4, #0x400]', 0, ()),
    (REV_ALL_ARM, 'c4f80454', 0x93a9, 'str     r5, [r4, #0x404]', 0, ()),
    (REV_ALL_ARM, 'd4f8f833', 0x93b1, 'ldr     r3, [r4, #0x3f8]', 0, ()),
    (REV_ALL_ARM, 'b4f8c223', 0x93bd, 'ldrh    r2, [r4, #0x3c2]', 0, ()),
    (REV_ALL_ARM, '4ab1', 0x93c1, 'cbz     r2, 0x000093d6', 0, ()),
    (REV_ALL_ARM, '94f8bc03', 0x93c3, 'ldrb    r0, [r4, #0x3bc]', 0, ()),
    (REV_ALL_ARM, 'c009', 0x93c7, 'lsrs    r0, r0, #7', 0, ()),
    (REV_ALL_ARM, '04f27451', 0x93cb, 'addw    r1, r4, #0x574', 0, ()),
    (REV_ALL_ARM, 'fff785bd', 0x93d3, 'b       0x00008ee0', 0, ()),
    (REV_ALL_ARM, '0668', 0x93e5, 'ldr     r6, [r0]', 0, ()),
    (REV_ALL_ARM, 'a5b1', 0x93eb, 'cbz     r5, 0x00009416', 0, ()),
    (REV_ALL_ARM, 'bfbf', 0x941b, 'itttt   lt', 0, ()),
    (REV_ALL_ARM, '03f18833', 0x9421, 'add     r3, r3, #0x88888888', 0, ()),
    (REV_ALL_ARM, '03f065ff', 0x940f, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '03f06fff', 0x93fb, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '0b60', 0x942f, 'str     r3, [r1]', 0, ()),
    (REV_ALL_ARM, '4ff0e022', 0x943d, 'mov     r2, #0xe000e000', 0, ()),
    (REV_ALL_ARM, '1369', 0x9443, 'ldr     r3, [r2, #0x10]', 0, ()),
    (REV_ALL_ARM, '9169', 0x9445, 'ldr     r1, [r2, #0x18]', 0, ()),
    (REV_ALL_ARM, '1569', 0x9447, 'ldr     r5, [r2, #0x10]', 0, ()),
    (REV_ALL_ARM, '13f48033', 0x944f, 'ands    r3, r3, #0x10000', 0, ()),
    (REV_ALL_ARM, '1068', 0x9453, 'ldr     r0, [r2]', 0, ()),
    (REV_ALL_ARM, '0829', 0x945f, 'cmp     r1, #8', 0, ()),
    (REV_ALL_ARM, '15f4803f', 0x9467, 'tst     r5, #0x10000', 0, ()),
    (REV_ALL_ARM, '1044', 0x9491, 'add     r0, r2', 0, ()),
    (REV_ALL_ARM, 'b0fbf1f0', 0x949b, 'udiv    r0, r0, r1', 0, ()),
    (REV_ALL_ARM, '01fb0033', 0x949f, 'mla     r3, r1, r0, r3', 0, ()),
    (REV_ALL_ARM, '4ff0e023', 0x94a5, 'mov     r3, #0xe000e000', 0, ()),
    (REV_ALL_ARM, '1a69', 0x94a9, 'ldr     r2, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, '04f069f9', 0x94b3, 'bl      0x0000d788', 0, ()),
    (REV_ALL_ARM, '00f0abb8', 0x94bb, 'b       0x00009614', 0, ()),
    (REV_ALL_ARM, '83f82320', 0x94d9, 'strb    r2, [r3, #0x23]', 0, ()),
    (REV_ALL_ARM, '9861', 0x94ef, 'str     r0, [r3, #0x18]', 0, ()),
    (REV_ALL_ARM, '42f00702', 0x94f3, 'orr     r2, r2, #7', 0, ()),
    (REV_ALL_ARM, '1a61', 0x94f7, 'str     r2, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, '59b1', 0x9511, 'cbz     r1, 0x0000952a', 0, ()),
    (REV_ALL_ARM, '2cdc', 0x952f, 'bgt     0x0000958a', 0, ()),
    (REV_ALL_ARM, '431c', 0x9513, 'adds    r3, r0, #1', 0, ()),
    (REV_ALL_ARM, '6220', 0x958b, 'movs    r0, #0x62', 0, ()),
    (REV_ALL_ARM, '2cdd', 0x9533, 'ble     0x0000958e', 0, ()),
    (REV_ALL_ARM, '1361', 0x9521, 'str     r3, [r2, #0x10]', 0, ()),
    (REV_ALL_ARM, '4ff07f43', 0x9523, 'mov     r3, #0xff000000', 0, ()),
    (REV_ALL_ARM, '2b60', 0x9527, 'str     r3, [r5]', 0, ()),
    (REV_ALL_ARM, '4443', 0x9537, 'muls    r4, r0, r4', 0, ()),
    (REV_ALL_ARM, '42f60414', 0x958f, 'movw    r4, #0x2904', 0, ()),
    (REV_ALL_ARM, 'fff778ff', 0x9549, 'bl      0x0000943c', 0, ()),
    (REV_ALL_ARM, 'c118', 0x9551, 'adds    r1, r0, r3', 0, ()),
    (REV_ALL_ARM, 'c3f52432', 0x9559, 'rsb     r2, r3, #0x29000', 0, ()),
    (REV_ALL_ARM, '3f32', 0x955d, 'adds    r2, #0x3f', 0, ()),
    (REV_ALL_ARM, '1019', 0x955f, 'adds    r0, r2, r4', 0, ()),
    (REV_ALL_ARM, '0844', 0x9565, 'add     r0, r1', 0, ()),
    (REV_ALL_ARM, 'b0fbf4f0', 0x9567, 'udiv    r0, r0, r4', 0, ()),
    (REV_ALL_ARM, '04fb0030', 0x956b, 'mla     r0, r4, r0, r3', 0, ()),
    (REV_ALL_ARM, '5861', 0x957d, 'str     r0, [r3, #0x14]', 0, ()),
    (REV_ALL_ARM, '9a61', 0x957f, 'str     r2, [r3, #0x18]', 0, ()),
    (REV_ALL_ARM, 'b3fbf0f0', 0x95d5, 'udiv    r0, r3, r0', 0, ()),
    (REV_ALL_ARM, 'fff71fff', 0x95fb, 'bl      0x0000943c', 0, ()),
    (REV_ALL_ARM, '1844', 0x9603, 'add     r0, r3', 0, ()),
    (REV_ALL_ARM, '8168', 0x9617, 'ldr     r1, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '006a', 0x9619, 'ldr     r0, [r0, #0x20]', 0, ()),
    (REV_ALL_ARM, '4ff08052', 0x9621, 'mov     r2, #0x10000000', 0, ()),
    (REV_ALL_ARM, 'c218', 0x9637, 'adds    r2, r0, r3', 0, ()),
    (REV_ALL_ARM, '522b', 0x963b, 'cmp     r3, #0x52', 0, ()),
    (REV_ALL_ARM, '82f80013', 0x963d, 'strb    r1, [r2, #0x300]', 0, ()),
    (REV_ALL_ARM, '9368', 0x964d, 'ldr     r3, [r2, #8]', 0, ()),
    (REV_ALL_ARM, 'd967', 0x9651, 'str     r1, [r3, #0x7c]', 0, ()),
    (REV_ALL_ARM, '9867', 0x9655, 'str     r0, [r3, #0x78]', 0, ()),
    (REV_ALL_ARM, '4b60', 0x965d, 'str     r3, [r1, #4]', 0, ()),
    (REV_ALL_ARM, 'd86f', 0x966b, 'ldr     r0, [r3, #0x7c]', 0, ()),
    (REV_ALL_ARM, '1020', 0x967d, 'movs    r0, #0x10', 0, ()),
    (REV_ALL_ARM, '8a68', 0x9689, 'ldr     r2, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '4ff02800', 0x968b, 'mov     r0, #0x28', 0, ()),
    (REV_ALL_ARM, 'eff3098c', 0x9691, 'mrs     r12, psp', 0, ()),
    (REV_ALL_ARM, '80e8f01f', 0x9695, 'stm     r0, {r4, r5, r6, r7, r8, r9, r10, r11, r12}', 0, ()),
    (REV_ALL_ARM, '4ff00066', 0x969b, 'mov     r6, #0x08000000', 0, ()),
    (REV_ALL_ARM, '0a6a', 0x969f, 'ldr     r2, [r1, #0x20]', 0, ()),
    (REV_ALL_ARM, '8a60', 0x96a1, 'str     r2, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '3e60', 0x96a3, 'str     r6, [r7]', 0, ()),
    (REV_ALL_ARM, '906f', 0x96a5, 'ldr     r0, [r2, #0x78]', 0, ()),
    (REV_ALL_ARM, '9367', 0x96a9, 'str     r3, [r2, #0x78]', 0, ()),
    (REV_ALL_ARM, '04b5', 0x96af, 'push    {r2, lr}', 0, ()),
    (REV_ALL_ARM, 'bde80440', 0x96b9, 'pop     {r2, lr}', 0, ()),
    (REV_ALL_ARM, '02f12800', 0x96bd, 'add     r0, r2, #0x28', 0, ()),
    (REV_ALL_ARM, '90e8f01f', 0x96c1, 'ldm     r0, {r4, r5, r6, r7, r8, r9, r10, r11, r12}', 0, ()),
    (REV_ALL_ARM, '8cf30988', 0x96c5, 'msr     psp, r12', 0, ()),
    (REV_ALL_ARM, '1ef0040f', 0x96d5, 'tst     lr, #4', 0, ()),
    (REV_ALL_ARM, 'eff30880', 0x96db, 'mrs     r0, msp', 0, ()),
    (REV_ALL_ARM, 'eff30980', 0x96df, 'mrs     r0, psp', 0, ()),
    (REV_ALL_ARM, '8169', 0x96e3, 'ldr     r1, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, '31f8021c', 0x96e5, 'ldrh    r1, [r1, #-2]', 0, ()),
    (REV_ALL_ARM, '11f0ff01', 0x96e9, 'ands    r1, r1, #0xff', 0, ()),
    (REV_ALL_ARM, 'ffd0', 0x96ef, 'beq     0x000096f0', 0, ()),
    (REV_ALL_ARM, '01b5', 0x96f1, 'push    {r0, lr}', 0, ()),
    (REV_ALL_ARM, '01bd', 0x96f7, 'pop     {r0, pc}', 0, ()),
    (REV_ALL_ARM, '05f06dfb', 0x96ff, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, 'dc01', 0x9711, 'lsls    r4, r3, #7', 0, ()),
    (REV_ALL_ARM, '05f067fb', 0x970b, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '1803', 0x971f, 'lsls    r0, r3, #0xc', 0, ()),
    (REV_ALL_ARM, '05f061fb', 0x9717, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '5903', 0x972b, 'lsls    r1, r3, #0xd', 0, ()),
    (REV_ALL_ARM, '05f05afb', 0x9725, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '9a03', 0x9739, 'lsls    r2, r3, #0xe', 0, ()),
    (REV_ALL_ARM, '05f054fb', 0x9731, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, 'db03', 0x9745, 'lsls    r3, r3, #0xf', 0, ()),
    (REV_ALL_ARM, '05f04dfb', 0x973f, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '936a', 0x9751, 'ldr     r3, [r2, #0x28]', 0, ()),
    (REV_ALL_ARM, '6fea0343', 0x9753, 'mvn     r3, r3, lsl #16', 0, ()),
    (REV_ALL_ARM, '6fea1343', 0x9757, 'mvn     r3, r3, lsr #16', 0, ()),
    (REV_ALL_ARM, '9362', 0x975b, 'str     r3, [r2, #0x28]', 0, ()),
    (REV_ALL_ARM, '05f047fb', 0x974b, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '05f028fb', 0x9789, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, 'd904', 0x978f, 'lsls    r1, r3, #0x13', 0, ()),
    (REV_ALL_ARM, '1a05', 0x979b, 'lsls    r2, r3, #0x14', 0, ()),
    (REV_ALL_ARM, '05f022fb', 0x9795, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '9b05', 0x97a9, 'lsls    r3, r3, #0x16', 0, ()),
    (REV_ALL_ARM, '05f01cfb', 0x97a1, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '5905', 0x97cf, 'lsls    r1, r3, #0x15', 0, ()),
    (REV_ALL_ARM, '05f015fb', 0x97af, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, 'a16b', 0x97b3, 'ldr     r1, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, '1804', 0x97b7, 'lsls    r0, r3, #0x10', 0, ()),
    (REV_ALL_ARM, 'da05', 0x97db, 'lsls    r2, r3, #0x17', 0, ()),
    (REV_ALL_ARM, '05f002fb', 0x97d5, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '05f00efb', 0x97bd, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '1db1', 0x97c1, 'cbz     r5, 0x000097ca', 0, ()),
    (REV_ALL_ARM, '9b04', 0x97f5, 'lsls    r3, r3, #0x12', 0, ()),
    (REV_ALL_ARM, 'f5d5', 0x97f7, 'bpl     0x000097e4', 0, ()),
    (REV_ALL_ARM, '43f47f43', 0x97e9, 'orr     r3, r3, #0xff00', 0, ()),
    (REV_ALL_ARM, '05f0fcfa', 0x97e1, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '05f0d8fa', 0x9829, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, 'd906', 0x982f, 'lsls    r1, r3, #0x1b', 0, ()),
    (REV_ALL_ARM, '1a07', 0x983b, 'lsls    r2, r3, #0x1c', 0, ()),
    (REV_ALL_ARM, '05f0d2fa', 0x9835, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '05f0ccfa', 0x9841, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '05f0c5fa', 0x984f, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '616b', 0x9853, 'ldr     r1, [r4, #0x34]', 0, ()),
    (REV_ALL_ARM, '1806', 0x9857, 'lsls    r0, r3, #0x18', 0, ()),
    (REV_ALL_ARM, '05f0b2fa', 0x9875, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '05f0befa', 0x985d, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '9a6a', 0x9887, 'ldr     r2, [r3, #0x28]', 0, ()),
    (REV_ALL_ARM, '42f0ff02', 0x988b, 'orr     r2, r2, #0xff', 0, ()),
    (REV_ALL_ARM, '05f0acfa', 0x9881, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '7768', 0x98b9, 'ldr     r7, [r6, #4]', 0, ()),
    (REV_ALL_ARM, 'c7f30804', 0x98bb, 'ubfx    r4, r7, #0, #9', 0, ()),
    (REV_ALL_ARM, 'fdf700fc', 0x98c1, 'bl      0x000070c4', 0, ()),
    (REV_ALL_ARM, 'e31e', 0x98c5, 'subs    r3, r4, #3', 0, ()),
    (REV_ALL_ARM, '3ad8', 0x98c9, 'bhi     0x00009940', 0, ()),
    (REV_ALL_ARM, '17f4f87f', 0x9947, 'tst     r7, #0x1f0', 0, ()),
    (REV_ALL_ARM, 'a4f11002', 0x994b, 'sub     r2, r4, #0x10', 0, ()),
    (REV_ALL_ARM, '05f043fa', 0x9953, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '1be0', 0x98ef, 'b       0x00009928', 0, ()),
    (REV_ALL_ARM, '05f07ffa', 0x98db, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, 'f46a', 0x98df, 'ldr     r4, [r6, #0x2c]', 0, ()),
    (REV_ALL_ARM, '14f00204', 0x98e1, 'ands    r4, r4, #2', 0, ()),
    (REV_ALL_ARM, 'fff7ebfe', 0x991f, 'bl      0x000096f8', 0, ()),
    (REV_ALL_ARM, '00f0b2b8', 0x9931, 'b       0x00009a98', 0, ()),
    (REV_ALL_ARM, 'fff78cff', 0x9905, 'bl      0x00009820', 0, ()),
    (REV_ALL_ARM, 'fff735ff', 0x9913, 'bl      0x00009780', 0, ()),
    (REV_ALL_ARM, '05f078fa', 0x98e9, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '05f070fa', 0x98f9, 'bl      0x0000eddc', 0, ()),
    (REV_ALL_ARM, '96f82830', 0x98fd, 'ldrb    r3, [r6, #0x28]', 0, ()),
    (REV_ALL_ARM, '17d0', 0x9927, 'beq     0x00009958', 0, ()),
    (REV_ALL_ARM, '96f82930', 0x990b, 'ldrb    r3, [r6, #0x29]', 0, ()),
    (REV_ALL_ARM, '738d', 0x9919, 'ldrh    r3, [r6, #0x2a]', 0, ()),
    (REV_ALL_ARM, '43b2', 0x998d, 'sxtb    r3, r0', 0, ()),
    (REV_ALL_ARM, '08db', 0x9991, 'blt     0x000099a4', 0, ()),
    (REV_ALL_ARM, '00f01f00', 0x9995, 'and     r0, r0, #0x1f', 0, ()),
    (REV_ALL_ARM, '02fa00f0', 0x9999, 'lsl     r0, r2, r0', 0, ()),
    (REV_ALL_ARM, '42f82300', 0x99a1, 'str     r0, [r2, r3, lsl #2]', 0, ()),
    (REV_ALL_ARM, 'bff34f8f', 0x99c7, 'dsb     SY', 0, ()),
    (REV_ALL_ARM, '03f16043', 0x99db, 'add     r3, r3, #0xe0000000', 0, ()),
    (REV_ALL_ARM, '01f10101', 0x99df, 'add     r1, r1, #1', 0, ()),
    (REV_ALL_ARM, '4fea0111', 0x99e7, 'lsl     r1, r1, #4', 0, ()),
    (REV_ALL_ARM, 'acbf', 0x99eb, 'ite     ge', 0, ()),
    (REV_ALL_ARM, '03f56143', 0x99ed, 'add     r3, r3, #0xe100', 0, ()),
    (REV_ALL_ARM, '1954', 0x99f9, 'strb    r1, [r3, r0]', 0, ()),
    (REV_ALL_ARM, '83f80013', 0x99fb, 'strb    r1, [r3, #0x300]', 0, ()),
    (REV_ALL_ARM, '8c18', 0x9a09, 'adds    r4, r1, r2', 0, ()),
    (REV_ALL_ARM, 'a4f12002', 0x9a1f, 'sub     r2, r4, #0x20', 0, ()),
    (REV_ALL_ARM, 'c5e91311', 0x9a2d, 'strd    r1, r1, [r5, #0x4c]', 0, ()),
    (REV_ALL_ARM, 'c5e91b76', 0x9a31, 'strd    r7, r6, [r5, #0x6c]', 0, ()),
    (REV_ALL_ARM, '4ff08073', 0x9a43, 'mov     r3, #0x1000000', 0, ()),
    (REV_ALL_ARM, 'c2f80080', 0x9a47, 'str     r8, [r2]', 0, ()),
    (REV_ALL_ARM, 'd361', 0x9a4b, 'str     r3, [r2, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'aa64', 0x9a4d, 'str     r2, [r5, #0x48]', 0, ()),
    (REV_ALL_ARM, 'a967', 0x9a4f, 'str     r1, [r5, #0x78]', 0, ()),
    (REV_ALL_ARM, '30bf', 0x9a6b, 'wfi', 0, ()),
    (REV_ALL_ARM, 'dcf800c0', 0x9a7b, 'ldr     r12, [r12]', 0, ()),
    (REV_ALL_ARM, '1cf4006c', 0x9a7f, 'ands    r12, r12, #0x0800', 0, ()),
    (REV_ALL_ARM, '052c', 0x9aa3, 'cmp     r4, #5', 0, ()),
    (REV_ALL_ARM, '1ad8', 0x9aa5, 'bhi     0x00009adc', 0, ()),
    (REV_ALL_ARM, 'aa69', 0x9abb, 'ldr     r2, [r5, #0x18]', 0, ()),
    (REV_ALL_ARM, '00f018b8', 0x9acd, 'b       0x00009b00', 0, ()),
    (REV_ALL_ARM, '0528', 0x9b01, 'cmp     r0, #5', 0, ()),
    (REV_ALL_ARM, 'fff7a0ff', 0x9b21, 'bl      0x00009a64', 0, ()),
    (REV_ALL_ARM, '03f04ffc', 0x9b07, 'bl      0x0000d3a8', 0, ()),
    (REV_ALL_ARM, '03f04cfc', 0x9b0d, 'bl      0x0000d3a8', 0, ()),
    (REV_ALL_ARM, 'c2f30802', 0x9b83, 'ubfx    r2, r2, #0, #9', 0, ()),
    (REV_ALL_ARM, 'fff75dfd', 0x9b8b, 'bl      0x00009648', 0, ()),
    #(REV_ALL_ARM, 'eff30580', 0x9bab, 'mrs     r0, apsr', 0, ()),       # IPSR
    (REV_ALL_ARM, 'eff30580', 0x9bab, 'mrs     r0, ipsr', 0, ()),       # IPSR
    (REV_ALL_ARM, 'a0f11000', 0x9baf, 'sub     r0, r0, #0x10', 0, ()),
    (REV_ALL_ARM, '4feac000', 0x9bb3, 'lsl     r0, r0, #3', 0, ()),
    (REV_ALL_ARM, '09c9', 0x9bbb, 'ldm     r1!, {r0, r3}', 0, ()),
    (REV_ALL_ARM, 'bde80140', 0x9bbf, 'pop     {r0, lr}', 0, ()),
    (REV_ALL_ARM, '0047', 0x9bc5, 'bx      r0', 0, ()),
    (REV_ALL_ARM, '4ff40061', 0x9bd9, 'mov     r1, #0x0800', 0, ()),
    (REV_ALL_ARM, '4018', 0x9bdd, 'adds    r0, r0, r1', 0, ()),
    (REV_ALL_ARM, '80f30988', 0x9bdf, 'msr     psp, r0', 0, ()),
    (REV_ALL_ARM, 'eff31480', 0x9be3, 'mrs     r0, control', 0, ()),
    (REV_ALL_ARM, '80f31488', 0x9beb, 'msr     control, r0', 0, ()),
    (REV_ALL_ARM, '00f007f8', 0x9bf3, 'bl      0x00009c04', 0, ()),
    (REV_ALL_ARM, 'fff7fdbf', 0x9bff, 'b       0x00009bfc', 0, ()),
    (REV_ALL_ARM, '02f0b2fd', 0x9c19, 'bl      0x0000c780', 0, ()),
    (REV_ALL_ARM, '02f0c8fd', 0x9c1d, 'bl      0x0000c7b0', 0, ()),
    (REV_ALL_ARM, 'fff706fd', 0x9c21, 'bl      0x00009630', 0, ()),
    (REV_ALL_ARM, '02f002fe', 0x9c25, 'bl      0x0000c82c', 0, ()),
    (REV_ALL_ARM, '1fb5', 0x9c31, 'push    {r0, r1, r2, r3, r4, lr}', 0, ()),
    (REV_ALL_ARM, '00f0b5f8', 0x9c4b, 'bl      0x00009db8', 0, ()),
    (REV_ALL_ARM, '56f821e0', 0x9c7b, 'ldr     lr, [r6, r1, lsl #2]', 0, ()),
    (REV_ALL_ARM, 'def80440', 0x9c7f, 'ldr     r4, [lr, #4]', 0, ()),
    (REV_ALL_ARM, 'abb1', 0x9c87, 'cbz     r3, 0x00009cb4', 0, ()),
    (REV_ALL_ARM, 'b942', 0x9c77, 'cmp     r1, r7', 0, ()),
    (REV_ALL_ARM, '1bda', 0x9c79, 'bge     0x00009cb2', 0, ()),
    (REV_ALL_ARM, '202c', 0x9cb5, 'cmp     r4, #0x20', 0, ()),
    (REV_ALL_ARM, 'c5b2', 0x9cb7, 'uxtb    r5, r0', 0, ()),
    (REV_ALL_ARM, 'def80020', 0x9cb9, 'ldr     r2, [lr]', 0, ()),
    (REV_ALL_ARM, 'def80800', 0x9cbd, 'ldr     r0, [lr, #8]', 0, ()),
    (REV_ALL_ARM, '651e', 0x9c89, 'subs    r5, r4, #1', 0, ()),
    (REV_ALL_ARM, '2c42', 0x9c8b, 'tst     r4, r5', 0, ()),
    (REV_ALL_ARM, 'b4f1004f', 0x9cc3, 'cmp     r4, #0x80000000', 0, ()),
    (REV_ALL_ARM, '1f2c', 0x9c8f, 'cmp     r4, #0x1f', 0, ()),
    (REV_ALL_ARM, '072d', 0x9cd5, 'cmp     r5, #7', 0, ()),
    (REV_ALL_ARM, '44ea0004', 0x9cd7, 'orr     r4, r4, r0', 0, ()),
    (REV_ALL_ARM, '0dd9', 0x9cdb, 'bls     0x00009cf8', 0, ()),
    (REV_ALL_ARM, '3e24', 0x9cf5, 'movs    r4, #0x3e', 0, ()),
    (REV_ALL_ARM, 'b4fa84f4', 0x9ccb, 'clz     r4, r4', 0, ()),
    (REV_ALL_ARM, 'c4f11f04', 0x9ccf, 'rsb     r4, r4, #0x1f', 0, ()),
    (REV_ALL_ARM, '6400', 0x9cd3, 'lsls    r4, r4, #1', 0, ()),
    (REV_ALL_ARM, '1542', 0x9c97, 'tst     r5, r2', 0, ()),
    (REV_ALL_ARM, 'ccf89850', 0x9d07, 'str     r5, [r12, #0x98]', 0, ()),
    (REV_ALL_ARM, '681c', 0x9d0b, 'adds    r0, r5, #1', 0, ()),
    (REV_ALL_ARM, 'ccf89c20', 0x9d0d, 'str     r2, [r12, #0x9c]', 0, ()),
    (REV_ALL_ARM, 'ccf8a040', 0x9d11, 'str     r4, [r12, #0xa0]', 0, ()),
    (REV_ALL_ARM, 'c3f89420', 0x9d31, 'str     r2, [r3, #0x94]', 0, ()),
    (REV_ALL_ARM, 'bff35f8f', 0x9d45, 'dmb     SY', 0, ()),
    (REV_ALL_ARM, '0828', 0x9d5d, 'cmp     r0, #8', 0, ()),
    (REV_ALL_ARM, '21d8', 0x9d61, 'bhi     0x00009da6', 0, ()),
    (REV_ALL_ARM, 'fff7efff', 0x9d63, 'bl      0x00009d44', 0, ()),
    (REV_ALL_ARM, 'c4f89820', 0x9d81, 'str     r2, [r4, #0x98]', 0, ()),
    (REV_ALL_ARM, '51f80c3c', 0x9d85, 'ldr     r3, [r1, #-0xc]', 0, ()),
    (REV_ALL_ARM, 'c4f89c30', 0x9d93, 'str     r3, [r4, #0x9c]', 0, ()),
    (REV_ALL_ARM, '51f8043c', 0x9d97, 'ldr     r3, [r1, #-4]', 0, ()),
    (REV_ALL_ARM, 'c4f8a030', 0x9d9f, 'str     r3, [r4, #0xa0]', 0, ()),
    (REV_ALL_ARM, 'fff7d8ff', 0x9d79, 'bl      0x00009d2c', 0, ()),
    (REV_ALL_ARM, '01f10c01', 0x9d6f, 'add     r1, r1, #0xc', 0, ()),
    (REV_ALL_ARM, 'fff752ff', 0x9dc1, 'bl      0x00009c68', 0, ()),
    (REV_ALL_ARM, '2070', 0x9dc5, 'strb    r0, [r4]', 0, ()),
    (REV_ALL_ARM, '1278', 0x9dd3, 'ldrb    r2, [r2]', 0, ()),
    (REV_ALL_ARM, 'fff748ff', 0x9dd5, 'bl      0x00009c68', 0, ()),
    (REV_ALL_ARM, '10f1160f', 0x9dd9, 'cmn     r0, #0x16', 0, ()),
    (REV_ALL_ARM, 'c3f89800', 0x9de9, 'str     r0, [r3, #0x98]', 0, ()),
    (REV_ALL_ARM, 'c3f8a020', 0x9ded, 'str     r2, [r3, #0xa0]', 0, ()),
    (REV_ALL_ARM, '0728', 0x9de3, 'cmp     r0, #7', 0, ()),
    (REV_ALL_ARM, '00dd', 0x9de5, 'ble     0x00009de8', 0, ()),
    (REV_ALL_ARM, 'c5b0', 0x9e01, 'sub     sp, #0x114', 0, ()),
    (REV_ALL_ARM, 'cde90701', 0x9e03, 'strd    r0, r1, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '3e46', 0x9e19, 'mov     r6, r7', 0, ()),
    (REV_ALL_ARM, '16f8010b', 0x9e1b, 'ldrb    r0, [r6], #1', 0, ()),
    (REV_ALL_ARM, '45b0', 0x9e37, 'add     sp, #0x114', 0, ()),
    (REV_ALL_ARM, 'cde90333', 0x9ef3, 'strd    r3, r3, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '4ff0200a', 0x9efd, 'mov     r10, #0x20', 0, ()),
    (REV_ALL_ARM, 'a5e7', 0x9f03, 'b       0x00009e50', 0, ()),
    (REV_ALL_ARM, 'dde90731', 0x9e25, 'ldrd    r3, r1, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '17f8014b', 0x9e55, 'ldrb    r4, [r7], #1', 0, ()),
    (REV_ALL_ARM, '06f0eaff', 0x9e5b, 'bl      0x00010e32', 0, ()),
    (REV_ALL_ARM, '2b2c', 0x9e3d, 'cmp     r4, #0x2b', 0, ()),
    (REV_ALL_ARM, '4cd0', 0x9e3f, 'beq     0x00009eda', 0, ()),
    (REV_ALL_ARM, '2a2c', 0x9e63, 'cmp     r4, #0x2a', 0, ()),
    (REV_ALL_ARM, '4ed1', 0x9e65, 'bne     0x00009f04', 0, ()),
    (REV_ALL_ARM, '44d8', 0x9e41, 'bhi     0x00009ecc', 0, ()),
    (REV_ALL_ARM, 'a4f13003', 0x9f05, 'sub     r3, r4, #0x30', 0, ()),
    (REV_ALL_ARM, 'bcd8', 0x9f0d, 'bhi     0x00009e88', 0, ()),
    (REV_ALL_ARM, '58f8043b', 0x9e67, 'ldr     r3, [r8], #4', 0, ()),
    (REV_ALL_ARM, 'bebf', 0x9e6f, 'ittt    lt', 0, ()),
    (REV_ALL_ARM, '5b42', 0x9e71, 'rsbs    r3, r3, #0', 0, ()),
    (REV_ALL_ARM, '3c78', 0x9e77, 'ldrb    r4, [r7]', 0, ()),
    (REV_ALL_ARM, 'b71c', 0x9e7d, 'adds    r7, r6, #2', 0, ()),
    (REV_ALL_ARM, '2d2c', 0x9ecd, 'cmp     r4, #0x2d', 0, ()),
    (REV_ALL_ARM, '2e2c', 0x9e89, 'cmp     r4, #0x2e', 0, ()),
    (REV_ALL_ARM, '5fd1', 0x9e8b, 'bne     0x00009f4c', 0, ()),
    (REV_ALL_ARM, 'a8e7', 0x9f51, 'b       0x00009ea4', 0, ()),
    (REV_ALL_ARM, '2a2b', 0x9e8f, 'cmp     r3, #0x2a', 0, ()),
    (REV_ALL_ARM, '302c', 0x9ed1, 'cmp     r4, #0x30', 0, ()),
    (REV_ALL_ARM, '4ff0300a', 0x9ed5, 'mov     r10, #0x30', 0, ()),
    (REV_ALL_ARM, 'b3e7', 0x9ee5, 'b       0x00009e4e', 0, ()),
    (REV_ALL_ARM, '232c', 0x9e47, 'cmp     r4, #0x23', 0, ()),
    (REV_ALL_ARM, '4dd0', 0x9e49, 'beq     0x00009ee6', 0, ()),
    (REV_ALL_ARM, 'c92b', 0x9e81, 'cmp     r3, #0xc9', 0, ()),
    (REV_ALL_ARM, '06f0c3ff', 0x9ea9, 'bl      0x00010e32', 0, ()),
    (REV_ALL_ARM, '0a20', 0x9f49, 'movs    r0, #0xa', 0, ()),
    (REV_ALL_ARM, '58f8046b', 0x9e93, 'ldr     r6, [r8], #4', 0, ()),
    (REV_ALL_ARM, 'b1e7', 0x9ee9, 'b       0x00009e4e', 0, ()),
    (REV_ALL_ARM, 'f2d0', 0x9e4d, 'beq     0x00009e34', 0, ()),
    (REV_ALL_ARM, '17f8013b', 0x9f13, 'ldrb    r3, [r7], #1', 0, ()),
    (REV_ALL_ARM, 'a3f13002', 0x9f17, 'sub     r2, r3, #0x30', 0, ()),
    (REV_ALL_ARM, 'aed8', 0x9f1f, 'bhi     0x00009e7e', 0, ()),
    (REV_ALL_ARM, '782c', 0x9eb3, 'cmp     r4, #0x78', 0, ()),
    (REV_ALL_ARM, '00f33783', 0x9eb5, 'bgt     0x0000a526', 0, ()),
    (REV_ALL_ARM, '12f8013b', 0x9f39, 'ldrb    r3, [r2], #1', 0, ()),
    (REV_ALL_ARM, 'a3f13001', 0x9f3d, 'sub     r1, r3, #0x30', 0, ()),
    (REV_ALL_ARM, '0929', 0x9f41, 'cmp     r1, #9', 0, ()),
    (REV_ALL_ARM, 'f4d9', 0x9f43, 'bls     0x00009f2e', 0, ()),
    (REV_ALL_ARM, 'c82c', 0xa527, 'cmp     r4, #0xc8', 0, ()),
    (REV_ALL_ARM, '7ff776ac', 0xa529, 'ble     0x00009e18', 0, ()),
    (REV_ALL_ARM, '572c', 0x9eb9, 'cmp     r4, #0x57', 0, ()),
    (REV_ALL_ARM, '4adc', 0x9ebb, 'bgt     0x00009f52', 0, ()),
    (REV_ALL_ARM, '00fb0636', 0x9f2f, 'mla     r6, r0, r6, r3', 0, ()),
    (REV_ALL_ARM, '303e', 0x9f33, 'subs    r6, #0x30', 0, ()),
    (REV_ALL_ARM, '7fe4', 0xa52d, 'b       0x00009e2e', 0, ()),
    (REV_ALL_ARM, 'a4f15803', 0x9f53, 'sub     r3, r4, #0x58', 0, ()),
    (REV_ALL_ARM, '3ff65eaf', 0x9f59, 'bhi     0x00009e18', 0, ()),
    (REV_ALL_ARM, '252c', 0x9ebd, 'cmp     r4, #0x25', 0, ()),
    (REV_ALL_ARM, '00f00283', 0x9ebf, 'beq     0x0000a4c6', 0, ()),
    (REV_ALL_ARM, 'c92e', 0x9e99, 'cmp     r6, #0xc9', 0, ()),
    (REV_ALL_ARM, '01a2', 0x9f5d, 'adr     r2, #0x9f64', 0, ()),
    (REV_ALL_ARM, '52f823f0', 0x9f5f, 'ldr     pc, [r2, r3, lsl #2]', 0, ()),
    (REV_ALL_ARM, '0899', 0xa4c7, 'ldr     r1, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '3ff4adac', 0xa4d1, 'beq     0x00009e2e', 0, ()),
    (REV_ALL_ARM, '00f39180', 0x9ec3, 'bgt     0x00009fe8', 0, ()),
    (REV_ALL_ARM, '08f10708', 0x9ff3, 'add     r8, r8, #7', 0, ()),
    (REV_ALL_ARM, '5868', 0x9ffd, 'ldr     r0, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '58f8081b', 0x9fff, 'ldr     r1, [r8], #8', 0, ()),
    (REV_ALL_ARM, 'c202', 0xa003, 'lsls    r2, r0, #0xb', 0, ()),
    (REV_ALL_ARM, '42ea5152', 0xa005, 'orr     r2, r2, r1, lsr #21', 0, ()),
    (REV_ALL_ARM, 'c0f30a53', 0xa009, 'ubfx    r3, r0, #0x14, #0xb', 0, ()),
    (REV_ALL_ARM, '40f2ff7c', 0xa00d, 'movw    r12, #0x7ff', 0, ()),
    (REV_ALL_ARM, 'c902', 0xa011, 'lsls    r1, r1, #0xb', 0, ()),
    (REV_ALL_ARM, '6345', 0xa017, 'cmp     r3, r12', 0, ()),
    (REV_ALL_ARM, 'cde90c12', 0xa019, 'strd    r1, r2, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '77d1', 0xa01d, 'bne     0x0000a10e', 0, ()),
    (REV_ALL_ARM, '8df84430', 0xa07b, 'strb    r3, [sp, #0x44]', 0, ()),
    (REV_ALL_ARM, '8df84530', 0xa081, 'strb    r3, [sp, #0x45]', 0, ()),
    (REV_ALL_ARM, '58f8044b', 0xa08d, 'ldr     r4, [r8], #4', 0, ()),
    (REV_ALL_ARM, '029a', 0xa3ab, 'ldr     r2, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '33e5', 0xa3af, 'b       0x00009e18', 0, ()),
    (REV_ALL_ARM, '58f8041b', 0xa3b1, 'ldr     r1, [r8], #4', 0, ()),
    (REV_ALL_ARM, 'e5b1', 0xa3b5, 'cbz     r5, 0x0000a3f0', 0, ()),
    (REV_ALL_ARM, '7823', 0xa415, 'movs    r3, #0x78', 0, ()),
    (REV_ALL_ARM, '0df14600', 0xa423, 'add     r0, sp, #0x46', 0, ()),
    (REV_ALL_ARM, '06f0bbfd', 0xa427, 'bl      0x00010fa0', 0, ()),
    (REV_ALL_ARM, '0230', 0xa42b, 'adds    r0, #2', 0, ()),
    (REV_ALL_ARM, '06f09afd', 0xa469, 'bl      0x00010fa0', 0, ()),
    (REV_ALL_ARM, 'edb1', 0xa473, 'cbz     r5, 0x0000a4b0', 0, ()),
    (REV_ALL_ARM, '98e4', 0xa4d9, 'b       0x00009e0c', 0, ()),
    (REV_ALL_ARM, 'a4f14503', 0x9fe9, 'sub     r3, r4, #0x45', 0, ()),
    (REV_ALL_ARM, '3ff613af', 0x9fef, 'bhi     0x00009e18', 0, ()),
    (REV_ALL_ARM, 'bbbf', 0xa021, 'ittet   lt', 0, ()),
    (REV_ALL_ARM, '2d23', 0xa023, 'movs    r3, #0x2d', 0, ()),
    (REV_ALL_ARM, '0df14503', 0xa02b, 'add     r3, sp, #0x45', 0, ()),
    (REV_ALL_ARM, 'a4f14104', 0xa031, 'sub     r4, r4, #0x41', 0, ()),
    (REV_ALL_ARM, '03f10300', 0xa035, 'add     r0, r3, #3', 0, ()),
    (REV_ALL_ARM, '11ae', 0xa3d1, 'add     r6, sp, #0x44', 0, ()),
    (REV_ALL_ARM, '40f3a680', 0xa3d3, 'ble     0x0000a522', 0, ()),
    (REV_ALL_ARM, '11ac', 0xa3f1, 'add     r4, sp, #0x44', 0, ()),
    (REV_ALL_ARM, '21bb', 0xa3bd, 'cbnz    r1, 0x0000a408', 0, ()),
    (REV_ALL_ARM, '5de6', 0xa407, 'b       0x0000a0c4', 0, ()),
    (REV_ALL_ARM, '02db', 0xa447, 'blt     0x0000a44e', 0, ()),
    (REV_ALL_ARM, 'c82d', 0xa43b, 'cmp     r5, #0xc8', 0, ()),
    (REV_ALL_ARM, '0df14409', 0xa4b1, 'add     r9, sp, #0x44', 0, ()),
    (REV_ALL_ARM, '0df14609', 0xa481, 'add     r9, sp, #0x46', 0, ()),
    (REV_ALL_ARM, '03e0', 0x9e0f, 'b       0x00009e18', 0, ()),
    (REV_ALL_ARM, '192c', 0xa0f9, 'cmp     r4, #0x19', 0, ()),
    (REV_ALL_ARM, '99bf', 0xa0fb, 'ittee   ls', 0, ()),
    (REV_ALL_ARM, '4e22', 0xa0fd, 'movs    r2, #0x4e', 0, ()),
    (REV_ALL_ARM, '4121', 0xa0ff, 'movs    r1, #0x41', 0, ()),
    (REV_ALL_ARM, '6e22', 0xa101, 'movs    r2, #0x6e', 0, ()),
    (REV_ALL_ARM, '6121', 0xa103, 'movs    r1, #0x61', 0, ()),
    (REV_ALL_ARM, '5970', 0xa10b, 'strb    r1, [r3, #1]', 0, ()),
    (REV_ALL_ARM, '9ce7', 0xa10d, 'b       0x0000a048', 0, ()),
    (REV_ALL_ARM, '56d8', 0xa03d, 'bhi     0x0000a0ec', 0, ()),
    (REV_ALL_ARM, '0195', 0xa523, 'str     r5, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '7ed0', 0xa3db, 'beq     0x0000a4da', 0, ()),
    (REV_ALL_ARM, '2b23', 0xa0d3, 'movs    r3, #0x2b', 0, ()),
    (REV_ALL_ARM, '6142', 0xa0a1, 'rsbs    r1, r4, #0', 0, ()),
    (REV_ALL_ARM, '0df14504', 0xa409, 'add     r4, sp, #0x45', 0, ()),
    (REV_ALL_ARM, '8df84510', 0xa3c1, 'strb    r1, [sp, #0x45]', 0, ()),
    (REV_ALL_ARM, '3ff4e2ac', 0xa451, 'beq     0x00009e18', 0, ()),
    (REV_ALL_ARM, '3546', 0xa44d, 'mov     r5, r6', 0, ()),
    (REV_ALL_ARM, '4b5d', 0xa435, 'ldrb    r3, [r1, r5]', 0, ()),
    (REV_ALL_ARM, '02da', 0xa441, 'bge     0x0000a448', 0, ()),
    (REV_ALL_ARM, '06f089fd', 0xa48b, 'bl      0x00010fa0', 0, ()),
    (REV_ALL_ARM, '582c', 0xa48f, 'cmp     r4, #0x58', 0, ()),
    (REV_ALL_ARM, 'a9eb0209', 0xa49f, 'sub     r9, r9, r2', 0, ()),
    (REV_ALL_ARM, '4844', 0xa4a3, 'add     r0, r9', 0, ()),
    (REV_ALL_ARM, '4ff0020b', 0xa4a7, 'mov     r11, #2', 0, ()),
    (REV_ALL_ARM, '09e6', 0xa4af, 'b       0x0000a0c4', 0, ()),
    (REV_ALL_ARM, 'da70', 0xa04d, 'strb    r2, [r3, #3]', 0, ()),
    (REV_ALL_ARM, 'dde90332', 0xa053, 'ldrd    r3, r2, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '53ea020b', 0xa057, 'orrs    r11, r3, r2', 0, ()),
    (REV_ALL_ARM, '6922', 0xa0ed, 'movs    r2, #0x69', 0, ()),
    (REV_ALL_ARM, '6622', 0xa0f5, 'movs    r2, #0x66', 0, ()),
    (REV_ALL_ARM, '4922', 0xa03f, 'movs    r2, #0x49', 0, ()),
    (REV_ALL_ARM, '4622', 0xa047, 'movs    r2, #0x46', 0, ()),
    (REV_ALL_ARM, 'dde90153', 0xa3e9, 'ldrd    r5, r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '94e0', 0xa3ef, 'b       0x0000a51a', 0, ()),
    (REV_ALL_ARM, '5c1b', 0xa4dd, 'subs    r4, r3, r5', 0, ()),
    (REV_ALL_ARM, '3019', 0xa4df, 'adds    r0, r6, r4', 0, ()),
    (REV_ALL_ARM, '06f0e8fc', 0xa4e5, 'bl      0x00010eb8', 0, ()),
    (REV_ALL_ARM, 'baf1200f', 0xa4e9, 'cmp     r10, #0x20', 0, ()),
    (REV_ALL_ARM, '5c44', 0xa4f3, 'add     r4, r11', 0, ()),
    (REV_ALL_ARM, '0df14509', 0xa0a3, 'add     r9, sp, #0x45', 0, ()),
    (REV_ALL_ARM, '4fead47b', 0xa0c1, 'lsr     r11, r4, #0x1f', 0, ()),
    (REV_ALL_ARM, 'c828', 0xa06d, 'cmp     r0, #0xc8', 0, ()),
    (REV_ALL_ARM, '3ff7deae', 0xa06f, 'bgt     0x00009e2e', 0, ()),
    (REV_ALL_ARM, '06f0d2fd', 0xa3f9, 'bl      0x00010fa0', 0, ()),
    (REV_ALL_ARM, '06f046fd', 0xa459, 'bl      0x00010ee8', 0, ()),
    (REV_ALL_ARM, '13e6', 0xa45d, 'b       0x0000a086', 0, ()),
    (REV_ALL_ARM, 'a2f16103', 0xa4b7, 'sub     r3, r2, #0x61', 0, ()),
    (REV_ALL_ARM, '192b', 0xa4bb, 'cmp     r3, #0x19', 0, ()),
    (REV_ALL_ARM, '9cbf', 0xa4bd, 'itt     ls', 0, ()),
    (REV_ALL_ARM, '203a', 0xa4bf, 'subs    r2, #0x20', 0, ()),
    (REV_ALL_ARM, '01f8012c', 0xa4c1, 'strb    r2, [r1, #-1]', 0, ()),
    (REV_ALL_ARM, '9df844b0', 0xa05d, 'ldrb    r11, [sp, #0x44]', 0, ()),
    (REV_ALL_ARM, 'abf12d03', 0xa061, 'sub     r3, r11, #0x2d', 0, ()),
    (REV_ALL_ARM, 'd3f1000b', 0xa065, 'rsbs    r11, r3, #0', 0, ()),
    (REV_ALL_ARM, '4beb030b', 0xa069, 'adc     r11, r11, r3', 0, ()),
    (REV_ALL_ARM, '0bf806a0', 0xa4fb, 'strb    r10, [r11, r6]', 0, ()),
    (REV_ALL_ARM, 'ab55', 0xa3e1, 'strb    r3, [r5, r6]', 0, ()),
    (REV_ALL_ARM, 'aa42', 0xa3e5, 'cmp     r2, r5', 0, ()),
    (REV_ALL_ARM, '06f078ff', 0xa0ad, 'bl      0x00010fa0', 0, ()),
    (REV_ALL_ARM, 'aae1', 0xa075, 'b       0x0000a3cc', 0, ()),
    (REV_ALL_ARM, '9fe1', 0xa08b, 'b       0x0000a3cc', 0, ()),
    (REV_ALL_ARM, '11f8012b', 0xa495, 'ldrb    r2, [r1], #1', 0, ()),
    (REV_ALL_ARM, '6ab9', 0xa499, 'cbnz    r2, 0x0000a4b6', 0, ()),
    (REV_ALL_ARM, '3ff48dac', 0xa511, 'beq     0x00009e2e', 0, ()),
    (REV_ALL_ARM, '7ae4', 0xa521, 'b       0x00009e18', 0, ()),
    (REV_ALL_ARM, 'a345', 0xa4f5, 'cmp     r11, r4', 0, ()),
    (REV_ALL_ARM, 'bff677af', 0xa4f7, 'bge     0x0000a3e8', 0, ()),
    (REV_ALL_ARM, '462c', 0xa10f, 'cmp     r4, #0x46', 0, ()),
    (REV_ALL_ARM, '41ea0301', 0xa111, 'orr     r1, r1, r3', 0, ()),
    (REV_ALL_ARM, '6624', 0xa117, 'movs    r4, #0x66', 0, ()),
    (REV_ALL_ARM, '1143', 0xa119, 'orrs    r1, r2', 0, ()),
    (REV_ALL_ARM, '42f00042', 0xa11d, 'orr     r2, r2, #0x80000000', 0, ()),
    (REV_ALL_ARM, 'a3f2fe33', 0xa123, 'subw    r3, r3, #0x3fe', 0, ()),
    (REV_ALL_ARM, '0d92', 0xa127, 'str     r2, [sp, #0x34]', 0, ()),
    (REV_ALL_ARM, '2dda', 0xa129, 'bge     0x0000a186', 0, ()),
    (REV_ALL_ARM, '32b1', 0xa191, 'cbz     r2, 0x0000a1a0', 0, ()),
    (REV_ALL_ARM, '2b22', 0xa18b, 'movs    r2, #0x2b', 0, ()),
    (REV_ALL_ARM, '0ab1', 0xa189, 'cbz     r2, 0x0000a18e', 0, ()),
    (REV_ALL_ARM, '2d22', 0xa12b, 'movs    r2, #0x2d', 0, ()),
    (REV_ALL_ARM, '0df1440b', 0xa1a1, 'add     r11, sp, #0x44', 0, ()),
    (REV_ALL_ARM, '8df84420', 0xa12d, 'strb    r2, [sp, #0x44]', 0, ()),
    (REV_ALL_ARM, '0df1450b', 0xa131, 'add     r11, sp, #0x45', 0, ()),
    (REV_ALL_ARM, 'dde90c2e', 0xa1b3, 'ldrd    r2, lr, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, 'bef1333f', 0xa1b7, 'cmp     lr, #0x33333333', 0, ()),
    (REV_ALL_ARM, '71f10000', 0xa1bb, 'sbcs    r0, r1, #0', 0, ()),
    (REV_ALL_ARM, '03f10103', 0xa1bf, 'add     r3, r3, #1', 0, ()),
    (REV_ALL_ARM, 'f0d2', 0xa1c3, 'bcs     0x0000a1a6', 0, ()),
    (REV_ALL_ARM, '61dc', 0xa141, 'bgt     0x0000a206', 0, ()),
    (REV_ALL_ARM, '0ca8', 0xa1a7, 'add     r0, sp, #0x30', 0, ()),
    (REV_ALL_ARM, '06f022ff', 0xa1ab, 'bl      0x00010ff2', 0, ()),
    (REV_ALL_ARM, '4ff0050c', 0xa1c5, 'mov     r12, #5', 0, ()),
    (REV_ALL_ARM, 'a2fb0c02', 0xa1c9, 'umull   r0, r2, r2, r12', 0, ()),
    (REV_ALL_ARM, '0cfb0e22', 0xa1cd, 'mla     r2, r12, lr, r2', 0, ()),
    (REV_ALL_ARM, 'cde90c02', 0xa1d1, 'strd    r0, r2, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '4ff0000c', 0xa1db, 'mov     r12, #0', 0, ()),
    (REV_ALL_ARM, '06f001ff', 0xa20b, 'bl      0x00011010', 0, ()),
    (REV_ALL_ARM, 'dde90ce1', 0xa211, 'ldrd    lr, r1, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '8446', 0xa21d, 'mov     r12, r0', 0, ()),
    (REV_ALL_ARM, '06f054ff', 0xa147, 'bl      0x00010ff2', 0, ()),
    (REV_ALL_ARM, '0598', 0xa1f7, 'ldr     r0, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '0018', 0xa1f9, 'adds    r0, r0, r0', 0, ()),
    (REV_ALL_ARM, '5241', 0xa1fb, 'adcs    r2, r2', 0, ()),
    (REV_ALL_ARM, 'a5d0', 0xa1ed, 'beq     0x0000a13a', 0, ()),
    (REV_ALL_ARM, '1eeb0e02', 0xa233, 'adds    r2, lr, lr', 0, ()),
    (REV_ALL_ARM, '9646', 0xa239, 'mov     lr, r2', 0, ()),
    (REV_ALL_ARM, '88d0', 0xa22b, 'beq     0x0000a13e', 0, ()),
    (REV_ALL_ARM, '0626', 0xa15b, 'movs    r6, #6', 0, ()),
    (REV_ALL_ARM, '472b', 0xa15d, 'cmp     r3, #0x47', 0, ()),
    (REV_ALL_ARM, '71d1', 0xa15f, 'bne     0x0000a244', 0, ()),
    (REV_ALL_ARM, '9a1c', 0xa13b, 'adds    r2, r3, #2', 0, ()),
    (REV_ALL_ARM, '39db', 0xa13d, 'blt     0x0000a1b2', 0, ()),
    (REV_ALL_ARM, 'b1f1004f', 0xa21f, 'cmp     r1, #0x80000000', 0, ()),
    (REV_ALL_ARM, '7cf10002', 0xa223, 'sbcs    r2, r12, #0', 0, ()),
    (REV_ALL_ARM, '04d3', 0xa227, 'bcc     0x0000a232', 0, ()),
    (REV_ALL_ARM, 'cde90ce1', 0xa22d, 'strd    lr, r1, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '85e7', 0xa231, 'b       0x0000a13e', 0, ()),
    (REV_ALL_ARM, '662c', 0xa247, 'cmp     r4, #0x66', 0, ()),
    (REV_ALL_ARM, '99d1', 0xa24b, 'bne     0x0000a180', 0, ()),
    (REV_ALL_ARM, '6dd1', 0xa163, 'bne     0x0000a240', 0, ()),
    (REV_ALL_ARM, '731c', 0xa181, 'adds    r3, r6, #1', 0, ()),
    (REV_ALL_ARM, '68e0', 0xa183, 'b       0x0000a256', 0, ()),
    (REV_ALL_ARM, '19eb0603', 0xa24d, 'adds    r3, r9, r6', 0, ()),
    (REV_ALL_ARM, '4ff06604', 0xa251, 'mov     r4, #0x66', 0, ()),
    (REV_ALL_ARM, '3cd4', 0xa255, 'bmi     0x0000a2d0', 0, ()),
    (REV_ALL_ARM, '331e', 0xa165, 'subs    r3, r6, #0', 0, ()),
    (REV_ALL_ARM, '19f1030f', 0xa16b, 'cmn     r9, #3', 0, ()),
    (REV_ALL_ARM, '672c', 0xa179, 'cmp     r4, #0x67', 0, ()),
    (REV_ALL_ARM, '6524', 0xa17d, 'movs    r4, #0x65', 0, ()),
    (REV_ALL_ARM, '4524', 0xa17f, 'movs    r4, #0x45', 0, ()),
    (REV_ALL_ARM, '9945', 0xa175, 'cmp     r9, r3', 0, ()),
    (REV_ALL_ARM, '69dd', 0xa177, 'ble     0x0000a24c', 0, ()),
    (REV_ALL_ARM, '0ea8', 0xa2d5, 'add     r0, sp, #0x38', 0, ()),
    (REV_ALL_ARM, '06f09afe', 0xa2d9, 'bl      0x00011010', 0, ()),
    (REV_ALL_ARM, '06f089fe', 0xa2dd, 'bl      0x00010ff2', 0, ()),
    (REV_ALL_ARM, '0e9a', 0xa271, 'ldr     r2, [sp, #0x38]', 0, ()),
    (REV_ALL_ARM, '0f99', 0xa273, 'ldr     r1, [sp, #0x3c]', 0, ()),
    (REV_ALL_ARM, '0d9a', 0xa277, 'ldr     r2, [sp, #0x34]', 0, ()),
    (REV_ALL_ARM, '42eb0102', 0xa279, 'adc     r2, r2, r1', 0, ()),
    (REV_ALL_ARM, '12f0704f', 0xa27d, 'tst     r2, #0xf0000000', 0, ()),
    (REV_ALL_ARM, 'cde90c32', 0xa281, 'strd    r3, r2, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '4ff00061', 0xa25f, 'mov     r1, #0x8000000', 0, ()),
    (REV_ALL_ARM, 'cde90e01', 0xa263, 'strd    r0, r1, [sp, #0x38]', 0, ()),
    (REV_ALL_ARM, '32d2', 0xa26d, 'bcs     0x0000a2d4', 0, ()),
    (REV_ALL_ARM, '0bf10103', 0xa297, 'add     r3, r11, #1', 0, ()),
    (REV_ALL_ARM, '06f0c2fe', 0xa289, 'bl      0x00011010', 0, ()),
    (REV_ALL_ARM, '06f0b1fe', 0xa28d, 'bl      0x00010ff2', 0, ()),
    (REV_ALL_ARM, '0ba9', 0xa319, 'add     r1, sp, #0x2c', 0, ()),
    (REV_ALL_ARM, '06f096fe', 0xa31f, 'bl      0x0001104e', 0, ()),
    (REV_ALL_ARM, '8bf80000', 0xa32f, 'strb    r0, [r11]', 0, ()),
    (REV_ALL_ARM, '20dd', 0xa2a1, 'ble     0x0000a2e4', 0, ()),
    (REV_ALL_ARM, '0bf10203', 0xa337, 'add     r3, r11, #2', 0, ()),
    (REV_ALL_ARM, '8bf80120', 0xa33b, 'strb    r2, [r11, #1]', 0, ()),
    (REV_ALL_ARM, '3022', 0xa2e5, 'movs    r2, #0x30', 0, ()),
    (REV_ALL_ARM, '8bf80020', 0xa2e7, 'strb    r2, [r11]', 0, ()),
    (REV_ALL_ARM, '0beb0903', 0xa2a3, 'add     r3, r11, r9', 0, ()),
    (REV_ALL_ARM, '06f0cffe', 0xa2ad, 'bl      0x0001104e', 0, ()),
    (REV_ALL_ARM, '0bf8010b', 0xa2b3, 'strb    r0, [r11], #1', 0, ()),
    (REV_ALL_ARM, '06f080fe', 0xa34b, 'bl      0x0001104e', 0, ()),
    (REV_ALL_ARM, '03f8010b', 0xa351, 'strb    r0, [r3], #1', 0, ()),
    (REV_ALL_ARM, '3026', 0xa2cd, 'movs    r6, #0x30', 0, ()),
    (REV_ALL_ARM, '15e0', 0xa2cf, 'b       0x0000a2fc', 0, ()),
    (REV_ALL_ARM, '03f8012b', 0xa2c5, 'strb    r2, [r3], #1', 0, ()),
    (REV_ALL_ARM, '452a', 0xa371, 'cmp     r2, #0x45', 0, ()),
    (REV_ALL_ARM, '13f8012d', 0xa35f, 'ldrb    r2, [r3, #-1]!', 0, ()),
    (REV_ALL_ARM, '302a', 0xa363, 'cmp     r2, #0x30', 0, ()),
    (REV_ALL_ARM, '181a', 0xa3a3, 'subs    r0, r3, r0', 0, ()),
    (REV_ALL_ARM, '55e6', 0xa3a5, 'b       0x0000a052', 0, ()),
    (REV_ALL_ARM, 'c9f10009', 0xa37b, 'rsb     r9, r9, #0', 0, ()),
    (REV_ALL_ARM, '99fbf1f2', 0xa387, 'sdiv    r2, r9, r1', 0, ()),
    (REV_ALL_ARM, '02f13000', 0xa38b, 'add     r0, r2, #0x30', 0, ()),
    (REV_ALL_ARM, '01fb1292', 0xa38f, 'mls     r2, r1, r2, r9', 0, ()),
    (REV_ALL_ARM, '3032', 0xa393, 'adds    r2, #0x30', 0, ()),
    (REV_ALL_ARM, '1c70', 0xa395, 'strb    r4, [r3]', 0, ()),
    (REV_ALL_ARM, '9870', 0xa397, 'strb    r0, [r3, #2]', 0, ()),
    (REV_ALL_ARM, '2e2a', 0xa367, 'cmp     r2, #0x2e', 0, ()),
    (REV_ALL_ARM, '5abb', 0xa303, 'cbnz    r2, 0x0000a35c', 0, ()),
    #(REV_ALL_ARM, '06f09ffe', 0xa30d, 'bl      0x0000104e', 0, ()),
    (REV_ALL_ARM, '03f8010c', 0xa313, 'strb    r0, [r3, #-1]', 0, ()),
    (REV_ALL_ARM, '03f8016c', 0xa2f5, 'strb    r6, [r3, #-1]', 0, ()),
    (REV_ALL_ARM, '4ae0', 0xa305, 'b       0x0000a39c', 0, ()),
    (REV_ALL_ARM, '0cb4', 0xa53d, 'push    {r2, r3}', 0, ()),
    (REV_ALL_ARM, 'cde90201', 0xa547, 'strd    r0, r1, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '07ab', 0xa54b, 'add     r3, sp, #0x1c', 0, ()),
    (REV_ALL_ARM, 'fff752fc', 0xa555, 'bl      0x00009dfc', 0, ()),
    (REV_ALL_ARM, '0df10300', 0xa543, 'add     r0, sp, #3', 0, ()),
    (REV_ALL_ARM, 'fef7bdfb', 0xa573, 'bl      0x00008cf0', 0, ()),
    (REV_ALL_ARM, 'c02a', 0xa581, 'cmp     r2, #0xc0', 0, ()),
    (REV_ALL_ARM, '41d0', 0xa585, 'beq     0x0000a60a', 0, ()),
    (REV_ALL_ARM, 'b2f5807f', 0xa587, 'cmp     r2, #0x100', 0, ()),
    (REV_ALL_ARM, '40d0', 0xa58b, 'beq     0x0000a60e', 0, ()),
    (REV_ALL_ARM, '5209', 0xa59d, 'lsrs    r2, r2, #5', 0, ()),
    (REV_ALL_ARM, '44f8043f', 0xa59f, 'str     r3, [r4, #4]!', 0, ()),
    (REV_ALL_ARM, '01eb8202', 0xa5a3, 'add     r2, r1, r2, lsl #2', 0, ()),
    (REV_ALL_ARM, 'c0e7', 0xa611, 'b       0x0000a594', 0, ()),
    (REV_ALL_ARM, '40f0c580', 0xa58f, 'bne     0x0000a71c', 0, ()),
    (REV_ALL_ARM, '8b78', 0xa613, 'ldrb    r3, [r1, #2]', 0, ()),
    (REV_ALL_ARM, '4d78', 0xa615, 'ldrb    r5, [r1, #1]', 0, ()),
    (REV_ALL_ARM, '1b04', 0xa617, 'lsls    r3, r3, #0x10', 0, ()),
    (REV_ALL_ARM, '0d78', 0xa61d, 'ldrb    r5, [r1]', 0, ()),
    (REV_ALL_ARM, 'cd78', 0xa621, 'ldrb    r5, [r1, #3]', 0, ()),
    (REV_ALL_ARM, '43ea0563', 0xa623, 'orr     r3, r3, r5, lsl #24', 0, ()),
    (REV_ALL_ARM, '6ff01f00', 0xa71d, 'mvn     r0, #0x1f', 0, ()),
    (REV_ALL_ARM, '33d1', 0xa5a9, 'bne     0x0000a612', 0, ()),
    (REV_ALL_ARM, '00f1c005', 0xa633, 'add     r5, r0, #0xc0', 0, ()),
    (REV_ALL_ARM, '0e2b', 0xa5b1, 'cmp     r3, #0xe', 0, ()),
    (REV_ALL_ARM, 'c2f30723', 0xa63f, 'ubfx    r3, r2, #8, #8', 0, ()),
    (REV_ALL_ARM, '7e40', 0xa643, 'eors    r6, r7', 0, ()),
    (REV_ALL_ARM, 'cb5c', 0xa645, 'ldrb    r3, [r1, r3]', 0, ()),
    (REV_ALL_ARM, '7340', 0xa647, 'eors    r3, r6', 0, ()),
    (REV_ALL_ARM, '160e', 0xa649, 'lsrs    r6, r2, #0x18', 0, ()),
    (REV_ALL_ARM, '8e5d', 0xa64d, 'ldrb    r6, [r1, r6]', 0, ()),
    (REV_ALL_ARM, '83ea0643', 0xa64f, 'eor     r3, r3, r6, lsl #16', 0, ()),
    (REV_ALL_ARM, 'd6b2', 0xa653, 'uxtb    r6, r2', 0, ()),
    (REV_ALL_ARM, '83ea0663', 0xa657, 'eor     r3, r3, r6, lsl #24', 0, ()),
    (REV_ALL_ARM, 'c2f30746', 0xa65b, 'ubfx    r6, r2, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '83ea0623', 0xa661, 'eor     r3, r3, r6, lsl #8', 0, ()),
    (REV_ALL_ARM, '50f80c6c', 0xa665, 'ldr     r6, [r0, #-0xc]', 0, ()),
    (REV_ALL_ARM, '8360', 0xa669, 'str     r3, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '50f8086c', 0xa66d, 'ldr     r6, [r0, #-8]', 0, ()),
    (REV_ALL_ARM, '50f8046c', 0xa675, 'ldr     r6, [r0, #-4]', 0, ()),
    (REV_ALL_ARM, '8361', 0xa683, 'str     r3, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, '5340', 0xa685, 'eors    r3, r2', 0, ()),
    (REV_ALL_ARM, 'c361', 0xa687, 'str     r3, [r0, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'd4d1', 0xa68b, 'bne     0x0000a636', 0, ()),
    (REV_ALL_ARM, '00f1e006', 0xa693, 'add     r6, r0, #0xe0', 0, ()),
    (REV_ALL_ARM, '8ae0', 0xa609, 'b       0x0000a720', 0, ()),
    (REV_ALL_ARM, '446a', 0xa697, 'ldr     r4, [r0, #0x24]', 0, ()),
    (REV_ALL_ARM, '55f8042b', 0xa699, 'ldr     r2, [r5], #4', 0, ()),
    (REV_ALL_ARM, 'c4f30723', 0xa69f, 'ubfx    r3, r4, #8, #8', 0, ()),
    (REV_ALL_ARM, '7a40', 0xa6a3, 'eors    r2, r7', 0, ()),
    (REV_ALL_ARM, '8769', 0xa6a7, 'ldr     r7, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, '220e', 0xa6ab, 'lsrs    r2, r4, #0x18', 0, ()),
    (REV_ALL_ARM, '2030', 0xa6ad, 'adds    r0, #0x20', 0, ()),
    (REV_ALL_ARM, '8a5c', 0xa6af, 'ldrb    r2, [r1, r2]', 0, ()),
    (REV_ALL_ARM, '83ea0243', 0xa6b1, 'eor     r3, r3, r2, lsl #16', 0, ()),
    (REV_ALL_ARM, 'e2b2', 0xa6b5, 'uxtb    r2, r4', 0, ()),
    (REV_ALL_ARM, '83ea0263', 0xa6b9, 'eor     r3, r3, r2, lsl #24', 0, ()),
    (REV_ALL_ARM, 'c4f30742', 0xa6bd, 'ubfx    r2, r4, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '83ea0223', 0xa6c3, 'eor     r3, r3, r2, lsl #8', 0, ()),
    (REV_ALL_ARM, '50f8142c', 0xa6c7, 'ldr     r2, [r0, #-0x14]', 0, ()),
    (REV_ALL_ARM, '50f8102c', 0xa6cf, 'ldr     r2, [r0, #-0x10]', 0, ()),
    (REV_ALL_ARM, '50f80c2c', 0xa6d7, 'ldr     r2, [r0, #-0xc]', 0, ()),
    (REV_ALL_ARM, 'dab2', 0xa6df, 'uxtb    r2, r3', 0, ()),
    (REV_ALL_ARM, '1f0e', 0xa6e7, 'lsrs    r7, r3, #0x18', 0, ()),
    (REV_ALL_ARM, 'cf5d', 0xa6e9, 'ldrb    r7, [r1, r7]', 0, ()),
    (REV_ALL_ARM, '82ea0762', 0xa6eb, 'eor     r2, r2, r7, lsl #24', 0, ()),
    (REV_ALL_ARM, 'c3f30727', 0xa6ef, 'ubfx    r7, r3, #8, #8', 0, ()),
    (REV_ALL_ARM, 'c3f30743', 0xa6f3, 'ubfx    r3, r3, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '82ea0722', 0xa6fb, 'eor     r2, r2, r7, lsl #8', 0, ()),
    (REV_ALL_ARM, '82ea0343', 0xa6ff, 'eor     r3, r2, r3, lsl #16', 0, ()),
    (REV_ALL_ARM, '50f8042c', 0xa703, 'ldr     r2, [r0, #-4]', 0, ()),
    (REV_ALL_ARM, '0268', 0xa70b, 'ldr     r2, [r0]', 0, ()),
    (REV_ALL_ARM, '6340', 0xa713, 'eors    r3, r4', 0, ()),
    (REV_ALL_ARM, '4362', 0xa715, 'str     r3, [r0, #0x24]', 0, ()),
    (REV_ALL_ARM, '8642', 0xa717, 'cmp     r6, r0', 0, ()),
    (REV_ALL_ARM, 'bdd1', 0xa719, 'bne     0x0000a696', 0, ()),
    (REV_ALL_ARM, '74e7', 0xa71b, 'b       0x0000a606', 0, ()),
    (REV_ALL_ARM, '00f1a006', 0xa5bd, 'add     r6, r0, #0xa0', 0, ()),
    (REV_ALL_ARM, '4269', 0xa5c1, 'ldr     r2, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, '55f8044b', 0xa5c3, 'ldr     r4, [r5], #4', 0, ()),
    (REV_ALL_ARM, '7c40', 0xa5cd, 'eors    r4, r7', 0, ()),
    (REV_ALL_ARM, '140e', 0xa5d3, 'lsrs    r4, r2, #0x18', 0, ()),
    (REV_ALL_ARM, '1030', 0xa5d5, 'adds    r0, #0x10', 0, ()),
    (REV_ALL_ARM, '0c5d', 0xa5d7, 'ldrb    r4, [r1, r4]', 0, ()),
    (REV_ALL_ARM, '83ea0443', 0xa5d9, 'eor     r3, r3, r4, lsl #16', 0, ()),
    (REV_ALL_ARM, 'd4b2', 0xa5dd, 'uxtb    r4, r2', 0, ()),
    (REV_ALL_ARM, '83ea0463', 0xa5e1, 'eor     r3, r3, r4, lsl #24', 0, ()),
    (REV_ALL_ARM, 'c2f30744', 0xa5e5, 'ubfx    r4, r2, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '83ea0423', 0xa5eb, 'eor     r3, r3, r4, lsl #8', 0, ()),
    (REV_ALL_ARM, '50f8044c', 0xa5ef, 'ldr     r4, [r0, #-4]', 0, ()),
    (REV_ALL_ARM, 'c7b0', 0xa731, 'sub     sp, #0x11c', 0, ()),
    #(REV_ALL_ARM, '06f0b1fc', 0xa73b, 'bl      0x000010a0', 0, ()),
    (REV_ALL_ARM, 'fff719ff', 0xa74b, 'bl      0x0000a580', 0, ()),
    (REV_ALL_ARM, '2bd1', 0xa753, 'bne     0x0000a7ac', 0, ()),
    #(REV_ALL_ARM, '06f07cfc', 0xa7af, 'bl      0x000010aa', 0, ()),
    (REV_ALL_ARM, '47b0', 0xa7b5, 'add     sp, #0x11c', 0, ()),
    (REV_ALL_ARM, '1801', 0xa75b, 'lsls    r0, r3, #4', 0, ()),
    (REV_ALL_ARM, '01eb0312', 0xa75d, 'add     r2, r1, r3, lsl #4', 0, ()),
    (REV_ALL_ARM, '0958', 0xa761, 'ldr     r1, [r1, r0]', 0, ()),
    (REV_ALL_ARM, 'a160', 0xa763, 'str     r1, [r4, #8]', 0, ()),
    (REV_ALL_ARM, 'e160', 0xa767, 'str     r1, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '9168', 0xa769, 'ldr     r1, [r2, #8]', 0, ()),
    (REV_ALL_ARM, '2161', 0xa76b, 'str     r1, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, '6161', 0xa76f, 'str     r1, [r4, #0x14]', 0, ()),
    (REV_ALL_ARM, '04f11806', 0xa771, 'add     r6, r4, #0x18', 0, ()),
    (REV_ALL_ARM, 'a2f11000', 0xa775, 'sub     r0, r2, #0x10', 0, ()),
    (REV_ALL_ARM, '9c46', 0xa783, 'mov     r12, r3', 0, ()),
    (REV_ALL_ARM, 'aef10408', 0xa7bb, 'sub     r8, lr, #4', 0, ()),
    (REV_ALL_ARM, '02f11009', 0xa7bf, 'add     r9, r2, #0x10', 0, ()),
    (REV_ALL_ARM, '6ff00f01', 0xa78f, 'mvn     r1, #0xf', 0, ()),
    (REV_ALL_ARM, '06eb0312', 0xa793, 'add     r2, r6, r3, lsl #4', 0, ()),
    (REV_ALL_ARM, '1c01', 0xa797, 'lsls    r4, r3, #4', 0, ()),
    (REV_ALL_ARM, '4b43', 0xa799, 'muls    r3, r1, r3', 0, ()),
    (REV_ALL_ARM, 'c358', 0xa79d, 'ldr     r3, [r0, r3]', 0, ()),
    (REV_ALL_ARM, '3351', 0xa79f, 'str     r3, [r6, r4]', 0, ()),
    (REV_ALL_ARM, '58f8041f', 0xa7c3, 'ldr     r1, [r8, #4]!', 0, ()),
    (REV_ALL_ARM, '4fea116a', 0xa7c7, 'lsr     r10, r1, #0x18', 0, ()),
    (REV_ALL_ARM, '17f80aa0', 0xa7cb, 'ldrb    r10, [r7, r10]', 0, ()),
    (REV_ALL_ARM, '54f82ab0', 0xa7cf, 'ldr     r11, [r4, r10, lsl #2]', 0, ()),
    (REV_ALL_ARM, '5ffa81fa', 0xa7d3, 'uxtb    r10, r1', 0, ()),
    (REV_ALL_ARM, '54f82aa0', 0xa7db, 'ldr     r10, [r4, r10, lsl #2]', 0, ()),
    (REV_ALL_ARM, '8aea3b2a', 0xa7df, 'eor     r10, r10, r11, ror #8', 0, ()),
    (REV_ALL_ARM, 'c1f3072b', 0xa7e3, 'ubfx    r11, r1, #8, #8', 0, ()),
    (REV_ALL_ARM, 'c1f30741', 0xa7e7, 'ubfx    r1, r1, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '17f80bb0', 0xa7eb, 'ldrb    r11, [r7, r11]', 0, ()),
    (REV_ALL_ARM, '795c', 0xa7ef, 'ldrb    r1, [r7, r1]', 0, ()),
    (REV_ALL_ARM, '54f82bb0', 0xa7f1, 'ldr     r11, [r4, r11, lsl #2]', 0, ()),
    (REV_ALL_ARM, '54f82110', 0xa7f5, 'ldr     r1, [r4, r1, lsl #2]', 0, ()),
    (REV_ALL_ARM, '8aea3b6a', 0xa7f9, 'eor     r10, r10, r11, ror #24', 0, ()),
    (REV_ALL_ARM, '8aea3141', 0xa7fd, 'eor     r1, r10, r1, ror #16', 0, ()),
    (REV_ALL_ARM, '42f8041b', 0xa801, 'str     r1, [r2], #4', 0, ()),
    (REV_ALL_ARM, '0cf1ff3c', 0xa809, 'add     r12, r12, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'aef1100e', 0xa80d, 'sub     lr, lr, #0x10', 0, ()),
    (REV_ALL_ARM, '17dc', 0xa789, 'bgt     0x0000a7ba', 0, ()),
    (REV_ALL_ARM, '0e68', 0xa823, 'ldr     r6, [r1]', 0, ()),
    (REV_ALL_ARM, '4d68', 0xa827, 'ldr     r5, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '8f68', 0xa829, 'ldr     r7, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '6640', 0xa82d, 'eors    r6, r4', 0, ()),
    (REV_ALL_ARM, '5c68', 0xa82f, 'ldr     r4, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '85ea040b', 0xa831, 'eor     r11, r5, r4', 0, ()),
    (REV_ALL_ARM, '4010', 0xa837, 'asrs    r0, r0, #1', 0, ()),
    (REV_ALL_ARM, 'cf68', 0xa83b, 'ldr     r7, [r1, #0xc]', 0, ()),
    (REV_ALL_ARM, 'd968', 0xa83d, 'ldr     r1, [r3, #0xc]', 0, ()),
    (REV_ALL_ARM, '03f13000', 0xa843, 'add     r0, r3, #0x30', 0, ()),
    (REV_ALL_ARM, '8db0', 0xa849, 'sub     sp, #0x34', 0, ()),
    (REV_ALL_ARM, '7940', 0xa84b, 'eors    r1, r7', 0, ()),
    (REV_ALL_ARM, '53f82510', 0xaa3f, 'ldr     r1, [r3, r5, lsl #2]', 0, ()),
    (REV_ALL_ARM, '019d', 0xaa43, 'ldr     r5, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '53f82770', 0xaa45, 'ldr     r7, [r3, r7, lsl #2]', 0, ()),
    (REV_ALL_ARM, '53f82560', 0xaa49, 'ldr     r6, [r3, r5, lsl #2]', 0, ()),
    (REV_ALL_ARM, '009d', 0xaa4d, 'ldr     r5, [sp]', 0, ()),
    (REV_ALL_ARM, '7540', 0xaa4f, 'eors    r5, r6', 0, ()),
    (REV_ALL_ARM, '85ea3126', 0xaa51, 'eor     r6, r5, r1, ror #8', 0, ()),
    (REV_ALL_ARM, '53f82910', 0xaa55, 'ldr     r1, [r3, r9, lsl #2]', 0, ()),
    (REV_ALL_ARM, '53f82450', 0xaa59, 'ldr     r5, [r3, r4, lsl #2]', 0, ()),
    (REV_ALL_ARM, '029c', 0xaa5d, 'ldr     r4, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '86ea3166', 0xaa5f, 'eor     r6, r6, r1, ror #24', 0, ()),
    (REV_ALL_ARM, '53f82a10', 0xaa63, 'ldr     r1, [r3, r10, lsl #2]', 0, ()),
    (REV_ALL_ARM, '86ea3146', 0xaa67, 'eor     r6, r6, r1, ror #16', 0, ()),
    (REV_ALL_ARM, '53f82110', 0xaa6d, 'ldr     r1, [r3, r1, lsl #2]', 0, ()),
    (REV_ALL_ARM, '6c40', 0xaa71, 'eors    r4, r5', 0, ()),
    (REV_ALL_ARM, '84ea3125', 0xaa73, 'eor     r5, r4, r1, ror #8', 0, ()),
    (REV_ALL_ARM, '53f82b10', 0xaa77, 'ldr     r1, [r3, r11, lsl #2]', 0, ()),
    (REV_ALL_ARM, '069c', 0xaa7b, 'ldr     r4, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '85ea3165', 0xaa7d, 'eor     r5, r5, r1, ror #24', 0, ()),
    (REV_ALL_ARM, '53f82440', 0xaa83, 'ldr     r4, [r3, r4, lsl #2]', 0, ()),
    (REV_ALL_ARM, '85ea314b', 0xaa8b, 'eor     r11, r5, r1, ror #16', 0, ()),
    (REV_ALL_ARM, '059d', 0xaa91, 'ldr     r5, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '6540', 0xaa97, 'eors    r5, r4', 0, ()),
    (REV_ALL_ARM, '85ea3124', 0xaa99, 'eor     r4, r5, r1, ror #8', 0, ()),
    (REV_ALL_ARM, '0799', 0xaa9d, 'ldr     r1, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '0a9d', 0xaa9f, 'ldr     r5, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, '84ea3164', 0xaaa5, 'eor     r4, r4, r1, ror #24', 0, ()),
    (REV_ALL_ARM, '84ea3144', 0xaaaf, 'eor     r4, r4, r1, ror #16', 0, ()),
    (REV_ALL_ARM, '0b99', 0xaab3, 'ldr     r1, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, '4d40', 0xaab9, 'eors    r5, r1', 0, ()),
    (REV_ALL_ARM, '85ea3721', 0xaabb, 'eor     r1, r5, r7, ror #8', 0, ()),
    (REV_ALL_ARM, '53f82e70', 0xaabf, 'ldr     r7, [r3, lr, lsl #2]', 0, ()),
    (REV_ALL_ARM, '81ea3761', 0xaac3, 'eor     r1, r1, r7, ror #24', 0, ()),
    (REV_ALL_ARM, '53f82c70', 0xaac7, 'ldr     r7, [r3, r12, lsl #2]', 0, ()),
    (REV_ALL_ARM, '81ea3741', 0xaacf, 'eor     r1, r1, r7, ror #16', 0, ()),
    (REV_ALL_ARM, 'bbe6', 0xaad3, 'b       0x0000a84c', 0, ()),
    (REV_ALL_ARM, '009e', 0xa987, 'ldr     r6, [sp]', 0, ()),
    (REV_ALL_ARM, '185c', 0xa989, 'ldrb    r0, [r3, r0]', 0, ()),
    (REV_ALL_ARM, '13f80910', 0xa98b, 'ldrb    r1, [r3, r9]', 0, ()),
    (REV_ALL_ARM, '1c5d', 0xa98f, 'ldrb    r4, [r3, r4]', 0, ()),
    (REV_ALL_ARM, '7040', 0xa991, 'eors    r0, r6', 0, ()),
    (REV_ALL_ARM, '80ea0120', 0xa993, 'eor     r0, r0, r1, lsl #8', 0, ()),
    (REV_ALL_ARM, '13f80a10', 0xa997, 'ldrb    r1, [r3, r10]', 0, ()),
    (REV_ALL_ARM, '059e', 0xa99b, 'ldr     r6, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '80ea0140', 0xa99d, 'eor     r0, r0, r1, lsl #16', 0, ()),
    (REV_ALL_ARM, '595d', 0xa9a1, 'ldrb    r1, [r3, r5]', 0, ()),
    (REV_ALL_ARM, '029d', 0xa9a3, 'ldr     r5, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '80ea0160', 0xa9a5, 'eor     r0, r0, r1, lsl #24', 0, ()),
    (REV_ALL_ARM, '13f80b10', 0xa9a9, 'ldrb    r1, [r3, r11]', 0, ()),
    (REV_ALL_ARM, '1070', 0xa9ad, 'strb    r0, [r2]', 0, ()),
    (REV_ALL_ARM, '84ea0124', 0xa9b1, 'eor     r4, r4, r1, lsl #8', 0, ()),
    (REV_ALL_ARM, '069d', 0xa9b7, 'ldr     r5, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '595c', 0xa9b9, 'ldrb    r1, [r3, r1]', 0, ()),
    (REV_ALL_ARM, '5d5d', 0xa9bb, 'ldrb    r5, [r3, r5]', 0, ()),
    (REV_ALL_ARM, '84ea0144', 0xa9bd, 'eor     r4, r4, r1, lsl #16', 0, ()),
    (REV_ALL_ARM, '84ea0164', 0xa9c5, 'eor     r4, r4, r1, lsl #24', 0, ()),
    (REV_ALL_ARM, '85ea0125', 0xa9cf, 'eor     r5, r5, r1, lsl #8', 0, ()),
    (REV_ALL_ARM, '0a9e', 0xa9d5, 'ldr     r6, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, '85ea0145', 0xa9d9, 'eor     r5, r5, r1, lsl #16', 0, ()),
    (REV_ALL_ARM, '85ea0165', 0xa9e1, 'eor     r5, r5, r1, lsl #24', 0, ()),
    (REV_ALL_ARM, '7140', 0xa9e9, 'eors    r1, r6', 0, ()),
    (REV_ALL_ARM, '13f80e60', 0xa9eb, 'ldrb    r6, [r3, lr]', 0, ()),
    (REV_ALL_ARM, '81ea0621', 0xa9ef, 'eor     r1, r1, r6, lsl #8', 0, ()),
    (REV_ALL_ARM, '13f80c60', 0xa9f3, 'ldrb    r6, [r3, r12]', 0, ()),
    (REV_ALL_ARM, 'db5d', 0xa9f7, 'ldrb    r3, [r3, r7]', 0, ()),
    (REV_ALL_ARM, '81ea0641', 0xa9f9, 'eor     r1, r1, r6, lsl #16', 0, ()),
    (REV_ALL_ARM, '81ea0363', 0xa9fd, 'eor     r3, r1, r3, lsl #24', 0, ()),
    (REV_ALL_ARM, '010a', 0xaa01, 'lsrs    r1, r0, #8', 0, ()),
    (REV_ALL_ARM, '5170', 0xaa03, 'strb    r1, [r2, #1]', 0, ()),
    (REV_ALL_ARM, '010c', 0xaa05, 'lsrs    r1, r0, #0x10', 0, ()),
    (REV_ALL_ARM, '9170', 0xaa07, 'strb    r1, [r2, #2]', 0, ()),
    (REV_ALL_ARM, '000e', 0xaa09, 'lsrs    r0, r0, #0x18', 0, ()),
    (REV_ALL_ARM, '210a', 0xaa0b, 'lsrs    r1, r4, #8', 0, ()),
    (REV_ALL_ARM, 'd070', 0xaa0d, 'strb    r0, [r2, #3]', 0, ()),
    (REV_ALL_ARM, '1471', 0xaa0f, 'strb    r4, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '5171', 0xaa11, 'strb    r1, [r2, #5]', 0, ()),
    (REV_ALL_ARM, '9171', 0xaa15, 'strb    r1, [r2, #6]', 0, ()),
    (REV_ALL_ARM, '290a', 0xaa17, 'lsrs    r1, r5, #8', 0, ()),
    (REV_ALL_ARM, '5172', 0xaa19, 'strb    r1, [r2, #9]', 0, ()),
    (REV_ALL_ARM, '290c', 0xaa1b, 'lsrs    r1, r5, #0x10', 0, ()),
    (REV_ALL_ARM, '9172', 0xaa1d, 'strb    r1, [r2, #0xa]', 0, ()),
    (REV_ALL_ARM, '190a', 0xaa1f, 'lsrs    r1, r3, #8', 0, ()),
    (REV_ALL_ARM, '240e', 0xaa21, 'lsrs    r4, r4, #0x18', 0, ()),
    (REV_ALL_ARM, '1572', 0xaa23, 'strb    r5, [r2, #8]', 0, ()),
    (REV_ALL_ARM, '1373', 0xaa25, 'strb    r3, [r2, #0xc]', 0, ()),
    (REV_ALL_ARM, '2d0e', 0xaa27, 'lsrs    r5, r5, #0x18', 0, ()),
    (REV_ALL_ARM, '5173', 0xaa29, 'strb    r1, [r2, #0xd]', 0, ()),
    (REV_ALL_ARM, '190c', 0xaa2d, 'lsrs    r1, r3, #0x10', 0, ()),
    (REV_ALL_ARM, '1b0e', 0xaa2f, 'lsrs    r3, r3, #0x18', 0, ()),
    (REV_ALL_ARM, 'd471', 0xaa31, 'strb    r4, [r2, #7]', 0, ()),
    (REV_ALL_ARM, 'd572', 0xaa33, 'strb    r5, [r2, #0xb]', 0, ()),
    (REV_ALL_ARM, '9173', 0xaa35, 'strb    r1, [r2, #0xe]', 0, ()),
    (REV_ALL_ARM, 'd373', 0xaa37, 'strb    r3, [r2, #0xf]', 0, ()),
    (REV_ALL_ARM, '0db0', 0xaa39, 'add     sp, #0x34', 0, ()),
    (REV_ALL_ARM, 'f7b2', 0xa84d, 'uxtb    r7, r6', 0, ()),
    (REV_ALL_ARM, '50f8105c', 0xa84f, 'ldr     r5, [r0, #-0x10]', 0, ()),
    (REV_ALL_ARM, '50f8205c', 0xa859, 'ldr     r5, [r0, #-0x20]', 0, ()),
    (REV_ALL_ARM, '87ea050e', 0xa85d, 'eor     lr, r7, r5', 0, ()),
    (REV_ALL_ARM, '0f0e', 0xa861, 'lsrs    r7, r1, #0x18', 0, ()),
    (REV_ALL_ARM, '4fea1b6a', 0xa863, 'lsr     r10, r11, #0x18', 0, ()),
    (REV_ALL_ARM, '53f82aa0', 0xa86b, 'ldr     r10, [r3, r10, lsl #2]', 0, ()),
    (REV_ALL_ARM, '8eea372e', 0xa86f, 'eor     lr, lr, r7, ror #8', 0, ()),
    (REV_ALL_ARM, 'cbf30727', 0xa873, 'ubfx    r7, r11, #8, #8', 0, ()),
    (REV_ALL_ARM, '8eea376e', 0xa87f, 'eor     lr, lr, r7, ror #24', 0, ()),
    (REV_ALL_ARM, 'c4f30747', 0xa883, 'ubfx    r7, r4, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '00f12000', 0xa887, 'add     r0, r0, #0x20', 0, ()),
    (REV_ALL_ARM, '8eea374e', 0xa88f, 'eor     lr, lr, r7, ror #16', 0, ()),
    (REV_ALL_ARM, '5ffa8bf7', 0xa893, 'uxtb    r7, r11', 0, ()),
    (REV_ALL_ARM, '5ffa8ef5', 0xa897, 'uxtb    r5, lr', 0, ()),
    (REV_ALL_ARM, '50f83c5c', 0xa8a1, 'ldr     r5, [r0, #-0x3c]', 0, ()),
    (REV_ALL_ARM, '87ea050c', 0xa8a5, 'eor     r12, r7, r5', 0, ()),
    (REV_ALL_ARM, '4fea1667', 0xa8a9, 'lsr     r7, r6, #0x18', 0, ()),
    (REV_ALL_ARM, '50f8385c', 0xa8ad, 'ldr     r5, [r0, #-0x38]', 0, ()),
    (REV_ALL_ARM, '8cea372c', 0xa8b5, 'eor     r12, r12, r7, ror #8', 0, ()),
    (REV_ALL_ARM, 'c4f30727', 0xa8b9, 'ubfx    r7, r4, #8, #8', 0, ()),
    (REV_ALL_ARM, '8cea376c', 0xa8c1, 'eor     r12, r12, r7, ror #24', 0, ()),
    (REV_ALL_ARM, 'c1f30747', 0xa8c5, 'ubfx    r7, r1, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '8cea374c', 0xa8cd, 'eor     r12, r12, r7, ror #16', 0, ()),
    (REV_ALL_ARM, 'e7b2', 0xa8d1, 'uxtb    r7, r4', 0, ()),
    (REV_ALL_ARM, '4fea1464', 0xa8d3, 'lsr     r4, r4, #0x18', 0, ()),
    (REV_ALL_ARM, '87ea0507', 0xa8df, 'eor     r7, r7, r5', 0, ()),
    (REV_ALL_ARM, '87ea3a27', 0xa8e3, 'eor     r7, r7, r10, ror #8', 0, ()),
    (REV_ALL_ARM, 'c1f3072a', 0xa8e7, 'ubfx    r10, r1, #8, #8', 0, ()),
    (REV_ALL_ARM, '50f8345c', 0xa8f1, 'ldr     r5, [r0, #-0x34]', 0, ()),
    (REV_ALL_ARM, '87ea3a67', 0xa8f9, 'eor     r7, r7, r10, ror #24', 0, ()),
    (REV_ALL_ARM, 'c6f3074a', 0xa8fd, 'ubfx    r10, r6, #0x10, #8', 0, ()),
    (REV_ALL_ARM, 'c6f30726', 0xa901, 'ubfx    r6, r6, #8, #8', 0, ()),
    (REV_ALL_ARM, '81ea0501', 0xa905, 'eor     r1, r1, r5', 0, ()),
    (REV_ALL_ARM, '81ea3421', 0xa909, 'eor     r1, r1, r4, ror #8', 0, ()),
    (REV_ALL_ARM, 'cbf30745', 0xa90d, 'ubfx    r5, r11, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '53f82640', 0xa911, 'ldr     r4, [r3, r6, lsl #2]', 0, ()),
    (REV_ALL_ARM, '81ea3461', 0xa919, 'eor     r1, r1, r4, ror #24', 0, ()),
    (REV_ALL_ARM, '53f82540', 0xa91d, 'ldr     r4, [r3, r5, lsl #2]', 0, ()),
    (REV_ALL_ARM, '81ea3441', 0xa921, 'eor     r1, r1, r4, ror #16', 0, ()),
    (REV_ALL_ARM, 'c1f30746', 0xa925, 'ubfx    r6, r1, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '4fea1e66', 0xa92b, 'lsr     r6, lr, #0x18', 0, ()),
    (REV_ALL_ARM, '87ea3a47', 0xa92f, 'eor     r7, r7, r10, ror #16', 0, ()),
    (REV_ALL_ARM, '50f8286c', 0xa935, 'ldr     r6, [r0, #-0x28]', 0, ()),
    (REV_ALL_ARM, '0596', 0xa939, 'str     r6, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, 'feb2', 0xa93b, 'uxtb    r6, r7', 0, ()),
    (REV_ALL_ARM, '0696', 0xa93d, 'str     r6, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, 'c1f30726', 0xa93f, 'ubfx    r6, r1, #8, #8', 0, ()),
    (REV_ALL_ARM, '0796', 0xa943, 'str     r6, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'cef30746', 0xa945, 'ubfx    r6, lr, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '50f82c4c', 0xa949, 'ldr     r4, [r0, #-0x2c]', 0, ()),
    (REV_ALL_ARM, '0896', 0xa94d, 'str     r6, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '4fea1c66', 0xa94f, 'lsr     r6, r12, #0x18', 0, ()),
    (REV_ALL_ARM, '0294', 0xa953, 'str     r4, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '4fea1165', 0xa955, 'lsr     r5, r1, #0x18', 0, ()),
    (REV_ALL_ARM, '0996', 0xa959, 'str     r6, [sp, #0x24]', 0, ()),
    (REV_ALL_ARM, '50f8246c', 0xa95d, 'ldr     r6, [r0, #-0x24]', 0, ()),
    (REV_ALL_ARM, '0a96', 0xa961, 'str     r6, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, 'ccf30729', 0xa963, 'ubfx    r9, r12, #8, #8', 0, ()),
    (REV_ALL_ARM, 'c7f3074a', 0xa967, 'ubfx    r10, r7, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '5ffa8cf4', 0xa96b, 'uxtb    r4, r12', 0, ()),
    (REV_ALL_ARM, 'c7f3072b', 0xa96f, 'ubfx    r11, r7, #8, #8', 0, ()),
    (REV_ALL_ARM, '0b91', 0xa973, 'str     r1, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, 'cef3072e', 0xa975, 'ubfx    lr, lr, #8, #8', 0, ()),
    (REV_ALL_ARM, 'ccf3074c', 0xa979, 'ubfx    r12, r12, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '4fea1767', 0xa97d, 'lsr     r7, r7, #0x18', 0, ()),
    (REV_ALL_ARM, '5ddc', 0xa981, 'bgt     0x0000aa3e', 0, ()),
    (REV_ALL_ARM, '4e68', 0xaae7, 'ldr     r6, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '8fb0', 0xaaed, 'sub     sp, #0x3c', 0, ()),
    (REV_ALL_ARM, '039d', 0xad05, 'ldr     r5, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '029e', 0xad07, 'ldr     r6, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '53f82550', 0xad09, 'ldr     r5, [r3, r5, lsl #2]', 0, ()),
    (REV_ALL_ARM, '53f82cc0', 0xad11, 'ldr     r12, [r3, r12, lsl #2]', 0, ()),
    (REV_ALL_ARM, '6e40', 0xad19, 'eors    r6, r5', 0, ()),
    (REV_ALL_ARM, '86ea3425', 0xad1b, 'eor     r5, r6, r4, ror #8', 0, ()),
    (REV_ALL_ARM, '53f82940', 0xad1f, 'ldr     r4, [r3, r9, lsl #2]', 0, ()),
    (REV_ALL_ARM, '53f82160', 0xad23, 'ldr     r6, [r3, r1, lsl #2]', 0, ()),
    (REV_ALL_ARM, '85ea3465', 0xad29, 'eor     r5, r5, r4, ror #24', 0, ()),
    (REV_ALL_ARM, '53f82a40', 0xad2d, 'ldr     r4, [r3, r10, lsl #2]', 0, ()),
    (REV_ALL_ARM, '85ea3444', 0xad31, 'eor     r4, r5, r4, ror #16', 0, ()),
    (REV_ALL_ARM, '079d', 0xad39, 'ldr     r5, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '81ea3426', 0xad41, 'eor     r6, r1, r4, ror #8', 0, ()),
    (REV_ALL_ARM, '53f82b40', 0xad47, 'ldr     r4, [r3, r11, lsl #2]', 0, ()),
    (REV_ALL_ARM, '86ea3466', 0xad4f, 'eor     r6, r6, r4, ror #24', 0, ()),
    (REV_ALL_ARM, '089c', 0xad53, 'ldr     r4, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '0c9d', 0xad6b, 'ldr     r5, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '0a99', 0xad75, 'ldr     r1, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, '53f82e10', 0xad7f, 'ldr     r1, [r3, lr, lsl #2]', 0, ()),
    (REV_ALL_ARM, '85ea3c21', 0xad85, 'eor     r1, r5, r12, ror #8', 0, ()),
    (REV_ALL_ARM, '0d9d', 0xad89, 'ldr     r5, [sp, #0x34]', 0, ()),
    (REV_ALL_ARM, '53f825c0', 0xad8b, 'ldr     r12, [r3, r5, lsl #2]', 0, ()),
    (REV_ALL_ARM, '81ea3c61', 0xad8f, 'eor     r1, r1, r12, ror #24', 0, ()),
    (REV_ALL_ARM, 'b7e6', 0xad9b, 'b       0x0000ab0c', 0, ()),
    (REV_ALL_ARM, '13f80900', 0xac51, 'ldrb    r0, [r3, r9]', 0, ()),
    (REV_ALL_ARM, '85ea0025', 0xac59, 'eor     r5, r5, r0, lsl #8', 0, ()),
    (REV_ALL_ARM, '13f80a00', 0xac5d, 'ldrb    r0, [r3, r10]', 0, ()),
    (REV_ALL_ARM, '079e', 0xac61, 'ldr     r6, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '85ea0045', 0xac63, 'eor     r5, r5, r0, lsl #16', 0, ()),
    (REV_ALL_ARM, '185d', 0xac67, 'ldrb    r0, [r3, r4]', 0, ()),
    (REV_ALL_ARM, '049c', 0xac69, 'ldr     r4, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '85ea0065', 0xac6b, 'eor     r5, r5, r0, lsl #24', 0, ()),
    (REV_ALL_ARM, '13f80b00', 0xac6f, 'ldrb    r0, [r3, r11]', 0, ()),
    (REV_ALL_ARM, '1570', 0xac73, 'strb    r5, [r2]', 0, ()),
    (REV_ALL_ARM, '6140', 0xac75, 'eors    r1, r4', 0, ()),
    (REV_ALL_ARM, '81ea0021', 0xac77, 'eor     r1, r1, r0, lsl #8', 0, ()),
    (REV_ALL_ARM, '81ea0041', 0xac83, 'eor     r1, r1, r0, lsl #16', 0, ()),
    (REV_ALL_ARM, '0698', 0xac87, 'ldr     r0, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '81ea0061', 0xac8b, 'eor     r1, r1, r0, lsl #24', 0, ()),
    (REV_ALL_ARM, '0998', 0xac8f, 'ldr     r0, [sp, #0x24]', 0, ()),
    (REV_ALL_ARM, '7440', 0xac93, 'eors    r4, r6', 0, ()),
    (REV_ALL_ARM, '84ea0024', 0xac95, 'eor     r4, r4, r0, lsl #8', 0, ()),
    (REV_ALL_ARM, '0a98', 0xac99, 'ldr     r0, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, '0c9e', 0xac9b, 'ldr     r6, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, '84ea0044', 0xac9f, 'eor     r4, r4, r0, lsl #16', 0, ()),
    (REV_ALL_ARM, '0b98', 0xaca3, 'ldr     r0, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, '84ea0064', 0xaca7, 'eor     r4, r4, r0, lsl #24', 0, ()),
    (REV_ALL_ARM, '13f80e00', 0xacab, 'ldrb    r0, [r3, lr]', 0, ()),
    (REV_ALL_ARM, '0d9e', 0xacb1, 'ldr     r6, [sp, #0x34]', 0, ()),
    (REV_ALL_ARM, '9e5d', 0xacb3, 'ldrb    r6, [r3, r6]', 0, ()),
    (REV_ALL_ARM, '80ea0620', 0xacb5, 'eor     r0, r0, r6, lsl #8', 0, ()),
    (REV_ALL_ARM, 'de5d', 0xacb9, 'ldrb    r6, [r3, r7]', 0, ()),
    (REV_ALL_ARM, '13f80c30', 0xacbb, 'ldrb    r3, [r3, r12]', 0, ()),
    (REV_ALL_ARM, '80ea0640', 0xacbf, 'eor     r0, r0, r6, lsl #16', 0, ()),
    (REV_ALL_ARM, '80ea0363', 0xacc3, 'eor     r3, r0, r3, lsl #24', 0, ()),
    (REV_ALL_ARM, '280a', 0xacc7, 'lsrs    r0, r5, #8', 0, ()),
    (REV_ALL_ARM, '5070', 0xacc9, 'strb    r0, [r2, #1]', 0, ()),
    (REV_ALL_ARM, '280c', 0xaccb, 'lsrs    r0, r5, #0x10', 0, ()),
    (REV_ALL_ARM, '9070', 0xaccd, 'strb    r0, [r2, #2]', 0, ()),
    (REV_ALL_ARM, '080a', 0xacd1, 'lsrs    r0, r1, #8', 0, ()),
    (REV_ALL_ARM, 'd570', 0xacd3, 'strb    r5, [r2, #3]', 0, ()),
    (REV_ALL_ARM, '1171', 0xacd5, 'strb    r1, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '5071', 0xacd7, 'strb    r0, [r2, #5]', 0, ()),
    (REV_ALL_ARM, '080c', 0xacd9, 'lsrs    r0, r1, #0x10', 0, ()),
    (REV_ALL_ARM, '090e', 0xacdb, 'lsrs    r1, r1, #0x18', 0, ()),
    (REV_ALL_ARM, 'd171', 0xacdd, 'strb    r1, [r2, #7]', 0, ()),
    (REV_ALL_ARM, '9071', 0xace9, 'strb    r0, [r2, #6]', 0, ()),
    (REV_ALL_ARM, '1472', 0xaceb, 'strb    r4, [r2, #8]', 0, ()),
    (REV_ALL_ARM, 'd472', 0xacf9, 'strb    r4, [r2, #0xb]', 0, ()),
    (REV_ALL_ARM, '0fb0', 0xacff, 'add     sp, #0x3c', 0, ()),
    (REV_ALL_ARM, '9df80470', 0xab0d, 'ldrb    r7, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '0295', 0xab19, 'str     r5, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '370e', 0xab23, 'lsrs    r7, r6, #0x18', 0, ()),
    (REV_ALL_ARM, 'c1f30727', 0xab35, 'ubfx    r7, r1, #8, #8', 0, ()),
    (REV_ALL_ARM, 'cfb2', 0xab55, 'uxtb    r7, r1', 0, ()),
    (REV_ALL_ARM, '5ffa8cf5', 0xab57, 'uxtb    r5, r12', 0, ()),
    (REV_ALL_ARM, '4fea1567', 0xab6b, 'lsr     r7, r5, #0x18', 0, ()),
    (REV_ALL_ARM, 'c6f30747', 0xab8b, 'ubfx    r7, r6, #0x10, #8', 0, ()),
    (REV_ALL_ARM, 'ccf3072b', 0xab8f, 'ubfx    r11, r12, #8, #8', 0, ()),
    (REV_ALL_ARM, 'c6f3072a', 0xabb1, 'ubfx    r10, r6, #8, #8', 0, ()),
    (REV_ALL_ARM, '53f82660', 0xabc1, 'ldr     r6, [r3, r6, lsl #2]', 0, ()),
    (REV_ALL_ARM, 'c5f3074a', 0xabc5, 'ubfx    r10, r5, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '86ea0506', 0xabd1, 'eor     r6, r6, r5', 0, ()),
    (REV_ALL_ARM, '86ea3426', 0xabd5, 'eor     r6, r6, r4, ror #8', 0, ()),
    (REV_ALL_ARM, '019c', 0xabd9, 'ldr     r4, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'c4f30725', 0xabdb, 'ubfx    r5, r4, #8, #8', 0, ()),
    (REV_ALL_ARM, 'cef30745', 0xabe7, 'ubfx    r5, lr, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '53f82140', 0xabf1, 'ldr     r4, [r3, r1, lsl #2]', 0, ()),
    (REV_ALL_ARM, '50f82c1c', 0xabf5, 'ldr     r1, [r0, #-0x2c]', 0, ()),
    (REV_ALL_ARM, '0491', 0xabf9, 'str     r1, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '4fea1765', 0xabfb, 'lsr     r5, r7, #0x18', 0, ()),
    (REV_ALL_ARM, '0695', 0xabff, 'str     r5, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '50f8285c', 0xac01, 'ldr     r5, [r0, #-0x28]', 0, ()),
    (REV_ALL_ARM, '0795', 0xac05, 'str     r5, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '86ea3446', 0xac07, 'eor     r6, r6, r4, ror #16', 0, ()),
    (REV_ALL_ARM, 'fdb2', 0xac0b, 'uxtb    r5, r7', 0, ()),
    (REV_ALL_ARM, '0895', 0xac0d, 'str     r5, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, 'c6f30725', 0xac0f, 'ubfx    r5, r6, #8, #8', 0, ()),
    (REV_ALL_ARM, '0995', 0xac13, 'str     r5, [sp, #0x24]', 0, ()),
    (REV_ALL_ARM, 'ccf30745', 0xac15, 'ubfx    r5, r12, #0x10, #8', 0, ()),
    (REV_ALL_ARM, '0a95', 0xac19, 'str     r5, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, '4fea1e65', 0xac1b, 'lsr     r5, lr, #0x18', 0, ()),
    (REV_ALL_ARM, '0b95', 0xac1f, 'str     r5, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, '50f8245c', 0xac21, 'ldr     r5, [r0, #-0x24]', 0, ()),
    (REV_ALL_ARM, '0c95', 0xac25, 'str     r5, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, 'c7f30725', 0xac27, 'ubfx    r5, r7, #8, #8', 0, ()),
    (REV_ALL_ARM, 'cef30729', 0xac2b, 'ubfx    r9, lr, #8, #8', 0, ()),
    (REV_ALL_ARM, '4fea1664', 0xac33, 'lsr     r4, r6, #0x18', 0, ()),
    (REV_ALL_ARM, 'f1b2', 0xac37, 'uxtb    r1, r6', 0, ()),
    (REV_ALL_ARM, '5ffa8efe', 0xac39, 'uxtb    lr, lr', 0, ()),
    (REV_ALL_ARM, '0d95', 0xac3d, 'str     r5, [sp, #0x34]', 0, ()),
    (REV_ALL_ARM, '4fea1c6c', 0xac43, 'lsr     r12, r12, #0x18', 0, ()),
    (REV_ALL_ARM, '8569', 0xadb1, 'ldr     r5, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, '2d78', 0xadb3, 'ldrb    r5, [r5]', 0, ()),
    (REV_ALL_ARM, '4568', 0xadb9, 'ldr     r5, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '00b9', 0xadad, 'cbnz    r0, 0x0000adb0', 0, ()),
    (REV_ALL_ARM, '3822', 0xadd5, 'movs    r2, #0x38', 0, ()),
    #(REV_ALL_ARM, '06f0b1f8', 0xadd9, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, '6863', 0xade3, 'str     r0, [r5, #0x34]', 0, ()),
    (REV_ALL_ARM, '2c60', 0xade7, 'str     r4, [r5]', 0, ()),
    (REV_ALL_ARM, 'b4b1', 0xae01, 'cbz     r4, 0x0000ae30', 0, ()),
    (REV_ALL_ARM, '2569', 0xae03, 'ldr     r5, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'ad07', 0xae05, 'lsls    r5, r5, #0x1e', 0, ()),
    (REV_ALL_ARM, '4260', 0xae11, 'str     r2, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '0372', 0xae13, 'strb    r3, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '6578', 0xae17, 'ldrb    r5, [r4, #1]', 0, ()),
    (REV_ALL_ARM, '033d', 0xae19, 'subs    r5, #3', 0, ()),
    (REV_ALL_ARM, '406b', 0xae23, 'ldr     r0, [r0, #0x34]', 0, ()),
    (REV_ALL_ARM, '9bb1', 0xae45, 'cbz     r3, 0x0000ae6e', 0, ()),
    (REV_ALL_ARM, '102a', 0xae47, 'cmp     r2, #0x10', 0, ()),
    (REV_ALL_ARM, '5cb1', 0xae59, 'cbz     r4, 0x0000ae72', 0, ()),
    (REV_ALL_ARM, '0bd3', 0xae55, 'bcc     0x0000ae6e', 0, ()),
    (REV_ALL_ARM, '05f12000', 0xae5d, 'add     r0, r5, #0x20', 0, ()),
    #(REV_ALL_ARM, '06f042f8', 0xae61, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '2c63', 0xae65, 'str     r4, [r5, #0x30]', 0, ()),
    (REV_ALL_ARM, '049f', 0xae85, 'ldr     r7, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '35b3', 0xae8b, 'cbz     r5, 0x0000aeda', 0, ()),
    (REV_ALL_ARM, '3a60', 0xae8f, 'str     r2, [r7]', 0, ()),
    (REV_ALL_ARM, '95f801c0', 0xae91, 'ldrb    r12, [r5, #1]', 0, ()),
    (REV_ALL_ARM, '6a69', 0xae95, 'ldr     r2, [r5, #0x14]', 0, ()),
    (REV_ALL_ARM, 'bcf1060f', 0xaeb5, 'cmp     r12, #6', 0, ()),
    (REV_ALL_ARM, '6ab1', 0xaec7, 'cbz     r2, 0x0000aee4', 0, ()),
    (REV_ALL_ARM, '3960', 0xaebb, 'str     r1, [r7]', 0, ()),
    #(REV_ALL_ARM, '06f09fba', 0xaec3, 'b       0x00001404', 0, ()),
    (REV_ALL_ARM, '5568', 0xaea5, 'ldr     r5, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '90f90810', 0xaea7, 'ldrsb   r1, [r0, #8]', 0, ()),
    (REV_ALL_ARM, 'ac46', 0xaeaf, 'mov     r12, r5', 0, ()),
    (REV_ALL_ARM, '6047', 0xaeb3, 'bx      r12', 0, ()),
    (REV_ALL_ARM, 'c369', 0xaecd, 'ldr     r3, [r0, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'b1fbf2f3', 0xaed1, 'udiv    r3, r1, r2', 0, ()),
    (REV_ALL_ARM, '02fb1311', 0xaed5, 'mls     r1, r2, r3, r1', 0, ()),
    (REV_ALL_ARM, '31b1', 0xaed9, 'cbz     r1, 0x0000aee8', 0, ()),
    (REV_ALL_ARM, '0168', 0xaefd, 'ldr     r1, [r0]', 0, ()),
    (REV_ALL_ARM, 'a1b1', 0xaf03, 'cbz     r1, 0x0000af2e', 0, ()),
    (REV_ALL_ARM, '4a78', 0xaf09, 'ldrb    r2, [r1, #1]', 0, ()),
    (REV_ALL_ARM, 'd41e', 0xaf0b, 'subs    r4, r2, #3', 0, ()),
    (REV_ALL_ARM, '4839', 0xaf17, 'subs    r1, #0x48', 0, ()),
    (REV_ALL_ARM, 'db69', 0xaf21, 'ldr     r3, [r3, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'a0f5c540', 0xaf25, 'sub     r0, r0, #0x6280', 0, ()),
    (REV_ALL_ARM, 'dde90b75', 0xaf45, 'ldrd    r7, r5, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, 'fff776ff', 0xaf4d, 'bl      0x0000ae3c', 0, ()),
    (REV_ALL_ARM, 'a8b9', 0xaf51, 'cbnz    r0, 0x0000af7e', 0, ()),
    (REV_ALL_ARM, '0a9a', 0xaf59, 'ldr     r2, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, 'fff78dff', 0xaf63, 'bl      0x0000ae80', 0, ()),
    (REV_ALL_ARM, '50b9', 0xaf67, 'cbnz    r0, 0x0000af7e', 0, ()),
    (REV_ALL_ARM, '3944', 0xaf6d, 'add     r1, r7', 0, ()),
    (REV_ALL_ARM, 'fff7c4ff', 0xaf71, 'bl      0x0000aefc', 0, ()),
    (REV_ALL_ARM, 'cc7b', 0xaf91, 'ldrb    r4, [r1, #0xf]', 0, ()),
    (REV_ALL_ARM, '04f00f04', 0xaf97, 'and     r4, r4, #0xf', 0, ()),
    (REV_ALL_ARM, '00ebc404', 0xaf9b, 'add     r4, r0, r4, lsl #3', 0, ()),
    (REV_ALL_ARM, 'd4e92ea5', 0xaf9f, 'ldrd    r10, r5, [r4, #0xb8]', 0, ()),
    (REV_ALL_ARM, 'd4e90e34', 0xafa3, 'ldrd    r3, r4, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, '0f26', 0xafa7, 'movs    r6, #0xf', 0, ()),
    (REV_ALL_ARM, '4fea0a77', 0xb003, 'lsl     r7, r10, #0x1c', 0, ()),
    (REV_ALL_ARM, '4fea1318', 0xb007, 'lsr     r8, r3, #4', 0, ()),
    (REV_ALL_ARM, '48ea0478', 0xb00b, 'orr     r8, r8, r4, lsl #28', 0, ()),
    (REV_ALL_ARM, '47ea1414', 0xb00f, 'orr     r4, r7, r4, lsr #4', 0, ()),
    (REV_ALL_ARM, '009f', 0xb013, 'ldr     r7, [sp]', 0, ()),
    (REV_ALL_ARM, '00ebc70c', 0xb015, 'add     r12, r0, r7, lsl #3', 0, ()),
    (REV_ALL_ARM, 'dce92e79', 0xb019, 'ldrd    r7, r9, [r12, #0xb8]', 0, ()),
    (REV_ALL_ARM, '03f00f03', 0xb01d, 'and     r3, r3, #0xf', 0, ()),
    (REV_ALL_ARM, '4fea1a1a', 0xb021, 'lsr     r10, r10, #4', 0, ()),
    (REV_ALL_ARM, '5ef83330', 0xb025, 'ldr     r3, [lr, r3, lsl #3]', 0, ()),
    (REV_ALL_ARM, '4aea057a', 0xb029, 'orr     r10, r10, r5, lsl #28', 0, ()),
    (REV_ALL_ARM, '89ea1515', 0xb02d, 'eor     r5, r9, r5, lsr #4', 0, ()),
    (REV_ALL_ARM, '8aea070a', 0xb031, 'eor     r10, r10, r7', 0, ()),
    (REV_ALL_ARM, '85ea0345', 0xb035, 'eor     r5, r5, r3, lsl #16', 0, ()),
    (REV_ALL_ARM, 'dce90e37', 0xb039, 'ldrd    r3, r7, [r12, #0x38]', 0, ()),
    (REV_ALL_ARM, '88ea0303', 0xb03f, 'eor     r3, r8, r3', 0, ()),
    (REV_ALL_ARM, '84ea0704', 0xb043, 'eor     r4, r4, r7', 0, ()),
    (REV_ALL_ARM, 'afd2', 0xb047, 'bcs     0x0000afa8', 0, ()),
    (REV_ALL_ARM, '00ebcb04', 0xafe3, 'add     r4, r0, r11, lsl #3', 0, ()),
    (REV_ALL_ARM, 'd4e92e35', 0xafe7, 'ldrd    r3, r5, [r4, #0xb8]', 0, ()),
    (REV_ALL_ARM, '83ea080a', 0xafeb, 'eor     r10, r3, r8', 0, ()),
    (REV_ALL_ARM, '7d40', 0xaff3, 'eors    r5, r7', 0, ()),
    (REV_ALL_ARM, '019f', 0xaff5, 'ldr     r7, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '6740', 0xaff7, 'eors    r7, r4', 0, ()),
    (REV_ALL_ARM, '85ea0905', 0xaff9, 'eor     r5, r5, r9', 0, ()),
    (REV_ALL_ARM, '8cea0303', 0xaffd, 'eor     r3, r12, r3', 0, ()),
    (REV_ALL_ARM, '3c46', 0xb001, 'mov     r4, r7', 0, ()),
    (REV_ALL_ARM, '8f5d', 0xafa9, 'ldrb    r7, [r1, r6]', 0, ()),
    (REV_ALL_ARM, '07f00f0b', 0xafab, 'and     r11, r7, #0xf', 0, ()),
    (REV_ALL_ARM, '3f09', 0xafaf, 'lsrs    r7, r7, #4', 0, ()),
    (REV_ALL_ARM, '03f00f07', 0xafb3, 'and     r7, r3, #0xf', 0, ()),
    (REV_ALL_ARM, '4fea1418', 0xafb7, 'lsr     r8, r4, #4', 0, ()),
    (REV_ALL_ARM, '48ea0a78', 0xafbb, 'orr     r8, r8, r10, lsl #28', 0, ()),
    (REV_ALL_ARM, '5ef83770', 0xafbf, 'ldr     r7, [lr, r7, lsl #3]', 0, ()),
    (REV_ALL_ARM, 'cdf80480', 0xafc3, 'str     r8, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '4fea131c', 0xafc7, 'lsr     r12, r3, #4', 0, ()),
    (REV_ALL_ARM, '4fea1a18', 0xafcb, 'lsr     r8, r10, #4', 0, ()),
    (REV_ALL_ARM, '0f2e', 0xafcf, 'cmp     r6, #0xf', 0, ()),
    (REV_ALL_ARM, '4fea0747', 0xafd1, 'lsl     r7, r7, #0x10', 0, ()),
    (REV_ALL_ARM, '4cea047c', 0xafd5, 'orr     r12, r12, r4, lsl #28', 0, ()),
    (REV_ALL_ARM, '48ea0578', 0xafd9, 'orr     r8, r8, r5, lsl #28', 0, ()),
    (REV_ALL_ARM, '4fea1519', 0xafdd, 'lsr     r9, r5, #4', 0, ()),
    (REV_ALL_ARM, '290e', 0xb049, 'lsrs    r1, r5, #0x18', 0, ()),
    (REV_ALL_ARM, '1170', 0xb04b, 'strb    r1, [r2]', 0, ()),
    (REV_ALL_ARM, '4fea1a61', 0xb055, 'lsr     r1, r10, #0x18', 0, ()),
    (REV_ALL_ARM, '4fea1a41', 0xb05b, 'lsr     r1, r10, #0x10', 0, ()),
    (REV_ALL_ARM, '4fea1a21', 0xb061, 'lsr     r1, r10, #8', 0, ()),
    (REV_ALL_ARM, '210e', 0xb067, 'lsrs    r1, r4, #0x18', 0, ()),
    (REV_ALL_ARM, '1172', 0xb069, 'strb    r1, [r2, #8]', 0, ()),
    (REV_ALL_ARM, '190e', 0xb073, 'lsrs    r1, r3, #0x18', 0, ()),
    (REV_ALL_ARM, '1173', 0xb075, 'strb    r1, [r2, #0xc]', 0, ()),
    (REV_ALL_ARM, '82f807a0', 0xb07f, 'strb    r10, [r2, #7]', 0, ()),
    (REV_ALL_ARM, '02f18832', 0xb09b, 'add     r2, r2, #0x88888888', 0, ()),
    (REV_ALL_ARM, '02f12942', 0xb0a1, 'add     r2, r2, #0xa9000000', 0, ()),
    (REV_ALL_ARM, 'a2f59612', 0xb0a5, 'sub     r2, r2, #0x12c000', 0, ()),
    (REV_ALL_ARM, 'a2f68b62', 0xb0a9, 'subw    r2, r2, #0xe8b', 0, ()),
    (REV_ALL_ARM, 'a2f18832', 0xb0b1, 'sub     r2, r2, #0x88888888', 0, ()),
    (REV_ALL_ARM, '8b69', 0xb0d3, 'ldr     r3, [r1, #0x18]', 0, ()),
    (REV_ALL_ARM, '0b6a', 0xb0d7, 'ldr     r3, [r1, #0x20]', 0, ()),
    (REV_ALL_ARM, '4b6a', 0xb0db, 'ldr     r3, [r1, #0x24]', 0, ()),
    (REV_ALL_ARM, '8b6a', 0xb0df, 'ldr     r3, [r1, #0x28]', 0, ()),
    (REV_ALL_ARM, 'cb6a', 0xb0e3, 'ldr     r3, [r1, #0x2c]', 0, ()),
    (REV_ALL_ARM, '4b6b', 0xb0e7, 'ldr     r3, [r1, #0x34]', 0, ()),
    (REV_ALL_ARM, 'cb6b', 0xb0eb, 'ldr     r3, [r1, #0x3c]', 0, ()),
    (REV_ALL_ARM, 'd1f800a0', 0xb0f3, 'ldr     r10, [r1]', 0, ()),
    (REV_ALL_ARM, 'd1f814e0', 0xb0f9, 'ldr     lr, [r1, #0x14]', 0, ()),
    (REV_ALL_ARM, 'd1f81c90', 0xb0fd, 'ldr     r9, [r1, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'd1f830c0', 0xb101, 'ldr     r12, [r1, #0x30]', 0, ()),
    (REV_ALL_ARM, 'd1f83880', 0xb105, 'ldr     r8, [r1, #0x38]', 0, ()),
    (REV_ALL_ARM, 'c668', 0xb109, 'ldr     r6, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '1a44', 0xb10d, 'add     r2, r3', 0, ()),
    (REV_ALL_ARM, 'd0e90431', 0xb10f, 'ldrd    r3, r1, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '4b40', 0xb113, 'eors    r3, r1', 0, ()),
    (REV_ALL_ARM, '3340', 0xb115, 'ands    r3, r6', 0, ()),
    (REV_ALL_ARM, '5244', 0xb117, 'add     r2, r10', 0, ()),
    (REV_ALL_ARM, '0469', 0xb127, 'ldr     r4, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, 'ddf808b0', 0xb129, 'ldr     r11, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '06eb7363', 0xb12d, 'add     r3, r6, r3, ror #25', 0, ()),
    (REV_ALL_ARM, '1940', 0xb133, 'ands    r1, r3', 0, ()),
    (REV_ALL_ARM, '1144', 0xb137, 'add     r1, r2', 0, ()),
    (REV_ALL_ARM, '2244', 0xb13b, 'add     r2, r4', 0, ()),
    (REV_ALL_ARM, '03eb3151', 0xb13f, 'add     r1, r3, r1, ror #20', 0, ()),
    (REV_ALL_ARM, '86ea0304', 0xb145, 'eor     r4, r6, r3', 0, ()),
    (REV_ALL_ARM, '0c40', 0xb149, 'ands    r4, r1', 0, ()),
    (REV_ALL_ARM, '01ebf434', 0xb14f, 'add     r4, r1, r4, ror #15', 0, ()),
    (REV_ALL_ARM, '83ea0102', 0xb153, 'eor     r2, r3, r1', 0, ()),
    (REV_ALL_ARM, '3544', 0xb157, 'add     r5, r6', 0, ()),
    (REV_ALL_ARM, '2240', 0xb159, 'ands    r2, r4', 0, ()),
    (REV_ALL_ARM, '3d44', 0xb15b, 'add     r5, r7', 0, ()),
    (REV_ALL_ARM, '5a40', 0xb15d, 'eors    r2, r3', 0, ()),
    (REV_ALL_ARM, '2a44', 0xb15f, 'add     r2, r5', 0, ()),
    (REV_ALL_ARM, '5d44', 0xb163, 'add     r5, r11', 0, ()),
    (REV_ALL_ARM, '04ebb222', 0xb165, 'add     r2, r4, r2, ror #10', 0, ()),
    (REV_ALL_ARM, '81ea0403', 0xb16b, 'eor     r3, r1, r4', 0, ()),
    (REV_ALL_ARM, 'ddf80cb0', 0xb177, 'ldr     r11, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '7544', 0xb17b, 'add     r5, lr', 0, ()),
    (REV_ALL_ARM, '02eb7363', 0xb17d, 'add     r3, r2, r3, ror #25', 0, ()),
    (REV_ALL_ARM, '0d44', 0xb181, 'add     r5, r1', 0, ()),
    (REV_ALL_ARM, '84ea0201', 0xb183, 'eor     r1, r4, r2', 0, ()),
    (REV_ALL_ARM, '2944', 0xb18b, 'add     r1, r5', 0, ()),
    (REV_ALL_ARM, '2544', 0xb195, 'add     r5, r4', 0, ()),
    (REV_ALL_ARM, '82ea0304', 0xb197, 'eor     r4, r2, r3', 0, ()),
    (REV_ALL_ARM, '5440', 0xb19d, 'eors    r4, r2', 0, ()),
    (REV_ALL_ARM, 'ddf810b0', 0xb1a3, 'ldr     r11, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '4d44', 0xb1a7, 'add     r5, r9', 0, ()),
    (REV_ALL_ARM, '1544', 0xb1ad, 'add     r5, r2', 0, ()),
    (REV_ALL_ARM, 'ddf814b0', 0xb1cb, 'ldr     r11, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, 'ddf81cb0', 0xb1e7, 'ldr     r11, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'a5f52445', 0xb1eb, 'sub     r5, r5, #0xa400', 0, ()),
    (REV_ALL_ARM, '4f3d', 0xb1ef, 'subs    r5, #0x4f', 0, ()),
    (REV_ALL_ARM, 'ddf820b0', 0xb217, 'ldr     r11, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, 'ddf824b0', 0xb243, 'ldr     r11, [sp, #0x24]', 0, ()),
    (REV_ALL_ARM, '4544', 0xb247, 'add     r5, r8', 0, ()),
    (REV_ALL_ARM, 'ddf800b0', 0xb26b, 'ldr     r11, [sp]', 0, ()),
    (REV_ALL_ARM, '84ea0203', 0xb27b, 'eor     r3, r4, r2', 0, ()),
    (REV_ALL_ARM, '0b40', 0xb27f, 'ands    r3, r1', 0, ()),
    (REV_ALL_ARM, '02ebf363', 0xb28b, 'add     r3, r2, r3, ror #27', 0, ()),
    (REV_ALL_ARM, '82ea0301', 0xb293, 'eor     r1, r2, r3', 0, ()),
    (REV_ALL_ARM, '2140', 0xb297, 'ands    r1, r4', 0, ()),
    (REV_ALL_ARM, '5140', 0xb299, 'eors    r1, r2', 0, ()),
    (REV_ALL_ARM, '03ebf151', 0xb2a3, 'add     r1, r3, r1, ror #23', 0, ()),
    (REV_ALL_ARM, '83ea0104', 0xb2ab, 'eor     r4, r3, r1', 0, ()),
    (REV_ALL_ARM, '1440', 0xb2af, 'ands    r4, r2', 0, ()),
    (REV_ALL_ARM, '5c40', 0xb2b1, 'eors    r4, r3', 0, ()),
    (REV_ALL_ARM, 'ddf818b0', 0xb2b7, 'ldr     r11, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '01ebb444', 0xb2bb, 'add     r4, r1, r4, ror #18', 0, ()),
    (REV_ALL_ARM, '81ea0402', 0xb2c3, 'eor     r2, r1, r4', 0, ()),
    (REV_ALL_ARM, '1a40', 0xb2c7, 'ands    r2, r3', 0, ()),
    (REV_ALL_ARM, '4a40', 0xb2c9, 'eors    r2, r1', 0, ()),
    (REV_ALL_ARM, '04eb3232', 0xb2cf, 'add     r2, r4, r2, ror #12', 0, ()),
    (REV_ALL_ARM, '83ea0105', 0xb35f, 'eor     r5, r3, r1', 0, ()),
    (REV_ALL_ARM, '1540', 0xb363, 'ands    r5, r2', 0, ()),
    (REV_ALL_ARM, '5d40', 0xb365, 'eors    r5, r3', 0, ()),
    (REV_ALL_ARM, '81ea0405', 0xb373, 'eor     r5, r1, r4', 0, ()),
    (REV_ALL_ARM, '1d40', 0xb377, 'ands    r5, r3', 0, ()),
    (REV_ALL_ARM, '84ea0205', 0xb38b, 'eor     r5, r4, r2', 0, ()),
    (REV_ALL_ARM, '0d40', 0xb38f, 'ands    r5, r1', 0, ()),
    (REV_ALL_ARM, 'ddf804b0', 0xb393, 'ldr     r11, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '82ea0305', 0xb3a3, 'eor     r5, r2, r3', 0, ()),
    (REV_ALL_ARM, '2540', 0xb3a7, 'ands    r5, r4', 0, ()),
    (REV_ALL_ARM, '5540', 0xb3a9, 'eors    r5, r2', 0, ()),
    (REV_ALL_ARM, '01ebb545', 0xb3c5, 'add     r5, r1, r5, ror #18', 0, ()),
    (REV_ALL_ARM, '81ea0504', 0xb3c9, 'eor     r4, r1, r5', 0, ()),
    (REV_ALL_ARM, 'e344', 0xb3cd, 'add     r11, r12', 0, ()),
    (REV_ALL_ARM, '9344', 0xb3cf, 'add     r11, r2', 0, ()),
    (REV_ALL_ARM, '04ea0302', 0xb3d1, 'and     r2, r4, r3', 0, ()),
    (REV_ALL_ARM, '5a44', 0xb3d7, 'add     r2, r11', 0, ()),
    (REV_ALL_ARM, 'aef5b82b', 0xb3d9, 'sub     r11, lr, #0x5c000', 0, ()),
    (REV_ALL_ARM, '05eb3232', 0xb3dd, 'add     r2, r5, r2, ror #12', 0, ()),
    (REV_ALL_ARM, 'abf2be6b', 0xb3e1, 'subw    r11, r11, #0x6be', 0, ()),
    (REV_ALL_ARM, '5b44', 0xb3e7, 'add     r3, r11', 0, ()),
    (REV_ALL_ARM, '2344', 0xb3e9, 'add     r3, r4', 0, ()),
    (REV_ALL_ARM, '02eb3373', 0xb3f3, 'add     r3, r2, r3, ror #28', 0, ()),
    (REV_ALL_ARM, '0c44', 0xb3f7, 'add     r4, r1', 0, ()),
    (REV_ALL_ARM, '85ea0201', 0xb3f9, 'eor     r1, r5, r2', 0, ()),
    (REV_ALL_ARM, '5940', 0xb3fd, 'eors    r1, r3', 0, ()),
    (REV_ALL_ARM, '2144', 0xb403, 'add     r1, r4', 0, ()),
    (REV_ALL_ARM, '03eb7151', 0xb409, 'add     r1, r3, r1, ror #21', 0, ()),
    (REV_ALL_ARM, '4c40', 0xb413, 'eors    r4, r1', 0, ()),
    (REV_ALL_ARM, '4444', 0xb41d, 'add     r4, r8', 0, ()),
    (REV_ALL_ARM, '01eb3545', 0xb41f, 'add     r5, r1, r5, ror #16', 0, ()),
    (REV_ALL_ARM, '6a40', 0xb429, 'eors    r2, r5', 0, ()),
    (REV_ALL_ARM, '05eb7222', 0xb431, 'add     r2, r5, r2, ror #9', 0, ()),
    (REV_ALL_ARM, '81ea0503', 0xb437, 'eor     r3, r1, r5', 0, ()),
    (REV_ALL_ARM, '4c44', 0xb45b, 'add     r4, r9', 0, ()),
    (REV_ALL_ARM, '01eb3444', 0xb46f, 'add     r4, r1, r4, ror #16', 0, ()),
    (REV_ALL_ARM, '6240', 0xb479, 'eors    r2, r4', 0, ()),
    (REV_ALL_ARM, '04eb7222', 0xb485, 'add     r2, r4, r2, ror #9', 0, ()),
    (REV_ALL_ARM, '4de0', 0xb48b, 'b       0x0000b528', 0, ()),
    (REV_ALL_ARM, '04eb7525', 0xb573, 'add     r5, r4, r5, ror #9', 0, ()),
    (REV_ALL_ARM, '05eb3272', 0xb589, 'add     r2, r5, r2, ror #28', 0, ()),
    (REV_ALL_ARM, '84ea0501', 0xb58f, 'eor     r1, r4, r5', 0, ()),
    (REV_ALL_ARM, '02eb7151', 0xb59b, 'add     r1, r2, r1, ror #21', 0, ()),
    (REV_ALL_ARM, '85ea0203', 0xb5a1, 'eor     r3, r5, r2', 0, ()),
    (REV_ALL_ARM, '82ea0103', 0xb5b7, 'eor     r3, r2, r1', 0, ()),
    (REV_ALL_ARM, '04eb7323', 0xb5c1, 'add     r3, r4, r3, ror #9', 0, ()),
    (REV_ALL_ARM, '63ea0102', 0xb5c9, 'orn     r2, r3, r1', 0, ()),
    (REV_ALL_ARM, '03ebb262', 0xb5d3, 'add     r2, r3, r2, ror #26', 0, ()),
    (REV_ALL_ARM, '62ea0409', 0xb5d9, 'orn     r9, r2, r4', 0, ()),
    (REV_ALL_ARM, '89ea0309', 0xb5dd, 'eor     r9, r9, r3', 0, ()),
    (REV_ALL_ARM, '4944', 0xb5e3, 'add     r1, r9', 0, ()),
    (REV_ALL_ARM, '02ebb151', 0xb5e7, 'add     r1, r2, r1, ror #22', 0, ()),
    (REV_ALL_ARM, '61ea0308', 0xb5ed, 'orn     r8, r1, r3', 0, ()),
    (REV_ALL_ARM, '88ea0208', 0xb5f1, 'eor     r8, r8, r2', 0, ()),
    (REV_ALL_ARM, '01eb7444', 0xb5fb, 'add     r4, r1, r4, ror #17', 0, ()),
    (REV_ALL_ARM, '64ea0203', 0xb603, 'orn     r3, r4, r2', 0, ()),
    (REV_ALL_ARM, '04ebf323', 0xb60d, 'add     r3, r4, r3, ror #11', 0, ()),
    (REV_ALL_ARM, '63ea010c', 0xb613, 'orn     r12, r3, r1', 0, ()),
    (REV_ALL_ARM, '8cea040c', 0xb617, 'eor     r12, r12, r4', 0, ()),
    (REV_ALL_ARM, '0ceb0502', 0xb61d, 'add     r2, r12, r5', 0, ()),
    (REV_ALL_ARM, '62ea0407', 0xb62b, 'orn     r7, r2, r4', 0, ()),
    (REV_ALL_ARM, '5f40', 0xb631, 'eors    r7, r3', 0, ()),
    (REV_ALL_ARM, 'a5f58015', 0xb635, 'sub     r5, r5, #0x100000', 0, ()),
    (REV_ALL_ARM, 'a5f68335', 0xb63d, 'subw    r5, r5, #0xb83', 0, ()),
    (REV_ALL_ARM, '61ea0304', 0xb643, 'orn     r4, r1, r3', 0, ()),
    (REV_ALL_ARM, '64ea0207', 0xb655, 'orn     r7, r4, r2', 0, ()),
    (REV_ALL_ARM, '4f40', 0xb659, 'eors    r7, r1', 0, ()),
    (REV_ALL_ARM, '7b19', 0xb65d, 'adds    r3, r7, r5', 0, ()),
    (REV_ALL_ARM, '63ea0107', 0xb669, 'orn     r7, r3, r1', 0, ()),
    (REV_ALL_ARM, '7a19', 0xb671, 'adds    r2, r7, r5', 0, ()),
    (REV_ALL_ARM, '099f', 0xb673, 'ldr     r7, [sp, #0x24]', 0, ()),
    (REV_ALL_ARM, '62ea040c', 0xb67d, 'orn     r12, r2, r4', 0, ()),
    (REV_ALL_ARM, '8cea030c', 0xb681, 'eor     r12, r12, r3', 0, ()),
    (REV_ALL_ARM, '039f', 0xb687, 'ldr     r7, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '6144', 0xb68b, 'add     r1, r12', 0, ()),
    (REV_ALL_ARM, '61ea0307', 0xb693, 'orn     r7, r1, r3', 0, ()),
    (REV_ALL_ARM, '5740', 0xb697, 'eors    r7, r2', 0, ()),
    (REV_ALL_ARM, '3c44', 0xb69b, 'add     r4, r7', 0, ()),
    (REV_ALL_ARM, '089f', 0xb69f, 'ldr     r7, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '029f', 0xb6af, 'ldr     r7, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '079f', 0xb6c3, 'ldr     r7, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '62ea0401', 0xb6d1, 'orn     r1, r2, r4', 0, ()),
    (REV_ALL_ARM, '059f', 0xb6db, 'ldr     r7, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '64ea0202', 0xb6fb, 'orn     r2, r4, r2', 0, ()),
    (REV_ALL_ARM, '8560', 0xb705, 'str     r5, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '4369', 0xb70b, 'ldr     r3, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, '0461', 0xb70d, 'str     r4, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '06ebf226', 0xb70f, 'add     r6, r6, r2, ror #11', 0, ()),
    (REV_ALL_ARM, 'c660', 0xb715, 'str     r6, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '4161', 0xb717, 'str     r1, [r0, #0x14]', 0, ()),
    #(REV_ALL_ARM, '05f087fa', 0xba2d, 'bl      0x00000f3e', 0, ()),
    #(REV_ALL_ARM, '00f032f8', 0xba35, 'bl      0x0000ba9c', 0, ()),
    (REV_ALL_ARM, '232d', 0xba39, 'cmp     r5, #0x23', 0, ()),
    (REV_ALL_ARM, '14f00303', 0xba3d, 'ands    r3, r4, #3', 0, ()),
    (REV_ALL_ARM, '043d', 0xba43, 'subs    r5, #4', 0, ()),
    (REV_ALL_ARM, 'ed18', 0xba45, 'adds    r5, r5, r3', 0, ()),
    (REV_ALL_ARM, 'c3f10403', 0xba47, 'rsb     r3, r3, #4', 0, ()),
    (REV_ALL_ARM, 'e418', 0xba4b, 'adds    r4, r4, r3', 0, ()),
    #(REV_ALL_ARM, '05f074fa', 0xba53, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, '9c60', 0xba5b, 'str     r4, [r3, #8]', 0, ()),
    (REV_ALL_ARM, 'c3e90045', 0xba5d, 'strd    r4, r5, [r3]', 0, ()),
    (REV_ALL_ARM, 'a2f11022', 0xba63, 'sub     r2, r2, #0x10001000', 0, ()),
    (REV_ALL_ARM, '203d', 0xba67, 'subs    r5, #0x20', 0, ()),
    (REV_ALL_ARM, 'a2f1ef12', 0xba69, 'sub     r2, r2, #0xef00ef', 0, ()),
    (REV_ALL_ARM, '6560', 0xba6d, 'str     r5, [r4, #4]', 0, ()),
    (REV_ALL_ARM, 'e261', 0xba6f, 'str     r2, [r4, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'dc60', 0xba71, 'str     r4, [r3, #0xc]', 0, ()),
    (REV_ALL_ARM, '0a7c', 0xbb2d, 'ldrb    r2, [r1, #0x10]', 0, ()),
    (REV_ALL_ARM, '063a', 0xbb35, 'subs    r2, #6', 0, ()),
    (REV_ALL_ARM, '062a', 0xbb39, 'cmp     r2, #6', 0, ()),
    #(REV_ALL_ARM, '03f0ccfd', 0xbb59, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, 'aa68', 0xbb63, 'ldr     r2, [r5, #8]', 0, ()),
    (REV_ALL_ARM, 'c4f8a020', 0xbb65, 'str     r2, [r4, #0xa0]', 0, ()),
    (REV_ALL_ARM, 'da6a', 0xbb69, 'ldr     r2, [r3, #0x2c]', 0, ()),
    (REV_ALL_ARM, '94f8a920', 0xbb73, 'ldrb    r2, [r4, #0xa9]', 0, ()),
    (REV_ALL_ARM, 'e968', 0xbb81, 'ldr     r1, [r5, #0xc]', 0, ()),
    (REV_ALL_ARM, '16d3', 0xbb85, 'bcc     0x0000bbb4', 0, ()),
    (REV_ALL_ARM, '0989', 0xbb7b, 'ldrh    r1, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '01fb0222', 0xbb7d, 'mla     r2, r1, r2, r2', 0, ()),
    #(REV_ALL_ARM, '03f0b7fd', 0xbbc5, 'bl      0x0000f736', 0, ()),
    (REV_ALL_ARM, '6ff00b00', 0xbbc9, 'mvn     r0, #0xb', 0, ()),
    (REV_ALL_ARM, '2f46', 0xbb91, 'mov     r7, r5', 0, ()),
    (REV_ALL_ARM, '0fcf', 0xbb99, 'ldm     r7!, {r0, r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, '04f17806', 0xbb9b, 'add     r6, r4, #0x78', 0, ()),
    (REV_ALL_ARM, '0fc6', 0xbb9f, 'stm     r6!, {r0, r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, '2a68', 0xbba3, 'ldr     r2, [r5]', 0, ()),
    (REV_ALL_ARM, 'e666', 0xbba9, 'str     r6, [r4, #0x6c]', 0, ()),
    (REV_ALL_ARM, '82b9', 0xbbab, 'cbnz    r2, 0x0000bbce', 0, ()),
    (REV_ALL_ARM, '07ca', 0xbbcf, 'ldm     r2, {r0, r1, r2}', 0, ()),
    (REV_ALL_ARM, '04f18c03', 0xbbd1, 'add     r3, r4, #0x8c', 0, ()),
    (REV_ALL_ARM, '83e80700', 0xbbd5, 'stm     r3, {r0, r1, r2}', 0, ()),
    (REV_ALL_ARM, 'a4f89860', 0xbbdb, 'strh    r6, [r4, #0x98]', 0, ()),
    #(REV_ALL_ARM, '05f054fe', 0xbbaf, 'bl      0x0000185a', 0, ()),
    (REV_ALL_ARM, '2ce0', 0xbbb3, 'b       0x0000bc0e', 0, ()),
    (REV_ALL_ARM, '94f87430', 0xbc0f, 'ldrb    r3, [r4, #0x74]', 0, ()),
    (REV_ALL_ARM, '44e80062', 0xbbeb, 'strex   r2, r6, [r4]', 0, ()),
    (REV_ALL_ARM, 'd4f88c20', 0xbbf7, 'ldr     r2, [r4, #0x8c]', 0, ()),
    (REV_ALL_ARM, '02f2e732', 0xbbff, 'addw    r2, r2, #0x3e7', 0, ()),
    (REV_ALL_ARM, 'b2fbf3f2', 0xbc07, 'udiv    r2, r2, r3', 0, ()),
    #(REV_ALL_ARM, '01f08bfe', 0xbc0b, 'bl      0x0000d924', 0, ()),
    (REV_ALL_ARM, '9be7', 0xbc27, 'b       0x0000bb60', 0, ()),
    (REV_ALL_ARM, '04f15000', 0xbc19, 'add     r0, r4, #0x50', 0, ()),
    #(REV_ALL_ARM, '01f08afb', 0xbc1d, 'bl      0x0000d334', 0, ()),
    (REV_ALL_ARM, 'e06e', 0xbc21, 'ldr     r0, [r4, #0x6c]', 0, ()),
    (REV_ALL_ARM, '9de7', 0xbc23, 'b       0x0000bb60', 0, ()),
    (REV_ALL_ARM, '9268', 0xbec1, 'ldr     r2, [r2, #8]', 0, ()),
    (REV_ALL_ARM, 'd468', 0xbec5, 'ldr     r4, [r2, #0xc]', 0, ()),
    (REV_ALL_ARM, 'ea65', 0xbec9, 'str     r2, [r5, #0x5c]', 0, ()),
    (REV_ALL_ARM, '2a66', 0xbecd, 'str     r2, [r5, #0x60]', 0, ()),
    (REV_ALL_ARM, '097a', 0xbecf, 'ldrb    r1, [r1, #8]', 0, ()),
    (REV_ALL_ARM, 'ab87', 0xbed1, 'strh    r3, [r5, #0x3c]', 0, ()),
    (REV_ALL_ARM, '6964', 0xbed5, 'str     r1, [r5, #0x44]', 0, ()),
    (REV_ALL_ARM, '43f40073', 0xbed9, 'orr     r3, r3, #0x200', 0, ()),
    (REV_ALL_ARM, 'a864', 0xbee1, 'str     r0, [r5, #0x48]', 0, ()),
    (REV_ALL_ARM, 'c5e91422', 0xbee3, 'strd    r2, r2, [r5, #0x50]', 0, ()),
    (REV_ALL_ARM, '2a64', 0xbee7, 'str     r2, [r5, #0x40]', 0, ()),
    (REV_ALL_ARM, '43f48073', 0xbeed, 'orr     r3, r3, #0x100', 0, ()),
    (REV_ALL_ARM, '4b07', 0xbefb, 'lsls    r3, r1, #0x1d', 0, ()),
    (REV_ALL_ARM, '2b6d', 0xbf43, 'ldr     r3, [r5, #0x50]', 0, ()),
    (REV_ALL_ARM, '0bb9', 0xbf45, 'cbnz    r3, 0x0000bf4a', 0, ()),
    #(REV_ALL_ARM, '05f094ff', 0xbf31, 'bl      0x00001e5c', 0, ()),
    (REV_ALL_ARM, 'c5e91433', 0xbf4d, 'strd    r3, r3, [r5, #0x50]', 0, ()),
    (REV_ALL_ARM, '6b6d', 0xbf47, 'ldr     r3, [r5, #0x54]', 0, ()),
    (REV_ALL_ARM, '6a64', 0xbf91, 'str     r2, [r5, #0x44]', 0, ()),
    (REV_ALL_ARM, '6a65', 0xbf9d, 'str     r2, [r5, #0x54]', 0, ()),
    #(REV_ALL_ARM, '05f03aff', 0xbfe5, 'bl      0x00001e5c', 0, ()),
    (REV_ALL_ARM, '6865', 0xbffb, 'str     r0, [r5, #0x54]', 0, ()),
    (REV_ALL_ARM, '926b', 0xc029, 'ldr     r2, [r2, #0x38]', 0, ()),
    (REV_ALL_ARM, 'c2f34202', 0xc02d, 'ubfx    r2, r2, #1, #3', 0, ()),
    (REV_ALL_ARM, 'b1fbf2f2', 0xc047, 'udiv    r2, r1, r2', 0, ()),
    (REV_ALL_ARM, '1043', 0xc04f, 'orrs    r0, r2', 0, ()),
    (REV_ALL_ARM, '186a', 0xc053, 'ldr     r0, [r3, #0x20]', 0, ()),
    (REV_ALL_ARM, '0243', 0xc05b, 'orrs    r2, r0', 0, ()),
    (REV_ALL_ARM, '1a62', 0xc05d, 'str     r2, [r3, #0x20]', 0, ()),
    (REV_ALL_ARM, 'b1fbf2f1', 0xc061, 'udiv    r1, r1, r2', 0, ()),
    (REV_ALL_ARM, '40f6fc72', 0xc065, 'movw    r2, #0xffc', 0, ()),
    (REV_ALL_ARM, '1142', 0xc069, 'tst     r1, r2', 0, ()),
    (REV_ALL_ARM, 'da69', 0xc06b, 'ldr     r2, [r3, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'da61', 0xc07b, 'str     r2, [r3, #0x1c]', 0, ()),
    (REV_ALL_ARM, '4ff49674', 0xc093, 'mov     r4, #0x12c', 0, ()),
    (REV_ALL_ARM, '6243', 0xc097, 'muls    r2, r4, r2', 0, ()),
    (REV_ALL_ARM, '4ff47a74', 0xc09d, 'mov     r4, #0x3e8', 0, ()),
    (REV_ALL_ARM, 'b2fbf4f2', 0xc0a1, 'udiv    r2, r2, r4', 0, ()),
    (REV_ALL_ARM, '84bf', 0xc0af, 'itt     hi', 0, ()),
    (REV_ALL_ARM, '41f40041', 0xc0bf, 'orr     r1, r1, #0x08000', 0, ()),
    (REV_ALL_ARM, '48f20101', 0xc0c3, 'movw    r1, #0x08001', 0, ()),
    (REV_ALL_ARM, 'd961', 0xc0cd, 'str     r1, [r3, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'd8f80c60', 0xc0ef, 'ldr     r6, [r8, #0xc]', 0, ()),
    #(REV_ALL_ARM, '00f0e5fa', 0xc0f7, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '08f10401', 0xc101, 'add     r1, r8, #4', 0, ()),
    (REV_ALL_ARM, '1c34', 0xc107, 'adds    r4, #0x1c', 0, ()),
    (REV_ALL_ARM, 'e761', 0xc109, 'str     r7, [r4, #0x1c]', 0, ()),
    #(REV_ALL_ARM, '01f010f9', 0xc111, 'bl      0x0000d334', 0, ()),
    #(REV_ALL_ARM, '01f0d4f8', 0xc131, 'bl      0x0000d2dc', 0, ()),
    #(REV_ALL_ARM, '00f0bcfa', 0xc149, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'd5f80880', 0xc14f, 'ldr     r8, [r5, #8]', 0, ()),
    (REV_ALL_ARM, '9f68', 0xc153, 'ldr     r7, [r3, #8]', 0, ()),
    #(REV_ALL_ARM, '01f0a0f8', 0xc161, 'bl      0x0000d2a4', 0, ()),
    (REV_ALL_ARM, '56f8043b', 0xc165, 'ldr     r3, [r6], #4', 0, ()),
    (REV_ALL_ARM, '08f11c00', 0xc171, 'add     r0, r8, #0x1c', 0, ()),
    #(REV_ALL_ARM, '01f096f8', 0xc175, 'bl      0x0000d2a4', 0, ()),
    (REV_ALL_ARM, '3b69', 0xc1a5, 'ldr     r3, [r7, #0x10]', 0, ()),
    (REV_ALL_ARM, '2fd0', 0xc1ab, 'beq     0x0000c20c', 0, ()),
    #(REV_ALL_ARM, '03f0adfa', 0xc197, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '6ff00404', 0xc19b, 'mvn     r4, #4', 0, ()),
    (REV_ALL_ARM, '23d8', 0xc1ad, 'bhi     0x0000c1f6', 0, ()),
    (REV_ALL_ARM, '41f01001', 0xc1d3, 'orr     r1, r1, #0x10', 0, ()),
    (REV_ALL_ARM, 'fff781ff', 0xc1d7, 'bl      0x0000c0dc', 0, ()),
    (REV_ALL_ARM, 'dfda', 0xc1dd, 'bge     0x0000c19e', 0, ()),
    (REV_ALL_ARM, '2dd0', 0xc1b3, 'beq     0x0000c210', 0, ()),
    #(REV_ALL_ARM, '03f081fa', 0xc1ef, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '2c46', 0xc1f3, 'mov     r4, r5', 0, ()),
    (REV_ALL_ARM, '02f5c312', 0xc1fd, 'add     r2, r2, #0x186000', 0, ()),
    (REV_ALL_ARM, '02f52062', 0xc201, 'add     r2, r2, #0xa00', 0, ()),
    (REV_ALL_ARM, '2cd0', 0xc1b9, 'beq     0x0000c214', 0, ()),
    #(REV_ALL_ARM, '03f093fa', 0xc1cb, 'bl      0x0000f6f4', 0, ()),
    (REV_ALL_ARM, '8668', 0xc247, 'ldr     r6, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '8ab3', 0xc24d, 'cbz     r2, 0x0000c2b2', 0, ()),
    (REV_ALL_ARM, '2ee0', 0xc2b7, 'b       0x0000c316', 0, ()),
    (REV_ALL_ARM, '2fd3', 0xc251, 'bcc     0x0000c2b2', 0, ()),
    (REV_ALL_ARM, '8c00', 0xc259, 'lsls    r4, r1, #2', 0, ()),
    (REV_ALL_ARM, 'cad1', 0xc323, 'bne     0x0000c2ba', 0, ()),
    (REV_ALL_ARM, 'b1f1804f', 0xc263, 'cmp     r1, #0x40000000', 0, ()),
    (REV_ALL_ARM, '84b1', 0xc2b9, 'cbz     r4, 0x0000c2dc', 0, ()),
    (REV_ALL_ARM, 'b2f5803f', 0xc2d7, 'cmp     r2, #0x10000', 0, ()),
    (REV_ALL_ARM, 'e7d8', 0xc2db, 'bhi     0x0000c2ac', 0, ()),
    (REV_ALL_ARM, 'f36b', 0xc2df, 'ldr     r3, [r6, #0x3c]', 0, ()),
    (REV_ALL_ARM, '3160', 0xc2e1, 'str     r1, [r6]', 0, ()),
    (REV_ALL_ARM, 'f260', 0xc2e7, 'str     r2, [r6, #0xc]', 0, ()),
    (REV_ALL_ARM, '3561', 0xc2e9, 'str     r5, [r6, #0x10]', 0, ()),
    (REV_ALL_ARM, 'b560', 0xc2eb, 'str     r5, [r6, #8]', 0, ()),
    (REV_ALL_ARM, '7561', 0xc2ed, 'str     r5, [r6, #0x14]', 0, ()),
    #(REV_ALL_ARM, '02f0bdff', 0xc2f1, 'bl      0x0000f26e', 0, ()),
    (REV_ALL_ARM, '6023', 0xc2f5, 'movs    r3, #0x60', 0, ()),
    (REV_ALL_ARM, 'cde90455', 0xc2fd, 'strd    r5, r5, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'cde90655', 0xc301, 'strd    r5, r5, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '0297', 0xc309, 'str     r7, [sp, #8]', 0, ()),
    #(REV_ALL_ARM, '02f0caff', 0xc30b, 'bl      0x0000f2a2', 0, ()),
    #(REV_ALL_ARM, '03f032f8', 0xc313, 'bl      0x0000f37a', 0, ()),
    (REV_ALL_ARM, 'cdd1', 0xc31d, 'bne     0x0000c2ba', 0, ()),
    (REV_ALL_ARM, '00f58060', 0xc277, 'add     r0, r0, #0x400', 0, ()),
    (REV_ALL_ARM, '31e0', 0xc2b1, 'b       0x0000c316', 0, ()),
    (REV_ALL_ARM, '00f50060', 0xc283, 'add     r0, r0, #0x0800', 0, ()),
    (REV_ALL_ARM, '00f57440', 0xc28f, 'add     r0, r0, #0xf400', 0, ()),
    (REV_ALL_ARM, '00f57050', 0xc297, 'add     r0, r0, #0x3c00', 0, ()),
    (REV_ALL_ARM, '3dd0', 0xc29d, 'beq     0x0000c31a', 0, ()),
    (REV_ALL_ARM, '39d0', 0xc2ab, 'beq     0x0000c320', 0, ()),
    #(REV_ALL_ARM, '00f0bff9', 0xc343, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '2864', 0xc349, 'str     r0, [r5, #0x40]', 0, ()),
    (REV_ALL_ARM, '0d29', 0xc361, 'cmp     r1, #0xd', 0, ()),
    (REV_ALL_ARM, 'b3f90010', 0xc367, 'ldrsh   r1, [r3]', 0, ()),
    (REV_ALL_ARM, '4ff6f670', 0xc36b, 'movw    r0, #0xfff6', 0, ()),
    (REV_ALL_ARM, '91fbf3f3', 0xc371, 'sdiv    r3, r1, r3', 0, ()),
    (REV_ALL_ARM, '13fb0013', 0xc377, 'smlabb  r3, r3, r0, r1', 0, ()),
    (REV_ALL_ARM, 'cdf804d0', 0xc3a7, 'str     sp, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '9b88', 0xc3ad, 'ldrh    r3, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '8df80c20', 0xc3b3, 'strb    r2, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '4268', 0xc3b7, 'ldr     r2, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '2029', 0xc39b, 'cmp     r1, #0x20', 0, ()),
    (REV_ALL_ARM, '3ad1', 0xc39d, 'bne     0x0000c414', 0, ()),
    (REV_ALL_ARM, '9df80020', 0xc3e1, 'ldrb    r2, [sp]', 0, ()),
    (REV_ALL_ARM, '1306', 0xc3e5, 'lsls    r3, r2, #0x18', 0, ()),
    (REV_ALL_ARM, 'd2b2', 0xc3ed, 'uxtb    r2, r2', 0, ()),
    (REV_ALL_ARM, '42ead312', 0xc3f9, 'orr     r2, r2, r3, lsr #7', 0, ()),
    (REV_ALL_ARM, 'c3f38403', 0xc3fd, 'ubfx    r3, r3, #2, #5', 0, ()),
    (REV_ALL_ARM, '4ff44861', 0xc403, 'mov     r1, #0xc80', 0, ()),
    (REV_ALL_ARM, 'b3fbf1f3', 0xc407, 'udiv    r3, r3, r1', 0, ()),
    (REV_ALL_ARM, '2380', 0xc411, 'strh    r3, [r4]', 0, ()),
    (REV_ALL_ARM, '5a69', 0xc42f, 'ldr     r2, [r3, #0x14]', 0, ()),
    (REV_ALL_ARM, '42f04002', 0xc467, 'orr     r2, r2, #0x40', 0, ()),
    (REV_ALL_ARM, 'a2f54c42', 0xc43d, 'sub     r2, r2, #0xcc00', 0, ()),
    (REV_ALL_ARM, '02f54442', 0xc45d, 'add     r2, r2, #0xc400', 0, ()),
    (REV_ALL_ARM, '42f48072', 0xc46f, 'orr     r2, r2, #0x100', 0, ()),
    (REV_ALL_ARM, '0979', 0xc4db, 'ldrb    r1, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '49d0', 0xc4e1, 'beq     0x0000c576', 0, ()),
    (REV_ALL_ARM, '4ff4c063', 0xc577, 'mov     r3, #0x600', 0, ()),
    (REV_ALL_ARM, 'b7e7', 0xc57b, 'b       0x0000c4ec', 0, ()),
    (REV_ALL_ARM, '4ff48063', 0xc4e7, 'mov     r3, #0x400', 0, ()),
    (REV_ALL_ARM, '6a79', 0xc4ed, 'ldrb    r2, [r5, #5]', 0, ()),
    (REV_ALL_ARM, '95f806c0', 0xc4ef, 'ldrb    r12, [r5, #6]', 0, ()),
    (REV_ALL_ARM, '98bf', 0xc4f5, 'it      ls', 0, ()),
    (REV_ALL_ARM, 'a1f10301', 0xc4f9, 'sub     r1, r1, #3', 0, ()),
    (REV_ALL_ARM, '37f81270', 0xc4ff, 'ldrh    r7, [r7, r2, lsl #1]', 0, ()),
    (REV_ALL_ARM, '4ff40057', 0xc503, 'mov     r7, #0x2000', 0, ()),
    (REV_ALL_ARM, '38d9', 0xc509, 'bls     0x0000c57c', 0, ()),
    (REV_ALL_ARM, '12f0fd0f', 0xc50b, 'tst     r2, #0xfd', 0, ()),
    (REV_ALL_ARM, '35d0', 0xc50f, 'beq     0x0000c57c', 0, ()),
    (REV_ALL_ARM, 'bcf1020f', 0xc511, 'cmp     r12, #2', 0, ()),
    (REV_ALL_ARM, '32d9', 0xc515, 'bls     0x0000c57c', 0, ()),
    (REV_ALL_ARM, 'ea79', 0xc517, 'ldrb    r2, [r5, #7]', 0, ()),
    (REV_ALL_ARM, '2fd1', 0xc51b, 'bne     0x0000c57c', 0, ()),
    (REV_ALL_ARM, '02f4c062', 0xc529, 'and     r2, r2, #0x600', 0, ()),
    (REV_ALL_ARM, '03f44053', 0xc53d, 'and     r3, r3, #0x3000', 0, ()),
    (REV_ALL_ARM, '3b43', 0xc54b, 'orrs    r3, r7', 0, ()),
    (REV_ALL_ARM, 'db04', 0xc551, 'lsls    r3, r3, #0x13', 0, ()),
    (REV_ALL_ARM, '43f40053', 0xc56d, 'orr     r3, r3, #0x2000', 0, ()),
    #(REV_ALL_ARM, '05f05fff', 0xc563, 'bl      0x00002424', 0, ()),
    (REV_ALL_ARM, 'd0f80880', 0xc591, 'ldr     r8, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '56f80c4b', 0xc59b, 'ldr     r4, [r6], #0xc', 0, ()),
    #(REV_ALL_ARM, '00f091f8', 0xc59f, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'c8f80400', 0xc5a5, 'str     r0, [r8, #4]', 0, ()),
    (REV_ALL_ARM, 'f0b9', 0xc5b1, 'cbnz    r0, 0x0000c5f0', 0, ()),
    (REV_ALL_ARM, 'd8f80010', 0xc5b5, 'ldr     r1, [r8]', 0, ()),
    (REV_ALL_ARM, '43f00c03', 0xc5c1, 'orr     r3, r3, #0xc', 0, ()),
    #(REV_ALL_ARM, '05f024ff', 0xc5d9, 'bl      0x00002424', 0, ()),
    (REV_ALL_ARM, 'bb68', 0xc5e7, 'ldr     r3, [r7, #8]', 0, ()),
    (REV_ALL_ARM, '3868', 0xc603, 'ldr     r0, [r7]', 0, ()),
    #(REV_ALL_ARM, '05f078ff', 0xc609, 'bl      0x000024fc', 0, ()),
    (REV_ALL_ARM, '0426', 0xc62d, 'movs    r6, #4', 0, ()),
    (REV_ALL_ARM, '6ff02002', 0xc611, 'mvn     r2, #0x20', 0, ()),
    (REV_ALL_ARM, '6ff04002', 0xc617, 'mvn     r2, #0x40', 0, ()),
    (REV_ALL_ARM, '42f00402', 0xc627, 'orr     r2, r2, #4', 0, ()),
    (REV_ALL_ARM, 'd7f80080', 0xc635, 'ldr     r8, [r7]', 0, ()),
    (REV_ALL_ARM, '29e0', 0xc633, 'b       0x0000c688', 0, ()),
    #(REV_ALL_ARM, '05f043ff', 0xc673, 'bl      0x000024fc', 0, ()),
    #(REV_ALL_ARM, '05f059ff', 0xc647, 'bl      0x000024fc', 0, ()),
    (REV_ALL_ARM, 'b9f10109', 0xc679, 'subs    r9, r9, #1', 0, ()),
    (REV_ALL_ARM, 'aa19', 0xc65b, 'adds    r2, r5, r6', 0, ()),
    (REV_ALL_ARM, '6ff03b00', 0xc68f, 'mvn     r0, #0x3b', 0, ()),
    #(REV_ALL_ARM, '00f063fd', 0xc67f, 'bl      0x0000d148', 0, ()),
    (REV_ALL_ARM, '13f8010b', 0xc65f, 'ldrb    r0, [r3], #1', 0, ()),
    (REV_ALL_ARM, '01f8010b', 0xc663, 'strb    r0, [r1], #1', 0, ()),
    (REV_ALL_ARM, 'a41b', 0xc66b, 'subs    r4, r4, r6', 0, ()),
    (REV_ALL_ARM, 'd8f80430', 0xc63d, 'ldr     r3, [r8, #4]', 0, ()),
    (REV_ALL_ARM, '15d5', 0xc645, 'bpl     0x0000c672', 0, ()),
    (REV_ALL_ARM, '0cb9', 0xc62f, 'cbnz    r4, 0x0000c634', 0, ()),
    (REV_ALL_ARM, '9d68', 0xc6a1, 'ldr     r5, [r3, #8]', 0, ()),
    #(REV_ALL_ARM, '00f00ff8', 0xc6a3, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '12e0', 0xc6d9, 'b       0x0000c700', 0, ()),
    #(REV_ALL_ARM, '04f0b0fb', 0xc6f9, 'bl      0x00010e5c', 0, ()),
    (REV_ALL_ARM, '58f82040', 0xc717, 'ldr     r4, [r8, r0, lsl #2]', 0, ()),
    (REV_ALL_ARM, '3e68', 0xc72f, 'ldr     r6, [r7]', 0, ()),
    (REV_ALL_ARM, '721c', 0xc735, 'adds    r2, r6, #1', 0, ()),
    (REV_ALL_ARM, 'd9f80000', 0xc75b, 'ldr     r0, [r9]', 0, ()),
    (REV_ALL_ARM, '2b2b', 0xc761, 'cmp     r3, #0x2b', 0, ()),
    (REV_ALL_ARM, 'd9f80430', 0xc74d, 'ldr     r3, [r9, #4]', 0, ()),
    #(REV_ALL_ARM, '04f02cfb', 0xc767, 'bl      0x00000dc2', 0, ()),
    (REV_ALL_ARM, 'b042', 0xc76b, 'cmp     r0, r6', 0, ()),
    #(REV_ALL_ARM, '01f0e3fa', 0xc741, 'bl      0x0000dd0a', 0, ()),
    (REV_ALL_ARM, '3860', 0xc745, 'str     r0, [r7]', 0, ()),
    (REV_ALL_ARM, '6b1c', 0xc721, 'adds    r3, r5, #1', 0, ()),
    (REV_ALL_ARM, '58f82330', 0xc723, 'ldr     r3, [r8, r3, lsl #2]', 0, ()),
    (REV_ALL_ARM, '01d8', 0xc729, 'bhi     0x0000c72e', 0, ()),
    (REV_ALL_ARM, '121a', 0xc789, 'subs    r2, r2, r0', 0, ()),
    #(REV_ALL_ARM, '04f0d8fb', 0xc78b, 'bl      0x00000f3e', 0, ()),
    #(REV_ALL_ARM, '04f0d0bb', 0xc79b, 'b       0x00000f3e', 0, ()),
    #(REV_ALL_ARM, '04f095fb', 0xc7bb, 'bl      0x00000ee8', 0, ()),
    #(REV_ALL_ARM, '04f090fb', 0xc7c5, 'bl      0x00000ee8', 0, ()),
    #(REV_ALL_ARM, '04f088bb', 0xc7d5, 'b       0x00000ee8', 0, ()),
    (REV_ALL_ARM, '80b5', 0xc82d, 'push    {r7, lr}', 0, ()),
    (REV_ALL_ARM, 'a6b0', 0xc82f, 'sub     sp, #0x98', 0, ()),
    (REV_ALL_ARM, 'faf7f0fa', 0xc831, 'bl      0x00006e14', 0, ()),
    (REV_ALL_ARM, '83f30888', 0xc837, 'msr     msp, r3', 0, ()),
    (REV_ALL_ARM, '42f40072', 0xc843, 'orr     r2, r2, #0x200', 0, ()),
    (REV_ALL_ARM, 'f022', 0xc84b, 'movs    r2, #0xf0', 0, ()),
    (REV_ALL_ARM, '83f82220', 0xc84d, 'strb    r2, [r3, #0x22]', 0, ()),
    (REV_ALL_ARM, 'dc77', 0xc851, 'strb    r4, [r3, #0x1f]', 0, ()),
    (REV_ALL_ARM, '1c76', 0xc853, 'strb    r4, [r3, #0x18]', 0, ()),
    (REV_ALL_ARM, '5c76', 0xc855, 'strb    r4, [r3, #0x19]', 0, ()),
    (REV_ALL_ARM, '9c76', 0xc857, 'strb    r4, [r3, #0x1a]', 0, ()),
    (REV_ALL_ARM, '5a6a', 0xc859, 'ldr     r2, [r3, #0x24]', 0, ()),
    (REV_ALL_ARM, '42f4e022', 0xc85b, 'orr     r2, r2, #0x70000', 0, ()),
    (REV_ALL_ARM, '5a62', 0xc85f, 'str     r2, [r3, #0x24]', 0, ()),
    (REV_ALL_ARM, 'fdf78cf8', 0xc861, 'bl      0x0000997c', 0, ()),
    (REV_ALL_ARM, 'fdf7f8f8', 0xc865, 'bl      0x00009a58', 0, ()),
    (REV_ALL_ARM, '06ab', 0xc869, 'add     r3, sp, #0x18', 0, ()),
    #(REV_ALL_ARM, '04f065fb', 0xc871, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, 'b060', 0xc877, 'str     r0, [r6, #8]', 0, ()),
    (REV_ALL_ARM, '8df82570', 0xc87b, 'strb    r7, [sp, #0x25]', 0, ()),
    (REV_ALL_ARM, 'fff745ff', 0xc87f, 'bl      0x0000c70c', 0, ()),
    (REV_ALL_ARM, 'fff742ff', 0xc885, 'bl      0x0000c70c', 0, ()),
    #(REV_ALL_ARM, '00f052fc', 0xc889, 'bl      0x0000d130', 0, ()),
    (REV_ALL_ARM, '3562', 0xc891, 'str     r5, [r6, #0x20]', 0, ()),
    (REV_ALL_ARM, 'cde90473', 0xc893, 'strd    r7, r3, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '4ff40062', 0xc897, 'mov     r2, #0x0800', 0, ()),
    (REV_ALL_ARM, 'cde90244', 0xc89d, 'strd    r4, r4, [sp, #8]', 0, ()),
    #(REV_ALL_ARM, '00f0effd', 0xc8a7, 'bl      0x0000d488', 0, ()),
    (REV_ALL_ARM, '6b7b', 0xc8ab, 'ldrb    r3, [r5, #0xd]', 0, ()),
    (REV_ALL_ARM, '13f01b0f', 0xc8b1, 'tst     r3, #0x1b', 0, ()),
    (REV_ALL_ARM, '6a73', 0xc8b5, 'strb    r2, [r5, #0xd]', 0, ()),
    (REV_ALL_ARM, '0f23', 0xc8cb, 'movs    r3, #0xf', 0, ()),
    (REV_ALL_ARM, 'cde90332', 0xc8cd, 'strd    r3, r2, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '4ff4a072', 0xc8d7, 'mov     r2, #0x140', 0, ()),
    #(REV_ALL_ARM, '00f0d1fd', 0xc8e3, 'bl      0x0000d488', 0, ()),
    (REV_ALL_ARM, 'f460', 0xc8e9, 'str     r4, [r6, #0xc]', 0, ()),
    (REV_ALL_ARM, 'c6e90633', 0xc8f3, 'strd    r3, r3, [r6, #0x18]', 0, ()),
    (REV_ALL_ARM, 'fdf79bf9', 0xc8f7, 'bl      0x00009c30', 0, ()),
    #(REV_ALL_ARM, '04f058fa', 0xc8ff, 'bl      0x00000db2', 0, ()),
    (REV_ALL_ARM, '82f30988', 0xc909, 'msr     psp, r2', 0, ()),
    (REV_ALL_ARM, '63b6', 0xc90d, 'cpsie   IF', 0, ()),
    #(REV_ALL_ARM, '02f023fa', 0xc921, 'bl      0x0000ed6a', 0, ()),
    (REV_ALL_ARM, 'ab69', 0xc8b9, 'ldr     r3, [r5, #0x18]', 0, ()),
    #(REV_ALL_ARM, '00f0b5fa', 0xc8bf, 'bl      0x0000ce2c', 0, ()),
    (REV_ALL_ARM, '9e68', 0xc96d, 'ldr     r6, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '5d61', 0xc96f, 'str     r5, [r3, #0x14]', 0, ()),
    (REV_ALL_ARM, '5f69', 0xc999, 'ldr     r7, [r3, #0x14]', 0, ()),
    (REV_ALL_ARM, '1760', 0xc99b, 'str     r7, [r2]', 0, ()),
    (REV_ALL_ARM, 'df68', 0xc99d, 'ldr     r7, [r3, #0xc]', 0, ()),
    (REV_ALL_ARM, '3a44', 0xc9a3, 'add     r2, r7', 0, ()),
    (REV_ALL_ARM, '4ff01001', 0xc977, 'mov     r1, #0x10', 0, ()),
    (REV_ALL_ARM, 'eff31182', 0xc97b, 'mrs     r2, basepri', 0, ()),
    (REV_ALL_ARM, '82f31188', 0xc98d, 'msr     basepri, r2', 0, ()),
    (REV_ALL_ARM, 'b142', 0xc973, 'cmp     r1, r6', 0, ()),
    (REV_ALL_ARM, '01d3', 0xc965, 'bcc     0x0000c96a', 0, ()),
    (REV_ALL_ARM, 'c0e90232', 0xc9b9, 'strd    r3, r2, [r0, #8]', 0, ()),
    (REV_ALL_ARM, 'c0e90544', 0xc9bd, 'strd    r4, r4, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, '4569', 0xc9ed, 'ldr     r5, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, '0d60', 0xc9ef, 'str     r5, [r1]', 0, ()),
    (REV_ALL_ARM, 'c0e90000', 0xc9c7, 'strd    r0, r0, [r0]', 0, ()),
    (REV_ALL_ARM, 'c161', 0xc9df, 'str     r1, [r0, #0x1c]', 0, ()),
    (REV_ALL_ARM, '4ff01002', 0xca03, 'mov     r2, #0x10', 0, ()),
    (REV_ALL_ARM, '5ab1', 0xca15, 'cbz     r2, 0x0000ca2e', 0, ()),
    #(REV_ALL_ARM, '00f01cfb', 0xca3d, 'bl      0x0000d078', 0, ()),
    #(REV_ALL_ARM, '05f0d2fe', 0xca6b, 'bl      0x00002812', 0, ()),
    (REV_ALL_ARM, '6269', 0xca95, 'ldr     r2, [r4, #0x14]', 0, ()),
    (REV_ALL_ARM, '4261', 0xca73, 'str     r2, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, '427b', 0xca75, 'ldrb    r2, [r0, #0xd]', 0, ()),
    (REV_ALL_ARM, 'd206', 0xca79, 'lsls    r2, r2, #0x1b', 0, ()),
    (REV_ALL_ARM, 'c167', 0xca7b, 'str     r1, [r0, #0x7c]', 0, ()),
    #(REV_ALL_ARM, '05f046be', 0xca8f, 'b       0x0000271e', 0, ()),
    #(REV_ALL_ARM, '00f0d3f9', 0xca83, 'bl      0x0000ce2c', 0, ()),
    (REV_ALL_ARM, '4ff01004', 0xcac1, 'mov     r4, #0x10', 0, ()),
    (REV_ALL_ARM, 'eff31180', 0xcac5, 'mrs     r0, basepri', 0, ()),
    (REV_ALL_ARM, '5c61', 0xcad3, 'str     r4, [r3, #0x14]', 0, ()),
    (REV_ALL_ARM, '1833', 0xcadf, 'adds    r3, #0x18', 0, ()),
    (REV_ALL_ARM, 'c0e90233', 0xcaf3, 'strd    r3, r3, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '9968', 0xcb27, 'ldr     r1, [r3, #8]', 0, ()),
    (REV_ALL_ARM, 'ca7b', 0xcb29, 'ldrb    r2, [r1, #0xf]', 0, ()),
    (REV_ALL_ARM, 'ca73', 0xcb2f, 'strb    r2, [r1, #0xf]', 0, ()),
    (REV_ALL_ARM, 'c268', 0xcb31, 'ldr     r2, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '91f90e10', 0xcb4b, 'ldrsb   r1, [r1, #0xe]', 0, ()),
    (REV_ALL_ARM, '9db9', 0xcb3d, 'cbnz    r5, 0x0000cb66', 0, ()),
    #(REV_ALL_ARM, '00f04cf9', 0xcb59, 'bl      0x0000cdf4', 0, ()),
    (REV_ALL_ARM, '90f90e30', 0xcb6b, 'ldrsb   r3, [r0, #0xe]', 0, ()),
    (REV_ALL_ARM, '01dd', 0xcb91, 'ble     0x0000cb96', 0, ()),
    #(REV_ALL_ARM, '00f059f9', 0xcb3f, 'bl      0x0000cdf4', 0, ()),
    (REV_ALL_ARM, '6ff00f05', 0xcb43, 'mvn     r5, #0xf', 0, ()),
    #(REV_ALL_ARM, '00f06bfa', 0xcb9f, 'bl      0x0000d078', 0, ()),
    #(REV_ALL_ARM, '05f0bbfc', 0xcb93, 'bl      0x0000250c', 0, ()),
    #(REV_ALL_ARM, '00f025f9', 0xcba7, 'bl      0x0000cdf4', 0, ()),
    (REV_ALL_ARM, 'd8e7', 0xcbab, 'b       0x0000cb5e', 0, ()),
    #(REV_ALL_ARM, '05f099fc', 0xcbd7, 'bl      0x0000250c', 0, ()),
    #(REV_ALL_ARM, '00f007f9', 0xcbe3, 'bl      0x0000cdf4', 0, ()),
    (REV_ALL_ARM, '6ff00a05', 0xcbe7, 'mvn     r5, #0xa', 0, ()),
    (REV_ALL_ARM, '93f90e30', 0xcbb7, 'ldrsb   r3, [r3, #0xe]', 0, ()),
    (REV_ALL_ARM, 'd37b', 0xcbf9, 'ldrb    r3, [r2, #0xf]', 0, ()),
    #(REV_ALL_ARM, '05f070fc', 0xcc29, 'bl      0x0000250c', 0, ()),
    #(REV_ALL_ARM, '05f0f0fd', 0xcc2f, 'bl      0x00002812', 0, ()),
    (REV_ALL_ARM, '437b', 0xcc39, 'ldrb    r3, [r0, #0xd]', 0, ()),
    #(REV_ALL_ARM, '00f0f0b8', 0xcc11, 'b       0x0000cdf4', 0, ()),
    (REV_ALL_ARM, 'eb67', 0xcc51, 'str     r3, [r5, #0x7c]', 0, ()),
    (REV_ALL_ARM, '95f90e30', 0xcc53, 'ldrsb   r3, [r5, #0xe]', 0, ()),
    #(REV_ALL_ARM, '00f0f3f8', 0xcc43, 'bl      0x0000ce2c', 0, ()),
    (REV_ALL_ARM, '1c61', 0xcc8f, 'str     r4, [r3, #0x10]', 0, ()),
    (REV_ALL_ARM, '1433', 0xcc9b, 'adds    r3, #0x14', 0, ()),
    (REV_ALL_ARM, 'c0e90033', 0xccaf, 'strd    r3, r3, [r0]', 0, ()),
    (REV_ALL_ARM, '0d28', 0xcce5, 'cmp     r0, #0xd', 0, ()),
    (REV_ALL_ARM, '80f00100', 0xccf7, 'eor     r0, r0, #1', 0, ()),
    (REV_ALL_ARM, '80f40060', 0xccef, 'eor     r0, r0, #0x0800', 0, ()),
    (REV_ALL_ARM, 'c0f3c020', 0xccf3, 'ubfx    r0, r0, #0xb, #1', 0, ()),
    (REV_ALL_ARM, 'fcf74ffc', 0xcd07, 'bl      0x000095a8', 0, ()),
    #(REV_ALL_ARM, '05f091be', 0xcd1d, 'b       0x00002a42', 0, ()),
    (REV_ALL_ARM, 'fff7dcff', 0xcd49, 'bl      0x0000cd04', 0, ()),
    (REV_ALL_ARM, '03f12402', 0xcd8f, 'add     r2, r3, #0x24', 0, ()),
    (REV_ALL_ARM, 'd1e90032', 0xcda3, 'ldrd    r3, r2, [r1]', 0, ()),
    (REV_ALL_ARM, 'c1e90033', 0xcdad, 'strd    r3, r3, [r1]', 0, ()),
    (REV_ALL_ARM, '4b7b', 0xcd9d, 'ldrb    r3, [r1, #0xd]', 0, ()),
    (REV_ALL_ARM, '05f12400', 0xcdbf, 'add     r0, r5, #0x24', 0, ()),
    #(REV_ALL_ARM, '05f0f0fc', 0xcdc3, 'bl      0x000027a6', 0, ()),
    (REV_ALL_ARM, 'ec68', 0xcdcb, 'ldr     r4, [r5, #0xc]', 0, ()),
    (REV_ALL_ARM, '5a7b', 0xcdd1, 'ldrb    r2, [r3, #0xd]', 0, ()),
    (REV_ALL_ARM, '2c62', 0xcded, 'str     r4, [r5, #0x20]', 0, ()),
    (REV_ALL_ARM, 'da89', 0xcddb, 'ldrh    r2, [r3, #0xe]', 0, ()),
    (REV_ALL_ARM, '7f2a', 0xcddd, 'cmp     r2, #0x7f', 0, ()),
    (REV_ALL_ARM, '2b62', 0xcde1, 'str     r3, [r5, #0x20]', 0, ()),
    (REV_ALL_ARM, 'fff7d1ff', 0xce13, 'bl      0x0000cdb8', 0, ()),
    #(REV_ALL_ARM, '05f099bc', 0xce23, 'b       0x00002758', 0, ()),
    (REV_ALL_ARM, '51f8243f', 0xce43, 'ldr     r3, [r1, #0x24]!', 0, ()),
    (REV_ALL_ARM, '1dd0', 0xce49, 'beq     0x0000ce86', 0, ()),
    (REV_ALL_ARM, '0160', 0xce8d, 'str     r1, [r0]', 0, ()),
    (REV_ALL_ARM, '9062', 0xce91, 'str     r0, [r2, #0x28]', 0, ()),
    (REV_ALL_ARM, '4373', 0xce6b, 'strb    r3, [r0, #0xd]', 0, ()),
    (REV_ALL_ARM, 'fff7a3ff', 0xce6f, 'bl      0x0000cdb8', 0, ()),
    (REV_ALL_ARM, '956a', 0xce4d, 'ldr     r5, [r2, #0x28]', 0, ()),
    (REV_ALL_ARM, '90f90e60', 0xce4f, 'ldrsb   r6, [r0, #0xe]', 0, ()),
    (REV_ALL_ARM, 'c0e90032', 0xce5d, 'strd    r3, r2, [r0]', 0, ()),
    (REV_ALL_ARM, '93f90e70', 0xce53, 'ldrsb   r7, [r3, #0xe]', 0, ()),
    (REV_ALL_ARM, 'b742', 0xce57, 'cmp     r7, r6', 0, ()),
    (REV_ALL_ARM, '10dd', 0xce59, 'ble     0x0000ce7c', 0, ()),
    (REV_ALL_ARM, '04f12400', 0xceaf, 'add     r0, r4, #0x24', 0, ()),
    (REV_ALL_ARM, 'fff76bff', 0xceb3, 'bl      0x0000cd8c', 0, ()),
    (REV_ALL_ARM, '636a', 0xceb7, 'ldr     r3, [r4, #0x24]', 0, ()),
    (REV_ALL_ARM, '20d0', 0xcebb, 'beq     0x0000cefe', 0, ()),
    (REV_ALL_ARM, 'a162', 0xcf09, 'str     r1, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, 'fbb1', 0xcebd, 'cbz     r3, 0x0000cefe', 0, ()),
    (REV_ALL_ARM, '4b73', 0xcedf, 'strb    r3, [r1, #0xd]', 0, ()),
    (REV_ALL_ARM, '431a', 0xcee1, 'subs    r3, r0, r1', 0, ()),
    (REV_ALL_ARM, 'fff767ff', 0xcee7, 'bl      0x0000cdb8', 0, ()),
    (REV_ALL_ARM, 'a26a', 0xcebf, 'ldr     r2, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, '91f90e60', 0xcec1, 'ldrsb   r6, [r1, #0xe]', 0, ()),
    (REV_ALL_ARM, 'c1e90032', 0xcecf, 'strd    r3, r2, [r1]', 0, ()),
    (REV_ALL_ARM, '13dd', 0xcecb, 'ble     0x0000cef4', 0, ()),
    (REV_ALL_ARM, '9868', 0xcf1b, 'ldr     r0, [r3, #8]', 0, ()),
    (REV_ALL_ARM, '1460', 0xcf2b, 'str     r4, [r2]', 0, ()),
    (REV_ALL_ARM, 'bab1', 0xcf31, 'cbz     r2, 0x0000cf62', 0, ()),
    (REV_ALL_ARM, 'c289', 0xcf33, 'ldrh    r2, [r0, #0xe]', 0, ()),
    (REV_ALL_ARM, '90f90e40', 0xcf3b, 'ldrsb   r4, [r0, #0xe]', 0, ()),
    (REV_ALL_ARM, '0edb', 0xcf43, 'blt     0x0000cf62', 0, ()),
    (REV_ALL_ARM, '42b9', 0xcf4f, 'cbnz    r2, 0x0000cf62', 0, ()),
    (REV_ALL_ARM, '02dc', 0xcf55, 'bgt     0x0000cf5c', 0, ()),
    (REV_ALL_ARM, '06d5', 0xcf95, 'bpl     0x0000cfa4', 0, ()),
    (REV_ALL_ARM, 'fff703ff', 0xcfaf, 'bl      0x0000cdb8', 0, ()),
    (REV_ALL_ARM, 'fff7f8fe', 0xcf99, 'bl      0x0000cd8c', 0, ()),
    (REV_ALL_ARM, 'fff7d6ff', 0xcfcd, 'bl      0x0000cf7c', 0, ()),
    (REV_ALL_ARM, '7db1', 0xcfd9, 'cbz     r5, 0x0000cffa', 0, ()),
    (REV_ALL_ARM, 'a560', 0xcfdd, 'str     r5, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '04f11800', 0xd001, 'add     r0, r4, #0x18', 0, ()),
    #(REV_ALL_ARM, '00f07bbb', 0xd00b, 'b       0x0000d704', 0, ()),
    (REV_ALL_ARM, '6c60', 0xd025, 'str     r4, [r5, #4]', 0, ()),
    (REV_ALL_ARM, 'd3b1', 0xcfe3, 'cbz     r3, 0x0000d01a', 0, ()),
    (REV_ALL_ARM, '94f90e20', 0xcfe5, 'ldrsb   r2, [r4, #0xe]', 0, ()),
    (REV_ALL_ARM, 'c4e90032', 0xcff3, 'strd    r3, r2, [r4]', 0, ()),
    (REV_ALL_ARM, '93f90e10', 0xcfe9, 'ldrsb   r1, [r3, #0xe]', 0, ()),
    (REV_ALL_ARM, 'fcf700fb', 0xd045, 'bl      0x00009648', 0, ()),
    (REV_ALL_ARM, 'eff31183', 0xd04d, 'mrs     r3, basepri', 0, ()),
    (REV_ALL_ARM, '9068', 0xd081, 'ldr     r0, [r2, #8]', 0, ()),
    (REV_ALL_ARM, 'fff79cff', 0xd089, 'bl      0x0000cfc4', 0, ()),
    (REV_ALL_ARM, 'fcf7d9ba', 0xd093, 'b       0x00009648', 0, ()),
    (REV_ALL_ARM, 'eff31188', 0xd0ab, 'mrs     r8, basepri', 0, ()),
    #(REV_ALL_ARM, '05f0f7fa', 0xd0b7, 'bl      0x000026a8', 0, ()),
    (REV_ALL_ARM, '4db2', 0xd0bb, 'sxtb    r5, r1', 0, ()),
    (REV_ALL_ARM, '06f12400', 0xd0c7, 'add     r0, r6, #0x24', 0, ()),
    (REV_ALL_ARM, 'fff75ffe', 0xd0cb, 'bl      0x0000cd8c', 0, ()),
    (REV_ALL_ARM, '736a', 0xd0cf, 'ldr     r3, [r6, #0x24]', 0, ()),
    (REV_ALL_ARM, '88f31188', 0xd0f3, 'msr     basepri, r8', 0, ()),
    (REV_ALL_ARM, 'afb1', 0xd0fb, 'cbz     r7, 0x0000d128', 0, ()),
    (REV_ALL_ARM, 'b36a', 0xd117, 'ldr     r3, [r6, #0x28]', 0, ()),
    (REV_ALL_ARM, 'b462', 0xd121, 'str     r4, [r6, #0x28]', 0, ()),
    (REV_ALL_ARM, 'f3b1', 0xd0d7, 'cbz     r3, 0x0000d116', 0, ()),
    (REV_ALL_ARM, 'db7b', 0xd101, 'ldrb    r3, [r3, #0xf]', 0, ()),
    (REV_ALL_ARM, 'fff763fe', 0xd0ef, 'bl      0x0000cdb8', 0, ()),
    (REV_ALL_ARM, 'b26a', 0xd0d9, 'ldr     r2, [r6, #0x28]', 0, ()),
    #(REV_ALL_ARM, '05f026bb', 0xd109, 'b       0x00002758', 0, ()),
    (REV_ALL_ARM, 'a942', 0xd0df, 'cmp     r1, r5', 0, ()),
    (REV_ALL_ARM, '14dd', 0xd0e1, 'ble     0x0000d10c', 0, ()),
    (REV_ALL_ARM, 'c3e90922', 0xd139, 'strd    r2, r2, [r3, #0x24]', 0, ()),
    (REV_ALL_ARM, 'fff7f3bd', 0xd13f, 'b       0x0000cd28', 0, ()),
    (REV_ALL_ARM, 'fcf748ba', 0xd1b5, 'b       0x00009648', 0, ()),
    (REV_ALL_ARM, 'fff70efe', 0xd16d, 'bl      0x0000cd8c', 0, ()),
    (REV_ALL_ARM, 'a262', 0xd1cd, 'str     r2, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, '1bb3', 0xd179, 'cbz     r3, 0x0000d1c2', 0, ()),
    (REV_ALL_ARM, 'fff710fe', 0xd195, 'bl      0x0000cdb8', 0, ()),
    (REV_ALL_ARM, 'a16a', 0xd17b, 'ldr     r1, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, '92f90e60', 0xd17d, 'ldrsb   r6, [r2, #0xe]', 0, ()),
    (REV_ALL_ARM, 'c2e90031', 0xd18b, 'strd    r3, r1, [r2]', 0, ()),
    (REV_ALL_ARM, '17dd', 0xd187, 'ble     0x0000d1b8', 0, ()),
    #(REV_ALL_ARM, '05f046fc', 0xd1e7, 'bl      0x00002a76', 0, ()),
    (REV_ALL_ARM, '2518', 0xd1ed, 'adds    r5, r4, r0', 0, ()),
    (REV_ALL_ARM, 'eff31187', 0xd1f3, 'mrs     r7, basepri', 0, ()),
    (REV_ALL_ARM, 'b068', 0xd203, 'ldr     r0, [r6, #8]', 0, ()),
    (REV_ALL_ARM, 'fff7b9fe', 0xd207, 'bl      0x0000cf7c', 0, ()),
    #(REV_ALL_ARM, '00f077fa', 0xd213, 'bl      0x0000d704', 0, ()),
    (REV_ALL_ARM, 'b268', 0xd217, 'ldr     r2, [r6, #8]', 0, ()),
    (REV_ALL_ARM, '537b', 0xd219, 'ldrb    r3, [r2, #0xd]', 0, ()),
    (REV_ALL_ARM, '5373', 0xd21f, 'strb    r3, [r2, #0xd]', 0, ()),
    (REV_ALL_ARM, 'fcf711fa', 0xd223, 'bl      0x00009648', 0, ()),
    #(REV_ALL_ARM, '05f026fc', 0xd227, 'bl      0x00002a76', 0, ()),
    (REV_ALL_ARM, '0add', 0xd22f, 'ble     0x0000d246', 0, ()),
    (REV_ALL_ARM, 'fff7b3ff', 0xd1df, 'bl      0x0000d148', 0, ()),
    (REV_ALL_ARM, '80fb0101', 0xd23b, 'smull   r0, r1, r0, r1', 0, ()),
    (REV_ALL_ARM, 'f3f791fb', 0xd23f, 'bl      0x00000964', 0, ()),
    (REV_ALL_ARM, '9c61', 0xd287, 'str     r4, [r3, #0x18]', 0, ()),
    (REV_ALL_ARM, '1c33', 0xd293, 'adds    r3, #0x1c', 0, ()),
    (REV_ALL_ARM, '00f11003', 0xd2a5, 'add     r3, r0, #0x10', 0, ()),
    (REV_ALL_ARM, 'c0e90212', 0xd2a9, 'strd    r1, r2, [r0, #8]', 0, ()),
    (REV_ALL_ARM, 'c0e90433', 0xd2b1, 'strd    r3, r3, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '8161', 0xd2c9, 'str     r1, [r0, #0x18]', 0, ()),
    #(REV_ALL_ARM, '05f08ffa', 0xd2f1, 'bl      0x00002812', 0, ()),
    (REV_ALL_ARM, 'd4e90232', 0xd317, 'ldrd    r3, r2, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '04f11000', 0xd325, 'add     r0, r4, #0x10', 0, ()),
    #(REV_ALL_ARM, '05f004ba', 0xd313, 'b       0x0000271e', 0, ()),
    (REV_ALL_ARM, 'fff793fd', 0xd303, 'bl      0x0000ce2c', 0, ()),
    (REV_ALL_ARM, '4ff01000', 0xd339, 'mov     r0, #0x10', 0, ()),
    (REV_ALL_ARM, '9060', 0xd34f, 'str     r0, [r2, #8]', 0, ()),
    (REV_ALL_ARM, 'fff783be', 0xd36f, 'b       0x0000d078', 0, ()),
    #(REV_ALL_ARM, '00f01af9', 0xd389, 'bl      0x0000d5c0', 0, ()),
    (REV_ALL_ARM, '04f11400', 0xd38f, 'add     r0, r4, #0x14', 0, ()),
    #(REV_ALL_ARM, '05f08afa', 0xd393, 'bl      0x000028aa', 0, ()),
    (REV_ALL_ARM, '187b', 0xd3cd, 'ldrb    r0, [r3, #0xc]', 0, ()),
    (REV_ALL_ARM, '00f00100', 0xd3cf, 'and     r0, r0, #1', 0, ()),
    (REV_ALL_ARM, 'a0fb0101', 0xd3df, 'umull   r0, r1, r0, r1', 0, ()),
    (REV_ALL_ARM, 'f3f7befa', 0xd3e5, 'bl      0x00000964', 0, ()),
    (REV_ALL_ARM, 'fcf7fdf8', 0xd3eb, 'bl      0x000095e8', 0, ()),
    (REV_ALL_ARM, 'fcf7faf8', 0xd3f1, 'bl      0x000095e8', 0, ()),
    (REV_ALL_ARM, '431b', 0xd3f5, 'subs    r3, r0, r5', 0, ()),
    (REV_ALL_ARM, 'fad3', 0xd3f9, 'bcc     0x0000d3f0', 0, ()),
    (REV_ALL_ARM, 'd36a', 0xd417, 'ldr     r3, [r2, #0x2c]', 0, ()),
    (REV_ALL_ARM, '5b6e', 0xd41d, 'ldr     r3, [r3, #0x64]', 0, ()),
    (REV_ALL_ARM, 'd362', 0xd41f, 'str     r3, [r2, #0x2c]', 0, ()),
    (REV_ALL_ARM, '5a6e', 0xd431, 'ldr     r2, [r3, #0x64]', 0, ()),
    (REV_ALL_ARM, '426e', 0xd437, 'ldr     r2, [r0, #0x64]', 0, ()),
    (REV_ALL_ARM, '5a66', 0xd439, 'str     r2, [r3, #0x64]', 0, ()),
    (REV_ALL_ARM, '5907', 0xd457, 'lsls    r1, r3, #0x1d', 0, ()),
    #(REV_ALL_ARM, '05f015fa', 0xd46b, 'bl      0x00002898', 0, ()),
    #(REV_ALL_ARM, '05f04eb9', 0xd47f, 'b       0x0000271e', 0, ()),
    (REV_ALL_ARM, 'fff7dbfc', 0xd473, 'bl      0x0000ce2c', 0, ()),
    (REV_ALL_ARM, '2de9f042', 0xd489, 'push    {r4, r5, r6, r7, r9, lr}', 0, ()),
    (REV_ALL_ARM, 'dde90c97', 0xd48f, 'ldrd    r9, r7, [sp, #0x30]', 0, ()),
    (REV_ALL_ARM, 'ddf840c0', 0xd493, 'ldr     r12, [sp, #0x40]', 0, ()),
    (REV_ALL_ARM, 'cdf810c0', 0xd499, 'str     r12, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'ddf83cc0', 0xd49d, 'ldr     r12, [sp, #0x3c]', 0, ()),
    (REV_ALL_ARM, 'cde9026c', 0xd4a5, 'strd    r6, r12, [sp, #8]', 0, ()),
    (REV_ALL_ARM, 'cde90097', 0xd4a9, 'strd    r9, r7, [sp]', 0, ()),
    (REV_ALL_ARM, 'fcf7aafa', 0xd4ad, 'bl      0x00009a04', 0, ()),
    (REV_ALL_ARM, 'c4e91559', 0xd4b1, 'strd    r5, r9, [r4, #0x54]', 0, ()),
    (REV_ALL_ARM, 'c4e91776', 0xd4b5, 'strd    r7, r6, [r4, #0x5c]', 0, ()),
    (REV_ALL_ARM, 'd96a', 0xd4cb, 'ldr     r1, [r3, #0x2c]', 0, ()),
    (REV_ALL_ARM, '6166', 0xd4cd, 'str     r1, [r4, #0x64]', 0, ()),
    (REV_ALL_ARM, 'dc62', 0xd4cf, 'str     r4, [r3, #0x2c]', 0, ()),
    (REV_ALL_ARM, '6367', 0xd4df, 'str     r3, [r4, #0x74]', 0, ()),
    (REV_ALL_ARM, 'bde8f082', 0xd4e3, 'pop     {r4, r5, r6, r7, r9, pc}', 0, ()),
    (REV_ALL_ARM, '5b6f', 0xd4dd, 'ldr     r3, [r3, #0x74]', 0, ()),
    (REV_ALL_ARM, '0b9e', 0xd501, 'ldr     r6, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, '0196', 0xd505, 'str     r6, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'fff7bcff', 0xd50d, 'bl      0x0000d488', 0, ()),
    #(REV_ALL_ARM, '00f0ebf8', 0xd52b, 'bl      0x0000d704', 0, ()),
    (REV_ALL_ARM, '54f8043c', 0xd55d, 'ldr     r3, [r4, #-4]', 0, ()),
    (REV_ALL_ARM, '54f8103c', 0xd563, 'ldr     r3, [r4, #-0x10]', 0, ()),
    (REV_ALL_ARM, '54f8143c', 0xd569, 'ldr     r3, [r4, #-0x14]', 0, ()),
    (REV_ALL_ARM, '54f8183c', 0xd56f, 'ldr     r3, [r4, #-0x18]', 0, ()),
    (REV_ALL_ARM, '54f81c3c', 0xd575, 'ldr     r3, [r4, #-0x1c]', 0, ()),
    (REV_ALL_ARM, '54f8203c', 0xd57b, 'ldr     r3, [r4, #-0x20]', 0, ()),
    (REV_ALL_ARM, '54e90c01', 0xd581, 'ldrd    r0, r1, [r4, #-0x30]', 0, ()),
    (REV_ALL_ARM, '54e90a23', 0xd585, 'ldrd    r2, r3, [r4, #-0x28]', 0, ()),
    (REV_ALL_ARM, 'fff77eff', 0xd589, 'bl      0x0000d488', 0, ()),
    (REV_ALL_ARM, '54f8303c', 0xd58d, 'ldr     r3, [r4, #-0x30]', 0, ()),
    (REV_ALL_ARM, 'de64', 0xd591, 'str     r6, [r3, #0x4c]', 0, ()),
    (REV_ALL_ARM, 'fff70dfc', 0xd547, 'bl      0x0000cd64', 0, ()),
    (REV_ALL_ARM, '04f13004', 0xd541, 'add     r4, r4, #0x30', 0, ()),
    (REV_ALL_ARM, '0ad3', 0xd545, 'bcc     0x0000d55c', 0, ()),
    (REV_ALL_ARM, '626a', 0xd595, 'ldr     r2, [r4, #0x24]', 0, ()),
    (REV_ALL_ARM, '531c', 0xd597, 'adds    r3, r2, #1', 0, ()),
    (REV_ALL_ARM, 'fff74cbc', 0xd559, 'b       0x0000cdf4', 0, ()),
    (REV_ALL_ARM, '3034', 0xd5a3, 'adds    r4, #0x30', 0, ()),
    (REV_ALL_ARM, '1ab9', 0xd59d, 'cbnz    r2, 0x0000d5a6', 0, ()),
    (REV_ALL_ARM, '20d3', 0xd551, 'bcc     0x0000d594', 0, ()),
    #(REV_ALL_ARM, '00f0aaf8', 0xd5ad, 'bl      0x0000d704', 0, ()),
    (REV_ALL_ARM, 'fff74fff', 0xd59f, 'bl      0x0000d440', 0, ()),
    (REV_ALL_ARM, '04f11408', 0xd5cf, 'add     r8, r4, #0x14', 0, ()),
    (REV_ALL_ARM, 'fff76bfb', 0xd5d3, 'bl      0x0000ccac', 0, ()),
    (REV_ALL_ARM, 'cde90400', 0xd5d9, 'strd    r0, r0, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'cde90207', 0xd5dd, 'strd    r0, r7, [sp, #8]', 0, ()),
    (REV_ALL_ARM, 'cde90040', 0xd5e1, 'strd    r4, r0, [sp]', 0, ()),
    #(REV_ALL_ARM, '05f056b9', 0xd5fb, 'b       0x000028aa', 0, ()),
    (REV_ALL_ARM, 'cc69', 0xd623, 'ldr     r4, [r1, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'f3d0', 0xd641, 'beq     0x0000d62a', 0, ()),
    (REV_ALL_ARM, '8442', 0xd627, 'cmp     r4, r0', 0, ()),
    (REV_ALL_ARM, '20d1', 0xd629, 'bne     0x0000d66c', 0, ()),
    #(REV_ALL_ARM, '05f084f9', 0xd62d, 'bl      0x00002938', 0, ()),
    (REV_ALL_ARM, '06da', 0xd633, 'bge     0x0000d642', 0, ()),
    (REV_ALL_ARM, 'ee61', 0xd643, 'str     r6, [r5, #0x1c]', 0, ()),
    (REV_ALL_ARM, '5fb9', 0xd645, 'cbnz    r7, 0x0000d65e', 0, ()),
    (REV_ALL_ARM, '6ff02f04', 0xd66d, 'mvn     r4, #0x2f', 0, ()),
    (REV_ALL_ARM, '7a1c', 0xd661, 'adds    r2, r7, #1', 0, ()),
    #(REV_ALL_ARM, '00f04df8', 0xd667, 'bl      0x0000d704', 0, ()),
    #(REV_ALL_ARM, '05f054f9', 0xd653, 'bl      0x000028fe', 0, ()),
    (REV_ALL_ARM, 'fbf793bf', 0xd67f, 'b       0x000095a8', 0, ()),
    (REV_ALL_ARM, '6ff00040', 0xd69f, 'mvn     r0, #0x80000000', 0, ()),
    (REV_ALL_ARM, 'fff7e5ff', 0xd6ab, 'bl      0x0000d678', 0, ()),
    (REV_ALL_ARM, 'a468', 0xd6b5, 'ldr     r4, [r4, #8]', 0, ()),
    (REV_ALL_ARM, 'fff7dfff', 0xd6b7, 'bl      0x0000d678', 0, ()),
    (REV_ALL_ARM, '201a', 0xd6bb, 'subs    r0, r4, r0', 0, ()),
    (REV_ALL_ARM, '5268', 0xd6e3, 'ldr     r2, [r2, #4]', 0, ()),
    (REV_ALL_ARM, 'c160', 0xd70b, 'str     r1, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '8019', 0xd729, 'adds    r0, r0, r6', 0, ()),
    (REV_ALL_ARM, '5460', 0xd741, 'str     r4, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '5668', 0xd733, 'ldr     r6, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '15dd', 0xd74b, 'ble     0x0000d778', 0, ()),
    (REV_ALL_ARM, '091a', 0xd779, 'subs    r1, r1, r0', 0, ()),
    (REV_ALL_ARM, 'dad0', 0xd77f, 'beq     0x0000d736', 0, ()),
    (REV_ALL_ARM, '411a', 0xd74d, 'subs    r1, r0, r1', 0, ()),
    (REV_ALL_ARM, '9960', 0xd74f, 'str     r1, [r3, #8]', 0, ()),
    (REV_ALL_ARM, 'c4e90031', 0xd753, 'strd    r3, r1, [r4]', 0, ()),
    (REV_ALL_ARM, '0c60', 0xd757, 'str     r4, [r1]', 0, ()),
    (REV_ALL_ARM, 'fbf7cffe', 0xd76b, 'bl      0x0000950c', 0, ()),
    (REV_ALL_ARM, '5118', 0xd7c7, 'adds    r1, r2, r1', 0, ()),
    (REV_ALL_ARM, '47ebe272', 0xd7c9, 'adc     r2, r7, r2, asr #31', 0, ()),
    (REV_ALL_ARM, 'c5e90012', 0xd7cd, 'strd    r1, r2, [r5]', 0, ()),
    (REV_ALL_ARM, 'fff75aff', 0xd7d5, 'bl      0x0000d68c', 0, ()),
    (REV_ALL_ARM, 'fbf797fe', 0xd7db, 'bl      0x0000950c', 0, ()),
    (REV_ALL_ARM, '5918', 0xd7eb, 'adds    r1, r3, r1', 0, ()),
    (REV_ALL_ARM, '47ebe377', 0xd7ed, 'adc     r7, r7, r3, asr #31', 0, ()),
    (REV_ALL_ARM, 'd31a', 0xd7f1, 'subs    r3, r2, r3', 0, ()),
    (REV_ALL_ARM, 'c5e90017', 0xd7f9, 'strd    r1, r7, [r5]', 0, ()),
    (REV_ALL_ARM, '3268', 0xd7b1, 'ldr     r2, [r6]', 0, ()),
    (REV_ALL_ARM, '4045', 0xd7b3, 'cmp     r0, r8', 0, ()),
    (REV_ALL_ARM, 'd5e90017', 0xd7b5, 'ldrd    r1, r7, [r5]', 0, ()),
    (REV_ALL_ARM, 'fbf7b3fe', 0xd83f, 'bl      0x000095a8', 0, ()),
    (REV_ALL_ARM, 'd2e90031', 0xd845, 'ldrd    r3, r1, [r2]', 0, ()),
    (REV_ALL_ARM, '3033', 0xd88b, 'adds    r3, #0x30', 0, ()),
    (REV_ALL_ARM, '026a', 0xd89d, 'ldr     r2, [r0, #0x20]', 0, ()),
    (REV_ALL_ARM, 'fff72cff', 0xd8a9, 'bl      0x0000d704', 0, ()),
    (REV_ALL_ARM, '54f8105f', 0xd8bb, 'ldr     r5, [r4, #0x10]!', 0, ()),
    #(REV_ALL_ARM, '04f011ff', 0xd8c7, 'bl      0x000026ec', 0, ()),
    (REV_ALL_ARM, 'c0e90612', 0xd8e7, 'strd    r1, r2, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, '00f11002', 0xd8eb, 'add     r2, r0, #0x10', 0, ()),
    (REV_ALL_ARM, 'c0e90422', 0xd8f1, 'strd    r2, r2, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c462', 0xd90f, 'str     r4, [r0, #0x2c]', 0, ()),
    #(REV_ALL_ARM, '05f063f8', 0xd92d, 'bl      0x000029f6', 0, ()),
    (REV_ALL_ARM, 'fff7debe', 0xd945, 'b       0x0000d704', 0, ()),
    (REV_ALL_ARM, '4ff0ff37', 0xd96b, 'mov     r7, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'c246', 0xd96f, 'mov     r10, r8', 0, ()),
    (REV_ALL_ARM, 'eff3118b', 0xd9af, 'mrs     r11, basepri', 0, ()),
    (REV_ALL_ARM, '03f0ff04', 0xd989, 'and     r4, r3, #0xff', 0, ()),
    (REV_ALL_ARM, '55d1', 0xd98f, 'bne     0x0000da3c', 0, ()),
    (REV_ALL_ARM, '01e0', 0xd9d1, 'b       0x0000d9d6', 0, ()),
    (REV_ALL_ARM, '36b9', 0xda43, 'cbnz    r6, 0x0000da52', 0, ()),
    #(REV_ALL_ARM, '05f002f9', 0xd997, 'bl      0x00002b9e', 0, ()),
    (REV_ALL_ARM, '92b1', 0xd9d7, 'cbz     r2, 0x0000d9fe', 0, ()),
    (REV_ALL_ARM, 'cde90222', 0xda5b, 'strd    r2, r2, [sp, #8]', 0, ()),
    (REV_ALL_ARM, 'fff70bfb', 0xda5f, 'bl      0x0000d078', 0, ()),
    #(REV_ALL_ARM, '05f090f8', 0xda7b, 'bl      0x00002b9e', 0, ()),
    (REV_ALL_ARM, '8ce7', 0xda87, 'b       0x0000d9a2', 0, ()),
    (REV_ALL_ARM, '6ff00a04', 0xda4d, 'mvn     r4, #0xa', 0, ()),
    (REV_ALL_ARM, 'c4f808a0', 0xd9db, 'str     r10, [r4, #8]', 0, ()),
    (REV_ALL_ARM, 'c2f30431', 0xd9df, 'ubfx    r1, r2, #0xc, #5', 0, ()),
    (REV_ALL_ARM, '8df804a0', 0xd9eb, 'strb    r10, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '8bf31188', 0xd9ef, 'msr     basepri, r11', 0, ()),
    (REV_ALL_ARM, '1434', 0xd9fb, 'adds    r4, #0x14', 0, ()),
    (REV_ALL_ARM, '9df80420', 0xda03, 'ldrb    r2, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'c845', 0xd971, 'cmp     r8, r9', 0, ()),
    (REV_ALL_ARM, '1adb', 0xd973, 'blt     0x0000d9aa', 0, ()),
    (REV_ALL_ARM, '2069', 0xda1f, 'ldr     r0, [r4, #0x10]', 0, ()),
    #(REV_ALL_ARM, '05f08cf8', 0xda27, 'bl      0x00002b42', 0, ()),
    (REV_ALL_ARM, 'c4f808d0', 0xda2b, 'str     sp, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '8160', 0xdaa9, 'str     r1, [r0, #8]', 0, ()),
    (REV_ALL_ARM, 'd0e90032', 0xdabf, 'ldrd    r3, r2, [r0]', 0, ()),
    #(REV_ALL_ARM, '05f00df8', 0xdacd, 'bl      0x00002aea', 0, ()),
    #(REV_ALL_ARM, '04f022fe', 0xdad7, 'bl      0x0000271e', 0, ()),
    (REV_ALL_ARM, '04f11403', 0xdaef, 'add     r3, r4, #0x14', 0, ()),
    (REV_ALL_ARM, 'c4e90533', 0xdaf5, 'strd    r3, r3, [r4, #0x14]', 0, ()),
    #(REV_ALL_ARM, '00f09fff', 0xdaf9, 'bl      0x0000ea3a', 0, ()),
    (REV_ALL_ARM, '2de9ff47', 0xdb09, 'push    {r0, r1, r2, r3, r4, r5, r6, r7, r8, r9, r10, lr}', 0, ()),
    (REV_ALL_ARM, '1c1e', 0xdb0d, 'subs    r4, r3, #0', 0, ()),
    (REV_ALL_ARM, '48dd', 0xdb15, 'ble     0x0000dba8', 0, ()),
    (REV_ALL_ARM, 'fff789fe', 0xdb17, 'bl      0x0000d82c', 0, ()),
    (REV_ALL_ARM, '04eb0008', 0xdb1b, 'add     r8, r4, r0', 0, ()),
    (REV_ALL_ARM, '7d1b', 0xdb23, 'subs    r5, r7, r5', 0, ()),
    (REV_ALL_ARM, 'ad10', 0xdb25, 'asrs    r5, r5, #2', 0, ()),
    (REV_ALL_ARM, '5d43', 0xdb27, 'muls    r5, r3, r5', 0, ()),
    (REV_ALL_ARM, '07f1140a', 0xdb2b, 'add     r10, r7, #0x14', 0, ()),
    (REV_ALL_ARM, '1b02', 0xdb5f, 'lsls    r3, r3, #8', 0, ()),
    (REV_ALL_ARM, '03f47063', 0xdb61, 'and     r3, r3, #0xf00', 0, ()),
    (REV_ALL_ARM, '43ea0233', 0xdb65, 'orr     r3, r3, r2, lsl #12', 0, ()),
    (REV_ALL_ARM, 'eab2', 0xdb69, 'uxtb    r2, r5', 0, ()),
    (REV_ALL_ARM, 'c0b1', 0xdb6f, 'cbz     r0, 0x0000dba2', 0, ()),
    #(REV_ALL_ARM, '00f0bfff', 0xdb4d, 'bl      0x0000eace', 0, ()),
    (REV_ALL_ARM, 'bcb1', 0xdb71, 'cbz     r4, 0x0000dba2', 0, ()),
    (REV_ALL_ARM, '10f10c0f', 0xdb73, 'cmn     r0, #0xc', 0, ()),
    (REV_ALL_ARM, 'fff750fa', 0xdb8d, 'bl      0x0000d030', 0, ()),
    (REV_ALL_ARM, '631c', 0xdb91, 'adds    r3, r4, #1', 0, ()),
    (REV_ALL_ARM, 'ccd0', 0xdb93, 'beq     0x0000db2e', 0, ()),
    #(REV_ALL_ARM, '00f0c9ff', 0xdb39, 'bl      0x0000eace', 0, ()),
    (REV_ALL_ARM, 'fff74afe', 0xdb95, 'bl      0x0000d82c', 0, ()),
    (REV_ALL_ARM, 'b8eb0004', 0xdb99, 'subs    r4, r8, r0', 0, ()),
    (REV_ALL_ARM, 'c7d5', 0xdb9d, 'bpl     0x0000db2e', 0, ()),
    (REV_ALL_ARM, '6ff00a00', 0xdb9f, 'mvn     r0, #0xa', 0, ()),
    (REV_ALL_ARM, '4178', 0xdbbd, 'ldrb    r1, [r0, #1]', 0, ()),
    (REV_ALL_ARM, '120b', 0xdbc7, 'lsrs    r2, r2, #0xc', 0, ()),
    (REV_ALL_ARM, '01f00f01', 0xdbc9, 'and     r1, r1, #0xf', 0, ()),
    (REV_ALL_ARM, '06eb8300', 0xdbcd, 'add     r0, r6, r3, lsl #2', 0, ()),
    (REV_ALL_ARM, '9c00', 0xdbd1, 'lsls    r4, r3, #2', 0, ()),
    #(REV_ALL_ARM, '01f032f8', 0xdbd3, 'bl      0x0000ec3a', 0, ()),
    #(REV_ALL_ARM, '04f03efe', 0xdbed, 'bl      0x0000286c', 0, ()),
    #(REV_ALL_ARM, '04f090bd', 0xdbfb, 'b       0x0000271e', 0, ()),
    (REV_ALL_ARM, 'fff7c8fb', 0xdc15, 'bl      0x0000d3a8', 0, ()),
    (REV_ALL_ARM, '586f', 0xdc1f, 'ldr     r0, [r3, #0x74]', 0, ()),
    #(REV_ALL_ARM, '05f012b8', 0xdc29, 'b       0x00002c50', 0, ()),
    (REV_ALL_ARM, '10b4', 0xdc3d, 'push    {r4}', 0, ()),
    (REV_ALL_ARM, '5468', 0xdc3f, 'ldr     r4, [r2, #4]', 0, ()),
    (REV_ALL_ARM, 'a446', 0xdc43, 'mov     r12, r4', 0, ()),
    (REV_ALL_ARM, '10bc', 0xdc47, 'pop     {r4}', 0, ()),
    (REV_ALL_ARM, '8df80110', 0xdc5f, 'strb    r1, [sp, #1]', 0, ()),
    (REV_ALL_ARM, '3123', 0xdc69, 'movs    r3, #0x31', 0, ()),
    (REV_ALL_ARM, '0df10703', 0xdc79, 'add     r3, sp, #7', 0, ()),
    (REV_ALL_ARM, 'cde90523', 0xdc81, 'strd    r2, r3, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '8df81c30', 0xdc89, 'strb    r3, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '8df81010', 0xdc95, 'strb    r1, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '7068', 0xdcb9, 'ldr     r0, [r6, #4]', 0, ()),
    (REV_ALL_ARM, '5f68', 0xdcbf, 'ldr     r7, [r3, #4]', 0, ()),
    (REV_ALL_ARM, 'e8b9', 0xdcc9, 'cbnz    r0, 0x0000dd06', 0, ()),
    (REV_ALL_ARM, '231e', 0xdcd1, 'subs    r3, r4, #0', 0, ()),
    (REV_ALL_ARM, '98b9', 0xdcdd, 'cbnz    r0, 0x0000dd06', 0, ()),
    (REV_ALL_ARM, '74b9', 0xdce7, 'cbnz    r4, 0x0000dd06', 0, ()),
    (REV_ALL_ARM, 'fff7a8bf', 0xdcf9, 'b       0x0000dc4c', 0, ()),
    (REV_ALL_ARM, '90f83008', 0xdd1d, 'ldrb    r0, [r0, #0x830]', 0, ()),
    #(REV_ALL_ARM, '00f08cf8', 0xdd25, 'bl      0x0000de40', 0, ()),
    (REV_ALL_ARM, '84f83008', 0xdd29, 'strb    r0, [r4, #0x830]', 0, ()),
    #(REV_ALL_ARM, '00f06efa', 0xdd41, 'bl      0x0000e220', 0, ()),
    (REV_ALL_ARM, 'd4f82038', 0xdd45, 'ldr     r3, [r4, #0x820]', 0, ()),
    #(REV_ALL_ARM, '00f059f8', 0xdd57, 'bl      0x0000de0c', 0, ()),
    (REV_ALL_ARM, 'f3f7f3fb', 0xdd6b, 'bl      0x00001554', 0, ()),
    (REV_ALL_ARM, '9b6c', 0xdda3, 'ldr     r3, [r3, #0x48]', 0, ()),
    (REV_ALL_ARM, '5b6c', 0xddbf, 'ldr     r3, [r3, #0x44]', 0, ()),
    (REV_ALL_ARM, '70b4', 0xddc7, 'push    {r4, r5, r6}', 0, ()),
    (REV_ALL_ARM, '6668', 0xddcd, 'ldr     r6, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '26b1', 0xddd3, 'cbz     r6, 0x0000ddde', 0, ()),
    (REV_ALL_ARM, '70bc', 0xdddf, 'pop     {r4, r5, r6}', 0, ()),
    (REV_ALL_ARM, 'b446', 0xddd9, 'mov     r12, r6', 0, ()),
    (REV_ALL_ARM, '61b1', 0xddeb, 'cbz     r1, 0x0000de06', 0, ()),
    #(REV_ALL_ARM, '01f095f8', 0xddef, 'bl      0x0000ef1c', 0, ()),
    (REV_ALL_ARM, '83b2', 0xddf7, 'uxth    r3, r0', 0, ()),
    (REV_ALL_ARM, 'fff7e2ff', 0xddff, 'bl      0x0000ddc6', 0, ()),
    (REV_ALL_ARM, '81b1', 0xde17, 'cbz     r1, 0x0000de3a', 0, ()),
    (REV_ALL_ARM, 'fff7d2ff', 0xde1f, 'bl      0x0000ddc6', 0, ()),
    (REV_ALL_ARM, '14f8011b', 0xde2f, 'ldrb    r1, [r4], #1', 0, ()),
    (REV_ALL_ARM, '0038', 0xde59, 'subs    r0, #0', 0, ()),
    (REV_ALL_ARM, '1b6d', 0xde4d, 'ldr     r3, [r3, #0x50]', 0, ()),
    (REV_ALL_ARM, 'c2e90601', 0xde65, 'strd    r0, r1, [r2, #0x18]', 0, ()),
    (REV_ALL_ARM, 'f3f752fb', 0xde9d, 'bl      0x00001544', 0, ()),
    (REV_ALL_ARM, '6069', 0xdea1, 'ldr     r0, [r4, #0x14]', 0, ()),
    #(REV_ALL_ARM, '04f0e8bd', 0xdeab, 'b       0x00012a7e', 0, ()),
    (REV_ALL_ARM, '9c1c', 0xdeb7, 'adds    r4, r3, #2', 0, ()),
    (REV_ALL_ARM, 'c65c', 0xdeb9, 'ldrb    r6, [r0, r3]', 0, ()),
    (REV_ALL_ARM, '855c', 0xdebd, 'ldrb    r5, [r0, r2]', 0, ()),
    (REV_ALL_ARM, '045d', 0xdec5, 'ldrb    r4, [r0, r4]', 0, ()),
    (REV_ALL_ARM, '835c', 0xdec9, 'ldrb    r3, [r0, r2]', 0, ()),
    (REV_ALL_ARM, '03eb0663', 0xdecb, 'add     r3, r3, r6, lsl #24', 0, ()),
    (REV_ALL_ARM, '03eb0543', 0xdecf, 'add     r3, r3, r5, lsl #16', 0, ()),
    (REV_ALL_ARM, '03eb0420', 0xded3, 'add     r0, r3, r4, lsl #8', 0, ()),
    (REV_ALL_ARM, 'ddf82080', 0xdedd, 'ldr     r8, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '9a46', 0xdee7, 'mov     r10, r3', 0, ()),
    (REV_ALL_ARM, '00f10109', 0xdeeb, 'add     r9, r0, #1', 0, ()),
    (REV_ALL_ARM, '2988', 0xdf17, 'ldrh    r1, [r5]', 0, ()),
    (REV_ALL_ARM, 'f3f75dfb', 0xdf1f, 'bl      0x000015dc', 0, ()),
    (REV_ALL_ARM, '9af80110', 0xdf27, 'ldrb    r1, [r10, #1]', 0, ()),
    (REV_ALL_ARM, '2a88', 0xdf2b, 'ldrh    r2, [r5]', 0, ()),
    (REV_ALL_ARM, '0231', 0xdf2d, 'adds    r1, #2', 0, ()),
    (REV_ALL_ARM, '2a80', 0xdf33, 'strh    r2, [r5]', 0, ()),
    #(REV_ALL_ARM, '02f0beff', 0xdf39, 'bl      0x00000eb8', 0, ()),
    (REV_ALL_ARM, '0af1400a', 0xdf3f, 'add     r10, r10, #0x40', 0, ()),
    (REV_ALL_ARM, '0fdb', 0xdef5, 'blt     0x0000df16', 0, ()),
    #(REV_ALL_ARM, '02f0d1ff', 0xdf13, 'bl      0x00000eb8', 0, ()),
    (REV_ALL_ARM, 'c378', 0xdf45, 'ldrb    r3, [r0, #3]', 0, ()),
    (REV_ALL_ARM, '0b70', 0xdf47, 'strb    r3, [r1]', 0, ()),
    (REV_ALL_ARM, '0379', 0xdf49, 'ldrb    r3, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '4b70', 0xdf4b, 'strb    r3, [r1, #1]', 0, ()),
    (REV_ALL_ARM, '4379', 0xdf4d, 'ldrb    r3, [r0, #5]', 0, ()),
    (REV_ALL_ARM, '8b70', 0xdf4f, 'strb    r3, [r1, #2]', 0, ()),
    (REV_ALL_ARM, '8379', 0xdf51, 'ldrb    r3, [r0, #6]', 0, ()),
    (REV_ALL_ARM, 'cb70', 0xdf53, 'strb    r3, [r1, #3]', 0, ()),
    (REV_ALL_ARM, 'c379', 0xdf55, 'ldrb    r3, [r0, #7]', 0, ()),
    (REV_ALL_ARM, '0b71', 0xdf57, 'strb    r3, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '4b71', 0xdf5b, 'strb    r3, [r1, #5]', 0, ()),
    (REV_ALL_ARM, '8b71', 0xdf5f, 'strb    r3, [r1, #6]', 0, ()),
    (REV_ALL_ARM, '837a', 0xdf61, 'ldrb    r3, [r0, #0xa]', 0, ()),
    (REV_ALL_ARM, 'cb71', 0xdf63, 'strb    r3, [r1, #7]', 0, ()),
    (REV_ALL_ARM, 'c37a', 0xdf65, 'ldrb    r3, [r0, #0xb]', 0, ()),
    (REV_ALL_ARM, '0b72', 0xdf67, 'strb    r3, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '037b', 0xdf69, 'ldrb    r3, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '4b72', 0xdf6b, 'strb    r3, [r1, #9]', 0, ()),
    (REV_ALL_ARM, '0579', 0xdf71, 'ldrb    r5, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '4179', 0xdf77, 'ldrb    r1, [r0, #5]', 0, ()),
    (REV_ALL_ARM, '05f00702', 0xdf79, 'and     r2, r5, #7', 0, ()),
    (REV_ALL_ARM, '43ea0223', 0xdf7f, 'orr     r3, r3, r2, lsl #8', 0, ()),
    (REV_ALL_ARM, '01f03f02', 0xdf83, 'and     r2, r1, #0x3f', 0, ()),
    (REV_ALL_ARM, '5201', 0xdf87, 'lsls    r2, r2, #5', 0, ()),
    (REV_ALL_ARM, '42ead502', 0xdf89, 'orr     r2, r2, r5, lsr #3', 0, ()),
    (REV_ALL_ARM, 'adf81030', 0xdf8d, 'strh    r3, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'adf81220', 0xdf93, 'strh    r2, [sp, #0x12]', 0, ()),
    (REV_ALL_ARM, 'c279', 0xdf97, 'ldrb    r2, [r0, #7]', 0, ()),
    (REV_ALL_ARM, '057a', 0xdf99, 'ldrb    r5, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '43ea9113', 0xdf9d, 'orr     r3, r3, r1, lsr #6', 0, ()),
    (REV_ALL_ARM, '02f00101', 0xdfa1, 'and     r1, r2, #1', 0, ()),
    (REV_ALL_ARM, '43ea8123', 0xdfa5, 'orr     r3, r3, r1, lsl #10', 0, ()),
    (REV_ALL_ARM, 'adf81430', 0xdfa9, 'strh    r3, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '417a', 0xdfad, 'ldrb    r1, [r0, #9]', 0, ()),
    (REV_ALL_ARM, 'db01', 0xdfb3, 'lsls    r3, r3, #7', 0, ()),
    (REV_ALL_ARM, '43ea5203', 0xdfb5, 'orr     r3, r3, r2, lsr #1', 0, ()),
    (REV_ALL_ARM, '01f07f02', 0xdfb9, 'and     r2, r1, #0x7f', 0, ()),
    (REV_ALL_ARM, 'adf81630', 0xdfbd, 'strh    r3, [sp, #0x16]', 0, ()),
    (REV_ALL_ARM, '1201', 0xdfc1, 'lsls    r2, r2, #4', 0, ()),
    (REV_ALL_ARM, '42ea1512', 0xdfc5, 'orr     r2, r2, r5, lsr #4', 0, ()),
    (REV_ALL_ARM, 'c57a', 0xdfc9, 'ldrb    r5, [r0, #0xb]', 0, ()),
    (REV_ALL_ARM, 'adf81820', 0xdfcb, 'strh    r2, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '05f00302', 0xdfd1, 'and     r2, r5, #3', 0, ()),
    (REV_ALL_ARM, '43ead113', 0xdfd5, 'orr     r3, r3, r1, lsr #7', 0, ()),
    (REV_ALL_ARM, '43ea4223', 0xdfdb, 'orr     r3, r3, r2, lsl #9', 0, ()),
    (REV_ALL_ARM, 'adf81a30', 0xdfdf, 'strh    r3, [sp, #0x1a]', 0, ()),
    (REV_ALL_ARM, '01f01f02', 0xdfe3, 'and     r2, r1, #0x1f', 0, ()),
    (REV_ALL_ARM, '42ea9502', 0xdfeb, 'orr     r2, r2, r5, lsr #2', 0, ()),
    (REV_ALL_ARM, 'db00', 0xdfef, 'lsls    r3, r3, #3', 0, ()),
    (REV_ALL_ARM, '43ea5113', 0xdff1, 'orr     r3, r3, r1, lsr #5', 0, ()),
    (REV_ALL_ARM, 'adf81c20', 0xdff5, 'strh    r2, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '08aa', 0xdffb, 'add     r2, sp, #0x20', 0, ()),
    (REV_ALL_ARM, 'adf81e30', 0xdfff, 'strh    r3, [sp, #0x1e]', 0, ()),
    (REV_ALL_ARM, 'f5f741fb', 0xe003, 'bl      0x00003688', 0, ()),
    (REV_ALL_ARM, '9a05', 0xe00b, 'lsls    r2, r3, #0x16', 0, ()),
    (REV_ALL_ARM, '03f4ff73', 0xe011, 'and     r3, r3, #0x1fe', 0, ()),
    (REV_ALL_ARM, 'adf82030', 0xe015, 'strh    r3, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, 'bdf82020', 0xe019, 'ldrh    r2, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, 'bdf80430', 0xe01d, 'ldrh    r3, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'bdf82220', 0xe02b, 'ldrh    r2, [sp, #0x22]', 0, ()),
    (REV_ALL_ARM, 'bdf82420', 0xe033, 'ldrh    r2, [sp, #0x24]', 0, ()),
    (REV_ALL_ARM, 'c3f30f43', 0xe039, 'ubfx    r3, r3, #0x10, #0x10', 0, ()),
    (REV_ALL_ARM, '9df82620', 0xe041, 'ldrb    r2, [sp, #0x26]', 0, ()),
    (REV_ALL_ARM, '02f01f02', 0xe049, 'and     r2, r2, #0x1f', 0, ()),
    (REV_ALL_ARM, 'c3f30223', 0xe04d, 'ubfx    r3, r3, #8, #3', 0, ()),
    (REV_ALL_ARM, '43eac203', 0xe051, 'orr     r3, r3, r2, lsl #3', 0, ()),
    (REV_ALL_ARM, 'bdf82630', 0xe059, 'ldrh    r3, [sp, #0x26]', 0, ()),
    (REV_ALL_ARM, 'c3f34312', 0xe05d, 'ubfx    r2, r3, #5, #4', 0, ()),
    (REV_ALL_ARM, 'bdf82820', 0xe075, 'ldrh    r2, [sp, #0x28]', 0, ()),
    (REV_ALL_ARM, 'bdf82a20', 0xe083, 'ldrh    r2, [sp, #0x2a]', 0, ()),
    (REV_ALL_ARM, 'bdf82c20', 0xe08b, 'ldrh    r2, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, '9df82e20', 0xe099, 'ldrb    r2, [sp, #0x2e]', 0, ()),
    (REV_ALL_ARM, 'c3f30623', 0xe0a5, 'ubfx    r3, r3, #8, #7', 0, ()),
    (REV_ALL_ARM, '43eac213', 0xe0a9, 'orr     r3, r3, r2, lsl #7', 0, ()),
    (REV_ALL_ARM, 'bdf82e30', 0xe0b1, 'ldrh    r3, [sp, #0x2e]', 0, ()),
    (REV_ALL_ARM, 'ff25', 0xe0b9, 'movs    r5, #0xff', 0, ()),
    (REV_ALL_ARM, 'c3f34703', 0xe0bb, 'ubfx    r3, r3, #1, #8', 0, ()),
    (REV_ALL_ARM, 'ff2d', 0xe0bf, 'cmp     r5, #0xff', 0, ()),
    #(REV_ALL_ARM, '02f000ff', 0xe0e5, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '0df10501', 0xe0c9, 'add     r1, sp, #5', 0, ()),
    #(REV_ALL_ARM, '02f00bff', 0xe0cf, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '9df80450', 0xe0d3, 'ldrb    r5, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '6d08', 0xe0d7, 'lsrs    r5, r5, #1', 0, ()),
    (REV_ALL_ARM, '591d', 0xe0f1, 'adds    r1, r3, #5', 0, ()),
    (REV_ALL_ARM, '5b78', 0xe0f3, 'ldrb    r3, [r3, #1]', 0, ()),
    (REV_ALL_ARM, '1a1f', 0xe0f9, 'subs    r2, r3, #4', 0, ()),
    (REV_ALL_ARM, '083b', 0xe113, 'subs    r3, #8', 0, ()),
    (REV_ALL_ARM, 'f5f74ef9', 0xe119, 'bl      0x000033b8', 0, ()),
    (REV_ALL_ARM, 'f0d0', 0xe11f, 'beq     0x0000e102', 0, ()),
    #(REV_ALL_ARM, '02f0f3fe', 0xe0ff, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '0d22', 0xe103, 'movs    r2, #0xd', 0, ()),
    #(REV_ALL_ARM, '02f0eefe', 0xe109, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '6278', 0xe12f, 'ldrb    r2, [r4, #1]', 0, ()),
    (REV_ALL_ARM, '0623', 0xe133, 'movs    r3, #6', 0, ()),
    (REV_ALL_ARM, '611d', 0xe13b, 'adds    r1, r4, #5', 0, ()),
    (REV_ALL_ARM, '043a', 0xe13d, 'subs    r2, #4', 0, ()),
    (REV_ALL_ARM, 'f5f70bf9', 0xe13f, 'bl      0x00003358', 0, ()),
    #(REV_ALL_ARM, '02f0cdfe', 0xe14b, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'ddf80a30', 0xe14f, 'ldr     r3, [sp, #0xa]', 0, ()),
    (REV_ALL_ARM, 'a31c', 0xe155, 'adds    r3, r4, #2', 0, ()),
    (REV_ALL_ARM, '1e1f', 0xe169, 'subs    r6, r3, #4', 0, ()),
    (REV_ALL_ARM, '691d', 0xe171, 'adds    r1, r5, #5', 0, ()),
    (REV_ALL_ARM, 'f5f7eef8', 0xe179, 'bl      0x00003358', 0, ()),
    (REV_ALL_ARM, '00bb', 0xe17f, 'cbnz    r0, 0x0000e1c2', 0, ()),
    (REV_ALL_ARM, '0df10a01', 0xe195, 'add     r1, sp, #0xa', 0, ()),
    (REV_ALL_ARM, 'a018', 0xe199, 'adds    r0, r4, r2', 0, ()),
    #(REV_ALL_ARM, '02f0a5fe', 0xe19b, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '0df10e01', 0xe1a1, 'add     r1, sp, #0xe', 0, ()),
    (REV_ALL_ARM, '04f10800', 0xe1a5, 'add     r0, r4, #8', 0, ()),
    #(REV_ALL_ARM, '02f09efe', 0xe1a9, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '1bbf', 0xe1af, 'ittet   ne', 0, ()),
    (REV_ALL_ARM, '9df81e30', 0xe1b1, 'ldrb    r3, [sp, #0x1e]', 0, ()),
    (REV_ALL_ARM, '9df81f30', 0xe1b9, 'ldrb    r3, [sp, #0x1f]', 0, ()),
    (REV_ALL_ARM, 'c478', 0xe1cb, 'ldrb    r4, [r0, #3]', 0, ()),
    (REV_ALL_ARM, '0c70', 0xe1cd, 'strb    r4, [r1]', 0, ()),
    (REV_ALL_ARM, '4279', 0xe1d3, 'ldrb    r2, [r0, #5]', 0, ()),
    (REV_ALL_ARM, '8279', 0xe1d9, 'ldrb    r2, [r0, #6]', 0, ()),
    (REV_ALL_ARM, 'c11c', 0xe1e3, 'adds    r1, r0, #3', 0, ()),
    #(REV_ALL_ARM, '02f07fbe', 0xe1e7, 'b       0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'fff75afe', 0xe1f7, 'bl      0x0000deae', 0, ()),
    (REV_ALL_ARM, '4378', 0xe223, 'ldrb    r3, [r0, #1]', 0, ()),
    (REV_ALL_ARM, '4ff6ea70', 0xe25d, 'movw    r0, #0xffea', 0, ()),
    (REV_ALL_ARM, '4278', 0xe23b, 'ldrb    r2, [r0, #1]', 0, ()),
    (REV_ALL_ARM, 'e81c', 0xe241, 'adds    r0, r5, #3', 0, ()),
    #(REV_ALL_ARM, '02f051fe', 0xe243, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '94f83f20', 0xe249, 'ldrb    r2, [r4, #0x3f]', 0, ()),
    (REV_ALL_ARM, '181d', 0xe251, 'adds    r0, r3, #4', 0, ()),
    (REV_ALL_ARM, '0333', 0xe253, 'adds    r3, #3', 0, ()),
    (REV_ALL_ARM, '80b2', 0xe257, 'uxth    r0, r0', 0, ()),
    (REV_ALL_ARM, 'ea54', 0xe259, 'strb    r2, [r5, r3]', 0, ()),
    (REV_ALL_ARM, 'b122', 0xe265, 'movs    r2, #0xb1', 0, ()),
    #(REV_ALL_ARM, '02f038fe', 0xe275, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'f3f795f9', 0xe27f, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '02f10807', 0xe28b, 'add     r7, r2, #8', 0, ()),
    (REV_ALL_ARM, 'b223', 0xe28f, 'movs    r3, #0xb2', 0, ()),
    (REV_ALL_ARM, '8370', 0xe297, 'strb    r3, [r0, #2]', 0, ()),
    (REV_ALL_ARM, '11f8043b', 0xe2a3, 'ldrb    r3, [r1], #4', 0, ()),
    #(REV_ALL_ARM, '02f01cfe', 0xe2ad, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'f2b2', 0xe2b1, 'uxtb    r2, r6', 0, ()),
    (REV_ALL_ARM, '0736', 0xe2b9, 'adds    r6, #7', 0, ()),
    #(REV_ALL_ARM, '02f015fe', 0xe2bb, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '6670', 0xe2bf, 'strb    r6, [r4, #1]', 0, ()),
    (REV_ALL_ARM, 'f3f773f9', 0xe2c3, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '9520', 0xe2db, 'movs    r0, #0x95', 0, ()),
    (REV_ALL_ARM, '9df81850', 0xe2df, 'ldrb    r5, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, 'a070', 0xe2e3, 'strb    r0, [r4, #2]', 0, ()),
    (REV_ALL_ARM, 'f3f757f9', 0xe2fb, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '601d', 0xe2ed, 'adds    r0, r4, #5', 0, ()),
    #(REV_ALL_ARM, '02f0fbfd', 0xe2ef, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '8622', 0xe307, 'movs    r2, #0x86', 0, ()),
    #(REV_ALL_ARM, '02f0e7fd', 0xe317, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'f3f744f9', 0xe321, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '4371', 0xe333, 'strb    r3, [r0, #5]', 0, ()),
    (REV_ALL_ARM, '8371', 0xe33b, 'strb    r3, [r0, #6]', 0, ()),
    (REV_ALL_ARM, '8521', 0xe33d, 'movs    r1, #0x85', 0, ()),
    (REV_ALL_ARM, '8170', 0xe341, 'strb    r1, [r0, #2]', 0, ()),
    (REV_ALL_ARM, 'c270', 0xe343, 'strb    r2, [r0, #3]', 0, ()),
    (REV_ALL_ARM, 'f3f730f9', 0xe349, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '8421', 0xe365, 'movs    r1, #0x84', 0, ()),
    (REV_ALL_ARM, 'f3f71cf9', 0xe371, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '8123', 0xe37f, 'movs    r3, #0x81', 0, ()),
    (REV_ALL_ARM, '05f8023f', 0xe385, 'strb    r3, [r5, #2]!', 0, ()),
    (REV_ALL_ARM, 'f25c', 0xe3a7, 'ldrb    r2, [r6, r3]', 0, ()),
    (REV_ALL_ARM, '05f8012f', 0xe3a9, 'strb    r2, [r5, #1]!', 0, ()),
    (REV_ALL_ARM, '6070', 0xe399, 'strb    r0, [r4, #1]', 0, ()),
    (REV_ALL_ARM, 'f3f706f9', 0xe39d, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '8723', 0xe3c9, 'movs    r3, #0x87', 0, ()),
    (REV_ALL_ARM, 'f3f7e8f8', 0xe3d9, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '8e21', 0xe3e7, 'movs    r1, #0x8e', 0, ()),
    (REV_ALL_ARM, '110e', 0xe3eb, 'lsrs    r1, r2, #0x18', 0, ()),
    (REV_ALL_ARM, 'c170', 0xe3ed, 'strb    r1, [r0, #3]', 0, ()),
    (REV_ALL_ARM, '110c', 0xe3ef, 'lsrs    r1, r2, #0x10', 0, ()),
    (REV_ALL_ARM, '8271', 0xe3f3, 'strb    r2, [r0, #6]', 0, ()),
    (REV_ALL_ARM, '110a', 0xe3f5, 'lsrs    r1, r2, #8', 0, ()),
    (REV_ALL_ARM, '1a0e', 0xe3f7, 'lsrs    r2, r3, #0x18', 0, ()),
    (REV_ALL_ARM, 'c271', 0xe3f9, 'strb    r2, [r0, #7]', 0, ()),
    (REV_ALL_ARM, '1a0c', 0xe3fb, 'lsrs    r2, r3, #0x10', 0, ()),
    (REV_ALL_ARM, '0272', 0xe3fd, 'strb    r2, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '8372', 0xe3ff, 'strb    r3, [r0, #0xa]', 0, ()),
    (REV_ALL_ARM, '1a0a', 0xe401, 'lsrs    r2, r3, #8', 0, ()),
    (REV_ALL_ARM, '4171', 0xe405, 'strb    r1, [r0, #5]', 0, ()),
    (REV_ALL_ARM, '4272', 0xe407, 'strb    r2, [r0, #9]', 0, ()),
    (REV_ALL_ARM, 'f3f7cef8', 0xe40d, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '7221', 0xe423, 'movs    r1, #0x72', 0, ()),
    (REV_ALL_ARM, 'f3f7bdf8', 0xe42f, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '049d', 0xe43b, 'ldr     r5, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, 'a91c', 0xe44d, 'adds    r1, r5, #2', 0, ()),
    #(REV_ALL_ARM, '02f049fd', 0xe453, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '9a1d', 0xe459, 'adds    r2, r3, #6', 0, ()),
    (REV_ALL_ARM, '6270', 0xe45b, 'strb    r2, [r4, #1]', 0, ()),
    (REV_ALL_ARM, '5d1c', 0xe45f, 'adds    r5, r3, #1', 0, ()),
    (REV_ALL_ARM, 'f3f792f8', 0xe461, 'bl      0x00001588', 0, ()),
    (REV_ALL_ARM, '661d', 0xe465, 'adds    r6, r4, #5', 0, ()),
    (REV_ALL_ARM, '7055', 0xe467, 'strb    r0, [r6, r5]', 0, ()),
    (REV_ALL_ARM, 'f3f79ff8', 0xe46b, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, 'c423', 0xe47d, 'movs    r3, #0xc4', 0, ()),
    (REV_ALL_ARM, '0235', 0xe489, 'adds    r5, #2', 0, ()),
    #(REV_ALL_ARM, '02f02dfd', 0xe48b, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'f3f78bf8', 0xe493, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, 'c221', 0xe4a9, 'movs    r1, #0xc2', 0, ()),
    (REV_ALL_ARM, 'f3f77af8', 0xe4b5, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, '3c2b', 0xe4bf, 'cmp     r3, #0x3c', 0, ()),
    (REV_ALL_ARM, '00f8036b', 0xe4d1, 'strb    r6, [r0], #3', 0, ()),
    #(REV_ALL_ARM, '02f008fd', 0xe4d5, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'cc23', 0xe4db, 'movs    r3, #0xcc', 0, ()),
    (REV_ALL_ARM, 'f3f763f8', 0xe4e3, 'bl      0x000015ac', 0, ()),
    (REV_ALL_ARM, 'e11c', 0xe52d, 'adds    r1, r4, #3', 0, ()),
    #(REV_ALL_ARM, '02f0dafc', 0xe531, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '836a', 0xe539, 'ldr     r3, [r0, #0x28]', 0, ()),
    (REV_ALL_ARM, '8bb1', 0xe541, 'cbz     r3, 0x0000e566', 0, ()),
    (REV_ALL_ARM, '4661', 0xe547, 'str     r6, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, 'fff7affc', 0xe549, 'bl      0x0000deaa', 0, ()),
    (REV_ALL_ARM, '2818', 0xe54d, 'adds    r0, r5, r0', 0, ()),
    (REV_ALL_ARM, '41ebe571', 0xe54f, 'adc     r1, r1, r5, asr #31', 0, ()),
    (REV_ALL_ARM, 'c4e90201', 0xe557, 'strd    r0, r1, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '84f82c60', 0xe561, 'strb    r6, [r4, #0x2c]', 0, ()),
    (REV_ALL_ARM, '0374', 0xe56f, 'strb    r3, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c0e90223', 0xe575, 'strd    r2, r3, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '069f', 0xe583, 'ldr     r7, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, 'b3b1', 0xe589, 'cbz     r3, 0x0000e5b8', 0, ()),
    (REV_ALL_ARM, 'c0f81480', 0xe591, 'str     r8, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, 'fff789fc', 0xe595, 'bl      0x0000deaa', 0, ()),
    (REV_ALL_ARM, 'fb17', 0xe599, 'asrs    r3, r7, #0x1f', 0, ()),
    (REV_ALL_ARM, 'c4e90c73', 0xe59d, 'strd    r7, r3, [r4, #0x30]', 0, ()),
    (REV_ALL_ARM, 'c4e90e23', 0xe5ad, 'strd    r2, r3, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, '84f81080', 0xe5b5, 'strb    r8, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'c0e90c23', 0xe5c5, 'strd    r2, r3, [r0, #0x30]', 0, ()),
    (REV_ALL_ARM, 'c0e90e23', 0xe5c9, 'strd    r2, r3, [r0, #0x38]', 0, ()),
    (REV_ALL_ARM, '4826', 0xe5d5, 'movs    r6, #0x48', 0, ()),
    (REV_ALL_ARM, '06fb0430', 0xe5e1, 'mla     r0, r6, r4, r3', 0, ()),
    (REV_ALL_ARM, '90f82c30', 0xe5ef, 'ldrb    r3, [r0, #0x2c]', 0, ()),
    (REV_ALL_ARM, 'fff74cfc', 0xe60f, 'bl      0x0000deaa', 0, ()),
    (REV_ALL_ARM, 'f317', 0xe619, 'asrs    r3, r6, #0x1f', 0, ()),
    (REV_ALL_ARM, 'c4e90863', 0xe61f, 'strd    r6, r3, [r4, #0x20]', 0, ()),
    (REV_ALL_ARM, '98b1', 0xe63b, 'cbz     r0, 0x0000e664', 0, ()),
    (REV_ALL_ARM, '00f51f70', 0xe641, 'add     r0, r0, #0x27c', 0, ()),
    #(REV_ALL_ARM, '02f047fd', 0xe645, 'bl      0x000010d6', 0, ()),
    #(REV_ALL_ARM, '02f043fd', 0xe64d, 'bl      0x000010d6', 0, ()),
    #(REV_ALL_ARM, '02f03ffd', 0xe655, 'bl      0x000010d6', 0, ()),
    #(REV_ALL_ARM, '02f03bfd', 0xe65d, 'bl      0x000010d6', 0, ()),
    #(REV_ALL_ARM, '02f03bbc', 0xe66f, 'b       0x00000ee8', 0, ()),
    (REV_ALL_ARM, '03eb0208', 0xe681, 'add     r8, r3, r2', 0, ()),
    #(REV_ALL_ARM, '02f057fc', 0xe68d, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, '44b9', 0xe691, 'cbnz    r4, 0x0000e6a4', 0, ()),
    (REV_ALL_ARM, '94f84130', 0xe6a5, 'ldrb    r3, [r4, #0x41]', 0, ()),
    (REV_ALL_ARM, '33b3', 0xe6a9, 'cbz     r3, 0x0000e6f8', 0, ()),
    #(REV_ALL_ARM, '02f026fc', 0xe699, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '23b3', 0xe6ad, 'cbz     r3, 0x0000e6f8', 0, ()),
    (REV_ALL_ARM, '236f', 0xe6af, 'ldr     r3, [r4, #0x70]', 0, ()),
    (REV_ALL_ARM, 'b4f87020', 0xe6b1, 'ldrh    r2, [r4, #0x70]', 0, ()),
    (REV_ALL_ARM, 'd4f8e802', 0xe6b5, 'ldr     r0, [r4, #0x2e8]', 0, ()),
    (REV_ALL_ARM, 'cdf81880', 0xe6b9, 'str     r8, [sp, #0x18]', 0, ()),
    (REV_ALL_ARM, '1b0c', 0xe6bf, 'lsrs    r3, r3, #0x10', 0, ()),
    (REV_ALL_ARM, '84f86330', 0xe6c1, 'strb    r3, [r4, #0x63]', 0, ()),
    (REV_ALL_ARM, 'cde90453', 0xe6c7, 'strd    r5, r3, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '52ba', 0xe6cd, 'rev16   r2, r2', 0, ()),
    (REV_ALL_ARM, '84f86210', 0xe6d5, 'strb    r1, [r4, #0x62]', 0, ()),
    (REV_ALL_ARM, 'a4f86420', 0xe6d9, 'strh    r2, [r4, #0x64]', 0, ()),
    (REV_ALL_ARM, '0397', 0xe6df, 'str     r7, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '04f16203', 0xe6e1, 'add     r3, r4, #0x62', 0, ()),
    #(REV_ALL_ARM, '02f07eff', 0xe6e9, 'bl      0x000015e8', 0, ()),
    (REV_ALL_ARM, '2367', 0xe6f5, 'str     r3, [r4, #0x70]', 0, ()),
    #(REV_ALL_ARM, '02f015fc', 0xe711, 'bl      0x00000f3e', 0, ()),
    #(REV_ALL_ARM, '02f010fc', 0xe71b, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, '3db9', 0xe71f, 'cbnz    r5, 0x0000e730', 0, ()),
    (REV_ALL_ARM, 'f4f7f7fe', 0xe737, 'bl      0x00003528', 0, ()),
    #(REV_ALL_ARM, '02f0dffb', 0xe727, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '04f11c03', 0xe749, 'add     r3, r4, #0x1c', 0, ()),
    (REV_ALL_ARM, 'cde90373', 0xe74d, 'strd    r7, r3, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, 'cde90100', 0xe753, 'strd    r0, r0, [sp, #4]', 0, ()),
    (REV_ALL_ARM, 'd5f8b002', 0xe759, 'ldr     r0, [r5, #0x2b0]', 0, ()),
    #(REV_ALL_ARM, '02f041ff', 0xe763, 'bl      0x000015e8', 0, ()),
    (REV_ALL_ARM, '0898', 0xe805, 'ldr     r0, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, '9df81c50', 0xe807, 'ldrb    r5, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '0678', 0xe80b, 'ldrb    r6, [r0]', 0, ()),
    (REV_ALL_ARM, 'ad1b', 0xe80f, 'subs    r5, r5, r6', 0, ()),
    (REV_ALL_ARM, '19dd', 0xe813, 'ble     0x0000e848', 0, ()),
    (REV_ALL_ARM, '9df81450', 0xe815, 'ldrb    r5, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, 'a555', 0xe821, 'strb    r5, [r4, r6]', 0, ()),
    (REV_ALL_ARM, '6970', 0xe827, 'strb    r1, [r5, #1]', 0, ()),
    (REV_ALL_ARM, '8a70', 0xe82d, 'strb    r2, [r1, #2]', 0, ()),
    (REV_ALL_ARM, 'd370', 0xe833, 'strb    r3, [r2, #3]', 0, ()),
    (REV_ALL_ARM, '0533', 0xe841, 'adds    r3, #5', 0, ()),
    (REV_ALL_ARM, '09dd', 0xe857, 'ble     0x0000e86c', 0, ()),
    (REV_ALL_ARM, '1623', 0xe859, 'movs    r3, #0x16', 0, ()),
    (REV_ALL_ARM, '1355', 0xe85b, 'strb    r3, [r2, r4]', 0, ()),
    (REV_ALL_ARM, '039c', 0xe89b, 'ldr     r4, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '2578', 0xe89d, 'ldrb    r5, [r4]', 0, ()),
    (REV_ALL_ARM, '5b1b', 0xe89f, 'subs    r3, r3, r5', 0, ()),
    (REV_ALL_ARM, '22dd', 0xe8a3, 'ble     0x0000e8ea', 0, ()),
    (REV_ALL_ARM, '5355', 0xe8a7, 'strb    r3, [r2, r5]', 0, ()),
    (REV_ALL_ARM, '99b1', 0xe8ab, 'cbz     r1, 0x0000e8d4', 0, ()),
    (REV_ALL_ARM, 'd170', 0xe8e3, 'strb    r1, [r2, #3]', 0, ()),
    (REV_ALL_ARM, '1ad1', 0xe8af, 'bne     0x0000e8e6', 0, ()),
    (REV_ALL_ARM, '4e25', 0xe8b3, 'movs    r5, #0x4e', 0, ()),
    (REV_ALL_ARM, '5d70', 0xe8b5, 'strb    r5, [r3, #1]', 0, ()),
    (REV_ALL_ARM, '2025', 0xe8bb, 'movs    r5, #0x20', 0, ()),
    (REV_ALL_ARM, '1823', 0xe8fd, 'movs    r3, #0x18', 0, ()),
    (REV_ALL_ARM, '4173', 0xe90d, 'strb    r1, [r0, #0xd]', 0, ()),
    (REV_ALL_ARM, '0f20', 0xe965, 'movs    r0, #0xf', 0, ()),
    (REV_ALL_ARM, 'f6f78bbd', 0xe967, 'b       0x00005480', 0, ()),
    (REV_ALL_ARM, 'f6f741be', 0xe96f, 'b       0x000055f4', 0, ()),
    (REV_ALL_ARM, '90f90b00', 0xe977, 'ldrsb   r0, [r0, #0xb]', 0, ()),
    (REV_ALL_ARM, '0c24', 0xe97b, 'movs    r4, #0xc', 0, ()),
    (REV_ALL_ARM, '06eb0401', 0xe983, 'add     r1, r6, r4', 0, ()),
    (REV_ALL_ARM, '3159', 0xe989, 'ldr     r1, [r6, r4]', 0, ()),
    (REV_ALL_ARM, '02f11f00', 0xe991, 'add     r0, r2, #0x1f', 0, ()),
    (REV_ALL_ARM, '4011', 0xe995, 'asrs    r0, r0, #5', 0, ()),
    (REV_ALL_ARM, '01eb8001', 0xe997, 'add     r1, r1, r0, lsl #2', 0, ()),
    (REV_ALL_ARM, '02f01f00', 0xe99d, 'and     r0, r2, #0x1f', 0, ()),
    (REV_ALL_ARM, 'fff7e4ff', 0xe9a7, 'bl      0x0000e972', 0, ()),
    (REV_ALL_ARM, '0343', 0xe9b5, 'orrs    r3, r0', 0, ()),
    (REV_ALL_ARM, '53f82150', 0xe9df, 'ldr     r5, [r3, r1, lsl #2]', 0, ()),
    (REV_ALL_ARM, '02fb0555', 0xe9e5, 'mla     r5, r2, r5, r5', 0, ()),
    (REV_ALL_ARM, '8e00', 0xe9e9, 'lsls    r6, r1, #2', 0, ()),
    (REV_ALL_ARM, '53f8040c', 0xea05, 'ldr     r0, [r3, #-4]', 0, ()),
    (REV_ALL_ARM, '9210', 0xea0d, 'asrs    r2, r2, #2', 0, ()),
    (REV_ALL_ARM, '00fb0244', 0xea0f, 'mla     r4, r0, r2, r4', 0, ()),
    (REV_ALL_ARM, '0389', 0xe9ef, 'ldrh    r3, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '5843', 0xe9f3, 'muls    r0, r3, r0', 0, ()),
    (REV_ALL_ARM, '10f00100', 0xea23, 'ands    r0, r0, #1', 0, ()),
    (REV_ALL_ARM, '0689', 0xea41, 'ldrh    r6, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '90f80ac0', 0xea45, 'ldrb    r12, [r0, #0xa]', 0, ()),
    (REV_ALL_ARM, 'c272', 0xea4f, 'strb    r2, [r0, #0xb]', 0, ()),
    (REV_ALL_ARM, '4ff00c0e', 0xea55, 'mov     lr, #0xc', 0, ()),
    (REV_ALL_ARM, 'd4f80c80', 0xea69, 'ldr     r8, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, 'b6fbf3f1', 0xea6d, 'udiv    r1, r6, r3', 0, ()),
    (REV_ALL_ARM, '0efb00f7', 0xea71, 'mul     r7, lr, r0', 0, ()),
    (REV_ALL_ARM, '08eb0702', 0xea75, 'add     r2, r8, r7', 0, ()),
    (REV_ALL_ARM, '02f10409', 0xea79, 'add     r9, r2, #4', 0, ()),
    (REV_ALL_ARM, '1f29', 0xea7d, 'cmp     r1, #0x1f', 0, ()),
    (REV_ALL_ARM, 'c2e90199', 0xea7f, 'strd    r9, r9, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '11f11f02', 0xea93, 'adds    r2, r1, #0x1f', 0, ()),
    (REV_ALL_ARM, '01f13e02', 0xea99, 'add     r2, r1, #0x3e', 0, ()),
    (REV_ALL_ARM, '5211', 0xea9d, 'asrs    r2, r2, #5', 0, ()),
    (REV_ALL_ARM, '48f80750', 0xea9f, 'str     r5, [r8, r7]', 0, ()),
    (REV_ALL_ARM, '05eb8205', 0xeaa3, 'add     r5, r5, r2, lsl #2', 0, ()),
    (REV_ALL_ARM, 'e072', 0xea85, 'strb    r0, [r4, #0xb]', 0, ()),
    (REV_ALL_ARM, '6943', 0xeaaf, 'muls    r1, r5, r1', 0, ()),
    (REV_ALL_ARM, '5018', 0xeab1, 'adds    r0, r2, r1', 0, ()),
    (REV_ALL_ARM, '1e1d', 0xeab3, 'adds    r6, r3, #4', 0, ()),
    (REV_ALL_ARM, '5650', 0xeab5, 'str     r6, [r2, r1]', 0, ()),
    (REV_ALL_ARM, '9860', 0xeac1, 'str     r0, [r3, #8]', 0, ()),
    (REV_ALL_ARM, 'fff76cff', 0xeac7, 'bl      0x0000e9a2', 0, ()),
    (REV_ALL_ARM, 'c7e7', 0xeacd, 'b       0x0000ea5e', 0, ()),
    (REV_ALL_ARM, '8445', 0xea59, 'cmp     r12, r0', 0, ()),
    (REV_ALL_ARM, '2389', 0xea5f, 'ldrh    r3, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '21dc', 0xea63, 'bgt     0x0000eaa8', 0, ()),
    (REV_ALL_ARM, '847a', 0xead5, 'ldrb    r4, [r0, #0xa]', 0, ()),
    (REV_ALL_ARM, '00af', 0xead7, 'add     r7, sp, #0', 0, ()),
    (REV_ALL_ARM, 'c7e90232', 0xead9, 'strd    r3, r2, [r7, #8]', 0, ()),
    (REV_ALL_ARM, 'a300', 0xeadd, 'lsls    r3, r4, #2', 0, ()),
    (REV_ALL_ARM, '0733', 0xeadf, 'adds    r3, #7', 0, ()),
    (REV_ALL_ARM, '03f4ff63', 0xeae1, 'and     r3, r3, #0x7f8', 0, ()),
    (REV_ALL_ARM, 'adeb030d', 0xeae5, 'sub     sp, sp, r3', 0, ()),
    (REV_ALL_ARM, 'ea46', 0xeae9, 'mov     r10, sp', 0, ()),
    (REV_ALL_ARM, '42f80439', 0xeaef, 'str     r3, [r2], #-4', 0, ()),
    (REV_ALL_ARM, 'b8f1ff3f', 0xeb15, 'cmp     r8, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '287c', 0xeb2b, 'ldrb    r0, [r5, #0x10]', 0, ()),
    (REV_ALL_ARM, '02fb0833', 0xeb37, 'mla     r3, r2, r8, r3', 0, ()),
    (REV_ALL_ARM, 'c346', 0xeb3b, 'mov     r11, r8', 0, ()),
    (REV_ALL_ARM, 'ba6c', 0xeb1b, 'ldr     r2, [r7, #0x48]', 0, ()),
    (REV_ALL_ARM, '52f8043f', 0xeb0d, 'ldr     r3, [r2, #4]!', 0, ()),
    (REV_ALL_ARM, '08d2', 0xeb13, 'bcs     0x0000eb26', 0, ()),
    (REV_ALL_ARM, 'd4e90031', 0xeb87, 'ldrd    r3, r1, [r4]', 0, ()),
    (REV_ALL_ARM, 'c4e90033', 0xeb91, 'strd    r3, r3, [r4]', 0, ()),
    (REV_ALL_ARM, '5af82b20', 0xeb97, 'ldr     r2, [r10, r11, lsl #2]', 0, ()),
    (REV_ALL_ARM, 'e31a', 0xeb9b, 'subs    r3, r4, r3', 0, ()),
    (REV_ALL_ARM, '93fbf2f2', 0xeb9f, 'sdiv    r2, r3, r2', 0, ()),
    (REV_ALL_ARM, 'fff70bff', 0xeba5, 'bl      0x0000e9be', 0, ()),
    (REV_ALL_ARM, '0aeb8b03', 0xeba9, 'add     r3, r10, r11, lsl #2', 0, ()),
    (REV_ALL_ARM, '0bf10109', 0xebad, 'add     r9, r11, #1', 0, ()),
    (REV_ALL_ARM, 'fb61', 0xebb1, 'str     r3, [r7, #0x1c]', 0, ()),
    (REV_ALL_ARM, '0bf1ff3b', 0xeb47, 'add     r11, r11, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'bbf1ff3f', 0xeb4b, 'cmp     r11, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'a3f10c03', 0xeb4f, 'sub     r3, r3, #0xc', 0, ()),
    (REV_ALL_ARM, '2437', 0xeb7f, 'adds    r7, #0x24', 0, ()),
    (REV_ALL_ARM, 'bd46', 0xeb81, 'mov     sp, r7', 0, ()),
    (REV_ALL_ARM, 'fff75bff', 0xeb5b, 'bl      0x0000ea14', 0, ()),
    (REV_ALL_ARM, 'bb6c', 0xeb5f, 'ldr     r3, [r7, #0x48]', 0, ()),
    (REV_ALL_ARM, 'dcd0', 0xeb65, 'beq     0x0000eb20', 0, ()),
    (REV_ALL_ARM, 'fb69', 0xebbb, 'ldr     r3, [r7, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'bb61', 0xebcd, 'str     r3, [r7, #0x18]', 0, ()),
    (REV_ALL_ARM, '03fb09f3', 0xebd1, 'mul     r3, r3, r9', 0, ()),
    (REV_ALL_ARM, '3b61', 0xebd5, 'str     r3, [r7, #0x10]', 0, ()),
    (REV_ALL_ARM, '4ff0010b', 0xebd7, 'mov     r11, #1', 0, ()),
    (REV_ALL_ARM, '52f8044f', 0xeb3f, 'ldr     r4, [r2, #4]!', 0, ()),
    (REV_ALL_ARM, '2be0', 0xeb25, 'b       0x0000eb7e', 0, ()),
    (REV_ALL_ARM, 'fb68', 0xeb67, 'ldr     r3, [r7, #0xc]', 0, ()),
    (REV_ALL_ARM, 'c3f80080', 0xeb69, 'str     r8, [r3]', 0, ()),
    (REV_ALL_ARM, '5af82830', 0xeb71, 'ldr     r3, [r10, r8, lsl #2]', 0, ()),
    (REV_ALL_ARM, '94fbf3f4', 0xeb75, 'sdiv    r4, r4, r3', 0, ()),
    (REV_ALL_ARM, 'bbf1040f', 0xec1f, 'cmp     r11, #4', 0, ()),
    (REV_ALL_ARM, '7b69', 0xebff, 'ldr     r3, [r7, #0x14]', 0, ()),
    (REV_ALL_ARM, '3869', 0xec01, 'ldr     r0, [r7, #0x10]', 0, ()),
    (REV_ALL_ARM, '0bfb03f2', 0xec03, 'mul     r2, r11, r3', 0, ()),
    (REV_ALL_ARM, 'a118', 0xec0b, 'adds    r1, r4, r2', 0, ()),
    (REV_ALL_ARM, 'a050', 0xec0f, 'str     r0, [r4, r2]', 0, ()),
    (REV_ALL_ARM, '4a60', 0xec13, 'str     r2, [r1, #4]', 0, ()),
    (REV_ALL_ARM, 'bb69', 0xebdb, 'ldr     r3, [r7, #0x18]', 0, ()),
    (REV_ALL_ARM, '0beb0302', 0xebdd, 'add     r2, r11, r3', 0, ()),
    (REV_ALL_ARM, '7a60', 0xebe3, 'str     r2, [r7, #4]', 0, ()),
    (REV_ALL_ARM, 'fff7d9fe', 0xebed, 'bl      0x0000e9a2', 0, ()),
    (REV_ALL_ARM, '7a68', 0xebf1, 'ldr     r2, [r7, #4]', 0, ()),
    (REV_ALL_ARM, '09f1ff33', 0xebb3, 'add     r3, r9, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'cdda', 0xebb9, 'bge     0x0000eb56', 0, ()),
    (REV_ALL_ARM, 'e946', 0xec51, 'mov     r9, sp', 0, ()),
    (REV_ALL_ARM, 'c9f80030', 0xec55, 'str     r3, [r9]', 0, ()),
    (REV_ALL_ARM, '41f8043f', 0xec91, 'str     r3, [r1, #4]!', 0, ()),
    (REV_ALL_ARM, '207c', 0xec67, 'ldrb    r0, [r4, #0x10]', 0, ()),
    (REV_ALL_ARM, 'fff7dbfe', 0xec69, 'bl      0x0000ea22', 0, ()),
    (REV_ALL_ARM, '0fd2', 0xec65, 'bcs     0x0000ec86', 0, ()),
    (REV_ALL_ARM, '59f82630', 0xec99, 'ldr     r3, [r9, r6, lsl #2]', 0, ()),
    (REV_ALL_ARM, '7b60', 0xec9d, 'str     r3, [r7, #4]', 0, ()),
    (REV_ALL_ARM, '03fb05fb', 0xec9f, 'mul     r11, r3, r5', 0, ()),
    (REV_ALL_ARM, '3b60', 0xeca5, 'str     r3, [r7]', 0, ()),
    (REV_ALL_ARM, '03eb0b0a', 0xecad, 'add     r10, r3, r11', 0, ()),
    (REV_ALL_ARM, 'fff777fe', 0xecb1, 'bl      0x0000e9a2', 0, ()),
    (REV_ALL_ARM, '03fb0622', 0xecb9, 'mla     r2, r3, r6, r2', 0, ()),
    (REV_ALL_ARM, '111d', 0xecbf, 'adds    r1, r2, #4', 0, ()),
    (REV_ALL_ARM, '43f80b10', 0xecc1, 'str     r1, [r3, r11]', 0, ()),
    (REV_ALL_ARM, 'caf80430', 0xecc7, 'str     r3, [r10, #4]', 0, ()),
    (REV_ALL_ARM, 'c3f800a0', 0xeccd, 'str     r10, [r3]', 0, ()),
    (REV_ALL_ARM, 'c2f808a0', 0xecd1, 'str     r10, [r2, #8]', 0, ()),
    (REV_ALL_ARM, 'fff79cfe', 0xecd9, 'bl      0x0000ea14', 0, ()),
    (REV_ALL_ARM, 'fff7a0fe', 0xecdf, 'bl      0x0000ea22', 0, ()),
    (REV_ALL_ARM, 'c6d0', 0xece7, 'beq     0x0000ec76', 0, ()),
    (REV_ALL_ARM, 'fff7cbfe', 0xec7b, 'bl      0x0000ea14', 0, ()),
    (REV_ALL_ARM, '1437', 0xec7f, 'adds    r7, #0x14', 0, ()),
    (REV_ALL_ARM, '07f10c03', 0xece9, 'add     r3, r7, #0xc', 0, ()),
    (REV_ALL_ARM, 'fff73efe', 0xecf3, 'bl      0x0000e972', 0, ()),
    (REV_ALL_ARM, '23fa00f0', 0xed05, 'lsr     r0, r3, r0', 0, ()),
    (REV_ALL_ARM, '0f28', 0xed0d, 'cmp     r0, #0xf', 0, ()),
    (REV_ALL_ARM, 'b2d1', 0xed0f, 'bne     0x0000ec76', 0, ()),
    (REV_ALL_ARM, 'baf1040f', 0xed59, 'cmp     r10, #4', 0, ()),
    (REV_ALL_ARM, 'ddd1', 0xed5d, 'bne     0x0000ed1a', 0, ()),
    (REV_ALL_ARM, '5a46', 0xed2f, 'mov     r2, r11', 0, ()),
    (REV_ALL_ARM, '7b68', 0xed37, 'ldr     r3, [r7, #4]', 0, ()),
    (REV_ALL_ARM, '03fb0bf2', 0xed39, 'mul     r2, r3, r11', 0, ()),
    (REV_ALL_ARM, '9918', 0xed3f, 'adds    r1, r3, r2', 0, ()),
    (REV_ALL_ARM, '9858', 0xed41, 'ldr     r0, [r3, r2]', 0, ()),
    (REV_ALL_ARM, 'd1f804c0', 0xed43, 'ldr     r12, [r1, #4]', 0, ()),
    (REV_ALL_ARM, 'ccf80000', 0xed47, 'str     r0, [r12]', 0, ()),
    (REV_ALL_ARM, 'c0f804c0', 0xed4b, 'str     r12, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '9850', 0xed51, 'str     r0, [r3, r2]', 0, ()),
    (REV_ALL_ARM, '4860', 0xed53, 'str     r0, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '03eb0a0b', 0xed1d, 'add     r11, r3, r10', 0, ()),
    (REV_ALL_ARM, 'fff758fe', 0xed29, 'bl      0x0000e9dc', 0, ()),
    (REV_ALL_ARM, '90b1', 0xed2d, 'cbz     r0, 0x0000ed54', 0, ()),
    (REV_ALL_ARM, '0335', 0xed63, 'adds    r5, #3', 0, ()),
    (REV_ALL_ARM, '12da', 0xec71, 'bge     0x0000ec98', 0, ()),
    (REV_ALL_ARM, 'fef76ffa', 0xed77, 'bl      0x0000d258', 0, ()),
    (REV_ALL_ARM, 'faf7edfe', 0xed7b, 'bl      0x00009b58', 0, ()),
    #(REV_ALL_ARM, '03f029fc', 0xed89, 'bl      0x000025de', 0, ()),
    (REV_ALL_ARM, '43e800ce', 0xeda3, 'strex   lr, r12, [r3]', 0, ()),
    (REV_ALL_ARM, 'cb07', 0xedb1, 'lsls    r3, r1, #0x1f', 0, ()),
    (REV_ALL_ARM, '00d5', 0xedb3, 'bpl     0x0000edb6', 0, ()),
    (REV_ALL_ARM, 'fef7c7f9', 0xedb7, 'bl      0x0000d148', 0, ()),
    (REV_ALL_ARM, '9047', 0xedb5, 'blx     r2', 0, ()),
    (REV_ALL_ARM, '4520', 0xedc7, 'movs    r0, #0x45', 0, ()),
    (REV_ALL_ARM, '5220', 0xedcd, 'movs    r0, #0x52', 0, ()),
    (REV_ALL_ARM, '0fb4', 0xeddd, 'push    {r0, r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, '51f8040b', 0xede3, 'ldr     r0, [r1], #4', 0, ()),
    (REV_ALL_ARM, 'f7f7a4f8', 0xede9, 'bl      0x00005f34', 0, ()),
    (REV_ALL_ARM, 'd0e90020', 0xedf9, 'ldrd    r2, r0, [r0]', 0, ()),
    (REV_ALL_ARM, '96bf', 0xedff, 'itet    ls', 0, ()),
    (REV_ALL_ARM, '02f1ff33', 0xee03, 'add     r3, r2, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '03f1ff33', 0xee07, 'add     r3, r3, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '0669', 0xee15, 'ldr     r6, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '9b19', 0xee1d, 'adds    r3, r3, r6', 0, ()),
    (REV_ALL_ARM, '301b', 0xee1f, 'subs    r0, r6, r4', 0, ()),
    (REV_ALL_ARM, 'a3eb0403', 0xee27, 'sub     r3, r3, r4', 0, ()),
    (REV_ALL_ARM, '0444', 0xee39, 'add     r4, r0', 0, ()),
    (REV_ALL_ARM, 'ac60', 0xee43, 'str     r4, [r5, #8]', 0, ()),
    (REV_ALL_ARM, 'fff7d4ff', 0xee4b, 'bl      0x0000edf6', 0, ()),
    (REV_ALL_ARM, '09d3', 0xee51, 'bcc     0x0000ee66', 0, ()),
    (REV_ALL_ARM, 'c4e90111', 0xee5f, 'strd    r1, r1, [r4, #4]', 0, ()),
    #(REV_ALL_ARM, '02f02df8', 0xee8b, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '2d1b', 0xee8f, 'subs    r5, r5, r4', 0, ()),
    (REV_ALL_ARM, '2744', 0xee91, 'add     r7, r4', 0, ()),
    (REV_ALL_ARM, 'd0e90336', 0xeead, 'ldrd    r3, r6, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, 'f018', 0xeeb9, 'adds    r0, r6, r3', 0, ()),
    (REV_ALL_ARM, '03f1ff30', 0xeebb, 'add     r0, r3, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '00f1ff30', 0xeec3, 'add     r0, r0, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'f21a', 0xeec7, 'subs    r2, r6, r3', 0, ()),
    (REV_ALL_ARM, 'ba42', 0xeec9, 'cmp     r2, r7', 0, ()),
    (REV_ALL_ARM, 'a0eb0505', 0xeecb, 'sub     r5, r0, r5', 0, ()),
    (REV_ALL_ARM, '06f1ff30', 0xeecf, 'add     r0, r6, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'a0eb0500', 0xeed3, 'sub     r0, r0, r5', 0, ()),
    (REV_ALL_ARM, '9b1b', 0xeeeb, 'subs    r3, r3, r6', 0, ()),
    (REV_ALL_ARM, '0569', 0xeef5, 'ldr     r5, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, 'fff77dff', 0xeef9, 'bl      0x0000edf6', 0, ()),
    (REV_ALL_ARM, '6b1e', 0xeefd, 'subs    r3, r5, #1', 0, ()),
    (REV_ALL_ARM, '08d3', 0xef03, 'bcc     0x0000ef16', 0, ()),
    (REV_ALL_ARM, '491b', 0xef0d, 'subs    r1, r1, r5', 0, ()),
    (REV_ALL_ARM, '2160', 0xef0f, 'str     r1, [r4]', 0, ()),
    (REV_ALL_ARM, 'fff7d0ff', 0xef4f, 'bl      0x0000eef2', 0, ()),
    #(REV_ALL_ARM, '01f0d5ff', 0xef3b, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'fef738b9', 0xef65, 'b       0x0000d1d8', 0, ()),
    (REV_ALL_ARM, '80f8b933', 0xef79, 'strb    r3, [r0, #0x3b9]', 0, ()),
    (REV_ALL_ARM, 'fff7f4ff', 0xef7d, 'bl      0x0000ef68', 0, ()),
    (REV_ALL_ARM, '54f8100b', 0xef81, 'ldr     r0, [r4], #0x10', 0, ()),
    #(REV_ALL_ARM, '00f03bfa', 0xef85, 'bl      0x0000f3fe', 0, ()),
    (REV_ALL_ARM, '0fcc', 0xef89, 'ldm     r4!, {r0, r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, '6e46', 0xef8b, 'mov     r6, sp', 0, ()),
    (REV_ALL_ARM, '94e80300', 0xef93, 'ldm     r4, {r0, r1}', 0, ()),
    (REV_ALL_ARM, '86e80300', 0xef97, 'stm     r6, {r0, r1}', 0, ()),
    (REV_ALL_ARM, '2f1d', 0xef9b, 'adds    r7, r5, #4', 0, ()),
    (REV_ALL_ARM, '97e80e00', 0xef9d, 'ldm     r7, {r1, r2, r3}', 0, ()),
    #(REV_ALL_ARM, '00f0ecf9', 0xefa3, 'bl      0x0000f37e', 0, ()),
    #(REV_ALL_ARM, '00f02efa', 0xefab, 'bl      0x0000f40a', 0, ()),
    (REV_ALL_ARM, '05f11004', 0xefb5, 'add     r4, r5, #0x10', 0, ()),
    (REV_ALL_ARM, '82f83810', 0xefbd, 'strb    r1, [r2, #0x38]', 0, ()),
    (REV_ALL_ARM, 'd187', 0xefc1, 'strh    r1, [r2, #0x3e]', 0, ()),
    (REV_ALL_ARM, '0f29', 0xefc5, 'cmp     r1, #0xf', 0, ()),
    (REV_ALL_ARM, 'c2e91000', 0xefc7, 'strd    r0, r0, [r2, #0x40]', 0, ()),
    (REV_ALL_ARM, '82f83960', 0xefcb, 'strb    r6, [r2, #0x39]', 0, ()),
    (REV_ALL_ARM, '82f83b00', 0xefcf, 'strb    r0, [r2, #0x3b]', 0, ()),
    (REV_ALL_ARM, 'd064', 0xefd3, 'str     r0, [r2, #0x4c]', 0, ()),
    (REV_ALL_ARM, '02f11c02', 0xefd5, 'add     r2, r2, #0x1c', 0, ()),
    (REV_ALL_ARM, 'd5f800c0', 0xefdd, 'ldr     r12, [r5]', 0, ()),
    (REV_ALL_ARM, '02f14000', 0xefe3, 'add     r0, r2, #0x40', 0, ()),
    (REV_ALL_ARM, '83f8f821', 0xefe7, 'strb    r2, [r3, #0x1f8]', 0, ()),
    (REV_ALL_ARM, 'da87', 0xefeb, 'strh    r2, [r3, #0x3e]', 0, ()),
    (REV_ALL_ARM, '0ceb8000', 0xefed, 'add     r0, r12, r0, lsl #2', 0, ()),
    (REV_ALL_ARM, '0f2a', 0xeff3, 'cmp     r2, #0xf', 0, ()),
    (REV_ALL_ARM, 'c3e98011', 0xeff5, 'strd    r1, r1, [r3, #0x200]', 0, ()),
    (REV_ALL_ARM, '83f8f911', 0xeff9, 'strb    r1, [r3, #0x1f9]', 0, ()),
    (REV_ALL_ARM, '83f8fb11', 0xeffd, 'strb    r1, [r3, #0x1fb]', 0, ()),
    (REV_ALL_ARM, 'c3f80c12', 0xf001, 'str     r1, [r3, #0x20c]', 0, ()),
    (REV_ALL_ARM, '4160', 0xf005, 'str     r1, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '03f11c03', 0xf007, 'add     r3, r3, #0x1c', 0, ()),
    (REV_ALL_ARM, '6046', 0xf01f, 'mov     r0, r12', 0, ()),
    (REV_ALL_ARM, 'f7f7cefb', 0xf025, 'bl      0x000067c4', 0, ()),
    (REV_ALL_ARM, '85f8b933', 0xf02d, 'strb    r3, [r5, #0x3b9]', 0, ()),
    #(REV_ALL_ARM, '00f0c6fa', 0xf031, 'bl      0x0000f5c0', 0, ()),
    (REV_ALL_ARM, '90f8b833', 0xf041, 'ldrb    r3, [r0, #0x3b8]', 0, ()),
    (REV_ALL_ARM, '80f8b833', 0xf04d, 'strb    r3, [r0, #0x3b8]', 0, ()),
    #(REV_ALL_ARM, '00f0a9fa', 0xf053, 'bl      0x0000f5a8', 0, ()),
    #(REV_ALL_ARM, '00f0cbf9', 0xf059, 'bl      0x0000f3f2', 0, ()),
    (REV_ALL_ARM, '84f8b803', 0xf05f, 'strb    r0, [r4, #0x3b8]', 0, ()),
    #(REV_ALL_ARM, '00f081fa', 0xf083, 'bl      0x0000f588', 0, ()),
    (REV_ALL_ARM, '4eb2', 0xf095, 'sxtb    r6, r1', 0, ()),
    (REV_ALL_ARM, '01f07f05', 0xf097, 'and     r5, r1, #0x7f', 0, ()),
    (REV_ALL_ARM, '4ff01c00', 0xf09f, 'mov     r0, #0x1c', 0, ()),
    (REV_ALL_ARM, 'b5bf', 0xf0a3, 'itete   lt', 0, ()),
    (REV_ALL_ARM, '00fb0541', 0xf0a5, 'mla     r1, r0, r5, r4', 0, ()),
    (REV_ALL_ARM, '00fb0141', 0xf0a9, 'mla     r1, r0, r1, r4', 0, ()),
    (REV_ALL_ARM, '3831', 0xf0ad, 'adds    r1, #0x38', 0, ()),
    (REV_ALL_ARM, '01f5fc71', 0xf0af, 'add     r1, r1, #0x1f8', 0, ()),
    (REV_ALL_ARM, 'cd80', 0xf0b7, 'strh    r5, [r1, #6]', 0, ()),
    (REV_ALL_ARM, '4fead670', 0xf0bd, 'lsr     r0, r6, #0x1f', 0, ()),
    (REV_ALL_ARM, '0d70', 0xf0c7, 'strb    r5, [r1]', 0, ()),
    (REV_ALL_ARM, '4870', 0xf0c9, 'strb    r0, [r1, #1]', 0, ()),
    (REV_ALL_ARM, '94f8b833', 0xf0cd, 'ldrb    r3, [r4, #0x3b8]', 0, ()),
    (REV_ALL_ARM, '84f8b833', 0xf0d9, 'strb    r3, [r4, #0x3b8]', 0, ()),
    #(REV_ALL_ARM, '00f0cdf9', 0xf0dd, 'bl      0x0000f47a', 0, ()),
    (REV_ALL_ARM, '1c24', 0xf0f3, 'movs    r4, #0x1c', 0, ()),
    (REV_ALL_ARM, '04fb0501', 0xf0f5, 'mla     r1, r4, r5, r0', 0, ()),
    (REV_ALL_ARM, '04fb0504', 0xf0f9, 'mla     r4, r4, r5, r0', 0, ()),
    (REV_ALL_ARM, 'c4f80c32', 0xf101, 'str     r3, [r4, #0x20c]', 0, ()),
    (REV_ALL_ARM, 'c4f80422', 0xf107, 'str     r2, [r4, #0x204]', 0, ()),
    (REV_ALL_ARM, 'c4f81032', 0xf10b, 'str     r3, [r4, #0x210]', 0, ()),
    (REV_ALL_ARM, '84f8f931', 0xf10f, 'strb    r3, [r4, #0x1f9]', 0, ()),
    (REV_ALL_ARM, '84f8f851', 0xf113, 'strb    r5, [r4, #0x1f8]', 0, ()),
    (REV_ALL_ARM, 'c4f80822', 0xf11f, 'str     r2, [r4, #0x208]', 0, ()),
    (REV_ALL_ARM, '1db9', 0xf125, 'cbnz    r5, 0x0000f12e', 0, ()),
    (REV_ALL_ARM, 'f7f759fc', 0xf12f, 'bl      0x000069e4', 0, ()),
    (REV_ALL_ARM, 'f7f7e9fb', 0xf127, 'bl      0x000068fc', 0, ()),
    (REV_ALL_ARM, '03fb0100', 0xf13b, 'mla     r0, r3, r1, r0', 0, ()),
    (REV_ALL_ARM, 'b0f81002', 0xf13f, 'ldrh    r0, [r0, #0x210]', 0, ()),
    (REV_ALL_ARM, 'e364', 0xf157, 'str     r3, [r4, #0x4c]', 0, ()),
    (REV_ALL_ARM, '2365', 0xf15b, 'str     r3, [r4, #0x50]', 0, ()),
    (REV_ALL_ARM, '6264', 0xf15f, 'str     r2, [r4, #0x44]', 0, ()),
    (REV_ALL_ARM, '84f83930', 0xf161, 'strb    r3, [r4, #0x39]', 0, ()),
    (REV_ALL_ARM, '84f83850', 0xf165, 'strb    r5, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, 'a264', 0xf171, 'str     r2, [r4, #0x48]', 0, ()),
    (REV_ALL_ARM, 'f7f731fc', 0xf17f, 'bl      0x000069e4', 0, ()),
    (REV_ALL_ARM, 'f7f7c1fb', 0xf177, 'bl      0x000068fc', 0, ()),
    (REV_ALL_ARM, '4bb2', 0xf187, 'sxtb    r3, r1', 0, ()),
    (REV_ALL_ARM, '4ff01c02', 0xf18f, 'mov     r2, #0x1c', 0, ()),
    (REV_ALL_ARM, '02fb0501', 0xf195, 'mla     r1, r2, r5, r0', 0, ()),
    (REV_ALL_ARM, '02fb0101', 0xf199, 'mla     r1, r2, r1, r0', 0, ()),
    (REV_ALL_ARM, 'db0f', 0xf1a5, 'lsrs    r3, r3, #0x1f', 0, ()),
    (REV_ALL_ARM, '80f8b823', 0xf1b7, 'strb    r2, [r0, #0x3b8]', 0, ()),
    #(REV_ALL_ARM, '00f0b6f9', 0xf1bd, 'bl      0x0000f52c', 0, ()),
    #(REV_ALL_ARM, '00f054fa', 0xf1cb, 'bl      0x0000f676', 0, ()),
    (REV_ALL_ARM, '01f07f00', 0xf1e7, 'and     r0, r1, #0x7f', 0, ()),
    (REV_ALL_ARM, '02fb0041', 0xf1ed, 'mla     r1, r2, r0, r4', 0, ()),
    (REV_ALL_ARM, '02fb0141', 0xf1f1, 'mla     r1, r2, r1, r4', 0, ()),
    (REV_ALL_ARM, '8d70', 0xf1ff, 'strb    r5, [r1, #2]', 0, ()),
    (REV_ALL_ARM, '0870', 0xf201, 'strb    r0, [r1]', 0, ()),
    #(REV_ALL_ARM, '00f0a0f9', 0xf215, 'bl      0x0000f558', 0, ()),
    (REV_ALL_ARM, '84f8b853', 0xf219, 'strb    r5, [r4, #0x3b8]', 0, ()),
    (REV_ALL_ARM, '586a', 0xf229, 'ldr     r0, [r3, #0x24]', 0, ()),
    (REV_ALL_ARM, '1204', 0xf22b, 'lsls    r2, r2, #0x10', 0, ()),
    (REV_ALL_ARM, '9c6a', 0xf237, 'ldr     r4, [r3, #0x28]', 0, ()),
    (REV_ALL_ARM, '00eb1440', 0xf23b, 'add     r0, r0, r4, lsr #16', 0, ()),
    (REV_ALL_ARM, '4e1e', 0xf23f, 'subs    r6, r1, #1', 0, ()),
    (REV_ALL_ARM, '4034', 0xf257, 'adds    r4, #0x40', 0, ()),
    (REV_ALL_ARM, '03eb8404', 0xf259, 'add     r4, r3, r4, lsl #2', 0, ()),
    (REV_ALL_ARM, '6468', 0xf25d, 'ldr     r4, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '3f31', 0xf24b, 'adds    r1, #0x3f', 0, ()),
    (REV_ALL_ARM, '03eb8103', 0xf24d, 'add     r3, r3, r1, lsl #2', 0, ()),
    (REV_ALL_ARM, 'ecb2', 0xf241, 'uxtb    r4, r5', 0, ()),
    (REV_ALL_ARM, '05f10105', 0xf245, 'add     r5, r5, #1', 0, ()),
    (REV_ALL_ARM, '05db', 0xf249, 'blt     0x0000f256', 0, ()),
    (REV_ALL_ARM, '5962', 0xf269, 'str     r1, [r3, #0x24]', 0, ()),
    (REV_ALL_ARM, 'a0b1', 0xf273, 'cbz     r0, 0x0000f29e', 0, ()),
    (REV_ALL_ARM, '90f83930', 0xf275, 'ldrb    r3, [r0, #0x39]', 0, ()),
    (REV_ALL_ARM, '03f0ff02', 0xf279, 'and     r2, r3, #0xff', 0, ()),
    (REV_ALL_ARM, 'f7f7b6f9', 0xf291, 'bl      0x00006600', 0, ()),
    (REV_ALL_ARM, '80f83820', 0xf27f, 'strb    r2, [r0, #0x38]', 0, ()),
    (REV_ALL_ARM, 'fff7f3ff', 0xf283, 'bl      0x0000f26c', 0, ()),
    (REV_ALL_ARM, '90f83830', 0xf2a5, 'ldrb    r3, [r0, #0x38]', 0, ()),
    (REV_ALL_ARM, '4ff00200', 0xf2ad, 'mov     r0, #2', 0, ()),
    (REV_ALL_ARM, '84f83830', 0xf2b7, 'strb    r3, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, '84f83900', 0xf2bb, 'strb    r0, [r4, #0x39]', 0, ()),
    (REV_ALL_ARM, 'f7f709f9', 0xf343, 'bl      0x00006558', 0, ()),
    (REV_ALL_ARM, '0969', 0xf349, 'ldr     r1, [r1, #0x10]', 0, ()),
    (REV_ALL_ARM, '42f00802', 0xf34d, 'orr     r2, r2, #8', 0, ()),
    (REV_ALL_ARM, '84f83800', 0xf2d1, 'strb    r0, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, '0c2a', 0xf2d7, 'cmp     r2, #0xc', 0, ()),
    (REV_ALL_ARM, 'dab1', 0xf2c3, 'cbz     r2, 0x0000f2fc', 0, ()),
    (REV_ALL_ARM, 'f7f76af9', 0xf2dd, 'bl      0x000065b4', 0, ()),
    (REV_ALL_ARM, '42f40062', 0xf2e7, 'orr     r2, r2, #0x0800', 0, ()),
    (REV_ALL_ARM, '42ea0122', 0xf2f7, 'orr     r2, r2, r1, lsl #8', 0, ()),
    (REV_ALL_ARM, '30e0', 0xf2fb, 'b       0x0000f35e', 0, ()),
    (REV_ALL_ARM, 'f7f7fff8', 0xf2ff, 'bl      0x00006500', 0, ()),
    (REV_ALL_ARM, '9a69', 0xf307, 'ldr     r2, [r3, #0x18]', 0, ()),
    (REV_ALL_ARM, '2ad0', 0xf2c7, 'beq     0x0000f31e', 0, ()),
    (REV_ALL_ARM, 'f7f7d0f9', 0xf321, 'bl      0x000066c4', 0, ()),
    (REV_ALL_ARM, '8c40', 0xf369, 'lsls    r4, r1', 0, ()),
    (REV_ALL_ARM, '8a40', 0xf373, 'lsls    r2, r1', 0, ()),
    (REV_ALL_ARM, '0262', 0xf377, 'str     r2, [r0, #0x20]', 0, ()),
    (REV_ALL_ARM, 'f7f7d3b9', 0xf37b, 'b       0x00006724', 0, ()),
    (REV_ALL_ARM, '05ad', 0xf383, 'add     r5, sp, #0x14', 0, ()),
    (REV_ALL_ARM, '85e80e00', 0xf385, 'stm     r5, {r1, r2, r3}', 0, ()),
    (REV_ALL_ARM, 'f7f7b7f9', 0xf3e7, 'bl      0x00006758', 0, ()),
    (REV_ALL_ARM, '4ff48033', 0xf3eb, 'mov     r3, #0x10000', 0, ()),
    (REV_ALL_ARM, '8363', 0xf3ef, 'str     r3, [r0, #0x38]', 0, ()),
    (REV_ALL_ARM, '836b', 0xf391, 'ldr     r3, [r0, #0x38]', 0, ()),
    (REV_ALL_ARM, '119b', 0xf3ad, 'ldr     r3, [sp, #0x44]', 0, ()),
    (REV_ALL_ARM, 'f7f7cdf9', 0xf3bb, 'bl      0x00006758', 0, ()),
    (REV_ALL_ARM, '43f00603', 0xf3c7, 'orr     r3, r3, #6', 0, ()),
    (REV_ALL_ARM, '43f02003', 0xf3cf, 'orr     r3, r3, #0x20', 0, ()),
    (REV_ALL_ARM, 'fff79bfd', 0xf423, 'bl      0x0000ef5c', 0, ()),
    (REV_ALL_ARM, 'd0f80038', 0xf437, 'ldr     r3, [r0, #0x800]', 0, ()),
    (REV_ALL_ARM, 'c0f80018', 0xf43d, 'str     r1, [r0, #0x800]', 0, ()),
    (REV_ALL_ARM, '00f50063', 0xf445, 'add     r3, r0, #0x0800', 0, ()),
    (REV_ALL_ARM, 'd0f80808', 0xf449, 'ldr     r0, [r0, #0x808]', 0, ()),
    (REV_ALL_ARM, '10f00600', 0xf44d, 'ands    r0, r0, #6', 0, ()),
    (REV_ALL_ARM, '02f00602', 0xf455, 'and     r2, r2, #6', 0, ()),
    (REV_ALL_ARM, '03f00603', 0xf469, 'and     r3, r3, #6', 0, ()),
    (REV_ALL_ARM, '0e78', 0xf47f, 'ldrb    r6, [r1]', 0, ()),
    (REV_ALL_ARM, '00f50065', 0xf481, 'add     r5, r0, #0x0800', 0, ()),
    (REV_ALL_ARM, '02fa06f2', 0xf489, 'lsl     r2, r2, r6', 0, ()),
    (REV_ALL_ARM, '4fea4614', 0xf48f, 'lsl     r4, r6, #5', 0, ()),
    (REV_ALL_ARM, '43ea0242', 0xf4c7, 'orr     r2, r3, r2, lsl #16', 0, ()),
    (REV_ALL_ARM, 'ea61', 0xf4cf, 'str     r2, [r5, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'f5d4', 0xf4d5, 'bmi     0x0000f4c2', 0, ()),
    (REV_ALL_ARM, '00f51060', 0xf499, 'add     r0, r0, #0x900', 0, ()),
    (REV_ALL_ARM, '1a04', 0xf4a1, 'lsls    r2, r3, #0x10', 0, ()),
    (REV_ALL_ARM, '0259', 0xf4d9, 'ldr     r2, [r0, r4]', 0, ()),
    (REV_ALL_ARM, 'c3f30a03', 0xf4db, 'ubfx    r3, r3, #0, #0xb', 0, ()),
    (REV_ALL_ARM, '43ea8243', 0xf4e3, 'orr     r3, r3, r2, lsl #18', 0, ()),
    (REV_ALL_ARM, '0559', 0xf4a7, 'ldr     r5, [r0, r4]', 0, ()),
    (REV_ALL_ARM, 'c2f30a03', 0xf4a9, 'ubfx    r3, r2, #0, #0xb', 0, ()),
    (REV_ALL_ARM, '43ea8653', 0xf4b5, 'orr     r3, r3, r6, lsl #22', 0, ()),
    (REV_ALL_ARM, '43f40043', 0xf4bd, 'orr     r3, r3, #0x08000', 0, ()),
    (REV_ALL_ARM, '9df80840', 0xf4eb, 'ldrb    r4, [sp, #8]', 0, ()),
    (REV_ALL_ARM, '4cb9', 0xf4ef, 'cbnz    r4, 0x0000f504', 0, ()),
    (REV_ALL_ARM, '00f58050', 0xf4f3, 'add     r0, r0, #0x1000', 0, ()),
    (REV_ALL_ARM, '00eb0230', 0xf4f9, 'add     r0, r0, r2, lsl #12', 0, ()),
    (REV_ALL_ARM, '01eb8303', 0xf4fd, 'add     r3, r1, r3, lsl #2', 0, ()),
    (REV_ALL_ARM, '51f8042b', 0xf509, 'ldr     r2, [r1], #4', 0, ()),
    (REV_ALL_ARM, '9208', 0xf513, 'lsrs    r2, r2, #2', 0, ()),
    (REV_ALL_ARM, '41f8043b', 0xf527, 'str     r3, [r1], #4', 0, ()),
    (REV_ALL_ARM, '5b01', 0xf53d, 'lsls    r3, r3, #5', 0, ()),
    (REV_ALL_ARM, 'c258', 0xf53f, 'ldr     r2, [r0, r3]', 0, ()),
    (REV_ALL_ARM, 'c250', 0xf54b, 'str     r2, [r0, r3]', 0, ()),
    (REV_ALL_ARM, '42f40012', 0xf54f, 'orr     r2, r2, #0x200000', 0, ()),
    (REV_ALL_ARM, '4978', 0xf55d, 'ldrb    r1, [r1, #1]', 0, ()),
    (REV_ALL_ARM, 'c158', 0xf56f, 'ldr     r1, [r0, r3]', 0, ()),
    (REV_ALL_ARM, 'c150', 0xf577, 'str     r1, [r0, r3]', 0, ()),
    (REV_ALL_ARM, '9ebf', 0xf57b, 'ittt    ls', 0, ()),
    (REV_ALL_ARM, 'c0f80038', 0xf591, 'str     r3, [r0, #0x800]', 0, ()),
    (REV_ALL_ARM, '0901', 0xf599, 'lsls    r1, r1, #4', 0, ()),
    (REV_ALL_ARM, '01f4fe61', 0xf59b, 'and     r1, r1, #0x7f0', 0, ()),
    (REV_ALL_ARM, 'd0f80438', 0xf5ab, 'ldr     r3, [r0, #0x804]', 0, ()),
    (REV_ALL_ARM, 'c0f80438', 0xf5b3, 'str     r3, [r0, #0x804]', 0, ()),
    (REV_ALL_ARM, 'fff7d0fc', 0xf5b9, 'bl      0x0000ef5c', 0, ()),
    (REV_ALL_ARM, 'fff7c4fc', 0xf5d1, 'bl      0x0000ef5c', 0, ()),
    (REV_ALL_ARM, '8069', 0xf5db, 'ldr     r0, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, '1040', 0xf5dd, 'ands    r0, r2', 0, ()),
    (REV_ALL_ARM, 'd0f81838', 0xf5e1, 'ldr     r3, [r0, #0x818]', 0, ()),
    (REV_ALL_ARM, '1840', 0xf5eb, 'ands    r0, r3', 0, ()),
    (REV_ALL_ARM, '000c', 0xf5ed, 'lsrs    r0, r0, #0x10', 0, ()),
    (REV_ALL_ARM, '00f53063', 0xf601, 'add     r3, r0, #0xb00', 0, ()),
    (REV_ALL_ARM, '03eb4113', 0xf605, 'add     r3, r3, r1, lsl #5', 0, ()),
    (REV_ALL_ARM, '4069', 0xf60f, 'ldr     r0, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, 'd0f81048', 0xf617, 'ldr     r4, [r0, #0x810]', 0, ()),
    (REV_ALL_ARM, 'd0f83438', 0xf61b, 'ldr     r3, [r0, #0x834]', 0, ()),
    (REV_ALL_ARM, '00eb4110', 0xf61f, 'add     r0, r0, r1, lsl #5', 0, ()),
    (REV_ALL_ARM, 'cb40', 0xf623, 'lsrs    r3, r1', 0, ()),
    (REV_ALL_ARM, 'd0f80039', 0xf63d, 'ldr     r3, [r0, #0x900]', 0, ()),
    (REV_ALL_ARM, 'c0f80039', 0xf649, 'str     r3, [r0, #0x900]', 0, ()),
    (REV_ALL_ARM, 'd0f80828', 0xf64d, 'ldr     r2, [r0, #0x808]', 0, ()),
    (REV_ALL_ARM, 'd0f80029', 0xf659, 'ldr     r2, [r0, #0x900]', 0, ()),
    (REV_ALL_ARM, 'c0f80029', 0xf661, 'str     r2, [r0, #0x900]', 0, ()),
    (REV_ALL_ARM, 'd0f80428', 0xf665, 'ldr     r2, [r0, #0x804]', 0, ()),
    (REV_ALL_ARM, 'c0f8104b', 0xf67b, 'str     r4, [r0, #0xb10]', 0, ()),
    (REV_ALL_ARM, 'd0f8104b', 0xf67f, 'ldr     r4, [r0, #0xb10]', 0, ()),
    (REV_ALL_ARM, '44f40024', 0xf683, 'orr     r4, r4, #0x080000', 0, ()),
    (REV_ALL_ARM, '44f01804', 0xf68f, 'orr     r4, r4, #0x18', 0, ()),
    (REV_ALL_ARM, '44f0c044', 0xf6a1, 'orr     r4, r4, #0x60000000', 0, ()),
    (REV_ALL_ARM, '4ff08023', 0xf6a7, 'mov     r3, #0x080008000', 0, ()),
    (REV_ALL_ARM, 'c0f8142b', 0xf6b1, 'str     r2, [r0, #0xb14]', 0, ()),
    (REV_ALL_ARM, 'c0f8003b', 0xf6b5, 'str     r3, [r0, #0xb00]', 0, ()),
    (REV_ALL_ARM, 'f7f745fb', 0xf6fb, 'bl      0x00006d88', 0, ()),
    (REV_ALL_ARM, '0561', 0xf701, 'str     r5, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, 'f7f720bc', 0xf709, 'b       0x00006f4c', 0, ()),
    (REV_ALL_ARM, 'f7f737fb', 0xf717, 'bl      0x00006d88', 0, ()),
    (REV_ALL_ARM, '427a', 0xf71d, 'ldrb    r2, [r0, #9]', 0, ()),
    (REV_ALL_ARM, '0661', 0xf71f, 'str     r6, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '4561', 0xf729, 'str     r5, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, 'f7f70cbc', 0xf731, 'b       0x00006f4c', 0, ()),
    (REV_ALL_ARM, 'f7f721fb', 0xf743, 'bl      0x00006d88', 0, ()),
    (REV_ALL_ARM, 'c0f81080', 0xf74b, 'str     r8, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '4372', 0xf755, 'strb    r3, [r0, #9]', 0, ()),
    (REV_ALL_ARM, 'c0e90576', 0xf757, 'strd    r7, r6, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, 'f7f7f4bb', 0xf761, 'b       0x00006f4c', 0, ()),
    (REV_ALL_ARM, 'bdf82090', 0xf76f, 'ldrh    r9, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, 'f7f706fb', 0xf779, 'bl      0x00006d88', 0, ()),
    (REV_ALL_ARM, 'c561', 0xf791, 'str     r5, [r0, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'bde8f843', 0xf795, 'pop     {r3, r4, r5, r6, r7, r8, r9, lr}', 0, ()),
    (REV_ALL_ARM, 'f7f7d8bb', 0xf799, 'b       0x00006f4c', 0, ()),
    #(REV_ALL_ARM, '00f09ef8', 0xf7a5, 'bl      0x0000f8e4', 0, ()),
    (REV_ALL_ARM, 'f7f7ccbb', 0xf7b1, 'b       0x00006f4c', 0, ()),
    (REV_ALL_ARM, '9df82070', 0xf7bf, 'ldrb    r7, [sp, #0x20]', 0, ()),
    (REV_ALL_ARM, 'c3f38d02', 0xf7c7, 'ubfx    r2, r3, #2, #0xe', 0, ()),
    (REV_ALL_ARM, '131b', 0xf7df, 'subs    r3, r2, r4', 0, ()),
    (REV_ALL_ARM, 'd1f80090', 0xf7e5, 'ldr     r9, [r1]', 0, ()),
    (REV_ALL_ARM, '27d9', 0xf7e9, 'bls     0x0000f83a', 0, ()),
    (REV_ALL_ARM, '1430', 0xf83b, 'adds    r0, #0x14', 0, ()),
    (REV_ALL_ARM, '072c', 0xf7eb, 'cmp     r4, #7', 0, ()),
    (REV_ALL_ARM, 'd0f81480', 0xf7ed, 'ldr     r8, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, '2ad8', 0xf7f1, 'bhi     0x0000f848', 0, ()),
    (REV_ALL_ARM, 'ffb1', 0xf801, 'cbz     r7, 0x0000f842', 0, ()),
    (REV_ALL_ARM, '083c', 0xf849, 'subs    r4, #8', 0, ()),
    (REV_ALL_ARM, 'd8f80080', 0xf84f, 'ldr     r8, [r8]', 0, ()),
    (REV_ALL_ARM, '1c3c', 0xf853, 'subs    r4, #0x1c', 0, ()),
    #(REV_ALL_ARM, '01f070fb', 0xf805, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'a9eb0509', 0xf809, 'sub     r9, r9, r5', 0, ()),
    (REV_ALL_ARM, '2e44', 0xf80d, 'add     r6, r5', 0, ()),
    (REV_ALL_ARM, 'c4f11c05', 0xf815, 'rsb     r5, r4, #0x1c', 0, ()),
    (REV_ALL_ARM, '4d45', 0xf819, 'cmp     r5, r9', 0, ()),
    (REV_ALL_ARM, '4d46', 0xf81d, 'mov     r5, r9', 0, ()),
    (REV_ALL_ARM, '4044', 0xf821, 'add     r0, r8', 0, ()),
    (REV_ALL_ARM, 'bfb1', 0xf825, 'cbz     r7, 0x0000f856', 0, ()),
    (REV_ALL_ARM, '1b2c', 0xf84b, 'cmp     r4, #0x1b', 0, ()),
    (REV_ALL_ARM, 'dfd9', 0xf84d, 'bls     0x0000f80e', 0, ()),
    #(REV_ALL_ARM, '01f05efb', 0xf829, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '40e80032', 0xf869, 'strex   r2, r3, [r0]', 0, ()),
    (REV_ALL_ARM, '0009', 0xf879, 'lsrs    r0, r0, #4', 0, ()),
    (REV_ALL_ARM, 'b1eb131f', 0xf87f, 'cmp     r1, r3, lsr #4', 0, ()),
    (REV_ALL_ARM, '4fea1312', 0xf883, 'lsr     r2, r3, #4', 0, ()),
    (REV_ALL_ARM, '00eb8100', 0xf88d, 'add     r0, r0, r1, lsl #2', 0, ()),
    (REV_ALL_ARM, '0739', 0xf8b3, 'subs    r1, #7', 0, ()),
    (REV_ALL_ARM, '03eb8101', 0xf8a9, 'add     r1, r3, r1, lsl #2', 0, ()),
    (REV_ALL_ARM, '4868', 0xf8ad, 'ldr     r0, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '52e8001f', 0xf8c3, 'ldrex   r1, [r2]', 0, ()),
    (REV_ALL_ARM, '42e8001c', 0xf8c9, 'strex   r12, r1, [r2]', 0, ()),
    (REV_ALL_ARM, 'f7f7bfbc', 0xf8db, 'b       0x0000725c', 0, ()),
    (REV_ALL_ARM, '0069', 0xf8e1, 'ldr     r0, [r0, #0x10]', 0, ()),
    (REV_ALL_ARM, '2de9f84f', 0xf8e5, 'push    {r3, r4, r5, r6, r7, r8, r9, r10, r11, lr}', 0, ()),
    (REV_ALL_ARM, 'f7f7a3fc', 0xf8ef, 'bl      0x00007238', 0, ()),
    (REV_ALL_ARM, 'bde8f88f', 0xf94d, 'pop     {r3, r4, r5, r6, r7, r8, r9, r10, r11, pc}', 0, ()),
    (REV_ALL_ARM, '032d', 0xf8fd, 'cmp     r5, #3', 0, ()),
    (REV_ALL_ARM, 'a0f808a0', 0xf901, 'strh    r10, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '19d8', 0xf92b, 'bhi     0x0000f960', 0, ()),
    (REV_ALL_ARM, 'a5f10209', 0xf90b, 'sub     r9, r5, #2', 0, ()),
    (REV_ALL_ARM, '00f1140b', 0xf90f, 'add     r11, r0, #0x14', 0, ()),
    (REV_ALL_ARM, 'c0f814a0', 0xf913, 'str     r10, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, 'd4f81480', 0xf969, 'ldr     r8, [r4, #0x14]', 0, ()),
    #(REV_ALL_ARM, '01f0bcfa', 0xf96d, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '023d', 0xf971, 'subs    r5, #2', 0, ()),
    (REV_ALL_ARM, '0837', 0xf973, 'adds    r7, #8', 0, ()),
    (REV_ALL_ARM, 'aa00', 0xf92d, 'lsls    r2, r5, #2', 0, ()),
    #(REV_ALL_ARM, '01f0d8fa', 0xf935, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'f7f77dfc', 0xf93b, 'bl      0x00007238', 0, ()),
    (REV_ALL_ARM, '4fea8609', 0xf97d, 'lsl     r9, r6, #2', 0, ()),
    (REV_ALL_ARM, '08f10400', 0xf983, 'add     r0, r8, #4', 0, ()),
    #(REV_ALL_ARM, '01f0aefa', 0xf989, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '4f44', 0xf993, 'add     r7, r9', 0, ()),
    (REV_ALL_ARM, 'a9f10709', 0xf955, 'sub     r9, r9, #7', 0, ()),
    (REV_ALL_ARM, 'c0f800a0', 0xf959, 'str     r10, [r0]', 0, ()),
    (REV_ALL_ARM, '8346', 0xf95d, 'mov     r11, r0', 0, ()),
    (REV_ALL_ARM, 'f7f78afc', 0xf945, 'bl      0x0000725c', 0, ()),
    (REV_ALL_ARM, '0094', 0xf99d, 'str     r4, [sp]', 0, ()),
    (REV_ALL_ARM, 'fff70aff', 0xf99f, 'bl      0x0000f7b6', 0, ()),
    (REV_ALL_ARM, '241a', 0xf9b9, 'subs    r4, r4, r0', 0, ()),
    (REV_ALL_ARM, '0eaf', 0xf9c7, 'add     r7, sp, #0x38', 0, ()),
    (REV_ALL_ARM, 'fff788ff', 0xf9cd, 'bl      0x0000f8e0', 0, ()),
    (REV_ALL_ARM, '8300', 0xf9d9, 'lsls    r3, r0, #2', 0, ()),
    (REV_ALL_ARM, '0eac', 0xf9e7, 'add     r4, sp, #0x38', 0, ()),
    (REV_ALL_ARM, 'fff72bff', 0xfa23, 'bl      0x0000f87c', 0, ()),
    (REV_ALL_ARM, '44f82900', 0xfa27, 'str     r0, [r4, r9, lsl #2]', 0, ()),
    (REV_ALL_ARM, 'fff740ff', 0xf9f3, 'bl      0x0000f876', 0, ()),
    (REV_ALL_ARM, 'd145', 0xf9ed, 'cmp     r9, r10', 0, ()),
    (REV_ALL_ARM, 'f7f744fc', 0xfa35, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'f7f73cfc', 0xfa45, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'd4e90023', 0xfa4b, 'ldrd    r2, r3, [r4]', 0, ()),
    (REV_ALL_ARM, 'f7f735fc', 0xfa53, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'f7f72cfc', 0xfa65, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'f7f721fc', 0xfa7b, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'f7f714fc', 0xfa95, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'f7f705fc', 0xfab3, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'bfe7', 0xfab7, 'b       0x0000fa38', 0, ()),
    (REV_ALL_ARM, 'f7f7f4fb', 0xfad5, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'e369', 0xfadb, 'ldr     r3, [r4, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'f7f7e1fb', 0xfafb, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '236a', 0xfb01, 'ldr     r3, [r4, #0x20]', 0, ()),
    (REV_ALL_ARM, 'f7f7ccfb', 0xfb25, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'f7f7b5fb', 0xfb53, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '6fe7', 0xfb57, 'b       0x0000fa38', 0, ()),
    (REV_ALL_ARM, 'f7f79cfb', 0xfb85, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'e36a', 0xfb8b, 'ldr     r3, [r4, #0x2c]', 0, ()),
    (REV_ALL_ARM, 'f7f781fb', 0xfbbb, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '3be7', 0xfbbf, 'b       0x0000fa38', 0, ()),
    (REV_ALL_ARM, 'f7f764fb', 0xfbf5, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, '1ee7', 0xfbf9, 'b       0x0000fa38', 0, ()),
    (REV_ALL_ARM, '636b', 0xfbfb, 'ldr     r3, [r4, #0x34]', 0, ()),
    (REV_ALL_ARM, 'ffe6', 0xfc37, 'b       0x0000fa38', 0, ()),
    (REV_ALL_ARM, 'f7f724fb', 0xfc75, 'bl      0x000072c0', 0, ()),
    (REV_ALL_ARM, 'dee6', 0xfc79, 'b       0x0000fa38', 0, ()),
    (REV_ALL_ARM, 'd2e90023', 0xfc83, 'ldrd    r2, r3, [r2]', 0, ()),
    (REV_ALL_ARM, 'fff78dfe', 0xfc89, 'bl      0x0000f9a6', 0, ()),
    (REV_ALL_ARM, '81bf', 0xfcdd, 'itttt   hi', 0, ()),
    (REV_ALL_ARM, '03f1ff31', 0xfcdf, 'add     r1, r3, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '816a', 0xfced, 'ldr     r1, [r0, #0x28]', 0, ()),
    #(REV_ALL_ARM, '00f08afa', 0xfcf1, 'bl      0x00000208', 0, ()),
    (REV_ALL_ARM, '6ff00300', 0xfd1d, 'mvn     r0, #3', 0, ()),
    (REV_ALL_ARM, '228f', 0xfcff, 'ldrh    r2, [r4, #0x38]', 0, ()),
    #(REV_ALL_ARM, '00f02ef9', 0xfd09, 'bl      0x0000ff68', 0, ()),
    (REV_ALL_ARM, 'e362', 0xfd11, 'str     r3, [r4, #0x2c]', 0, ()),
    (REV_ALL_ARM, '238f', 0xfd13, 'ldrh    r3, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, 'a562', 0xfd15, 'str     r5, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, '2387', 0xfd19, 'strh    r3, [r4, #0x38]', 0, ()),
    #(REV_ALL_ARM, '00f0f0f8', 0xfd31, 'bl      0x0000ff14', 0, ()),
    (REV_ALL_ARM, '66db', 0xfd37, 'blt     0x0000fe06', 0, ()),
    (REV_ALL_ARM, '94f83a20', 0xfd39, 'ldrb    r2, [r4, #0x3a]', 0, ()),
    (REV_ALL_ARM, 'a9b2', 0xfd3d, 'uxth    r1, r5', 0, ()),
    (REV_ALL_ARM, 'fff7c9ff', 0xfd41, 'bl      0x0000fcd6', 0, ()),
    (REV_ALL_ARM, 'fff7bfff', 0xfd55, 'bl      0x0000fcd6', 0, ()),
    (REV_ALL_ARM, '04f10c0a', 0xfd59, 'add     r10, r4, #0xc', 0, ()),
    (REV_ALL_ARM, '0644', 0xfd5d, 'add     r6, r0', 0, ()),
    (REV_ALL_ARM, 'fcf7dcfe', 0xfd65, 'bl      0x0000cb20', 0, ()),
    (REV_ALL_ARM, 'b6b2', 0xfd69, 'uxth    r6, r6', 0, ()),
    (REV_ALL_ARM, '56d1', 0xfd6f, 'bne     0x0000fe1e', 0, ()),
    (REV_ALL_ARM, 'd4e90a13', 0xfd71, 'ldrd    r1, r3, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, '2bd9', 0xfd7d, 'bls     0x0000fdd6', 0, ()),
    (REV_ALL_ARM, 'd4e90a12', 0xfdd7, 'ldrd    r1, r2, [r4, #0x28]', 0, ()),
    #(REV_ALL_ARM, '00f066f8', 0xfde1, 'bl      0x0000feb0', 0, ()),
    (REV_ALL_ARM, 'b8b9', 0xfde7, 'cbnz    r0, 0x0000fe18', 0, ()),
    (REV_ALL_ARM, '94f806b0', 0xfd7f, 'ldrb    r11, [r4, #6]', 0, ()),
    (REV_ALL_ARM, '6ff00105', 0xfe19, 'mvn     r5, #1', 0, ()),
    (REV_ALL_ARM, 'c9f80430', 0xfdf1, 'str     r3, [r9, #4]', 0, ()),
    (REV_ALL_ARM, 'e06a', 0xfdf5, 'ldr     r0, [r4, #0x2c]', 0, ()),
    (REV_ALL_ARM, '0744', 0xfdf7, 'add     r7, r0', 0, ()),
    (REV_ALL_ARM, 'c9f80870', 0xfdf9, 'str     r7, [r9, #8]', 0, ()),
    (REV_ALL_ARM, '3744', 0xfdfd, 'add     r7, r6', 0, ()),
    (REV_ALL_ARM, 'e762', 0xfdff, 'str     r7, [r4, #0x2c]', 0, ()),
    (REV_ALL_ARM, '6ff00305', 0xfe13, 'mvn     r5, #3', 0, ()),
    (REV_ALL_ARM, 'ab45', 0xfd9b, 'cmp     r11, r5', 0, ()),
    (REV_ALL_ARM, '05f10103', 0xfd9d, 'add     r3, r5, #1', 0, ()),
    (REV_ALL_ARM, '35dc', 0xfda1, 'bgt     0x0000fe0e', 0, ()),
    (REV_ALL_ARM, 'fcf7f7fe', 0xfe03, 'bl      0x0000cbf4', 0, ()),
    (REV_ALL_ARM, '34d0', 0xfda7, 'beq     0x0000fe12', 0, ()),
    #(REV_ALL_ARM, '00f03ffa', 0xfd87, 'bl      0x00000208', 0, ()),
    (REV_ALL_ARM, '3bd0', 0xfd99, 'beq     0x0000fe12', 0, ()),
    (REV_ALL_ARM, 'd8f80420', 0xfda9, 'ldr     r2, [r8, #4]', 0, ()),
    (REV_ALL_ARM, '07f10803', 0xfdad, 'add     r3, r7, #8', 0, ()),
    (REV_ALL_ARM, '2dd3', 0xfdb5, 'bcc     0x0000fe12', 0, ()),
    #(REV_ALL_ARM, '00f0d2f8', 0xfdc1, 'bl      0x0000ff68', 0, ()),
    (REV_ALL_ARM, 'c4f82880', 0xfdcf, 'str     r8, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, '83b0', 0xfe27, 'sub     sp, #0xc', 0, ()),
    (REV_ALL_ARM, '90f83a20', 0xfe29, 'ldrb    r2, [r0, #0x3a]', 0, ()),
    (REV_ALL_ARM, 'd31d', 0xfe2d, 'adds    r3, r2, #7', 0, ()),
    (REV_ALL_ARM, '03f4fc73', 0xfe2f, 'and     r3, r3, #0x1f8', 0, ()),
    (REV_ALL_ARM, '02af', 0xfe33, 'add     r7, sp, #8', 0, ()),
    #(REV_ALL_ARM, '01f07cf8', 0xfe43, 'bl      0x00000f3e', 0, ()),
    #(REV_ALL_ARM, '00f035f9', 0xfe4d, 'bl      0x000000ba', 0, ()),
    (REV_ALL_ARM, '88b9', 0xfe51, 'cbnz    r0, 0x0000fe76', 0, ()),
    (REV_ALL_ARM, '0437', 0xfe77, 'adds    r7, #4', 0, ()),
    (REV_ALL_ARM, 'a989', 0xfe57, 'ldrh    r1, [r5, #0xc]', 0, ()),
    (REV_ALL_ARM, 'fff73cff', 0xfe5b, 'bl      0x0000fcd6', 0, ()),
    (REV_ALL_ARM, '4218', 0xfe65, 'adds    r2, r0, r1', 0, ()),
    #(REV_ALL_ARM, '00f021f8', 0xfe6b, 'bl      0x0000feb0', 0, ()),
    (REV_ALL_ARM, 'c06b', 0xfe7d, 'ldr     r0, [r0, #0x3c]', 0, ()),
    #(REV_ALL_ARM, '00f085bc', 0xfe81, 'b       0x0000078e', 0, ()),
    (REV_ALL_ARM, 'e618', 0xfe91, 'adds    r6, r4, r3', 0, ()),
    #(REV_ALL_ARM, '00f00afc', 0xfe9f, 'bl      0x000106b6', 0, ()),
    #(REV_ALL_ARM, '00f012fc', 0xfec9, 'bl      0x000006f0', 0, ()),
    (REV_ALL_ARM, 'd1e90012', 0xfee1, 'ldrd    r1, r2, [r1]', 0, ()),
    #(REV_ALL_ARM, '00f02dfc', 0xfee5, 'bl      0x00000742', 0, ()),
    #(REV_ALL_ARM, '00f080f9', 0xff05, 'bl      0x00000208', 0, ()),
    (REV_ALL_ARM, '7f29', 0xff15, 'cmp     r1, #0x7f', 0, ()),
    (REV_ALL_ARM, '47f6fe73', 0xff1f, 'movw    r3, #0x7ffe', 0, ()),
    (REV_ALL_ARM, '9fbf', 0xff25, 'itttt   ls', 0, ()),
    (REV_ALL_ARM, '61f07f03', 0xff27, 'orn     r3, r1, #0x7f', 0, ()),
    (REV_ALL_ARM, 'c909', 0xff2b, 'lsrs    r1, r1, #7', 0, ()),
    (REV_ALL_ARM, '4170', 0xff2f, 'strb    r1, [r0, #1]', 0, ()),
    (REV_ALL_ARM, '90f90020', 0xff3b, 'ldrsb   r2, [r0]', 0, ()),
    (REV_ALL_ARM, '0b80', 0xff5d, 'strh    r3, [r1]', 0, ()),
    (REV_ALL_ARM, '03ea0200', 0xff47, 'and     r0, r3, r2', 0, ()),
    (REV_ALL_ARM, '6ff00200', 0xff63, 'mvn     r0, #2', 0, ()),
    (REV_ALL_ARM, '03f07f03', 0xff4f, 'and     r3, r3, #0x7f', 0, ()),
    (REV_ALL_ARM, '8df80d30', 0xff73, 'strb    r3, [sp, #0xd]', 0, ()),
    (REV_ALL_ARM, 'adf80e20', 0xff7b, 'strh    r2, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, 'fff793ff', 0xff87, 'bl      0x0000feb0', 0, ()),
    (REV_ALL_ARM, '02ac', 0xffa1, 'add     r4, sp, #8', 0, ()),
    (REV_ALL_ARM, '6ff00600', 0xffc1, 'mvn     r0, #6', 0, ()),
    (REV_ALL_ARM, '4b79', 0xffe7, 'ldrb    r3, [r1, #5]', 0, ()),
    (REV_ALL_ARM, '8a79', 0xffe9, 'ldrb    r2, [r1, #6]', 0, ()),
    (REV_ALL_ARM, 'f4dd', 0xffef, 'ble     0x0000ffda', 0, ()),
    (REV_ALL_ARM, '3c31', 0xfff1, 'adds    r1, #0x3c', 0, ()),
    (REV_ALL_ARM, 'f8f74ef9', 0xfff5, 'bl      0x00008294', 0, ()),
    (REV_ALL_ARM, '4ff0ff3b', 0xb, 'mov     r11, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'd846', 0x13, 'mov     r8, r11', 0, ()),
    (REV_ALL_ARM, '01ebc601', 0x67, 'add     r1, r1, r6, lsl #3', 0, ()),
    (REV_ALL_ARM, 'b3db', 0x10075, 'blt     0x0000ffde', 0, ()),
    (REV_ALL_ARM, '48d1', 0x1f, 'bne     0x000000b2', 0, ()),
    (REV_ALL_ARM, '5d46', 0xb3, 'mov     r5, r11', 0, ()),
    (REV_ALL_ARM, 'a768', 0x21, 'ldr     r7, [r4, #8]', 0, ()),
    (REV_ALL_ARM, 'fff79eff', 0x10029, 'bl      0x0000ff68', 0, ()),
    (REV_ALL_ARM, 'd5d1', 0x10031, 'bne     0x0000ffde', 0, ()),
    (REV_ALL_ARM, 'bdf80e30', 0x7d, 'ldrh    r3, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, 'c4e9097a', 0x35, 'strd    r7, r10, [r4, #0x24]', 0, ()),
    (REV_ALL_ARM, '84f83a90', 0x3b, 'strb    r9, [r4, #0x3a]', 0, ()),
    (REV_ALL_ARM, '2587', 0x41, 'strh    r5, [r4, #0x38]', 0, ()),
    (REV_ALL_ARM, '04f12806', 0x43, 'add     r6, r4, #0x28', 0, ()),
    (REV_ALL_ARM, 'ba46', 0x33, 'mov     r10, r7', 0, ()),
    (REV_ALL_ARM, '23dc', 0x19, 'bgt     0x00000062', 0, ()),
    (REV_ALL_ARM, '1db2', 0x91, 'sxth    r5, r3', 0, ()),
    (REV_ALL_ARM, '0ffa8bf0', 0x93, 'sxth    r0, r11', 0, ()),
    (REV_ALL_ARM, '8a46', 0x87, 'mov     r10, r1', 0, ()),
    (REV_ALL_ARM, '9b46', 0x8b, 'mov     r11, r3', 0, ()),
    (REV_ALL_ARM, '0ffa88f2', 0xa3, 'sxth    r2, r8', 0, ()),
    (REV_ALL_ARM, '521b', 0xa7, 'subs    r2, r2, r5', 0, ()),
    (REV_ALL_ARM, 'c4bf', 0xab, 'itt     gt', 0, ()),
    (REV_ALL_ARM, 'fcf748fd', 0x1005d, 'bl      0x0000caf0', 0, ()),
    #(REV_ALL_ARM, '00f0bcf8', 0x4b, 'bl      0x000001c6', 0, ()),
    (REV_ALL_ARM, 'c31c', 0x4f, 'adds    r3, r0, #3', 0, ()),
    (REV_ALL_ARM, '951c', 0xc9, 'adds    r5, r2, #2', 0, ()),
    (REV_ALL_ARM, '4bd8', 0xd1, 'bhi     0x0000016a', 0, ()),
    (REV_ALL_ARM, 'fff7d5fe', 0x100d9, 'bl      0x0000fe86', 0, ()),
    (REV_ALL_ARM, 'fff724ff', 0x100ef, 'bl      0x0000ff3a', 0, ()),
    (REV_ALL_ARM, 'f5db', 0xf5, 'blt     0x000000e2', 0, ()),
    (REV_ALL_ARM, '96f83a20', 0xf7, 'ldrb    r2, [r6, #0x3a]', 0, ()),
    (REV_ALL_ARM, '02f1ff35', 0x101, 'add     r5, r2, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '82bf', 0x107, 'ittt    hi', 0, ()),
    (REV_ALL_ARM, 'a381', 0x117, 'strh    r3, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, 'ff20', 0x11d, 'movs    r0, #0xff', 0, ()),
    (REV_ALL_ARM, 'f5f72bfd', 0x1011f, 'bl      0x00005b78', 0, ()),
    (REV_ALL_ARM, 'd4f80880', 0x123, 'ldr     r8, [r4, #8]', 0, ()),
    (REV_ALL_ARM, 'bdf80ea0', 0x127, 'ldrh    r10, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, 'c244', 0x12d, 'add     r10, r8', 0, ()),
    (REV_ALL_ARM, 'aaeb0809', 0x139, 'sub     r9, r10, r8', 0, ()),
    (REV_ALL_ARM, 'b9f1200f', 0x13d, 'cmp     r9, #0x20', 0, ()),
    (REV_ALL_ARM, '4ff02009', 0x143, 'mov     r9, #0x20', 0, ()),
    (REV_ALL_ARM, '2168', 0x147, 'ldr     r1, [r4]', 0, ()),
    (REV_ALL_ARM, 'fff798fe', 0x10153, 'bl      0x0000fe86', 0, ()),
    (REV_ALL_ARM, '3d70', 0x133, 'strb    r5, [r7]', 0, ()),
    (REV_ALL_ARM, 'f5f70afd', 0x10161, 'bl      0x00005b78', 0, ()),
    (REV_ALL_ARM, 'c844', 0x165, 'add     r8, r9', 0, ()),
    (REV_ALL_ARM, 'd045', 0x12f, 'cmp     r8, r10', 0, ()),
    (REV_ALL_ARM, '0df10e02', 0x175, 'add     r2, sp, #0xe', 0, ()),
    (REV_ALL_ARM, 'fff79dff', 0x17d, 'bl      0x000000ba', 0, ()),
    (REV_ALL_ARM, 'e0b9', 0x181, 'cbnz    r0, 0x000001bc', 0, ()),
    (REV_ALL_ARM, '95f83a30', 0x183, 'ldrb    r3, [r5, #0x3a]', 0, ()),
    (REV_ALL_ARM, 'a289', 0x187, 'ldrh    r2, [r4, #0xc]', 0, ()),
    (REV_ALL_ARM, '02f1ff32', 0x18f, 'add     r2, r2, #0xffffffff', 0, ()),
    (REV_ALL_ARM, 'd218', 0x193, 'adds    r2, r2, r3', 0, ()),
    (REV_ALL_ARM, 'fff76efe', 0x101a7, 'bl      0x0000fe86', 0, ()),
    (REV_ALL_ARM, '6ff00500', 0x1b9, 'mvn     r0, #5', 0, ()),
    (REV_ALL_ARM, '94f83a10', 0x1d7, 'ldrb    r1, [r4, #0x3a]', 0, ()),
    (REV_ALL_ARM, 'ab89', 0x1db, 'ldrh    r3, [r5, #0xc]', 0, ()),
    (REV_ALL_ARM, '5b18', 0x1e7, 'adds    r3, r3, r1', 0, ()),
    (REV_ALL_ARM, '4842', 0x1e9, 'rsbs    r0, r1, #0', 0, ()),
    (REV_ALL_ARM, '0340', 0x1eb, 'ands    r3, r0', 0, ()),
    (REV_ALL_ARM, '86bf', 0x1f1, 'itte    hi', 0, ()),
    (REV_ALL_ARM, '4a42', 0x1f3, 'rsbs    r2, r1, #0', 0, ()),
    (REV_ALL_ARM, '0a40', 0x1f5, 'ands    r2, r1', 0, ()),
    (REV_ALL_ARM, '831d', 0x1d3, 'adds    r3, r0, #6', 0, ()),
    (REV_ALL_ARM, '0831', 0x20d, 'adds    r1, #8', 0, ()),
    (REV_ALL_ARM, '02ebc303', 0x20f, 'add     r3, r2, r3, lsl #3', 0, ()),
    (REV_ALL_ARM, '436a', 0x227, 'ldr     r3, [r0, #0x24]', 0, ()),
    (REV_ALL_ARM, 'fff7bdff', 0x249, 'bl      0x000001c6', 0, ()),
    (REV_ALL_ARM, 'fff79bff', 0x237, 'bl      0x00000170', 0, ()),
    (REV_ALL_ARM, '811d', 0x23b, 'adds    r1, r0, #6', 0, ()),
    (REV_ALL_ARM, 'c21c', 0x251, 'adds    r2, r0, #3', 0, ()),
    (REV_ALL_ARM, 'e0d1', 0x27d, 'bne     0x00000240', 0, ()),
    (REV_ALL_ARM, '0826', 0x255, 'movs    r6, #8', 0, ()),
    (REV_ALL_ARM, 'c4e90006', 0x267, 'strd    r0, r6, [r4]', 0, ()),
    (REV_ALL_ARM, 'e3d0', 0x277, 'beq     0x00000240', 0, ()),
    (REV_ALL_ARM, 'ab6a', 0x259, 'ldr     r3, [r5, #0x28]', 0, ()),
    (REV_ALL_ARM, '00f10c06', 0x299, 'add     r6, r0, #0xc', 0, ()),
    (REV_ALL_ARM, 'fcf73bfc', 0x102a7, 'bl      0x0000cb20', 0, ()),
    (REV_ALL_ARM, 'fff7b4ff', 0x2b1, 'bl      0x0000021c', 0, ()),
    (REV_ALL_ARM, 'fcf79cfc', 0x102b9, 'bl      0x0000cbf4', 0, ()),
    (REV_ALL_ARM, '00f10c07', 0x2c9, 'add     r7, r0, #0xc', 0, ()),
    (REV_ALL_ARM, 'fcf724fc', 0x102d5, 'bl      0x0000cb20', 0, ()),
    (REV_ALL_ARM, '616a', 0x2db, 'ldr     r1, [r4, #0x24]', 0, ()),
    (REV_ALL_ARM, 'fff7fcfd', 0x102df, 'bl      0x0000feda', 0, ()),
    (REV_ALL_ARM, '08bb', 0x2e3, 'cbnz    r0, 0x00000328', 0, ()),
    (REV_ALL_ARM, 'd4e90913', 0x2e5, 'ldrd    r1, r3, [r4, #0x24]', 0, ()),
    (REV_ALL_ARM, 'fcf768fc', 0x10321, 'bl      0x0000cbf4', 0, ()),
    (REV_ALL_ARM, 'fff777ff', 0x317, 'bl      0x00000208', 0, ()),
    (REV_ALL_ARM, '6062', 0x31d, 'str     r0, [r4, #0x24]', 0, ()),
    (REV_ALL_ARM, 'fff78bff', 0x2ef, 'bl      0x00000208', 0, ()),
    (REV_ALL_ARM, 'fff733fe', 0x102ff, 'bl      0x0000ff68', 0, ()),
    (REV_ALL_ARM, 'a662', 0x30d, 'str     r6, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, 'fff74aff', 0x385, 'bl      0x0000021c', 0, ()),
    (REV_ALL_ARM, 'fcf746fc', 0x10365, 'bl      0x0000cbf4', 0, ()),
    (REV_ALL_ARM, 'fcf731fc', 0x1038f, 'bl      0x0000cbf4', 0, ()),
    (REV_ALL_ARM, 'e36b', 0x371, 'ldr     r3, [r4, #0x3c]', 0, ()),
    (REV_ALL_ARM, 'e6d0', 0x37d, 'beq     0x0000034c', 0, ()),
    #(REV_ALL_ARM, 'fcf7e5fb', 0x353, 'bl      0x0000cb20', 0, ()),
    (REV_ALL_ARM, 'f8f72fbe', 0x10497, 'b       0x000090f8', 0, ()),
    #(REV_ALL_ARM, '00f02bbb', 0x49b, 'b       0x00000af4', 0, ()),
    (REV_ALL_ARM, '031d', 0x4b7, 'adds    r3, r0, #4', 0, ()),
    (REV_ALL_ARM, '9b78', 0x4d5, 'ldrb    r3, [r3, #2]', 0, ()),
    (REV_ALL_ARM, '93f82450', 0x4f9, 'ldrb    r5, [r3, #0x24]', 0, ()),
    (REV_ALL_ARM, '12f83340', 0x511, 'ldrb    r4, [r2, r3, lsl #3]', 0, ()),
    (REV_ALL_ARM, '1876', 0x5c1, 'strb    r0, [r3, #0x18]', 0, ()),
    (REV_ALL_ARM, 'a06a', 0x5c3, 'ldr     r0, [r4, #0x28]', 0, ()),
    (REV_ALL_ARM, '007d', 0x5c7, 'ldrb    r0, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, '0fd3', 0x6c7, 'bcc     0x000006e8', 0, ()),
    (REV_ALL_ARM, '7218', 0x6c9, 'adds    r2, r6, r1', 0, ()),
    (REV_ALL_ARM, 'fbf7f8ff', 0x106d1, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '1cd3', 0x701, 'bcc     0x0000073c', 0, ()),
    (REV_ALL_ARM, '08eb0102', 0x703, 'add     r2, r8, r1', 0, ()),
    (REV_ALL_ARM, '18d3', 0x709, 'bcc     0x0000073c', 0, ()),
    (REV_ALL_ARM, 'fbf7daff', 0x1070d, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'fff7adff', 0x715, 'bl      0x00000672', 0, ()),
    (REV_ALL_ARM, '7968', 0x71f, 'ldr     r1, [r7, #4]', 0, ()),
    (REV_ALL_ARM, '1ad3', 0x751, 'bcc     0x00000788', 0, ()),
    (REV_ALL_ARM, '17d3', 0x757, 'bcc     0x00000788', 0, ()),
    (REV_ALL_ARM, 'fbf7b3ff', 0x1075b, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'fbf797ff', 0x10793, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '187d', 0x799, 'ldrb    r0, [r3, #0x14]', 0, ()),
    (REV_ALL_ARM, '2f2d', 0x835, 'cmp     r5, #0x2f', 0, ()),
    (REV_ALL_ARM, '14f8015b', 0x82f, 'ldrb    r5, [r4], #1', 0, ()),
    (REV_ALL_ARM, '2db1', 0x833, 'cbz     r5, 0x00000840', 0, ()),
    (REV_ALL_ARM, '3e70', 0x83b, 'strb    r6, [r7]', 0, ()),
    (REV_ALL_ARM, 'fff7e8ff', 0x847, 'bl      0x0000081a', 0, ()),
    #(REV_ALL_ARM, 'f7f7ebbd', 0x853, 'b       0x0000842c', 0, ()),
    (REV_ALL_ARM, '0098', 0x871, 'ldr     r0, [sp]', 0, ()),
    (REV_ALL_ARM, '8df80c40', 0x873, 'strb    r4, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, 'cde90165', 0x877, 'strd    r6, r5, [sp, #4]', 0, ()),
    (REV_ALL_ARM, '217a', 0x893, 'ldrb    r1, [r4, #8]', 0, ()),
    (REV_ALL_ARM, '49b1', 0x89b, 'cbz     r1, 0x000008b0', 0, ()),
    #(REV_ALL_ARM, '00f014f8', 0x8bb, 'bl      0x000008e6', 0, ()),
    #(REV_ALL_ARM, '00f01efb', 0x8a9, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '0398', 0x8ad, 'ldr     r0, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '08e0', 0x8af, 'b       0x000008c2', 0, ()),
    #(REV_ALL_ARM, 'f7f749fe', 0x8df, 'bl      0x00008574', 0, ()),
    (REV_ALL_ARM, 'dde90235', 0x8ef, 'ldrd    r3, r5, [sp, #8]', 0, ()),
    (REV_ALL_ARM, 'fff7ecbf', 0x8f9, 'b       0x000008d4', 0, ()),
    (REV_ALL_ARM, '3d24', 0x907, 'movs    r4, #0x3d', 0, ()),
    (REV_ALL_ARM, '8df80f40', 0x911, 'strb    r4, [sp, #0xf]', 0, ()),
    #(REV_ALL_ARM, 'f7f72efe', 0x915, 'bl      0x00008574', 0, ()),
    (REV_ALL_ARM, 'a823', 0xa7b, 'movs    r3, #0xa8', 0, ()),
    (REV_ALL_ARM, 'c0e90023', 0xa7f, 'strd    r2, r3, [r0]', 0, ()),
    #(REV_ALL_ARM, 'f8f747f9', 0xa8f, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, '0078', 0xaa5, 'ldrb    r0, [r0]', 0, ()),
    #(REV_ALL_ARM, 'f8f73bf9', 0xaa7, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, '6288', 0xaaf, 'ldrh    r2, [r4, #2]', 0, ()),
    (REV_ALL_ARM, '0280', 0xab1, 'strh    r2, [r0]', 0, ()),
    (REV_ALL_ARM, '2279', 0xab3, 'ldrb    r2, [r4, #4]', 0, ()),
    (REV_ALL_ARM, '0ed8', 0xab7, 'bhi     0x00000ad6', 0, ()),
    #(REV_ALL_ARM, 'f8f71ef9', 0xae1, 'bl      0x00008d20', 0, ()),
    #(REV_ALL_ARM, 'f8f772fb', 0xaf9, 'bl      0x000091e0', 0, ()),
    #(REV_ALL_ARM, 'f8f7ccfb', 0xb01, 'bl      0x0000929c', 0, ()),
    (REV_ALL_ARM, '01f07f04', 0xb19, 'and     r4, r1, #0x7f', 0, ()),
    (REV_ALL_ARM, 'f8f7fff8', 0x10b1f, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, '00f10c01', 0xb25, 'add     r1, r0, #0xc', 0, ()),
    #(REV_ALL_ARM, 'f8f717fa', 0xb2b, 'bl      0x00008f5c', 0, ()),
    (REV_ALL_ARM, '41f08004', 0xb45, 'orr     r4, r1, #0x80', 0, ()),
    (REV_ALL_ARM, 'f8f7e9f8', 0x10b4b, 'bl      0x00008d20', 0, ()),
    (REV_ALL_ARM, 'fcf7c3fb', 0x10b53, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, 'fcf7cbbb', 0x10b9b, 'b       0x0000d334', 0, ()),
    #(REV_ALL_ARM, '01f01fff', 0xc3d, 'bl      0x00012a7e', 0, ()),
    (REV_ALL_ARM, '10f5fa56', 0xc47, 'adds    r6, r0, #0x1f40', 0, ()),
    (REV_ALL_ARM, '41f10005', 0xc4b, 'adc     r5, r1, #0', 0, ()),
    (REV_ALL_ARM, '13f0f20f', 0xc4f, 'tst     r3, #0xf2', 0, ()),
    (REV_ALL_ARM, 'd868', 0xc6b, 'ldr     r0, [r3, #0xc]', 0, ()),
    (REV_ALL_ARM, '10f48030', 0xc6d, 'ands    r0, r0, #0x10000', 0, ()),
    #(REV_ALL_ARM, '01f010ff', 0xc5b, 'bl      0x00012a7e', 0, ()),
    (REV_ALL_ARM, '75eb0103', 0xc61, 'sbcs    r3, r5, r1', 0, ()),
    (REV_ALL_ARM, 'f8f77abe', 0x10da1, 'b       0x00009a98', 0, ()),
    (REV_ALL_ARM, 'f8f729ff', 0x10da7, 'bl      0x00009bfc', 0, ()),
    (REV_ALL_ARM, 'f8f731bc', 0x10daf, 'b       0x00009614', 0, ()),
    (REV_ALL_ARM, 'f9f708f8', 0x10db9, 'bl      0x00009dcc', 0, ()),
    (REV_ALL_ARM, '202a', 0xdc7, 'cmp     r2, #0x20', 0, ()),
    (REV_ALL_ARM, '00f10100', 0xdcb, 'add     r0, r0, #1', 0, ()),
    (REV_ALL_ARM, 'a2f10901', 0xdd1, 'sub     r1, r2, #9', 0, ()),
    (REV_ALL_ARM, 'f5d9', 0xdd7, 'bls     0x00000dc4', 0, ()),
    (REV_ALL_ARM, '2b2a', 0xdd9, 'cmp     r2, #0x2b', 0, ()),
    (REV_ALL_ARM, '2d2a', 0xddd, 'cmp     r2, #0x2d', 0, ()),
    (REV_ALL_ARM, '0abf', 0xddf, 'itet    eq', 0, ()),
    (REV_ALL_ARM, '0a25', 0xdeb, 'movs    r5, #0xa', 0, ()),
    (REV_ALL_ARM, '13f8012f', 0xdfd, 'ldrb    r2, [r3, #1]!', 0, ()),
    (REV_ALL_ARM, 'a2f13004', 0xe01, 'sub     r4, r2, #0x30', 0, ()),
    (REV_ALL_ARM, '092c', 0xe05, 'cmp     r4, #9', 0, ()),
    (REV_ALL_ARM, 'c2f13002', 0xdf5, 'rsb     r2, r2, #0x30', 0, ()),
    (REV_ALL_ARM, '05fb0020', 0xdf9, 'mla     r0, r5, r0, r2', 0, ()),
    (REV_ALL_ARM, '01b9', 0xe09, 'cbnz    r1, 0x00000e0c', 0, ()),
    (REV_ALL_ARM, '561e', 0xe1b, 'subs    r6, r2, #1', 0, ()),
    (REV_ALL_ARM, '2cb9', 0xe1d, 'cbnz    r4, 0x00000e2a', 0, ()),
    (REV_ALL_ARM, '05f8014b', 0xe2b, 'strb    r4, [r5], #1', 0, ()),
    (REV_ALL_ARM, '03f8014b', 0xe21, 'strb    r4, [r3], #1', 0, ()),
    (REV_ALL_ARM, '1a5c', 0xe53, 'ldrb    r2, [r3, r0]', 0, ()),
    (REV_ALL_ARM, '431e', 0xe5d, 'subs    r3, r0, #1', 0, ()),
    (REV_ALL_ARM, '101a', 0xe71, 'subs    r0, r2, r0', 0, ()),
    (REV_ALL_ARM, '11f8010f', 0xe65, 'ldrb    r0, [r1, #1]!', 0, ()),
    (REV_ALL_ARM, '11f8014f', 0xe81, 'ldrb    r4, [r1, #1]!', 0, ()),
    (REV_ALL_ARM, '181b', 0xe8b, 'subs    r0, r3, r4', 0, ()),
    (REV_ALL_ARM, '8418', 0xe9f, 'adds    r4, r0, r2', 0, ()),
    (REV_ALL_ARM, '11f8012f', 0xea5, 'ldrb    r2, [r1, #1]!', 0, ()),
    (REV_ALL_ARM, '00eb0203', 0xebf, 'add     r3, r0, r2', 0, ()),
    (REV_ALL_ARM, '12f8014d', 0xedf, 'ldrb    r4, [r2, #-1]!', 0, ()),
    (REV_ALL_ARM, '03f8014d', 0xee3, 'strb    r4, [r3, #-1]!', 0, ()),
    (REV_ALL_ARM, '02f8014b', 0xed1, 'strb    r4, [r2], #1', 0, ()),
    (REV_ALL_ARM, '81ea0004', 0xeeb, 'eor     r4, r1, r0', 0, ()),
    (REV_ALL_ARM, 'a507', 0xeef, 'lsls    r5, r4, #0x1e', 0, ()),
    (REV_ALL_ARM, 'fcd0', 0xf01, 'beq     0x00000efc', 0, ()),
    (REV_ALL_ARM, '1d1f', 0xf15, 'subs    r5, r3, #4', 0, ()),
    (REV_ALL_ARM, '9608', 0xf17, 'lsrs    r6, r2, #2', 0, ()),
    (REV_ALL_ARM, '0f19', 0xf19, 'adds    r7, r1, r4', 0, ()),
    (REV_ALL_ARM, '03f8014f', 0xf39, 'strb    r4, [r3, #1]!', 0, ()),
    (REV_ALL_ARM, '51f804cb', 0xf2b, 'ldr     r12, [r1], #4', 0, ()),
    (REV_ALL_ARM, '45f804cf', 0xf2f, 'str     r12, [r5, #4]!', 0, ()),
    (REV_ALL_ARM, '05fb0622', 0xf23, 'mla     r2, r5, r6, r2', 0, ()),
    (REV_ALL_ARM, '41ea0123', 0xf49, 'orr     r3, r1, r1, lsl #8', 0, ()),
    (REV_ALL_ARM, '43ea0345', 0xf4d, 'orr     r5, r3, r3, lsl #16', 0, ()),
    (REV_ALL_ARM, '04f8011b', 0xf71, 'strb    r1, [r4], #1', 0, ()),
    (REV_ALL_ARM, '44f8045b', 0xf79, 'str     r5, [r4], #4', 0, ()),
    (REV_ALL_ARM, '6ff00304', 0xf5d, 'mvn     r4, #3', 0, ()),
    (REV_ALL_ARM, '04fb0622', 0xf61, 'mla     r2, r4, r6, r2', 0, ()),
    (REV_ALL_ARM, 'a307', 0xf45, 'lsls    r3, r4, #0x1e', 0, ()),
    (REV_ALL_ARM, '03f8011b', 0xf7f, 'strb    r1, [r3], #1', 0, ()),
    (REV_ALL_ARM, '9a18', 0xf8d, 'adds    r2, r3, r2', 0, ()),
    (REV_ALL_ARM, '13f8014b', 0xf91, 'ldrb    r4, [r3], #1', 0, ()),
    (REV_ALL_ARM, 'b1fbf2f6', 0xfa9, 'udiv    r6, r1, r2', 0, ()),
    (REV_ALL_ARM, '02fb1610', 0xfad, 'mls     r0, r2, r6, r1', 0, ()),
    (REV_ALL_ARM, '00f13000', 0xfb5, 'add     r0, r0, #0x30', 0, ()),
    (REV_ALL_ARM, '2726', 0xfbd, 'movs    r6, #0x27', 0, ()),
    (REV_ALL_ARM, 'eed9', 0xfc9, 'bls     0x00000fa8', 0, ()),
    (REV_ALL_ARM, '03f80129', 0xfd5, 'strb    r2, [r3], #-1', 0, ()),
    (REV_ALL_ARM, '03f80119', 0xfe9, 'strb    r1, [r3], #-1', 0, ()),
    (REV_ALL_ARM, '04f8012b', 0xfed, 'strb    r2, [r4], #1', 0, ()),
    (REV_ALL_ARM, '03f00101', 0xff7, 'and     r1, r3, #1', 0, ()),
    (REV_ALL_ARM, '43eac273', 0xffd, 'orr     r3, r3, r2, lsl #31', 0, ()),
    (REV_ALL_ARM, 'cb18', 0x1001, 'adds    r3, r1, r3', 0, ()),
    (REV_ALL_ARM, '4fea5202', 0x1003, 'lsr     r2, r2, #1', 0, ()),
    (REV_ALL_ARM, 'd0e90031', 0x1011, 'ldrd    r3, r1, [r0]', 0, ()),
    (REV_ALL_ARM, 'b1fbf5f6', 0x1023, 'udiv    r6, r1, r5', 0, ()),
    (REV_ALL_ARM, '05fb1614', 0x1027, 'mls     r4, r5, r6, r1', 0, ()),
    (REV_ALL_ARM, 'd908', 0x102b, 'lsrs    r1, r3, #3', 0, ()),
    (REV_ALL_ARM, '41ea4471', 0x102d, 'orr     r1, r1, r4, lsl #29', 0, ()),
    (REV_ALL_ARM, 'b1fbf5f4', 0x1031, 'udiv    r4, r1, r5', 0, ()),
    (REV_ALL_ARM, 'e100', 0x1035, 'lsls    r1, r4, #3', 0, ()),
    (REV_ALL_ARM, '5218', 0x1037, 'adds    r2, r2, r1', 0, ()),
    (REV_ALL_ARM, 'a1fb0517', 0x1039, 'umull   r1, r7, r1, r5', 0, ()),
    (REV_ALL_ARM, 'b3fbf5f3', 0x103f, 'udiv    r3, r3, r5', 0, ()),
    (REV_ALL_ARM, '46eb5474', 0x1045, 'adc     r4, r6, r4, lsr #29', 0, ()),
    (REV_ALL_ARM, 'c0e90034', 0x1049, 'strd    r3, r4, [r0]', 0, ()),
    (REV_ALL_ARM, 'a3fb0213', 0x1061, 'umull   r1, r3, r3, r2', 0, ()),
    (REV_ALL_ARM, '02fb0433', 0x1065, 'mla     r3, r2, r4, r3', 0, ()),
    (REV_ALL_ARM, '1a0f', 0x1069, 'lsrs    r2, r3, #0x1c', 0, ()),
    (REV_ALL_ARM, 'c0e90013', 0x106f, 'strd    r1, r3, [r0]', 0, ()),
    (REV_ALL_ARM, 'd0b2', 0x1075, 'uxtb    r0, r2', 0, ()),
    (REV_ALL_ARM, '4ff48c72', 0x10a1, 'mov     r2, #0x118', 0, ()),
    (REV_ALL_ARM, 'fff74abf', 0x10a7, 'b       0x00000f3e', 0, ()),
    (REV_ALL_ARM, '4ff48c71', 0x10ad, 'mov     r1, #0x118', 0, ()),
    (REV_ALL_ARM, 'faf7febc', 0x110b1, 'b       0x0000bab0', 0, ()),
    (REV_ALL_ARM, 'f9f707bd', 0x110cb, 'b       0x0000aadc', 0, ()),
    (REV_ALL_ARM, 'f9f7aabb', 0x110c5, 'b       0x0000a81c', 0, ()),
    (REV_ALL_ARM, 'fff734bf', 0x10d3, 'b       0x00000f3e', 0, ()),
    (REV_ALL_ARM, 'faf7debc', 0x110f1, 'b       0x0000bab0', 0, ()),
    #(REV_ALL_ARM, '00f0c2fa', 0x10fb, 'bl      0x00001682', 0, ()),
    (REV_ALL_ARM, 'faf7c4bc', 0x11105, 'b       0x0000ba90', 0, ()),
    (REV_ALL_ARM, '4ff4c071', 0x110b, 'mov     r1, #0x180', 0, ()),
    (REV_ALL_ARM, 'faf7b8fc', 0x11111, 'bl      0x0000ba84', 0, ()),
    #(REV_ALL_ARM, '00f022f8', 0x1119, 'bl      0x00001160', 0, ()),
    (REV_ALL_ARM, '4ff4c072', 0x1161, 'mov     r2, #0x180', 0, ()),
    (REV_ALL_ARM, 'fff7eabe', 0x1167, 'b       0x00000f3e', 0, ()),
    (REV_ALL_ARM, 'f9f712fe', 0x1117d, 'bl      0x0000ada4', 0, ()),
    (REV_ALL_ARM, '00f09680', 0x1185, 'beq     0x000012b4', 0, ()),
    (REV_ALL_ARM, '6ff01300', 0x12b5, 'mvn     r0, #0x13', 0, ()),
    (REV_ALL_ARM, '4769', 0x1189, 'ldr     r7, [r0, #0x14]', 0, ()),
    (REV_ALL_ARM, 'f9f717fe', 0x1119b, 'bl      0x0000adcc', 0, ()),
    (REV_ALL_ARM, 'f9f726fe', 0x111ad, 'bl      0x0000adfc', 0, ()),
    (REV_ALL_ARM, '0790', 0x11b7, 'str     r0, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'fff7bffe', 0x11bd, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, '08ab', 0x11c5, 'add     r3, sp, #0x20', 0, ()),
    (REV_ALL_ARM, 'f9f758fe', 0x111cd, 'bl      0x0000ae80', 0, ()),
    (REV_ALL_ARM, '6cd1', 0x11d3, 'bne     0x000012ae', 0, ()),
    (REV_ALL_ARM, '1bba', 0x11dd, 'rev     r3, r3', 0, ()),
    (REV_ALL_ARM, '3fba', 0x11df, 'rev     r7, r7', 0, ()),
    (REV_ALL_ARM, '36ba', 0x11e1, 'rev     r6, r6', 0, ()),
    (REV_ALL_ARM, '92fa82fc', 0x11e3, 'rev.w   r12, r2', 0, ()),
    (REV_ALL_ARM, 'c4e91e6c', 0x11e7, 'strd    r6, r12, [r4, #0x78]', 0, ()),
    (REV_ALL_ARM, 'c4e93e37', 0x11eb, 'strd    r3, r7, [r4, #0xf8]', 0, ()),
    (REV_ALL_ARM, 'c4e92e89', 0x11f7, 'strd    r8, r9, [r4, #0xb8]', 0, ()),
    (REV_ALL_ARM, '0425', 0x1201, 'movs    r5, #4', 0, ()),
    (REV_ALL_ARM, '4ff06148', 0x1203, 'mov     r8, #0xe1000000', 0, ()),
    (REV_ALL_ARM, '06f00102', 0x1207, 'and     r2, r6, #1', 0, ()),
    (REV_ALL_ARM, '08fb02f2', 0x120b, 'mul     r2, r8, r2', 0, ()),
    (REV_ALL_ARM, '4feac37e', 0x120f, 'lsl     lr, r3, #0x1f', 0, ()),
    (REV_ALL_ARM, '46eacc76', 0x1217, 'orr     r6, r6, r12, lsl #31', 0, ()),
    (REV_ALL_ARM, '43eac773', 0x121b, 'orr     r3, r3, r7, lsl #31', 0, ()),
    (REV_ALL_ARM, '4eea5c0c', 0x121f, 'orr     r12, lr, r12, lsr #1', 0, ()),
    (REV_ALL_ARM, '82ea5707', 0x1223, 'eor     r7, r2, r7, lsr #1', 0, ()),
    (REV_ALL_ARM, '04ebc502', 0x1229, 'add     r2, r4, r5, lsl #3', 0, ()),
    (REV_ALL_ARM, 'c2e90e6c', 0x122d, 'strd    r6, r12, [r2, #0x38]', 0, ()),
    (REV_ALL_ARM, 'c2e92e37', 0x1231, 'strd    r3, r7, [r2, #0xb8]', 0, ()),
    (REV_ALL_ARM, '4fea6505', 0x1235, 'asr     r5, r5, #1', 0, ()),
    (REV_ALL_ARM, '4ff0030e', 0x123b, 'mov     lr, #3', 0, ()),
    (REV_ALL_ARM, '04f13808', 0x1241, 'add     r8, r4, #0x38', 0, ()),
    (REV_ALL_ARM, '04f1b809', 0x1245, 'add     r9, r4, #0xb8', 0, ()),
    (REV_ALL_ARM, 'd5e92076', 0x1271, 'ldrd    r7, r6, [r5, #0x80]', 0, ()),
    (REV_ALL_ARM, '87ea0b07', 0x1277, 'eor     r7, r7, r11', 0, ()),
    (REV_ALL_ARM, '5e40', 0x127b, 'eors    r6, r3', 0, ()),
    (REV_ALL_ARM, 'c1e90076', 0x127d, 'strd    r7, r6, [r1]', 0, ()),
    (REV_ALL_ARM, '2e68', 0x1283, 'ldr     r6, [r5]', 0, ()),
    (REV_ALL_ARM, 'dcf80470', 0x1289, 'ldr     r7, [r12, #4]', 0, ()),
    (REV_ALL_ARM, '43f8086f', 0x1295, 'str     r6, [r3, #8]!', 0, ()),
    (REV_ALL_ARM, '5145', 0x1299, 'cmp     r1, r10', 0, ()),
    (REV_ALL_ARM, '05f10805', 0x129b, 'add     r5, r5, #8', 0, ()),
    (REV_ALL_ARM, '5f60', 0x12a1, 'str     r7, [r3, #4]', 0, ()),
    (REV_ALL_ARM, 'bef1010e', 0x12a5, 'subs    lr, lr, #1', 0, ()),
    (REV_ALL_ARM, '4fea4202', 0x12a9, 'lsl     r2, r2, #1', 0, ()),
    (REV_ALL_ARM, 'ccd1', 0x12ad, 'bne     0x00001248', 0, ()),
    (REV_ALL_ARM, '09ebc206', 0x1249, 'add     r6, r9, r2, lsl #3', 0, ()),
    (REV_ALL_ARM, '08ebc203', 0x124d, 'add     r3, r8, r2, lsl #3', 0, ()),
    (REV_ALL_ARM, '7168', 0x1251, 'ldr     r1, [r6, #4]', 0, ()),
    (REV_ALL_ARM, '58f83210', 0x1255, 'ldr     r1, [r8, r2, lsl #3]', 0, ()),
    (REV_ALL_ARM, '59f832b0', 0x125b, 'ldr     r11, [r9, r2, lsl #3]', 0, ()),
    (REV_ALL_ARM, '0591', 0x1261, 'str     r1, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '04f14005', 0x1263, 'add     r5, r4, #0x40', 0, ()),
    (REV_ALL_ARM, '06f10801', 0x1267, 'add     r1, r6, #8', 0, ()),
    (REV_ALL_ARM, '06ebc20a', 0x126d, 'add     r10, r6, r2, lsl #3', 0, ()),
    (REV_ALL_ARM, 'ddf84c80', 0x12c5, 'ldr     r8, [sp, #0x4c]', 0, ()),
    (REV_ALL_ARM, 'cdf80ca0', 0x12c9, 'str     r10, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, '00f09280', 0x12d7, 'beq     0x000013fe', 0, ()),
    (REV_ALL_ARM, '6ff01305', 0x13ff, 'mvn     r5, #0x13', 0, ()),
    (REV_ALL_ARM, '00f5ac76', 0x12db, 'add     r6, r0, #0x158', 0, ()),
    (REV_ALL_ARM, '04f5b479', 0x12e5, 'add     r9, r4, #0x168', 0, ()),
    (REV_ALL_ARM, 'fff729fe', 0x12e9, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, 'fff724fe', 0x12f3, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, '0c2d', 0x12fb, 'cmp     r5, #0xc', 0, ()),
    (REV_ALL_ARM, 'c4e94e23', 0x12fd, 'strd    r2, r3, [r4, #0x138]', 0, ()),
    (REV_ALL_ARM, 'c4e95023', 0x1301, 'strd    r2, r3, [r4, #0x140]', 0, ()),
    (REV_ALL_ARM, 'c4f878b1', 0x1305, 'str     r11, [r4, #0x178]', 0, ()),
    (REV_ALL_ARM, '0deb0200', 0x1345, 'add     r0, sp, r2', 0, ()),
    (REV_ALL_ARM, 'fff7f8fd', 0x134b, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, 'c5f34752', 0x134f, 'ubfx    r2, r5, #0x15, #8', 0, ()),
    (REV_ALL_ARM, '8df81c20', 0x1353, 'strb    r2, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, 'c5f34f32', 0x1357, 'ubfx    r2, r5, #0xd, #0x10', 0, ()),
    (REV_ALL_ARM, 'eb00', 0x135b, 'lsls    r3, r5, #3', 0, ()),
    (REV_ALL_ARM, '8df81d20', 0x135d, 'strb    r2, [sp, #0x1d]', 0, ()),
    (REV_ALL_ARM, 'c5f35712', 0x1361, 'ubfx    r2, r5, #5, #0x18', 0, ()),
    (REV_ALL_ARM, '8df81e20', 0x1365, 'strb    r2, [sp, #0x1e]', 0, ()),
    (REV_ALL_ARM, 'fff7eafd', 0x1311, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '84f86731', 0x1317, 'strb    r3, [r4, #0x167]', 0, ()),
    (REV_ALL_ARM, '13f801cb', 0x1383, 'ldrb    r12, [r3], #1', 0, ()),
    (REV_ALL_ARM, '81ea0c01', 0x138b, 'eor     r1, r1, r12', 0, ()),
    (REV_ALL_ARM, '02f8011b', 0x138f, 'strb    r1, [r2], #1', 0, ()),
    (REV_ALL_ARM, 'f9f7f7fd', 0x1139b, 'bl      0x0000af8c', 0, ()),
    (REV_ALL_ARM, 'b5eb0b05', 0x139f, 'subs    r5, r5, r11', 0, ()),
    (REV_ALL_ARM, '5f44', 0x13a3, 'add     r7, r11', 0, ()),
    (REV_ALL_ARM, 'c4e95080', 0x1331, 'strd    r8, r0, [r4, #0x140]', 0, ()),
    (REV_ALL_ARM, '102d', 0x136d, 'cmp     r5, #0x10', 0, ()),
    (REV_ALL_ARM, 'ab46', 0x136f, 'mov     r11, r5', 0, ()),
    (REV_ALL_ARM, '04f5ac7a', 0x1371, 'add     r10, r4, #0x158', 0, ()),
    (REV_ALL_ARM, '4ff0100b', 0x1377, 'mov     r11, #0x10', 0, ()),
    (REV_ALL_ARM, '0beb0700', 0x137d, 'add     r0, r11, r7', 0, ()),
    (REV_ALL_ARM, '04f5b471', 0x13a9, 'add     r1, r4, #0x168', 0, ()),
    (REV_ALL_ARM, '1027', 0x13d3, 'movs    r7, #0x10', 0, ()),
    (REV_ALL_ARM, '04f5b472', 0x13d5, 'add     r2, r4, #0x168', 0, ()),
    (REV_ALL_ARM, 'de19', 0x13d9, 'adds    r6, r3, r7', 0, ()),
    (REV_ALL_ARM, '9af80030', 0x13ad, 'ldrb    r3, [r10]', 0, ()),
    (REV_ALL_ARM, '12f8010b', 0x13b1, 'ldrb    r0, [r2], #1', 0, ()),
    (REV_ALL_ARM, '4340', 0x13b5, 'eors    r3, r0', 0, ()),
    (REV_ALL_ARM, '0af8013b', 0x13b7, 'strb    r3, [r10], #1', 0, ()),
    (REV_ALL_ARM, '8a45', 0x13bb, 'cmp     r10, r1', 0, ()),
    (REV_ALL_ARM, 'f9f7e2fd', 0x113c5, 'bl      0x0000af8c', 0, ()),
    (REV_ALL_ARM, '81ea0001', 0x13e3, 'eor     r1, r1, r0', 0, ()),
    (REV_ALL_ARM, 'f9f7cbfd', 0x113f3, 'bl      0x0000af8c', 0, ()),
    (REV_ALL_ARM, 'a8eb0708', 0x13f7, 'sub     r8, r8, r7', 0, ()),
    (REV_ALL_ARM, '1296', 0x13fb, 'str     r6, [sp, #0x48]', 0, ()),
    (REV_ALL_ARM, '04f5a473', 0x1321, 'add     r3, r4, #0x148', 0, ()),
    (REV_ALL_ARM, 'f9f7aafd', 0x11329, 'bl      0x0000ae80', 0, ()),
    (REV_ALL_ARM, '47d1', 0x1339, 'bne     0x000013ca', 0, ()),
    (REV_ALL_ARM, 'd4e94e32', 0x1421, 'ldrd    r3, r2, [r4, #0x138]', 0, ()),
    (REV_ALL_ARM, '52f10002', 0x1427, 'adcs    r2, r2, #0', 0, ()),
    (REV_ALL_ARM, 'bb1a', 0x141b, 'subs    r3, r7, r2', 0, ()),
    (REV_ALL_ARM, '64d3', 0x141f, 'bcc     0x000014ea', 0, ()),
    (REV_ALL_ARM, '6ff01f01', 0x1437, 'mvn     r1, #0x1f', 0, ()),
    (REV_ALL_ARM, '4ff00f01', 0x143d, 'mov     r1, #0xf', 0, ()),
    (REV_ALL_ARM, '9141', 0x1441, 'sbcs    r1, r2', 0, ()),
    (REV_ALL_ARM, '52d3', 0x1443, 'bcc     0x000014ea', 0, ()),
    (REV_ALL_ARM, 'c4e94e32', 0x1445, 'strd    r3, r2, [r4, #0x138]', 0, ()),
    (REV_ALL_ARM, '04f26319', 0x1449, 'addw    r9, r4, #0x163', 0, ()),
    (REV_ALL_ARM, 'a846', 0x145d, 'mov     r8, r5', 0, ()),
    (REV_ALL_ARM, '04f26712', 0x145f, 'addw    r2, r4, #0x167', 0, ()),
    (REV_ALL_ARM, '4ff01008', 0x1465, 'mov     r8, #0x10', 0, ()),
    (REV_ALL_ARM, 'f9f7fcfc', 0x11485, 'bl      0x0000ae80', 0, ()),
    (REV_ALL_ARM, '04f5b473', 0x148d, 'add     r3, r4, #0x168', 0, ()),
    (REV_ALL_ARM, '0df1100c', 0x1493, 'add     r12, sp, #0x10', 0, ()),
    (REV_ALL_ARM, '07f1ff3e', 0x1497, 'add     lr, r7, #0xffffffff', 0, ()),
    (REV_ALL_ARM, '4644', 0x149b, 'add     r6, r8', 0, ()),
    (REV_ALL_ARM, '02f80139', 0x146f, 'strb    r3, [r2], #-1', 0, ()),
    (REV_ALL_ARM, '11f8010b', 0x14b1, 'ldrb    r0, [r1], #1', 0, ()),
    (REV_ALL_ARM, '1cf801bb', 0x14b5, 'ldrb    r11, [r12], #1', 0, ()),
    (REV_ALL_ARM, '8bea000b', 0x14b9, 'eor     r11, r11, r0', 0, ()),
    (REV_ALL_ARM, '0ef801bf', 0x14bd, 'strb    r11, [lr, #1]!', 0, ()),
    (REV_ALL_ARM, 'd4f87801', 0x14c1, 'ldr     r0, [r4, #0x178]', 0, ()),
    (REV_ALL_ARM, '83f800b0', 0x14cf, 'strb    r11, [r3]', 0, ()),
    (REV_ALL_ARM, '8e42', 0x14d3, 'cmp     r6, r1', 0, ()),
    (REV_ALL_ARM, '91f800b0', 0x14a7, 'ldrb    r11, [r1]', 0, ()),
    (REV_ALL_ARM, '80ea0b00', 0x14ab, 'eor     r0, r0, r11', 0, ()),
    (REV_ALL_ARM, 'f9f755fd', 0x114df, 'bl      0x0000af8c', 0, ()),
    (REV_ALL_ARM, '4744', 0x14e7, 'add     r7, r8', 0, ()),
    (REV_ALL_ARM, 'd0e94e35', 0x14f5, 'ldrd    r3, r5, [r0, #0x138]', 0, ()),
    (REV_ALL_ARM, 'ed00', 0x14f9, 'lsls    r5, r5, #3', 0, ()),
    (REV_ALL_ARM, '45ea5375', 0x14fb, 'orr     r5, r5, r3, lsr #29', 0, ()),
    (REV_ALL_ARM, '4feac308', 0x14ff, 'lsl     r8, r3, #3', 0, ()),
    (REV_ALL_ARM, 'd0e95036', 0x1503, 'ldrd    r3, r6, [r0, #0x140]', 0, ()),
    (REV_ALL_ARM, 'f600', 0x1507, 'lsls    r6, r6, #3', 0, ()),
    (REV_ALL_ARM, '46ea5376', 0x1509, 'orr     r6, r6, r3, lsr #29', 0, ()),
    (REV_ALL_ARM, '4feac309', 0x150d, 'lsl     r9, r3, #3', 0, ()),
    (REV_ALL_ARM, '62d8', 0x151b, 'bhi     0x000015e2', 0, ()),
    (REV_ALL_ARM, '00f5a471', 0x151d, 'add     r1, r0, #0x148', 0, ()),
    (REV_ALL_ARM, 'fff7e1fc', 0x1523, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '48ea0903', 0x1527, 'orr     r3, r8, r9', 0, ()),
    (REV_ALL_ARM, '45ea0602', 0x152b, 'orr     r2, r5, r6', 0, ()),
    (REV_ALL_ARM, '330e', 0x1545, 'lsrs    r3, r6, #0x18', 0, ()),
    (REV_ALL_ARM, '330c', 0x154b, 'lsrs    r3, r6, #0x10', 0, ()),
    (REV_ALL_ARM, '8df80130', 0x154d, 'strb    r3, [sp, #1]', 0, ()),
    (REV_ALL_ARM, '330a', 0x1551, 'lsrs    r3, r6, #8', 0, ()),
    (REV_ALL_ARM, '8df80230', 0x1553, 'strb    r3, [sp, #2]', 0, ()),
    (REV_ALL_ARM, '4fea1963', 0x1557, 'lsr     r3, r9, #0x18', 0, ()),
    (REV_ALL_ARM, '4fea1943', 0x155f, 'lsr     r3, r9, #0x10', 0, ()),
    (REV_ALL_ARM, '4fea1923', 0x1567, 'lsr     r3, r9, #8', 0, ()),
    (REV_ALL_ARM, '8df80630', 0x156b, 'strb    r3, [sp, #6]', 0, ()),
    (REV_ALL_ARM, '2b0e', 0x156f, 'lsrs    r3, r5, #0x18', 0, ()),
    (REV_ALL_ARM, '2b0a', 0x157b, 'lsrs    r3, r5, #8', 0, ()),
    (REV_ALL_ARM, '8df80a30', 0x157d, 'strb    r3, [sp, #0xa]', 0, ()),
    (REV_ALL_ARM, '4fea1863', 0x1581, 'lsr     r3, r8, #0x18', 0, ()),
    (REV_ALL_ARM, '4fea1843', 0x1589, 'lsr     r3, r8, #0x10', 0, ()),
    (REV_ALL_ARM, '4fea1823', 0x1595, 'lsr     r3, r8, #8', 0, ()),
    (REV_ALL_ARM, '8df80b50', 0x1599, 'strb    r5, [sp, #0xb]', 0, ()),
    (REV_ALL_ARM, '8df80e30', 0x159d, 'strb    r3, [sp, #0xe]', 0, ()),
    (REV_ALL_ARM, '8df80360', 0x15a1, 'strb    r6, [sp, #3]', 0, ()),
    (REV_ALL_ARM, '8df80790', 0x15a5, 'strb    r9, [sp, #7]', 0, ()),
    (REV_ALL_ARM, '8df80f80', 0x15a9, 'strb    r8, [sp, #0xf]', 0, ()),
    (REV_ALL_ARM, '04f5bc75', 0x15af, 'add     r5, r4, #0x178', 0, ()),
    (REV_ALL_ARM, '0878', 0x15b5, 'ldrb    r0, [r1]', 0, ()),
    (REV_ALL_ARM, '13f8016b', 0x15b7, 'ldrb    r6, [r3], #1', 0, ()),
    (REV_ALL_ARM, 'f9f7e0fc', 0x115c9, 'bl      0x0000af8c', 0, ()),
    (REV_ALL_ARM, 'ba44', 0x15cd, 'add     r10, r7', 0, ()),
    (REV_ALL_ARM, '00f8013b', 0x15d9, 'strb    r3, [r0], #1', 0, ()),
    (REV_ALL_ARM, '8245', 0x15dd, 'cmp     r10, r0', 0, ()),
    (REV_ALL_ARM, '0b9b', 0x15f5, 'ldr     r3, [sp, #0x2c]', 0, ()),
    (REV_ALL_ARM, 'dde90d89', 0x15fb, 'ldrd    r8, r9, [sp, #0x34]', 0, ()),
    (REV_ALL_ARM, 'dde90f76', 0x15ff, 'ldrd    r7, r6, [sp, #0x3c]', 0, ()),
    (REV_ALL_ARM, 'fff759fe', 0x1605, 'bl      0x000012ba', 0, ()),
    (REV_ALL_ARM, 'fff7f7fe', 0x1613, 'bl      0x00001404', 0, ()),
    (REV_ALL_ARM, '38b9', 0x1617, 'cbnz    r0, 0x00001628', 0, ()),
    (REV_ALL_ARM, 'fff764bf', 0x1625, 'b       0x000014f0', 0, ()),
    (REV_ALL_ARM, '1699', 0x1635, 'ldr     r1, [sp, #0x58]', 0, ()),
    (REV_ALL_ARM, '1399', 0x1639, 'ldr     r1, [sp, #0x4c]', 0, ()),
    (REV_ALL_ARM, '159e', 0x163b, 'ldr     r6, [sp, #0x54]', 0, ()),
    (REV_ALL_ARM, '08ac', 0x1645, 'add     r4, sp, #0x20', 0, ()),
    (REV_ALL_ARM, 'cde90031', 0x1647, 'strd    r3, r1, [sp]', 0, ()),
    (REV_ALL_ARM, 'cde90564', 0x164b, 'strd    r6, r4, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '1e44', 0x165d, 'add     r6, r3', 0, ()),
    (REV_ALL_ARM, '13f8012b', 0x1675, 'ldrb    r2, [r3], #1', 0, ()),
    (REV_ALL_ARM, 'faf722fa', 0x11669, 'bl      0x0000bab0', 0, ()),
    (REV_ALL_ARM, '6ff01100', 0x166d, 'mvn     r0, #0x11', 0, ()),
    (REV_ALL_ARM, 'fff725fd', 0x1689, 'bl      0x000010d6', 0, ()),
    (REV_ALL_ARM, 'faf70bba', 0x11697, 'b       0x0000bab0', 0, ()),
    (REV_ALL_ARM, '5822', 0x169d, 'movs    r2, #0x58', 0, ()),
    (REV_ALL_ARM, 'fff74dbc', 0x16a1, 'b       0x00000f3e', 0, ()),
    (REV_ALL_ARM, '5821', 0x16a7, 'movs    r1, #0x58', 0, ()),
    (REV_ALL_ARM, 'faf702ba', 0x116a9, 'b       0x0000bab0', 0, ()),
    (REV_ALL_ARM, '03f03f07', 0x16c3, 'and     r7, r3, #0x3f', 0, ()),
    (REV_ALL_ARM, 'd318', 0x16c7, 'adds    r3, r2, r3', 0, ()),
    (REV_ALL_ARM, 'a7b1', 0x16d3, 'cbz     r7, 0x000016fe', 0, ()),
    (REV_ALL_ARM, 'c7f14009', 0x16d5, 'rsb     r9, r7, #0x40', 0, ()),
    (REV_ALL_ARM, '10d3', 0x16db, 'bcc     0x000016fe', 0, ()),
    (REV_ALL_ARM, '3f2c', 0x170f, 'cmp     r4, #0x3f', 0, ()),
    (REV_ALL_ARM, 'a6eb0401', 0x1711, 'sub     r1, r6, r4', 0, ()),
    (REV_ALL_ARM, '00f11808', 0x16dd, 'add     r8, r0, #0x18', 0, ()),
    (REV_ALL_ARM, '08eb0700', 0x16e3, 'add     r0, r8, r7', 0, ()),
    (REV_ALL_ARM, 'fff7fffb', 0x16e7, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'f9f7e7fc', 0x116ef, 'bl      0x0000b0c0', 0, ()),
    (REV_ALL_ARM, 'f9f7dcfc', 0x11705, 'bl      0x0000b0c0', 0, ()),
    (REV_ALL_ARM, 'cfd0', 0x1719, 'beq     0x000016ba', 0, ()),
    (REV_ALL_ARM, '4e44', 0x16f9, 'add     r6, r9', 0, ()),
    (REV_ALL_ARM, '403c', 0x16fb, 'subs    r4, #0x40', 0, ()),
    (REV_ALL_ARM, 'fff7e1fb', 0x1723, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, '382a', 0x1735, 'cmp     r2, #0x38', 0, ()),
    (REV_ALL_ARM, '00f11806', 0x1739, 'add     r6, r0, #0x18', 0, ()),
    (REV_ALL_ARM, '4ff08001', 0x173d, 'mov     r1, #0x80', 0, ()),
    (REV_ALL_ARM, '1976', 0x1743, 'strb    r1, [r3, #0x18]', 0, ()),
    (REV_ALL_ARM, '06eb0200', 0x1745, 'add     r0, r6, r2', 0, ()),
    (REV_ALL_ARM, '36d8', 0x1749, 'bhi     0x000017b8', 0, ()),
    (REV_ALL_ARM, 'c2f14002', 0x17bb, 'rsb     r2, r2, #0x40', 0, ()),
    (REV_ALL_ARM, 'f9f77bfc', 0x117c7, 'bl      0x0000b0c0', 0, ()),
    (REV_ALL_ARM, 'c2f13802', 0x174b, 'rsb     r2, r2, #0x38', 0, ()),
    (REV_ALL_ARM, '6b70', 0x1777, 'strb    r3, [r5, #1]', 0, ()),
    (REV_ALL_ARM, '6389', 0x1779, 'ldrh    r3, [r4, #0xa]', 0, ()),
    (REV_ALL_ARM, 'ab70', 0x177b, 'strb    r3, [r5, #2]', 0, ()),
    (REV_ALL_ARM, 'eb70', 0x177f, 'strb    r3, [r5, #3]', 0, ()),
    (REV_ALL_ARM, '2b71', 0x1783, 'strb    r3, [r5, #4]', 0, ()),
    (REV_ALL_ARM, '6b71', 0x1789, 'strb    r3, [r5, #5]', 0, ()),
    (REV_ALL_ARM, 'e389', 0x178b, 'ldrh    r3, [r4, #0xe]', 0, ()),
    (REV_ALL_ARM, 'ab71', 0x178d, 'strb    r3, [r5, #6]', 0, ()),
    (REV_ALL_ARM, 'eb71', 0x1791, 'strb    r3, [r5, #7]', 0, ()),
    (REV_ALL_ARM, '2b72', 0x1795, 'strb    r3, [r5, #8]', 0, ()),
    (REV_ALL_ARM, '6b72', 0x179b, 'strb    r3, [r5, #9]', 0, ()),
    (REV_ALL_ARM, '638a', 0x179d, 'ldrh    r3, [r4, #0x12]', 0, ()),
    (REV_ALL_ARM, 'ab72', 0x179f, 'strb    r3, [r5, #0xa]', 0, ()),
    (REV_ALL_ARM, 'eb72', 0x17a3, 'strb    r3, [r5, #0xb]', 0, ()),
    (REV_ALL_ARM, '2b73', 0x17a7, 'strb    r3, [r5, #0xc]', 0, ()),
    (REV_ALL_ARM, '6b73', 0x17ad, 'strb    r3, [r5, #0xd]', 0, ()),
    (REV_ALL_ARM, 'e38a', 0x17af, 'ldrh    r3, [r4, #0x16]', 0, ()),
    (REV_ALL_ARM, 'ab73', 0x17b1, 'strb    r3, [r5, #0xe]', 0, ()),
    (REV_ALL_ARM, 'eb73', 0x17b5, 'strb    r3, [r5, #0xf]', 0, ()),
    (REV_ALL_ARM, 'fff7f5fb', 0x1751, 'bl      0x00000f3e', 0, ()),
    (REV_ALL_ARM, '5a0f', 0x1759, 'lsrs    r2, r3, #0x1d', 0, ()),
    (REV_ALL_ARM, '42eac102', 0x175b, 'orr     r2, r2, r1, lsl #3', 0, ()),
    (REV_ALL_ARM, 'c4e91432', 0x1761, 'strd    r3, r2, [r4, #0x50]', 0, ()),
    (REV_ALL_ARM, 'f9f7aafc', 0x11769, 'bl      0x0000b0c0', 0, ()),
    (REV_ALL_ARM, '18bb', 0x176d, 'cbnz    r0, 0x000017b6', 0, ()),
    (REV_ALL_ARM, '1220', 0x17e1, 'movs    r0, #0x12', 0, ()),
    (REV_ALL_ARM, 'f8f7f6f8', 0x117e5, 'bl      0x000099d4', 0, ()),
    (REV_ALL_ARM, 'f8f7cdb8', 0x117ef, 'b       0x0000998c', 0, ()),
    (REV_ALL_ARM, 'd2f8ac30', 0x17fd, 'ldr     r3, [r2, #0xac]', 0, ()),
    (REV_ALL_ARM, '93faa3f3', 0x1803, 'rbit    r3, r3', 0, ()),
    (REV_ALL_ARM, 'b3fa83f3', 0x1807, 'clz     r3, r3', 0, ()),
    (REV_ALL_ARM, '82f8b030', 0x180f, 'strb    r3, [r2, #0xb0]', 0, ()),
    (REV_ALL_ARM, '03eb4302', 0x1815, 'add     r2, r3, r3, lsl #1', 0, ()),
    (REV_ALL_ARM, '93bf', 0x1819, 'iteet   ls', 0, ()),
    (REV_ALL_ARM, '43ea0253', 0x181b, 'orr     r3, r3, r2, lsl #20', 0, ()),
    (REV_ALL_ARM, '1e3a', 0x181f, 'subs    r2, #0x1e', 0, ()),
    (REV_ALL_ARM, '43f00073', 0x1825, 'orr     r3, r3, #0x2000000', 0, ()),
    (REV_ALL_ARM, '92faa2f2', 0x182d, 'rbit    r2, r2', 0, ()),
    (REV_ALL_ARM, '4ff40071', 0x1831, 'mov     r1, #0x200', 0, ()),
    (REV_ALL_ARM, 'd140', 0x1839, 'lsrs    r1, r2', 0, ()),
    (REV_ALL_ARM, '04f12c00', 0x183b, 'add     r0, r4, #0x2c', 0, ()),
    (REV_ALL_ARM, '03f01f03', 0x183f, 'and     r3, r3, #0x1f', 0, ()),
    (REV_ALL_ARM, '50f82120', 0x1843, 'ldr     r2, [r0, r1, lsl #2]', 0, ()),
    (REV_ALL_ARM, '40f82130', 0x184d, 'str     r3, [r0, r1, lsl #2]', 0, ()),
    (REV_ALL_ARM, 'c36f', 0x185b, 'ldr     r3, [r0, #0x7c]', 0, ()),
    (REV_ALL_ARM, 'c0f8ac30', 0x185d, 'str     r3, [r0, #0xac]', 0, ()),
    (REV_ALL_ARM, 'd0f8a030', 0x1861, 'ldr     r3, [r0, #0xa0]', 0, ()),
    (REV_ALL_ARM, 'c0f8a430', 0x1865, 'str     r3, [r0, #0xa4]', 0, ()),
    (REV_ALL_ARM, 'd0f89c00', 0x1869, 'ldr     r0, [r0, #0x9c]', 0, ()),
    (REV_ALL_ARM, 'fff7c1bf', 0x186d, 'b       0x000017f2', 0, ()),
    (REV_ALL_ARM, '50e8002f', 0x1879, 'ldrex   r2, [r0]', 0, ()),
    (REV_ALL_ARM, '40e8001c', 0x187f, 'strex   r12, r1, [r0]', 0, ()),
    (REV_ALL_ARM, '6ff00f02', 0x1893, 'mvn     r2, #0xf', 0, ()),
    (REV_ALL_ARM, '9a66', 0x1897, 'str     r2, [r3, #0x68]', 0, ()),
    (REV_ALL_ARM, 'fff7e4bf', 0x188f, 'b       0x0000185a', 0, ()),
    (REV_ALL_ARM, 'da6c', 0x18a5, 'ldr     r2, [r3, #0x4c]', 0, ()),
    (REV_ALL_ARM, 'd4f8a030', 0x18a7, 'ldr     r3, [r4, #0xa0]', 0, ()),
    (REV_ALL_ARM, '991c', 0x18ab, 'adds    r1, r3, #2', 0, ()),
    (REV_ALL_ARM, 'c4f8a010', 0x18ad, 'str     r1, [r4, #0xa0]', 0, ()),
    (REV_ALL_ARM, '94f8b020', 0x18b3, 'ldrb    r2, [r4, #0xb0]', 0, ()),
    (REV_ALL_ARM, '03fa02f2', 0x18b9, 'lsl     r2, r3, r2', 0, ()),
    (REV_ALL_ARM, 'd4f8ac30', 0x18bd, 'ldr     r3, [r4, #0xac]', 0, ()),
    (REV_ALL_ARM, 'c4f8ac30', 0x18c5, 'str     r3, [r4, #0xac]', 0, ()),
    (REV_ALL_ARM, 'a36f', 0x18d3, 'ldr     r3, [r4, #0x78]', 0, ()),
    (REV_ALL_ARM, 'abb3', 0x18d5, 'cbz     r3, 0x00001942', 0, ()),
    (REV_ALL_ARM, 'fff790bf', 0x18cf, 'b       0x000017f2', 0, ()),
    (REV_ALL_ARM, '53b1', 0x1947, 'cbz     r3, 0x0000195e', 0, ()),
    (REV_ALL_ARM, 'd4f89030', 0x18d7, 'ldr     r3, [r4, #0x90]', 0, ()),
    (REV_ALL_ARM, '206f', 0x1949, 'ldr     r0, [r4, #0x70]', 0, ()),
    (REV_ALL_ARM, 'b4f89830', 0x18ef, 'ldrh    r3, [r4, #0x98]', 0, ()),
    (REV_ALL_ARM, 'b4f89420', 0x18f3, 'ldrh    r2, [r4, #0x94]', 0, ()),
    (REV_ALL_ARM, '1dd9', 0x18f9, 'bls     0x00001936', 0, ()),
    (REV_ALL_ARM, 'b4f89820', 0x18dd, 'ldrh    r2, [r4, #0x98]', 0, ()),
    (REV_ALL_ARM, '04f17801', 0x18e1, 'add     r1, r4, #0x78', 0, ()),
    (REV_ALL_ARM, 'fbf7bfbc', 0x1195b, 'b       0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '04f13400', 0x1953, 'add     r0, r4, #0x34', 0, ()),
    (REV_ALL_ARM, 'fcf79ff8', 0x1194f, 'bl      0x0000da90', 0, ()),
    (REV_ALL_ARM, 'd4f88c30', 0x1937, 'ldr     r3, [r4, #0x8c]', 0, ()),
    (REV_ALL_ARM, 'a4f89830', 0x18fd, 'strh    r3, [r4, #0x98]', 0, ()),
    (REV_ALL_ARM, 'd4f8a430', 0x1903, 'ldr     r3, [r4, #0xa4]', 0, ()),
    #(REV_ALL_ARM, '01f0adf8', 0x193f, 'bl      0x00002a9c', 0, ()),
    (REV_ALL_ARM, 'fff7a0bf', 0x1917, 'b       0x0000185a', 0, ()),
    (REV_ALL_ARM, 'eddc', 0x1933, 'bgt     0x00001910', 0, ()),
    (REV_ALL_ARM, '05f13408', 0x196b, 'add     r8, r5, #0x34', 0, ()),
    (REV_ALL_ARM, 'fbf7dbfc', 0x1197b, 'bl      0x0000d334', 0, ()),
    (REV_ALL_ARM, '85f87430', 0x1981, 'strb    r3, [r5, #0x74]', 0, ()),
    (REV_ALL_ARM, '2f67', 0x1987, 'str     r7, [r5, #0x70]', 0, ()),
    (REV_ALL_ARM, 'faf7cdf8', 0x1198b, 'bl      0x0000bb28', 0, ()),
    (REV_ALL_ARM, '95f87430', 0x198f, 'ldrb    r3, [r5, #0x74]', 0, ()),
    (REV_ALL_ARM, 'fbf79ffc', 0x1199b, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '05f13407', 0x19a9, 'add     r7, r5, #0x34', 0, ()),
    (REV_ALL_ARM, 'fbf7bdfc', 0x119b7, 'bl      0x0000d334', 0, ()),
    (REV_ALL_ARM, '2b67', 0x19c1, 'str     r3, [r5, #0x70]', 0, ()),
    (REV_ALL_ARM, 'faf7aff8', 0x119c7, 'bl      0x0000bb28', 0, ()),
    (REV_ALL_ARM, 'fbf781fc', 0x119d7, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '39b9', 0x19e9, 'cbnz    r1, 0x000019fa', 0, ()),
    (REV_ALL_ARM, '04fa02f2', 0x19ed, 'lsl     r2, r4, r2', 0, ()),
    (REV_ALL_ARM, '31b9', 0x1a0b, 'cbnz    r1, 0x00001a1a', 0, ()),
    (REV_ALL_ARM, '21fa02f2', 0x1a0f, 'lsr     r2, r1, r2', 0, ()),
    (REV_ALL_ARM, '54b9', 0x1a33, 'cbnz    r4, 0x00001a4a', 0, ()),
    (REV_ALL_ARM, 'c340', 0x1ab3, 'lsrs    r3, r0', 0, ()),
    (REV_ALL_ARM, '0fd5', 0x1abb, 'bpl     0x00001adc', 0, ()),
    (REV_ALL_ARM, '69b1', 0x1abf, 'cbz     r1, 0x00001adc', 0, ()),
    (REV_ALL_ARM, '8540', 0x1ac5, 'lsls    r5, r0', 0, ()),
    (REV_ALL_ARM, '14b1', 0x1ad5, 'cbz     r4, 0x00001adc', 0, ()),
    (REV_ALL_ARM, '1d42', 0x1ac9, 'tst     r5, r3', 0, ()),
    (REV_ALL_ARM, 'a9b1', 0x1ae5, 'cbz     r1, 0x00001b12', 0, ()),
    (REV_ALL_ARM, '03f44073', 0x1af1, 'and     r3, r3, #0x300', 0, ()),
    (REV_ALL_ARM, 'b3f5807f', 0x1af5, 'cmp     r3, #0x100', 0, ()),
    (REV_ALL_ARM, 'b3f5007f', 0x1b03, 'cmp     r3, #0x200', 0, ()),
    (REV_ALL_ARM, '02f0300c', 0x1b21, 'and     r12, r2, #0x30', 0, ()),
    (REV_ALL_ARM, '94faa4f7', 0x1b25, 'rbit    r7, r4', 0, ()),
    (REV_ALL_ARM, 'b7fa87f7', 0x1b29, 'clz     r7, r7', 0, ()),
    (REV_ALL_ARM, '94faa4f6', 0x1b2d, 'rbit    r6, r4', 0, ()),
    (REV_ALL_ARM, '7f00', 0x1b35, 'lsls    r7, r7, #1', 0, ()),
    (REV_ALL_ARM, '0efa07f7', 0x1b37, 'lsl     r7, lr, r7', 0, ()),
    (REV_ALL_ARM, 'b6fa86f6', 0x1b3b, 'clz     r6, r6', 0, ()),
    (REV_ALL_ARM, '7600', 0x1b43, 'lsls    r6, r6, #1', 0, ()),
    (REV_ALL_ARM, '4fea1c17', 0x1b45, 'lsr     r7, r12, #4', 0, ()),
    (REV_ALL_ARM, '07fa06f6', 0x1b49, 'lsl     r6, r7, r6', 0, ()),
    (REV_ALL_ARM, 'bcf1200f', 0x1b4f, 'cmp     r12, #0x20', 0, ()),
    (REV_ALL_ARM, '0560', 0x1b53, 'str     r5, [r0]', 0, ()),
    (REV_ALL_ARM, '15d1', 0x1b55, 'bne     0x00001b82', 0, ()),
    (REV_ALL_ARM, 'c2f38013', 0x1b85, 'ubfx    r3, r2, #6, #1', 0, ()),
    (REV_ALL_ARM, '03fa01f1', 0x1b89, 'lsl     r1, r3, r1', 0, ()),
    (REV_ALL_ARM, '94faa4f3', 0x1b97, 'rbit    r3, r4', 0, ()),
    (REV_ALL_ARM, '05fa03f3', 0x1bab, 'lsl     r3, r5, r3', 0, ()),
    (REV_ALL_ARM, 'c2f3c117', 0x1bb3, 'ubfx    r7, r2, #7, #2', 0, ()),
    (REV_ALL_ARM, '7100', 0x1bb7, 'lsls    r1, r6, #1', 0, ()),
    (REV_ALL_ARM, '07fa01f1', 0x1bb9, 'lsl     r1, r7, r1', 0, ()),
    (REV_ALL_ARM, '94faa4f1', 0x1bc3, 'rbit    r1, r4', 0, ()),
    (REV_ALL_ARM, 'b1fa81f1', 0x1bc7, 'clz     r1, r1', 0, ()),
    (REV_ALL_ARM, '94faa4f4', 0x1bcb, 'rbit    r4, r4', 0, ()),
    (REV_ALL_ARM, '4900', 0x1bd3, 'lsls    r1, r1, #1', 0, ()),
    (REV_ALL_ARM, '05fa01f1', 0x1bd5, 'lsl     r1, r5, r1', 0, ()),
    (REV_ALL_ARM, 'c2f34122', 0x1bd9, 'ubfx    r2, r2, #9, #2', 0, ()),
    (REV_ALL_ARM, '02fa04f4', 0x1be3, 'lsl     r4, r2, r4', 0, ()),
    (REV_ALL_ARM, 'c460', 0x1be9, 'str     r4, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, '49dc', 0x1b59, 'bgt     0x00001bee', 0, ()),
    (REV_ALL_ARM, '466a', 0x1bef, 'ldr     r6, [r0, #0x24]', 0, ()),
    (REV_ALL_ARM, '250a', 0x1bf1, 'lsrs    r5, r4, #8', 0, ()),
    (REV_ALL_ARM, '95faa5f7', 0x1bf3, 'rbit    r7, r5', 0, ()),
    (REV_ALL_ARM, '95faa5f5', 0x1bfb, 'rbit    r5, r5', 0, ()),
    (REV_ALL_ARM, '4ff00f0c', 0x1bff, 'mov     r12, #0xf', 0, ()),
    (REV_ALL_ARM, 'b5fa85f5', 0x1c03, 'clz     r5, r5', 0, ()),
    (REV_ALL_ARM, 'bf00', 0x1c07, 'lsls    r7, r7, #2', 0, ()),
    (REV_ALL_ARM, '0cfa07f7', 0x1c09, 'lsl     r7, r12, r7', 0, ()),
    (REV_ALL_ARM, 'ad00', 0x1c0d, 'lsls    r5, r5, #2', 0, ()),
    (REV_ALL_ARM, 'ab40', 0x1c13, 'lsls    r3, r5', 0, ()),
    (REV_ALL_ARM, '3343', 0x1c15, 'orrs    r3, r6', 0, ()),
    (REV_ALL_ARM, '056a', 0x1b5b, 'ldr     r5, [r0, #0x20]', 0, ()),
    (REV_ALL_ARM, 'b600', 0x1b77, 'lsls    r6, r6, #2', 0, ()),
    (REV_ALL_ARM, 'b340', 0x1b7d, 'lsls    r3, r6', 0, ()),
    (REV_ALL_ARM, '1b79', 0x1c35, 'ldrb    r3, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '0df10601', 0x1c41, 'add     r1, sp, #6', 0, ()),
    (REV_ALL_ARM, 'cde90512', 0x1c47, 'strd    r1, r2, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '9df80610', 0x1c6d, 'ldrb    r1, [sp, #6]', 0, ()),
    (REV_ALL_ARM, '21fa07f2', 0x1c71, 'lsr     r2, r1, r7', 0, ()),
    (REV_ALL_ARM, '9df80630', 0x1c7d, 'ldrb    r3, [sp, #6]', 0, ()),
    (REV_ALL_ARM, 'faf718fd', 0x11c91, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, '10b3', 0x1c97, 'cbz     r0, 0x00001cde', 0, ()),
    (REV_ALL_ARM, '8df81060', 0x1ca9, 'strb    r6, [sp, #0x10]', 0, ()),
    (REV_ALL_ARM, '0df10606', 0x1caf, 'add     r6, sp, #6', 0, ()),
    (REV_ALL_ARM, 'cde90561', 0x1cb3, 'strd    r6, r1, [sp, #0x14]', 0, ()),
    (REV_ALL_ARM, '8df81c10', 0x1cbb, 'strb    r1, [sp, #0x1c]', 0, ()),
    (REV_ALL_ARM, '6279', 0x1ccb, 'ldrb    r2, [r4, #5]', 0, ()),
    (REV_ALL_ARM, 'a279', 0x1cd5, 'ldrb    r2, [r4, #6]', 0, ()),
    (REV_ALL_ARM, '2a71', 0x1cd7, 'strb    r2, [r5, #4]', 0, ()),
    (REV_ALL_ARM, '8df80020', 0x1cf5, 'strb    r2, [sp]', 0, ()),
    (REV_ALL_ARM, '9807', 0x1d13, 'lsls    r0, r3, #0x1e', 0, ()),
    (REV_ALL_ARM, '21b1', 0x1d17, 'cbz     r1, 0x00001d22', 0, ()),
    (REV_ALL_ARM, '01fa02f2', 0x1d25, 'lsl     r2, r1, r2', 0, ()),
    (REV_ALL_ARM, 'a079', 0x1d29, 'ldrb    r0, [r4, #6]', 0, ()),
    (REV_ALL_ARM, '54bf', 0x1d2f, 'ite     pl', 0, ()),
    (REV_ALL_ARM, '40ea0201', 0x1d31, 'orr     r1, r0, r2', 0, ()),
    (REV_ALL_ARM, 'a171', 0x1d39, 'strb    r1, [r4, #6]', 0, ()),
    (REV_ALL_ARM, '6179', 0x1d3b, 'ldrb    r1, [r4, #5]', 0, ()),
    (REV_ALL_ARM, '1b06', 0x1d3d, 'lsls    r3, r3, #0x18', 0, ()),
    (REV_ALL_ARM, '6271', 0x1d47, 'strb    r2, [r4, #5]', 0, ()),
    (REV_ALL_ARM, '2979', 0x1d5b, 'ldrb    r1, [r5, #4]', 0, ()),
    (REV_ALL_ARM, 'fff7bebf', 0x1d65, 'b       0x00001ce4', 0, ()),
    (REV_ALL_ARM, 'da43', 0x1d69, 'mvns    r2, r3', 0, ()),
    (REV_ALL_ARM, '13f08003', 0x1d6b, 'ands    r3, r3, #0x80', 0, ()),
    (REV_ALL_ARM, '42f30002', 0x1d6f, 'sbfx    r2, r2, #0, #1', 0, ()),
    (REV_ALL_ARM, 'a271', 0x1d77, 'strb    r2, [r4, #6]', 0, ()),
    (REV_ALL_ARM, '6371', 0x1d79, 'strb    r3, [r4, #5]', 0, ()),
    (REV_ALL_ARM, '29b1', 0x1d85, 'cbz     r1, 0x00001d92', 0, ()),
    (REV_ALL_ARM, 'ca6d', 0x1dbb, 'ldr     r2, [r1, #0x5c]', 0, ()),
    (REV_ALL_ARM, '32b3', 0x1dc1, 'cbz     r2, 0x00001e10', 0, ()),
    (REV_ALL_ARM, '4a6c', 0x1dd7, 'ldr     r2, [r1, #0x44]', 0, ()),
    (REV_ALL_ARM, 'ca65', 0x1def, 'str     r2, [r1, #0x5c]', 0, ()),
    (REV_ALL_ARM, '0a6e', 0x1df1, 'ldr     r2, [r1, #0x60]', 0, ()),
    (REV_ALL_ARM, '0b6e', 0x1df7, 'ldr     r3, [r1, #0x60]', 0, ()),
    (REV_ALL_ARM, '0b66', 0x1dfb, 'str     r3, [r1, #0x60]', 0, ()),
    (REV_ALL_ARM, 'fbf76eba', 0x11dfd, 'b       0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '911e', 0x1dc7, 'subs    r1, r2, #2', 0, ()),
    (REV_ALL_ARM, 'c265', 0x1e03, 'str     r2, [r0, #0x5c]', 0, ()),
    (REV_ALL_ARM, '026e', 0x1e05, 'ldr     r2, [r0, #0x60]', 0, ()),
    (REV_ALL_ARM, '036e', 0x1e0b, 'ldr     r3, [r0, #0x60]', 0, ()),
    (REV_ALL_ARM, '0366', 0x1e0f, 'str     r3, [r0, #0x60]', 0, ()),
    (REV_ALL_ARM, '9107', 0x1e45, 'lsls    r1, r2, #0x1e', 0, ()),
    (REV_ALL_ARM, '5207', 0x1e53, 'lsls    r2, r2, #0x1d', 0, ()),
    (REV_ALL_ARM, 'fbf740ba', 0x11e59, 'b       0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '016e', 0x1e2b, 'ldr     r1, [r0, #0x60]', 0, ()),
    (REV_ALL_ARM, '2243', 0x1e37, 'orrs    r2, r4', 0, ()),
    (REV_ALL_ARM, '0166', 0x1e3d, 'str     r1, [r0, #0x60]', 0, ()),
    (REV_ALL_ARM, '1e68', 0x1e7b, 'ldr     r6, [r3]', 0, ()),
    (REV_ALL_ARM, 'dc68', 0x1e81, 'ldr     r4, [r3, #0xc]', 0, ()),
    (REV_ALL_ARM, 'd869', 0x1e83, 'ldr     r0, [r3, #0x1c]', 0, ()),
    (REV_ALL_ARM, '196a', 0x1e85, 'ldr     r1, [r3, #0x20]', 0, ()),
    (REV_ALL_ARM, '1f68', 0x1e87, 'ldr     r7, [r3]', 0, ()),
    (REV_ALL_ARM, '47f40047', 0x1e89, 'orr     r7, r7, #0x08000', 0, ()),
    (REV_ALL_ARM, '1f60', 0x1e8d, 'str     r7, [r3]', 0, ()),
    (REV_ALL_ARM, '42f48042', 0x1e9b, 'orr     r2, r2, #0x4000', 0, ()),
    (REV_ALL_ARM, '1e60', 0x1ea7, 'str     r6, [r3]', 0, ()),
    (REV_ALL_ARM, '5d60', 0x1ea9, 'str     r5, [r3, #4]', 0, ()),
    (REV_ALL_ARM, 'd861', 0x1eaf, 'str     r0, [r3, #0x1c]', 0, ()),
    (REV_ALL_ARM, '1962', 0x1eb1, 'str     r1, [r3, #0x20]', 0, ()),
    (REV_ALL_ARM, '17b4', 0x1eb9, 'push    {r0, r1, r2, r4}', 0, ()),
    (REV_ALL_ARM, '26d5', 0x1ec3, 'bpl     0x00001f12', 0, ()),
    (REV_ALL_ARM, '1b07', 0x1f15, 'lsls    r3, r3, #0x1c', 0, ()),
    (REV_ALL_ARM, '05d5', 0x1f17, 'bpl     0x00001f24', 0, ()),
    (REV_ALL_ARM, '8a6b', 0x1ec5, 'ldr     r2, [r1, #0x38]', 0, ()),
    (REV_ALL_ARM, '8b8f', 0x1ec7, 'ldrh    r3, [r1, #0x3c]', 0, ()),
    (REV_ALL_ARM, '12f00102', 0x1ec9, 'ands    r2, r2, #1', 0, ()),
    (REV_ALL_ARM, '2bd5', 0x1f29, 'bpl     0x00001f82', 0, ()),
    (REV_ALL_ARM, '91f83c20', 0x1f1b, 'ldrb    r2, [r1, #0x3c]', 0, ()),
    (REV_ALL_ARM, '8a6c', 0x1ef7, 'ldr     r2, [r1, #0x48]', 0, ()),
    (REV_ALL_ARM, '22b1', 0x1efb, 'cbz     r2, 0x00001f06', 0, ()),
    (REV_ALL_ARM, '0c6c', 0x1ecf, 'ldr     r4, [r1, #0x40]', 0, ()),
    (REV_ALL_ARM, 'db11', 0x1ed1, 'asrs    r3, r3, #7', 0, ()),
    (REV_ALL_ARM, '37d5', 0x1f87, 'bpl     0x00001ff8', 0, ()),
    (REV_ALL_ARM, '8b6c', 0x1f2d, 'ldr     r3, [r1, #0x48]', 0, ()),
    (REV_ALL_ARM, '43f0f103', 0x1eef, 'orr     r3, r3, #0xf1', 0, ()),
    (REV_ALL_ARM, '43f0f003', 0x1ed9, 'orr     r3, r3, #0xf0', 0, ()),
    (REV_ALL_ARM, '1a06', 0x1ffb, 'lsls    r2, r3, #0x18', 0, ()),
    (REV_ALL_ARM, 'abb9', 0x1f33, 'cbnz    r3, 0x00001f60', 0, ()),
    (REV_ALL_ARM, '0a64', 0x1edd, 'str     r2, [r1, #0x40]', 0, ()),
    (REV_ALL_ARM, '7ff56eaf', 0x2009, 'bpl     0x00001ee8', 0, ()),
    (REV_ALL_ARM, 'cb6d', 0x1f95, 'ldr     r3, [r1, #0x5c]', 0, ()),
    (REV_ALL_ARM, 'fff73fbf', 0x1f91, 'b       0x00001e12', 0, ()),
    (REV_ALL_ARM, '0a6c', 0x1f35, 'ldr     r2, [r1, #0x40]', 0, ()),
    (REV_ALL_ARM, '62b1', 0x1f37, 'cbz     r2, 0x00001f52', 0, ()),
    (REV_ALL_ARM, '7ff46aaf', 0x2011, 'bne     0x00001ee8', 0, ()),
    (REV_ALL_ARM, '4b6c', 0x1fa7, 'ldr     r3, [r1, #0x44]', 0, ()),
    (REV_ALL_ARM, 'cb65', 0x1fb7, 'str     r3, [r1, #0x5c]', 0, ()),
    (REV_ALL_ARM, 'fbf77fb9', 0x11fdb, 'b       0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '0b64', 0x1f39, 'str     r3, [r1, #0x40]', 0, ()),
    (REV_ALL_ARM, '77e7', 0x1ff7, 'b       0x00001ee8', 0, ()),
    (REV_ALL_ARM, 'fff70abf', 0x1fa3, 'b       0x00001dba', 0, ()),
    (REV_ALL_ARM, '43f40063', 0x1f7d, 'orr     r3, r3, #0x0800', 0, ()),
    (REV_ALL_ARM, '5205', 0x2023, 'lsls    r2, r2, #0x15', 0, ()),
    (REV_ALL_ARM, '4365', 0x2041, 'str     r3, [r0, #0x54]', 0, ()),
    (REV_ALL_ARM, '0365', 0x2039, 'str     r3, [r0, #0x50]', 0, ()),
    (REV_ALL_ARM, 'fbf74fb9', 0x1203b, 'b       0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '1f20', 0x204b, 'movs    r0, #0x1f', 0, ()),
    (REV_ALL_ARM, 'f7f7c2fc', 0x1204d, 'bl      0x000099d4', 0, ()),
    (REV_ALL_ARM, 'f7f79bfc', 0x12053, 'bl      0x0000998c', 0, ()),
    (REV_ALL_ARM, 'f7f7bafc', 0x1205d, 'bl      0x000099d4', 0, ()),
    (REV_ALL_ARM, 'f7f791bc', 0x12067, 'b       0x0000998c', 0, ()),
    (REV_ALL_ARM, '2120', 0x2071, 'movs    r0, #0x21', 0, ()),
    (REV_ALL_ARM, 'f7f7affc', 0x12073, 'bl      0x000099d4', 0, ()),
    (REV_ALL_ARM, 'f7f788fc', 0x12079, 'bl      0x0000998c', 0, ()),
    (REV_ALL_ARM, '2220', 0x207f, 'movs    r0, #0x22', 0, ()),
    (REV_ALL_ARM, 'f7f7a7fc', 0x12083, 'bl      0x000099d4', 0, ()),
    (REV_ALL_ARM, 'f7f77ebc', 0x1208d, 'b       0x0000998c', 0, ()),
    (REV_ALL_ARM, '0b7a', 0x20a1, 'ldrb    r3, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '117a', 0x20d5, 'ldrb    r1, [r2, #8]', 0, ()),
    (REV_ALL_ARM, '0cd2', 0x20d7, 'bcs     0x000020f2', 0, ()),
    (REV_ALL_ARM, '08f11c08', 0x20b9, 'add     r8, r8, #0x1c', 0, ()),
    (REV_ALL_ARM, 'fbf737f9', 0x120c3, 'bl      0x0000d334', 0, ()),
    (REV_ALL_ARM, '21e0', 0x20d3, 'b       0x00002118', 0, ()),
    (REV_ALL_ARM, '107d', 0x20d9, 'ldrb    r0, [r2, #0x14]', 0, ()),
    (REV_ALL_ARM, '80ea010c', 0x20db, 'eor     r12, r0, r1', 0, ()),
    (REV_ALL_ARM, '1cf0010f', 0x20df, 'tst     r12, #1', 0, ()),
    (REV_ALL_ARM, 'a4f1140b', 0x2119, 'sub     r11, r4, #0x14', 0, ()),
    (REV_ALL_ARM, '8907', 0x20e9, 'lsls    r1, r1, #0x1e', 0, ()),
    (REV_ALL_ARM, '4007', 0x20e5, 'lsls    r0, r0, #0x1d', 0, ()),
    (REV_ALL_ARM, '01d5', 0x20e7, 'bpl     0x000020ec', 0, ()),
    (REV_ALL_ARM, '3a68', 0x2121, 'ldr     r2, [r7]', 0, ()),
    (REV_ALL_ARM, 'fbf7d6f8', 0x1212d, 'bl      0x0000d2dc', 0, ()),
    (REV_ALL_ARM, '6ff01503', 0x20ed, 'mvn     r3, #0x15', 0, ()),
    (REV_ALL_ARM, '1fe0', 0x20f1, 'b       0x00002132', 0, ()),
    (REV_ALL_ARM, '14f80c3c', 0x213b, 'ldrb    r3, [r4, #-0xc]', 0, ()),
    (REV_ALL_ARM, '03f0fb01', 0x213f, 'and     r1, r3, #0xfb', 0, ()),
    (REV_ALL_ARM, '72b3', 0x2145, 'cbz     r2, 0x000021a4', 0, ()),
    (REV_ALL_ARM, 'd0e7', 0x21a7, 'b       0x0000214a', 0, ()),
    (REV_ALL_ARM, 'baf1ff0f', 0x214b, 'cmp     r10, #0xff', 0, ()),
    (REV_ALL_ARM, '13f0010f', 0x216d, 'tst     r3, #1', 0, ()),
    (REV_ALL_ARM, '44f8101c', 0x2157, 'str     r1, [r4, #-0x10]', 0, ()),
    (REV_ALL_ARM, '04f80c0c', 0x215b, 'strb    r0, [r4, #-0xc]', 0, ()),
    (REV_ALL_ARM, 'f9f7e6fe', 0x121a9, 'bl      0x0000bf78', 0, ()),
    (REV_ALL_ARM, 'f9f7a0fe', 0x12179, 'bl      0x0000bebc', 0, ()),
    (REV_ALL_ARM, 'cddb', 0x2183, 'blt     0x00002120', 0, ()),
    (REV_ALL_ARM, '54e90501', 0x218b, 'ldrd    r0, r1, [r4, #-0x14]', 0, ()),
    (REV_ALL_ARM, '44f8140c', 0x2191, 'str     r0, [r4, #-0x14]', 0, ()),
    (REV_ALL_ARM, 'aaeb0100', 0x219b, 'sub     r0, r10, r1', 0, ()),
    (REV_ALL_ARM, '44f8100c', 0x219f, 'str     r0, [r4, #-0x10]', 0, ()),
    (REV_ALL_ARM, '54f810ac', 0x2109, 'ldr     r10, [r4, #-0x10]', 0, ()),
    (REV_ALL_ARM, '82b1', 0x21b9, 'cbz     r2, 0x000021dc', 0, ()),
    (REV_ALL_ARM, '286c', 0x21bb, 'ldr     r0, [r5, #0x40]', 0, ()),
    (REV_ALL_ARM, 'ea6b', 0x21c7, 'ldr     r2, [r5, #0x3c]', 0, ()),
    (REV_ALL_ARM, 'b3fbf2f3', 0x21d1, 'udiv    r3, r3, r2', 0, ()),
    (REV_ALL_ARM, 'c4e90030', 0x21d5, 'strd    r3, r0, [r4]', 0, ()),
    (REV_ALL_ARM, 'faf76afa', 0x121ed, 'bl      0x0000c6c4', 0, ()),
    (REV_ALL_ARM, 'dde90010', 0x2213, 'ldrd    r1, r0, [sp]', 0, ()),
    (REV_ALL_ARM, '9e46', 0x221d, 'mov     lr, r3', 0, ()),
    (REV_ALL_ARM, 'd7b1', 0x222d, 'cbz     r7, 0x00002264', 0, ()),
    (REV_ALL_ARM, '19e0', 0x2229, 'b       0x0000225e', 0, ()),
    (REV_ALL_ARM, 'd1f80480', 0x222f, 'ldr     r8, [r1, #4]', 0, ()),
    (REV_ALL_ARM, '08fb0255', 0x2233, 'mla     r5, r8, r2, r5', 0, ()),
    (REV_ALL_ARM, '9444', 0x2271, 'add     r12, r2', 0, ()),
    (REV_ALL_ARM, '03fb02ee', 0x2273, 'mla     lr, r3, r2, lr', 0, ()),
    (REV_ALL_ARM, '421c', 0x2221, 'adds    r2, r0, #1', 0, ()),
    (REV_ALL_ARM, '77b1', 0x2249, 'cbz     r7, 0x00002268', 0, ()),
    (REV_ALL_ARM, 'a4eb0c04', 0x2269, 'sub     r4, r4, r12', 0, ()),
    (REV_ALL_ARM, 'b4fbf3f4', 0x224f, 'udiv    r4, r4, r3', 0, ()),
    (REV_ALL_ARM, '04fb03e3', 0x2253, 'mla     r3, r4, r3, lr', 0, ()),
    (REV_ALL_ARM, 'b460', 0x225b, 'str     r4, [r6, #8]', 0, ()),
    (REV_ALL_ARM, '07ebc507', 0x22ad, 'add     r7, r7, r5, lsl #3', 0, ()),
    (REV_ALL_ARM, '0394', 0x22cb, 'str     r4, [sp, #0xc]', 0, ()),
    (REV_ALL_ARM, 'b242', 0x22b9, 'cmp     r2, r6', 0, ()),
    (REV_ALL_ARM, '0aeb0603', 0x22bb, 'add     r3, r10, r6', 0, ()),
    (REV_ALL_ARM, '1007', 0x22e5, 'lsls    r0, r2, #0x1c', 0, ()),
    (REV_ALL_ARM, '9206', 0x22f9, 'lsls    r2, r2, #0x1a', 0, ()),
    (REV_ALL_ARM, '43bf', 0x22fb, 'ittte   mi', 0, ()),
    (REV_ALL_ARM, '1206', 0x2313, 'lsls    r2, r2, #0x18', 0, ()),
    (REV_ALL_ARM, '2d06', 0x2335, 'lsls    r5, r5, #0x18', 0, ()),
    (REV_ALL_ARM, '00d4', 0x233b, 'bmi     0x0000233e', 0, ()),
    (REV_ALL_ARM, '085c', 0x233f, 'ldrb    r0, [r1, r0]', 0, ()),
    (REV_ALL_ARM, 'd8b2', 0x232b, 'uxtb    r0, r3', 0, ()),
    (REV_ALL_ARM, '151a', 0x232d, 'subs    r5, r2, r0', 0, ()),
    (REV_ALL_ARM, '04dd', 0x2331, 'ble     0x0000233c', 0, ()),
    (REV_ALL_ARM, 'c0f3c010', 0x236d, 'ubfx    r0, r0, #7, #1', 0, ()),
    (REV_ALL_ARM, 'fff7f7bf', 0x2373, 'b       0x00002364', 0, ()),
    (REV_ALL_ARM, 'c0f34010', 0x239f, 'ubfx    r0, r0, #5, #1', 0, ()),
    (REV_ALL_ARM, '9106', 0x23ad, 'lsls    r1, r2, #0x1a', 0, ()),
    (REV_ALL_ARM, '10f04000', 0x23b9, 'ands    r0, r0, #0x40', 0, ()),
    (REV_ALL_ARM, '07d4', 0x23b5, 'bmi     0x000023c6', 0, ()),
    (REV_ALL_ARM, 'c0f38010', 0x23c1, 'ubfx    r0, r0, #6, #1', 0, ()),
    (REV_ALL_ARM, 'c3e90212', 0x23d1, 'strd    r1, r2, [r3, #8]', 0, ()),
    (REV_ALL_ARM, 'd068', 0x23dd, 'ldr     r0, [r2, #0xc]', 0, ()),
    (REV_ALL_ARM, '2620', 0x23e5, 'movs    r0, #0x26', 0, ()),
    (REV_ALL_ARM, 'f7f7f3fa', 0x123eb, 'bl      0x000099d4', 0, ()),
    (REV_ALL_ARM, 'f7f7caba', 0x123f5, 'b       0x0000998c', 0, ()),
    (REV_ALL_ARM, '3420', 0x23fb, 'movs    r0, #0x34', 0, ()),
    (REV_ALL_ARM, 'f7f7e8fa', 0x12401, 'bl      0x000099d4', 0, ()),
    (REV_ALL_ARM, 'f7f7bfba', 0x1240b, 'b       0x0000998c', 0, ()),
    (REV_ALL_ARM, '3520', 0x2413, 'movs    r0, #0x35', 0, ()),
    (REV_ALL_ARM, 'f7f7ddfa', 0x12417, 'bl      0x000099d4', 0, ()),
    (REV_ALL_ARM, 'f7f7b4ba', 0x12421, 'b       0x0000998c', 0, ()),
    (REV_ALL_ARM, '1921', 0x2447, 'movs    r1, #0x19', 0, ()),
    (REV_ALL_ARM, 'a100', 0x244b, 'lsls    r1, r4, #2', 0, ()),
    (REV_ALL_ARM, 'b3fbf1f1', 0x244d, 'udiv    r1, r3, r1', 0, ()),
    (REV_ALL_ARM, 'b1fbf2f0', 0x2451, 'udiv    r0, r1, r2', 0, ()),
    (REV_ALL_ARM, '02fb1013', 0x2455, 'mls     r3, r2, r0, r1', 0, ()),
    (REV_ALL_ARM, '1b01', 0x2459, 'lsls    r3, r3, #4', 0, ()),
    (REV_ALL_ARM, '3233', 0x245b, 'adds    r3, #0x32', 0, ()),
    (REV_ALL_ARM, '03eb0013', 0x2461, 'add     r3, r3, r0, lsl #4', 0, ()),
    (REV_ALL_ARM, 'ab60', 0x2467, 'str     r3, [r5, #8]', 0, ()),
    (REV_ALL_ARM, '6ff02006', 0x2477, 'mvn     r6, #0x20', 0, ()),
    (REV_ALL_ARM, 'ad06', 0x2485, 'lsls    r5, r5, #0x1a', 0, ()),
    (REV_ALL_ARM, '01d4', 0x2487, 'bmi     0x0000248c', 0, ()),
    (REV_ALL_ARM, '0d54', 0x2491, 'strb    r5, [r1, r0]', 0, ()),
    (REV_ALL_ARM, '0007', 0x2495, 'lsls    r0, r0, #0x1c', 0, ()),
    (REV_ALL_ARM, 'e0b2', 0x247b, 'uxtb    r0, r4', 0, ()),
    (REV_ALL_ARM, '03f4c063', 0x24b7, 'and     r3, r3, #0x600', 0, ()),
    (REV_ALL_ARM, 'b3f5806f', 0x24bb, 'cmp     r3, #0x400', 0, ()),
    (REV_ALL_ARM, 'a3f5c060', 0x24c1, 'sub     r0, r3, #0x600', 0, ()),
    (REV_ALL_ARM, '4341', 0x24c7, 'adcs    r3, r0', 0, ()),
    (REV_ALL_ARM, 'b3f5805f', 0x24d1, 'cmp     r3, #0x1000', 0, ()),
    (REV_ALL_ARM, 'b3f5405f', 0x24d7, 'cmp     r3, #0x3000', 0, ()),
    (REV_ALL_ARM, 'cb80', 0x24eb, 'strh    r3, [r1, #6]', 0, ()),
    (REV_ALL_ARM, '5abf', 0x2501, 'itte    pl', 0, ()),
    (REV_ALL_ARM, 'c0f38000', 0x2505, 'ubfx    r0, r0, #2, #1', 0, ()),
    (REV_ALL_ARM, 'faf7c4bd', 0x12515, 'b       0x0000d0a0', 0, ()),
    (REV_ALL_ARM, '00f10807', 0x2525, 'add     r7, r0, #8', 0, ()),
    (REV_ALL_ARM, 'dbb1', 0x2539, 'cbz     r3, 0x00002572', 0, ()),
    (REV_ALL_ARM, 'fbf768fb', 0x1253d, 'bl      0x0000dc10', 0, ()),
    (REV_ALL_ARM, '03f00302', 0x255d, 'and     r2, r3, #3', 0, ()),
    (REV_ALL_ARM, '5db9', 0x2561, 'cbnz    r5, 0x0000257a', 0, ()),
    (REV_ALL_ARM, 'c0f80480', 0x2555, 'str     r8, [r0, #4]', 0, ()),
    (REV_ALL_ARM, '03f00303', 0x25b3, 'and     r3, r3, #3', 0, ()),
    (REV_ALL_ARM, '1843', 0x25b7, 'orrs    r0, r3', 0, ()),
    #(REV_ALL_ARM, '00f03cfb', 0x2591, 'bl      0x00002c0c', 0, ()),
    #(REV_ALL_ARM, '00f0c1f8', 0x2599, 'bl      0x0000271e', 0, ()),
    (REV_ALL_ARM, 'c4e90000', 0x2589, 'strd    r0, r0, [r4]', 0, ()),
    (REV_ALL_ARM, '9307', 0x25c5, 'lsls    r3, r2, #0x1e', 0, ()),
    (REV_ALL_ARM, '09b1', 0x25cb, 'cbz     r1, 0x000025d0', 0, ()),
    #(REV_ALL_ARM, '00f055fb', 0x25cd, 'bl      0x00002c7a', 0, ()),
    (REV_ALL_ARM, '4168', 0x25d9, 'ldr     r1, [r0, #4]', 0, ()),
    (REV_ALL_ARM, 'fff79ebf', 0x25db, 'b       0x0000251a', 0, ()),
    (REV_ALL_ARM, 'fff7d5ff', 0x260f, 'bl      0x000025bc', 0, ()),
    (REV_ALL_ARM, '0deb0100', 0x2633, 'add     r0, sp, r1', 0, ()),
    #(REV_ALL_ARM, '00f0dafa', 0x2637, 'bl      0x00002bee', 0, ()),
    #(REV_ALL_ARM, '00f01efa', 0x263f, 'bl      0x00012a7e', 0, ()),
    (REV_ALL_ARM, 'fff798ff', 0x2689, 'bl      0x000025bc', 0, ()),
    (REV_ALL_ARM, 'd4d0', 0x269b, 'beq     0x00002646', 0, ()),
    (REV_ALL_ARM, 'aa1b', 0x2649, 'subs    r2, r5, r6', 0, ()),
    (REV_ALL_ARM, '6ff31033', 0x264b, 'bfc     r3, #0xc, #5', 0, ()),
    (REV_ALL_ARM, 'fbf77af9', 0x12655, 'bl      0x0000d94c', 0, ()),
    #(REV_ALL_ARM, '00f0eff9', 0x269d, 'bl      0x00012a7e', 0, ()),
    (REV_ALL_ARM, 'c61b', 0x26a1, 'subs    r6, r0, r7', 0, ()),
    (REV_ALL_ARM, 'cfda', 0x26a5, 'bge     0x00002646', 0, ()),
    (REV_ALL_ARM, '03bf', 0x26ad, 'ittte   eq', 0, ()),
    (REV_ALL_ARM, '90f90e00', 0x26bb, 'ldrsb   r0, [r0, #0xe]', 0, ()),
    (REV_ALL_ARM, '91f90e30', 0x26bf, 'ldrsb   r3, [r1, #0xe]', 0, ()),
    #(REV_ALL_ARM, '00f062f8', 0x26df, 'bl      0x000027a6', 0, ()),
    (REV_ALL_ARM, 'faf742fb', 0x12705, 'bl      0x0000cd8c', 0, ()),
    (REV_ALL_ARM, 'faf7defa', 0x12721, 'bl      0x0000cce0', 0, ()),
    (REV_ALL_ARM, 'f6f78cbf', 0x1272d, 'b       0x00009648', 0, ()),
    (REV_ALL_ARM, 'faf7cffa', 0x1273f, 'bl      0x0000cce0', 0, ()),
    (REV_ALL_ARM, 'f6f77dbf', 0x1274b, 'b       0x00009648', 0, ()),
    (REV_ALL_ARM, 'fff7e7bf', 0x2769, 'b       0x0000273a', 0, ()),
    (REV_ALL_ARM, 'faf703fb', 0x12783, 'bl      0x0000cd8c', 0, ()),
    (REV_ALL_ARM, '8b60', 0x279d, 'str     r3, [r1, #8]', 0, ()),
    (REV_ALL_ARM, '01f11800', 0x279f, 'add     r0, r1, #0x18', 0, ()),
    #(REV_ALL_ARM, '00f028b9', 0x27a3, 'b       0x000029f6', 0, ()),
    (REV_ALL_ARM, '50f8103c', 0x27b5, 'ldr     r3, [r0, #-0x10]', 0, ()),
    (REV_ALL_ARM, 'a0f11801', 0x27bb, 'sub     r1, r0, #0x18', 0, ()),
    (REV_ALL_ARM, 'c3b1', 0x27bf, 'cbz     r3, 0x000027f2', 0, ()),
    (REV_ALL_ARM, '14f80b3c', 0x27f3, 'ldrb    r3, [r4, #-0xb]', 0, ()),
    (REV_ALL_ARM, '04f80b3c', 0x27fb, 'strb    r3, [r4, #-0xb]', 0, ()),
    (REV_ALL_ARM, '50f8100c', 0x27d1, 'ldr     r0, [r0, #-0x10]', 0, ()),
    (REV_ALL_ARM, 'faf7dafa', 0x127d5, 'bl      0x0000cd8c', 0, ()),
    (REV_ALL_ARM, '44f8103c', 0x27ef, 'str     r3, [r4, #-0x10]', 0, ()),
    (REV_ALL_ARM, 'faf70ebb', 0x1280d, 'b       0x0000ce2c', 0, ()),
    (REV_ALL_ARM, 'c8b1', 0x2833, 'cbz     r0, 0x00002868', 0, ()),
    (REV_ALL_ARM, 'faf7a0fa', 0x12849, 'bl      0x0000cd8c', 0, ()),
    #(REV_ALL_ARM, '00f0c7f8', 0x2865, 'bl      0x000029f6', 0, ()),
    (REV_ALL_ARM, 'fff774ff', 0x2881, 'bl      0x0000276c', 0, ()),
    (REV_ALL_ARM, 'fff70fff', 0x2887, 'bl      0x000026a8', 0, ()),
    (REV_ALL_ARM, '2c68', 0x2873, 'ldr     r4, [r5]', 0, ()),
    (REV_ALL_ARM, '00d0', 0x2877, 'beq     0x0000287a', 0, ()),
    (REV_ALL_ARM, 'faf7cbfa', 0x12893, 'bl      0x0000ce2c', 0, ()),
    (REV_ALL_ARM, '6ff04600', 0x28ab, 'mvn     r0, #0x46', 0, ()),
    (REV_ALL_ARM, '036d', 0x28b1, 'ldr     r3, [r0, #0x50]', 0, ()),
    (REV_ALL_ARM, 'faf75afb', 0x128c5, 'bl      0x0000cf7c', 0, ()),
    (REV_ALL_ARM, 'fff707ff', 0x28db, 'bl      0x000026ec', 0, ()),
    #(REV_ALL_ARM, '00f085f8', 0x28e9, 'bl      0x000029f6', 0, ()),
    (REV_ALL_ARM, 'c0e90633', 0x28f3, 'strd    r3, r3, [r0, #0x18]', 0, ()),
    (REV_ALL_ARM, '4273', 0x28f7, 'strb    r2, [r0, #0xd]', 0, ()),
    (REV_ALL_ARM, '8173', 0x28f9, 'strb    r1, [r0, #0xe]', 0, ()),
    (REV_ALL_ARM, 'c373', 0x28fb, 'strb    r3, [r0, #0xf]', 0, ()),
    (REV_ALL_ARM, '01f10803', 0x2901, 'add     r3, r1, #8', 0, ()),
    (REV_ALL_ARM, '42f0010c', 0x290d, 'orr     r12, r2, #1', 0, ()),
    (REV_ALL_ARM, 'fff755be', 0x2927, 'b       0x000025d4', 0, ()),
    (REV_ALL_ARM, 'a0f10c01', 0x292f, 'sub     r1, r0, #0xc', 0, ()),
    (REV_ALL_ARM, 'fff7e3bf', 0x2935, 'b       0x000028fe', 0, ()),
    (REV_ALL_ARM, '00f10805', 0x2949, 'add     r5, r0, #8', 0, ()),
    #(REV_ALL_ARM, '00f01ef8', 0x29b7, 'bl      0x000029f6', 0, ()),
    (REV_ALL_ARM, '24d1', 0x295f, 'bne     0x000029aa', 0, ()),
    (REV_ALL_ARM, 'b1b9', 0x2969, 'cbnz    r1, 0x00002998', 0, ()),
    (REV_ALL_ARM, '5160', 0x29a7, 'str     r1, [r2, #4]', 0, ()),
    (REV_ALL_ARM, '5060', 0x2971, 'str     r0, [r2, #4]', 0, ()),
    (REV_ALL_ARM, 'c0e90031', 0x29bf, 'strd    r3, r1, [r0]', 0, ()),
    (REV_ALL_ARM, 'fff7a9ff', 0x29e3, 'bl      0x00002938', 0, ()),
    (REV_ALL_ARM, 'faf766fe', 0x12a0d, 'bl      0x0000d6dc', 0, ()),
    (REV_ALL_ARM, 'faf72afe', 0x12a35, 'bl      0x0000d68c', 0, ()),
    (REV_ALL_ARM, 'faf718fe', 0x12a59, 'bl      0x0000d68c', 0, ()),
    (REV_ALL_ARM, '05dd', 0x2a5f, 'ble     0x00002a6c', 0, ()),
    (REV_ALL_ARM, '03dd', 0x2a63, 'ble     0x00002a6c', 0, ()),
    (REV_ALL_ARM, 'f6f750fd', 0x12a69, 'bl      0x0000950c', 0, ()),
    (REV_ALL_ARM, 'faf7d8fe', 0x12a79, 'bl      0x0000d82c', 0, ()),
    (REV_ALL_ARM, 'faf7d4fe', 0x12a81, 'bl      0x0000d82c', 0, ()),
    (REV_ALL_ARM, 'a0fb0405', 0x2a89, 'umull   r0, r5, r0, r4', 0, ()),
    (REV_ALL_ARM, '04fb0151', 0x2a93, 'mla     r1, r4, r1, r5', 0, ()),
    (REV_ALL_ARM, 'edf765ff', 0x12a97, 'bl      0x00000964', 0, ()),
    (REV_ALL_ARM, 'fff70afe', 0x2ab5, 'bl      0x000026cc', 0, ()),
    (REV_ALL_ARM, 'fff716fe', 0x2abd, 'bl      0x000026ec', 0, ()),
    (REV_ALL_ARM, 'fff729be', 0x2ae5, 'b       0x0000273a', 0, ()),
    (REV_ALL_ARM, 'faf7aef9', 0x12acd, 'bl      0x0000ce2c', 0, ()),
    (REV_ALL_ARM, 'cbb1', 0x2af3, 'cbz     r3, 0x00002b28', 0, ()),
    (REV_ALL_ARM, 'c3f30431', 0x2b2b, 'ubfx    r1, r3, #0xc, #5', 0, ()),
    (REV_ALL_ARM, '0e43', 0x2b2f, 'orrs    r6, r1', 0, ()),
    (REV_ALL_ARM, 'a860', 0x2b37, 'str     r0, [r5, #8]', 0, ()),
    (REV_ALL_ARM, '1a71', 0x2af9, 'strb    r2, [r3, #4]', 0, ()),
    (REV_ALL_ARM, '9a07', 0x2afd, 'lsls    r2, r3, #0x1e', 0, ()),
    (REV_ALL_ARM, '13d5', 0x2aff, 'bpl     0x00002b28', 0, ()),
    (REV_ALL_ARM, 'fff730fe', 0x2b09, 'bl      0x0000276c', 0, ()),
    (REV_ALL_ARM, '082e', 0x2b0d, 'cmp     r6, #8', 0, ()),
    (REV_ALL_ARM, '6ff00303', 0x2b11, 'mvn     r3, #3', 0, ()),
    (REV_ALL_ARM, 'e367', 0x2b17, 'str     r3, [r4, #0x7c]', 0, ()),
    (REV_ALL_ARM, 'faf782f9', 0x12b25, 'bl      0x0000ce2c', 0, ()),
    (REV_ALL_ARM, 'd0e90023', 0x2b47, 'ldrd    r2, r3, [r0]', 0, ()),
    (REV_ALL_ARM, 'fff7a6fd', 0x2b6b, 'bl      0x000026ba', 0, ()),
    (REV_ALL_ARM, '2668', 0x2b73, 'ldr     r6, [r4]', 0, ()),
    (REV_ALL_ARM, 'fff79afd', 0x2b83, 'bl      0x000026ba', 0, ()),
    (REV_ALL_ARM, 'dbd0', 0x2b99, 'beq     0x00002b52', 0, ()),
    (REV_ALL_ARM, 'c5e90063', 0x2b8b, 'strd    r6, r3, [r5]', 0, ()),
    (REV_ALL_ARM, '7560', 0x2b91, 'str     r5, [r6, #4]', 0, ()),
    (REV_ALL_ARM, '3668', 0x2b9b, 'ldr     r6, [r6]', 0, ()),
    (REV_ALL_ARM, '8460', 0x2bb1, 'str     r4, [r0, #8]', 0, ()),
    (REV_ALL_ARM, '08d8', 0x2bb9, 'bhi     0x00002bcc', 0, ()),
    (REV_ALL_ARM, '4bb1', 0x2bbb, 'cbz     r3, 0x00002bd0', 0, ()),
    (REV_ALL_ARM, '1438', 0x2beb, 'subs    r0, #0x14', 0, ()),
    (REV_ALL_ARM, 'c0e90044', 0x2bc7, 'strd    r4, r4, [r0]', 0, ()),
    (REV_ALL_ARM, '00da', 0x2bab, 'bge     0x00002bae', 0, ()),
    (REV_ALL_ARM, '0902', 0x2bf3, 'lsls    r1, r1, #8', 0, ()),
    (REV_ALL_ARM, '01f47061', 0x2bf5, 'and     r1, r1, #0xf00', 0, ()),
    (REV_ALL_ARM, '02f40032', 0x2bf9, 'and     r2, r2, #0x20000', 0, ()),
    (REV_ALL_ARM, 'c0e90323', 0x2c05, 'strd    r2, r3, [r0, #0xc]', 0, ()),
    (REV_ALL_ARM, 'fff762bf', 0x2c23, 'b       0x00002aea', 0, ()),
    (REV_ALL_ARM, '0a1d', 0x2c53, 'adds    r2, r1, #4', 0, ()),
    (REV_ALL_ARM, 'faf755ff', 0x12c5b, 'bl      0x0000db08', 0, ()),
    (REV_ALL_ARM, '0deb0201', 0x2c6d, 'add     r1, sp, r2', 0, ()),
    (REV_ALL_ARM, 'fef73af9', 0x2c71, 'bl      0x00000ee8', 0, ()),
    (REV_ALL_ARM, 'faf79bbf', 0x12c7f, 'b       0x0000dbb8', 0, ()),
]
